#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9080
#define LARGE_STATE_COUNT 3643
#define SYMBOL_COUNT 637
#define ALIAS_COUNT 27
#define TOKEN_COUNT 275
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  aux_sym_preproc_include_token1 = 1,
  aux_sym_preproc_include_token2 = 2,
  aux_sym_preproc_def_token1 = 3,
  aux_sym_preproc_def_token2 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  sym_preproc_comment = 22,
  anon_sym_PLUS = 23,
  anon_sym_DASH = 24,
  anon_sym_STAR = 25,
  anon_sym_SLASH = 26,
  anon_sym_PERCENT = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_AMP_AMP = 29,
  anon_sym_PIPE = 30,
  anon_sym_CARET = 31,
  anon_sym_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_LT = 38,
  anon_sym_LT_LT = 39,
  anon_sym_GT_GT = 40,
  sym_system_lib_string = 41,
  aux_sym_program_statement_token1 = 42,
  aux_sym_end_program_statement_token1 = 43,
  aux_sym_end_program_statement_token2 = 44,
  aux_sym_module_statement_token1 = 45,
  aux_sym_end_module_statement_token1 = 46,
  aux_sym_submodule_statement_token1 = 47,
  anon_sym_COLON = 48,
  aux_sym_end_submodule_statement_token1 = 49,
  anon_sym_SEMI = 50,
  aux_sym_interface_statement_token1 = 51,
  aux_sym_end_interface_statement_token1 = 52,
  aux_sym_block_data_statement_token1 = 53,
  aux_sym_block_data_statement_token2 = 54,
  aux_sym_block_data_statement_token3 = 55,
  aux_sym_end_block_data_statement_token1 = 56,
  aux_sym_assignment_token1 = 57,
  anon_sym_EQ = 58,
  aux_sym_operator_token1 = 59,
  aux_sym_operator_token2 = 60,
  aux_sym_defined_io_procedure_token1 = 61,
  aux_sym_defined_io_procedure_token2 = 62,
  aux_sym_defined_io_procedure_token3 = 63,
  aux_sym_defined_io_procedure_token4 = 64,
  aux_sym_subroutine_statement_token1 = 65,
  aux_sym_end_subroutine_statement_token1 = 66,
  aux_sym_module_procedure_statement_token1 = 67,
  aux_sym_end_module_procedure_statement_token1 = 68,
  aux_sym_function_statement_token1 = 69,
  aux_sym_language_binding_token1 = 70,
  aux_sym_procedure_attributes_token1 = 71,
  aux_sym_procedure_attributes_token2 = 72,
  aux_sym_procedure_attributes_token3 = 73,
  aux_sym_procedure_attributes_token4 = 74,
  aux_sym_procedure_attributes_token5 = 75,
  aux_sym_end_function_statement_token1 = 76,
  aux_sym_function_result_token1 = 77,
  aux_sym_contains_statement_token1 = 78,
  aux_sym_use_statement_token1 = 79,
  aux_sym_use_statement_token2 = 80,
  aux_sym_use_statement_token3 = 81,
  anon_sym_COLON_COLON = 82,
  aux_sym_included_items_token1 = 83,
  anon_sym_EQ_GT = 84,
  aux_sym_implicit_statement_token1 = 85,
  aux_sym_implicit_statement_token2 = 86,
  aux_sym_implicit_statement_token3 = 87,
  aux_sym_implicit_statement_token4 = 88,
  aux_sym_save_statement_token1 = 89,
  aux_sym_private_statement_token1 = 90,
  aux_sym_public_statement_token1 = 91,
  aux_sym_namelist_statement_token1 = 92,
  aux_sym_common_statement_token1 = 93,
  aux_sym_implicit_range_token1 = 94,
  aux_sym_import_statement_token1 = 95,
  aux_sym__import_names_token1 = 96,
  aux_sym_derived_type_definition_token1 = 97,
  aux_sym_abstract_specifier_token1 = 98,
  aux_sym_base_type_specifier_token1 = 99,
  aux_sym_end_type_statement_token1 = 100,
  aux_sym_procedure_kind_token1 = 101,
  aux_sym_procedure_kind_token2 = 102,
  aux_sym_procedure_kind_token3 = 103,
  aux_sym_procedure_kind_token4 = 104,
  aux_sym_procedure_attribute_token1 = 105,
  aux_sym_procedure_attribute_token2 = 106,
  aux_sym_procedure_attribute_token3 = 107,
  aux_sym_procedure_attribute_token4 = 108,
  aux_sym_procedure_attribute_token5 = 109,
  aux_sym_procedure_attribute_token6 = 110,
  aux_sym_variable_attributes_token1 = 111,
  aux_sym_variable_attributes_token2 = 112,
  aux_sym_variable_attributes_token3 = 113,
  aux_sym_variable_attributes_token4 = 114,
  aux_sym_variable_attributes_token5 = 115,
  aux_sym__intrinsic_type_token1 = 116,
  aux_sym__intrinsic_type_token2 = 117,
  aux_sym__intrinsic_type_token3 = 118,
  aux_sym__intrinsic_type_token4 = 119,
  aux_sym__intrinsic_type_token5 = 120,
  aux_sym__intrinsic_type_token6 = 121,
  aux_sym__intrinsic_type_token7 = 122,
  aux_sym__intrinsic_type_token8 = 123,
  aux_sym__intrinsic_type_token9 = 124,
  aux_sym__intrinsic_type_token10 = 125,
  aux_sym_derived_type_token1 = 126,
  aux_sym_declared_type_token1 = 127,
  aux_sym_declared_type_token2 = 128,
  aux_sym_kind_token1 = 129,
  aux_sym__standalone_type_qualifier_token1 = 130,
  aux_sym__standalone_type_qualifier_token2 = 131,
  aux_sym__standalone_type_qualifier_token3 = 132,
  aux_sym__standalone_type_qualifier_token4 = 133,
  aux_sym__standalone_type_qualifier_token5 = 134,
  aux_sym__standalone_type_qualifier_token6 = 135,
  aux_sym__standalone_type_qualifier_token7 = 136,
  aux_sym__standalone_type_qualifier_token8 = 137,
  aux_sym__standalone_type_qualifier_token9 = 138,
  aux_sym__standalone_type_qualifier_token10 = 139,
  aux_sym__standalone_type_qualifier_token11 = 140,
  aux_sym__standalone_type_qualifier_token12 = 141,
  aux_sym__standalone_type_qualifier_token13 = 142,
  aux_sym__standalone_type_qualifier_token14 = 143,
  aux_sym__standalone_type_qualifier_token15 = 144,
  aux_sym__standalone_type_qualifier_token16 = 145,
  aux_sym__standalone_type_qualifier_token17 = 146,
  aux_sym_type_qualifier_token1 = 147,
  aux_sym_type_qualifier_token2 = 148,
  aux_sym_procedure_qualifier_token1 = 149,
  aux_sym_procedure_qualifier_token2 = 150,
  aux_sym_procedure_qualifier_token3 = 151,
  aux_sym_procedure_qualifier_token4 = 152,
  aux_sym_procedure_qualifier_token5 = 153,
  aux_sym_equivalence_statement_token1 = 154,
  aux_sym_stop_statement_token1 = 155,
  aux_sym_stop_statement_token2 = 156,
  aux_sym_stop_statement_token3 = 157,
  aux_sym_subroutine_call_token1 = 158,
  anon_sym_LT_LT_LT = 159,
  anon_sym_GT_GT_GT = 160,
  aux_sym_keyword_statement_token1 = 161,
  aux_sym_keyword_statement_token2 = 162,
  aux_sym_keyword_statement_token3 = 163,
  aux_sym_keyword_statement_token4 = 164,
  aux_sym_keyword_statement_token5 = 165,
  aux_sym_keyword_statement_token6 = 166,
  aux_sym_keyword_statement_token7 = 167,
  aux_sym_include_statement_token1 = 168,
  aux_sym_do_loop_statement_token1 = 169,
  aux_sym_end_do_loop_statement_token1 = 170,
  aux_sym_while_statement_token1 = 171,
  aux_sym_concurrent_header_token1 = 172,
  aux_sym_concurrent_locality_token1 = 173,
  aux_sym_concurrent_locality_token2 = 174,
  aux_sym_concurrent_locality_token3 = 175,
  aux_sym_concurrent_locality_token4 = 176,
  aux_sym_binary_op_token1 = 177,
  aux_sym__inline_if_statement_token1 = 178,
  aux_sym__block_if_statement_token1 = 179,
  aux_sym_end_if_statement_token1 = 180,
  aux_sym_elseif_clause_token1 = 181,
  aux_sym_elseif_clause_token2 = 182,
  aux_sym__inline_where_statement_token1 = 183,
  aux_sym_end_where_statement_token1 = 184,
  aux_sym_elsewhere_clause_token1 = 185,
  aux_sym__forall_control_expression_token1 = 186,
  aux_sym_end_forall_statement_token1 = 187,
  aux_sym_select_case_statement_token1 = 188,
  aux_sym_select_case_statement_token2 = 189,
  aux_sym_select_case_statement_token3 = 190,
  aux_sym_select_type_statement_token1 = 191,
  aux_sym_select_rank_statement_token1 = 192,
  aux_sym_end_select_statement_token1 = 193,
  aux_sym_type_statement_token1 = 194,
  aux_sym_type_statement_token2 = 195,
  aux_sym_type_statement_token3 = 196,
  aux_sym__class_default_token1 = 197,
  aux_sym_end_block_construct_statement_token1 = 198,
  aux_sym_associate_statement_token1 = 199,
  aux_sym_end_associate_statement_token1 = 200,
  aux_sym_format_statement_token1 = 201,
  aux_sym_edit_descriptor_token1 = 202,
  aux_sym_print_statement_token1 = 203,
  aux_sym_open_statement_token1 = 204,
  aux_sym_close_statement_token1 = 205,
  aux_sym_inquire_statement_token1 = 206,
  aux_sym_enum_statement_token1 = 207,
  aux_sym_enumeration_type_statement_token1 = 208,
  aux_sym_enumerator_statement_token1 = 209,
  aux_sym_end_enum_statement_token1 = 210,
  aux_sym_file_position_statement_token1 = 211,
  aux_sym_file_position_statement_token2 = 212,
  aux_sym_file_position_statement_token3 = 213,
  aux_sym_file_position_statement_token4 = 214,
  aux_sym_allocate_statement_token1 = 215,
  aux_sym_entry_statement_token1 = 216,
  aux_sym_assign_statement_token1 = 217,
  aux_sym_logical_expression_token1 = 218,
  aux_sym_logical_expression_token2 = 219,
  aux_sym_logical_expression_token3 = 220,
  aux_sym_logical_expression_token4 = 221,
  aux_sym_logical_expression_token5 = 222,
  aux_sym_relational_expression_token1 = 223,
  aux_sym_relational_expression_token2 = 224,
  aux_sym_relational_expression_token3 = 225,
  aux_sym_relational_expression_token4 = 226,
  aux_sym_relational_expression_token5 = 227,
  anon_sym_SLASH_EQ = 228,
  aux_sym_relational_expression_token6 = 229,
  anon_sym_SLASH_SLASH = 230,
  anon_sym_STAR_STAR = 231,
  anon_sym_DOT = 232,
  aux_sym_user_defined_operator_token1 = 233,
  anon_sym_AT = 234,
  sym_assumed_rank = 235,
  anon_sym_LPAREN_SLASH = 236,
  anon_sym_SLASH_RPAREN = 237,
  anon_sym_LBRACK = 238,
  anon_sym_RBRACK = 239,
  aux_sym_boolean_literal_token1 = 240,
  aux_sym_boolean_literal_token2 = 241,
  anon_sym__ = 242,
  aux_sym__kind_token1 = 243,
  aux_sym__kind_token2 = 244,
  aux_sym_null_literal_token1 = 245,
  aux_sym_coarray_statement_token1 = 246,
  aux_sym_coarray_statement_token2 = 247,
  aux_sym_coarray_statement_token3 = 248,
  aux_sym_coarray_statement_token4 = 249,
  aux_sym_coarray_statement_token5 = 250,
  aux_sym_coarray_statement_token6 = 251,
  aux_sym_coarray_statement_token7 = 252,
  aux_sym_coarray_statement_token8 = 253,
  aux_sym_coarray_statement_token9 = 254,
  aux_sym_coarray_statement_token10 = 255,
  aux_sym_coarray_statement_token11 = 256,
  aux_sym_coarray_statement_token12 = 257,
  aux_sym_coarray_statement_token13 = 258,
  aux_sym_coarray_team_statement_token1 = 259,
  aux_sym_end_coarray_team_statement_token1 = 260,
  aux_sym_coarray_critical_statement_token1 = 261,
  aux_sym_end_coarray_critical_statement_token1 = 262,
  anon_sym_QMARK = 263,
  aux_sym_nil_literal_token1 = 264,
  aux_sym_identifier_token1 = 265,
  sym_comment = 266,
  sym__integer_literal = 267,
  sym__float_literal = 268,
  sym__boz_literal = 269,
  sym__string_literal = 270,
  sym__string_literal_kind = 271,
  sym__external_end_of_statement = 272,
  sym__preproc_unary_operator = 273,
  sym_hollerith_constant = 274,
  sym_translation_unit = 275,
  sym_preproc_include = 276,
  sym_preproc_def = 277,
  sym_preproc_function_def = 278,
  sym_preproc_params = 279,
  sym_preproc_call = 280,
  sym_preproc_if = 281,
  sym_preproc_ifdef = 282,
  sym_preproc_else = 283,
  sym_preproc_elif = 284,
  sym_preproc_elifdef = 285,
  sym_preproc_if_in_module = 286,
  sym_preproc_ifdef_in_module = 287,
  sym_preproc_else_in_module = 288,
  sym_preproc_elif_in_module = 289,
  sym_preproc_elifdef_in_module = 290,
  sym_preproc_if_in_specification_part = 291,
  sym_preproc_ifdef_in_specification_part = 292,
  sym_preproc_else_in_specification_part = 293,
  sym_preproc_elif_in_specification_part = 294,
  sym_preproc_elifdef_in_specification_part = 295,
  sym_preproc_if_in_statements = 296,
  sym_preproc_ifdef_in_statements = 297,
  sym_preproc_else_in_statements = 298,
  sym_preproc_elif_in_statements = 299,
  sym_preproc_elifdef_in_statements = 300,
  sym_preproc_if_in_procedure_statements = 301,
  sym_preproc_ifdef_in_procedure_statements = 302,
  sym_preproc_else_in_procedure_statements = 303,
  sym_preproc_elif_in_procedure_statements = 304,
  sym_preproc_elifdef_in_procedure_statements = 305,
  sym_preproc_if_in_internal_procedures = 306,
  sym_preproc_ifdef_in_internal_procedures = 307,
  sym_preproc_else_in_internal_procedures = 308,
  sym_preproc_elif_in_internal_procedures = 309,
  sym_preproc_elifdef_in_internal_procedures = 310,
  sym_preproc_if_in_interface = 311,
  sym_preproc_ifdef_in_interface = 312,
  sym_preproc_else_in_interface = 313,
  sym_preproc_elif_in_interface = 314,
  sym_preproc_elifdef_in_interface = 315,
  sym_preproc_if_in_derived_type = 316,
  sym_preproc_ifdef_in_derived_type = 317,
  sym_preproc_else_in_derived_type = 318,
  sym_preproc_elif_in_derived_type = 319,
  sym_preproc_elifdef_in_derived_type = 320,
  sym_preproc_if_in_bound_procedures = 321,
  sym_preproc_ifdef_in_bound_procedures = 322,
  sym_preproc_else_in_bound_procedures = 323,
  sym_preproc_elif_in_bound_procedures = 324,
  sym_preproc_elifdef_in_bound_procedures = 325,
  sym_preproc_if_in_select_case = 326,
  sym_preproc_ifdef_in_select_case = 327,
  sym_preproc_else_in_select_case = 328,
  sym_preproc_elif_in_select_case = 329,
  sym_preproc_elifdef_in_select_case = 330,
  sym_preproc_if_in_select_type = 331,
  sym_preproc_ifdef_in_select_type = 332,
  sym_preproc_else_in_select_type = 333,
  sym_preproc_elif_in_select_type = 334,
  sym_preproc_elifdef_in_select_type = 335,
  sym_preproc_if_in_select_rank = 336,
  sym_preproc_ifdef_in_select_rank = 337,
  sym_preproc_else_in_select_rank = 338,
  sym_preproc_elif_in_select_rank = 339,
  sym_preproc_elifdef_in_select_rank = 340,
  sym__preproc_expression = 341,
  sym_preproc_parenthesized_expression = 342,
  sym_preproc_defined = 343,
  sym_preproc_unary_expression = 344,
  sym_preproc_call_expression = 345,
  sym_preproc_argument_list = 346,
  sym_preproc_binary_expression = 347,
  sym_program = 348,
  sym_program_statement = 349,
  sym_end_program_statement = 350,
  sym_module = 351,
  sym_module_statement = 352,
  sym_end_module_statement = 353,
  sym_submodule = 354,
  sym_submodule_statement = 355,
  sym_end_submodule_statement = 356,
  sym_module_name = 357,
  sym_interface = 358,
  sym__interface_items = 359,
  sym_interface_statement = 360,
  sym_end_interface_statement = 361,
  sym_block_data = 362,
  sym_block_data_statement = 363,
  sym_end_block_data_statement = 364,
  sym_assignment = 365,
  sym_operator = 366,
  sym_defined_io_procedure = 367,
  sym__generic_procedure = 368,
  sym_subroutine = 369,
  sym_subroutine_statement = 370,
  sym_end_subroutine_statement = 371,
  sym_module_procedure = 372,
  sym_module_procedure_statement = 373,
  sym_end_module_procedure_statement = 374,
  sym_function = 375,
  sym_function_statement = 376,
  sym_language_binding = 377,
  aux_sym__callable_interface_qualifers = 378,
  sym_procedure_attributes = 379,
  sym_end_function_statement = 380,
  sym_function_result = 381,
  sym__name = 382,
  sym__parameters = 383,
  sym_parameters = 384,
  sym_internal_procedures = 385,
  sym_contains_statement = 386,
  sym__internal_procedures = 387,
  sym__specification_part = 388,
  sym_use_statement = 389,
  sym_included_items = 390,
  sym_use_alias = 391,
  sym_implicit_statement = 392,
  sym_save_statement = 393,
  sym_private_statement = 394,
  sym_public_statement = 395,
  sym_namelist_statement = 396,
  sym_common_statement = 397,
  sym_variable_group = 398,
  sym_implicit_range = 399,
  sym_import_statement = 400,
  sym__import_names = 401,
  sym_derived_type_definition = 402,
  sym_abstract_specifier = 403,
  sym_access_specifier = 404,
  sym_base_type_specifier = 405,
  sym__derived_type_qualifier = 406,
  sym_derived_type_statement = 407,
  sym_end_type_statement = 408,
  sym__type_name = 409,
  sym_derived_type_procedures = 410,
  sym_procedure_statement = 411,
  sym_binding = 412,
  sym_binding_name = 413,
  sym_method_name = 414,
  sym_procedure_kind = 415,
  sym_procedure_attribute = 416,
  sym_variable_declaration = 417,
  sym_procedure_declaration = 418,
  sym_variable_modification = 419,
  sym_variable_attributes = 420,
  sym__variable_declarator = 421,
  sym_sized_declarator = 422,
  sym__declaration_assignment = 423,
  sym__declaration_pointer_association = 424,
  sym__declaration_targets = 425,
  sym__intrinsic_type = 426,
  sym_intrinsic_type = 427,
  sym_derived_type = 428,
  sym_declared_type = 429,
  sym_unlimited_polymorphic = 430,
  sym_kind = 431,
  sym_character_length = 432,
  sym__standalone_type_qualifier = 433,
  sym_type_qualifier = 434,
  sym_procedure_qualifier = 435,
  sym_parameter_statement = 436,
  sym_parameter_assignment = 437,
  sym_equivalence_statement = 438,
  sym_equivalence_set = 439,
  sym__statements = 440,
  sym_statement_label = 441,
  sym_statement_label_reference = 442,
  sym_stop_statement = 443,
  sym_assignment_statement = 444,
  sym_pointer_association_statement = 445,
  sym_subroutine_call = 446,
  sym_cuda_kernel_argument_list = 447,
  sym_keyword_statement = 448,
  sym_include_statement = 449,
  sym_data_statement = 450,
  sym_data_set = 451,
  sym_data_value = 452,
  sym_do_loop_statement = 453,
  sym_end_do_loop_statement = 454,
  sym_do_label_statement = 455,
  sym_end_do_label_statement = 456,
  sym_while_statement = 457,
  sym_concurrent_statement = 458,
  sym_concurrent_header = 459,
  sym_concurrent_control = 460,
  sym_concurrent_locality = 461,
  sym_binary_op = 462,
  sym_if_statement = 463,
  sym__inline_if_statement = 464,
  sym_arithmetic_if_statement = 465,
  sym__block_if_statement = 466,
  sym_end_if_statement = 467,
  sym_elseif_clause = 468,
  sym_else_clause = 469,
  sym_where_statement = 470,
  sym__inline_where_statement = 471,
  sym__block_where_statement = 472,
  sym_end_where_statement = 473,
  sym_elsewhere_clause = 474,
  sym_forall_statement = 475,
  sym_triplet_spec = 476,
  sym__forall_control_expression = 477,
  sym__inline_forall_statement = 478,
  sym__block_forall_statement = 479,
  sym_end_forall_statement = 480,
  sym_select_case_statement = 481,
  sym_select_type_statement = 482,
  sym_select_rank_statement = 483,
  sym_end_select_statement = 484,
  sym_selector = 485,
  sym_case_statement = 486,
  sym_type_statement = 487,
  sym__class_default = 488,
  sym_case_value_range_list = 489,
  sym_rank_statement = 490,
  sym_block_construct = 491,
  sym_end_block_construct_statement = 492,
  sym_associate_statement = 493,
  sym_association = 494,
  sym_end_associate_statement = 495,
  sym_format_statement = 496,
  sym__transfer_item = 497,
  sym__transfer_items = 498,
  sym_edit_descriptor = 499,
  sym__io_arguments = 500,
  sym_read_statement = 501,
  sym__simple_read_statement = 502,
  sym__parameterized_read_statement = 503,
  sym_print_statement = 504,
  sym_open_statement = 505,
  sym_close_statement = 506,
  sym_write_statement = 507,
  sym_inquire_statement = 508,
  sym_enum = 509,
  sym_enum_statement = 510,
  sym_enumeration_type = 511,
  sym_enumeration_type_statement = 512,
  sym_enumerator_statement = 513,
  sym_end_enum_statement = 514,
  sym_end_enumeration_type_statement = 515,
  sym_unit_identifier = 516,
  sym_format_identifier = 517,
  sym__file_position_spec = 518,
  sym_file_position_statement = 519,
  sym__io_expressions = 520,
  sym_input_item_list = 521,
  sym_output_item_list = 522,
  sym_allocate_statement = 523,
  sym_sized_allocation = 524,
  sym_coarray_allocation = 525,
  sym_entry_statement = 526,
  sym_assign_statement = 527,
  sym__expression = 528,
  sym_parenthesized_expression = 529,
  sym_derived_type_member_expression = 530,
  sym_logical_expression = 531,
  sym_relational_expression = 532,
  sym_concatenation_expression = 533,
  sym_math_expression = 534,
  sym_unary_expression = 535,
  sym_user_defined_operator = 536,
  sym_call_expression = 537,
  sym_implied_do_loop_expression = 538,
  sym__argument_list = 539,
  sym_argument_list = 540,
  sym_keyword_argument = 541,
  sym__extent_specifier = 542,
  sym_extent_specifier = 543,
  sym_multiple_subscript = 544,
  sym_multiple_subscript_triplet = 545,
  sym_assumed_size = 546,
  sym_assumed_shape = 547,
  sym_block_label_start_expression = 548,
  sym__block_label = 549,
  sym_loop_control_expression = 550,
  sym_array_literal = 551,
  sym__array_constructor_legacy = 552,
  sym__array_constructor_f2003 = 553,
  sym__type_spec = 554,
  sym__ac_value_list = 555,
  sym_complex_literal = 556,
  sym_number_literal = 557,
  sym_boolean_literal = 558,
  sym__kind = 559,
  sym_null_literal = 560,
  sym_string_literal = 561,
  sym_coarray_index = 562,
  sym__coarray_extent_specifier = 563,
  sym_coarray_declarator = 564,
  sym_coarray_expression = 565,
  sym_coarray_statement = 566,
  sym_coarray_team_statement = 567,
  sym_end_coarray_team_statement = 568,
  sym_coarray_critical_statement = 569,
  sym_end_coarray_critical_statement = 570,
  sym_conditional_expression = 571,
  sym_nil_literal = 572,
  sym_identifier = 573,
  sym__end_of_statement = 574,
  aux_sym_translation_unit_repeat1 = 575,
  aux_sym_preproc_params_repeat1 = 576,
  aux_sym_preproc_if_in_module_repeat1 = 577,
  aux_sym_preproc_if_in_specification_part_repeat1 = 578,
  aux_sym_preproc_if_in_internal_procedures_repeat1 = 579,
  aux_sym_preproc_if_in_interface_repeat1 = 580,
  aux_sym_preproc_if_in_derived_type_repeat1 = 581,
  aux_sym_preproc_if_in_bound_procedures_repeat1 = 582,
  aux_sym_preproc_argument_list_repeat1 = 583,
  aux_sym_program_repeat1 = 584,
  aux_sym_module_repeat1 = 585,
  aux_sym_interface_repeat1 = 586,
  aux_sym_subroutine_repeat1 = 587,
  aux_sym_function_statement_repeat1 = 588,
  aux_sym_procedure_attributes_repeat1 = 589,
  aux_sym_parameters_repeat1 = 590,
  aux_sym_use_statement_repeat1 = 591,
  aux_sym_included_items_repeat1 = 592,
  aux_sym_implicit_statement_repeat1 = 593,
  aux_sym_implicit_statement_repeat2 = 594,
  aux_sym_implicit_statement_repeat3 = 595,
  aux_sym_save_statement_repeat1 = 596,
  aux_sym_private_statement_repeat1 = 597,
  aux_sym_namelist_statement_repeat1 = 598,
  aux_sym_common_statement_repeat1 = 599,
  aux_sym_common_statement_repeat2 = 600,
  aux_sym_derived_type_definition_repeat1 = 601,
  aux_sym_derived_type_statement_repeat1 = 602,
  aux_sym_derived_type_procedures_repeat1 = 603,
  aux_sym_procedure_statement_repeat1 = 604,
  aux_sym_procedure_statement_repeat2 = 605,
  aux_sym_variable_declaration_repeat1 = 606,
  aux_sym_variable_modification_repeat1 = 607,
  aux_sym_variable_modification_repeat2 = 608,
  aux_sym__declaration_targets_repeat1 = 609,
  aux_sym_parameter_statement_repeat1 = 610,
  aux_sym_equivalence_statement_repeat1 = 611,
  aux_sym_equivalence_set_repeat1 = 612,
  aux_sym_cuda_kernel_argument_list_repeat1 = 613,
  aux_sym_keyword_statement_repeat1 = 614,
  aux_sym_data_statement_repeat1 = 615,
  aux_sym_data_set_repeat1 = 616,
  aux_sym_data_value_repeat1 = 617,
  aux_sym_concurrent_statement_repeat1 = 618,
  aux_sym_concurrent_header_repeat1 = 619,
  aux_sym__block_if_statement_repeat1 = 620,
  aux_sym__block_where_statement_repeat1 = 621,
  aux_sym__forall_control_expression_repeat1 = 622,
  aux_sym_select_case_statement_repeat1 = 623,
  aux_sym_select_type_statement_repeat1 = 624,
  aux_sym_select_rank_statement_repeat1 = 625,
  aux_sym_case_value_range_list_repeat1 = 626,
  aux_sym_associate_statement_repeat1 = 627,
  aux_sym__transfer_items_repeat1 = 628,
  aux_sym__io_arguments_repeat1 = 629,
  aux_sym_enum_repeat1 = 630,
  aux_sym_enumerator_statement_repeat1 = 631,
  aux_sym_allocate_statement_repeat1 = 632,
  aux_sym_call_expression_repeat1 = 633,
  aux_sym__argument_list_repeat1 = 634,
  aux_sym_coarray_index_repeat1 = 635,
  aux_sym_coarray_index_repeat2 = 636,
  alias_sym_block_label = 637,
  anon_alias_sym_class = 638,
  alias_sym_coarray_size = 639,
  alias_sym_concurrent_mask = 640,
  anon_alias_sym_default = 641,
  alias_sym_derived_type_parameter_list = 642,
  anon_alias_sym_double = 643,
  anon_alias_sym_else = 644,
  anon_alias_sym_end = 645,
  alias_sym_filename = 646,
  anon_alias_sym_go = 647,
  anon_alias_sym_label = 648,
  alias_sym_local_name = 649,
  anon_alias_sym_method_name = 650,
  alias_sym_name = 651,
  anon_alias_sym_none = 652,
  alias_sym_procedure_interface = 653,
  anon_alias_sym_program = 654,
  anon_alias_sym_select = 655,
  alias_sym_sequence_statement = 656,
  alias_sym_size = 657,
  anon_alias_sym_statement_label = 658,
  anon_alias_sym_statement_label_reference = 659,
  anon_alias_sym_to = 660,
  alias_sym_transfer_items = 661,
  alias_sym_type_member = 662,
  alias_sym_type_name = 663,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [aux_sym_preproc_def_token2] = "preproc_def_token2",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [sym_preproc_comment] = "preproc_comment",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_system_lib_string] = "system_lib_string",
  [aux_sym_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token1] = "end[object Object]",
  [aux_sym_end_program_statement_token2] = "endprogram",
  [aux_sym_module_statement_token1] = "module",
  [aux_sym_end_module_statement_token1] = "endmodule",
  [aux_sym_submodule_statement_token1] = "submodule",
  [anon_sym_COLON] = ":",
  [aux_sym_end_submodule_statement_token1] = "endsubmodule",
  [anon_sym_SEMI] = ";",
  [aux_sym_interface_statement_token1] = "interface",
  [aux_sym_end_interface_statement_token1] = "endinterface",
  [aux_sym_block_data_statement_token1] = "block",
  [aux_sym_block_data_statement_token2] = "data",
  [aux_sym_block_data_statement_token3] = "blockdata",
  [aux_sym_end_block_data_statement_token1] = "end[object Object]",
  [aux_sym_assignment_token1] = "assignment",
  [anon_sym_EQ] = "=",
  [aux_sym_operator_token1] = "operator",
  [aux_sym_operator_token2] = "operator_token2",
  [aux_sym_defined_io_procedure_token1] = "read",
  [aux_sym_defined_io_procedure_token2] = "write",
  [aux_sym_defined_io_procedure_token3] = "formatted",
  [aux_sym_defined_io_procedure_token4] = "unformatted",
  [aux_sym_subroutine_statement_token1] = "subroutine",
  [aux_sym_end_subroutine_statement_token1] = "endsubroutine",
  [aux_sym_module_procedure_statement_token1] = "procedure",
  [aux_sym_end_module_procedure_statement_token1] = "endprocedure",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_language_binding_token1] = "bind",
  [aux_sym_procedure_attributes_token1] = "attributes",
  [aux_sym_procedure_attributes_token2] = "global",
  [aux_sym_procedure_attributes_token3] = "device",
  [aux_sym_procedure_attributes_token4] = "host",
  [aux_sym_procedure_attributes_token5] = "grid_global",
  [aux_sym_end_function_statement_token1] = "endfunction",
  [aux_sym_function_result_token1] = "result",
  [aux_sym_contains_statement_token1] = "contains",
  [aux_sym_use_statement_token1] = "use",
  [aux_sym_use_statement_token2] = "intrinsic",
  [aux_sym_use_statement_token3] = "non_intrinsic",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_included_items_token1] = "only",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_implicit_statement_token1] = "implicit",
  [aux_sym_implicit_statement_token2] = "none",
  [aux_sym_implicit_statement_token3] = "type",
  [aux_sym_implicit_statement_token4] = "external",
  [aux_sym_save_statement_token1] = "save",
  [aux_sym_private_statement_token1] = "private",
  [aux_sym_public_statement_token1] = "public",
  [aux_sym_namelist_statement_token1] = "namelist",
  [aux_sym_common_statement_token1] = "common",
  [aux_sym_implicit_range_token1] = "implicit_range_token1",
  [aux_sym_import_statement_token1] = "import",
  [aux_sym__import_names_token1] = "all",
  [aux_sym_derived_type_definition_token1] = "sequence",
  [aux_sym_abstract_specifier_token1] = "abstract",
  [aux_sym_base_type_specifier_token1] = "extends",
  [aux_sym_end_type_statement_token1] = "endtype",
  [aux_sym_procedure_kind_token1] = "generic",
  [aux_sym_procedure_kind_token2] = "initial",
  [aux_sym_procedure_kind_token3] = "property",
  [aux_sym_procedure_kind_token4] = "final",
  [aux_sym_procedure_attribute_token1] = "deferred",
  [aux_sym_procedure_attribute_token2] = "pass",
  [aux_sym_procedure_attribute_token3] = "nopass",
  [aux_sym_procedure_attribute_token4] = "non_overridable",
  [aux_sym_procedure_attribute_token5] = "family",
  [aux_sym_procedure_attribute_token6] = "pointer",
  [aux_sym_variable_attributes_token1] = "managed",
  [aux_sym_variable_attributes_token2] = "constant",
  [aux_sym_variable_attributes_token3] = "shared",
  [aux_sym_variable_attributes_token4] = "pinned",
  [aux_sym_variable_attributes_token5] = "texture",
  [aux_sym__intrinsic_type_token1] = "byte",
  [aux_sym__intrinsic_type_token2] = "integer",
  [aux_sym__intrinsic_type_token3] = "real",
  [aux_sym__intrinsic_type_token4] = "doubleprecision",
  [aux_sym__intrinsic_type_token5] = "doubleprecision",
  [aux_sym__intrinsic_type_token6] = "doubleprecision",
  [aux_sym__intrinsic_type_token7] = "complex",
  [aux_sym__intrinsic_type_token8] = "doublecomplex",
  [aux_sym__intrinsic_type_token9] = "logical",
  [aux_sym__intrinsic_type_token10] = "character",
  [aux_sym_derived_type_token1] = "derived_type_token1",
  [aux_sym_declared_type_token1] = "typeof",
  [aux_sym_declared_type_token2] = "classof",
  [aux_sym_kind_token1] = "kind_token1",
  [aux_sym__standalone_type_qualifier_token1] = "allocatable",
  [aux_sym__standalone_type_qualifier_token2] = "automatic",
  [aux_sym__standalone_type_qualifier_token3] = "codimension",
  [aux_sym__standalone_type_qualifier_token4] = "dimension",
  [aux_sym__standalone_type_qualifier_token5] = "contiguous",
  [aux_sym__standalone_type_qualifier_token6] = "intent",
  [aux_sym__standalone_type_qualifier_token7] = "in",
  [aux_sym__standalone_type_qualifier_token8] = "out",
  [aux_sym__standalone_type_qualifier_token9] = "inout",
  [aux_sym__standalone_type_qualifier_token10] = "optional",
  [aux_sym__standalone_type_qualifier_token11] = "parameter",
  [aux_sym__standalone_type_qualifier_token12] = "protected",
  [aux_sym__standalone_type_qualifier_token13] = "rank",
  [aux_sym__standalone_type_qualifier_token14] = "static",
  [aux_sym__standalone_type_qualifier_token15] = "target",
  [aux_sym__standalone_type_qualifier_token16] = "value",
  [aux_sym__standalone_type_qualifier_token17] = "volatile",
  [aux_sym_type_qualifier_token1] = "kind",
  [aux_sym_type_qualifier_token2] = "len",
  [aux_sym_procedure_qualifier_token1] = "elemental",
  [aux_sym_procedure_qualifier_token2] = "impure",
  [aux_sym_procedure_qualifier_token3] = "pure",
  [aux_sym_procedure_qualifier_token4] = "recursive",
  [aux_sym_procedure_qualifier_token5] = "simple",
  [aux_sym_equivalence_statement_token1] = "equivalence",
  [aux_sym_stop_statement_token1] = "error",
  [aux_sym_stop_statement_token2] = "stop",
  [aux_sym_stop_statement_token3] = "quiet",
  [aux_sym_subroutine_call_token1] = "call",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_GT_GT_GT] = ">>>",
  [aux_sym_keyword_statement_token1] = "continue",
  [aux_sym_keyword_statement_token2] = "cycle",
  [aux_sym_keyword_statement_token3] = "exit",
  [aux_sym_keyword_statement_token4] = "goto",
  [aux_sym_keyword_statement_token5] = "goto",
  [aux_sym_keyword_statement_token6] = "goto",
  [aux_sym_keyword_statement_token7] = "return",
  [aux_sym_include_statement_token1] = "include",
  [aux_sym_do_loop_statement_token1] = "do",
  [aux_sym_end_do_loop_statement_token1] = "enddo",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_concurrent_header_token1] = "concurrent",
  [aux_sym_concurrent_locality_token1] = "local",
  [aux_sym_concurrent_locality_token2] = "local_init",
  [aux_sym_concurrent_locality_token3] = "concurrent_locality_token3",
  [aux_sym_concurrent_locality_token4] = "reduce",
  [aux_sym_binary_op_token1] = "binary_op_token1",
  [aux_sym__inline_if_statement_token1] = "if",
  [aux_sym__block_if_statement_token1] = "then",
  [aux_sym_end_if_statement_token1] = "endif",
  [aux_sym_elseif_clause_token1] = "elsewhere",
  [aux_sym_elseif_clause_token2] = "elseif",
  [aux_sym__inline_where_statement_token1] = "where",
  [aux_sym_end_where_statement_token1] = "endwhere",
  [aux_sym_elsewhere_clause_token1] = "elsewhere",
  [aux_sym__forall_control_expression_token1] = "forall",
  [aux_sym_end_forall_statement_token1] = "endforall",
  [aux_sym_select_case_statement_token1] = "selectcase",
  [aux_sym_select_case_statement_token2] = "case",
  [aux_sym_select_case_statement_token3] = "selectcase",
  [aux_sym_select_type_statement_token1] = "selecttype",
  [aux_sym_select_rank_statement_token1] = "selectrank",
  [aux_sym_end_select_statement_token1] = "endselect",
  [aux_sym_type_statement_token1] = "typeis",
  [aux_sym_type_statement_token2] = "typeis",
  [aux_sym_type_statement_token3] = "classis",
  [aux_sym__class_default_token1] = "_class_default_token1",
  [aux_sym_end_block_construct_statement_token1] = "endblock",
  [aux_sym_associate_statement_token1] = "associate",
  [aux_sym_end_associate_statement_token1] = "endassociate",
  [aux_sym_format_statement_token1] = "format",
  [aux_sym_edit_descriptor_token1] = "edit_descriptor_token1",
  [aux_sym_print_statement_token1] = "print",
  [aux_sym_open_statement_token1] = "open",
  [aux_sym_close_statement_token1] = "close",
  [aux_sym_inquire_statement_token1] = "inquire",
  [aux_sym_enum_statement_token1] = "enum",
  [aux_sym_enumeration_type_statement_token1] = "enumeration",
  [aux_sym_enumerator_statement_token1] = "enumerator",
  [aux_sym_end_enum_statement_token1] = "endenum",
  [aux_sym_file_position_statement_token1] = "backspace",
  [aux_sym_file_position_statement_token2] = "endfile",
  [aux_sym_file_position_statement_token3] = "rewind",
  [aux_sym_file_position_statement_token4] = "pause",
  [aux_sym_allocate_statement_token1] = "allocate",
  [aux_sym_entry_statement_token1] = "entry",
  [aux_sym_assign_statement_token1] = "assign",
  [aux_sym_logical_expression_token1] = "\\.or\\.",
  [aux_sym_logical_expression_token2] = "\\.and\\.",
  [aux_sym_logical_expression_token3] = "\\.eqv\\.",
  [aux_sym_logical_expression_token4] = "\\.neqv\\.",
  [aux_sym_logical_expression_token5] = "\\.not\\.",
  [aux_sym_relational_expression_token1] = "\\.lt\\.",
  [aux_sym_relational_expression_token2] = "\\.gt\\.",
  [aux_sym_relational_expression_token3] = "\\.le\\.",
  [aux_sym_relational_expression_token4] = "\\.ge\\.",
  [aux_sym_relational_expression_token5] = "\\.eq\\.",
  [anon_sym_SLASH_EQ] = "/=",
  [aux_sym_relational_expression_token6] = "\\.ne\\.",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_DOT] = ".",
  [aux_sym_user_defined_operator_token1] = "user_defined_operator_token1",
  [anon_sym_AT] = "@",
  [sym_assumed_rank] = "assumed_rank",
  [anon_sym_LPAREN_SLASH] = "(/",
  [anon_sym_SLASH_RPAREN] = "/)",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_boolean_literal_token1] = "\\.true\\.",
  [aux_sym_boolean_literal_token2] = "\\.false\\.",
  [anon_sym__] = "_",
  [aux_sym__kind_token1] = "identifier",
  [aux_sym__kind_token2] = "number_literal",
  [aux_sym_null_literal_token1] = "null",
  [aux_sym_coarray_statement_token1] = "sync",
  [aux_sym_coarray_statement_token2] = "form",
  [aux_sym_coarray_statement_token3] = "images",
  [aux_sym_coarray_statement_token4] = "memory",
  [aux_sym_coarray_statement_token5] = "team",
  [aux_sym_coarray_statement_token6] = "fail",
  [aux_sym_coarray_statement_token7] = "image",
  [aux_sym_coarray_statement_token8] = "event",
  [aux_sym_coarray_statement_token9] = "post",
  [aux_sym_coarray_statement_token10] = "wait",
  [aux_sym_coarray_statement_token11] = "lock",
  [aux_sym_coarray_statement_token12] = "unlock",
  [aux_sym_coarray_statement_token13] = "notify",
  [aux_sym_coarray_team_statement_token1] = "change",
  [aux_sym_end_coarray_team_statement_token1] = "endteam",
  [aux_sym_coarray_critical_statement_token1] = "critical",
  [aux_sym_end_coarray_critical_statement_token1] = "endcritical",
  [anon_sym_QMARK] = "\?",
  [aux_sym_nil_literal_token1] = "\\.nil\\.",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym_comment] = "comment",
  [sym__integer_literal] = "_integer_literal",
  [sym__float_literal] = "_float_literal",
  [sym__boz_literal] = "_boz_literal",
  [sym__string_literal] = "_string_literal",
  [sym__string_literal_kind] = "identifier",
  [sym__external_end_of_statement] = "_external_end_of_statement",
  [sym__preproc_unary_operator] = "_preproc_unary_operator",
  [sym_hollerith_constant] = "hollerith_constant",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_module] = "preproc_if",
  [sym_preproc_ifdef_in_module] = "preproc_ifdef",
  [sym_preproc_else_in_module] = "preproc_else",
  [sym_preproc_elif_in_module] = "preproc_elif",
  [sym_preproc_elifdef_in_module] = "preproc_elifdef",
  [sym_preproc_if_in_specification_part] = "preproc_if",
  [sym_preproc_ifdef_in_specification_part] = "preproc_ifdef",
  [sym_preproc_else_in_specification_part] = "preproc_else",
  [sym_preproc_elif_in_specification_part] = "preproc_elif",
  [sym_preproc_elifdef_in_specification_part] = "preproc_elifdef",
  [sym_preproc_if_in_statements] = "preproc_if",
  [sym_preproc_ifdef_in_statements] = "preproc_ifdef",
  [sym_preproc_else_in_statements] = "preproc_else",
  [sym_preproc_elif_in_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_statements] = "preproc_elifdef",
  [sym_preproc_if_in_procedure_statements] = "preproc_if",
  [sym_preproc_ifdef_in_procedure_statements] = "preproc_ifdef",
  [sym_preproc_else_in_procedure_statements] = "preproc_else",
  [sym_preproc_elif_in_procedure_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_procedure_statements] = "preproc_elifdef",
  [sym_preproc_if_in_internal_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_internal_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_internal_procedures] = "preproc_else",
  [sym_preproc_elif_in_internal_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_internal_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_interface] = "preproc_if",
  [sym_preproc_ifdef_in_interface] = "preproc_ifdef",
  [sym_preproc_else_in_interface] = "preproc_else",
  [sym_preproc_elif_in_interface] = "preproc_elif",
  [sym_preproc_elifdef_in_interface] = "preproc_elifdef",
  [sym_preproc_if_in_derived_type] = "preproc_if",
  [sym_preproc_ifdef_in_derived_type] = "preproc_ifdef",
  [sym_preproc_else_in_derived_type] = "preproc_else",
  [sym_preproc_elif_in_derived_type] = "preproc_elif",
  [sym_preproc_elifdef_in_derived_type] = "preproc_elifdef",
  [sym_preproc_if_in_bound_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_bound_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_bound_procedures] = "preproc_else",
  [sym_preproc_elif_in_bound_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_bound_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_select_case] = "preproc_if",
  [sym_preproc_ifdef_in_select_case] = "preproc_ifdef",
  [sym_preproc_else_in_select_case] = "preproc_else",
  [sym_preproc_elif_in_select_case] = "preproc_elif",
  [sym_preproc_elifdef_in_select_case] = "preproc_elifdef",
  [sym_preproc_if_in_select_type] = "preproc_if",
  [sym_preproc_ifdef_in_select_type] = "preproc_ifdef",
  [sym_preproc_else_in_select_type] = "preproc_else",
  [sym_preproc_elif_in_select_type] = "preproc_elif",
  [sym_preproc_elifdef_in_select_type] = "preproc_elifdef",
  [sym_preproc_if_in_select_rank] = "preproc_if",
  [sym_preproc_ifdef_in_select_rank] = "preproc_ifdef",
  [sym_preproc_else_in_select_rank] = "preproc_else",
  [sym_preproc_elif_in_select_rank] = "preproc_elif",
  [sym_preproc_elifdef_in_select_rank] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_program] = "program",
  [sym_program_statement] = "program_statement",
  [sym_end_program_statement] = "end_program_statement",
  [sym_module] = "module",
  [sym_module_statement] = "module_statement",
  [sym_end_module_statement] = "end_module_statement",
  [sym_submodule] = "submodule",
  [sym_submodule_statement] = "submodule_statement",
  [sym_end_submodule_statement] = "end_submodule_statement",
  [sym_module_name] = "module_name",
  [sym_interface] = "interface",
  [sym__interface_items] = "_interface_items",
  [sym_interface_statement] = "interface_statement",
  [sym_end_interface_statement] = "end_interface_statement",
  [sym_block_data] = "block_data",
  [sym_block_data_statement] = "block_data_statement",
  [sym_end_block_data_statement] = "end_block_data_statement",
  [sym_assignment] = "assignment",
  [sym_operator] = "operator",
  [sym_defined_io_procedure] = "defined_io_procedure",
  [sym__generic_procedure] = "_generic_procedure",
  [sym_subroutine] = "subroutine",
  [sym_subroutine_statement] = "subroutine_statement",
  [sym_end_subroutine_statement] = "end_subroutine_statement",
  [sym_module_procedure] = "module_procedure",
  [sym_module_procedure_statement] = "module_procedure_statement",
  [sym_end_module_procedure_statement] = "end_module_procedure_statement",
  [sym_function] = "function",
  [sym_function_statement] = "function_statement",
  [sym_language_binding] = "language_binding",
  [aux_sym__callable_interface_qualifers] = "_callable_interface_qualifers",
  [sym_procedure_attributes] = "procedure_attributes",
  [sym_end_function_statement] = "end_function_statement",
  [sym_function_result] = "function_result",
  [sym__name] = "_name",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym_internal_procedures] = "internal_procedures",
  [sym_contains_statement] = "contains_statement",
  [sym__internal_procedures] = "_internal_procedures",
  [sym__specification_part] = "_specification_part",
  [sym_use_statement] = "use_statement",
  [sym_included_items] = "included_items",
  [sym_use_alias] = "use_alias",
  [sym_implicit_statement] = "implicit_statement",
  [sym_save_statement] = "save_statement",
  [sym_private_statement] = "private_statement",
  [sym_public_statement] = "public_statement",
  [sym_namelist_statement] = "namelist_statement",
  [sym_common_statement] = "common_statement",
  [sym_variable_group] = "variable_group",
  [sym_implicit_range] = "implicit_range",
  [sym_import_statement] = "import_statement",
  [sym__import_names] = "_import_names",
  [sym_derived_type_definition] = "derived_type_definition",
  [sym_abstract_specifier] = "abstract_specifier",
  [sym_access_specifier] = "access_specifier",
  [sym_base_type_specifier] = "base_type_specifier",
  [sym__derived_type_qualifier] = "_derived_type_qualifier",
  [sym_derived_type_statement] = "derived_type_statement",
  [sym_end_type_statement] = "end_type_statement",
  [sym__type_name] = "_type_name",
  [sym_derived_type_procedures] = "derived_type_procedures",
  [sym_procedure_statement] = "procedure_statement",
  [sym_binding] = "binding",
  [sym_binding_name] = "binding_name",
  [sym_method_name] = "method_name",
  [sym_procedure_kind] = "procedure_kind",
  [sym_procedure_attribute] = "procedure_attribute",
  [sym_variable_declaration] = "variable_declaration",
  [sym_procedure_declaration] = "procedure",
  [sym_variable_modification] = "variable_modification",
  [sym_variable_attributes] = "variable_attributes",
  [sym__variable_declarator] = "_variable_declarator",
  [sym_sized_declarator] = "sized_declarator",
  [sym__declaration_assignment] = "init_declarator",
  [sym__declaration_pointer_association] = "pointer_init_declarator",
  [sym__declaration_targets] = "_declaration_targets",
  [sym__intrinsic_type] = "_intrinsic_type",
  [sym_intrinsic_type] = "intrinsic_type",
  [sym_derived_type] = "derived_type",
  [sym_declared_type] = "declared_type",
  [sym_unlimited_polymorphic] = "unlimited_polymorphic",
  [sym_kind] = "kind",
  [sym_character_length] = "character_length",
  [sym__standalone_type_qualifier] = "_standalone_type_qualifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_procedure_qualifier] = "procedure_qualifier",
  [sym_parameter_statement] = "parameter_statement",
  [sym_parameter_assignment] = "parameter_assignment",
  [sym_equivalence_statement] = "equivalence_statement",
  [sym_equivalence_set] = "equivalence_set",
  [sym__statements] = "_statements",
  [sym_statement_label] = "statement_label",
  [sym_statement_label_reference] = "statement_label_reference",
  [sym_stop_statement] = "stop_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_pointer_association_statement] = "pointer_association_statement",
  [sym_subroutine_call] = "subroutine_call",
  [sym_cuda_kernel_argument_list] = "cuda_kernel_argument_list",
  [sym_keyword_statement] = "keyword_statement",
  [sym_include_statement] = "include_statement",
  [sym_data_statement] = "data_statement",
  [sym_data_set] = "data_set",
  [sym_data_value] = "data_value",
  [sym_do_loop_statement] = "do_loop_statement",
  [sym_end_do_loop_statement] = "end_do_loop_statement",
  [sym_do_label_statement] = "do_label_statement",
  [sym_end_do_label_statement] = "end_do_label_statement",
  [sym_while_statement] = "while_statement",
  [sym_concurrent_statement] = "concurrent_statement",
  [sym_concurrent_header] = "concurrent_header",
  [sym_concurrent_control] = "concurrent_control",
  [sym_concurrent_locality] = "concurrent_locality",
  [sym_binary_op] = "binary_op",
  [sym_if_statement] = "if_statement",
  [sym__inline_if_statement] = "_inline_if_statement",
  [sym_arithmetic_if_statement] = "arithmetic_if_statement",
  [sym__block_if_statement] = "_block_if_statement",
  [sym_end_if_statement] = "end_if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_where_statement] = "where_statement",
  [sym__inline_where_statement] = "_inline_where_statement",
  [sym__block_where_statement] = "_block_where_statement",
  [sym_end_where_statement] = "end_where_statement",
  [sym_elsewhere_clause] = "elsewhere_clause",
  [sym_forall_statement] = "forall_statement",
  [sym_triplet_spec] = "triplet_spec",
  [sym__forall_control_expression] = "_forall_control_expression",
  [sym__inline_forall_statement] = "_inline_forall_statement",
  [sym__block_forall_statement] = "_block_forall_statement",
  [sym_end_forall_statement] = "end_forall_statement",
  [sym_select_case_statement] = "select_case_statement",
  [sym_select_type_statement] = "select_type_statement",
  [sym_select_rank_statement] = "select_rank_statement",
  [sym_end_select_statement] = "end_select_statement",
  [sym_selector] = "selector",
  [sym_case_statement] = "case_statement",
  [sym_type_statement] = "type_statement",
  [sym__class_default] = "default",
  [sym_case_value_range_list] = "case_value_range_list",
  [sym_rank_statement] = "rank_statement",
  [sym_block_construct] = "block_construct",
  [sym_end_block_construct_statement] = "end_block_construct_statement",
  [sym_associate_statement] = "associate_statement",
  [sym_association] = "association",
  [sym_end_associate_statement] = "end_associate_statement",
  [sym_format_statement] = "format_statement",
  [sym__transfer_item] = "_transfer_item",
  [sym__transfer_items] = "_transfer_items",
  [sym_edit_descriptor] = "edit_descriptor",
  [sym__io_arguments] = "_io_arguments",
  [sym_read_statement] = "read_statement",
  [sym__simple_read_statement] = "_simple_read_statement",
  [sym__parameterized_read_statement] = "_parameterized_read_statement",
  [sym_print_statement] = "print_statement",
  [sym_open_statement] = "open_statement",
  [sym_close_statement] = "close_statement",
  [sym_write_statement] = "write_statement",
  [sym_inquire_statement] = "inquire_statement",
  [sym_enum] = "enum",
  [sym_enum_statement] = "enum_statement",
  [sym_enumeration_type] = "enumeration_type",
  [sym_enumeration_type_statement] = "enumeration_type_statement",
  [sym_enumerator_statement] = "enumerator_statement",
  [sym_end_enum_statement] = "end_enum_statement",
  [sym_end_enumeration_type_statement] = "end_enumeration_type_statement",
  [sym_unit_identifier] = "unit_identifier",
  [sym_format_identifier] = "format_identifier",
  [sym__file_position_spec] = "_file_position_spec",
  [sym_file_position_statement] = "file_position_statement",
  [sym__io_expressions] = "_io_expressions",
  [sym_input_item_list] = "input_item_list",
  [sym_output_item_list] = "output_item_list",
  [sym_allocate_statement] = "allocate_statement",
  [sym_sized_allocation] = "sized_allocation",
  [sym_coarray_allocation] = "coarray_allocation",
  [sym_entry_statement] = "entry_statement",
  [sym_assign_statement] = "assign_statement",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_derived_type_member_expression] = "derived_type_member_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_math_expression] = "math_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_user_defined_operator] = "user_defined_operator",
  [sym_call_expression] = "call_expression",
  [sym_implied_do_loop_expression] = "implied_do_loop_expression",
  [sym__argument_list] = "_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_keyword_argument] = "keyword_argument",
  [sym__extent_specifier] = "_extent_specifier",
  [sym_extent_specifier] = "extent_specifier",
  [sym_multiple_subscript] = "multiple_subscript",
  [sym_multiple_subscript_triplet] = "multiple_subscript_triplet",
  [sym_assumed_size] = "assumed_size",
  [sym_assumed_shape] = "assumed_shape",
  [sym_block_label_start_expression] = "block_label_start_expression",
  [sym__block_label] = "_block_label",
  [sym_loop_control_expression] = "loop_control_expression",
  [sym_array_literal] = "array_literal",
  [sym__array_constructor_legacy] = "_array_constructor_legacy",
  [sym__array_constructor_f2003] = "_array_constructor_f2003",
  [sym__type_spec] = "_type_spec",
  [sym__ac_value_list] = "_ac_value_list",
  [sym_complex_literal] = "complex_literal",
  [sym_number_literal] = "number_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__kind] = "_kind",
  [sym_null_literal] = "null_literal",
  [sym_string_literal] = "string_literal",
  [sym_coarray_index] = "coarray_index",
  [sym__coarray_extent_specifier] = "extent_specifier",
  [sym_coarray_declarator] = "coarray_declarator",
  [sym_coarray_expression] = "coarray_expression",
  [sym_coarray_statement] = "coarray_statement",
  [sym_coarray_team_statement] = "coarray_team_statement",
  [sym_end_coarray_team_statement] = "end_coarray_team_statement",
  [sym_coarray_critical_statement] = "coarray_critical_statement",
  [sym_end_coarray_critical_statement] = "end_coarray_critical_statement",
  [sym_conditional_expression] = "conditional_expression",
  [sym_nil_literal] = "nil_literal",
  [sym_identifier] = "identifier",
  [sym__end_of_statement] = "_end_of_statement",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_in_module_repeat1] = "preproc_if_in_module_repeat1",
  [aux_sym_preproc_if_in_specification_part_repeat1] = "preproc_if_in_specification_part_repeat1",
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = "preproc_if_in_internal_procedures_repeat1",
  [aux_sym_preproc_if_in_interface_repeat1] = "preproc_if_in_interface_repeat1",
  [aux_sym_preproc_if_in_derived_type_repeat1] = "preproc_if_in_derived_type_repeat1",
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = "preproc_if_in_bound_procedures_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym_interface_repeat1] = "interface_repeat1",
  [aux_sym_subroutine_repeat1] = "subroutine_repeat1",
  [aux_sym_function_statement_repeat1] = "function_statement_repeat1",
  [aux_sym_procedure_attributes_repeat1] = "procedure_attributes_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_use_statement_repeat1] = "use_statement_repeat1",
  [aux_sym_included_items_repeat1] = "included_items_repeat1",
  [aux_sym_implicit_statement_repeat1] = "implicit_statement_repeat1",
  [aux_sym_implicit_statement_repeat2] = "implicit_statement_repeat2",
  [aux_sym_implicit_statement_repeat3] = "implicit_statement_repeat3",
  [aux_sym_save_statement_repeat1] = "save_statement_repeat1",
  [aux_sym_private_statement_repeat1] = "private_statement_repeat1",
  [aux_sym_namelist_statement_repeat1] = "namelist_statement_repeat1",
  [aux_sym_common_statement_repeat1] = "common_statement_repeat1",
  [aux_sym_common_statement_repeat2] = "common_statement_repeat2",
  [aux_sym_derived_type_definition_repeat1] = "derived_type_definition_repeat1",
  [aux_sym_derived_type_statement_repeat1] = "derived_type_statement_repeat1",
  [aux_sym_derived_type_procedures_repeat1] = "derived_type_procedures_repeat1",
  [aux_sym_procedure_statement_repeat1] = "procedure_statement_repeat1",
  [aux_sym_procedure_statement_repeat2] = "procedure_statement_repeat2",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_variable_modification_repeat1] = "variable_modification_repeat1",
  [aux_sym_variable_modification_repeat2] = "variable_modification_repeat2",
  [aux_sym__declaration_targets_repeat1] = "_declaration_targets_repeat1",
  [aux_sym_parameter_statement_repeat1] = "parameter_statement_repeat1",
  [aux_sym_equivalence_statement_repeat1] = "equivalence_statement_repeat1",
  [aux_sym_equivalence_set_repeat1] = "equivalence_set_repeat1",
  [aux_sym_cuda_kernel_argument_list_repeat1] = "cuda_kernel_argument_list_repeat1",
  [aux_sym_keyword_statement_repeat1] = "keyword_statement_repeat1",
  [aux_sym_data_statement_repeat1] = "data_statement_repeat1",
  [aux_sym_data_set_repeat1] = "data_set_repeat1",
  [aux_sym_data_value_repeat1] = "data_value_repeat1",
  [aux_sym_concurrent_statement_repeat1] = "concurrent_statement_repeat1",
  [aux_sym_concurrent_header_repeat1] = "concurrent_header_repeat1",
  [aux_sym__block_if_statement_repeat1] = "_block_if_statement_repeat1",
  [aux_sym__block_where_statement_repeat1] = "_block_where_statement_repeat1",
  [aux_sym__forall_control_expression_repeat1] = "_forall_control_expression_repeat1",
  [aux_sym_select_case_statement_repeat1] = "select_case_statement_repeat1",
  [aux_sym_select_type_statement_repeat1] = "select_type_statement_repeat1",
  [aux_sym_select_rank_statement_repeat1] = "select_rank_statement_repeat1",
  [aux_sym_case_value_range_list_repeat1] = "case_value_range_list_repeat1",
  [aux_sym_associate_statement_repeat1] = "associate_statement_repeat1",
  [aux_sym__transfer_items_repeat1] = "_transfer_items_repeat1",
  [aux_sym__io_arguments_repeat1] = "_io_arguments_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_enumerator_statement_repeat1] = "enumerator_statement_repeat1",
  [aux_sym_allocate_statement_repeat1] = "allocate_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [aux_sym_coarray_index_repeat1] = "coarray_index_repeat1",
  [aux_sym_coarray_index_repeat2] = "coarray_index_repeat2",
  [alias_sym_block_label] = "block_label",
  [anon_alias_sym_class] = "class",
  [alias_sym_coarray_size] = "coarray_size",
  [alias_sym_concurrent_mask] = "concurrent_mask",
  [anon_alias_sym_default] = "default",
  [alias_sym_derived_type_parameter_list] = "derived_type_parameter_list",
  [anon_alias_sym_double] = "double",
  [anon_alias_sym_else] = "else",
  [anon_alias_sym_end] = "end",
  [alias_sym_filename] = "filename",
  [anon_alias_sym_go] = "go",
  [anon_alias_sym_label] = "label",
  [alias_sym_local_name] = "local_name",
  [anon_alias_sym_method_name] = "method_name",
  [alias_sym_name] = "name",
  [anon_alias_sym_none] = "none",
  [alias_sym_procedure_interface] = "procedure_interface",
  [anon_alias_sym_program] = "program",
  [anon_alias_sym_select] = "select",
  [alias_sym_sequence_statement] = "sequence_statement",
  [alias_sym_size] = "size",
  [anon_alias_sym_statement_label] = "statement_label",
  [anon_alias_sym_statement_label_reference] = "statement_label_reference",
  [anon_alias_sym_to] = "to",
  [alias_sym_transfer_items] = "transfer_items",
  [alias_sym_type_member] = "type_member",
  [alias_sym_type_name] = "type_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [aux_sym_preproc_def_token2] = aux_sym_preproc_def_token2,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [sym_preproc_comment] = sym_preproc_comment,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_system_lib_string] = sym_system_lib_string,
  [aux_sym_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token1] = aux_sym_end_program_statement_token1,
  [aux_sym_end_program_statement_token2] = aux_sym_program_statement_token1,
  [aux_sym_module_statement_token1] = aux_sym_module_statement_token1,
  [aux_sym_end_module_statement_token1] = aux_sym_end_module_statement_token1,
  [aux_sym_submodule_statement_token1] = aux_sym_submodule_statement_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_end_submodule_statement_token1] = aux_sym_end_submodule_statement_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_interface_statement_token1] = aux_sym_interface_statement_token1,
  [aux_sym_end_interface_statement_token1] = aux_sym_end_interface_statement_token1,
  [aux_sym_block_data_statement_token1] = aux_sym_block_data_statement_token1,
  [aux_sym_block_data_statement_token2] = aux_sym_block_data_statement_token2,
  [aux_sym_block_data_statement_token3] = aux_sym_block_data_statement_token3,
  [aux_sym_end_block_data_statement_token1] = aux_sym_end_program_statement_token1,
  [aux_sym_assignment_token1] = aux_sym_assignment_token1,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_operator_token1] = aux_sym_operator_token1,
  [aux_sym_operator_token2] = aux_sym_operator_token2,
  [aux_sym_defined_io_procedure_token1] = aux_sym_defined_io_procedure_token1,
  [aux_sym_defined_io_procedure_token2] = aux_sym_defined_io_procedure_token2,
  [aux_sym_defined_io_procedure_token3] = aux_sym_defined_io_procedure_token3,
  [aux_sym_defined_io_procedure_token4] = aux_sym_defined_io_procedure_token4,
  [aux_sym_subroutine_statement_token1] = aux_sym_subroutine_statement_token1,
  [aux_sym_end_subroutine_statement_token1] = aux_sym_end_subroutine_statement_token1,
  [aux_sym_module_procedure_statement_token1] = aux_sym_module_procedure_statement_token1,
  [aux_sym_end_module_procedure_statement_token1] = aux_sym_end_module_procedure_statement_token1,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_language_binding_token1] = aux_sym_language_binding_token1,
  [aux_sym_procedure_attributes_token1] = aux_sym_procedure_attributes_token1,
  [aux_sym_procedure_attributes_token2] = aux_sym_procedure_attributes_token2,
  [aux_sym_procedure_attributes_token3] = aux_sym_procedure_attributes_token3,
  [aux_sym_procedure_attributes_token4] = aux_sym_procedure_attributes_token4,
  [aux_sym_procedure_attributes_token5] = aux_sym_procedure_attributes_token5,
  [aux_sym_end_function_statement_token1] = aux_sym_end_function_statement_token1,
  [aux_sym_function_result_token1] = aux_sym_function_result_token1,
  [aux_sym_contains_statement_token1] = aux_sym_contains_statement_token1,
  [aux_sym_use_statement_token1] = aux_sym_use_statement_token1,
  [aux_sym_use_statement_token2] = aux_sym_use_statement_token2,
  [aux_sym_use_statement_token3] = aux_sym_use_statement_token3,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_included_items_token1] = aux_sym_included_items_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_implicit_statement_token1] = aux_sym_implicit_statement_token1,
  [aux_sym_implicit_statement_token2] = aux_sym_implicit_statement_token2,
  [aux_sym_implicit_statement_token3] = aux_sym_implicit_statement_token3,
  [aux_sym_implicit_statement_token4] = aux_sym_implicit_statement_token4,
  [aux_sym_save_statement_token1] = aux_sym_save_statement_token1,
  [aux_sym_private_statement_token1] = aux_sym_private_statement_token1,
  [aux_sym_public_statement_token1] = aux_sym_public_statement_token1,
  [aux_sym_namelist_statement_token1] = aux_sym_namelist_statement_token1,
  [aux_sym_common_statement_token1] = aux_sym_common_statement_token1,
  [aux_sym_implicit_range_token1] = aux_sym_implicit_range_token1,
  [aux_sym_import_statement_token1] = aux_sym_import_statement_token1,
  [aux_sym__import_names_token1] = aux_sym__import_names_token1,
  [aux_sym_derived_type_definition_token1] = aux_sym_derived_type_definition_token1,
  [aux_sym_abstract_specifier_token1] = aux_sym_abstract_specifier_token1,
  [aux_sym_base_type_specifier_token1] = aux_sym_base_type_specifier_token1,
  [aux_sym_end_type_statement_token1] = aux_sym_end_type_statement_token1,
  [aux_sym_procedure_kind_token1] = aux_sym_procedure_kind_token1,
  [aux_sym_procedure_kind_token2] = aux_sym_procedure_kind_token2,
  [aux_sym_procedure_kind_token3] = aux_sym_procedure_kind_token3,
  [aux_sym_procedure_kind_token4] = aux_sym_procedure_kind_token4,
  [aux_sym_procedure_attribute_token1] = aux_sym_procedure_attribute_token1,
  [aux_sym_procedure_attribute_token2] = aux_sym_procedure_attribute_token2,
  [aux_sym_procedure_attribute_token3] = aux_sym_procedure_attribute_token3,
  [aux_sym_procedure_attribute_token4] = aux_sym_procedure_attribute_token4,
  [aux_sym_procedure_attribute_token5] = aux_sym_procedure_attribute_token5,
  [aux_sym_procedure_attribute_token6] = aux_sym_procedure_attribute_token6,
  [aux_sym_variable_attributes_token1] = aux_sym_variable_attributes_token1,
  [aux_sym_variable_attributes_token2] = aux_sym_variable_attributes_token2,
  [aux_sym_variable_attributes_token3] = aux_sym_variable_attributes_token3,
  [aux_sym_variable_attributes_token4] = aux_sym_variable_attributes_token4,
  [aux_sym_variable_attributes_token5] = aux_sym_variable_attributes_token5,
  [aux_sym__intrinsic_type_token1] = aux_sym__intrinsic_type_token1,
  [aux_sym__intrinsic_type_token2] = aux_sym__intrinsic_type_token2,
  [aux_sym__intrinsic_type_token3] = aux_sym__intrinsic_type_token3,
  [aux_sym__intrinsic_type_token4] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token5] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token6] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token7] = aux_sym__intrinsic_type_token7,
  [aux_sym__intrinsic_type_token8] = aux_sym__intrinsic_type_token8,
  [aux_sym__intrinsic_type_token9] = aux_sym__intrinsic_type_token9,
  [aux_sym__intrinsic_type_token10] = aux_sym__intrinsic_type_token10,
  [aux_sym_derived_type_token1] = aux_sym_derived_type_token1,
  [aux_sym_declared_type_token1] = aux_sym_declared_type_token1,
  [aux_sym_declared_type_token2] = aux_sym_declared_type_token2,
  [aux_sym_kind_token1] = aux_sym_kind_token1,
  [aux_sym__standalone_type_qualifier_token1] = aux_sym__standalone_type_qualifier_token1,
  [aux_sym__standalone_type_qualifier_token2] = aux_sym__standalone_type_qualifier_token2,
  [aux_sym__standalone_type_qualifier_token3] = aux_sym__standalone_type_qualifier_token3,
  [aux_sym__standalone_type_qualifier_token4] = aux_sym__standalone_type_qualifier_token4,
  [aux_sym__standalone_type_qualifier_token5] = aux_sym__standalone_type_qualifier_token5,
  [aux_sym__standalone_type_qualifier_token6] = aux_sym__standalone_type_qualifier_token6,
  [aux_sym__standalone_type_qualifier_token7] = aux_sym__standalone_type_qualifier_token7,
  [aux_sym__standalone_type_qualifier_token8] = aux_sym__standalone_type_qualifier_token8,
  [aux_sym__standalone_type_qualifier_token9] = aux_sym__standalone_type_qualifier_token9,
  [aux_sym__standalone_type_qualifier_token10] = aux_sym__standalone_type_qualifier_token10,
  [aux_sym__standalone_type_qualifier_token11] = aux_sym__standalone_type_qualifier_token11,
  [aux_sym__standalone_type_qualifier_token12] = aux_sym__standalone_type_qualifier_token12,
  [aux_sym__standalone_type_qualifier_token13] = aux_sym__standalone_type_qualifier_token13,
  [aux_sym__standalone_type_qualifier_token14] = aux_sym__standalone_type_qualifier_token14,
  [aux_sym__standalone_type_qualifier_token15] = aux_sym__standalone_type_qualifier_token15,
  [aux_sym__standalone_type_qualifier_token16] = aux_sym__standalone_type_qualifier_token16,
  [aux_sym__standalone_type_qualifier_token17] = aux_sym__standalone_type_qualifier_token17,
  [aux_sym_type_qualifier_token1] = aux_sym_type_qualifier_token1,
  [aux_sym_type_qualifier_token2] = aux_sym_type_qualifier_token2,
  [aux_sym_procedure_qualifier_token1] = aux_sym_procedure_qualifier_token1,
  [aux_sym_procedure_qualifier_token2] = aux_sym_procedure_qualifier_token2,
  [aux_sym_procedure_qualifier_token3] = aux_sym_procedure_qualifier_token3,
  [aux_sym_procedure_qualifier_token4] = aux_sym_procedure_qualifier_token4,
  [aux_sym_procedure_qualifier_token5] = aux_sym_procedure_qualifier_token5,
  [aux_sym_equivalence_statement_token1] = aux_sym_equivalence_statement_token1,
  [aux_sym_stop_statement_token1] = aux_sym_stop_statement_token1,
  [aux_sym_stop_statement_token2] = aux_sym_stop_statement_token2,
  [aux_sym_stop_statement_token3] = aux_sym_stop_statement_token3,
  [aux_sym_subroutine_call_token1] = aux_sym_subroutine_call_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [aux_sym_keyword_statement_token1] = aux_sym_keyword_statement_token1,
  [aux_sym_keyword_statement_token2] = aux_sym_keyword_statement_token2,
  [aux_sym_keyword_statement_token3] = aux_sym_keyword_statement_token3,
  [aux_sym_keyword_statement_token4] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token5] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token6] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token7] = aux_sym_keyword_statement_token7,
  [aux_sym_include_statement_token1] = aux_sym_include_statement_token1,
  [aux_sym_do_loop_statement_token1] = aux_sym_do_loop_statement_token1,
  [aux_sym_end_do_loop_statement_token1] = aux_sym_end_do_loop_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_concurrent_header_token1] = aux_sym_concurrent_header_token1,
  [aux_sym_concurrent_locality_token1] = aux_sym_concurrent_locality_token1,
  [aux_sym_concurrent_locality_token2] = aux_sym_concurrent_locality_token2,
  [aux_sym_concurrent_locality_token3] = aux_sym_concurrent_locality_token3,
  [aux_sym_concurrent_locality_token4] = aux_sym_concurrent_locality_token4,
  [aux_sym_binary_op_token1] = aux_sym_binary_op_token1,
  [aux_sym__inline_if_statement_token1] = aux_sym__inline_if_statement_token1,
  [aux_sym__block_if_statement_token1] = aux_sym__block_if_statement_token1,
  [aux_sym_end_if_statement_token1] = aux_sym_end_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_elseif_clause_token2] = aux_sym_elseif_clause_token2,
  [aux_sym__inline_where_statement_token1] = aux_sym__inline_where_statement_token1,
  [aux_sym_end_where_statement_token1] = aux_sym_end_where_statement_token1,
  [aux_sym_elsewhere_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym__forall_control_expression_token1] = aux_sym__forall_control_expression_token1,
  [aux_sym_end_forall_statement_token1] = aux_sym_end_forall_statement_token1,
  [aux_sym_select_case_statement_token1] = aux_sym_select_case_statement_token1,
  [aux_sym_select_case_statement_token2] = aux_sym_select_case_statement_token2,
  [aux_sym_select_case_statement_token3] = aux_sym_select_case_statement_token1,
  [aux_sym_select_type_statement_token1] = aux_sym_select_type_statement_token1,
  [aux_sym_select_rank_statement_token1] = aux_sym_select_rank_statement_token1,
  [aux_sym_end_select_statement_token1] = aux_sym_end_select_statement_token1,
  [aux_sym_type_statement_token1] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token2] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token3] = aux_sym_type_statement_token3,
  [aux_sym__class_default_token1] = aux_sym__class_default_token1,
  [aux_sym_end_block_construct_statement_token1] = aux_sym_end_block_construct_statement_token1,
  [aux_sym_associate_statement_token1] = aux_sym_associate_statement_token1,
  [aux_sym_end_associate_statement_token1] = aux_sym_end_associate_statement_token1,
  [aux_sym_format_statement_token1] = aux_sym_format_statement_token1,
  [aux_sym_edit_descriptor_token1] = aux_sym_edit_descriptor_token1,
  [aux_sym_print_statement_token1] = aux_sym_print_statement_token1,
  [aux_sym_open_statement_token1] = aux_sym_open_statement_token1,
  [aux_sym_close_statement_token1] = aux_sym_close_statement_token1,
  [aux_sym_inquire_statement_token1] = aux_sym_inquire_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_enumeration_type_statement_token1] = aux_sym_enumeration_type_statement_token1,
  [aux_sym_enumerator_statement_token1] = aux_sym_enumerator_statement_token1,
  [aux_sym_end_enum_statement_token1] = aux_sym_end_enum_statement_token1,
  [aux_sym_file_position_statement_token1] = aux_sym_file_position_statement_token1,
  [aux_sym_file_position_statement_token2] = aux_sym_file_position_statement_token2,
  [aux_sym_file_position_statement_token3] = aux_sym_file_position_statement_token3,
  [aux_sym_file_position_statement_token4] = aux_sym_file_position_statement_token4,
  [aux_sym_allocate_statement_token1] = aux_sym_allocate_statement_token1,
  [aux_sym_entry_statement_token1] = aux_sym_entry_statement_token1,
  [aux_sym_assign_statement_token1] = aux_sym_assign_statement_token1,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_logical_expression_token4] = aux_sym_logical_expression_token4,
  [aux_sym_logical_expression_token5] = aux_sym_logical_expression_token5,
  [aux_sym_relational_expression_token1] = aux_sym_relational_expression_token1,
  [aux_sym_relational_expression_token2] = aux_sym_relational_expression_token2,
  [aux_sym_relational_expression_token3] = aux_sym_relational_expression_token3,
  [aux_sym_relational_expression_token4] = aux_sym_relational_expression_token4,
  [aux_sym_relational_expression_token5] = aux_sym_relational_expression_token5,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [aux_sym_relational_expression_token6] = aux_sym_relational_expression_token6,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym_user_defined_operator_token1] = aux_sym_user_defined_operator_token1,
  [anon_sym_AT] = anon_sym_AT,
  [sym_assumed_rank] = sym_assumed_rank,
  [anon_sym_LPAREN_SLASH] = anon_sym_LPAREN_SLASH,
  [anon_sym_SLASH_RPAREN] = anon_sym_SLASH_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_boolean_literal_token1] = aux_sym_boolean_literal_token1,
  [aux_sym_boolean_literal_token2] = aux_sym_boolean_literal_token2,
  [anon_sym__] = anon_sym__,
  [aux_sym__kind_token1] = sym_identifier,
  [aux_sym__kind_token2] = sym_number_literal,
  [aux_sym_null_literal_token1] = aux_sym_null_literal_token1,
  [aux_sym_coarray_statement_token1] = aux_sym_coarray_statement_token1,
  [aux_sym_coarray_statement_token2] = aux_sym_coarray_statement_token2,
  [aux_sym_coarray_statement_token3] = aux_sym_coarray_statement_token3,
  [aux_sym_coarray_statement_token4] = aux_sym_coarray_statement_token4,
  [aux_sym_coarray_statement_token5] = aux_sym_coarray_statement_token5,
  [aux_sym_coarray_statement_token6] = aux_sym_coarray_statement_token6,
  [aux_sym_coarray_statement_token7] = aux_sym_coarray_statement_token7,
  [aux_sym_coarray_statement_token8] = aux_sym_coarray_statement_token8,
  [aux_sym_coarray_statement_token9] = aux_sym_coarray_statement_token9,
  [aux_sym_coarray_statement_token10] = aux_sym_coarray_statement_token10,
  [aux_sym_coarray_statement_token11] = aux_sym_coarray_statement_token11,
  [aux_sym_coarray_statement_token12] = aux_sym_coarray_statement_token12,
  [aux_sym_coarray_statement_token13] = aux_sym_coarray_statement_token13,
  [aux_sym_coarray_team_statement_token1] = aux_sym_coarray_team_statement_token1,
  [aux_sym_end_coarray_team_statement_token1] = aux_sym_end_coarray_team_statement_token1,
  [aux_sym_coarray_critical_statement_token1] = aux_sym_coarray_critical_statement_token1,
  [aux_sym_end_coarray_critical_statement_token1] = aux_sym_end_coarray_critical_statement_token1,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [aux_sym_nil_literal_token1] = aux_sym_nil_literal_token1,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym_comment] = sym_comment,
  [sym__integer_literal] = sym__integer_literal,
  [sym__float_literal] = sym__float_literal,
  [sym__boz_literal] = sym__boz_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__string_literal_kind] = sym_identifier,
  [sym__external_end_of_statement] = sym__external_end_of_statement,
  [sym__preproc_unary_operator] = sym__preproc_unary_operator,
  [sym_hollerith_constant] = sym_hollerith_constant,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_module] = sym_preproc_if,
  [sym_preproc_ifdef_in_module] = sym_preproc_ifdef,
  [sym_preproc_else_in_module] = sym_preproc_else,
  [sym_preproc_elif_in_module] = sym_preproc_elif,
  [sym_preproc_elifdef_in_module] = sym_preproc_elifdef,
  [sym_preproc_if_in_specification_part] = sym_preproc_if,
  [sym_preproc_ifdef_in_specification_part] = sym_preproc_ifdef,
  [sym_preproc_else_in_specification_part] = sym_preproc_else,
  [sym_preproc_elif_in_specification_part] = sym_preproc_elif,
  [sym_preproc_elifdef_in_specification_part] = sym_preproc_elifdef,
  [sym_preproc_if_in_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_statements] = sym_preproc_else,
  [sym_preproc_elif_in_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_procedure_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_procedure_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_procedure_statements] = sym_preproc_else,
  [sym_preproc_elif_in_procedure_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_procedure_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_internal_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_internal_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_internal_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_internal_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_internal_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_interface] = sym_preproc_if,
  [sym_preproc_ifdef_in_interface] = sym_preproc_ifdef,
  [sym_preproc_else_in_interface] = sym_preproc_else,
  [sym_preproc_elif_in_interface] = sym_preproc_elif,
  [sym_preproc_elifdef_in_interface] = sym_preproc_elifdef,
  [sym_preproc_if_in_derived_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_derived_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_derived_type] = sym_preproc_else,
  [sym_preproc_elif_in_derived_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_derived_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_bound_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_bound_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_bound_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_bound_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_bound_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_case] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_case] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_case] = sym_preproc_else,
  [sym_preproc_elif_in_select_case] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_case] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_type] = sym_preproc_else,
  [sym_preproc_elif_in_select_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_rank] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_rank] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_rank] = sym_preproc_else,
  [sym_preproc_elif_in_select_rank] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_rank] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_preproc_binary_expression,
  [sym_program] = sym_program,
  [sym_program_statement] = sym_program_statement,
  [sym_end_program_statement] = sym_end_program_statement,
  [sym_module] = sym_module,
  [sym_module_statement] = sym_module_statement,
  [sym_end_module_statement] = sym_end_module_statement,
  [sym_submodule] = sym_submodule,
  [sym_submodule_statement] = sym_submodule_statement,
  [sym_end_submodule_statement] = sym_end_submodule_statement,
  [sym_module_name] = sym_module_name,
  [sym_interface] = sym_interface,
  [sym__interface_items] = sym__interface_items,
  [sym_interface_statement] = sym_interface_statement,
  [sym_end_interface_statement] = sym_end_interface_statement,
  [sym_block_data] = sym_block_data,
  [sym_block_data_statement] = sym_block_data_statement,
  [sym_end_block_data_statement] = sym_end_block_data_statement,
  [sym_assignment] = sym_assignment,
  [sym_operator] = sym_operator,
  [sym_defined_io_procedure] = sym_defined_io_procedure,
  [sym__generic_procedure] = sym__generic_procedure,
  [sym_subroutine] = sym_subroutine,
  [sym_subroutine_statement] = sym_subroutine_statement,
  [sym_end_subroutine_statement] = sym_end_subroutine_statement,
  [sym_module_procedure] = sym_module_procedure,
  [sym_module_procedure_statement] = sym_module_procedure_statement,
  [sym_end_module_procedure_statement] = sym_end_module_procedure_statement,
  [sym_function] = sym_function,
  [sym_function_statement] = sym_function_statement,
  [sym_language_binding] = sym_language_binding,
  [aux_sym__callable_interface_qualifers] = aux_sym__callable_interface_qualifers,
  [sym_procedure_attributes] = sym_procedure_attributes,
  [sym_end_function_statement] = sym_end_function_statement,
  [sym_function_result] = sym_function_result,
  [sym__name] = sym__name,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym_internal_procedures] = sym_internal_procedures,
  [sym_contains_statement] = sym_contains_statement,
  [sym__internal_procedures] = sym__internal_procedures,
  [sym__specification_part] = sym__specification_part,
  [sym_use_statement] = sym_use_statement,
  [sym_included_items] = sym_included_items,
  [sym_use_alias] = sym_use_alias,
  [sym_implicit_statement] = sym_implicit_statement,
  [sym_save_statement] = sym_save_statement,
  [sym_private_statement] = sym_private_statement,
  [sym_public_statement] = sym_public_statement,
  [sym_namelist_statement] = sym_namelist_statement,
  [sym_common_statement] = sym_common_statement,
  [sym_variable_group] = sym_variable_group,
  [sym_implicit_range] = sym_implicit_range,
  [sym_import_statement] = sym_import_statement,
  [sym__import_names] = sym__import_names,
  [sym_derived_type_definition] = sym_derived_type_definition,
  [sym_abstract_specifier] = sym_abstract_specifier,
  [sym_access_specifier] = sym_access_specifier,
  [sym_base_type_specifier] = sym_base_type_specifier,
  [sym__derived_type_qualifier] = sym__derived_type_qualifier,
  [sym_derived_type_statement] = sym_derived_type_statement,
  [sym_end_type_statement] = sym_end_type_statement,
  [sym__type_name] = sym__type_name,
  [sym_derived_type_procedures] = sym_derived_type_procedures,
  [sym_procedure_statement] = sym_procedure_statement,
  [sym_binding] = sym_binding,
  [sym_binding_name] = sym_binding_name,
  [sym_method_name] = sym_method_name,
  [sym_procedure_kind] = sym_procedure_kind,
  [sym_procedure_attribute] = sym_procedure_attribute,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_variable_modification] = sym_variable_modification,
  [sym_variable_attributes] = sym_variable_attributes,
  [sym__variable_declarator] = sym__variable_declarator,
  [sym_sized_declarator] = sym_sized_declarator,
  [sym__declaration_assignment] = sym__declaration_assignment,
  [sym__declaration_pointer_association] = sym__declaration_pointer_association,
  [sym__declaration_targets] = sym__declaration_targets,
  [sym__intrinsic_type] = sym__intrinsic_type,
  [sym_intrinsic_type] = sym_intrinsic_type,
  [sym_derived_type] = sym_derived_type,
  [sym_declared_type] = sym_declared_type,
  [sym_unlimited_polymorphic] = sym_unlimited_polymorphic,
  [sym_kind] = sym_kind,
  [sym_character_length] = sym_character_length,
  [sym__standalone_type_qualifier] = sym__standalone_type_qualifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_procedure_qualifier] = sym_procedure_qualifier,
  [sym_parameter_statement] = sym_parameter_statement,
  [sym_parameter_assignment] = sym_parameter_assignment,
  [sym_equivalence_statement] = sym_equivalence_statement,
  [sym_equivalence_set] = sym_equivalence_set,
  [sym__statements] = sym__statements,
  [sym_statement_label] = sym_statement_label,
  [sym_statement_label_reference] = sym_statement_label_reference,
  [sym_stop_statement] = sym_stop_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_pointer_association_statement] = sym_pointer_association_statement,
  [sym_subroutine_call] = sym_subroutine_call,
  [sym_cuda_kernel_argument_list] = sym_cuda_kernel_argument_list,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_data_statement] = sym_data_statement,
  [sym_data_set] = sym_data_set,
  [sym_data_value] = sym_data_value,
  [sym_do_loop_statement] = sym_do_loop_statement,
  [sym_end_do_loop_statement] = sym_end_do_loop_statement,
  [sym_do_label_statement] = sym_do_label_statement,
  [sym_end_do_label_statement] = sym_end_do_label_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_concurrent_statement] = sym_concurrent_statement,
  [sym_concurrent_header] = sym_concurrent_header,
  [sym_concurrent_control] = sym_concurrent_control,
  [sym_concurrent_locality] = sym_concurrent_locality,
  [sym_binary_op] = sym_binary_op,
  [sym_if_statement] = sym_if_statement,
  [sym__inline_if_statement] = sym__inline_if_statement,
  [sym_arithmetic_if_statement] = sym_arithmetic_if_statement,
  [sym__block_if_statement] = sym__block_if_statement,
  [sym_end_if_statement] = sym_end_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_where_statement] = sym_where_statement,
  [sym__inline_where_statement] = sym__inline_where_statement,
  [sym__block_where_statement] = sym__block_where_statement,
  [sym_end_where_statement] = sym_end_where_statement,
  [sym_elsewhere_clause] = sym_elsewhere_clause,
  [sym_forall_statement] = sym_forall_statement,
  [sym_triplet_spec] = sym_triplet_spec,
  [sym__forall_control_expression] = sym__forall_control_expression,
  [sym__inline_forall_statement] = sym__inline_forall_statement,
  [sym__block_forall_statement] = sym__block_forall_statement,
  [sym_end_forall_statement] = sym_end_forall_statement,
  [sym_select_case_statement] = sym_select_case_statement,
  [sym_select_type_statement] = sym_select_type_statement,
  [sym_select_rank_statement] = sym_select_rank_statement,
  [sym_end_select_statement] = sym_end_select_statement,
  [sym_selector] = sym_selector,
  [sym_case_statement] = sym_case_statement,
  [sym_type_statement] = sym_type_statement,
  [sym__class_default] = sym__class_default,
  [sym_case_value_range_list] = sym_case_value_range_list,
  [sym_rank_statement] = sym_rank_statement,
  [sym_block_construct] = sym_block_construct,
  [sym_end_block_construct_statement] = sym_end_block_construct_statement,
  [sym_associate_statement] = sym_associate_statement,
  [sym_association] = sym_association,
  [sym_end_associate_statement] = sym_end_associate_statement,
  [sym_format_statement] = sym_format_statement,
  [sym__transfer_item] = sym__transfer_item,
  [sym__transfer_items] = sym__transfer_items,
  [sym_edit_descriptor] = sym_edit_descriptor,
  [sym__io_arguments] = sym__io_arguments,
  [sym_read_statement] = sym_read_statement,
  [sym__simple_read_statement] = sym__simple_read_statement,
  [sym__parameterized_read_statement] = sym__parameterized_read_statement,
  [sym_print_statement] = sym_print_statement,
  [sym_open_statement] = sym_open_statement,
  [sym_close_statement] = sym_close_statement,
  [sym_write_statement] = sym_write_statement,
  [sym_inquire_statement] = sym_inquire_statement,
  [sym_enum] = sym_enum,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enumeration_type] = sym_enumeration_type,
  [sym_enumeration_type_statement] = sym_enumeration_type_statement,
  [sym_enumerator_statement] = sym_enumerator_statement,
  [sym_end_enum_statement] = sym_end_enum_statement,
  [sym_end_enumeration_type_statement] = sym_end_enumeration_type_statement,
  [sym_unit_identifier] = sym_unit_identifier,
  [sym_format_identifier] = sym_format_identifier,
  [sym__file_position_spec] = sym__file_position_spec,
  [sym_file_position_statement] = sym_file_position_statement,
  [sym__io_expressions] = sym__io_expressions,
  [sym_input_item_list] = sym_input_item_list,
  [sym_output_item_list] = sym_output_item_list,
  [sym_allocate_statement] = sym_allocate_statement,
  [sym_sized_allocation] = sym_sized_allocation,
  [sym_coarray_allocation] = sym_coarray_allocation,
  [sym_entry_statement] = sym_entry_statement,
  [sym_assign_statement] = sym_assign_statement,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_derived_type_member_expression] = sym_derived_type_member_expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_math_expression] = sym_math_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_user_defined_operator] = sym_user_defined_operator,
  [sym_call_expression] = sym_call_expression,
  [sym_implied_do_loop_expression] = sym_implied_do_loop_expression,
  [sym__argument_list] = sym__argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym__extent_specifier] = sym__extent_specifier,
  [sym_extent_specifier] = sym_extent_specifier,
  [sym_multiple_subscript] = sym_multiple_subscript,
  [sym_multiple_subscript_triplet] = sym_multiple_subscript_triplet,
  [sym_assumed_size] = sym_assumed_size,
  [sym_assumed_shape] = sym_assumed_shape,
  [sym_block_label_start_expression] = sym_block_label_start_expression,
  [sym__block_label] = sym__block_label,
  [sym_loop_control_expression] = sym_loop_control_expression,
  [sym_array_literal] = sym_array_literal,
  [sym__array_constructor_legacy] = sym__array_constructor_legacy,
  [sym__array_constructor_f2003] = sym__array_constructor_f2003,
  [sym__type_spec] = sym__type_spec,
  [sym__ac_value_list] = sym__ac_value_list,
  [sym_complex_literal] = sym_complex_literal,
  [sym_number_literal] = sym_number_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__kind] = sym__kind,
  [sym_null_literal] = sym_null_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_coarray_index] = sym_coarray_index,
  [sym__coarray_extent_specifier] = sym_extent_specifier,
  [sym_coarray_declarator] = sym_coarray_declarator,
  [sym_coarray_expression] = sym_coarray_expression,
  [sym_coarray_statement] = sym_coarray_statement,
  [sym_coarray_team_statement] = sym_coarray_team_statement,
  [sym_end_coarray_team_statement] = sym_end_coarray_team_statement,
  [sym_coarray_critical_statement] = sym_coarray_critical_statement,
  [sym_end_coarray_critical_statement] = sym_end_coarray_critical_statement,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_nil_literal] = sym_nil_literal,
  [sym_identifier] = sym_identifier,
  [sym__end_of_statement] = sym__end_of_statement,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_in_module_repeat1] = aux_sym_preproc_if_in_module_repeat1,
  [aux_sym_preproc_if_in_specification_part_repeat1] = aux_sym_preproc_if_in_specification_part_repeat1,
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = aux_sym_preproc_if_in_internal_procedures_repeat1,
  [aux_sym_preproc_if_in_interface_repeat1] = aux_sym_preproc_if_in_interface_repeat1,
  [aux_sym_preproc_if_in_derived_type_repeat1] = aux_sym_preproc_if_in_derived_type_repeat1,
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = aux_sym_preproc_if_in_bound_procedures_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym_interface_repeat1] = aux_sym_interface_repeat1,
  [aux_sym_subroutine_repeat1] = aux_sym_subroutine_repeat1,
  [aux_sym_function_statement_repeat1] = aux_sym_function_statement_repeat1,
  [aux_sym_procedure_attributes_repeat1] = aux_sym_procedure_attributes_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_use_statement_repeat1] = aux_sym_use_statement_repeat1,
  [aux_sym_included_items_repeat1] = aux_sym_included_items_repeat1,
  [aux_sym_implicit_statement_repeat1] = aux_sym_implicit_statement_repeat1,
  [aux_sym_implicit_statement_repeat2] = aux_sym_implicit_statement_repeat2,
  [aux_sym_implicit_statement_repeat3] = aux_sym_implicit_statement_repeat3,
  [aux_sym_save_statement_repeat1] = aux_sym_save_statement_repeat1,
  [aux_sym_private_statement_repeat1] = aux_sym_private_statement_repeat1,
  [aux_sym_namelist_statement_repeat1] = aux_sym_namelist_statement_repeat1,
  [aux_sym_common_statement_repeat1] = aux_sym_common_statement_repeat1,
  [aux_sym_common_statement_repeat2] = aux_sym_common_statement_repeat2,
  [aux_sym_derived_type_definition_repeat1] = aux_sym_derived_type_definition_repeat1,
  [aux_sym_derived_type_statement_repeat1] = aux_sym_derived_type_statement_repeat1,
  [aux_sym_derived_type_procedures_repeat1] = aux_sym_derived_type_procedures_repeat1,
  [aux_sym_procedure_statement_repeat1] = aux_sym_procedure_statement_repeat1,
  [aux_sym_procedure_statement_repeat2] = aux_sym_procedure_statement_repeat2,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_variable_modification_repeat1] = aux_sym_variable_modification_repeat1,
  [aux_sym_variable_modification_repeat2] = aux_sym_variable_modification_repeat2,
  [aux_sym__declaration_targets_repeat1] = aux_sym__declaration_targets_repeat1,
  [aux_sym_parameter_statement_repeat1] = aux_sym_parameter_statement_repeat1,
  [aux_sym_equivalence_statement_repeat1] = aux_sym_equivalence_statement_repeat1,
  [aux_sym_equivalence_set_repeat1] = aux_sym_equivalence_set_repeat1,
  [aux_sym_cuda_kernel_argument_list_repeat1] = aux_sym_cuda_kernel_argument_list_repeat1,
  [aux_sym_keyword_statement_repeat1] = aux_sym_keyword_statement_repeat1,
  [aux_sym_data_statement_repeat1] = aux_sym_data_statement_repeat1,
  [aux_sym_data_set_repeat1] = aux_sym_data_set_repeat1,
  [aux_sym_data_value_repeat1] = aux_sym_data_value_repeat1,
  [aux_sym_concurrent_statement_repeat1] = aux_sym_concurrent_statement_repeat1,
  [aux_sym_concurrent_header_repeat1] = aux_sym_concurrent_header_repeat1,
  [aux_sym__block_if_statement_repeat1] = aux_sym__block_if_statement_repeat1,
  [aux_sym__block_where_statement_repeat1] = aux_sym__block_where_statement_repeat1,
  [aux_sym__forall_control_expression_repeat1] = aux_sym__forall_control_expression_repeat1,
  [aux_sym_select_case_statement_repeat1] = aux_sym_select_case_statement_repeat1,
  [aux_sym_select_type_statement_repeat1] = aux_sym_select_type_statement_repeat1,
  [aux_sym_select_rank_statement_repeat1] = aux_sym_select_rank_statement_repeat1,
  [aux_sym_case_value_range_list_repeat1] = aux_sym_case_value_range_list_repeat1,
  [aux_sym_associate_statement_repeat1] = aux_sym_associate_statement_repeat1,
  [aux_sym__transfer_items_repeat1] = aux_sym__transfer_items_repeat1,
  [aux_sym__io_arguments_repeat1] = aux_sym__io_arguments_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_enumerator_statement_repeat1] = aux_sym_enumerator_statement_repeat1,
  [aux_sym_allocate_statement_repeat1] = aux_sym_allocate_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [aux_sym_coarray_index_repeat1] = aux_sym_coarray_index_repeat1,
  [aux_sym_coarray_index_repeat2] = aux_sym_coarray_index_repeat2,
  [alias_sym_block_label] = alias_sym_block_label,
  [anon_alias_sym_class] = anon_alias_sym_class,
  [alias_sym_coarray_size] = alias_sym_coarray_size,
  [alias_sym_concurrent_mask] = alias_sym_concurrent_mask,
  [anon_alias_sym_default] = anon_alias_sym_default,
  [alias_sym_derived_type_parameter_list] = alias_sym_derived_type_parameter_list,
  [anon_alias_sym_double] = anon_alias_sym_double,
  [anon_alias_sym_else] = anon_alias_sym_else,
  [anon_alias_sym_end] = anon_alias_sym_end,
  [alias_sym_filename] = alias_sym_filename,
  [anon_alias_sym_go] = anon_alias_sym_go,
  [anon_alias_sym_label] = anon_alias_sym_label,
  [alias_sym_local_name] = alias_sym_local_name,
  [anon_alias_sym_method_name] = anon_alias_sym_method_name,
  [alias_sym_name] = alias_sym_name,
  [anon_alias_sym_none] = anon_alias_sym_none,
  [alias_sym_procedure_interface] = alias_sym_procedure_interface,
  [anon_alias_sym_program] = anon_alias_sym_program,
  [anon_alias_sym_select] = anon_alias_sym_select,
  [alias_sym_sequence_statement] = alias_sym_sequence_statement,
  [alias_sym_size] = alias_sym_size,
  [anon_alias_sym_statement_label] = anon_alias_sym_statement_label,
  [anon_alias_sym_statement_label_reference] = anon_alias_sym_statement_label_reference,
  [anon_alias_sym_to] = anon_alias_sym_to,
  [alias_sym_transfer_items] = alias_sym_transfer_items,
  [alias_sym_type_member] = alias_sym_type_member,
  [alias_sym_type_name] = alias_sym_type_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_def_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_block_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assignment_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_language_binding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_result_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_contains_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_included_items_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_implicit_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_save_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_private_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_public_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namelist_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_common_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_range_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__import_names_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_type_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declared_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declared_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kind_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token16] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token17] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_equivalence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_call_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_header_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_locality_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_op_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__block_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__inline_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elsewhere_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__forall_control_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_forall_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_rank_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_select_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__class_default_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_end_block_construct_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_edit_descriptor_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_open_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_close_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inquire_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumeration_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumerator_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_allocate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_entry_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assign_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_defined_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_assumed_rank] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__kind_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__kind_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_null_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_nil_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__integer_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__boz_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_kind] = {
    .visible = true,
    .named = true,
  },
  [sym__external_end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__preproc_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_hollerith_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_interface] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_items] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_data] = {
    .visible = true,
    .named = true,
  },
  [sym_block_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_defined_io_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym__generic_procedure] = {
    .visible = false,
    .named = true,
  },
  [sym_subroutine] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_language_binding] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__callable_interface_qualifers] = {
    .visible = false,
    .named = false,
  },
  [sym_procedure_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_end_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_result] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_contains_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__internal_procedures] = {
    .visible = false,
    .named = true,
  },
  [sym__specification_part] = {
    .visible = false,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_included_items] = {
    .visible = true,
    .named = true,
  },
  [sym_use_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_save_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_private_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_public_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namelist_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_common_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_group] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_range] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_names] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__derived_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_modification] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_sized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_pointer_association] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_targets] = {
    .visible = false,
    .named = true,
  },
  [sym__intrinsic_type] = {
    .visible = false,
    .named = true,
  },
  [sym_intrinsic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_declared_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unlimited_polymorphic] = {
    .visible = true,
    .named = true,
  },
  [sym_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_character_length] = {
    .visible = true,
    .named = true,
  },
  [sym__standalone_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_set] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_label_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_association_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_call] = {
    .visible = true,
    .named = true,
  },
  [sym_cuda_kernel_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_set] = {
    .visible = true,
    .named = true,
  },
  [sym_data_value] = {
    .visible = true,
    .named = true,
  },
  [sym_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_header] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_control] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_locality] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_op] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_arithmetic_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elsewhere_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_triplet_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__forall_control_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__class_default] = {
    .visible = true,
    .named = true,
  },
  [sym_case_value_range_list] = {
    .visible = true,
    .named = true,
  },
  [sym_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_construct] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_construct_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_association] = {
    .visible = true,
    .named = true,
  },
  [sym_end_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_format_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transfer_item] = {
    .visible = false,
    .named = true,
  },
  [sym__transfer_items] = {
    .visible = false,
    .named = true,
  },
  [sym_edit_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__io_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_read_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__parameterized_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_open_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_close_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_write_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inquire_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__file_position_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_file_position_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__io_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_input_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_output_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_allocate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sized_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_entry_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_math_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implied_do_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__extent_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript_triplet] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_size] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_shape] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label_start_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__block_label] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_control_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__array_constructor_legacy] = {
    .visible = false,
    .named = true,
  },
  [sym__array_constructor_f2003] = {
    .visible = false,
    .named = true,
  },
  [sym__type_spec] = {
    .visible = false,
    .named = true,
  },
  [sym__ac_value_list] = {
    .visible = false,
    .named = true,
  },
  [sym_complex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__kind] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_index] = {
    .visible = true,
    .named = true,
  },
  [sym__coarray_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_specification_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_derived_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_included_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_private_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namelist_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_targets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cuda_kernel_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_header_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_where_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__forall_control_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_rank_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_value_range_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_associate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__transfer_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__io_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_allocate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_class] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_coarray_size] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_concurrent_mask] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_default] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_derived_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_end] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_label] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_local_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_method_name] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_none] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_procedure_interface] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_program] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_select] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_size] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_statement_label] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_statement_label_reference] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_to] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_transfer_items] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_member] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_access = 1,
  field_allocation = 2,
  field_alternative = 3,
  field_ancestor = 4,
  field_argument = 5,
  field_arguments = 6,
  field_attribute = 7,
  field_base = 8,
  field_condition = 9,
  field_consequence = 10,
  field_declarator = 11,
  field_directive = 12,
  field_final = 13,
  field_function = 14,
  field_initial = 15,
  field_kind = 16,
  field_left = 17,
  field_name = 18,
  field_operator = 19,
  field_parameters = 20,
  field_parent = 21,
  field_path = 22,
  field_repeat = 23,
  field_right = 24,
  field_selector = 25,
  field_step = 26,
  field_subroutine = 27,
  field_type = 28,
  field_type_param = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_access] = "access",
  [field_allocation] = "allocation",
  [field_alternative] = "alternative",
  [field_ancestor] = "ancestor",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_base] = "base",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declarator] = "declarator",
  [field_directive] = "directive",
  [field_final] = "final",
  [field_function] = "function",
  [field_initial] = "initial",
  [field_kind] = "kind",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_parent] = "parent",
  [field_path] = "path",
  [field_repeat] = "repeat",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_step] = "step",
  [field_subroutine] = "subroutine",
  [field_type] = "type",
  [field_type_param] = "type_param",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [7] = {.index = 0, .length = 1},
  [9] = {.index = 1, .length = 1},
  [10] = {.index = 2, .length = 1},
  [11] = {.index = 3, .length = 1},
  [12] = {.index = 4, .length = 2},
  [18] = {.index = 6, .length = 1},
  [23] = {.index = 7, .length = 1},
  [24] = {.index = 8, .length = 1},
  [25] = {.index = 9, .length = 2},
  [26] = {.index = 11, .length = 1},
  [27] = {.index = 12, .length = 3},
  [28] = {.index = 15, .length = 2},
  [29] = {.index = 17, .length = 1},
  [33] = {.index = 18, .length = 1},
  [34] = {.index = 19, .length = 1},
  [35] = {.index = 8, .length = 1},
  [36] = {.index = 20, .length = 2},
  [37] = {.index = 22, .length = 2},
  [40] = {.index = 24, .length = 2},
  [42] = {.index = 26, .length = 1},
  [43] = {.index = 27, .length = 1},
  [47] = {.index = 28, .length = 1},
  [53] = {.index = 29, .length = 2},
  [56] = {.index = 31, .length = 1},
  [57] = {.index = 32, .length = 2},
  [58] = {.index = 34, .length = 2},
  [59] = {.index = 36, .length = 4},
  [65] = {.index = 40, .length = 3},
  [66] = {.index = 43, .length = 3},
  [68] = {.index = 46, .length = 2},
  [69] = {.index = 48, .length = 1},
  [70] = {.index = 49, .length = 2},
  [71] = {.index = 51, .length = 2},
  [72] = {.index = 53, .length = 1},
  [73] = {.index = 54, .length = 2},
  [77] = {.index = 56, .length = 1},
  [78] = {.index = 56, .length = 1},
  [80] = {.index = 56, .length = 1},
  [81] = {.index = 56, .length = 1},
  [87] = {.index = 57, .length = 1},
  [96] = {.index = 58, .length = 3},
  [98] = {.index = 61, .length = 3},
  [99] = {.index = 64, .length = 2},
  [101] = {.index = 66, .length = 3},
  [102] = {.index = 69, .length = 4},
  [103] = {.index = 73, .length = 2},
  [104] = {.index = 75, .length = 3},
  [105] = {.index = 78, .length = 2},
  [106] = {.index = 80, .length = 2},
  [107] = {.index = 82, .length = 1},
  [108] = {.index = 83, .length = 2},
  [110] = {.index = 85, .length = 2},
  [111] = {.index = 87, .length = 4},
  [112] = {.index = 91, .length = 2},
  [113] = {.index = 91, .length = 2},
  [115] = {.index = 91, .length = 2},
  [116] = {.index = 91, .length = 2},
  [123] = {.index = 93, .length = 2},
  [124] = {.index = 95, .length = 1},
  [125] = {.index = 96, .length = 2},
  [126] = {.index = 98, .length = 2},
  [131] = {.index = 100, .length = 1},
  [132] = {.index = 101, .length = 3},
  [133] = {.index = 104, .length = 4},
  [134] = {.index = 108, .length = 2},
  [135] = {.index = 110, .length = 4},
  [136] = {.index = 114, .length = 3},
  [137] = {.index = 117, .length = 2},
  [138] = {.index = 119, .length = 1},
  [139] = {.index = 120, .length = 2},
  [140] = {.index = 122, .length = 1},
  [141] = {.index = 123, .length = 2},
  [143] = {.index = 125, .length = 2},
  [154] = {.index = 127, .length = 3},
  [156] = {.index = 130, .length = 1},
  [158] = {.index = 131, .length = 2},
  [159] = {.index = 133, .length = 4},
  [163] = {.index = 137, .length = 2},
  [164] = {.index = 139, .length = 2},
  [165] = {.index = 141, .length = 2},
  [166] = {.index = 143, .length = 2},
  [167] = {.index = 145, .length = 1},
  [168] = {.index = 125, .length = 2},
  [169] = {.index = 146, .length = 4},
  [170] = {.index = 150, .length = 1},
  [173] = {.index = 151, .length = 4},
  [174] = {.index = 155, .length = 1},
  [175] = {.index = 156, .length = 2},
  [176] = {.index = 155, .length = 1},
  [178] = {.index = 158, .length = 2},
  [182] = {.index = 160, .length = 2},
  [183] = {.index = 162, .length = 2},
  [184] = {.index = 164, .length = 2},
  [185] = {.index = 166, .length = 2},
  [186] = {.index = 146, .length = 4},
  [188] = {.index = 168, .length = 2},
  [190] = {.index = 150, .length = 1},
  [191] = {.index = 150, .length = 1},
  [192] = {.index = 170, .length = 2},
  [193] = {.index = 172, .length = 1},
  [194] = {.index = 172, .length = 1},
  [195] = {.index = 170, .length = 2},
  [196] = {.index = 158, .length = 2},
  [197] = {.index = 173, .length = 4},
  [198] = {.index = 177, .length = 2},
  [199] = {.index = 179, .length = 2},
  [200] = {.index = 150, .length = 1},
  [202] = {.index = 181, .length = 1},
  [203] = {.index = 181, .length = 1},
  [204] = {.index = 182, .length = 2},
  [205] = {.index = 184, .length = 1},
  [206] = {.index = 182, .length = 2},
  [207] = {.index = 173, .length = 4},
  [208] = {.index = 185, .length = 2},
  [209] = {.index = 150, .length = 1},
  [210] = {.index = 187, .length = 3},
  [211] = {.index = 190, .length = 1},
  [212] = {.index = 191, .length = 2},
  [213] = {.index = 193, .length = 2},
  [214] = {.index = 195, .length = 1},
  [215] = {.index = 196, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_type, 0, .inherited = true},
  [2] =
    {field_kind, 1, .inherited = true},
  [3] =
    {field_directive, 0},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 1},
  [7] =
    {field_subroutine, 1},
  [8] =
    {field_path, 1},
  [9] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_declarator, 0},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [15] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [17] =
    {field_kind, 1},
  [18] =
    {field_declarator, 1},
  [19] =
    {field_kind, 0},
  [20] =
    {field_arguments, 1},
    {field_function, 0},
  [22] =
    {field_argument, 1},
    {field_directive, 0},
  [24] =
    {field_name, 1},
    {field_parameters, 2},
  [26] =
    {field_access, 0},
  [27] =
    {field_base, 0},
  [28] =
    {field_type, 1, .inherited = true},
  [29] =
    {field_name, 2},
    {field_type, 0, .inherited = true},
  [31] =
    {field_type_param, 0},
  [32] =
    {field_declarator, 2, .inherited = true},
    {field_type, 0},
  [34] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [36] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [40] =
    {field_declarator, 1},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [43] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [46] =
    {field_left, 0},
    {field_right, 2},
  [48] =
    {field_declarator, 2},
  [49] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [51] =
    {field_name, 1},
    {field_value, 2},
  [53] =
    {field_condition, 1},
  [54] =
    {field_alternative, 2},
    {field_name, 1},
  [56] =
    {field_name, 2},
  [57] =
    {field_allocation, 2},
  [58] =
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 0, .inherited = true},
  [61] =
    {field_attribute, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0},
  [64] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [66] =
    {field_declarator, 2},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [69] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [73] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
  [75] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [78] =
    {field_alternative, 3},
    {field_condition, 1},
  [80] =
    {field_alternative, 3},
    {field_name, 1},
  [82] =
    {field_ancestor, 2},
  [83] =
    {field_name, 0},
    {field_value, 2},
  [85] =
    {field_access, 1, .inherited = true},
    {field_base, 1, .inherited = true},
  [87] =
    {field_access, 0, .inherited = true},
    {field_access, 1, .inherited = true},
    {field_base, 0, .inherited = true},
    {field_base, 1, .inherited = true},
  [91] =
    {field_kind, 3},
    {field_name, 2},
  [93] =
    {field_name, 0},
    {field_selector, 2},
  [95] =
    {field_allocation, 1},
  [96] =
    {field_allocation, 2},
    {field_allocation, 3, .inherited = true},
  [98] =
    {field_allocation, 0, .inherited = true},
    {field_allocation, 1, .inherited = true},
  [100] =
    {field_attribute, 1},
  [101] =
    {field_attribute, 2},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [104] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [108] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [110] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [114] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [117] =
    {field_alternative, 4},
    {field_condition, 1},
  [119] =
    {field_condition, 2},
  [120] =
    {field_alternative, 4},
    {field_name, 1},
  [122] =
    {field_repeat, 2, .inherited = true},
  [123] =
    {field_repeat, 0, .inherited = true},
    {field_repeat, 1, .inherited = true},
  [125] =
    {field_access, 2, .inherited = true},
    {field_base, 2, .inherited = true},
  [127] =
    {field_allocation, 4},
    {field_type, 2},
    {field_type, 3},
  [130] =
    {field_declarator, 3},
  [131] =
    {field_name, 3},
    {field_type, 0, .inherited = true},
  [133] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 5, .inherited = true},
    {field_type, 0},
  [137] =
    {field_alternative, 5},
    {field_condition, 1},
  [139] =
    {field_alternative, 4},
    {field_condition, 2},
  [141] =
    {field_alternative, 5},
    {field_name, 1},
  [143] =
    {field_ancestor, 2},
    {field_parent, 4},
  [145] =
    {field_repeat, 1},
  [146] =
    {field_access, 2, .inherited = true},
    {field_access, 3, .inherited = true},
    {field_base, 2, .inherited = true},
    {field_base, 3, .inherited = true},
  [150] =
    {field_type, 2},
  [151] =
    {field_allocation, 4},
    {field_allocation, 5, .inherited = true},
    {field_type, 2},
    {field_type, 3},
  [155] =
    {field_declarator, 4},
  [156] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
  [158] =
    {field_access, 3, .inherited = true},
    {field_base, 3, .inherited = true},
  [160] =
    {field_alternative, 6},
    {field_condition, 1},
  [162] =
    {field_alternative, 5},
    {field_condition, 2},
  [164] =
    {field_alternative, 6},
    {field_name, 1},
  [166] =
    {field_repeat, 1},
    {field_repeat, 4, .inherited = true},
  [168] =
    {field_final, 4},
    {field_initial, 2},
  [170] =
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
  [172] =
    {field_declarator, 5},
  [173] =
    {field_access, 3, .inherited = true},
    {field_access, 4, .inherited = true},
    {field_base, 3, .inherited = true},
    {field_base, 4, .inherited = true},
  [177] =
    {field_alternative, 7},
    {field_condition, 1},
  [179] =
    {field_alternative, 6},
    {field_condition, 2},
  [181] =
    {field_type, 3},
  [182] =
    {field_declarator, 5},
    {field_declarator, 6, .inherited = true},
  [184] =
    {field_declarator, 6},
  [185] =
    {field_alternative, 7},
    {field_condition, 2},
  [187] =
    {field_final, 4},
    {field_initial, 2},
    {field_step, 6},
  [190] =
    {field_declarator, 7},
  [191] =
    {field_declarator, 6},
    {field_declarator, 7, .inherited = true},
  [193] =
    {field_declarator, 7},
    {field_declarator, 8, .inherited = true},
  [195] =
    {field_declarator, 8},
  [196] =
    {field_declarator, 8},
    {field_declarator, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_statement_label,
  },
  [2] = {
    [0] = anon_alias_sym_end,
  },
  [3] = {
    [0] = anon_alias_sym_double,
  },
  [4] = {
    [0] = aux_sym__intrinsic_type_token8,
  },
  [5] = {
    [0] = anon_alias_sym_go,
  },
  [6] = {
    [0] = anon_alias_sym_select,
  },
  [8] = {
    [0] = sym_type_qualifier,
  },
  [13] = {
    [0] = anon_alias_sym_program,
  },
  [14] = {
    [0] = alias_sym_name,
  },
  [15] = {
    [0] = aux_sym_program_statement_token1,
  },
  [16] = {
    [0] = aux_sym_block_data_statement_token3,
  },
  [17] = {
    [0] = anon_alias_sym_statement_label_reference,
  },
  [19] = {
    [1] = sym_module_name,
  },
  [20] = {
    [0] = alias_sym_type_name,
  },
  [21] = {
    [0] = aux_sym__intrinsic_type_token8,
    [1] = aux_sym__intrinsic_type_token8,
  },
  [22] = {
    [1] = alias_sym_coarray_size,
  },
  [24] = {
    [1] = alias_sym_filename,
  },
  [30] = {
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [31] = {
    [0] = aux_sym_end_enum_statement_token1,
  },
  [32] = {
    [0] = anon_alias_sym_label,
  },
  [38] = {
    [0] = aux_sym_block_data_statement_token3,
    [1] = aux_sym_block_data_statement_token3,
  },
  [39] = {
    [0] = aux_sym_end_block_construct_statement_token1,
  },
  [41] = {
    [2] = sym_module_name,
  },
  [44] = {
    [1] = alias_sym_size,
  },
  [45] = {
    [1] = anon_alias_sym_none,
  },
  [46] = {
    [0] = aux_sym_end_do_loop_statement_token1,
  },
  [48] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
  },
  [49] = {
    [0] = aux_sym_end_module_statement_token1,
  },
  [50] = {
    [0] = aux_sym_end_submodule_statement_token1,
  },
  [51] = {
    [0] = aux_sym_end_interface_statement_token1,
  },
  [52] = {
    [0] = anon_alias_sym_method_name,
  },
  [54] = {
    [0] = aux_sym_end_type_statement_token1,
  },
  [55] = {
    [0] = alias_sym_sequence_statement,
  },
  [60] = {
    [1] = sym_number_literal,
  },
  [61] = {
    [0] = sym_assumed_size,
  },
  [62] = {
    [1] = aux_sym_end_do_loop_statement_token1,
    [2] = aux_sym_end_do_loop_statement_token1,
  },
  [63] = {
    [0] = aux_sym_end_forall_statement_token1,
  },
  [64] = {
    [0] = aux_sym_end_enum_statement_token1,
    [1] = aux_sym_end_enum_statement_token1,
  },
  [67] = {
    [2] = alias_sym_type_member,
  },
  [74] = {
    [0] = aux_sym_end_block_construct_statement_token1,
    [1] = aux_sym_end_block_construct_statement_token1,
  },
  [75] = {
    [0] = alias_sym_block_label,
  },
  [76] = {
    [2] = alias_sym_procedure_interface,
  },
  [78] = {
    [2] = sym_intrinsic_type,
  },
  [79] = {
    [2] = alias_sym_derived_type_parameter_list,
  },
  [80] = {
    [0] = anon_alias_sym_class,
  },
  [81] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [82] = {
    [0] = anon_alias_sym_class,
  },
  [83] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
  },
  [84] = {
    [0] = aux_sym_end_do_loop_statement_token1,
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [85] = {
    [0] = aux_sym_end_where_statement_token1,
  },
  [86] = {
    [2] = alias_sym_transfer_items,
  },
  [88] = {
    [2] = anon_alias_sym_to,
  },
  [89] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
    [1] = aux_sym_end_coarray_critical_statement_token1,
  },
  [90] = {
    [0] = aux_sym_end_module_statement_token1,
    [1] = aux_sym_end_module_statement_token1,
  },
  [91] = {
    [0] = aux_sym_end_submodule_statement_token1,
    [1] = aux_sym_end_submodule_statement_token1,
  },
  [92] = {
    [0] = aux_sym_end_interface_statement_token1,
    [1] = aux_sym_end_interface_statement_token1,
  },
  [93] = {
    [1] = aux_sym_end_program_statement_token1,
  },
  [94] = {
    [0] = aux_sym_end_subroutine_statement_token1,
  },
  [95] = {
    [0] = aux_sym_end_function_statement_token1,
  },
  [97] = {
    [0] = aux_sym_end_type_statement_token1,
    [1] = aux_sym_end_type_statement_token1,
  },
  [100] = {
    [0] = aux_sym_end_forall_statement_token1,
    [1] = aux_sym_end_forall_statement_token1,
  },
  [109] = {
    [4] = sym_module_name,
  },
  [113] = {
    [2] = sym_intrinsic_type,
  },
  [114] = {
    [3] = alias_sym_derived_type_parameter_list,
  },
  [115] = {
    [0] = anon_alias_sym_class,
  },
  [116] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [117] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
    [3] = aux_sym__standalone_type_qualifier_token9,
  },
  [118] = {
    [0] = aux_sym_end_if_statement_token1,
  },
  [119] = {
    [0] = aux_sym_end_where_statement_token1,
    [1] = aux_sym_end_where_statement_token1,
  },
  [120] = {
    [0] = aux_sym_end_select_statement_token1,
  },
  [121] = {
    [0] = aux_sym_select_type_statement_token1,
  },
  [122] = {
    [0] = aux_sym_select_rank_statement_token1,
  },
  [127] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
  },
  [128] = {
    [1] = aux_sym_end_program_statement_token1,
    [2] = aux_sym_end_program_statement_token1,
  },
  [129] = {
    [0] = aux_sym_end_subroutine_statement_token1,
    [1] = aux_sym_end_subroutine_statement_token1,
  },
  [130] = {
    [0] = aux_sym_end_function_statement_token1,
    [1] = aux_sym_end_function_statement_token1,
  },
  [142] = {
    [0] = alias_sym_local_name,
  },
  [144] = {
    [0] = anon_alias_sym_default,
    [2] = anon_alias_sym_none,
  },
  [145] = {
    [0] = aux_sym_end_if_statement_token1,
    [1] = aux_sym_end_if_statement_token1,
  },
  [146] = {
    [0] = anon_alias_sym_else,
  },
  [147] = {
    [1] = aux_sym_elseif_clause_token1,
  },
  [148] = {
    [0] = aux_sym_select_type_statement_token1,
    [1] = aux_sym_select_type_statement_token1,
  },
  [149] = {
    [0] = aux_sym_select_rank_statement_token1,
    [1] = aux_sym_select_rank_statement_token1,
  },
  [150] = {
    [1] = aux_sym_select_case_statement_token1,
  },
  [151] = {
    [1] = sym__class_default,
  },
  [152] = {
    [0] = aux_sym_end_select_statement_token1,
    [1] = aux_sym_end_select_statement_token1,
  },
  [153] = {
    [0] = aux_sym_end_associate_statement_token1,
  },
  [155] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
    [1] = aux_sym_end_coarray_team_statement_token1,
  },
  [157] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
  },
  [160] = {
    [4] = alias_sym_derived_type_parameter_list,
  },
  [161] = {
    [1] = aux_sym_select_type_statement_token1,
  },
  [162] = {
    [1] = aux_sym_select_rank_statement_token1,
  },
  [168] = {
    [5] = alias_sym_derived_type_parameter_list,
  },
  [171] = {
    [4] = alias_sym_concurrent_mask,
  },
  [172] = {
    [0] = aux_sym_end_associate_statement_token1,
    [1] = aux_sym_end_associate_statement_token1,
  },
  [176] = {
    [2] = alias_sym_procedure_interface,
  },
  [177] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
    [1] = aux_sym_end_module_procedure_statement_token1,
  },
  [179] = {
    [1] = aux_sym_select_type_statement_token1,
    [2] = aux_sym_select_type_statement_token1,
  },
  [180] = {
    [1] = aux_sym_select_rank_statement_token1,
    [2] = aux_sym_select_rank_statement_token1,
  },
  [181] = {
    [1] = aux_sym_select_case_statement_token1,
    [2] = aux_sym_select_case_statement_token1,
  },
  [186] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [187] = {
    [5] = alias_sym_concurrent_mask,
  },
  [189] = {
    [0] = aux_sym_elseif_clause_token2,
  },
  [190] = {
    [0] = aux_sym_type_statement_token1,
  },
  [191] = {
    [0] = aux_sym_type_statement_token3,
  },
  [194] = {
    [2] = alias_sym_procedure_interface,
  },
  [195] = {
    [2] = alias_sym_procedure_interface,
  },
  [196] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [200] = {
    [6] = alias_sym_concurrent_mask,
  },
  [201] = {
    [0] = aux_sym_elseif_clause_token2,
    [1] = aux_sym_elseif_clause_token2,
  },
  [202] = {
    [0] = aux_sym_type_statement_token1,
  },
  [203] = {
    [0] = aux_sym_type_statement_token3,
    [1] = aux_sym_type_statement_token3,
  },
  [205] = {
    [2] = alias_sym_procedure_interface,
  },
  [206] = {
    [2] = alias_sym_procedure_interface,
  },
  [207] = {
    [7] = alias_sym_derived_type_parameter_list,
  },
  [209] = {
    [7] = alias_sym_concurrent_mask,
  },
  [211] = {
    [2] = alias_sym_procedure_interface,
  },
  [212] = {
    [2] = alias_sym_procedure_interface,
  },
  [213] = {
    [2] = alias_sym_procedure_interface,
  },
  [214] = {
    [2] = alias_sym_procedure_interface,
  },
  [215] = {
    [2] = alias_sym_procedure_interface,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__intrinsic_type, 2,
    sym__intrinsic_type,
    sym_intrinsic_type,
  sym__standalone_type_qualifier, 2,
    sym__standalone_type_qualifier,
    sym_type_qualifier,
  sym_statement_label, 2,
    sym_statement_label,
    anon_alias_sym_statement_label_reference,
  sym__transfer_items, 2,
    sym__transfer_items,
    alias_sym_transfer_items,
  sym__expression, 2,
    sym__expression,
    alias_sym_concurrent_mask,
  sym_argument_list, 3,
    sym_argument_list,
    alias_sym_derived_type_parameter_list,
    alias_sym_size,
  sym_string_literal, 2,
    sym_string_literal,
    alias_sym_filename,
  sym_coarray_index, 2,
    sym_coarray_index,
    alias_sym_coarray_size,
  sym_identifier, 10,
    sym_identifier,
    alias_sym_block_label,
    alias_sym_local_name,
    alias_sym_name,
    alias_sym_procedure_interface,
    alias_sym_type_member,
    alias_sym_type_name,
    anon_alias_sym_label,
    anon_alias_sym_method_name,
    sym_module_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 8,
  [9] = 8,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 8,
  [16] = 16,
  [17] = 13,
  [18] = 8,
  [19] = 16,
  [20] = 8,
  [21] = 13,
  [22] = 16,
  [23] = 16,
  [24] = 13,
  [25] = 16,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 27,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 28,
  [36] = 36,
  [37] = 27,
  [38] = 38,
  [39] = 39,
  [40] = 34,
  [41] = 41,
  [42] = 28,
  [43] = 31,
  [44] = 31,
  [45] = 34,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 46,
  [54] = 46,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 57,
  [59] = 57,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 60,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 61,
  [68] = 62,
  [69] = 60,
  [70] = 62,
  [71] = 61,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 81,
  [83] = 81,
  [84] = 81,
  [85] = 85,
  [86] = 86,
  [87] = 86,
  [88] = 88,
  [89] = 89,
  [90] = 86,
  [91] = 91,
  [92] = 88,
  [93] = 93,
  [94] = 86,
  [95] = 88,
  [96] = 85,
  [97] = 97,
  [98] = 85,
  [99] = 99,
  [100] = 99,
  [101] = 101,
  [102] = 91,
  [103] = 101,
  [104] = 104,
  [105] = 93,
  [106] = 106,
  [107] = 107,
  [108] = 91,
  [109] = 93,
  [110] = 85,
  [111] = 111,
  [112] = 112,
  [113] = 99,
  [114] = 101,
  [115] = 93,
  [116] = 99,
  [117] = 91,
  [118] = 101,
  [119] = 88,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 121,
  [125] = 123,
  [126] = 126,
  [127] = 127,
  [128] = 120,
  [129] = 123,
  [130] = 130,
  [131] = 130,
  [132] = 127,
  [133] = 126,
  [134] = 120,
  [135] = 121,
  [136] = 123,
  [137] = 127,
  [138] = 120,
  [139] = 130,
  [140] = 126,
  [141] = 121,
  [142] = 123,
  [143] = 127,
  [144] = 120,
  [145] = 130,
  [146] = 126,
  [147] = 120,
  [148] = 123,
  [149] = 127,
  [150] = 120,
  [151] = 130,
  [152] = 126,
  [153] = 121,
  [154] = 123,
  [155] = 127,
  [156] = 120,
  [157] = 130,
  [158] = 126,
  [159] = 121,
  [160] = 123,
  [161] = 127,
  [162] = 120,
  [163] = 130,
  [164] = 126,
  [165] = 121,
  [166] = 123,
  [167] = 127,
  [168] = 120,
  [169] = 130,
  [170] = 126,
  [171] = 121,
  [172] = 123,
  [173] = 127,
  [174] = 121,
  [175] = 123,
  [176] = 127,
  [177] = 120,
  [178] = 121,
  [179] = 123,
  [180] = 127,
  [181] = 120,
  [182] = 121,
  [183] = 123,
  [184] = 127,
  [185] = 120,
  [186] = 127,
  [187] = 121,
  [188] = 188,
  [189] = 188,
  [190] = 190,
  [191] = 188,
  [192] = 192,
  [193] = 192,
  [194] = 192,
  [195] = 190,
  [196] = 190,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 210,
  [212] = 210,
  [213] = 210,
  [214] = 209,
  [215] = 209,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 217,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 216,
  [224] = 220,
  [225] = 225,
  [226] = 217,
  [227] = 218,
  [228] = 218,
  [229] = 220,
  [230] = 230,
  [231] = 216,
  [232] = 232,
  [233] = 232,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 234,
  [238] = 238,
  [239] = 239,
  [240] = 238,
  [241] = 236,
  [242] = 232,
  [243] = 236,
  [244] = 244,
  [245] = 238,
  [246] = 234,
  [247] = 247,
  [248] = 248,
  [249] = 248,
  [250] = 250,
  [251] = 248,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 256,
  [262] = 262,
  [263] = 262,
  [264] = 264,
  [265] = 258,
  [266] = 266,
  [267] = 267,
  [268] = 264,
  [269] = 269,
  [270] = 258,
  [271] = 266,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 259,
  [278] = 260,
  [279] = 264,
  [280] = 256,
  [281] = 281,
  [282] = 259,
  [283] = 260,
  [284] = 262,
  [285] = 266,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 288,
  [290] = 288,
  [291] = 288,
  [292] = 288,
  [293] = 288,
  [294] = 288,
  [295] = 288,
  [296] = 296,
  [297] = 288,
  [298] = 288,
  [299] = 288,
  [300] = 288,
  [301] = 288,
  [302] = 288,
  [303] = 288,
  [304] = 288,
  [305] = 288,
  [306] = 288,
  [307] = 288,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 309,
  [312] = 310,
  [313] = 309,
  [314] = 310,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 318,
  [320] = 309,
  [321] = 308,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 315,
  [328] = 316,
  [329] = 317,
  [330] = 330,
  [331] = 324,
  [332] = 332,
  [333] = 333,
  [334] = 318,
  [335] = 308,
  [336] = 322,
  [337] = 323,
  [338] = 325,
  [339] = 326,
  [340] = 332,
  [341] = 315,
  [342] = 316,
  [343] = 317,
  [344] = 324,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 310,
  [349] = 308,
  [350] = 332,
  [351] = 322,
  [352] = 352,
  [353] = 353,
  [354] = 323,
  [355] = 325,
  [356] = 356,
  [357] = 318,
  [358] = 308,
  [359] = 322,
  [360] = 323,
  [361] = 325,
  [362] = 326,
  [363] = 315,
  [364] = 316,
  [365] = 317,
  [366] = 324,
  [367] = 332,
  [368] = 308,
  [369] = 322,
  [370] = 323,
  [371] = 315,
  [372] = 316,
  [373] = 317,
  [374] = 332,
  [375] = 308,
  [376] = 322,
  [377] = 323,
  [378] = 315,
  [379] = 316,
  [380] = 317,
  [381] = 332,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 308,
  [388] = 322,
  [389] = 323,
  [390] = 315,
  [391] = 316,
  [392] = 317,
  [393] = 332,
  [394] = 308,
  [395] = 322,
  [396] = 332,
  [397] = 315,
  [398] = 316,
  [399] = 317,
  [400] = 332,
  [401] = 308,
  [402] = 322,
  [403] = 323,
  [404] = 315,
  [405] = 316,
  [406] = 317,
  [407] = 332,
  [408] = 326,
  [409] = 308,
  [410] = 322,
  [411] = 323,
  [412] = 315,
  [413] = 316,
  [414] = 317,
  [415] = 332,
  [416] = 416,
  [417] = 308,
  [418] = 322,
  [419] = 323,
  [420] = 315,
  [421] = 316,
  [422] = 317,
  [423] = 332,
  [424] = 308,
  [425] = 322,
  [426] = 323,
  [427] = 315,
  [428] = 316,
  [429] = 317,
  [430] = 332,
  [431] = 308,
  [432] = 322,
  [433] = 323,
  [434] = 315,
  [435] = 316,
  [436] = 317,
  [437] = 332,
  [438] = 322,
  [439] = 323,
  [440] = 315,
  [441] = 316,
  [442] = 317,
  [443] = 332,
  [444] = 308,
  [445] = 322,
  [446] = 323,
  [447] = 315,
  [448] = 316,
  [449] = 317,
  [450] = 332,
  [451] = 308,
  [452] = 322,
  [453] = 323,
  [454] = 315,
  [455] = 316,
  [456] = 317,
  [457] = 332,
  [458] = 308,
  [459] = 322,
  [460] = 323,
  [461] = 315,
  [462] = 316,
  [463] = 317,
  [464] = 332,
  [465] = 308,
  [466] = 322,
  [467] = 323,
  [468] = 315,
  [469] = 316,
  [470] = 317,
  [471] = 332,
  [472] = 308,
  [473] = 322,
  [474] = 323,
  [475] = 315,
  [476] = 316,
  [477] = 317,
  [478] = 323,
  [479] = 479,
  [480] = 480,
  [481] = 480,
  [482] = 480,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 484,
  [496] = 485,
  [497] = 494,
  [498] = 498,
  [499] = 483,
  [500] = 500,
  [501] = 491,
  [502] = 498,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 483,
  [507] = 500,
  [508] = 492,
  [509] = 484,
  [510] = 485,
  [511] = 483,
  [512] = 500,
  [513] = 486,
  [514] = 487,
  [515] = 488,
  [516] = 493,
  [517] = 489,
  [518] = 491,
  [519] = 493,
  [520] = 494,
  [521] = 498,
  [522] = 500,
  [523] = 489,
  [524] = 493,
  [525] = 494,
  [526] = 526,
  [527] = 498,
  [528] = 483,
  [529] = 500,
  [530] = 530,
  [531] = 531,
  [532] = 494,
  [533] = 498,
  [534] = 489,
  [535] = 493,
  [536] = 494,
  [537] = 498,
  [538] = 483,
  [539] = 500,
  [540] = 489,
  [541] = 493,
  [542] = 494,
  [543] = 494,
  [544] = 486,
  [545] = 498,
  [546] = 483,
  [547] = 500,
  [548] = 498,
  [549] = 487,
  [550] = 483,
  [551] = 500,
  [552] = 489,
  [553] = 493,
  [554] = 494,
  [555] = 498,
  [556] = 483,
  [557] = 500,
  [558] = 489,
  [559] = 493,
  [560] = 494,
  [561] = 498,
  [562] = 483,
  [563] = 500,
  [564] = 564,
  [565] = 494,
  [566] = 498,
  [567] = 483,
  [568] = 500,
  [569] = 494,
  [570] = 498,
  [571] = 483,
  [572] = 500,
  [573] = 494,
  [574] = 498,
  [575] = 483,
  [576] = 500,
  [577] = 488,
  [578] = 489,
  [579] = 492,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 588,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 588,
  [596] = 596,
  [597] = 597,
  [598] = 583,
  [599] = 592,
  [600] = 600,
  [601] = 592,
  [602] = 602,
  [603] = 603,
  [604] = 490,
  [605] = 605,
  [606] = 490,
  [607] = 607,
  [608] = 583,
  [609] = 584,
  [610] = 584,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 580,
  [622] = 600,
  [623] = 603,
  [624] = 605,
  [625] = 625,
  [626] = 607,
  [627] = 611,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 602,
  [633] = 614,
  [634] = 615,
  [635] = 616,
  [636] = 617,
  [637] = 618,
  [638] = 638,
  [639] = 639,
  [640] = 620,
  [641] = 641,
  [642] = 589,
  [643] = 590,
  [644] = 631,
  [645] = 597,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 585,
  [652] = 586,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 596,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 612,
  [663] = 581,
  [664] = 664,
  [665] = 665,
  [666] = 490,
  [667] = 625,
  [668] = 620,
  [669] = 669,
  [670] = 625,
  [671] = 671,
  [672] = 631,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 676,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 676,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 690,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 692,
  [698] = 698,
  [699] = 490,
  [700] = 698,
  [701] = 490,
  [702] = 692,
  [703] = 703,
  [704] = 690,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 671,
  [715] = 646,
  [716] = 716,
  [717] = 717,
  [718] = 209,
  [719] = 719,
  [720] = 630,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 490,
  [728] = 728,
  [729] = 729,
  [730] = 490,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 490,
  [735] = 698,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 650,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 660,
  [748] = 748,
  [749] = 749,
  [750] = 661,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 655,
  [755] = 654,
  [756] = 628,
  [757] = 653,
  [758] = 657,
  [759] = 611,
  [760] = 628,
  [761] = 629,
  [762] = 630,
  [763] = 602,
  [764] = 614,
  [765] = 615,
  [766] = 616,
  [767] = 767,
  [768] = 768,
  [769] = 658,
  [770] = 586,
  [771] = 653,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 617,
  [776] = 618,
  [777] = 638,
  [778] = 589,
  [779] = 590,
  [780] = 490,
  [781] = 781,
  [782] = 490,
  [783] = 654,
  [784] = 638,
  [785] = 596,
  [786] = 597,
  [787] = 490,
  [788] = 664,
  [789] = 490,
  [790] = 669,
  [791] = 490,
  [792] = 490,
  [793] = 793,
  [794] = 490,
  [795] = 657,
  [796] = 490,
  [797] = 658,
  [798] = 660,
  [799] = 490,
  [800] = 661,
  [801] = 612,
  [802] = 581,
  [803] = 664,
  [804] = 669,
  [805] = 650,
  [806] = 585,
  [807] = 807,
  [808] = 671,
  [809] = 646,
  [810] = 580,
  [811] = 629,
  [812] = 600,
  [813] = 603,
  [814] = 605,
  [815] = 607,
  [816] = 816,
  [817] = 655,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 490,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 209,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 837,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 837,
  [846] = 843,
  [847] = 837,
  [848] = 843,
  [849] = 837,
  [850] = 837,
  [851] = 851,
  [852] = 851,
  [853] = 851,
  [854] = 854,
  [855] = 851,
  [856] = 854,
  [857] = 851,
  [858] = 851,
  [859] = 854,
  [860] = 851,
  [861] = 851,
  [862] = 851,
  [863] = 851,
  [864] = 851,
  [865] = 851,
  [866] = 851,
  [867] = 851,
  [868] = 851,
  [869] = 851,
  [870] = 851,
  [871] = 851,
  [872] = 851,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 879,
  [881] = 881,
  [882] = 881,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 883,
  [896] = 888,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 913,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 926,
  [967] = 967,
  [968] = 929,
  [969] = 939,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 883,
  [976] = 889,
  [977] = 890,
  [978] = 886,
  [979] = 890,
  [980] = 887,
  [981] = 885,
  [982] = 892,
  [983] = 894,
  [984] = 891,
  [985] = 892,
  [986] = 893,
  [987] = 879,
  [988] = 879,
  [989] = 888,
  [990] = 889,
  [991] = 881,
  [992] = 894,
  [993] = 883,
  [994] = 884,
  [995] = 885,
  [996] = 893,
  [997] = 884,
  [998] = 891,
  [999] = 879,
  [1000] = 881,
  [1001] = 883,
  [1002] = 888,
  [1003] = 881,
  [1004] = 886,
  [1005] = 887,
  [1006] = 888,
  [1007] = 903,
  [1008] = 963,
  [1009] = 952,
  [1010] = 918,
  [1011] = 919,
  [1012] = 955,
  [1013] = 956,
  [1014] = 957,
  [1015] = 971,
  [1016] = 953,
  [1017] = 972,
  [1018] = 973,
  [1019] = 898,
  [1020] = 943,
  [1021] = 911,
  [1022] = 954,
  [1023] = 937,
  [1024] = 927,
  [1025] = 928,
  [1026] = 901,
  [1027] = 902,
  [1028] = 897,
  [1029] = 912,
  [1030] = 914,
  [1031] = 938,
  [1032] = 939,
  [1033] = 920,
  [1034] = 971,
  [1035] = 899,
  [1036] = 902,
  [1037] = 897,
  [1038] = 912,
  [1039] = 940,
  [1040] = 941,
  [1041] = 958,
  [1042] = 959,
  [1043] = 960,
  [1044] = 927,
  [1045] = 914,
  [1046] = 926,
  [1047] = 913,
  [1048] = 922,
  [1049] = 923,
  [1050] = 900,
  [1051] = 898,
  [1052] = 943,
  [1053] = 924,
  [1054] = 925,
  [1055] = 965,
  [1056] = 929,
  [1057] = 948,
  [1058] = 948,
  [1059] = 974,
  [1060] = 936,
  [1061] = 951,
  [1062] = 930,
  [1063] = 961,
  [1064] = 962,
  [1065] = 904,
  [1066] = 946,
  [1067] = 963,
  [1068] = 964,
  [1069] = 931,
  [1070] = 942,
  [1071] = 964,
  [1072] = 906,
  [1073] = 915,
  [1074] = 928,
  [1075] = 944,
  [1076] = 945,
  [1077] = 907,
  [1078] = 908,
  [1079] = 972,
  [1080] = 942,
  [1081] = 946,
  [1082] = 965,
  [1083] = 967,
  [1084] = 970,
  [1085] = 899,
  [1086] = 900,
  [1087] = 973,
  [1088] = 947,
  [1089] = 903,
  [1090] = 904,
  [1091] = 905,
  [1092] = 906,
  [1093] = 907,
  [1094] = 908,
  [1095] = 909,
  [1096] = 910,
  [1097] = 909,
  [1098] = 913,
  [1099] = 910,
  [1100] = 915,
  [1101] = 916,
  [1102] = 917,
  [1103] = 918,
  [1104] = 919,
  [1105] = 920,
  [1106] = 922,
  [1107] = 923,
  [1108] = 924,
  [1109] = 925,
  [1110] = 949,
  [1111] = 949,
  [1112] = 950,
  [1113] = 901,
  [1114] = 926,
  [1115] = 929,
  [1116] = 930,
  [1117] = 931,
  [1118] = 932,
  [1119] = 933,
  [1120] = 934,
  [1121] = 935,
  [1122] = 936,
  [1123] = 913,
  [1124] = 917,
  [1125] = 951,
  [1126] = 952,
  [1127] = 932,
  [1128] = 937,
  [1129] = 938,
  [1130] = 953,
  [1131] = 939,
  [1132] = 954,
  [1133] = 940,
  [1134] = 941,
  [1135] = 967,
  [1136] = 916,
  [1137] = 950,
  [1138] = 974,
  [1139] = 926,
  [1140] = 970,
  [1141] = 944,
  [1142] = 945,
  [1143] = 947,
  [1144] = 929,
  [1145] = 933,
  [1146] = 955,
  [1147] = 934,
  [1148] = 956,
  [1149] = 911,
  [1150] = 957,
  [1151] = 935,
  [1152] = 958,
  [1153] = 959,
  [1154] = 960,
  [1155] = 939,
  [1156] = 961,
  [1157] = 962,
  [1158] = 905,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 877,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 878,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 874,
  [1177] = 873,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 875,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 876,
  [1198] = 1198,
  [1199] = 973,
  [1200] = 1169,
  [1201] = 1170,
  [1202] = 927,
  [1203] = 928,
  [1204] = 901,
  [1205] = 902,
  [1206] = 1183,
  [1207] = 897,
  [1208] = 912,
  [1209] = 914,
  [1210] = 1192,
  [1211] = 1182,
  [1212] = 1171,
  [1213] = 1173,
  [1214] = 1174,
  [1215] = 1195,
  [1216] = 1193,
  [1217] = 1186,
  [1218] = 1187,
  [1219] = 1188,
  [1220] = 1189,
  [1221] = 1190,
  [1222] = 1178,
  [1223] = 1196,
  [1224] = 971,
  [1225] = 1181,
  [1226] = 972,
  [1227] = 1165,
  [1228] = 898,
  [1229] = 943,
  [1230] = 911,
  [1231] = 1191,
  [1232] = 1194,
  [1233] = 1164,
  [1234] = 1162,
  [1235] = 1161,
  [1236] = 1163,
  [1237] = 1159,
  [1238] = 1160,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1163,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1239,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1164,
  [1251] = 1251,
  [1252] = 1161,
  [1253] = 1249,
  [1254] = 1254,
  [1255] = 1178,
  [1256] = 1181,
  [1257] = 1246,
  [1258] = 1185,
  [1259] = 1259,
  [1260] = 1245,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1259,
  [1264] = 1264,
  [1265] = 1261,
  [1266] = 1262,
  [1267] = 1267,
  [1268] = 1262,
  [1269] = 1267,
  [1270] = 1270,
  [1271] = 1251,
  [1272] = 1254,
  [1273] = 1184,
  [1274] = 1264,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1270,
  [1278] = 1278,
  [1279] = 1162,
  [1280] = 1240,
  [1281] = 1251,
  [1282] = 1169,
  [1283] = 1254,
  [1284] = 1243,
  [1285] = 1264,
  [1286] = 1170,
  [1287] = 1171,
  [1288] = 1275,
  [1289] = 1173,
  [1290] = 1248,
  [1291] = 1291,
  [1292] = 1174,
  [1293] = 1293,
  [1294] = 1276,
  [1295] = 1275,
  [1296] = 1160,
  [1297] = 1240,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1243,
  [1301] = 1301,
  [1302] = 1239,
  [1303] = 1303,
  [1304] = 1248,
  [1305] = 1305,
  [1306] = 1278,
  [1307] = 1305,
  [1308] = 1291,
  [1309] = 1186,
  [1310] = 1298,
  [1311] = 1299,
  [1312] = 1187,
  [1313] = 1261,
  [1314] = 1270,
  [1315] = 1198,
  [1316] = 1301,
  [1317] = 1303,
  [1318] = 1189,
  [1319] = 1190,
  [1320] = 1259,
  [1321] = 1245,
  [1322] = 1261,
  [1323] = 1323,
  [1324] = 1270,
  [1325] = 1323,
  [1326] = 1196,
  [1327] = 1267,
  [1328] = 1241,
  [1329] = 1242,
  [1330] = 1246,
  [1331] = 1291,
  [1332] = 1249,
  [1333] = 1298,
  [1334] = 1299,
  [1335] = 1159,
  [1336] = 1241,
  [1337] = 1242,
  [1338] = 1246,
  [1339] = 1301,
  [1340] = 1303,
  [1341] = 1195,
  [1342] = 1193,
  [1343] = 1323,
  [1344] = 1262,
  [1345] = 1191,
  [1346] = 1267,
  [1347] = 1192,
  [1348] = 1194,
  [1349] = 1165,
  [1350] = 1182,
  [1351] = 1183,
  [1352] = 1352,
  [1353] = 1251,
  [1354] = 1254,
  [1355] = 1264,
  [1356] = 1275,
  [1357] = 1167,
  [1358] = 1293,
  [1359] = 1293,
  [1360] = 1323,
  [1361] = 1276,
  [1362] = 1362,
  [1363] = 1168,
  [1364] = 1240,
  [1365] = 1243,
  [1366] = 1276,
  [1367] = 1175,
  [1368] = 1239,
  [1369] = 1248,
  [1370] = 1278,
  [1371] = 1305,
  [1372] = 1291,
  [1373] = 1298,
  [1374] = 1299,
  [1375] = 1179,
  [1376] = 1301,
  [1377] = 1303,
  [1378] = 1188,
  [1379] = 1379,
  [1380] = 1196,
  [1381] = 1195,
  [1382] = 1382,
  [1383] = 1193,
  [1384] = 1384,
  [1385] = 971,
  [1386] = 897,
  [1387] = 912,
  [1388] = 1178,
  [1389] = 1191,
  [1390] = 1181,
  [1391] = 1391,
  [1392] = 1168,
  [1393] = 1192,
  [1394] = 972,
  [1395] = 1191,
  [1396] = 973,
  [1397] = 1192,
  [1398] = 972,
  [1399] = 973,
  [1400] = 1169,
  [1401] = 1401,
  [1402] = 1170,
  [1403] = 1182,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 898,
  [1407] = 943,
  [1408] = 927,
  [1409] = 928,
  [1410] = 901,
  [1411] = 902,
  [1412] = 1184,
  [1413] = 914,
  [1414] = 1414,
  [1415] = 897,
  [1416] = 912,
  [1417] = 914,
  [1418] = 1418,
  [1419] = 927,
  [1420] = 928,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 901,
  [1424] = 902,
  [1425] = 897,
  [1426] = 912,
  [1427] = 1427,
  [1428] = 1404,
  [1429] = 914,
  [1430] = 1430,
  [1431] = 1405,
  [1432] = 1432,
  [1433] = 1183,
  [1434] = 1171,
  [1435] = 1401,
  [1436] = 911,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1418,
  [1441] = 1441,
  [1442] = 1196,
  [1443] = 1443,
  [1444] = 1414,
  [1445] = 1430,
  [1446] = 971,
  [1447] = 1186,
  [1448] = 1173,
  [1449] = 1418,
  [1450] = 972,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1174,
  [1454] = 1422,
  [1455] = 1194,
  [1456] = 1187,
  [1457] = 1188,
  [1458] = 1458,
  [1459] = 1427,
  [1460] = 1174,
  [1461] = 1165,
  [1462] = 898,
  [1463] = 1189,
  [1464] = 1404,
  [1465] = 943,
  [1466] = 1382,
  [1467] = 1391,
  [1468] = 1432,
  [1469] = 1379,
  [1470] = 973,
  [1471] = 1471,
  [1472] = 1167,
  [1473] = 1437,
  [1474] = 1438,
  [1475] = 1384,
  [1476] = 1443,
  [1477] = 1190,
  [1478] = 1194,
  [1479] = 1165,
  [1480] = 898,
  [1481] = 943,
  [1482] = 1186,
  [1483] = 1451,
  [1484] = 1401,
  [1485] = 1452,
  [1486] = 1187,
  [1487] = 1422,
  [1488] = 1175,
  [1489] = 898,
  [1490] = 1421,
  [1491] = 1182,
  [1492] = 1183,
  [1493] = 1493,
  [1494] = 1188,
  [1495] = 1439,
  [1496] = 1189,
  [1497] = 1458,
  [1498] = 1382,
  [1499] = 1384,
  [1500] = 1190,
  [1501] = 1427,
  [1502] = 943,
  [1503] = 911,
  [1504] = 1401,
  [1505] = 1421,
  [1506] = 1506,
  [1507] = 911,
  [1508] = 1195,
  [1509] = 1405,
  [1510] = 1430,
  [1511] = 1511,
  [1512] = 1441,
  [1513] = 1182,
  [1514] = 1391,
  [1515] = 874,
  [1516] = 1471,
  [1517] = 1182,
  [1518] = 1183,
  [1519] = 1194,
  [1520] = 1437,
  [1521] = 1438,
  [1522] = 1443,
  [1523] = 1506,
  [1524] = 1524,
  [1525] = 1511,
  [1526] = 1524,
  [1527] = 1183,
  [1528] = 911,
  [1529] = 1179,
  [1530] = 1391,
  [1531] = 1196,
  [1532] = 1165,
  [1533] = 1533,
  [1534] = 1506,
  [1535] = 1441,
  [1536] = 1451,
  [1537] = 878,
  [1538] = 1379,
  [1539] = 914,
  [1540] = 1193,
  [1541] = 1452,
  [1542] = 1178,
  [1543] = 1191,
  [1544] = 1192,
  [1545] = 1471,
  [1546] = 1198,
  [1547] = 1191,
  [1548] = 1524,
  [1549] = 1511,
  [1550] = 1379,
  [1551] = 1181,
  [1552] = 1533,
  [1553] = 1171,
  [1554] = 1192,
  [1555] = 1555,
  [1556] = 1178,
  [1557] = 1181,
  [1558] = 1524,
  [1559] = 927,
  [1560] = 1195,
  [1561] = 1169,
  [1562] = 1170,
  [1563] = 1421,
  [1564] = 1169,
  [1565] = 1193,
  [1566] = 1171,
  [1567] = 1173,
  [1568] = 1174,
  [1569] = 1196,
  [1570] = 1178,
  [1571] = 1181,
  [1572] = 971,
  [1573] = 1193,
  [1574] = 1186,
  [1575] = 1194,
  [1576] = 1169,
  [1577] = 1170,
  [1578] = 1165,
  [1579] = 1171,
  [1580] = 1404,
  [1581] = 971,
  [1582] = 1173,
  [1583] = 1405,
  [1584] = 1584,
  [1585] = 1174,
  [1586] = 1187,
  [1587] = 1188,
  [1588] = 1186,
  [1589] = 1187,
  [1590] = 877,
  [1591] = 1591,
  [1592] = 1188,
  [1593] = 1189,
  [1594] = 1182,
  [1595] = 1190,
  [1596] = 1189,
  [1597] = 1471,
  [1598] = 1598,
  [1599] = 1190,
  [1600] = 1196,
  [1601] = 1414,
  [1602] = 1170,
  [1603] = 928,
  [1604] = 927,
  [1605] = 1418,
  [1606] = 901,
  [1607] = 971,
  [1608] = 1533,
  [1609] = 928,
  [1610] = 901,
  [1611] = 1422,
  [1612] = 1183,
  [1613] = 902,
  [1614] = 902,
  [1615] = 972,
  [1616] = 1427,
  [1617] = 1458,
  [1618] = 973,
  [1619] = 897,
  [1620] = 912,
  [1621] = 898,
  [1622] = 943,
  [1623] = 914,
  [1624] = 1382,
  [1625] = 1432,
  [1626] = 1493,
  [1627] = 911,
  [1628] = 927,
  [1629] = 1195,
  [1630] = 1193,
  [1631] = 1195,
  [1632] = 1178,
  [1633] = 1437,
  [1634] = 1438,
  [1635] = 1181,
  [1636] = 1443,
  [1637] = 1439,
  [1638] = 1414,
  [1639] = 1458,
  [1640] = 1173,
  [1641] = 1493,
  [1642] = 928,
  [1643] = 1451,
  [1644] = 901,
  [1645] = 1452,
  [1646] = 972,
  [1647] = 973,
  [1648] = 902,
  [1649] = 1384,
  [1650] = 1191,
  [1651] = 1192,
  [1652] = 1169,
  [1653] = 1170,
  [1654] = 1171,
  [1655] = 1173,
  [1656] = 1174,
  [1657] = 897,
  [1658] = 912,
  [1659] = 1194,
  [1660] = 1165,
  [1661] = 1186,
  [1662] = 1187,
  [1663] = 1188,
  [1664] = 1189,
  [1665] = 1190,
  [1666] = 873,
  [1667] = 876,
  [1668] = 875,
  [1669] = 897,
  [1670] = 1165,
  [1671] = 898,
  [1672] = 927,
  [1673] = 902,
  [1674] = 1182,
  [1675] = 1174,
  [1676] = 1181,
  [1677] = 1169,
  [1678] = 943,
  [1679] = 1171,
  [1680] = 1186,
  [1681] = 1187,
  [1682] = 1188,
  [1683] = 1189,
  [1684] = 1183,
  [1685] = 1194,
  [1686] = 1190,
  [1687] = 1191,
  [1688] = 1192,
  [1689] = 1178,
  [1690] = 1173,
  [1691] = 972,
  [1692] = 973,
  [1693] = 1170,
  [1694] = 901,
  [1695] = 1196,
  [1696] = 1195,
  [1697] = 1193,
  [1698] = 914,
  [1699] = 971,
  [1700] = 911,
  [1701] = 928,
  [1702] = 912,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1705,
  [1708] = 1705,
  [1709] = 1709,
  [1710] = 876,
  [1711] = 874,
  [1712] = 875,
  [1713] = 877,
  [1714] = 878,
  [1715] = 873,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1178,
  [1722] = 1181,
  [1723] = 1169,
  [1724] = 1170,
  [1725] = 1171,
  [1726] = 1173,
  [1727] = 1174,
  [1728] = 1186,
  [1729] = 1187,
  [1730] = 1188,
  [1731] = 1189,
  [1732] = 1190,
  [1733] = 1196,
  [1734] = 971,
  [1735] = 1735,
  [1736] = 972,
  [1737] = 973,
  [1738] = 898,
  [1739] = 943,
  [1740] = 911,
  [1741] = 1716,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1735,
  [1745] = 1718,
  [1746] = 1195,
  [1747] = 1193,
  [1748] = 1191,
  [1749] = 1192,
  [1750] = 1194,
  [1751] = 1165,
  [1752] = 1743,
  [1753] = 1183,
  [1754] = 1719,
  [1755] = 1717,
  [1756] = 927,
  [1757] = 928,
  [1758] = 901,
  [1759] = 902,
  [1760] = 897,
  [1761] = 912,
  [1762] = 914,
  [1763] = 1720,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1768,
  [1773] = 1769,
  [1774] = 1770,
  [1775] = 1771,
  [1776] = 1764,
  [1777] = 1765,
  [1778] = 1766,
  [1779] = 1767,
  [1780] = 1742,
  [1781] = 1182,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 928,
  [1785] = 901,
  [1786] = 902,
  [1787] = 1191,
  [1788] = 1192,
  [1789] = 873,
  [1790] = 876,
  [1791] = 874,
  [1792] = 1782,
  [1793] = 973,
  [1794] = 875,
  [1795] = 877,
  [1796] = 878,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1169,
  [1801] = 1170,
  [1802] = 1802,
  [1803] = 1171,
  [1804] = 1173,
  [1805] = 1174,
  [1806] = 897,
  [1807] = 912,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1194,
  [1811] = 1165,
  [1812] = 1768,
  [1813] = 1808,
  [1814] = 898,
  [1815] = 943,
  [1816] = 1809,
  [1817] = 1817,
  [1818] = 1817,
  [1819] = 1186,
  [1820] = 1187,
  [1821] = 1188,
  [1822] = 1189,
  [1823] = 1190,
  [1824] = 914,
  [1825] = 876,
  [1826] = 874,
  [1827] = 875,
  [1828] = 877,
  [1829] = 878,
  [1830] = 1182,
  [1831] = 873,
  [1832] = 1797,
  [1833] = 1798,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1799,
  [1837] = 1183,
  [1838] = 1769,
  [1839] = 1770,
  [1840] = 1771,
  [1841] = 911,
  [1842] = 1842,
  [1843] = 1802,
  [1844] = 1196,
  [1845] = 1195,
  [1846] = 1193,
  [1847] = 1847,
  [1848] = 1842,
  [1849] = 1178,
  [1850] = 1764,
  [1851] = 1765,
  [1852] = 1766,
  [1853] = 1767,
  [1854] = 1181,
  [1855] = 1855,
  [1856] = 927,
  [1857] = 1591,
  [1858] = 1783,
  [1859] = 1191,
  [1860] = 1192,
  [1861] = 1861,
  [1862] = 1716,
  [1863] = 1742,
  [1864] = 1743,
  [1865] = 1735,
  [1866] = 1169,
  [1867] = 1170,
  [1868] = 1171,
  [1869] = 1173,
  [1870] = 1174,
  [1871] = 1718,
  [1872] = 1719,
  [1873] = 1720,
  [1874] = 1874,
  [1875] = 1194,
  [1876] = 1165,
  [1877] = 1195,
  [1878] = 1717,
  [1879] = 1186,
  [1880] = 1187,
  [1881] = 1188,
  [1882] = 1189,
  [1883] = 1190,
  [1884] = 927,
  [1885] = 971,
  [1886] = 928,
  [1887] = 901,
  [1888] = 902,
  [1889] = 972,
  [1890] = 973,
  [1891] = 897,
  [1892] = 912,
  [1893] = 898,
  [1894] = 943,
  [1895] = 914,
  [1896] = 911,
  [1897] = 1182,
  [1898] = 1183,
  [1899] = 1193,
  [1900] = 1900,
  [1901] = 971,
  [1902] = 1902,
  [1903] = 1196,
  [1904] = 1591,
  [1905] = 1178,
  [1906] = 1900,
  [1907] = 1181,
  [1908] = 1834,
  [1909] = 1835,
  [1910] = 1910,
  [1911] = 1847,
  [1912] = 1910,
  [1913] = 1855,
  [1914] = 972,
  [1915] = 1174,
  [1916] = 901,
  [1917] = 1834,
  [1918] = 1835,
  [1919] = 1910,
  [1920] = 1782,
  [1921] = 897,
  [1922] = 1922,
  [1923] = 902,
  [1924] = 1797,
  [1925] = 1798,
  [1926] = 1799,
  [1927] = 1802,
  [1928] = 1808,
  [1929] = 1809,
  [1930] = 912,
  [1931] = 1817,
  [1932] = 1842,
  [1933] = 1900,
  [1934] = 1195,
  [1935] = 1193,
  [1936] = 1178,
  [1937] = 1181,
  [1938] = 1938,
  [1939] = 911,
  [1940] = 1192,
  [1941] = 1169,
  [1942] = 1170,
  [1943] = 1171,
  [1944] = 1173,
  [1945] = 1194,
  [1946] = 1165,
  [1947] = 1186,
  [1948] = 1187,
  [1949] = 1188,
  [1950] = 1189,
  [1951] = 1190,
  [1952] = 1182,
  [1953] = 1183,
  [1954] = 1196,
  [1955] = 927,
  [1956] = 1956,
  [1957] = 1847,
  [1958] = 914,
  [1959] = 971,
  [1960] = 972,
  [1961] = 973,
  [1962] = 1855,
  [1963] = 898,
  [1964] = 943,
  [1965] = 1783,
  [1966] = 928,
  [1967] = 1967,
  [1968] = 1191,
  [1969] = 1186,
  [1970] = 902,
  [1971] = 897,
  [1972] = 912,
  [1973] = 1181,
  [1974] = 1196,
  [1975] = 1165,
  [1976] = 1187,
  [1977] = 914,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1188,
  [1981] = 972,
  [1982] = 973,
  [1983] = 1978,
  [1984] = 1979,
  [1985] = 1183,
  [1986] = 1978,
  [1987] = 971,
  [1988] = 1978,
  [1989] = 1979,
  [1990] = 1979,
  [1991] = 1991,
  [1992] = 1189,
  [1993] = 1978,
  [1994] = 1979,
  [1995] = 898,
  [1996] = 943,
  [1997] = 1169,
  [1998] = 1170,
  [1999] = 1979,
  [2000] = 1978,
  [2001] = 1979,
  [2002] = 1978,
  [2003] = 1979,
  [2004] = 1190,
  [2005] = 1171,
  [2006] = 1182,
  [2007] = 1173,
  [2008] = 927,
  [2009] = 1178,
  [2010] = 911,
  [2011] = 928,
  [2012] = 901,
  [2013] = 1195,
  [2014] = 1978,
  [2015] = 1193,
  [2016] = 1191,
  [2017] = 1192,
  [2018] = 1174,
  [2019] = 1979,
  [2020] = 1194,
  [2021] = 1978,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2031,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2034,
  [2040] = 2031,
  [2041] = 2034,
  [2042] = 2034,
  [2043] = 2031,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2037,
  [2049] = 2038,
  [2050] = 876,
  [2051] = 874,
  [2052] = 875,
  [2053] = 877,
  [2054] = 878,
  [2055] = 2022,
  [2056] = 2026,
  [2057] = 2030,
  [2058] = 2032,
  [2059] = 2025,
  [2060] = 2036,
  [2061] = 2027,
  [2062] = 2045,
  [2063] = 873,
  [2064] = 927,
  [2065] = 928,
  [2066] = 901,
  [2067] = 902,
  [2068] = 897,
  [2069] = 912,
  [2070] = 914,
  [2071] = 2071,
  [2072] = 2022,
  [2073] = 2073,
  [2074] = 2047,
  [2075] = 2026,
  [2076] = 2030,
  [2077] = 1979,
  [2078] = 2032,
  [2079] = 2025,
  [2080] = 2036,
  [2081] = 2027,
  [2082] = 2082,
  [2083] = 2045,
  [2084] = 1978,
  [2085] = 1979,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 1978,
  [2093] = 1979,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2028,
  [2100] = 2024,
  [2101] = 2023,
  [2102] = 2029,
  [2103] = 2033,
  [2104] = 2104,
  [2105] = 1978,
  [2106] = 1979,
  [2107] = 2047,
  [2108] = 1978,
  [2109] = 1979,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2028,
  [2113] = 2024,
  [2114] = 2023,
  [2115] = 2029,
  [2116] = 2033,
  [2117] = 2117,
  [2118] = 2037,
  [2119] = 2038,
  [2120] = 1978,
  [2121] = 2104,
  [2122] = 901,
  [2123] = 902,
  [2124] = 897,
  [2125] = 912,
  [2126] = 914,
  [2127] = 2127,
  [2128] = 2086,
  [2129] = 2111,
  [2130] = 2110,
  [2131] = 2104,
  [2132] = 2110,
  [2133] = 927,
  [2134] = 928,
  [2135] = 901,
  [2136] = 902,
  [2137] = 897,
  [2138] = 912,
  [2139] = 914,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2047,
  [2143] = 2140,
  [2144] = 2117,
  [2145] = 2028,
  [2146] = 2071,
  [2147] = 2095,
  [2148] = 2024,
  [2149] = 2073,
  [2150] = 2023,
  [2151] = 2086,
  [2152] = 2029,
  [2153] = 2141,
  [2154] = 2111,
  [2155] = 2033,
  [2156] = 2140,
  [2157] = 2140,
  [2158] = 2037,
  [2159] = 2038,
  [2160] = 2141,
  [2161] = 2141,
  [2162] = 2141,
  [2163] = 2117,
  [2164] = 2071,
  [2165] = 2087,
  [2166] = 2166,
  [2167] = 2141,
  [2168] = 2089,
  [2169] = 2082,
  [2170] = 2095,
  [2171] = 2090,
  [2172] = 2091,
  [2173] = 2022,
  [2174] = 2082,
  [2175] = 2088,
  [2176] = 2094,
  [2177] = 2088,
  [2178] = 2026,
  [2179] = 2030,
  [2180] = 2032,
  [2181] = 2025,
  [2182] = 2036,
  [2183] = 2141,
  [2184] = 2087,
  [2185] = 2089,
  [2186] = 2027,
  [2187] = 2090,
  [2188] = 2091,
  [2189] = 2045,
  [2190] = 2094,
  [2191] = 2096,
  [2192] = 2073,
  [2193] = 2097,
  [2194] = 2098,
  [2195] = 2096,
  [2196] = 927,
  [2197] = 2097,
  [2198] = 2198,
  [2199] = 2098,
  [2200] = 928,
  [2201] = 901,
  [2202] = 902,
  [2203] = 2089,
  [2204] = 897,
  [2205] = 912,
  [2206] = 914,
  [2207] = 2090,
  [2208] = 2088,
  [2209] = 2091,
  [2210] = 2210,
  [2211] = 2082,
  [2212] = 2104,
  [2213] = 2110,
  [2214] = 2117,
  [2215] = 2094,
  [2216] = 2071,
  [2217] = 927,
  [2218] = 2096,
  [2219] = 2095,
  [2220] = 2073,
  [2221] = 2097,
  [2222] = 2098,
  [2223] = 2086,
  [2224] = 2111,
  [2225] = 2225,
  [2226] = 2087,
  [2227] = 928,
  [2228] = 2032,
  [2229] = 2037,
  [2230] = 2038,
  [2231] = 2028,
  [2232] = 2026,
  [2233] = 2038,
  [2234] = 2033,
  [2235] = 2024,
  [2236] = 2037,
  [2237] = 2022,
  [2238] = 2047,
  [2239] = 2047,
  [2240] = 2023,
  [2241] = 2026,
  [2242] = 2030,
  [2243] = 2028,
  [2244] = 2024,
  [2245] = 2030,
  [2246] = 2023,
  [2247] = 2029,
  [2248] = 2029,
  [2249] = 2033,
  [2250] = 2025,
  [2251] = 2025,
  [2252] = 2036,
  [2253] = 2027,
  [2254] = 2032,
  [2255] = 2045,
  [2256] = 2027,
  [2257] = 2022,
  [2258] = 2036,
  [2259] = 2045,
  [2260] = 2082,
  [2261] = 2026,
  [2262] = 2262,
  [2263] = 2030,
  [2264] = 2022,
  [2265] = 2265,
  [2266] = 2033,
  [2267] = 2022,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2026,
  [2271] = 2265,
  [2272] = 2022,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2032,
  [2278] = 2025,
  [2279] = 2024,
  [2280] = 2110,
  [2281] = 2281,
  [2282] = 2030,
  [2283] = 2028,
  [2284] = 2024,
  [2285] = 2022,
  [2286] = 2036,
  [2287] = 2027,
  [2288] = 2265,
  [2289] = 2117,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2262,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2104,
  [2296] = 2026,
  [2297] = 2291,
  [2298] = 2095,
  [2299] = 2274,
  [2300] = 2023,
  [2301] = 2110,
  [2302] = 2030,
  [2303] = 2117,
  [2304] = 927,
  [2305] = 2071,
  [2306] = 928,
  [2307] = 2095,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2281,
  [2311] = 2311,
  [2312] = 2029,
  [2313] = 901,
  [2314] = 2073,
  [2315] = 902,
  [2316] = 897,
  [2317] = 2268,
  [2318] = 2290,
  [2319] = 2086,
  [2320] = 2111,
  [2321] = 2293,
  [2322] = 912,
  [2323] = 914,
  [2324] = 2045,
  [2325] = 2037,
  [2326] = 2273,
  [2327] = 2269,
  [2328] = 2033,
  [2329] = 2037,
  [2330] = 2073,
  [2331] = 2023,
  [2332] = 2029,
  [2333] = 2294,
  [2334] = 2022,
  [2335] = 2104,
  [2336] = 2032,
  [2337] = 2087,
  [2338] = 2025,
  [2339] = 2023,
  [2340] = 2038,
  [2341] = 2026,
  [2342] = 2030,
  [2343] = 2028,
  [2344] = 2032,
  [2345] = 2025,
  [2346] = 2036,
  [2347] = 2027,
  [2348] = 2045,
  [2349] = 2045,
  [2350] = 2029,
  [2351] = 2036,
  [2352] = 2047,
  [2353] = 2033,
  [2354] = 2022,
  [2355] = 2036,
  [2356] = 2027,
  [2357] = 2037,
  [2358] = 2026,
  [2359] = 2030,
  [2360] = 2032,
  [2361] = 2025,
  [2362] = 2291,
  [2363] = 2262,
  [2364] = 2293,
  [2365] = 2294,
  [2366] = 2036,
  [2367] = 2027,
  [2368] = 2045,
  [2369] = 2087,
  [2370] = 2086,
  [2371] = 2089,
  [2372] = 927,
  [2373] = 928,
  [2374] = 2090,
  [2375] = 901,
  [2376] = 2091,
  [2377] = 2027,
  [2378] = 902,
  [2379] = 2268,
  [2380] = 2290,
  [2381] = 2094,
  [2382] = 897,
  [2383] = 2096,
  [2384] = 912,
  [2385] = 2097,
  [2386] = 2025,
  [2387] = 2098,
  [2388] = 2276,
  [2389] = 914,
  [2390] = 2036,
  [2391] = 2089,
  [2392] = 2027,
  [2393] = 2090,
  [2394] = 2038,
  [2395] = 2045,
  [2396] = 2308,
  [2397] = 2311,
  [2398] = 2082,
  [2399] = 2091,
  [2400] = 2273,
  [2401] = 2094,
  [2402] = 2026,
  [2403] = 2274,
  [2404] = 2275,
  [2405] = 2276,
  [2406] = 2030,
  [2407] = 2071,
  [2408] = 2032,
  [2409] = 2028,
  [2410] = 2096,
  [2411] = 2024,
  [2412] = 2311,
  [2413] = 2045,
  [2414] = 2025,
  [2415] = 2309,
  [2416] = 2047,
  [2417] = 2088,
  [2418] = 2047,
  [2419] = 2038,
  [2420] = 2308,
  [2421] = 2097,
  [2422] = 2111,
  [2423] = 2088,
  [2424] = 2098,
  [2425] = 2269,
  [2426] = 2309,
  [2427] = 2281,
  [2428] = 2275,
  [2429] = 2032,
  [2430] = 2091,
  [2431] = 2088,
  [2432] = 2088,
  [2433] = 2086,
  [2434] = 2434,
  [2435] = 2026,
  [2436] = 2087,
  [2437] = 2437,
  [2438] = 2032,
  [2439] = 2089,
  [2440] = 2090,
  [2441] = 2025,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2091,
  [2445] = 2094,
  [2446] = 2027,
  [2447] = 2096,
  [2448] = 2097,
  [2449] = 2098,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2036,
  [2453] = 2098,
  [2454] = 2030,
  [2455] = 2022,
  [2456] = 2047,
  [2457] = 2026,
  [2458] = 2030,
  [2459] = 2028,
  [2460] = 2024,
  [2461] = 2032,
  [2462] = 2025,
  [2463] = 2023,
  [2464] = 2029,
  [2465] = 2036,
  [2466] = 2027,
  [2467] = 2033,
  [2468] = 2037,
  [2469] = 2045,
  [2470] = 2038,
  [2471] = 2027,
  [2472] = 2047,
  [2473] = 2033,
  [2474] = 2037,
  [2475] = 2028,
  [2476] = 2024,
  [2477] = 2045,
  [2478] = 2023,
  [2479] = 2029,
  [2480] = 2033,
  [2481] = 2033,
  [2482] = 2037,
  [2483] = 2047,
  [2484] = 2443,
  [2485] = 2104,
  [2486] = 2028,
  [2487] = 2024,
  [2488] = 2110,
  [2489] = 2038,
  [2490] = 2117,
  [2491] = 2023,
  [2492] = 2029,
  [2493] = 2071,
  [2494] = 2494,
  [2495] = 2095,
  [2496] = 2033,
  [2497] = 2037,
  [2498] = 2073,
  [2499] = 2086,
  [2500] = 2038,
  [2501] = 2111,
  [2502] = 2502,
  [2503] = 2022,
  [2504] = 2026,
  [2505] = 2030,
  [2506] = 2032,
  [2507] = 2025,
  [2508] = 2036,
  [2509] = 2027,
  [2510] = 2045,
  [2511] = 2094,
  [2512] = 2512,
  [2513] = 2022,
  [2514] = 2026,
  [2515] = 2030,
  [2516] = 2032,
  [2517] = 2025,
  [2518] = 2036,
  [2519] = 2027,
  [2520] = 2045,
  [2521] = 2521,
  [2522] = 927,
  [2523] = 928,
  [2524] = 901,
  [2525] = 902,
  [2526] = 897,
  [2527] = 912,
  [2528] = 914,
  [2529] = 927,
  [2530] = 928,
  [2531] = 901,
  [2532] = 902,
  [2533] = 897,
  [2534] = 912,
  [2535] = 914,
  [2536] = 2536,
  [2537] = 2096,
  [2538] = 2110,
  [2539] = 2047,
  [2540] = 2037,
  [2541] = 2104,
  [2542] = 2104,
  [2543] = 2097,
  [2544] = 2028,
  [2545] = 2024,
  [2546] = 2110,
  [2547] = 2547,
  [2548] = 2117,
  [2549] = 2023,
  [2550] = 2029,
  [2551] = 2071,
  [2552] = 2082,
  [2553] = 2095,
  [2554] = 2554,
  [2555] = 2434,
  [2556] = 927,
  [2557] = 928,
  [2558] = 901,
  [2559] = 902,
  [2560] = 897,
  [2561] = 912,
  [2562] = 914,
  [2563] = 2033,
  [2564] = 2037,
  [2565] = 2073,
  [2566] = 2086,
  [2567] = 927,
  [2568] = 928,
  [2569] = 901,
  [2570] = 902,
  [2571] = 897,
  [2572] = 912,
  [2573] = 914,
  [2574] = 927,
  [2575] = 928,
  [2576] = 901,
  [2577] = 902,
  [2578] = 897,
  [2579] = 912,
  [2580] = 914,
  [2581] = 2038,
  [2582] = 2111,
  [2583] = 2451,
  [2584] = 2045,
  [2585] = 2585,
  [2586] = 2442,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2110,
  [2590] = 2028,
  [2591] = 2024,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2032,
  [2595] = 2117,
  [2596] = 2025,
  [2597] = 2038,
  [2598] = 2111,
  [2599] = 2104,
  [2600] = 2087,
  [2601] = 2071,
  [2602] = 2025,
  [2603] = 2095,
  [2604] = 2089,
  [2605] = 2023,
  [2606] = 2029,
  [2607] = 2029,
  [2608] = 2090,
  [2609] = 2036,
  [2610] = 2038,
  [2611] = 2022,
  [2612] = 2110,
  [2613] = 2073,
  [2614] = 2086,
  [2615] = 2091,
  [2616] = 2027,
  [2617] = 2117,
  [2618] = 2094,
  [2619] = 2104,
  [2620] = 2111,
  [2621] = 2026,
  [2622] = 2030,
  [2623] = 2096,
  [2624] = 2097,
  [2625] = 2437,
  [2626] = 2098,
  [2627] = 2443,
  [2628] = 2033,
  [2629] = 2037,
  [2630] = 2032,
  [2631] = 2045,
  [2632] = 2025,
  [2633] = 2071,
  [2634] = 2634,
  [2635] = 2095,
  [2636] = 2636,
  [2637] = 2036,
  [2638] = 2027,
  [2639] = 2082,
  [2640] = 2554,
  [2641] = 2636,
  [2642] = 2045,
  [2643] = 2643,
  [2644] = 2502,
  [2645] = 927,
  [2646] = 2512,
  [2647] = 2585,
  [2648] = 2038,
  [2649] = 2587,
  [2650] = 2073,
  [2651] = 2588,
  [2652] = 2117,
  [2653] = 2089,
  [2654] = 2088,
  [2655] = 2166,
  [2656] = 2022,
  [2657] = 2592,
  [2658] = 2536,
  [2659] = 2593,
  [2660] = 2547,
  [2661] = 2434,
  [2662] = 2451,
  [2663] = 2090,
  [2664] = 2664,
  [2665] = 2127,
  [2666] = 2666,
  [2667] = 2071,
  [2668] = 2554,
  [2669] = 2585,
  [2670] = 2587,
  [2671] = 2588,
  [2672] = 2592,
  [2673] = 2593,
  [2674] = 2666,
  [2675] = 2022,
  [2676] = 2023,
  [2677] = 928,
  [2678] = 901,
  [2679] = 902,
  [2680] = 2073,
  [2681] = 2643,
  [2682] = 2047,
  [2683] = 2047,
  [2684] = 2536,
  [2685] = 2026,
  [2686] = 2030,
  [2687] = 2666,
  [2688] = 2029,
  [2689] = 2086,
  [2690] = 2028,
  [2691] = 2024,
  [2692] = 2032,
  [2693] = 2025,
  [2694] = 2023,
  [2695] = 2029,
  [2696] = 2022,
  [2697] = 2036,
  [2698] = 2027,
  [2699] = 2033,
  [2700] = 2037,
  [2701] = 2045,
  [2702] = 2047,
  [2703] = 2038,
  [2704] = 2026,
  [2705] = 2030,
  [2706] = 2095,
  [2707] = 2036,
  [2708] = 2028,
  [2709] = 2024,
  [2710] = 2111,
  [2711] = 2636,
  [2712] = 2032,
  [2713] = 2547,
  [2714] = 2437,
  [2715] = 2025,
  [2716] = 2023,
  [2717] = 897,
  [2718] = 912,
  [2719] = 2029,
  [2720] = 2022,
  [2721] = 2643,
  [2722] = 2036,
  [2723] = 2087,
  [2724] = 2442,
  [2725] = 2104,
  [2726] = 2028,
  [2727] = 2027,
  [2728] = 2033,
  [2729] = 2037,
  [2730] = 2024,
  [2731] = 2731,
  [2732] = 2502,
  [2733] = 2045,
  [2734] = 2038,
  [2735] = 2110,
  [2736] = 2117,
  [2737] = 2512,
  [2738] = 2738,
  [2739] = 2071,
  [2740] = 2095,
  [2741] = 2022,
  [2742] = 2073,
  [2743] = 914,
  [2744] = 2086,
  [2745] = 2111,
  [2746] = 2026,
  [2747] = 2030,
  [2748] = 2047,
  [2749] = 2026,
  [2750] = 2082,
  [2751] = 2030,
  [2752] = 2047,
  [2753] = 2198,
  [2754] = 2023,
  [2755] = 2028,
  [2756] = 2024,
  [2757] = 2032,
  [2758] = 2032,
  [2759] = 2088,
  [2760] = 2094,
  [2761] = 2088,
  [2762] = 2096,
  [2763] = 928,
  [2764] = 2097,
  [2765] = 2087,
  [2766] = 2104,
  [2767] = 897,
  [2768] = 927,
  [2769] = 928,
  [2770] = 901,
  [2771] = 902,
  [2772] = 897,
  [2773] = 912,
  [2774] = 914,
  [2775] = 2096,
  [2776] = 2087,
  [2777] = 2097,
  [2778] = 901,
  [2779] = 2098,
  [2780] = 2097,
  [2781] = 927,
  [2782] = 928,
  [2783] = 901,
  [2784] = 902,
  [2785] = 897,
  [2786] = 912,
  [2787] = 914,
  [2788] = 2089,
  [2789] = 2098,
  [2790] = 2086,
  [2791] = 2110,
  [2792] = 2090,
  [2793] = 912,
  [2794] = 2117,
  [2795] = 902,
  [2796] = 2089,
  [2797] = 2087,
  [2798] = 2098,
  [2799] = 2091,
  [2800] = 897,
  [2801] = 2110,
  [2802] = 2096,
  [2803] = 2094,
  [2804] = 2090,
  [2805] = 2117,
  [2806] = 2097,
  [2807] = 2071,
  [2808] = 2096,
  [2809] = 2111,
  [2810] = 2098,
  [2811] = 2088,
  [2812] = 2097,
  [2813] = 2095,
  [2814] = 2098,
  [2815] = 2089,
  [2816] = 927,
  [2817] = 2090,
  [2818] = 928,
  [2819] = 2071,
  [2820] = 901,
  [2821] = 902,
  [2822] = 897,
  [2823] = 912,
  [2824] = 2091,
  [2825] = 914,
  [2826] = 2095,
  [2827] = 912,
  [2828] = 2094,
  [2829] = 2104,
  [2830] = 2110,
  [2831] = 2117,
  [2832] = 2073,
  [2833] = 2090,
  [2834] = 2071,
  [2835] = 2082,
  [2836] = 2095,
  [2837] = 2104,
  [2838] = 2117,
  [2839] = 2086,
  [2840] = 2073,
  [2841] = 2089,
  [2842] = 2096,
  [2843] = 2086,
  [2844] = 2111,
  [2845] = 2110,
  [2846] = 2091,
  [2847] = 2094,
  [2848] = 2073,
  [2849] = 2117,
  [2850] = 927,
  [2851] = 2091,
  [2852] = 2086,
  [2853] = 2071,
  [2854] = 2082,
  [2855] = 2095,
  [2856] = 928,
  [2857] = 901,
  [2858] = 2073,
  [2859] = 902,
  [2860] = 2086,
  [2861] = 2096,
  [2862] = 2088,
  [2863] = 2097,
  [2864] = 2111,
  [2865] = 2097,
  [2866] = 2111,
  [2867] = 2111,
  [2868] = 2098,
  [2869] = 2104,
  [2870] = 2110,
  [2871] = 2095,
  [2872] = 2082,
  [2873] = 2117,
  [2874] = 2071,
  [2875] = 2095,
  [2876] = 2098,
  [2877] = 2073,
  [2878] = 2104,
  [2879] = 2086,
  [2880] = 2082,
  [2881] = 2111,
  [2882] = 2088,
  [2883] = 897,
  [2884] = 912,
  [2885] = 2110,
  [2886] = 2886,
  [2887] = 2022,
  [2888] = 2090,
  [2889] = 2071,
  [2890] = 2026,
  [2891] = 2030,
  [2892] = 914,
  [2893] = 2082,
  [2894] = 2110,
  [2895] = 2104,
  [2896] = 2082,
  [2897] = 2025,
  [2898] = 2087,
  [2899] = 2094,
  [2900] = 2110,
  [2901] = 2088,
  [2902] = 2117,
  [2903] = 2089,
  [2904] = 2090,
  [2905] = 914,
  [2906] = 2071,
  [2907] = 2095,
  [2908] = 2091,
  [2909] = 2094,
  [2910] = 2036,
  [2911] = 2073,
  [2912] = 2086,
  [2913] = 2096,
  [2914] = 2914,
  [2915] = 2097,
  [2916] = 2111,
  [2917] = 2098,
  [2918] = 2027,
  [2919] = 2087,
  [2920] = 2104,
  [2921] = 2071,
  [2922] = 2082,
  [2923] = 2087,
  [2924] = 927,
  [2925] = 928,
  [2926] = 901,
  [2927] = 2110,
  [2928] = 902,
  [2929] = 897,
  [2930] = 912,
  [2931] = 2117,
  [2932] = 914,
  [2933] = 2089,
  [2934] = 927,
  [2935] = 2090,
  [2936] = 928,
  [2937] = 901,
  [2938] = 902,
  [2939] = 897,
  [2940] = 2047,
  [2941] = 2071,
  [2942] = 912,
  [2943] = 914,
  [2944] = 2087,
  [2945] = 2095,
  [2946] = 2089,
  [2947] = 2095,
  [2948] = 2091,
  [2949] = 2090,
  [2950] = 2094,
  [2951] = 2045,
  [2952] = 2087,
  [2953] = 2073,
  [2954] = 2073,
  [2955] = 2028,
  [2956] = 2073,
  [2957] = 2086,
  [2958] = 2096,
  [2959] = 2088,
  [2960] = 2097,
  [2961] = 2024,
  [2962] = 2086,
  [2963] = 2111,
  [2964] = 2098,
  [2965] = 2023,
  [2966] = 2082,
  [2967] = 2089,
  [2968] = 2029,
  [2969] = 914,
  [2970] = 2090,
  [2971] = 2088,
  [2972] = 2033,
  [2973] = 2088,
  [2974] = 2037,
  [2975] = 2091,
  [2976] = 2091,
  [2977] = 2038,
  [2978] = 2082,
  [2979] = 2094,
  [2980] = 2111,
  [2981] = 2104,
  [2982] = 2096,
  [2983] = 2117,
  [2984] = 927,
  [2985] = 927,
  [2986] = 914,
  [2987] = 2091,
  [2988] = 927,
  [2989] = 2104,
  [2990] = 928,
  [2991] = 928,
  [2992] = 901,
  [2993] = 901,
  [2994] = 902,
  [2995] = 2089,
  [2996] = 902,
  [2997] = 897,
  [2998] = 2087,
  [2999] = 912,
  [3000] = 2094,
  [3001] = 2094,
  [3002] = 2104,
  [3003] = 914,
  [3004] = 3004,
  [3005] = 2096,
  [3006] = 2110,
  [3007] = 2097,
  [3008] = 2087,
  [3009] = 2098,
  [3010] = 3010,
  [3011] = 3011,
  [3012] = 2082,
  [3013] = 2071,
  [3014] = 2117,
  [3015] = 3015,
  [3016] = 2111,
  [3017] = 927,
  [3018] = 928,
  [3019] = 2089,
  [3020] = 901,
  [3021] = 2090,
  [3022] = 2095,
  [3023] = 2073,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 902,
  [3027] = 2088,
  [3028] = 897,
  [3029] = 2091,
  [3030] = 912,
  [3031] = 2086,
  [3032] = 3032,
  [3033] = 3033,
  [3034] = 3032,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 3037,
  [3038] = 3038,
  [3039] = 3036,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3042,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3045,
  [3046] = 3046,
  [3047] = 3044,
  [3048] = 3032,
  [3049] = 3044,
  [3050] = 3032,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3044,
  [3054] = 3044,
  [3055] = 3032,
  [3056] = 3044,
  [3057] = 3032,
  [3058] = 3038,
  [3059] = 3036,
  [3060] = 3038,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3064,
  [3070] = 3070,
  [3071] = 3064,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3064,
  [3077] = 3064,
  [3078] = 3078,
  [3079] = 3064,
  [3080] = 3080,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3083,
  [3088] = 3083,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3083,
  [3092] = 3089,
  [3093] = 3089,
  [3094] = 3083,
  [3095] = 3089,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3083,
  [3100] = 3089,
  [3101] = 3083,
  [3102] = 3089,
  [3103] = 3083,
  [3104] = 3089,
  [3105] = 3089,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3114,
  [3115] = 3111,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3108,
  [3124] = 3124,
  [3125] = 3107,
  [3126] = 3110,
  [3127] = 3108,
  [3128] = 3124,
  [3129] = 3108,
  [3130] = 3124,
  [3131] = 3124,
  [3132] = 3132,
  [3133] = 3133,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3132,
  [3137] = 3137,
  [3138] = 3138,
  [3139] = 3135,
  [3140] = 3140,
  [3141] = 3132,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3140,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3149,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3147,
  [3158] = 3151,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3134,
  [3162] = 3140,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3148,
  [3166] = 3166,
  [3167] = 3152,
  [3168] = 3133,
  [3169] = 3149,
  [3170] = 3134,
  [3171] = 3135,
  [3172] = 3172,
  [3173] = 3138,
  [3174] = 3140,
  [3175] = 3175,
  [3176] = 3148,
  [3177] = 3177,
  [3178] = 3142,
  [3179] = 3144,
  [3180] = 3152,
  [3181] = 3147,
  [3182] = 3182,
  [3183] = 3140,
  [3184] = 3138,
  [3185] = 3185,
  [3186] = 3140,
  [3187] = 3148,
  [3188] = 3148,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 3148,
  [3194] = 3189,
  [3195] = 3134,
  [3196] = 3196,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3138,
  [3200] = 3189,
  [3201] = 3201,
  [3202] = 3133,
  [3203] = 3140,
  [3204] = 3204,
  [3205] = 3132,
  [3206] = 3137,
  [3207] = 3207,
  [3208] = 3135,
  [3209] = 3209,
  [3210] = 3149,
  [3211] = 3132,
  [3212] = 3134,
  [3213] = 3142,
  [3214] = 3140,
  [3215] = 3134,
  [3216] = 3216,
  [3217] = 3217,
  [3218] = 3196,
  [3219] = 3138,
  [3220] = 3137,
  [3221] = 3135,
  [3222] = 3133,
  [3223] = 3142,
  [3224] = 3144,
  [3225] = 3147,
  [3226] = 3149,
  [3227] = 3227,
  [3228] = 3152,
  [3229] = 3229,
  [3230] = 3191,
  [3231] = 3140,
  [3232] = 3138,
  [3233] = 3207,
  [3234] = 3234,
  [3235] = 3133,
  [3236] = 3148,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 3140,
  [3240] = 3240,
  [3241] = 3147,
  [3242] = 3148,
  [3243] = 3137,
  [3244] = 3151,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 3133,
  [3248] = 3216,
  [3249] = 3249,
  [3250] = 3135,
  [3251] = 3132,
  [3252] = 3207,
  [3253] = 3191,
  [3254] = 3140,
  [3255] = 3133,
  [3256] = 3197,
  [3257] = 3142,
  [3258] = 3148,
  [3259] = 3140,
  [3260] = 3148,
  [3261] = 3137,
  [3262] = 3144,
  [3263] = 3164,
  [3264] = 3216,
  [3265] = 3265,
  [3266] = 3191,
  [3267] = 3152,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3151,
  [3271] = 3148,
  [3272] = 3134,
  [3273] = 3142,
  [3274] = 3216,
  [3275] = 3275,
  [3276] = 3133,
  [3277] = 3138,
  [3278] = 3137,
  [3279] = 3135,
  [3280] = 3159,
  [3281] = 3152,
  [3282] = 3132,
  [3283] = 3148,
  [3284] = 3142,
  [3285] = 3216,
  [3286] = 3144,
  [3287] = 3144,
  [3288] = 3147,
  [3289] = 3149,
  [3290] = 3140,
  [3291] = 3172,
  [3292] = 3151,
  [3293] = 3152,
  [3294] = 3148,
  [3295] = 3147,
  [3296] = 3137,
  [3297] = 3149,
  [3298] = 3151,
  [3299] = 3299,
  [3300] = 3144,
  [3301] = 3138,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3209,
  [3305] = 3189,
  [3306] = 3134,
  [3307] = 3137,
  [3308] = 3135,
  [3309] = 3132,
  [3310] = 3142,
  [3311] = 3144,
  [3312] = 3147,
  [3313] = 3149,
  [3314] = 3151,
  [3315] = 3152,
  [3316] = 3207,
  [3317] = 3133,
  [3318] = 3159,
  [3319] = 3319,
  [3320] = 3151,
  [3321] = 3227,
  [3322] = 3322,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3324,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 3327,
  [3329] = 3327,
  [3330] = 3323,
  [3331] = 3324,
  [3332] = 3323,
  [3333] = 3333,
  [3334] = 3322,
  [3335] = 2198,
  [3336] = 2127,
  [3337] = 2166,
  [3338] = 2634,
  [3339] = 3339,
  [3340] = 1991,
  [3341] = 3227,
  [3342] = 2731,
  [3343] = 2738,
  [3344] = 2664,
  [3345] = 2634,
  [3346] = 2450,
  [3347] = 2494,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3352,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3362,
  [3363] = 3363,
  [3364] = 3364,
  [3365] = 3365,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3372,
  [3373] = 3373,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3374,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 2886,
  [3384] = 3374,
  [3385] = 3385,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3374,
  [3391] = 3391,
  [3392] = 3392,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3395,
  [3421] = 3421,
  [3422] = 3393,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3419,
  [3428] = 3425,
  [3429] = 3429,
  [3430] = 3426,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3439,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 3432,
  [3444] = 3444,
  [3445] = 3445,
  [3446] = 3434,
  [3447] = 3395,
  [3448] = 3435,
  [3449] = 3436,
  [3450] = 3450,
  [3451] = 3438,
  [3452] = 3393,
  [3453] = 3425,
  [3454] = 3426,
  [3455] = 3432,
  [3456] = 3434,
  [3457] = 3435,
  [3458] = 3436,
  [3459] = 3438,
  [3460] = 3440,
  [3461] = 3441,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 3421,
  [3466] = 3466,
  [3467] = 3467,
  [3468] = 3421,
  [3469] = 3469,
  [3470] = 3440,
  [3471] = 3441,
  [3472] = 3472,
  [3473] = 3411,
  [3474] = 3466,
  [3475] = 3393,
  [3476] = 3415,
  [3477] = 3416,
  [3478] = 3424,
  [3479] = 3409,
  [3480] = 3480,
  [3481] = 3411,
  [3482] = 3466,
  [3483] = 3393,
  [3484] = 3415,
  [3485] = 3416,
  [3486] = 3424,
  [3487] = 3409,
  [3488] = 3411,
  [3489] = 3393,
  [3490] = 3416,
  [3491] = 3424,
  [3492] = 3411,
  [3493] = 3393,
  [3494] = 3416,
  [3495] = 3393,
  [3496] = 3416,
  [3497] = 3393,
  [3498] = 3416,
  [3499] = 3393,
  [3500] = 3416,
  [3501] = 3393,
  [3502] = 3393,
  [3503] = 3393,
  [3504] = 3393,
  [3505] = 3393,
  [3506] = 3393,
  [3507] = 3393,
  [3508] = 3393,
  [3509] = 3393,
  [3510] = 3419,
  [3511] = 3046,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 875,
  [3521] = 873,
  [3522] = 3516,
  [3523] = 876,
  [3524] = 874,
  [3525] = 877,
  [3526] = 3526,
  [3527] = 878,
  [3528] = 3528,
  [3529] = 3526,
  [3530] = 3517,
  [3531] = 3519,
  [3532] = 3528,
  [3533] = 3533,
  [3534] = 3533,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3535,
  [3538] = 3538,
  [3539] = 3538,
  [3540] = 3535,
  [3541] = 3535,
  [3542] = 3538,
  [3543] = 3543,
  [3544] = 3538,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3535,
  [3550] = 3535,
  [3551] = 3538,
  [3552] = 3546,
  [3553] = 3547,
  [3554] = 3538,
  [3555] = 3555,
  [3556] = 3535,
  [3557] = 3535,
  [3558] = 3558,
  [3559] = 3555,
  [3560] = 3535,
  [3561] = 3538,
  [3562] = 3538,
  [3563] = 3535,
  [3564] = 3564,
  [3565] = 3536,
  [3566] = 3566,
  [3567] = 3538,
  [3568] = 3535,
  [3569] = 3538,
  [3570] = 3538,
  [3571] = 3546,
  [3572] = 3535,
  [3573] = 3538,
  [3574] = 3535,
  [3575] = 3535,
  [3576] = 3538,
  [3577] = 3535,
  [3578] = 3578,
  [3579] = 3538,
  [3580] = 3547,
  [3581] = 3538,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 3583,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 3583,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3592,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3590,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3585,
  [3601] = 3601,
  [3602] = 3592,
  [3603] = 3603,
  [3604] = 3583,
  [3605] = 3586,
  [3606] = 3606,
  [3607] = 3582,
  [3608] = 3608,
  [3609] = 3601,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3611,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3594,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3616,
  [3621] = 3621,
  [3622] = 3617,
  [3623] = 3619,
  [3624] = 3618,
  [3625] = 3625,
  [3626] = 876,
  [3627] = 873,
  [3628] = 875,
  [3629] = 877,
  [3630] = 878,
  [3631] = 3616,
  [3632] = 3618,
  [3633] = 3617,
  [3634] = 3634,
  [3635] = 3619,
  [3636] = 3636,
  [3637] = 3634,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3650,
  [3652] = 3639,
  [3653] = 3641,
  [3654] = 3654,
  [3655] = 3643,
  [3656] = 3649,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3643,
  [3661] = 3649,
  [3662] = 3662,
  [3663] = 3645,
  [3664] = 3643,
  [3665] = 3649,
  [3666] = 3643,
  [3667] = 3649,
  [3668] = 3643,
  [3669] = 3643,
  [3670] = 3649,
  [3671] = 3643,
  [3672] = 3649,
  [3673] = 3643,
  [3674] = 3649,
  [3675] = 3643,
  [3676] = 3649,
  [3677] = 3643,
  [3678] = 3649,
  [3679] = 3643,
  [3680] = 3649,
  [3681] = 3643,
  [3682] = 3649,
  [3683] = 3643,
  [3684] = 3649,
  [3685] = 3643,
  [3686] = 3649,
  [3687] = 3643,
  [3688] = 3649,
  [3689] = 3689,
  [3690] = 873,
  [3691] = 876,
  [3692] = 874,
  [3693] = 875,
  [3694] = 877,
  [3695] = 878,
  [3696] = 3696,
  [3697] = 3658,
  [3698] = 3649,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3700,
  [3702] = 3699,
  [3703] = 2738,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3705,
  [3708] = 3708,
  [3709] = 3699,
  [3710] = 3710,
  [3711] = 3699,
  [3712] = 3708,
  [3713] = 3705,
  [3714] = 3350,
  [3715] = 3708,
  [3716] = 3699,
  [3717] = 3706,
  [3718] = 3705,
  [3719] = 3719,
  [3720] = 3708,
  [3721] = 3708,
  [3722] = 2494,
  [3723] = 3706,
  [3724] = 3699,
  [3725] = 3322,
  [3726] = 3699,
  [3727] = 3727,
  [3728] = 3706,
  [3729] = 3710,
  [3730] = 3708,
  [3731] = 3710,
  [3732] = 3705,
  [3733] = 3706,
  [3734] = 3705,
  [3735] = 3710,
  [3736] = 3706,
  [3737] = 3699,
  [3738] = 3705,
  [3739] = 3706,
  [3740] = 3708,
  [3741] = 3699,
  [3742] = 3706,
  [3743] = 3710,
  [3744] = 3699,
  [3745] = 3706,
  [3746] = 3746,
  [3747] = 3708,
  [3748] = 3706,
  [3749] = 3699,
  [3750] = 3750,
  [3751] = 3706,
  [3752] = 3710,
  [3753] = 3708,
  [3754] = 3706,
  [3755] = 3699,
  [3756] = 3708,
  [3757] = 3706,
  [3758] = 2450,
  [3759] = 3708,
  [3760] = 3706,
  [3761] = 2731,
  [3762] = 3710,
  [3763] = 3706,
  [3764] = 3719,
  [3765] = 3710,
  [3766] = 3706,
  [3767] = 3706,
  [3768] = 3706,
  [3769] = 3706,
  [3770] = 3706,
  [3771] = 3706,
  [3772] = 3706,
  [3773] = 3706,
  [3774] = 3706,
  [3775] = 3706,
  [3776] = 3706,
  [3777] = 3706,
  [3778] = 3706,
  [3779] = 3706,
  [3780] = 3706,
  [3781] = 3706,
  [3782] = 3706,
  [3783] = 3706,
  [3784] = 3706,
  [3785] = 3706,
  [3786] = 3706,
  [3787] = 3706,
  [3788] = 3706,
  [3789] = 3706,
  [3790] = 3706,
  [3791] = 3706,
  [3792] = 3706,
  [3793] = 3706,
  [3794] = 3706,
  [3795] = 3706,
  [3796] = 3706,
  [3797] = 3706,
  [3798] = 2664,
  [3799] = 3710,
  [3800] = 3710,
  [3801] = 3710,
  [3802] = 3710,
  [3803] = 3746,
  [3804] = 3710,
  [3805] = 3708,
  [3806] = 3719,
  [3807] = 3746,
  [3808] = 3705,
  [3809] = 3750,
  [3810] = 3750,
  [3811] = 3710,
  [3812] = 3708,
  [3813] = 3699,
  [3814] = 3727,
  [3815] = 3706,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3818,
  [3822] = 3817,
  [3823] = 3823,
  [3824] = 3818,
  [3825] = 3823,
  [3826] = 3826,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3819,
  [3830] = 3816,
  [3831] = 3826,
  [3832] = 3826,
  [3833] = 3816,
  [3834] = 3816,
  [3835] = 3817,
  [3836] = 3819,
  [3837] = 3818,
  [3838] = 3823,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 3839,
  [3843] = 3843,
  [3844] = 3844,
  [3845] = 3818,
  [3846] = 3823,
  [3847] = 3847,
  [3848] = 3848,
  [3849] = 3827,
  [3850] = 3818,
  [3851] = 3851,
  [3852] = 3818,
  [3853] = 3823,
  [3854] = 3854,
  [3855] = 3823,
  [3856] = 3823,
  [3857] = 3818,
  [3858] = 3858,
  [3859] = 3817,
  [3860] = 3860,
  [3861] = 3818,
  [3862] = 3820,
  [3863] = 3817,
  [3864] = 3864,
  [3865] = 3841,
  [3866] = 3823,
  [3867] = 3841,
  [3868] = 3826,
  [3869] = 3819,
  [3870] = 3816,
  [3871] = 3871,
  [3872] = 3864,
  [3873] = 3823,
  [3874] = 3874,
  [3875] = 3819,
  [3876] = 3817,
  [3877] = 3877,
  [3878] = 3819,
  [3879] = 3854,
  [3880] = 3828,
  [3881] = 3826,
  [3882] = 3826,
  [3883] = 2166,
  [3884] = 3816,
  [3885] = 3817,
  [3886] = 3886,
  [3887] = 3819,
  [3888] = 2634,
  [3889] = 3860,
  [3890] = 3890,
  [3891] = 3891,
  [3892] = 3892,
  [3893] = 3817,
  [3894] = 3823,
  [3895] = 3895,
  [3896] = 3819,
  [3897] = 3841,
  [3898] = 3877,
  [3899] = 3826,
  [3900] = 3847,
  [3901] = 3886,
  [3902] = 3890,
  [3903] = 3903,
  [3904] = 2198,
  [3905] = 3905,
  [3906] = 3841,
  [3907] = 3818,
  [3908] = 3854,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3854,
  [3912] = 3912,
  [3913] = 3905,
  [3914] = 3910,
  [3915] = 3912,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3890,
  [3919] = 3826,
  [3920] = 3920,
  [3921] = 3816,
  [3922] = 3916,
  [3923] = 3817,
  [3924] = 3891,
  [3925] = 3816,
  [3926] = 3819,
  [3927] = 3917,
  [3928] = 3817,
  [3929] = 3817,
  [3930] = 3920,
  [3931] = 3841,
  [3932] = 3818,
  [3933] = 3823,
  [3934] = 3909,
  [3935] = 3827,
  [3936] = 3854,
  [3937] = 3819,
  [3938] = 3905,
  [3939] = 3826,
  [3940] = 3854,
  [3941] = 3891,
  [3942] = 3910,
  [3943] = 3816,
  [3944] = 3912,
  [3945] = 3817,
  [3946] = 3518,
  [3947] = 3916,
  [3948] = 3819,
  [3949] = 3949,
  [3950] = 3818,
  [3951] = 3823,
  [3952] = 3917,
  [3953] = 3823,
  [3954] = 3954,
  [3955] = 3864,
  [3956] = 3956,
  [3957] = 3920,
  [3958] = 3958,
  [3959] = 3886,
  [3960] = 3960,
  [3961] = 3841,
  [3962] = 3962,
  [3963] = 3819,
  [3964] = 3877,
  [3965] = 3909,
  [3966] = 3826,
  [3967] = 3851,
  [3968] = 3968,
  [3969] = 3820,
  [3970] = 3854,
  [3971] = 3854,
  [3972] = 3826,
  [3973] = 3841,
  [3974] = 3851,
  [3975] = 3826,
  [3976] = 3828,
  [3977] = 3826,
  [3978] = 2127,
  [3979] = 3816,
  [3980] = 3903,
  [3981] = 3954,
  [3982] = 3817,
  [3983] = 3816,
  [3984] = 3819,
  [3985] = 3816,
  [3986] = 3839,
  [3987] = 3987,
  [3988] = 3818,
  [3989] = 3823,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3816,
  [3993] = 3860,
  [3994] = 3818,
  [3995] = 3995,
  [3996] = 3996,
  [3997] = 3997,
  [3998] = 3353,
  [3999] = 3354,
  [4000] = 4000,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 3352,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 4018,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 4024,
  [4025] = 4025,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 3351,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 3991,
  [4034] = 3962,
  [4035] = 4035,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 3639,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 4042,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 3641,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 3610,
  [4055] = 4055,
  [4056] = 4056,
  [4057] = 3358,
  [4058] = 4058,
  [4059] = 4059,
  [4060] = 3359,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4010,
  [4067] = 4067,
  [4068] = 4064,
  [4069] = 4069,
  [4070] = 3578,
  [4071] = 4053,
  [4072] = 4072,
  [4073] = 4064,
  [4074] = 3363,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 4006,
  [4078] = 4059,
  [4079] = 4075,
  [4080] = 4075,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4083,
  [4084] = 4084,
  [4085] = 3361,
  [4086] = 3369,
  [4087] = 3558,
  [4088] = 3614,
  [4089] = 4064,
  [4090] = 2198,
  [4091] = 4091,
  [4092] = 4053,
  [4093] = 4059,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 3355,
  [4098] = 3365,
  [4099] = 4099,
  [4100] = 3598,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 3613,
  [4104] = 3360,
  [4105] = 3603,
  [4106] = 4106,
  [4107] = 4053,
  [4108] = 3371,
  [4109] = 3357,
  [4110] = 4064,
  [4111] = 4111,
  [4112] = 4112,
  [4113] = 4064,
  [4114] = 4114,
  [4115] = 4064,
  [4116] = 3606,
  [4117] = 4053,
  [4118] = 3597,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 4059,
  [4122] = 4122,
  [4123] = 4064,
  [4124] = 4053,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4053,
  [4128] = 4064,
  [4129] = 4064,
  [4130] = 4130,
  [4131] = 4053,
  [4132] = 4059,
  [4133] = 4084,
  [4134] = 4064,
  [4135] = 4135,
  [4136] = 4053,
  [4137] = 4137,
  [4138] = 3366,
  [4139] = 4139,
  [4140] = 4053,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 3370,
  [4145] = 4145,
  [4146] = 2127,
  [4147] = 4053,
  [4148] = 4075,
  [4149] = 4149,
  [4150] = 4064,
  [4151] = 4053,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4059,
  [4155] = 4053,
  [4156] = 4053,
  [4157] = 3364,
  [4158] = 4158,
  [4159] = 2166,
  [4160] = 4160,
  [4161] = 4081,
  [4162] = 4162,
  [4163] = 4081,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 3356,
  [4167] = 4167,
  [4168] = 3227,
  [4169] = 4169,
  [4170] = 4064,
  [4171] = 4059,
  [4172] = 4053,
  [4173] = 4064,
  [4174] = 4015,
  [4175] = 4175,
  [4176] = 3367,
  [4177] = 4177,
  [4178] = 4059,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 3368,
  [4184] = 4064,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4228,
  [4230] = 4230,
  [4231] = 4201,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4211,
  [4237] = 4228,
  [4238] = 4201,
  [4239] = 4239,
  [4240] = 4234,
  [4241] = 4211,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4190,
  [4247] = 4191,
  [4248] = 4192,
  [4249] = 4205,
  [4250] = 4201,
  [4251] = 4234,
  [4252] = 4234,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4243,
  [4257] = 4244,
  [4258] = 4245,
  [4259] = 4190,
  [4260] = 4191,
  [4261] = 4192,
  [4262] = 4205,
  [4263] = 4201,
  [4264] = 4243,
  [4265] = 4244,
  [4266] = 4245,
  [4267] = 4190,
  [4268] = 4191,
  [4269] = 4192,
  [4270] = 4205,
  [4271] = 4243,
  [4272] = 4244,
  [4273] = 4245,
  [4274] = 4190,
  [4275] = 4191,
  [4276] = 4192,
  [4277] = 4205,
  [4278] = 4243,
  [4279] = 4244,
  [4280] = 4245,
  [4281] = 4190,
  [4282] = 4191,
  [4283] = 4192,
  [4284] = 4205,
  [4285] = 4243,
  [4286] = 4244,
  [4287] = 4245,
  [4288] = 4190,
  [4289] = 4191,
  [4290] = 4192,
  [4291] = 4205,
  [4292] = 4243,
  [4293] = 4244,
  [4294] = 4245,
  [4295] = 4190,
  [4296] = 4191,
  [4297] = 4192,
  [4298] = 4205,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 4243,
  [4305] = 4305,
  [4306] = 4244,
  [4307] = 4245,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4232,
  [4312] = 4213,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4212,
  [4316] = 4219,
  [4317] = 4309,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 4188,
  [4321] = 4200,
  [4322] = 4233,
  [4323] = 4310,
  [4324] = 4232,
  [4325] = 4325,
  [4326] = 4213,
  [4327] = 4318,
  [4328] = 4328,
  [4329] = 4314,
  [4330] = 4212,
  [4331] = 4219,
  [4332] = 4332,
  [4333] = 4318,
  [4334] = 4319,
  [4335] = 4188,
  [4336] = 4233,
  [4337] = 4310,
  [4338] = 4232,
  [4339] = 4213,
  [4340] = 4212,
  [4341] = 4319,
  [4342] = 4188,
  [4343] = 4343,
  [4344] = 4310,
  [4345] = 4232,
  [4346] = 4314,
  [4347] = 4212,
  [4348] = 4319,
  [4349] = 4310,
  [4350] = 4212,
  [4351] = 4319,
  [4352] = 4319,
  [4353] = 4310,
  [4354] = 4212,
  [4355] = 4319,
  [4356] = 4310,
  [4357] = 4212,
  [4358] = 4319,
  [4359] = 4310,
  [4360] = 4212,
  [4361] = 4310,
  [4362] = 4212,
  [4363] = 4310,
  [4364] = 4310,
  [4365] = 4212,
  [4366] = 4310,
  [4367] = 4367,
  [4368] = 4212,
  [4369] = 4310,
  [4370] = 4212,
  [4371] = 4371,
  [4372] = 4310,
  [4373] = 4212,
  [4374] = 4310,
  [4375] = 4212,
  [4376] = 4310,
  [4377] = 4212,
  [4378] = 4310,
  [4379] = 4212,
  [4380] = 4310,
  [4381] = 4212,
  [4382] = 4310,
  [4383] = 4212,
  [4384] = 4310,
  [4385] = 4310,
  [4386] = 4310,
  [4387] = 4310,
  [4388] = 4310,
  [4389] = 4310,
  [4390] = 4310,
  [4391] = 4310,
  [4392] = 4310,
  [4393] = 4310,
  [4394] = 4310,
  [4395] = 4310,
  [4396] = 4310,
  [4397] = 4310,
  [4398] = 4310,
  [4399] = 4310,
  [4400] = 4310,
  [4401] = 4310,
  [4402] = 4310,
  [4403] = 4310,
  [4404] = 4310,
  [4405] = 4310,
  [4406] = 4310,
  [4407] = 4310,
  [4408] = 4310,
  [4409] = 4310,
  [4410] = 4310,
  [4411] = 4310,
  [4412] = 4310,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 2738,
  [4418] = 2664,
  [4419] = 2731,
  [4420] = 4420,
  [4421] = 2494,
  [4422] = 2634,
  [4423] = 2450,
  [4424] = 4424,
  [4425] = 2166,
  [4426] = 2127,
  [4427] = 2198,
  [4428] = 874,
  [4429] = 4420,
  [4430] = 4424,
  [4431] = 4416,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 873,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 876,
  [4444] = 875,
  [4445] = 877,
  [4446] = 878,
  [4447] = 4447,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 2166,
  [4454] = 2198,
  [4455] = 2127,
  [4456] = 4424,
  [4457] = 4420,
  [4458] = 4416,
  [4459] = 4420,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4416,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 4420,
  [4468] = 3641,
  [4469] = 4469,
  [4470] = 4424,
  [4471] = 4424,
  [4472] = 4416,
  [4473] = 4473,
  [4474] = 874,
  [4475] = 4475,
  [4476] = 4420,
  [4477] = 4416,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4424,
  [4482] = 4420,
  [4483] = 4424,
  [4484] = 4424,
  [4485] = 4424,
  [4486] = 4486,
  [4487] = 4420,
  [4488] = 3639,
  [4489] = 4416,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4416,
  [4493] = 4493,
  [4494] = 4416,
  [4495] = 4495,
  [4496] = 4420,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 4501,
  [4503] = 4501,
  [4504] = 4504,
  [4505] = 4501,
  [4506] = 4504,
  [4507] = 4501,
  [4508] = 4504,
  [4509] = 4501,
  [4510] = 4504,
  [4511] = 4501,
  [4512] = 4504,
  [4513] = 4504,
  [4514] = 4501,
  [4515] = 4501,
  [4516] = 4504,
  [4517] = 4504,
  [4518] = 4504,
  [4519] = 4504,
  [4520] = 4501,
  [4521] = 4501,
  [4522] = 4504,
  [4523] = 4501,
  [4524] = 4501,
  [4525] = 4501,
  [4526] = 4504,
  [4527] = 4504,
  [4528] = 4504,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 1705,
  [4555] = 4555,
  [4556] = 4469,
  [4557] = 4441,
  [4558] = 4558,
  [4559] = 4450,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4433,
  [4563] = 4434,
  [4564] = 4449,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4493,
  [4570] = 4448,
  [4571] = 4440,
  [4572] = 4435,
  [4573] = 4438,
  [4574] = 4432,
  [4575] = 874,
  [4576] = 4447,
  [4577] = 4442,
  [4578] = 4578,
  [4579] = 4440,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4450,
  [4583] = 4469,
  [4584] = 4433,
  [4585] = 4438,
  [4586] = 4586,
  [4587] = 4581,
  [4588] = 4588,
  [4589] = 4493,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4592,
  [4593] = 4434,
  [4594] = 4594,
  [4595] = 4435,
  [4596] = 4596,
  [4597] = 4578,
  [4598] = 4598,
  [4599] = 4442,
  [4600] = 4447,
  [4601] = 4448,
  [4602] = 4449,
  [4603] = 4441,
  [4604] = 4450,
  [4605] = 4433,
  [4606] = 4434,
  [4607] = 4435,
  [4608] = 4469,
  [4609] = 4609,
  [4610] = 4442,
  [4611] = 4447,
  [4612] = 4440,
  [4613] = 4438,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4580,
  [4617] = 4581,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4436,
  [4622] = 4622,
  [4623] = 4448,
  [4624] = 4449,
  [4625] = 4493,
  [4626] = 4432,
  [4627] = 4432,
  [4628] = 4580,
  [4629] = 4440,
  [4630] = 4438,
  [4631] = 4581,
  [4632] = 4580,
  [4633] = 4581,
  [4634] = 4442,
  [4635] = 4447,
  [4636] = 4448,
  [4637] = 4449,
  [4638] = 4441,
  [4639] = 4450,
  [4640] = 4433,
  [4641] = 4434,
  [4642] = 4435,
  [4643] = 4643,
  [4644] = 4432,
  [4645] = 4580,
  [4646] = 4581,
  [4647] = 4578,
  [4648] = 4441,
  [4649] = 4580,
  [4650] = 4581,
  [4651] = 4578,
  [4652] = 876,
  [4653] = 4438,
  [4654] = 4654,
  [4655] = 4432,
  [4656] = 4656,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4657,
  [4661] = 951,
  [4662] = 952,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 953,
  [4667] = 954,
  [4668] = 949,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4435,
  [4673] = 4673,
  [4674] = 4551,
  [4675] = 4675,
  [4676] = 4552,
  [4677] = 4677,
  [4678] = 950,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 914,
  [4683] = 4553,
  [4684] = 4542,
  [4685] = 927,
  [4686] = 4543,
  [4687] = 4440,
  [4688] = 4688,
  [4689] = 4447,
  [4690] = 4436,
  [4691] = 928,
  [4692] = 901,
  [4693] = 902,
  [4694] = 4694,
  [4695] = 4448,
  [4696] = 4696,
  [4697] = 955,
  [4698] = 956,
  [4699] = 957,
  [4700] = 4439,
  [4701] = 4701,
  [4702] = 4442,
  [4703] = 958,
  [4704] = 959,
  [4705] = 960,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4447,
  [4713] = 4688,
  [4714] = 4432,
  [4715] = 4679,
  [4716] = 4448,
  [4717] = 4544,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4449,
  [4721] = 4721,
  [4722] = 4545,
  [4723] = 4547,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 873,
  [4727] = 4433,
  [4728] = 4728,
  [4729] = 874,
  [4730] = 4440,
  [4731] = 4436,
  [4732] = 4732,
  [4733] = 961,
  [4734] = 962,
  [4735] = 963,
  [4736] = 964,
  [4737] = 4438,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4441,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4546,
  [4747] = 4537,
  [4748] = 4538,
  [4749] = 4540,
  [4750] = 4450,
  [4751] = 4751,
  [4752] = 4433,
  [4753] = 4753,
  [4754] = 4435,
  [4755] = 4755,
  [4756] = 897,
  [4757] = 4688,
  [4758] = 912,
  [4759] = 4759,
  [4760] = 875,
  [4761] = 4434,
  [4762] = 877,
  [4763] = 876,
  [4764] = 874,
  [4765] = 875,
  [4766] = 877,
  [4767] = 878,
  [4768] = 4449,
  [4769] = 873,
  [4770] = 4441,
  [4771] = 4771,
  [4772] = 4688,
  [4773] = 4773,
  [4774] = 4548,
  [4775] = 4549,
  [4776] = 878,
  [4777] = 4442,
  [4778] = 4550,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4450,
  [4783] = 4535,
  [4784] = 4536,
  [4785] = 4688,
  [4786] = 4539,
  [4787] = 4534,
  [4788] = 4541,
  [4789] = 4789,
  [4790] = 4724,
  [4791] = 4434,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 3641,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4809,
  [4810] = 4810,
  [4811] = 4811,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4440,
  [4818] = 4561,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4438,
  [4823] = 4555,
  [4824] = 4558,
  [4825] = 4825,
  [4826] = 4442,
  [4827] = 4447,
  [4828] = 4448,
  [4829] = 4449,
  [4830] = 4441,
  [4831] = 4450,
  [4832] = 4433,
  [4833] = 4434,
  [4834] = 4435,
  [4835] = 4566,
  [4836] = 4560,
  [4837] = 927,
  [4838] = 928,
  [4839] = 901,
  [4840] = 3639,
  [4841] = 902,
  [4842] = 897,
  [4843] = 912,
  [4844] = 4844,
  [4845] = 914,
  [4846] = 4565,
  [4847] = 4794,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4679,
  [4853] = 4853,
  [4854] = 4854,
  [4855] = 4855,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 949,
  [4860] = 950,
  [4861] = 4861,
  [4862] = 951,
  [4863] = 952,
  [4864] = 953,
  [4865] = 4865,
  [4866] = 954,
  [4867] = 955,
  [4868] = 956,
  [4869] = 957,
  [4870] = 958,
  [4871] = 959,
  [4872] = 960,
  [4873] = 961,
  [4874] = 962,
  [4875] = 963,
  [4876] = 964,
  [4877] = 4568,
  [4878] = 4878,
  [4879] = 4789,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 4432,
  [4887] = 4887,
  [4888] = 876,
  [4889] = 874,
  [4890] = 4567,
  [4891] = 4891,
  [4892] = 875,
  [4893] = 877,
  [4894] = 878,
  [4895] = 4052,
  [4896] = 4896,
  [4897] = 4891,
  [4898] = 873,
  [4899] = 4808,
  [4900] = 4896,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4896,
  [4904] = 4891,
  [4905] = 4896,
  [4906] = 4906,
  [4907] = 4896,
  [4908] = 4887,
  [4909] = 4896,
  [4910] = 4049,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4679,
  [4915] = 4915,
  [4916] = 4493,
  [4917] = 4917,
  [4918] = 4469,
  [4919] = 4919,
  [4920] = 4896,
  [4921] = 4921,
  [4922] = 4885,
  [4923] = 4923,
  [4924] = 4891,
  [4925] = 4440,
  [4926] = 4896,
  [4927] = 4927,
  [4928] = 4469,
  [4929] = 949,
  [4930] = 950,
  [4931] = 951,
  [4932] = 952,
  [4933] = 953,
  [4934] = 954,
  [4935] = 4665,
  [4936] = 955,
  [4937] = 4937,
  [4938] = 4771,
  [4939] = 956,
  [4940] = 957,
  [4941] = 958,
  [4942] = 959,
  [4943] = 4049,
  [4944] = 961,
  [4945] = 4927,
  [4946] = 962,
  [4947] = 963,
  [4948] = 964,
  [4949] = 4949,
  [4950] = 1705,
  [4951] = 4951,
  [4952] = 4493,
  [4953] = 4953,
  [4954] = 4732,
  [4955] = 4759,
  [4956] = 4956,
  [4957] = 4052,
  [4958] = 1705,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4771,
  [4962] = 4052,
  [4963] = 960,
  [4964] = 4052,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4658,
  [4968] = 4968,
  [4969] = 4313,
  [4970] = 4771,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4300,
  [4974] = 4301,
  [4975] = 2494,
  [4976] = 4663,
  [4977] = 4328,
  [4978] = 4253,
  [4979] = 4254,
  [4980] = 2664,
  [4981] = 4185,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4302,
  [4985] = 4164,
  [4986] = 4343,
  [4987] = 4987,
  [4988] = 4225,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4681,
  [4992] = 4992,
  [4993] = 3641,
  [4994] = 4186,
  [4995] = 4995,
  [4996] = 2738,
  [4997] = 4696,
  [4998] = 4187,
  [4999] = 4701,
  [5000] = 5000,
  [5001] = 4415,
  [5002] = 5002,
  [5003] = 4779,
  [5004] = 2731,
  [5005] = 4371,
  [5006] = 4780,
  [5007] = 4781,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 4210,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 4728,
  [5016] = 3639,
  [5017] = 4654,
  [5018] = 4049,
  [5019] = 2450,
  [5020] = 4675,
  [5021] = 4063,
  [5022] = 5022,
  [5023] = 4694,
  [5024] = 5024,
  [5025] = 902,
  [5026] = 897,
  [5027] = 949,
  [5028] = 912,
  [5029] = 914,
  [5030] = 4779,
  [5031] = 4301,
  [5032] = 4780,
  [5033] = 4781,
  [5034] = 964,
  [5035] = 4728,
  [5036] = 1991,
  [5037] = 950,
  [5038] = 951,
  [5039] = 4186,
  [5040] = 5040,
  [5041] = 3639,
  [5042] = 4654,
  [5043] = 3641,
  [5044] = 4658,
  [5045] = 4796,
  [5046] = 4253,
  [5047] = 952,
  [5048] = 5048,
  [5049] = 4779,
  [5050] = 4675,
  [5051] = 2664,
  [5052] = 4849,
  [5053] = 4779,
  [5054] = 4063,
  [5055] = 4850,
  [5056] = 4854,
  [5057] = 4675,
  [5058] = 4696,
  [5059] = 2450,
  [5060] = 4696,
  [5061] = 4663,
  [5062] = 4681,
  [5063] = 4675,
  [5064] = 4694,
  [5065] = 4701,
  [5066] = 4780,
  [5067] = 4781,
  [5068] = 4799,
  [5069] = 4779,
  [5070] = 4780,
  [5071] = 4781,
  [5072] = 5072,
  [5073] = 4663,
  [5074] = 4681,
  [5075] = 4694,
  [5076] = 4701,
  [5077] = 4779,
  [5078] = 5078,
  [5079] = 4728,
  [5080] = 4780,
  [5081] = 4654,
  [5082] = 4806,
  [5083] = 4663,
  [5084] = 4681,
  [5085] = 4658,
  [5086] = 4694,
  [5087] = 4701,
  [5088] = 5088,
  [5089] = 4675,
  [5090] = 953,
  [5091] = 4254,
  [5092] = 4781,
  [5093] = 4810,
  [5094] = 4313,
  [5095] = 4302,
  [5096] = 4780,
  [5097] = 4812,
  [5098] = 4813,
  [5099] = 5099,
  [5100] = 4781,
  [5101] = 4814,
  [5102] = 954,
  [5103] = 4210,
  [5104] = 1991,
  [5105] = 955,
  [5106] = 4164,
  [5107] = 4696,
  [5108] = 4187,
  [5109] = 956,
  [5110] = 4851,
  [5111] = 4779,
  [5112] = 901,
  [5113] = 4853,
  [5114] = 957,
  [5115] = 958,
  [5116] = 959,
  [5117] = 2738,
  [5118] = 5118,
  [5119] = 4728,
  [5120] = 5118,
  [5121] = 4855,
  [5122] = 4856,
  [5123] = 4781,
  [5124] = 4654,
  [5125] = 4696,
  [5126] = 4857,
  [5127] = 4858,
  [5128] = 4878,
  [5129] = 4728,
  [5130] = 5130,
  [5131] = 4654,
  [5132] = 4884,
  [5133] = 2731,
  [5134] = 4663,
  [5135] = 4658,
  [5136] = 4658,
  [5137] = 4681,
  [5138] = 4663,
  [5139] = 4696,
  [5140] = 5140,
  [5141] = 4681,
  [5142] = 5142,
  [5143] = 4663,
  [5144] = 4694,
  [5145] = 4701,
  [5146] = 4225,
  [5147] = 4681,
  [5148] = 4694,
  [5149] = 4415,
  [5150] = 4701,
  [5151] = 4694,
  [5152] = 4701,
  [5153] = 1991,
  [5154] = 4728,
  [5155] = 4654,
  [5156] = 4658,
  [5157] = 4696,
  [5158] = 960,
  [5159] = 4675,
  [5160] = 5160,
  [5161] = 4675,
  [5162] = 961,
  [5163] = 2494,
  [5164] = 5164,
  [5165] = 2634,
  [5166] = 4225,
  [5167] = 962,
  [5168] = 5168,
  [5169] = 4728,
  [5170] = 4654,
  [5171] = 4658,
  [5172] = 4804,
  [5173] = 4793,
  [5174] = 4371,
  [5175] = 4225,
  [5176] = 4328,
  [5177] = 4185,
  [5178] = 4343,
  [5179] = 4802,
  [5180] = 4300,
  [5181] = 963,
  [5182] = 927,
  [5183] = 3227,
  [5184] = 928,
  [5185] = 4780,
  [5186] = 4793,
  [5187] = 964,
  [5188] = 4802,
  [5189] = 5189,
  [5190] = 4849,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 4793,
  [5194] = 949,
  [5195] = 950,
  [5196] = 5196,
  [5197] = 951,
  [5198] = 952,
  [5199] = 5164,
  [5200] = 953,
  [5201] = 3566,
  [5202] = 954,
  [5203] = 4802,
  [5204] = 5204,
  [5205] = 955,
  [5206] = 956,
  [5207] = 957,
  [5208] = 958,
  [5209] = 959,
  [5210] = 960,
  [5211] = 4164,
  [5212] = 961,
  [5213] = 962,
  [5214] = 963,
  [5215] = 964,
  [5216] = 4850,
  [5217] = 4854,
  [5218] = 949,
  [5219] = 927,
  [5220] = 928,
  [5221] = 901,
  [5222] = 902,
  [5223] = 897,
  [5224] = 912,
  [5225] = 914,
  [5226] = 927,
  [5227] = 928,
  [5228] = 901,
  [5229] = 902,
  [5230] = 897,
  [5231] = 912,
  [5232] = 914,
  [5233] = 5233,
  [5234] = 5233,
  [5235] = 5235,
  [5236] = 950,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 4796,
  [5242] = 5242,
  [5243] = 927,
  [5244] = 928,
  [5245] = 901,
  [5246] = 902,
  [5247] = 897,
  [5248] = 912,
  [5249] = 914,
  [5250] = 927,
  [5251] = 928,
  [5252] = 901,
  [5253] = 902,
  [5254] = 897,
  [5255] = 912,
  [5256] = 914,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 4849,
  [5262] = 4850,
  [5263] = 4854,
  [5264] = 927,
  [5265] = 928,
  [5266] = 901,
  [5267] = 902,
  [5268] = 897,
  [5269] = 912,
  [5270] = 914,
  [5271] = 4799,
  [5272] = 4806,
  [5273] = 4810,
  [5274] = 4812,
  [5275] = 4796,
  [5276] = 4813,
  [5277] = 4814,
  [5278] = 4849,
  [5279] = 4850,
  [5280] = 4854,
  [5281] = 4799,
  [5282] = 4851,
  [5283] = 4853,
  [5284] = 4806,
  [5285] = 4810,
  [5286] = 4812,
  [5287] = 4813,
  [5288] = 4814,
  [5289] = 4855,
  [5290] = 4851,
  [5291] = 4853,
  [5292] = 4856,
  [5293] = 4855,
  [5294] = 4856,
  [5295] = 4857,
  [5296] = 4857,
  [5297] = 4858,
  [5298] = 4858,
  [5299] = 4878,
  [5300] = 4884,
  [5301] = 4804,
  [5302] = 4793,
  [5303] = 4878,
  [5304] = 4884,
  [5305] = 4804,
  [5306] = 4802,
  [5307] = 4796,
  [5308] = 4802,
  [5309] = 955,
  [5310] = 949,
  [5311] = 950,
  [5312] = 4849,
  [5313] = 4850,
  [5314] = 4854,
  [5315] = 4799,
  [5316] = 956,
  [5317] = 957,
  [5318] = 4806,
  [5319] = 951,
  [5320] = 952,
  [5321] = 4810,
  [5322] = 953,
  [5323] = 4799,
  [5324] = 4812,
  [5325] = 4813,
  [5326] = 4806,
  [5327] = 4814,
  [5328] = 4810,
  [5329] = 4812,
  [5330] = 4813,
  [5331] = 4814,
  [5332] = 5332,
  [5333] = 949,
  [5334] = 950,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 951,
  [5338] = 952,
  [5339] = 953,
  [5340] = 954,
  [5341] = 4851,
  [5342] = 4853,
  [5343] = 4855,
  [5344] = 4856,
  [5345] = 4857,
  [5346] = 4858,
  [5347] = 955,
  [5348] = 956,
  [5349] = 957,
  [5350] = 958,
  [5351] = 959,
  [5352] = 960,
  [5353] = 954,
  [5354] = 961,
  [5355] = 962,
  [5356] = 963,
  [5357] = 964,
  [5358] = 4878,
  [5359] = 4884,
  [5360] = 4804,
  [5361] = 958,
  [5362] = 4793,
  [5363] = 3639,
  [5364] = 873,
  [5365] = 876,
  [5366] = 875,
  [5367] = 877,
  [5368] = 878,
  [5369] = 3641,
  [5370] = 949,
  [5371] = 4225,
  [5372] = 4328,
  [5373] = 4185,
  [5374] = 4343,
  [5375] = 950,
  [5376] = 5164,
  [5377] = 951,
  [5378] = 952,
  [5379] = 4802,
  [5380] = 954,
  [5381] = 4313,
  [5382] = 5382,
  [5383] = 955,
  [5384] = 956,
  [5385] = 4210,
  [5386] = 957,
  [5387] = 958,
  [5388] = 959,
  [5389] = 960,
  [5390] = 961,
  [5391] = 962,
  [5392] = 963,
  [5393] = 964,
  [5394] = 4300,
  [5395] = 4301,
  [5396] = 4302,
  [5397] = 959,
  [5398] = 955,
  [5399] = 956,
  [5400] = 957,
  [5401] = 958,
  [5402] = 4186,
  [5403] = 959,
  [5404] = 960,
  [5405] = 4187,
  [5406] = 4796,
  [5407] = 961,
  [5408] = 962,
  [5409] = 963,
  [5410] = 964,
  [5411] = 4849,
  [5412] = 4850,
  [5413] = 4854,
  [5414] = 960,
  [5415] = 5204,
  [5416] = 4796,
  [5417] = 4253,
  [5418] = 4254,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 3639,
  [5422] = 3227,
  [5423] = 5423,
  [5424] = 4799,
  [5425] = 4806,
  [5426] = 4796,
  [5427] = 4415,
  [5428] = 3641,
  [5429] = 951,
  [5430] = 4371,
  [5431] = 4810,
  [5432] = 4812,
  [5433] = 949,
  [5434] = 950,
  [5435] = 951,
  [5436] = 952,
  [5437] = 953,
  [5438] = 954,
  [5439] = 4813,
  [5440] = 955,
  [5441] = 956,
  [5442] = 4849,
  [5443] = 957,
  [5444] = 958,
  [5445] = 4850,
  [5446] = 4854,
  [5447] = 959,
  [5448] = 960,
  [5449] = 4814,
  [5450] = 4851,
  [5451] = 4853,
  [5452] = 961,
  [5453] = 962,
  [5454] = 963,
  [5455] = 964,
  [5456] = 4855,
  [5457] = 4856,
  [5458] = 4851,
  [5459] = 4857,
  [5460] = 4858,
  [5461] = 5461,
  [5462] = 3639,
  [5463] = 4853,
  [5464] = 4855,
  [5465] = 4856,
  [5466] = 3641,
  [5467] = 4799,
  [5468] = 4857,
  [5469] = 4806,
  [5470] = 4810,
  [5471] = 4858,
  [5472] = 4812,
  [5473] = 4813,
  [5474] = 4814,
  [5475] = 952,
  [5476] = 4878,
  [5477] = 927,
  [5478] = 5478,
  [5479] = 4884,
  [5480] = 928,
  [5481] = 901,
  [5482] = 902,
  [5483] = 4851,
  [5484] = 897,
  [5485] = 4853,
  [5486] = 912,
  [5487] = 953,
  [5488] = 914,
  [5489] = 4855,
  [5490] = 4856,
  [5491] = 4857,
  [5492] = 4858,
  [5493] = 4804,
  [5494] = 4793,
  [5495] = 954,
  [5496] = 3639,
  [5497] = 3641,
  [5498] = 5259,
  [5499] = 4878,
  [5500] = 4884,
  [5501] = 961,
  [5502] = 4804,
  [5503] = 4878,
  [5504] = 4884,
  [5505] = 962,
  [5506] = 5259,
  [5507] = 4793,
  [5508] = 963,
  [5509] = 4804,
  [5510] = 5510,
  [5511] = 5259,
  [5512] = 4063,
  [5513] = 4802,
  [5514] = 953,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5516,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5524,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 901,
  [5544] = 902,
  [5545] = 5545,
  [5546] = 914,
  [5547] = 927,
  [5548] = 5548,
  [5549] = 1191,
  [5550] = 1192,
  [5551] = 5551,
  [5552] = 1182,
  [5553] = 5553,
  [5554] = 897,
  [5555] = 1195,
  [5556] = 1193,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 1194,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 1165,
  [5569] = 5569,
  [5570] = 1183,
  [5571] = 5571,
  [5572] = 928,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 912,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5586,
  [5587] = 5587,
  [5588] = 3625,
  [5589] = 5589,
  [5590] = 3638,
  [5591] = 3642,
  [5592] = 3350,
  [5593] = 3654,
  [5594] = 3657,
  [5595] = 3689,
  [5596] = 5596,
  [5597] = 3659,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 3704,
  [5603] = 5603,
  [5604] = 3352,
  [5605] = 5605,
  [5606] = 3351,
  [5607] = 3353,
  [5608] = 3354,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5610,
  [5616] = 5616,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 4052,
  [5620] = 4052,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 3368,
  [5624] = 3363,
  [5625] = 3361,
  [5626] = 3369,
  [5627] = 3365,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 874,
  [5633] = 3370,
  [5634] = 3371,
  [5635] = 5635,
  [5636] = 3364,
  [5637] = 3366,
  [5638] = 5638,
  [5639] = 4052,
  [5640] = 5640,
  [5641] = 876,
  [5642] = 874,
  [5643] = 875,
  [5644] = 5644,
  [5645] = 3356,
  [5646] = 877,
  [5647] = 878,
  [5648] = 5648,
  [5649] = 5610,
  [5650] = 3367,
  [5651] = 5651,
  [5652] = 5629,
  [5653] = 5653,
  [5654] = 5629,
  [5655] = 3358,
  [5656] = 5656,
  [5657] = 3359,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 876,
  [5663] = 5663,
  [5664] = 874,
  [5665] = 875,
  [5666] = 877,
  [5667] = 878,
  [5668] = 873,
  [5669] = 876,
  [5670] = 875,
  [5671] = 877,
  [5672] = 878,
  [5673] = 5673,
  [5674] = 3355,
  [5675] = 873,
  [5676] = 3360,
  [5677] = 5677,
  [5678] = 3357,
  [5679] = 5629,
  [5680] = 873,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5689,
  [5690] = 3639,
  [5691] = 3641,
  [5692] = 5692,
  [5693] = 878,
  [5694] = 5684,
  [5695] = 5695,
  [5696] = 4063,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5697,
  [5701] = 3639,
  [5702] = 5702,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 5695,
  [5706] = 5706,
  [5707] = 5682,
  [5708] = 5708,
  [5709] = 5688,
  [5710] = 5683,
  [5711] = 5684,
  [5712] = 5688,
  [5713] = 5697,
  [5714] = 5714,
  [5715] = 5683,
  [5716] = 5684,
  [5717] = 4164,
  [5718] = 5697,
  [5719] = 5682,
  [5720] = 5683,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5682,
  [5724] = 5682,
  [5725] = 5725,
  [5726] = 5683,
  [5727] = 5727,
  [5728] = 873,
  [5729] = 3641,
  [5730] = 5730,
  [5731] = 877,
  [5732] = 5682,
  [5733] = 5683,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5682,
  [5737] = 5683,
  [5738] = 5708,
  [5739] = 5739,
  [5740] = 5682,
  [5741] = 5682,
  [5742] = 5685,
  [5743] = 5682,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 4164,
  [5747] = 5682,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5730,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5682,
  [5754] = 5754,
  [5755] = 5708,
  [5756] = 5682,
  [5757] = 5757,
  [5758] = 5745,
  [5759] = 5682,
  [5760] = 5760,
  [5761] = 5682,
  [5762] = 5682,
  [5763] = 5763,
  [5764] = 5682,
  [5765] = 5744,
  [5766] = 5698,
  [5767] = 5767,
  [5768] = 5686,
  [5769] = 5769,
  [5770] = 5683,
  [5771] = 5697,
  [5772] = 5692,
  [5773] = 5751,
  [5774] = 5714,
  [5775] = 5754,
  [5776] = 5695,
  [5777] = 5706,
  [5778] = 5702,
  [5779] = 4063,
  [5780] = 5687,
  [5781] = 5682,
  [5782] = 5752,
  [5783] = 5734,
  [5784] = 5722,
  [5785] = 5760,
  [5786] = 5749,
  [5787] = 876,
  [5788] = 874,
  [5789] = 875,
  [5790] = 5682,
  [5791] = 5791,
  [5792] = 4063,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5722,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 3639,
  [5802] = 5730,
  [5803] = 5803,
  [5804] = 5751,
  [5805] = 5754,
  [5806] = 5806,
  [5807] = 5686,
  [5808] = 5808,
  [5809] = 5687,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5698,
  [5819] = 5760,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 3641,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5706,
  [5830] = 5734,
  [5831] = 5745,
  [5832] = 5832,
  [5833] = 5702,
  [5834] = 5752,
  [5835] = 5835,
  [5836] = 5714,
  [5837] = 5835,
  [5838] = 5685,
  [5839] = 5835,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5749,
  [5844] = 5692,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 4164,
  [5848] = 5744,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 902,
  [5865] = 928,
  [5866] = 901,
  [5867] = 912,
  [5868] = 914,
  [5869] = 897,
  [5870] = 927,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5886,
  [5895] = 5895,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5899,
  [5903] = 5900,
  [5904] = 5904,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5907,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5891,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5901,
  [5918] = 5904,
  [5919] = 5919,
  [5920] = 5906,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5912,
  [5924] = 5919,
  [5925] = 5915,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5914,
  [5930] = 5891,
  [5931] = 5892,
  [5932] = 5886,
  [5933] = 5933,
  [5934] = 5899,
  [5935] = 5900,
  [5936] = 5905,
  [5937] = 5937,
  [5938] = 5901,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5904,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5892,
  [5945] = 5905,
  [5946] = 5906,
  [5947] = 5907,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5912,
  [5952] = 5914,
  [5953] = 5915,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5919,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 1182,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 1183,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 1165,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 1195,
  [5980] = 1193,
  [5981] = 1194,
  [5982] = 5982,
  [5983] = 1191,
  [5984] = 1192,
  [5985] = 5985,
  [5986] = 5986,
  [5987] = 5987,
  [5988] = 5988,
  [5989] = 5975,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 5966,
  [5994] = 3566,
  [5995] = 5995,
  [5996] = 5996,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6006,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 5991,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6006,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6000,
  [6030] = 6015,
  [6031] = 6000,
  [6032] = 6032,
  [6033] = 6003,
  [6034] = 5997,
  [6035] = 6035,
  [6036] = 6015,
  [6037] = 6037,
  [6038] = 6032,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 6046,
  [6047] = 6003,
  [6048] = 6048,
  [6049] = 5997,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 6032,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 6055,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6085,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 6091,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6092,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 6103,
  [6111] = 6111,
  [6112] = 6104,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6099,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6105,
  [6123] = 6123,
  [6124] = 6107,
  [6125] = 6108,
  [6126] = 6103,
  [6127] = 6104,
  [6128] = 6099,
  [6129] = 6129,
  [6130] = 6105,
  [6131] = 6131,
  [6132] = 6105,
  [6133] = 6107,
  [6134] = 6108,
  [6135] = 6103,
  [6136] = 6104,
  [6137] = 6099,
  [6138] = 6138,
  [6139] = 4949,
  [6140] = 6107,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 6105,
  [6144] = 6107,
  [6145] = 6145,
  [6146] = 6108,
  [6147] = 6103,
  [6148] = 6104,
  [6149] = 6099,
  [6150] = 6108,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 6105,
  [6154] = 6107,
  [6155] = 6108,
  [6156] = 6156,
  [6157] = 6103,
  [6158] = 6104,
  [6159] = 6099,
  [6160] = 6160,
  [6161] = 6161,
  [6162] = 6103,
  [6163] = 6105,
  [6164] = 6107,
  [6165] = 6108,
  [6166] = 6103,
  [6167] = 6104,
  [6168] = 6099,
  [6169] = 6103,
  [6170] = 6105,
  [6171] = 6107,
  [6172] = 6172,
  [6173] = 6108,
  [6174] = 6103,
  [6175] = 6104,
  [6176] = 6099,
  [6177] = 6105,
  [6178] = 6107,
  [6179] = 6160,
  [6180] = 6108,
  [6181] = 6181,
  [6182] = 6103,
  [6183] = 6104,
  [6184] = 6099,
  [6185] = 6105,
  [6186] = 6107,
  [6187] = 6108,
  [6188] = 6103,
  [6189] = 6104,
  [6190] = 6099,
  [6191] = 6104,
  [6192] = 6105,
  [6193] = 6107,
  [6194] = 6108,
  [6195] = 6103,
  [6196] = 6104,
  [6197] = 6099,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 6105,
  [6201] = 6107,
  [6202] = 6099,
  [6203] = 6108,
  [6204] = 6103,
  [6205] = 6104,
  [6206] = 6099,
  [6207] = 6207,
  [6208] = 6105,
  [6209] = 6209,
  [6210] = 6210,
  [6211] = 6107,
  [6212] = 6212,
  [6213] = 6108,
  [6214] = 6214,
  [6215] = 6212,
  [6216] = 6216,
  [6217] = 6120,
  [6218] = 6104,
  [6219] = 6219,
  [6220] = 6220,
  [6221] = 6105,
  [6222] = 6121,
  [6223] = 6160,
  [6224] = 6121,
  [6225] = 6225,
  [6226] = 6226,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6229,
  [6231] = 6231,
  [6232] = 6131,
  [6233] = 6114,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6121,
  [6237] = 6160,
  [6238] = 6105,
  [6239] = 6212,
  [6240] = 6120,
  [6241] = 6226,
  [6242] = 6234,
  [6243] = 6105,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6107,
  [6250] = 6108,
  [6251] = 6251,
  [6252] = 6107,
  [6253] = 6235,
  [6254] = 6106,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6228,
  [6258] = 6108,
  [6259] = 6259,
  [6260] = 6260,
  [6261] = 6103,
  [6262] = 3641,
  [6263] = 6263,
  [6264] = 6103,
  [6265] = 6255,
  [6266] = 6266,
  [6267] = 6104,
  [6268] = 6104,
  [6269] = 6106,
  [6270] = 6099,
  [6271] = 6107,
  [6272] = 6114,
  [6273] = 6256,
  [6274] = 6108,
  [6275] = 6131,
  [6276] = 6276,
  [6277] = 6277,
  [6278] = 6278,
  [6279] = 6099,
  [6280] = 6235,
  [6281] = 6281,
  [6282] = 6107,
  [6283] = 6108,
  [6284] = 6255,
  [6285] = 6256,
  [6286] = 6286,
  [6287] = 6287,
  [6288] = 6105,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 3639,
  [6292] = 6228,
  [6293] = 6229,
  [6294] = 6105,
  [6295] = 6103,
  [6296] = 6105,
  [6297] = 6212,
  [6298] = 6120,
  [6299] = 6104,
  [6300] = 6300,
  [6301] = 6107,
  [6302] = 6108,
  [6303] = 6099,
  [6304] = 6226,
  [6305] = 6103,
  [6306] = 6104,
  [6307] = 6107,
  [6308] = 6108,
  [6309] = 6235,
  [6310] = 6099,
  [6311] = 6255,
  [6312] = 6234,
  [6313] = 6229,
  [6314] = 6103,
  [6315] = 6104,
  [6316] = 6316,
  [6317] = 6106,
  [6318] = 6099,
  [6319] = 6099,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 6325,
  [6326] = 6326,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 6332,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 6348,
  [6349] = 6349,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6356,
  [6360] = 6356,
  [6361] = 6356,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6356,
  [6365] = 6357,
  [6366] = 6357,
  [6367] = 6356,
  [6368] = 6368,
  [6369] = 876,
  [6370] = 874,
  [6371] = 6357,
  [6372] = 875,
  [6373] = 6357,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6356,
  [6377] = 6356,
  [6378] = 6357,
  [6379] = 6356,
  [6380] = 873,
  [6381] = 6381,
  [6382] = 6356,
  [6383] = 6383,
  [6384] = 6357,
  [6385] = 6357,
  [6386] = 6356,
  [6387] = 6357,
  [6388] = 6388,
  [6389] = 5596,
  [6390] = 6390,
  [6391] = 6356,
  [6392] = 6357,
  [6393] = 877,
  [6394] = 6356,
  [6395] = 3350,
  [6396] = 6357,
  [6397] = 878,
  [6398] = 6357,
  [6399] = 6357,
  [6400] = 6357,
  [6401] = 6356,
  [6402] = 6402,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6408,
  [6411] = 6411,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6407,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 5601,
  [6418] = 6418,
  [6419] = 6405,
  [6420] = 6420,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6409,
  [6424] = 6424,
  [6425] = 6407,
  [6426] = 6415,
  [6427] = 6416,
  [6428] = 6428,
  [6429] = 6405,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6409,
  [6434] = 6434,
  [6435] = 1591,
  [6436] = 6403,
  [6437] = 6415,
  [6438] = 6438,
  [6439] = 6412,
  [6440] = 6409,
  [6441] = 6412,
  [6442] = 6409,
  [6443] = 6416,
  [6444] = 6412,
  [6445] = 6431,
  [6446] = 6406,
  [6447] = 6431,
  [6448] = 6405,
  [6449] = 6407,
  [6450] = 6412,
  [6451] = 6431,
  [6452] = 6406,
  [6453] = 6432,
  [6454] = 6454,
  [6455] = 6409,
  [6456] = 6412,
  [6457] = 6457,
  [6458] = 6413,
  [6459] = 6411,
  [6460] = 6460,
  [6461] = 6407,
  [6462] = 6407,
  [6463] = 6415,
  [6464] = 6416,
  [6465] = 6405,
  [6466] = 6415,
  [6467] = 6416,
  [6468] = 6405,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 1991,
  [6472] = 6406,
  [6473] = 6431,
  [6474] = 6432,
  [6475] = 6413,
  [6476] = 6431,
  [6477] = 6432,
  [6478] = 6415,
  [6479] = 6416,
  [6480] = 6405,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6407,
  [6484] = 6484,
  [6485] = 6406,
  [6486] = 6421,
  [6487] = 6487,
  [6488] = 6431,
  [6489] = 6413,
  [6490] = 6432,
  [6491] = 6422,
  [6492] = 6412,
  [6493] = 6493,
  [6494] = 6405,
  [6495] = 6495,
  [6496] = 6416,
  [6497] = 6406,
  [6498] = 6498,
  [6499] = 6409,
  [6500] = 6412,
  [6501] = 6413,
  [6502] = 6407,
  [6503] = 6415,
  [6504] = 6416,
  [6505] = 6405,
  [6506] = 6469,
  [6507] = 6406,
  [6508] = 6431,
  [6509] = 6413,
  [6510] = 6432,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6407,
  [6514] = 6514,
  [6515] = 6415,
  [6516] = 6406,
  [6517] = 6413,
  [6518] = 6431,
  [6519] = 6416,
  [6520] = 6520,
  [6521] = 6405,
  [6522] = 6522,
  [6523] = 6406,
  [6524] = 6413,
  [6525] = 6409,
  [6526] = 6412,
  [6527] = 6407,
  [6528] = 6415,
  [6529] = 6406,
  [6530] = 6422,
  [6531] = 6405,
  [6532] = 6413,
  [6533] = 6431,
  [6534] = 6432,
  [6535] = 6535,
  [6536] = 6406,
  [6537] = 6537,
  [6538] = 6432,
  [6539] = 6413,
  [6540] = 6415,
  [6541] = 6409,
  [6542] = 6457,
  [6543] = 6520,
  [6544] = 6412,
  [6545] = 6406,
  [6546] = 6428,
  [6547] = 6432,
  [6548] = 6413,
  [6549] = 6511,
  [6550] = 6409,
  [6551] = 6412,
  [6552] = 6407,
  [6553] = 6415,
  [6554] = 6406,
  [6555] = 6416,
  [6556] = 6405,
  [6557] = 6413,
  [6558] = 6431,
  [6559] = 6409,
  [6560] = 6432,
  [6561] = 6470,
  [6562] = 6562,
  [6563] = 6424,
  [6564] = 6406,
  [6565] = 6413,
  [6566] = 6412,
  [6567] = 6567,
  [6568] = 6409,
  [6569] = 6412,
  [6570] = 6409,
  [6571] = 6407,
  [6572] = 6409,
  [6573] = 6412,
  [6574] = 6409,
  [6575] = 6575,
  [6576] = 6537,
  [6577] = 6431,
  [6578] = 6407,
  [6579] = 6415,
  [6580] = 6409,
  [6581] = 6412,
  [6582] = 6582,
  [6583] = 6416,
  [6584] = 6407,
  [6585] = 6415,
  [6586] = 6416,
  [6587] = 6405,
  [6588] = 6405,
  [6589] = 6413,
  [6590] = 6431,
  [6591] = 6591,
  [6592] = 6432,
  [6593] = 6407,
  [6594] = 6415,
  [6595] = 6595,
  [6596] = 6416,
  [6597] = 6597,
  [6598] = 6405,
  [6599] = 6599,
  [6600] = 6402,
  [6601] = 6522,
  [6602] = 6431,
  [6603] = 6535,
  [6604] = 6430,
  [6605] = 6431,
  [6606] = 6432,
  [6607] = 6434,
  [6608] = 6432,
  [6609] = 6595,
  [6610] = 6498,
  [6611] = 6611,
  [6612] = 6575,
  [6613] = 6432,
  [6614] = 6495,
  [6615] = 6416,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 6514,
  [6619] = 6617,
  [6620] = 6431,
  [6621] = 6432,
  [6622] = 6412,
  [6623] = 6432,
  [6624] = 6408,
  [6625] = 6411,
  [6626] = 6407,
  [6627] = 6627,
  [6628] = 6415,
  [6629] = 6415,
  [6630] = 6416,
  [6631] = 6631,
  [6632] = 6405,
  [6633] = 6611,
  [6634] = 6634,
  [6635] = 6421,
  [6636] = 6416,
  [6637] = 6637,
  [6638] = 6638,
  [6639] = 6484,
  [6640] = 6640,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 6647,
  [6648] = 6582,
  [6649] = 6647,
  [6650] = 6647,
  [6651] = 6651,
  [6652] = 6460,
  [6653] = 6591,
  [6654] = 6647,
  [6655] = 6647,
  [6656] = 6656,
  [6657] = 4566,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 5616,
  [6661] = 6661,
  [6662] = 6637,
  [6663] = 6647,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 6647,
  [6670] = 6647,
  [6671] = 6671,
  [6672] = 6672,
  [6673] = 6647,
  [6674] = 4560,
  [6675] = 6647,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6678,
  [6679] = 6647,
  [6680] = 6680,
  [6681] = 6637,
  [6682] = 6682,
  [6683] = 6683,
  [6684] = 3558,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 6647,
  [6688] = 6647,
  [6689] = 4568,
  [6690] = 6690,
  [6691] = 6647,
  [6692] = 5614,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6599,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6647,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6647,
  [6706] = 6706,
  [6707] = 6647,
  [6708] = 6647,
  [6709] = 3350,
  [6710] = 6647,
  [6711] = 6711,
  [6712] = 5617,
  [6713] = 6647,
  [6714] = 6647,
  [6715] = 6647,
  [6716] = 6716,
  [6717] = 6647,
  [6718] = 6718,
  [6719] = 6404,
  [6720] = 6647,
  [6721] = 6637,
  [6722] = 6722,
  [6723] = 6647,
  [6724] = 4561,
  [6725] = 6647,
  [6726] = 6647,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 5611,
  [6730] = 4565,
  [6731] = 5612,
  [6732] = 6647,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 6567,
  [6736] = 3578,
  [6737] = 5613,
  [6738] = 6647,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 4558,
  [6746] = 6746,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 4555,
  [6750] = 6482,
  [6751] = 6647,
  [6752] = 6647,
  [6753] = 6647,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6647,
  [6757] = 6647,
  [6758] = 6647,
  [6759] = 6647,
  [6760] = 6647,
  [6761] = 6647,
  [6762] = 6762,
  [6763] = 6647,
  [6764] = 6647,
  [6765] = 6647,
  [6766] = 6647,
  [6767] = 6647,
  [6768] = 6768,
  [6769] = 6647,
  [6770] = 6647,
  [6771] = 6656,
  [6772] = 6647,
  [6773] = 6647,
  [6774] = 6647,
  [6775] = 6775,
  [6776] = 877,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6786,
  [6787] = 3642,
  [6788] = 6788,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6792,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 6791,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6809,
  [6810] = 6810,
  [6811] = 6811,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6818,
  [6819] = 6819,
  [6820] = 6820,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6781,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 6828,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 6842,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 6845,
  [6846] = 6846,
  [6847] = 6829,
  [6848] = 6848,
  [6849] = 6849,
  [6850] = 6850,
  [6851] = 6851,
  [6852] = 6804,
  [6853] = 6853,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6856,
  [6857] = 6807,
  [6858] = 6858,
  [6859] = 6859,
  [6860] = 6793,
  [6861] = 6838,
  [6862] = 6862,
  [6863] = 6863,
  [6864] = 6794,
  [6865] = 6865,
  [6866] = 6779,
  [6867] = 6867,
  [6868] = 6868,
  [6869] = 6850,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6780,
  [6874] = 6782,
  [6875] = 6875,
  [6876] = 6810,
  [6877] = 6877,
  [6878] = 6784,
  [6879] = 6789,
  [6880] = 6790,
  [6881] = 6795,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6803,
  [6885] = 6804,
  [6886] = 6886,
  [6887] = 6805,
  [6888] = 6811,
  [6889] = 6889,
  [6890] = 6808,
  [6891] = 6891,
  [6892] = 6810,
  [6893] = 6811,
  [6894] = 6813,
  [6895] = 6814,
  [6896] = 6896,
  [6897] = 6815,
  [6898] = 6816,
  [6899] = 6817,
  [6900] = 6818,
  [6901] = 6822,
  [6902] = 6902,
  [6903] = 6824,
  [6904] = 6825,
  [6905] = 6781,
  [6906] = 6828,
  [6907] = 6829,
  [6908] = 6908,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6836,
  [6914] = 6837,
  [6915] = 6838,
  [6916] = 6839,
  [6917] = 6840,
  [6918] = 6918,
  [6919] = 6919,
  [6920] = 6920,
  [6921] = 6844,
  [6922] = 6845,
  [6923] = 6846,
  [6924] = 6924,
  [6925] = 6848,
  [6926] = 6849,
  [6927] = 6850,
  [6928] = 6851,
  [6929] = 6929,
  [6930] = 6930,
  [6931] = 6813,
  [6932] = 6856,
  [6933] = 6807,
  [6934] = 6934,
  [6935] = 6802,
  [6936] = 6858,
  [6937] = 6937,
  [6938] = 6779,
  [6939] = 6814,
  [6940] = 6868,
  [6941] = 6941,
  [6942] = 6871,
  [6943] = 6872,
  [6944] = 6944,
  [6945] = 6784,
  [6946] = 6780,
  [6947] = 6947,
  [6948] = 6782,
  [6949] = 6949,
  [6950] = 6950,
  [6951] = 6784,
  [6952] = 6789,
  [6953] = 6790,
  [6954] = 6954,
  [6955] = 6803,
  [6956] = 6804,
  [6957] = 6805,
  [6958] = 6808,
  [6959] = 6959,
  [6960] = 6960,
  [6961] = 6810,
  [6962] = 6962,
  [6963] = 6811,
  [6964] = 6964,
  [6965] = 6965,
  [6966] = 6813,
  [6967] = 6814,
  [6968] = 6815,
  [6969] = 6816,
  [6970] = 6817,
  [6971] = 6818,
  [6972] = 6780,
  [6973] = 6822,
  [6974] = 6974,
  [6975] = 6824,
  [6976] = 6825,
  [6977] = 6977,
  [6978] = 6781,
  [6979] = 6828,
  [6980] = 6829,
  [6981] = 6981,
  [6982] = 6982,
  [6983] = 6983,
  [6984] = 6984,
  [6985] = 6985,
  [6986] = 6986,
  [6987] = 6987,
  [6988] = 6836,
  [6989] = 6989,
  [6990] = 6837,
  [6991] = 6838,
  [6992] = 6839,
  [6993] = 6840,
  [6994] = 6994,
  [6995] = 6995,
  [6996] = 6996,
  [6997] = 6844,
  [6998] = 6845,
  [6999] = 6999,
  [7000] = 6846,
  [7001] = 6848,
  [7002] = 6849,
  [7003] = 6850,
  [7004] = 6851,
  [7005] = 7005,
  [7006] = 6856,
  [7007] = 6807,
  [7008] = 6803,
  [7009] = 6785,
  [7010] = 6858,
  [7011] = 7011,
  [7012] = 6779,
  [7013] = 7013,
  [7014] = 6782,
  [7015] = 7015,
  [7016] = 7016,
  [7017] = 6868,
  [7018] = 7018,
  [7019] = 7019,
  [7020] = 7020,
  [7021] = 7021,
  [7022] = 6871,
  [7023] = 6872,
  [7024] = 7024,
  [7025] = 6780,
  [7026] = 7026,
  [7027] = 6782,
  [7028] = 873,
  [7029] = 6784,
  [7030] = 7030,
  [7031] = 6789,
  [7032] = 6790,
  [7033] = 6805,
  [7034] = 6858,
  [7035] = 6803,
  [7036] = 6804,
  [7037] = 7037,
  [7038] = 6805,
  [7039] = 6808,
  [7040] = 7040,
  [7041] = 6808,
  [7042] = 7042,
  [7043] = 6810,
  [7044] = 6811,
  [7045] = 6813,
  [7046] = 6814,
  [7047] = 7047,
  [7048] = 6815,
  [7049] = 6816,
  [7050] = 6817,
  [7051] = 6818,
  [7052] = 6822,
  [7053] = 6824,
  [7054] = 6825,
  [7055] = 6836,
  [7056] = 6781,
  [7057] = 6828,
  [7058] = 6829,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 6836,
  [7064] = 5658,
  [7065] = 6837,
  [7066] = 6838,
  [7067] = 6839,
  [7068] = 6840,
  [7069] = 5659,
  [7070] = 7070,
  [7071] = 6845,
  [7072] = 6846,
  [7073] = 6848,
  [7074] = 6849,
  [7075] = 6850,
  [7076] = 6851,
  [7077] = 7077,
  [7078] = 4119,
  [7079] = 6807,
  [7080] = 6858,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 6868,
  [7087] = 7087,
  [7088] = 7088,
  [7089] = 7089,
  [7090] = 6780,
  [7091] = 6782,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 6789,
  [7096] = 6790,
  [7097] = 7097,
  [7098] = 6803,
  [7099] = 6804,
  [7100] = 7100,
  [7101] = 6805,
  [7102] = 6808,
  [7103] = 6810,
  [7104] = 6811,
  [7105] = 7105,
  [7106] = 6813,
  [7107] = 6814,
  [7108] = 6815,
  [7109] = 6816,
  [7110] = 6817,
  [7111] = 6818,
  [7112] = 7112,
  [7113] = 6822,
  [7114] = 6824,
  [7115] = 6825,
  [7116] = 6781,
  [7117] = 6828,
  [7118] = 6829,
  [7119] = 6824,
  [7120] = 6836,
  [7121] = 6837,
  [7122] = 6838,
  [7123] = 6839,
  [7124] = 6840,
  [7125] = 6846,
  [7126] = 6848,
  [7127] = 6849,
  [7128] = 6850,
  [7129] = 6851,
  [7130] = 6656,
  [7131] = 6858,
  [7132] = 6822,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 6868,
  [7136] = 7059,
  [7137] = 6824,
  [7138] = 6825,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 6781,
  [7143] = 6828,
  [7144] = 6780,
  [7145] = 6875,
  [7146] = 6782,
  [7147] = 7147,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 6789,
  [7151] = 6790,
  [7152] = 6803,
  [7153] = 6804,
  [7154] = 7154,
  [7155] = 6805,
  [7156] = 6805,
  [7157] = 6829,
  [7158] = 7158,
  [7159] = 6808,
  [7160] = 6808,
  [7161] = 6810,
  [7162] = 6811,
  [7163] = 6813,
  [7164] = 6814,
  [7165] = 6815,
  [7166] = 6816,
  [7167] = 6817,
  [7168] = 6818,
  [7169] = 6822,
  [7170] = 6825,
  [7171] = 6781,
  [7172] = 6828,
  [7173] = 6829,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 6797,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 6836,
  [7180] = 6837,
  [7181] = 6838,
  [7182] = 6839,
  [7183] = 6840,
  [7184] = 7184,
  [7185] = 6846,
  [7186] = 7186,
  [7187] = 6848,
  [7188] = 6849,
  [7189] = 6850,
  [7190] = 6851,
  [7191] = 7191,
  [7192] = 6858,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7195,
  [7196] = 6836,
  [7197] = 7197,
  [7198] = 6837,
  [7199] = 6838,
  [7200] = 6839,
  [7201] = 6840,
  [7202] = 6798,
  [7203] = 6803,
  [7204] = 6804,
  [7205] = 6805,
  [7206] = 6821,
  [7207] = 6808,
  [7208] = 6804,
  [7209] = 6810,
  [7210] = 6811,
  [7211] = 6813,
  [7212] = 6814,
  [7213] = 6815,
  [7214] = 6816,
  [7215] = 6817,
  [7216] = 6818,
  [7217] = 6870,
  [7218] = 6825,
  [7219] = 6781,
  [7220] = 6829,
  [7221] = 6810,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 6789,
  [7225] = 7225,
  [7226] = 6836,
  [7227] = 6837,
  [7228] = 6839,
  [7229] = 6840,
  [7230] = 7230,
  [7231] = 6811,
  [7232] = 6846,
  [7233] = 6848,
  [7234] = 6849,
  [7235] = 6850,
  [7236] = 6851,
  [7237] = 6858,
  [7238] = 7238,
  [7239] = 7239,
  [7240] = 3558,
  [7241] = 7241,
  [7242] = 6839,
  [7243] = 6844,
  [7244] = 6790,
  [7245] = 6803,
  [7246] = 6804,
  [7247] = 6845,
  [7248] = 6805,
  [7249] = 4568,
  [7250] = 6808,
  [7251] = 6947,
  [7252] = 6810,
  [7253] = 6863,
  [7254] = 6811,
  [7255] = 7255,
  [7256] = 6813,
  [7257] = 6813,
  [7258] = 6814,
  [7259] = 7259,
  [7260] = 6815,
  [7261] = 6816,
  [7262] = 6817,
  [7263] = 6818,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 6954,
  [7267] = 6825,
  [7268] = 6846,
  [7269] = 6781,
  [7270] = 6829,
  [7271] = 7271,
  [7272] = 7272,
  [7273] = 7273,
  [7274] = 6848,
  [7275] = 6849,
  [7276] = 6836,
  [7277] = 7277,
  [7278] = 6837,
  [7279] = 6839,
  [7280] = 6840,
  [7281] = 7281,
  [7282] = 6814,
  [7283] = 6846,
  [7284] = 6850,
  [7285] = 6848,
  [7286] = 6849,
  [7287] = 6850,
  [7288] = 6851,
  [7289] = 6810,
  [7290] = 6851,
  [7291] = 6858,
  [7292] = 7292,
  [7293] = 6811,
  [7294] = 6815,
  [7295] = 6813,
  [7296] = 6803,
  [7297] = 6804,
  [7298] = 6805,
  [7299] = 6814,
  [7300] = 6816,
  [7301] = 6808,
  [7302] = 6810,
  [7303] = 6817,
  [7304] = 6811,
  [7305] = 6813,
  [7306] = 6814,
  [7307] = 6815,
  [7308] = 6816,
  [7309] = 6817,
  [7310] = 6818,
  [7311] = 6818,
  [7312] = 6825,
  [7313] = 7313,
  [7314] = 6781,
  [7315] = 6829,
  [7316] = 7316,
  [7317] = 6836,
  [7318] = 6837,
  [7319] = 6839,
  [7320] = 6840,
  [7321] = 6846,
  [7322] = 6848,
  [7323] = 6849,
  [7324] = 6850,
  [7325] = 6851,
  [7326] = 6981,
  [7327] = 878,
  [7328] = 6858,
  [7329] = 7329,
  [7330] = 6868,
  [7331] = 6803,
  [7332] = 6804,
  [7333] = 6856,
  [7334] = 6983,
  [7335] = 6807,
  [7336] = 6825,
  [7337] = 6781,
  [7338] = 6829,
  [7339] = 7241,
  [7340] = 6836,
  [7341] = 6837,
  [7342] = 6839,
  [7343] = 6840,
  [7344] = 7344,
  [7345] = 6799,
  [7346] = 7346,
  [7347] = 6886,
  [7348] = 6848,
  [7349] = 6849,
  [7350] = 6850,
  [7351] = 6851,
  [7352] = 6858,
  [7353] = 6858,
  [7354] = 6800,
  [7355] = 7355,
  [7356] = 6863,
  [7357] = 6803,
  [7358] = 6804,
  [7359] = 7359,
  [7360] = 6840,
  [7361] = 6825,
  [7362] = 6781,
  [7363] = 6829,
  [7364] = 7364,
  [7365] = 6836,
  [7366] = 6837,
  [7367] = 6839,
  [7368] = 6840,
  [7369] = 6848,
  [7370] = 6849,
  [7371] = 6850,
  [7372] = 6851,
  [7373] = 6779,
  [7374] = 6858,
  [7375] = 7375,
  [7376] = 6815,
  [7377] = 6962,
  [7378] = 6816,
  [7379] = 6817,
  [7380] = 7380,
  [7381] = 6803,
  [7382] = 6804,
  [7383] = 6781,
  [7384] = 6829,
  [7385] = 6837,
  [7386] = 7386,
  [7387] = 7387,
  [7388] = 6818,
  [7389] = 7389,
  [7390] = 6825,
  [7391] = 6868,
  [7392] = 6781,
  [7393] = 6829,
  [7394] = 6837,
  [7395] = 6846,
  [7396] = 6994,
  [7397] = 6871,
  [7398] = 6872,
  [7399] = 6781,
  [7400] = 6829,
  [7401] = 7401,
  [7402] = 6837,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 6820,
  [7406] = 7375,
  [7407] = 7407,
  [7408] = 6781,
  [7409] = 6829,
  [7410] = 6837,
  [7411] = 6454,
  [7412] = 7412,
  [7413] = 6996,
  [7414] = 7414,
  [7415] = 6781,
  [7416] = 6829,
  [7417] = 7417,
  [7418] = 6837,
  [7419] = 6780,
  [7420] = 6782,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 6829,
  [7425] = 6829,
  [7426] = 6829,
  [7427] = 6784,
  [7428] = 6829,
  [7429] = 7429,
  [7430] = 6829,
  [7431] = 6829,
  [7432] = 6829,
  [7433] = 6829,
  [7434] = 6829,
  [7435] = 6829,
  [7436] = 6829,
  [7437] = 6829,
  [7438] = 6829,
  [7439] = 7439,
  [7440] = 6829,
  [7441] = 6829,
  [7442] = 6829,
  [7443] = 6829,
  [7444] = 6829,
  [7445] = 6829,
  [7446] = 6829,
  [7447] = 6829,
  [7448] = 6829,
  [7449] = 6829,
  [7450] = 6829,
  [7451] = 6829,
  [7452] = 6829,
  [7453] = 6829,
  [7454] = 6829,
  [7455] = 6789,
  [7456] = 6829,
  [7457] = 6790,
  [7458] = 3578,
  [7459] = 7459,
  [7460] = 6791,
  [7461] = 6924,
  [7462] = 6995,
  [7463] = 7005,
  [7464] = 6793,
  [7465] = 6794,
  [7466] = 6795,
  [7467] = 6803,
  [7468] = 6987,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 6799,
  [7472] = 6800,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 6775,
  [7476] = 7476,
  [7477] = 6785,
  [7478] = 7265,
  [7479] = 6831,
  [7480] = 6843,
  [7481] = 6815,
  [7482] = 6816,
  [7483] = 6817,
  [7484] = 6802,
  [7485] = 7485,
  [7486] = 6981,
  [7487] = 6983,
  [7488] = 6994,
  [7489] = 6818,
  [7490] = 6996,
  [7491] = 7491,
  [7492] = 7005,
  [7493] = 7493,
  [7494] = 6803,
  [7495] = 7011,
  [7496] = 7197,
  [7497] = 6798,
  [7498] = 6821,
  [7499] = 6824,
  [7500] = 6804,
  [7501] = 7501,
  [7502] = 6870,
  [7503] = 7272,
  [7504] = 6924,
  [7505] = 6995,
  [7506] = 7506,
  [7507] = 7265,
  [7508] = 7508,
  [7509] = 7011,
  [7510] = 6805,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 6695,
  [7514] = 4567,
  [7515] = 7470,
  [7516] = 6808,
  [7517] = 6810,
  [7518] = 6811,
  [7519] = 6775,
  [7520] = 6813,
  [7521] = 6805,
  [7522] = 7273,
  [7523] = 6814,
  [7524] = 6815,
  [7525] = 6816,
  [7526] = 6817,
  [7527] = 6818,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 6924,
  [7531] = 6995,
  [7532] = 6844,
  [7533] = 6822,
  [7534] = 7534,
  [7535] = 7470,
  [7536] = 7184,
  [7537] = 7537,
  [7538] = 7059,
  [7539] = 6775,
  [7540] = 6824,
  [7541] = 6825,
  [7542] = 6781,
  [7543] = 6828,
  [7544] = 6875,
  [7545] = 6808,
  [7546] = 7546,
  [7547] = 6924,
  [7548] = 6995,
  [7549] = 6829,
  [7550] = 7470,
  [7551] = 6775,
  [7552] = 6797,
  [7553] = 6845,
  [7554] = 6924,
  [7555] = 6995,
  [7556] = 7184,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7559,
  [7560] = 7470,
  [7561] = 6836,
  [7562] = 6775,
  [7563] = 6837,
  [7564] = 6838,
  [7565] = 6839,
  [7566] = 6840,
  [7567] = 6924,
  [7568] = 6995,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 6775,
  [7572] = 7470,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7575,
  [7576] = 6924,
  [7577] = 6995,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7470,
  [7581] = 7581,
  [7582] = 7582,
  [7583] = 6775,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 6924,
  [7587] = 6995,
  [7588] = 7470,
  [7589] = 7589,
  [7590] = 6924,
  [7591] = 6995,
  [7592] = 6848,
  [7593] = 7470,
  [7594] = 6837,
  [7595] = 7595,
  [7596] = 6924,
  [7597] = 6995,
  [7598] = 6844,
  [7599] = 6856,
  [7600] = 6845,
  [7601] = 7470,
  [7602] = 7602,
  [7603] = 6846,
  [7604] = 6831,
  [7605] = 7272,
  [7606] = 7273,
  [7607] = 6924,
  [7608] = 6995,
  [7609] = 7609,
  [7610] = 6848,
  [7611] = 6849,
  [7612] = 7470,
  [7613] = 6850,
  [7614] = 6851,
  [7615] = 7615,
  [7616] = 7195,
  [7617] = 6924,
  [7618] = 6995,
  [7619] = 7619,
  [7620] = 7470,
  [7621] = 7621,
  [7622] = 7622,
  [7623] = 6849,
  [7624] = 7624,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7277,
  [7628] = 6822,
  [7629] = 7629,
  [7630] = 7630,
  [7631] = 6856,
  [7632] = 6807,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 6886,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 6858,
  [7639] = 7639,
  [7640] = 6843,
  [7641] = 6863,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 7644,
  [7645] = 7645,
  [7646] = 6779,
  [7647] = 6962,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7651,
  [7652] = 7652,
  [7653] = 6871,
  [7654] = 6872,
  [7655] = 7655,
  [7656] = 7197,
  [7657] = 6868,
  [7658] = 7658,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 6822,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7665,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 6871,
  [7669] = 6872,
  [7670] = 6820,
  [7671] = 7375,
  [7672] = 7672,
  [7673] = 7673,
  [7674] = 7674,
  [7675] = 876,
  [7676] = 1591,
  [7677] = 874,
  [7678] = 875,
  [7679] = 6851,
  [7680] = 7680,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7683,
  [7684] = 7684,
  [7685] = 7682,
  [7686] = 7683,
  [7687] = 7687,
  [7688] = 7682,
  [7689] = 7683,
  [7690] = 7690,
  [7691] = 7690,
  [7692] = 7682,
  [7693] = 7683,
  [7694] = 7690,
  [7695] = 7682,
  [7696] = 7683,
  [7697] = 7682,
  [7698] = 7682,
  [7699] = 7683,
  [7700] = 7700,
  [7701] = 7682,
  [7702] = 7683,
  [7703] = 7703,
  [7704] = 7682,
  [7705] = 7683,
  [7706] = 7706,
  [7707] = 7682,
  [7708] = 7683,
  [7709] = 5704,
  [7710] = 7710,
  [7711] = 7682,
  [7712] = 7683,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7682,
  [7716] = 7683,
  [7717] = 7717,
  [7718] = 7682,
  [7719] = 7683,
  [7720] = 7690,
  [7721] = 7682,
  [7722] = 7683,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7682,
  [7726] = 7683,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7682,
  [7730] = 7683,
  [7731] = 7731,
  [7732] = 7682,
  [7733] = 7683,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7682,
  [7737] = 7683,
  [7738] = 4665,
  [7739] = 7682,
  [7740] = 7683,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7682,
  [7744] = 7683,
  [7745] = 7745,
  [7746] = 7746,
  [7747] = 7682,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7682,
  [7760] = 7760,
  [7761] = 7761,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7683,
  [7765] = 7752,
  [7766] = 7766,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7769,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 7772,
  [7774] = 7774,
  [7775] = 7775,
  [7776] = 4732,
  [7777] = 4759,
  [7778] = 7682,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 7683,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7683,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7682,
  [7796] = 7796,
  [7797] = 7797,
  [7798] = 4175,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7682,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 5725,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7810,
  [7811] = 7682,
  [7812] = 7812,
  [7813] = 7813,
  [7814] = 7814,
  [7815] = 7815,
  [7816] = 7816,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7820,
  [7821] = 7821,
  [7822] = 7822,
  [7823] = 7823,
  [7824] = 7824,
  [7825] = 7683,
  [7826] = 7826,
  [7827] = 7827,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7830,
  [7831] = 3182,
  [7832] = 7832,
  [7833] = 7833,
  [7834] = 7834,
  [7835] = 7835,
  [7836] = 7836,
  [7837] = 7774,
  [7838] = 7775,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 878,
  [7843] = 7843,
  [7844] = 7844,
  [7845] = 7683,
  [7846] = 7846,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7682,
  [7850] = 4175,
  [7851] = 7851,
  [7852] = 7683,
  [7853] = 7853,
  [7854] = 7854,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7858,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7863,
  [7864] = 7774,
  [7865] = 7771,
  [7866] = 7866,
  [7867] = 7682,
  [7868] = 7690,
  [7869] = 7869,
  [7870] = 7683,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7772,
  [7877] = 7877,
  [7878] = 7878,
  [7879] = 7879,
  [7880] = 7880,
  [7881] = 7881,
  [7882] = 7683,
  [7883] = 7883,
  [7884] = 7884,
  [7885] = 7885,
  [7886] = 7886,
  [7887] = 7682,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7891,
  [7892] = 7683,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7683,
  [7898] = 7898,
  [7899] = 7899,
  [7900] = 7683,
  [7901] = 7901,
  [7902] = 7902,
  [7903] = 7903,
  [7904] = 7904,
  [7905] = 7905,
  [7906] = 7906,
  [7907] = 7907,
  [7908] = 7908,
  [7909] = 7909,
  [7910] = 5699,
  [7911] = 7682,
  [7912] = 7682,
  [7913] = 3240,
  [7914] = 7914,
  [7915] = 7682,
  [7916] = 7683,
  [7917] = 7917,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 7922,
  [7923] = 7923,
  [7924] = 7924,
  [7925] = 7083,
  [7926] = 7682,
  [7927] = 7927,
  [7928] = 7928,
  [7929] = 7929,
  [7930] = 7930,
  [7931] = 7931,
  [7932] = 7931,
  [7933] = 7933,
  [7934] = 877,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 7683,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7682,
  [7948] = 5703,
  [7949] = 7949,
  [7950] = 5739,
  [7951] = 7690,
  [7952] = 7952,
  [7953] = 7682,
  [7954] = 7683,
  [7955] = 7683,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7682,
  [7961] = 7961,
  [7962] = 7962,
  [7963] = 7963,
  [7964] = 7964,
  [7965] = 7931,
  [7966] = 7966,
  [7967] = 7967,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 7970,
  [7971] = 7920,
  [7972] = 7972,
  [7973] = 7973,
  [7974] = 7683,
  [7975] = 7975,
  [7976] = 7976,
  [7977] = 7977,
  [7978] = 7978,
  [7979] = 7979,
  [7980] = 7682,
  [7981] = 7681,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7985,
  [7986] = 7690,
  [7987] = 7987,
  [7988] = 5763,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7991,
  [7992] = 7992,
  [7993] = 7683,
  [7994] = 7994,
  [7995] = 7995,
  [7996] = 7996,
  [7997] = 7931,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 7682,
  [8002] = 8002,
  [8003] = 7775,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 8006,
  [8007] = 8007,
  [8008] = 8008,
  [8009] = 8009,
  [8010] = 7683,
  [8011] = 8011,
  [8012] = 8012,
  [8013] = 8013,
  [8014] = 8014,
  [8015] = 8015,
  [8016] = 8016,
  [8017] = 8017,
  [8018] = 8018,
  [8019] = 8019,
  [8020] = 8020,
  [8021] = 7683,
  [8022] = 8022,
  [8023] = 7683,
  [8024] = 8024,
  [8025] = 8025,
  [8026] = 7682,
  [8027] = 8027,
  [8028] = 8028,
  [8029] = 7683,
  [8030] = 8030,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 7682,
  [8034] = 7683,
  [8035] = 8035,
  [8036] = 5973,
  [8037] = 7683,
  [8038] = 7682,
  [8039] = 8039,
  [8040] = 7683,
  [8041] = 8041,
  [8042] = 873,
  [8043] = 8043,
  [8044] = 7682,
  [8045] = 7683,
  [8046] = 875,
  [8047] = 8047,
  [8048] = 8030,
  [8049] = 3229,
  [8050] = 4802,
  [8051] = 8051,
  [8052] = 8030,
  [8053] = 7682,
  [8054] = 8054,
  [8055] = 876,
  [8056] = 7683,
  [8057] = 8057,
  [8058] = 8058,
  [8059] = 8059,
  [8060] = 874,
  [8061] = 8030,
  [8062] = 7682,
  [8063] = 7683,
  [8064] = 7682,
  [8065] = 3156,
  [8066] = 8066,
  [8067] = 7682,
  [8068] = 7683,
  [8069] = 8069,
  [8070] = 7682,
  [8071] = 7683,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 4175,
  [8075] = 8075,
  [8076] = 7682,
  [8077] = 7937,
  [8078] = 7937,
  [8079] = 6656,
  [8080] = 8080,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8080,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8088,
  [8089] = 8089,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 8095,
  [8096] = 8096,
  [8097] = 8097,
  [8098] = 8098,
  [8099] = 8099,
  [8100] = 8100,
  [8101] = 8101,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 8104,
  [8105] = 7557,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 8103,
  [8109] = 8085,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 8112,
  [8113] = 8085,
  [8114] = 8114,
  [8115] = 8102,
  [8116] = 8086,
  [8117] = 7558,
  [8118] = 8104,
  [8119] = 8119,
  [8120] = 8120,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8086,
  [8126] = 8085,
  [8127] = 8086,
  [8128] = 8128,
  [8129] = 8129,
  [8130] = 8130,
  [8131] = 8090,
  [8132] = 8132,
  [8133] = 8090,
  [8134] = 8103,
  [8135] = 8095,
  [8136] = 8136,
  [8137] = 8137,
  [8138] = 8098,
  [8139] = 8139,
  [8140] = 8102,
  [8141] = 8141,
  [8142] = 8104,
  [8143] = 8143,
  [8144] = 8110,
  [8145] = 8111,
  [8146] = 8112,
  [8147] = 8147,
  [8148] = 8110,
  [8149] = 8111,
  [8150] = 8112,
  [8151] = 8119,
  [8152] = 8120,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 7559,
  [8157] = 8157,
  [8158] = 8085,
  [8159] = 8086,
  [8160] = 8093,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8090,
  [8164] = 8164,
  [8165] = 8143,
  [8166] = 8141,
  [8167] = 8095,
  [8168] = 8168,
  [8169] = 8169,
  [8170] = 8098,
  [8171] = 8094,
  [8172] = 8102,
  [8173] = 8119,
  [8174] = 8104,
  [8175] = 8175,
  [8176] = 8110,
  [8177] = 8111,
  [8178] = 8112,
  [8179] = 8120,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8182,
  [8183] = 8119,
  [8184] = 8120,
  [8185] = 8095,
  [8186] = 8186,
  [8187] = 8187,
  [8188] = 8188,
  [8189] = 8189,
  [8190] = 8085,
  [8191] = 8086,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8194,
  [8195] = 8090,
  [8196] = 8136,
  [8197] = 8085,
  [8198] = 8086,
  [8199] = 8095,
  [8200] = 8200,
  [8201] = 8098,
  [8202] = 8098,
  [8203] = 8203,
  [8204] = 8102,
  [8205] = 8090,
  [8206] = 8104,
  [8207] = 8090,
  [8208] = 8110,
  [8209] = 8111,
  [8210] = 8112,
  [8211] = 8141,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 8093,
  [8215] = 8119,
  [8216] = 8120,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 8154,
  [8221] = 8221,
  [8222] = 8085,
  [8223] = 8086,
  [8224] = 8143,
  [8225] = 8225,
  [8226] = 8092,
  [8227] = 8090,
  [8228] = 8136,
  [8229] = 8229,
  [8230] = 8095,
  [8231] = 8093,
  [8232] = 8090,
  [8233] = 8098,
  [8234] = 8102,
  [8235] = 8235,
  [8236] = 8104,
  [8237] = 8110,
  [8238] = 8111,
  [8239] = 8112,
  [8240] = 8119,
  [8241] = 8120,
  [8242] = 8085,
  [8243] = 8086,
  [8244] = 8090,
  [8245] = 8157,
  [8246] = 8095,
  [8247] = 8192,
  [8248] = 8103,
  [8249] = 8098,
  [8250] = 8102,
  [8251] = 8251,
  [8252] = 8104,
  [8253] = 8110,
  [8254] = 8111,
  [8255] = 8112,
  [8256] = 8119,
  [8257] = 8120,
  [8258] = 8085,
  [8259] = 8086,
  [8260] = 8090,
  [8261] = 8203,
  [8262] = 8095,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 8098,
  [8266] = 8102,
  [8267] = 8102,
  [8268] = 8104,
  [8269] = 8110,
  [8270] = 8111,
  [8271] = 8112,
  [8272] = 8119,
  [8273] = 8120,
  [8274] = 8085,
  [8275] = 8086,
  [8276] = 8090,
  [8277] = 8102,
  [8278] = 8095,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 8098,
  [8282] = 8102,
  [8283] = 8104,
  [8284] = 8110,
  [8285] = 8285,
  [8286] = 8095,
  [8287] = 8094,
  [8288] = 8288,
  [8289] = 8098,
  [8290] = 8102,
  [8291] = 8291,
  [8292] = 8110,
  [8293] = 8293,
  [8294] = 8095,
  [8295] = 8295,
  [8296] = 8296,
  [8297] = 8098,
  [8298] = 8102,
  [8299] = 8299,
  [8300] = 8110,
  [8301] = 8111,
  [8302] = 8095,
  [8303] = 8110,
  [8304] = 8092,
  [8305] = 8098,
  [8306] = 8102,
  [8307] = 8307,
  [8308] = 8110,
  [8309] = 8309,
  [8310] = 8095,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8098,
  [8314] = 8102,
  [8315] = 8315,
  [8316] = 8110,
  [8317] = 8094,
  [8318] = 8095,
  [8319] = 8095,
  [8320] = 8320,
  [8321] = 8098,
  [8322] = 8102,
  [8323] = 8323,
  [8324] = 8110,
  [8325] = 8098,
  [8326] = 8095,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8098,
  [8330] = 8102,
  [8331] = 8110,
  [8332] = 8110,
  [8333] = 8154,
  [8334] = 8095,
  [8335] = 8111,
  [8336] = 8336,
  [8337] = 8098,
  [8338] = 8102,
  [8339] = 8112,
  [8340] = 8110,
  [8341] = 8341,
  [8342] = 8095,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8098,
  [8346] = 8102,
  [8347] = 8347,
  [8348] = 8110,
  [8349] = 8349,
  [8350] = 8095,
  [8351] = 8111,
  [8352] = 8095,
  [8353] = 8098,
  [8354] = 8102,
  [8355] = 8355,
  [8356] = 8110,
  [8357] = 8102,
  [8358] = 8095,
  [8359] = 8343,
  [8360] = 8182,
  [8361] = 8098,
  [8362] = 8102,
  [8363] = 8104,
  [8364] = 8110,
  [8365] = 8365,
  [8366] = 8095,
  [8367] = 8104,
  [8368] = 8368,
  [8369] = 8098,
  [8370] = 8102,
  [8371] = 8112,
  [8372] = 8110,
  [8373] = 8373,
  [8374] = 8095,
  [8375] = 8203,
  [8376] = 8376,
  [8377] = 8098,
  [8378] = 8102,
  [8379] = 8379,
  [8380] = 8110,
  [8381] = 8327,
  [8382] = 8095,
  [8383] = 8119,
  [8384] = 8384,
  [8385] = 8098,
  [8386] = 8102,
  [8387] = 8120,
  [8388] = 8110,
  [8389] = 8112,
  [8390] = 8095,
  [8391] = 5744,
  [8392] = 8355,
  [8393] = 8098,
  [8394] = 8102,
  [8395] = 8110,
  [8396] = 8110,
  [8397] = 8111,
  [8398] = 8095,
  [8399] = 8112,
  [8400] = 8141,
  [8401] = 8098,
  [8402] = 8102,
  [8403] = 8403,
  [8404] = 8110,
  [8405] = 8405,
  [8406] = 8095,
  [8407] = 8407,
  [8408] = 8408,
  [8409] = 8098,
  [8410] = 8102,
  [8411] = 8411,
  [8412] = 8110,
  [8413] = 8413,
  [8414] = 8095,
  [8415] = 8119,
  [8416] = 8416,
  [8417] = 8098,
  [8418] = 8102,
  [8419] = 8120,
  [8420] = 8110,
  [8421] = 8421,
  [8422] = 8095,
  [8423] = 8423,
  [8424] = 8120,
  [8425] = 8098,
  [8426] = 8102,
  [8427] = 8427,
  [8428] = 8110,
  [8429] = 8429,
  [8430] = 8095,
  [8431] = 8431,
  [8432] = 8085,
  [8433] = 8098,
  [8434] = 8102,
  [8435] = 8086,
  [8436] = 8110,
  [8437] = 8437,
  [8438] = 8095,
  [8439] = 8439,
  [8440] = 8440,
  [8441] = 8098,
  [8442] = 8102,
  [8443] = 8090,
  [8444] = 8110,
  [8445] = 8445,
  [8446] = 8095,
  [8447] = 8447,
  [8448] = 8143,
  [8449] = 8098,
  [8450] = 8102,
  [8451] = 8451,
  [8452] = 8110,
  [8453] = 8453,
  [8454] = 8095,
  [8455] = 8085,
  [8456] = 8086,
  [8457] = 8098,
  [8458] = 8102,
  [8459] = 8136,
  [8460] = 8110,
  [8461] = 8461,
  [8462] = 8095,
  [8463] = 8463,
  [8464] = 8093,
  [8465] = 8098,
  [8466] = 8102,
  [8467] = 8467,
  [8468] = 8110,
  [8469] = 8141,
  [8470] = 8095,
  [8471] = 8471,
  [8472] = 8472,
  [8473] = 8098,
  [8474] = 8102,
  [8475] = 8098,
  [8476] = 8110,
  [8477] = 8477,
  [8478] = 8095,
  [8479] = 8479,
  [8480] = 8480,
  [8481] = 8098,
  [8482] = 8102,
  [8483] = 8483,
  [8484] = 8110,
  [8485] = 8296,
  [8486] = 8312,
  [8487] = 8487,
  [8488] = 8192,
  [8489] = 8489,
  [8490] = 8490,
  [8491] = 8124,
  [8492] = 8492,
  [8493] = 8328,
  [8494] = 8494,
  [8495] = 8495,
  [8496] = 8090,
  [8497] = 8143,
  [8498] = 8498,
  [8499] = 8499,
  [8500] = 8500,
  [8501] = 8501,
  [8502] = 8502,
  [8503] = 8503,
  [8504] = 8130,
  [8505] = 8505,
  [8506] = 8093,
  [8507] = 8124,
  [8508] = 8132,
  [8509] = 8509,
  [8510] = 8510,
  [8511] = 8123,
  [8512] = 8130,
  [8513] = 8513,
  [8514] = 8203,
  [8515] = 8515,
  [8516] = 8203,
  [8517] = 8517,
  [8518] = 8132,
  [8519] = 5714,
  [8520] = 8520,
  [8521] = 8439,
  [8522] = 8189,
  [8523] = 8523,
  [8524] = 8524,
  [8525] = 8263,
  [8526] = 8154,
  [8527] = 8429,
  [8528] = 8528,
  [8529] = 8094,
  [8530] = 8530,
  [8531] = 8094,
  [8532] = 8532,
  [8533] = 8533,
  [8534] = 8095,
  [8535] = 8095,
  [8536] = 8279,
  [8537] = 8368,
  [8538] = 8098,
  [8539] = 8539,
  [8540] = 8499,
  [8541] = 8541,
  [8542] = 8106,
  [8543] = 8543,
  [8544] = 8544,
  [8545] = 8429,
  [8546] = 8154,
  [8547] = 8098,
  [8548] = 8548,
  [8549] = 8549,
  [8550] = 8550,
  [8551] = 8503,
  [8552] = 8552,
  [8553] = 8225,
  [8554] = 8090,
  [8555] = 8555,
  [8556] = 8119,
  [8557] = 8154,
  [8558] = 8558,
  [8559] = 8102,
  [8560] = 8560,
  [8561] = 8550,
  [8562] = 8562,
  [8563] = 8563,
  [8564] = 8487,
  [8565] = 8467,
  [8566] = 8566,
  [8567] = 8567,
  [8568] = 8568,
  [8569] = 8104,
  [8570] = 8568,
  [8571] = 8164,
  [8572] = 8175,
  [8573] = 8094,
  [8574] = 5745,
  [8575] = 8095,
  [8576] = 8136,
  [8577] = 8543,
  [8578] = 8578,
  [8579] = 8579,
  [8580] = 8580,
  [8581] = 8098,
  [8582] = 8416,
  [8583] = 8120,
  [8584] = 8584,
  [8585] = 8102,
  [8586] = 8110,
  [8587] = 8111,
  [8588] = 8112,
  [8589] = 8589,
  [8590] = 8154,
  [8591] = 8192,
  [8592] = 8592,
  [8593] = 8104,
  [8594] = 8312,
  [8595] = 8595,
  [8596] = 8596,
  [8597] = 8296,
  [8598] = 8598,
  [8599] = 8119,
  [8600] = 8120,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8603,
  [8604] = 8604,
  [8605] = 8605,
  [8606] = 8085,
  [8607] = 8086,
  [8608] = 8608,
  [8609] = 8609,
  [8610] = 8610,
  [8611] = 8611,
  [8612] = 8090,
  [8613] = 8613,
  [8614] = 8510,
  [8615] = 8615,
  [8616] = 8094,
  [8617] = 8279,
  [8618] = 8123,
  [8619] = 8095,
  [8620] = 8471,
  [8621] = 8621,
  [8622] = 8622,
  [8623] = 8107,
  [8624] = 8098,
  [8625] = 8625,
  [8626] = 8439,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8629,
  [8630] = 8169,
  [8631] = 8085,
  [8632] = 8632,
  [8633] = 8566,
  [8634] = 8634,
  [8635] = 8279,
  [8636] = 8154,
  [8637] = 8403,
  [8638] = 8638,
  [8639] = 8110,
  [8640] = 8640,
  [8641] = 8641,
  [8642] = 8451,
  [8643] = 8548,
  [8644] = 8644,
  [8645] = 8445,
  [8646] = 8646,
  [8647] = 8225,
  [8648] = 8102,
  [8649] = 8168,
  [8650] = 8550,
  [8651] = 8651,
  [8652] = 8563,
  [8653] = 8487,
  [8654] = 8467,
  [8655] = 8566,
  [8656] = 8567,
  [8657] = 8568,
  [8658] = 8164,
  [8659] = 8175,
  [8660] = 8660,
  [8661] = 8296,
  [8662] = 8662,
  [8663] = 8343,
  [8664] = 8110,
  [8665] = 8665,
  [8666] = 8666,
  [8667] = 8111,
  [8668] = 8102,
  [8669] = 8112,
  [8670] = 8104,
  [8671] = 8671,
  [8672] = 8672,
  [8673] = 8111,
  [8674] = 8143,
  [8675] = 8675,
  [8676] = 8676,
  [8677] = 8677,
  [8678] = 8355,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8681,
  [8682] = 8682,
  [8683] = 8439,
  [8684] = 8684,
  [8685] = 8685,
  [8686] = 8094,
  [8687] = 8095,
  [8688] = 8688,
  [8689] = 8104,
  [8690] = 8098,
  [8691] = 8691,
  [8692] = 8692,
  [8693] = 3641,
  [8694] = 8225,
  [8695] = 8695,
  [8696] = 8696,
  [8697] = 8563,
  [8698] = 8154,
  [8699] = 8296,
  [8700] = 8700,
  [8701] = 8293,
  [8702] = 8702,
  [8703] = 8563,
  [8704] = 8327,
  [8705] = 8203,
  [8706] = 8094,
  [8707] = 8095,
  [8708] = 8112,
  [8709] = 8709,
  [8710] = 8710,
  [8711] = 8598,
  [8712] = 8102,
  [8713] = 8110,
  [8714] = 8098,
  [8715] = 8102,
  [8716] = 8716,
  [8717] = 8111,
  [8718] = 8439,
  [8719] = 8719,
  [8720] = 8104,
  [8721] = 8721,
  [8722] = 8112,
  [8723] = 8723,
  [8724] = 8225,
  [8725] = 8725,
  [8726] = 8563,
  [8727] = 8124,
  [8728] = 8296,
  [8729] = 8130,
  [8730] = 8132,
  [8731] = 8731,
  [8732] = 8732,
  [8733] = 8733,
  [8734] = 8734,
  [8735] = 8735,
  [8736] = 8154,
  [8737] = 8737,
  [8738] = 8119,
  [8739] = 8739,
  [8740] = 8110,
  [8741] = 8111,
  [8742] = 8112,
  [8743] = 8743,
  [8744] = 8120,
  [8745] = 8119,
  [8746] = 8120,
  [8747] = 8747,
  [8748] = 8225,
  [8749] = 8451,
  [8750] = 8563,
  [8751] = 8471,
  [8752] = 8296,
  [8753] = 8753,
  [8754] = 8403,
  [8755] = 8119,
  [8756] = 8120,
  [8757] = 8757,
  [8758] = 8200,
  [8759] = 8759,
  [8760] = 8221,
  [8761] = 8463,
  [8762] = 8085,
  [8763] = 8086,
  [8764] = 8483,
  [8765] = 8765,
  [8766] = 8766,
  [8767] = 8106,
  [8768] = 8102,
  [8769] = 8225,
  [8770] = 8563,
  [8771] = 8090,
  [8772] = 8296,
  [8773] = 8773,
  [8774] = 8719,
  [8775] = 8403,
  [8776] = 8743,
  [8777] = 8107,
  [8778] = 8403,
  [8779] = 8779,
  [8780] = 8780,
  [8781] = 8085,
  [8782] = 8092,
  [8783] = 8122,
  [8784] = 8503,
  [8785] = 8480,
  [8786] = 8279,
  [8787] = 8094,
  [8788] = 8578,
  [8789] = 8225,
  [8790] = 8563,
  [8791] = 8095,
  [8792] = 8296,
  [8793] = 8122,
  [8794] = 8794,
  [8795] = 8189,
  [8796] = 8796,
  [8797] = 8349,
  [8798] = 8365,
  [8799] = 8104,
  [8800] = 8800,
  [8801] = 8098,
  [8802] = 8110,
  [8803] = 8085,
  [8804] = 8804,
  [8805] = 8472,
  [8806] = 8225,
  [8807] = 8086,
  [8808] = 8296,
  [8809] = 8809,
  [8810] = 8154,
  [8811] = 8811,
  [8812] = 8812,
  [8813] = 8086,
  [8814] = 8814,
  [8815] = 8136,
  [8816] = 8411,
  [8817] = 8817,
  [8818] = 8111,
  [8819] = 8819,
  [8820] = 8141,
  [8821] = 8821,
  [8822] = 8225,
  [8823] = 8102,
  [8824] = 8296,
  [8825] = 8825,
  [8826] = 8445,
  [8827] = 8827,
  [8828] = 8104,
  [8829] = 8085,
  [8830] = 8086,
  [8831] = 8567,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8834,
  [8835] = 8477,
  [8836] = 8112,
  [8837] = 8136,
  [8838] = 8225,
  [8839] = 8086,
  [8840] = 8296,
  [8841] = 8365,
  [8842] = 8090,
  [8843] = 8843,
  [8844] = 8110,
  [8845] = 8111,
  [8846] = 8112,
  [8847] = 8847,
  [8848] = 8848,
  [8849] = 8849,
  [8850] = 8850,
  [8851] = 8143,
  [8852] = 8141,
  [8853] = 8093,
  [8854] = 8225,
  [8855] = 8855,
  [8856] = 8296,
  [8857] = 8857,
  [8858] = 8119,
  [8859] = 8120,
  [8860] = 8411,
  [8861] = 8861,
  [8862] = 8552,
  [8863] = 8757,
  [8864] = 8094,
  [8865] = 8085,
  [8866] = 8866,
  [8867] = 8279,
  [8868] = 8086,
  [8869] = 8225,
  [8870] = 8870,
  [8871] = 8296,
  [8872] = 8119,
  [8873] = 8110,
  [8874] = 8641,
  [8875] = 8168,
  [8876] = 8203,
  [8877] = 8343,
  [8878] = 8111,
  [8879] = 8552,
  [8880] = 8090,
  [8881] = 8604,
  [8882] = 8225,
  [8883] = 8119,
  [8884] = 8296,
  [8885] = 8885,
  [8886] = 8293,
  [8887] = 8887,
  [8888] = 8327,
  [8889] = 8112,
  [8890] = 8890,
  [8891] = 8225,
  [8892] = 8892,
  [8893] = 8296,
  [8894] = 8894,
  [8895] = 8104,
  [8896] = 8896,
  [8897] = 8897,
  [8898] = 8136,
  [8899] = 8899,
  [8900] = 8225,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8903,
  [8904] = 8451,
  [8905] = 8471,
  [8906] = 8225,
  [8907] = 8907,
  [8908] = 8908,
  [8909] = 8463,
  [8910] = 8483,
  [8911] = 8153,
  [8912] = 8225,
  [8913] = 8913,
  [8914] = 8719,
  [8915] = 8743,
  [8916] = 8094,
  [8917] = 8225,
  [8918] = 8095,
  [8919] = 5734,
  [8920] = 8920,
  [8921] = 8885,
  [8922] = 8814,
  [8923] = 8923,
  [8924] = 8098,
  [8925] = 8925,
  [8926] = 8926,
  [8927] = 8154,
  [8928] = 8416,
  [8929] = 8120,
  [8930] = 8095,
  [8931] = 8490,
  [8932] = 8932,
  [8933] = 8933,
  [8934] = 8349,
  [8935] = 8141,
  [8936] = 8090,
  [8937] = 8937,
  [8938] = 8938,
  [8939] = 8102,
  [8940] = 8940,
  [8941] = 8552,
  [8942] = 8119,
  [8943] = 8885,
  [8944] = 8944,
  [8945] = 8104,
  [8946] = 8946,
  [8947] = 8947,
  [8948] = 8143,
  [8949] = 8949,
  [8950] = 8598,
  [8951] = 8951,
  [8952] = 8794,
  [8953] = 8416,
  [8954] = 8954,
  [8955] = 8120,
  [8956] = 8093,
  [8957] = 8490,
  [8958] = 8958,
  [8959] = 8110,
  [8960] = 8524,
  [8961] = 8604,
  [8962] = 8110,
  [8963] = 8111,
  [8964] = 8598,
  [8965] = 8604,
  [8966] = 8112,
  [8967] = 3639,
  [8968] = 8968,
  [8969] = 8969,
  [8970] = 8119,
  [8971] = 8827,
  [8972] = 8203,
  [8973] = 8973,
  [8974] = 8098,
  [8975] = 8975,
  [8976] = 8120,
  [8977] = 8907,
  [8978] = 8940,
  [8979] = 8615,
  [8980] = 8155,
  [8981] = 8613,
  [8982] = 8365,
  [8983] = 8099,
  [8984] = 8622,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8119,
  [8988] = 8094,
  [8989] = 8120,
  [8990] = 8990,
  [8991] = 8602,
  [8992] = 8128,
  [8993] = 8104,
  [8994] = 8413,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8827,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 9000,
  [9001] = 8641,
  [9002] = 8403,
  [9003] = 8085,
  [9004] = 8098,
  [9005] = 8086,
  [9006] = 8095,
  [9007] = 8279,
  [9008] = 8814,
  [9009] = 8154,
  [9010] = 9010,
  [9011] = 8090,
  [9012] = 9012,
  [9013] = 8940,
  [9014] = 9014,
  [9015] = 8368,
  [9016] = 8403,
  [9017] = 8328,
  [9018] = 8279,
  [9019] = 9019,
  [9020] = 9020,
  [9021] = 8907,
  [9022] = 8615,
  [9023] = 9023,
  [9024] = 9024,
  [9025] = 8510,
  [9026] = 8094,
  [9027] = 8095,
  [9028] = 8499,
  [9029] = 8102,
  [9030] = 8106,
  [9031] = 8098,
  [9032] = 9032,
  [9033] = 9033,
  [9034] = 8107,
  [9035] = 8548,
  [9036] = 8085,
  [9037] = 8114,
  [9038] = 8154,
  [9039] = 8907,
  [9040] = 8094,
  [9041] = 8102,
  [9042] = 8095,
  [9043] = 8122,
  [9044] = 9044,
  [9045] = 8086,
  [9046] = 8104,
  [9047] = 9047,
  [9048] = 8602,
  [9049] = 8090,
  [9050] = 8153,
  [9051] = 8098,
  [9052] = 9052,
  [9053] = 8968,
  [9054] = 8157,
  [9055] = 8110,
  [9056] = 8111,
  [9057] = 8169,
  [9058] = 8112,
  [9059] = 9059,
  [9060] = 8555,
  [9061] = 9061,
  [9062] = 8154,
  [9063] = 9063,
  [9064] = 8403,
  [9065] = 8182,
  [9066] = 8080,
  [9067] = 8097,
  [9068] = 8315,
  [9069] = 8347,
  [9070] = 9070,
  [9071] = 9071,
  [9072] = 8097,
  [9073] = 8315,
  [9074] = 8347,
  [9075] = 9063,
  [9076] = 8119,
  [9077] = 9063,
  [9078] = 8120,
  [9079] = 8114,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(1319);
      ADVANCE_MAP(
        '!', 2710,
        '#', 390,
        '%', 1396,
        '&', 1402,
        '(', 1325,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1838,
        '/', 1392,
        ':', 1467,
        ';', 1470,
        '<', 1412,
        '=', 1492,
        '>', 1407,
        '?', 1888,
        '@', 1845,
        'D', 1564,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(1314);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == 'd') ADVANCE(1563);
      if (lookahead == '|') ADVANCE(1399);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1576);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1565);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1566);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1581);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1567);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1577);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1584);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1579);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1580);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1578);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1572);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1574);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1583);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1568);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1585);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1573);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1569);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1571);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1582);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1570);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1575);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1317);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1562);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1856);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(300);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(300);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(294);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(294);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(336);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(336);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(309);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(309);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(311);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(311);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(317);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(317);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(318);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(318);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(333);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(333);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(324);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(324);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(334);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(334);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(316);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(316);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(332);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(332);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(335);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(335);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(319);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(319);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(326);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(326);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(276);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(276);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(329);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(329);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(323);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(323);
      if (lookahead == '\r') SKIP(41);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(331);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(331);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(296);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(296);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(322);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(322);
      if (lookahead == '\r') SKIP(47);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(346);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(346);
      if (lookahead == '\r') SKIP(49);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(340);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(340);
      if (lookahead == '\r') SKIP(51);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(345);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(345);
      if (lookahead == '\r') SKIP(53);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(342);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(342);
      if (lookahead == '\r') SKIP(55);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(288);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(288);
      if (lookahead == '\r') SKIP(57);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(341);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(341);
      if (lookahead == '\r') SKIP(59);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(61);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(63);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(65);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(348);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(348);
      if (lookahead == '\r') SKIP(67);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(349);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(349);
      if (lookahead == '\r') SKIP(69);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(71);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(343);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(343);
      if (lookahead == '\r') SKIP(73);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(290);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(290);
      if (lookahead == '\r') SKIP(75);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(77);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(293);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(293);
      if (lookahead == '\r') SKIP(79);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(291);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(291);
      if (lookahead == '\r') SKIP(81);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(298);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(298);
      if (lookahead == '\r') SKIP(83);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(280);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(280);
      if (lookahead == '\r') SKIP(85);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(321);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(321);
      if (lookahead == '\r') SKIP(87);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(277);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(277);
      if (lookahead == '\r') SKIP(89);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(297);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(297);
      if (lookahead == '\r') SKIP(91);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(295);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(295);
      if (lookahead == '\r') SKIP(93);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(281);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(281);
      if (lookahead == '\r') SKIP(95);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 1331,
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        '*', 1389,
        '+', 1387,
        '-', 1388,
        '/', 1391,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(149);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '\n', 1331,
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        '*', 1389,
        '+', 1387,
        '-', 1388,
        '/', 1391,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(149);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 1331,
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        '*', 1389,
        '+', 1387,
        '-', 1388,
        '/', 1394,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(103);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '\n', 1331,
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        '*', 1389,
        '+', 1387,
        '-', 1388,
        '/', 1394,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(103);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      END_STATE();
    case 101:
      if (lookahead == '\n') ADVANCE(1331);
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(153);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(100);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(100);
      if (lookahead == '\r') SKIP(102);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(104);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(339);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(339);
      if (lookahead == '\r') SKIP(106);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(350);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(350);
      if (lookahead == '\r') SKIP(108);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(1323);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '!') ADVANCE(2709);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1324);
      if (lookahead == '\\') ADVANCE(1346);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(356);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(1323);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '!') ADVANCE(2709);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') ADVANCE(1346);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(356);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(1323);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(351);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(1323);
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(351);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(1323);
      if (lookahead == '!') ADVANCE(2709);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') ADVANCE(1346);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(344);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(344);
      if (lookahead == '\r') SKIP(115);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(119);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(119);
      if (lookahead == '\r') SKIP(117);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(1321);
      if (lookahead == '\r') ADVANCE(119);
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1382);
      if (lookahead == '\\') SKIP(118);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(119);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(351);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(351);
      if (lookahead == '\r') SKIP(120);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(353);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(353);
      if (lookahead == '\r') SKIP(122);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(124);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(255);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(255);
      if (lookahead == '\r') SKIP(126);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(337);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(337);
      if (lookahead == '\r') SKIP(128);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(313);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(313);
      if (lookahead == '\r') SKIP(130);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(327);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(327);
      if (lookahead == '\r') SKIP(132);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(330);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(330);
      if (lookahead == '\r') SKIP(134);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(325);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(325);
      if (lookahead == '\r') SKIP(136);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(347);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(347);
      if (lookahead == '\r') SKIP(138);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(299);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(299);
      if (lookahead == '\r') SKIP(140);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(306);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(306);
      if (lookahead == '\r') SKIP(142);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(292);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(292);
      if (lookahead == '\r') SKIP(144);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(278);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(278);
      if (lookahead == '\r') SKIP(146);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(98);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(98);
      if (lookahead == '\r') SKIP(148);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(354);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(354);
      if (lookahead == '\r') SKIP(150);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(101);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(101);
      if (lookahead == '\r') SKIP(152);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(253);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(253);
      if (lookahead == '\r') SKIP(154);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(256);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(256);
      if (lookahead == '\r') SKIP(156);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(338);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(338);
      if (lookahead == '\r') SKIP(158);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(328);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(328);
      if (lookahead == '\r') SKIP(160);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(279);
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(279);
      if (lookahead == '\r') SKIP(162);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(254);
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(254);
      if (lookahead == '\r') SKIP(164);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(302);
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(302);
      if (lookahead == '\r') SKIP(166);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(301);
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(301);
      if (lookahead == '\r') SKIP(168);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(258);
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') SKIP(170);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(307);
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(307);
      if (lookahead == '\r') SKIP(172);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(257);
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(257);
      if (lookahead == '\r') SKIP(174);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(308);
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(308);
      if (lookahead == '\r') SKIP(176);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(178);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(303);
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(303);
      if (lookahead == '\r') SKIP(180);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(259);
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(259);
      if (lookahead == '\r') SKIP(182);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(304);
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(304);
      if (lookahead == '\r') SKIP(184);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(260);
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(260);
      if (lookahead == '\r') SKIP(186);
      END_STATE();
    case 188:
      if (lookahead == '\n') SKIP(261);
      END_STATE();
    case 189:
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') SKIP(188);
      END_STATE();
    case 190:
      if (lookahead == '\n') SKIP(305);
      END_STATE();
    case 191:
      if (lookahead == '\n') SKIP(305);
      if (lookahead == '\r') SKIP(190);
      END_STATE();
    case 192:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 193:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(192);
      END_STATE();
    case 194:
      if (lookahead == '\n') SKIP(355);
      END_STATE();
    case 195:
      if (lookahead == '\n') SKIP(355);
      if (lookahead == '\r') SKIP(194);
      END_STATE();
    case 196:
      if (lookahead == '\n') SKIP(263);
      END_STATE();
    case 197:
      if (lookahead == '\n') SKIP(263);
      if (lookahead == '\r') SKIP(196);
      END_STATE();
    case 198:
      if (lookahead == '\n') SKIP(315);
      END_STATE();
    case 199:
      if (lookahead == '\n') SKIP(315);
      if (lookahead == '\r') SKIP(198);
      END_STATE();
    case 200:
      if (lookahead == '\n') SKIP(262);
      END_STATE();
    case 201:
      if (lookahead == '\n') SKIP(262);
      if (lookahead == '\r') SKIP(200);
      END_STATE();
    case 202:
      if (lookahead == '\n') SKIP(282);
      END_STATE();
    case 203:
      if (lookahead == '\n') SKIP(282);
      if (lookahead == '\r') SKIP(202);
      END_STATE();
    case 204:
      if (lookahead == '\n') SKIP(264);
      END_STATE();
    case 205:
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') SKIP(204);
      END_STATE();
    case 206:
      if (lookahead == '\n') SKIP(265);
      END_STATE();
    case 207:
      if (lookahead == '\n') SKIP(265);
      if (lookahead == '\r') SKIP(206);
      END_STATE();
    case 208:
      if (lookahead == '\n') SKIP(266);
      END_STATE();
    case 209:
      if (lookahead == '\n') SKIP(266);
      if (lookahead == '\r') SKIP(208);
      END_STATE();
    case 210:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 211:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(210);
      END_STATE();
    case 212:
      if (lookahead == '\n') SKIP(267);
      END_STATE();
    case 213:
      if (lookahead == '\n') SKIP(267);
      if (lookahead == '\r') SKIP(212);
      END_STATE();
    case 214:
      if (lookahead == '\n') SKIP(283);
      END_STATE();
    case 215:
      if (lookahead == '\n') SKIP(283);
      if (lookahead == '\r') SKIP(214);
      END_STATE();
    case 216:
      if (lookahead == '\n') SKIP(268);
      END_STATE();
    case 217:
      if (lookahead == '\n') SKIP(268);
      if (lookahead == '\r') SKIP(216);
      END_STATE();
    case 218:
      if (lookahead == '\n') SKIP(269);
      END_STATE();
    case 219:
      if (lookahead == '\n') SKIP(269);
      if (lookahead == '\r') SKIP(218);
      END_STATE();
    case 220:
      if (lookahead == '\n') SKIP(284);
      END_STATE();
    case 221:
      if (lookahead == '\n') SKIP(284);
      if (lookahead == '\r') SKIP(220);
      END_STATE();
    case 222:
      if (lookahead == '\n') SKIP(270);
      END_STATE();
    case 223:
      if (lookahead == '\n') SKIP(270);
      if (lookahead == '\r') SKIP(222);
      END_STATE();
    case 224:
      if (lookahead == '\n') SKIP(285);
      END_STATE();
    case 225:
      if (lookahead == '\n') SKIP(285);
      if (lookahead == '\r') SKIP(224);
      END_STATE();
    case 226:
      if (lookahead == '\n') SKIP(271);
      END_STATE();
    case 227:
      if (lookahead == '\n') SKIP(271);
      if (lookahead == '\r') SKIP(226);
      END_STATE();
    case 228:
      if (lookahead == '\n') SKIP(286);
      END_STATE();
    case 229:
      if (lookahead == '\n') SKIP(286);
      if (lookahead == '\r') SKIP(228);
      END_STATE();
    case 230:
      if (lookahead == '\n') SKIP(272);
      END_STATE();
    case 231:
      if (lookahead == '\n') SKIP(272);
      if (lookahead == '\r') SKIP(230);
      END_STATE();
    case 232:
      if (lookahead == '\n') SKIP(273);
      END_STATE();
    case 233:
      if (lookahead == '\n') SKIP(273);
      if (lookahead == '\r') SKIP(232);
      END_STATE();
    case 234:
      if (lookahead == '\n') SKIP(274);
      END_STATE();
    case 235:
      if (lookahead == '\n') SKIP(274);
      if (lookahead == '\r') SKIP(234);
      END_STATE();
    case 236:
      if (lookahead == '\n') SKIP(275);
      END_STATE();
    case 237:
      if (lookahead == '\n') SKIP(275);
      if (lookahead == '\r') SKIP(236);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        ')', 1328,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '/', 1391,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(105);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '!', 2710,
        '%', 1396,
        '&', 1402,
        '(', 1382,
        ')', 1328,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '/', 1391,
        '<', 1414,
        '=', 382,
        '>', 1408,
      );
      if (lookahead == '\\') SKIP(105);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == '|') ADVANCE(1399);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 380,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(66);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(908);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1139);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ':', 380,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1896);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2322);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1930);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2216);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1947);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1899);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1950);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1923);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(125);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2370);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2368);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(193);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2371);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '!', 2711,
        '#', 390,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(211);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(390);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(490);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(64);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(887);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(927);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(673);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(703);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        ';', 1470,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(62);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(887);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(490);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(900);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(776);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(928);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1051);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(968);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1089);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(976);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        ';', 1470,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(62);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(887);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(490);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(900);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(776);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(928);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1051);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(968);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1089);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(976);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(902);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        ')', 1328,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1843,
        '/', 1391,
        ':', 1466,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1911);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2376);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(155);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2372);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 254:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(165);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2391);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(127);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2373);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(157);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1919);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2377);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1940);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 257:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1913);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2379);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1968);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 258:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(171);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1909);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2377);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(183);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2393);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 260:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(187);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1912);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2383);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1968);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 261:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(189);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2394);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 262:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(201);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2374);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 263:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2390);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(205);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1913);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2381);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1968);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 265:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(207);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2380);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 266:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(209);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 267:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(213);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2375);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(217);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2382);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(219);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2371);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(223);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2384);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(227);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2385);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(231);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2386);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 273:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(233);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 274:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(235);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2377);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 275:
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(237);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2368);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 276:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == '.') ADVANCE(1837);
      if (lookahead == ':') ADVANCE(380);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(38);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2403);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1914);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2324);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1929);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2190);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2220);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1973);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1952);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1925);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 277:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == '/') ADVANCE(1391);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(90);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(900);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(777);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(928);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1111);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277);
      END_STATE();
    case 278:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(900);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(777);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(928);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1111);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      END_STATE();
    case 279:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(163);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(904);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279);
      END_STATE();
    case 280:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(86);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(769);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(988);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(964);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1094);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(672);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      END_STATE();
    case 281:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(96);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(491);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(990);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(434);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1310);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281);
      END_STATE();
    case 282:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(203);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(907);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      END_STATE();
    case 283:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(215);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(905);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283);
      END_STATE();
    case 284:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(221);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(906);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284);
      END_STATE();
    case 285:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(225);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285);
      END_STATE();
    case 286:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(394);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(229);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(902);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286);
      END_STATE();
    case 287:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1413,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(58);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(505);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(812);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(489);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(419);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(898);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(441);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(679);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1043);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(739);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(816);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(684);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(432);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1017);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1067);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(426);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1256);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(435);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(420);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(429);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(428);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(465);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      END_STATE();
    case 288:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1413,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(58);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(505);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(812);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(489);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(419);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(898);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(441);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(679);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1043);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(739);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(816);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(684);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(432);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1017);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1067);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(426);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1256);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(435);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(420);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(429);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(428);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(465);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      END_STATE();
    case 289:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(76);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(767);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      END_STATE();
    case 290:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(76);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(767);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      END_STATE();
    case 291:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 380,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(82);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      END_STATE();
    case 292:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(145);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1011);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      END_STATE();
    case 293:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(80);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      END_STATE();
    case 294:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(10);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2388);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 295:
      ADVANCE_MAP(
        '!', 2711,
        '#', 401,
        '&', 1401,
        '(', 1382,
        '*', 1389,
        ',', 1327,
        '/', 1391,
        '=', 1493,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(94);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      END_STATE();
    case 296:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(401);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == ':') ADVANCE(380);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(46);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2403);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1914);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2323);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1929);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2190);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2220);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1973);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1952);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1925);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 297:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(401);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(92);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(770);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(986);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1109);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(730);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297);
      END_STATE();
    case 298:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(400);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(84);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(490);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(903);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(777);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(928);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1093);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      END_STATE();
    case 299:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(141);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(899);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      END_STATE();
    case 300:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1896);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2322);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1930);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2216);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1947);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1899);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1950);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1923);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 301:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(169);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2370);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 302:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(167);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2371);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 303:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(181);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1897);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2368);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1900);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 304:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(185);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1917);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        '!', 2711,
        '#', 392,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(191);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 306:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '#') ADVANCE(392);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') SKIP(143);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(768);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1028);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1255);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1014);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1286);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(779);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      END_STATE();
    case 307:
      ADVANCE_MAP(
        '!', 2711,
        '#', 391,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(173);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1913);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2378);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1968);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(307);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 308:
      ADVANCE_MAP(
        '!', 2711,
        '#', 393,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '/', 360,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(177);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1913);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2378);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2217);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1968);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 309:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(309);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == '_') ADVANCE(1854);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(311);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 311:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(311);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 312:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(131);
      if (lookahead == '_') ADVANCE(1854);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2388);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(313);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 313:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(131);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2388);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(313);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 314:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(199);
      if (lookahead == '_') ADVANCE(1854);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(315);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 315:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1383,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1840,
        '/', 1395,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(199);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(315);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 316:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1467,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1920);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2223);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1970);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(316);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 317:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1467,
        ';', 1470,
        '<', 1413,
        '=', 1492,
        '>', 1409,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2008);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1920);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2223);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2518);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1970);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 318:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1467,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(20);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2403);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1914);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2323);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1932);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2218);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1974);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1952);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1925);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(318);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 319:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1971);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(319);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 320:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(88);
      if (lookahead == '_') ADVANCE(1853);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1181);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(917);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(771);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1019);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(989);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1042);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(740);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1257);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(734);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(773);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(321);
      END_STATE();
    case 321:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(88);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1181);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(917);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(771);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1019);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(989);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1042);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(740);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1257);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(734);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1308);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(773);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(321);
      END_STATE();
    case 322:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1467,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(322);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 323:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1413,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(42);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(323);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 324:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        ':', 380,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2403);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1914);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2323);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1932);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2218);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1974);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1952);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1925);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 325:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1841,
        '/', 1393,
        ':', 380,
        '<', 1415,
        '=', 382,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(137);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(325);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 326:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1926);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 327:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(133);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1932);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(327);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 328:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ':', 1466,
        ';', 1470,
        '<', 1415,
        '=', 1492,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(161);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1972);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(328);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 329:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ';', 1470,
        '<', 1415,
        '=', 1491,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(40);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2338);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(329);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 330:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ';', 1470,
        '<', 1415,
        '=', 1491,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1927);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(330);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 331:
      ADVANCE_MAP(
        '!', 2711,
        '%', 1396,
        '&', 1401,
        '(', 1382,
        '*', 1390,
        '+', 1387,
        '-', 1388,
        '.', 1841,
        '/', 1395,
        ';', 1470,
        '<', 1415,
        '=', 1491,
        '>', 1406,
        '?', 1888,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(44);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 332:
      ADVANCE_MAP(
        '!', 2711,
        '&', 1401,
        '(', 1383,
        ')', 1328,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1843,
        '/', 358,
        ':', 1466,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 333:
      ADVANCE_MAP(
        '!', 2711,
        '&', 1401,
        '(', 1383,
        ')', 1328,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1839,
        '/', 1391,
        ':', 1466,
        ';', 1470,
        '<', 384,
        '=', 1493,
        '@', 1845,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 334:
      ADVANCE_MAP(
        '!', 2711,
        '&', 1401,
        '(', 1383,
        '*', 1389,
        '+', 1387,
        '-', 1388,
        '.', 1843,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1916);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2224);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 335:
      ADVANCE_MAP(
        '!', 2711,
        '&', 1401,
        '(', 1383,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1842,
        ':', 380,
        ';', 1470,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 336:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1383);
      if (lookahead == '+') ADVANCE(1387);
      if (lookahead == '-') ADVANCE(1388);
      if (lookahead == '.') ADVANCE(1843);
      if (lookahead == '[') ADVANCE(1849);
      if (lookahead == '\\') SKIP(12);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(336);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 337:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1383);
      if (lookahead == '+') ADVANCE(1387);
      if (lookahead == '-') ADVANCE(1388);
      if (lookahead == '.') ADVANCE(1843);
      if (lookahead == '[') ADVANCE(1849);
      if (lookahead == '\\') SKIP(129);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1898);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1918);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1946);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1931);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2222);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1901);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1938);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 338:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1383);
      if (lookahead == '+') ADVANCE(1387);
      if (lookahead == '-') ADVANCE(1388);
      if (lookahead == '.') ADVANCE(1843);
      if (lookahead == '[') ADVANCE(1849);
      if (lookahead == '\\') SKIP(159);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1914);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2224);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 339:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1382);
      if (lookahead == ')') ADVANCE(1328);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == '/') ADVANCE(1391);
      if (lookahead == '\\') SKIP(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1794);
      END_STATE();
    case 340:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1382);
      if (lookahead == ')') ADVANCE(1328);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == 'D') ADVANCE(1945);
      if (lookahead == '\\') SKIP(52);
      if (lookahead == 'd') ADVANCE(1890);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(340);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 341:
      ADVANCE_MAP(
        '!', 2711,
        '&', 1401,
        '(', 1382,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1837,
        '/', 1391,
        ';', 1470,
        '=', 1493,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(60);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(341);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 342:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '(') ADVANCE(1382);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == ':') ADVANCE(380);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(56);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2402);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2518);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(342);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 343:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ')') ADVANCE(1328);
      if (lookahead == '.') ADVANCE(379);
      if (lookahead == '\\') SKIP(74);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(343);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 344:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '*') ADVANCE(1389);
      if (lookahead == '+') ADVANCE(1387);
      if (lookahead == '.') ADVANCE(1311);
      if (lookahead == '\\') SKIP(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1741);
      END_STATE();
    case 345:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ',') ADVANCE(1327);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(54);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1921);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2250);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 346:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ':') ADVANCE(380);
      if (lookahead == '\\') SKIP(50);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1915);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1944);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2323);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1932);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2219);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1947);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1969);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1952);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1925);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 347:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ':') ADVANCE(380);
      if (lookahead == '\\') SKIP(139);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2251);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1920);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2225);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1948);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1970);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(347);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 348:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == ';') ADVANCE(1470);
      if (lookahead == '\\') SKIP(68);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1941);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(348);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 349:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2398);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1922);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2389);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1933);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2482);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2221);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2169);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2680);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2460);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1975);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1953);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1928);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1942);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2467);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1937);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(349);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 350:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(109);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(913);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(350);
      END_STATE();
    case 351:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(351);
      END_STATE();
    case 352:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(351);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1856);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1855);
      END_STATE();
    case 353:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(353);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1562);
      END_STATE();
    case 354:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(151);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(354);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1844);
      END_STATE();
    case 355:
      if (lookahead == '!') ADVANCE(2711);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') SKIP(195);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(914);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(355);
      END_STATE();
    case 356:
      if (lookahead == '!') ADVANCE(2709);
      if (lookahead == '&') ADVANCE(1401);
      if (lookahead == '\\') ADVANCE(1346);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 357:
      if (lookahead == '!') ADVANCE(1498);
      if (lookahead == '&') ADVANCE(1403);
      if (lookahead == '\\') ADVANCE(1496);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1499);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 358:
      if (lookahead == ')') ADVANCE(1848);
      END_STATE();
    case 359:
      if (lookahead == ')') ADVANCE(1848);
      if (lookahead == '*') ADVANCE(362);
      END_STATE();
    case 360:
      if (lookahead == '*') ADVANCE(362);
      END_STATE();
    case 361:
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '/') ADVANCE(1386);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(362);
      END_STATE();
    case 362:
      if (lookahead == '*') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(362);
      END_STATE();
    case 363:
      if (lookahead == '.') ADVANCE(1832);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(371);
      END_STATE();
    case 364:
      if (lookahead == '.') ADVANCE(1831);
      END_STATE();
    case 365:
      if (lookahead == '.') ADVANCE(1829);
      END_STATE();
    case 366:
      if (lookahead == '.') ADVANCE(1830);
      END_STATE();
    case 367:
      if (lookahead == '.') ADVANCE(1828);
      END_STATE();
    case 368:
      if (lookahead == '.') ADVANCE(1834);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1291);
      END_STATE();
    case 369:
      if (lookahead == '.') ADVANCE(1823);
      END_STATE();
    case 370:
      if (lookahead == '.') ADVANCE(1824);
      END_STATE();
    case 371:
      if (lookahead == '.') ADVANCE(1825);
      END_STATE();
    case 372:
      if (lookahead == '.') ADVANCE(1889);
      END_STATE();
    case 373:
      if (lookahead == '.') ADVANCE(1827);
      END_STATE();
    case 374:
      if (lookahead == '.') ADVANCE(1826);
      END_STATE();
    case 375:
      if (lookahead == '.') ADVANCE(1851);
      END_STATE();
    case 376:
      if (lookahead == '.') ADVANCE(1852);
      END_STATE();
    case 377:
      if (lookahead == '.') ADVANCE(1326);
      END_STATE();
    case 378:
      if (lookahead == '.') ADVANCE(1740);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(378);
      END_STATE();
    case 379:
      if (lookahead == '.') ADVANCE(377);
      END_STATE();
    case 380:
      if (lookahead == ':') ADVANCE(1536);
      END_STATE();
    case 381:
      if (lookahead == '<') ADVANCE(1708);
      END_STATE();
    case 382:
      if (lookahead == '=') ADVANCE(1404);
      END_STATE();
    case 383:
      if (lookahead == '>') ADVANCE(1709);
      END_STATE();
    case 384:
      if (lookahead == '>') ADVANCE(1420);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(384);
      END_STATE();
    case 385:
      if (lookahead == '>') ADVANCE(1421);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(384);
      END_STATE();
    case 386:
      if (lookahead == '>') ADVANCE(383);
      END_STATE();
    case 387:
      if (lookahead == 'F') ADVANCE(477);
      if (lookahead == 'f') ADVANCE(414);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(786);
      END_STATE();
    case 388:
      if (lookahead == '_') ADVANCE(807);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1542);
      END_STATE();
    case 389:
      if (lookahead == '_') ADVANCE(757);
      END_STATE();
    case 390:
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == 'e') ADVANCE(1375);
      if (lookahead == 'i') ADVANCE(1364);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 391:
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == 'e') ADVANCE(1375);
      if (lookahead == 'i') ADVANCE(1378);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 392:
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == 'e') ADVANCE(1377);
      if (lookahead == 'i') ADVANCE(1364);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 393:
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == 'e') ADVANCE(1377);
      if (lookahead == 'i') ADVANCE(1378);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == 'i') ADVANCE(1364);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 395:
      if (lookahead == 'd') ADVANCE(1384);
      END_STATE();
    case 396:
      if (lookahead == 'd') ADVANCE(416);
      END_STATE();
    case 397:
      if (lookahead == 'd') ADVANCE(404);
      END_STATE();
    case 398:
      if (lookahead == 'd') ADVANCE(406);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 400:
      if (lookahead == 'e') ADVANCE(417);
      if (lookahead == 'i') ADVANCE(411);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(400);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(417);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(401);
      END_STATE();
    case 402:
      if (lookahead == 'e') ADVANCE(1338);
      END_STATE();
    case 403:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 404:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 405:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 406:
      if (lookahead == 'e') ADVANCE(413);
      END_STATE();
    case 407:
      if (lookahead == 'f') ADVANCE(1340);
      END_STATE();
    case 408:
      if (lookahead == 'f') ADVANCE(1332);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(1342);
      END_STATE();
    case 410:
      if (lookahead == 'f') ADVANCE(1344);
      END_STATE();
    case 411:
      if (lookahead == 'f') ADVANCE(1330);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(1334);
      END_STATE();
    case 413:
      if (lookahead == 'f') ADVANCE(1336);
      END_STATE();
    case 414:
      if (lookahead == 'i') ADVANCE(418);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1274);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1128);
      END_STATE();
    case 415:
      if (lookahead == 'i') ADVANCE(407);
      if (lookahead == 's') ADVANCE(402);
      END_STATE();
    case 416:
      if (lookahead == 'i') ADVANCE(408);
      END_STATE();
    case 417:
      if (lookahead == 'l') ADVANCE(415);
      if (lookahead == 'n') ADVANCE(396);
      END_STATE();
    case 418:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 419:
      ADVANCE_MAP(
        'A', 1213,
        'a', 1213,
        'E', 741,
        'e', 741,
        'I', 935,
        'i', 935,
        'O', 1254,
        'o', 1254,
      );
      END_STATE();
    case 420:
      ADVANCE_MAP(
        'A', 1292,
        'a', 1292,
        'E', 918,
        'e', 918,
        'H', 437,
        'h', 437,
        'I', 926,
        'i', 926,
        'T', 499,
        't', 499,
        'U', 511,
        'u', 511,
      );
      END_STATE();
    case 421:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1001);
      END_STATE();
    case 422:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(756);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(911);
      END_STATE();
    case 423:
      ADVANCE_MAP(
        'A', 571,
        'a', 571,
        'C', 1265,
        'c', 1265,
        'D', 1273,
        'd', 1273,
        'S', 1269,
        's', 1269,
        'T', 1267,
        't', 1267,
        'W', 821,
        'w', 821,
      );
      END_STATE();
    case 424:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1479);
      END_STATE();
    case 425:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1481);
      END_STATE();
    case 426:
      ADVANCE_MAP(
        'A', 1095,
        'a', 1095,
        'I', 999,
        'i', 999,
        'O', 814,
        'o', 814,
        'R', 682,
        'r', 682,
        'U', 508,
        'u', 508,
      );
      END_STATE();
    case 427:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1156);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1161);
      END_STATE();
    case 428:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(909);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(869);
      END_STATE();
    case 429:
      ADVANCE_MAP(
        'A', 1123,
        'a', 1123,
        'E', 431,
        'e', 431,
        'H', 687,
        'h', 687,
        'O', 1719,
        'o', 1719,
        'Y', 1069,
        'y', 1069,
      );
      END_STATE();
    case 430:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(921);
      END_STATE();
    case 431:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(921);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1238);
      END_STATE();
    case 432:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(971);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 433:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(910);
      END_STATE();
    case 434:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      END_STATE();
    case 435:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 436:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 437:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1105);
      END_STATE();
    case 438:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(923);
      END_STATE();
    case 439:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(924);
      END_STATE();
    case 440:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(925);
      END_STATE();
    case 441:
      ADVANCE_MAP(
        'A', 931,
        'a', 931,
        'I', 998,
        'i', 998,
        'O', 1087,
        'o', 1087,
        'U', 969,
        'u', 969,
      );
      END_STATE();
    case 442:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(854);
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(855);
      END_STATE();
    case 444:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(855);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1874);
      END_STATE();
    case 445:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1236);
      END_STATE();
    case 446:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(857);
      END_STATE();
    case 447:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(975);
      END_STATE();
    case 448:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1191);
      END_STATE();
    case 449:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(915);
      END_STATE();
    case 450:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(858);
      END_STATE();
    case 451:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(859);
      END_STATE();
    case 452:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(860);
      END_STATE();
    case 453:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(861);
      END_STATE();
    case 454:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(862);
      END_STATE();
    case 455:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1209);
      END_STATE();
    case 456:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(863);
      END_STATE();
    case 457:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(865);
      END_STATE();
    case 458:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(866);
      END_STATE();
    case 459:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1000);
      END_STATE();
    case 460:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1212);
      END_STATE();
    case 461:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(853);
      END_STATE();
    case 462:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(853);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1265);
      END_STATE();
    case 463:
      ADVANCE_MAP(
        'A', 853,
        'a', 853,
        'C', 1265,
        'c', 1265,
        'D', 1273,
        'd', 1273,
        'S', 1269,
        's', 1269,
      );
      END_STATE();
    case 464:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1243);
      END_STATE();
    case 465:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(800);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(714);
      END_STATE();
    case 466:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(879);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1862);
      END_STATE();
    case 467:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(879);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(448);
      END_STATE();
    case 468:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1237);
      END_STATE();
    case 469:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1227);
      END_STATE();
    case 470:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(815);
      END_STATE();
    case 471:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(815);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(754);
      END_STATE();
    case 472:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1223);
      END_STATE();
    case 473:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(936);
      END_STATE();
    case 474:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(884);
      END_STATE();
    case 475:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1159);
      END_STATE();
    case 476:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(562);
      END_STATE();
    case 477:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1274);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1128);
      END_STATE();
    case 478:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1253);
      END_STATE();
    case 479:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(760);
      END_STATE();
    case 480:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1162);
      END_STATE();
    case 481:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1169);
      END_STATE();
    case 482:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1277);
      END_STATE();
    case 483:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(547);
      END_STATE();
    case 484:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(992);
      END_STATE();
    case 485:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1229);
      END_STATE();
    case 486:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(761);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1030);
      END_STATE();
    case 487:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1164);
      END_STATE();
    case 488:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(542);
      END_STATE();
    case 489:
      ADVANCE_MAP(
        'A', 1154,
        'a', 1154,
        'H', 500,
        'h', 500,
        'L', 480,
        'l', 480,
        'O', 595,
        'o', 595,
        'R', 787,
        'r', 787,
      );
      END_STATE();
    case 490:
      ADVANCE_MAP(
        'A', 1154,
        'a', 1154,
        'H', 500,
        'h', 500,
        'L', 480,
        'l', 480,
        'O', 943,
        'o', 943,
      );
      END_STATE();
    case 491:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1154);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 492:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(548);
      END_STATE();
    case 493:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1166);
      END_STATE();
    case 494:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(762);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1275);
      END_STATE();
    case 495:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(550);
      END_STATE();
    case 496:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1232);
      END_STATE();
    case 497:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(514);
      END_STATE();
    case 498:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(514);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1817);
      END_STATE();
    case 499:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1240);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1062);
      END_STATE();
    case 500:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1097);
      END_STATE();
    case 501:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1246);
      END_STATE();
    case 502:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1239);
      END_STATE();
    case 503:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 504:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1244);
      END_STATE();
    case 505:
      ADVANCE_MAP(
        'B', 1173,
        'b', 1173,
        'L', 877,
        'l', 877,
        'S', 1180,
        's', 1180,
        'T', 1214,
        't', 1214,
        'U', 1210,
        'u', 1210,
      );
      END_STATE();
    case 506:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(946);
      END_STATE();
    case 507:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(912);
      END_STATE();
    case 508:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(912);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(617);
      END_STATE();
    case 509:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(947);
      END_STATE();
    case 510:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(446);
      END_STATE();
    case 511:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1099);
      END_STATE();
    case 512:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1280);
      END_STATE();
    case 513:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(883);
      END_STATE();
    case 514:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(894);
      END_STATE();
    case 515:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(458);
      END_STATE();
    case 516:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(897);
      END_STATE();
    case 517:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1137);
      END_STATE();
    case 518:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(948);
      END_STATE();
    case 519:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(847);
      END_STATE();
    case 520:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(444);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(790);
      END_STATE();
    case 521:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1859);
      END_STATE();
    case 522:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1556);
      END_STATE();
    case 523:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1677);
      END_STATE();
    case 524:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1596);
      END_STATE();
    case 525:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1655);
      END_STATE();
    case 526:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1533);
      END_STATE();
    case 527:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1535);
      END_STATE();
    case 528:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(842);
      END_STATE();
    case 529:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      END_STATE();
    case 530:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(844);
      END_STATE();
    case 531:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(846);
      END_STATE();
    case 532:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(876);
      END_STATE();
    case 533:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(871);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(722);
      END_STATE();
    case 534:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(837);
      END_STATE();
    case 535:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(833);
      END_STATE();
    case 536:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(711);
      END_STATE();
    case 537:
      ADVANCE_MAP(
        'C', 711,
        'c', 711,
        'G', 1102,
        'g', 1102,
        'P', 716,
        'p', 716,
        'T', 720,
        't', 720,
      );
      END_STATE();
    case 538:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(711);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(716);
      END_STATE();
    case 539:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(711);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(716);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(720);
      END_STATE();
    case 540:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1195);
      END_STATE();
    case 541:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(628);
      END_STATE();
    case 542:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1198);
      END_STATE();
    case 543:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(634);
      END_STATE();
    case 544:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1202);
      END_STATE();
    case 545:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1207);
      END_STATE();
    case 546:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(644);
      END_STATE();
    case 547:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(647);
      END_STATE();
    case 548:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(650);
      END_STATE();
    case 549:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(658);
      END_STATE();
    case 550:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(660);
      END_STATE();
    case 551:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1222);
      END_STATE();
    case 552:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1270);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1220);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(471);
      END_STATE();
    case 553:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(455);
      END_STATE();
    case 554:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1228);
      END_STATE();
    case 555:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(810);
      END_STATE();
    case 556:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(451);
      END_STATE();
    case 557:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(452);
      END_STATE();
    case 558:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(457);
      END_STATE();
    case 559:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(443);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(790);
      END_STATE();
    case 560:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(478);
      END_STATE();
    case 561:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1252);
      END_STATE();
    case 562:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1245);
      END_STATE();
    case 563:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(835);
      END_STATE();
    case 564:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(839);
      END_STATE();
    case 565:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(737);
      END_STATE();
    case 566:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(737);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1104);
      END_STATE();
    case 567:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1088);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(920);
      END_STATE();
    case 568:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1517);
      END_STATE();
    case 569:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(389);
      END_STATE();
    case 570:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1685);
      END_STATE();
    case 571:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 572:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1617);
      END_STATE();
    case 573:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1813);
      END_STATE();
    case 574:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1615);
      END_STATE();
    case 575:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1611);
      END_STATE();
    case 576:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1604);
      END_STATE();
    case 577:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1673);
      END_STATE();
    case 578:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1506);
      END_STATE();
    case 579:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1424);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(938);
      END_STATE();
    case 580:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1424);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(939);
      END_STATE();
    case 581:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1449);
      END_STATE();
    case 582:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1505);
      END_STATE();
    case 583:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1451);
      END_STATE();
    case 584:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1450);
      END_STATE();
    case 585:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1433);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(939);
      END_STATE();
    case 586:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1456);
      END_STATE();
    case 587:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1443);
      END_STATE();
    case 588:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1453);
      END_STATE();
    case 589:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1430);
      END_STATE();
    case 590:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1457);
      END_STATE();
    case 591:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1448);
      END_STATE();
    case 592:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1455);
      END_STATE();
    case 593:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1279);
      END_STATE();
    case 594:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(840);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(929);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(552);
      END_STATE();
    case 595:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(840);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1072);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 596:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 597:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1147);
      END_STATE();
    case 598:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(503);
      END_STATE();
    case 599:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(638);
      END_STATE();
    case 600:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1454);
      END_STATE();
    case 601:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1452);
      END_STATE();
    case 602:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1283);
      END_STATE();
    case 603:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1282);
      END_STATE();
    case 604:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1285);
      END_STATE();
    case 605:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1284);
      END_STATE();
    case 606:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1287);
      END_STATE();
    case 607:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(365);
      END_STATE();
    case 608:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 609:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(872);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1218);
      END_STATE();
    case 610:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1218);
      END_STATE();
    case 611:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1531);
      END_STATE();
    case 612:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1621);
      END_STATE();
    case 613:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1769);
      END_STATE();
    case 614:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1749);
      END_STATE();
    case 615:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(766);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(802);
      END_STATE();
    case 616:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1542);
      END_STATE();
    case 617:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1693);
      END_STATE();
    case 618:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1552);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1545);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1799);
      END_STATE();
    case 621:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1712);
      END_STATE();
    case 622:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1869);
      END_STATE();
    case 623:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1815);
      END_STATE();
    case 624:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1681);
      END_STATE();
    case 625:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1755);
      END_STATE();
    case 626:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1732);
      END_STATE();
    case 627:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1503);
      END_STATE();
    case 628:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1522);
      END_STATE();
    case 629:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1627);
      END_STATE();
    case 630:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1880);
      END_STATE();
    case 631:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1297);
      END_STATE();
    case 632:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1691);
      END_STATE();
    case 633:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1460);
      END_STATE();
    case 634:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1739);
      END_STATE();
    case 635:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1697);
      END_STATE();
    case 636:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1811);
      END_STATE();
    case 637:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1595);
      END_STATE();
    case 638:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1724);
      END_STATE();
    case 639:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1801);
      END_STATE();
    case 640:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1554);
      END_STATE();
    case 641:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1619);
      END_STATE();
    case 642:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1710);
      END_STATE();
    case 643:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1757);
      END_STATE();
    case 644:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1590);
      END_STATE();
    case 645:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1683);
      END_STATE();
    case 646:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1788);
      END_STATE();
    case 647:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1809);
      END_STATE();
    case 648:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1759);
      END_STATE();
    case 649:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1462);
      END_STATE();
    case 650:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1471);
      END_STATE();
    case 651:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1511);
      END_STATE();
    case 652:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1695);
      END_STATE();
    case 653:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1464);
      END_STATE();
    case 654:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1771);
      END_STATE();
    case 655:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1773);
      END_STATE();
    case 656:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1507);
      END_STATE();
    case 657:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1653);
      END_STATE();
    case 658:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1699);
      END_STATE();
    case 659:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1790);
      END_STATE();
    case 660:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1473);
      END_STATE();
    case 661:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 662:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1468);
      END_STATE();
    case 663:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1509);
      END_STATE();
    case 664:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1607);
      END_STATE();
    case 665:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1543);
      END_STATE();
    case 666:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1868);
      END_STATE();
    case 667:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 668:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1547);
      END_STATE();
    case 669:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1544);
      END_STATE();
    case 670:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1748);
      END_STATE();
    case 671:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1752);
      END_STATE();
    case 672:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1077);
      END_STATE();
    case 673:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(934);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 674:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(952);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(792);
      END_STATE();
    case 675:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1298);
      END_STATE();
    case 676:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(367);
      END_STATE();
    case 677:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(974);
      END_STATE();
    case 678:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(977);
      END_STATE();
    case 679:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(977);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1021);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(781);
      END_STATE();
    case 680:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 681:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(985);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(537);
      END_STATE();
    case 682:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1294);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(539);
      END_STATE();
    case 683:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(538);
      END_STATE();
    case 684:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(559);
      END_STATE();
    case 685:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(572);
      END_STATE();
    case 686:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(982);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(574);
      END_STATE();
    case 689:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(978);
      END_STATE();
    case 690:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 691:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 692:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1129);
      END_STATE();
    case 693:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(576);
      END_STATE();
    case 694:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 695:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 696:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 697:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1149);
      END_STATE();
    case 698:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      END_STATE();
    case 699:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(582);
      END_STATE();
    case 700:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1190);
      END_STATE();
    case 701:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1143);
      END_STATE();
    case 702:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1127);
      END_STATE();
    case 703:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1069);
      END_STATE();
    case 704:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1080);
      END_STATE();
    case 705:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1081);
      END_STATE();
    case 706:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1133);
      END_STATE();
    case 707:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1196);
      END_STATE();
    case 708:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1083);
      END_STATE();
    case 709:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1084);
      END_STATE();
    case 710:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1134);
      END_STATE();
    case 711:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(603);
      END_STATE();
    case 712:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(540);
      END_STATE();
    case 713:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(748);
      END_STATE();
    case 714:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 715:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1110);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(881);
      END_STATE();
    case 716:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1113);
      END_STATE();
    case 717:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1112);
      END_STATE();
    case 718:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1002);
      END_STATE();
    case 719:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(991);
      END_STATE();
    case 720:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(554);
      END_STATE();
    case 721:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(993);
      END_STATE();
    case 722:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(765);
      END_STATE();
    case 723:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 724:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(994);
      END_STATE();
    case 725:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(545);
      END_STATE();
    case 726:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1118);
      END_STATE();
    case 727:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(916);
      END_STATE();
    case 728:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(916);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(518);
      END_STATE();
    case 729:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1120);
      END_STATE();
    case 730:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 731:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      END_STATE();
    case 732:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(614);
      END_STATE();
    case 733:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1004);
      END_STATE();
    case 734:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      END_STATE();
    case 735:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1247);
      END_STATE();
    case 736:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1013);
      END_STATE();
    case 737:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(605);
      END_STATE();
    case 738:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(564);
      END_STATE();
    case 739:
      ADVANCE_MAP(
        'F', 1742,
        'f', 1742,
        'M', 486,
        'm', 486,
        'N', 793,
        'n', 793,
        'S', 1779,
        's', 1779,
      );
      END_STATE();
    case 740:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1742);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1666);
      END_STATE();
    case 741:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(477);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(786);
      END_STATE();
    case 742:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1746);
      END_STATE();
    case 743:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1242);
      END_STATE();
    case 744:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1753);
      END_STATE();
    case 745:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1648);
      END_STATE();
    case 746:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1650);
      END_STATE();
    case 747:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1303);
      END_STATE();
    case 748:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(482);
      END_STATE();
    case 749:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1033);
      END_STATE();
    case 750:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1033);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1048);
      END_STATE();
    case 751:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(492);
      END_STATE();
    case 752:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 753:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1263);
      END_STATE();
    case 754:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1263);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1272);
      END_STATE();
    case 755:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(954);
      END_STATE();
    case 756:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(622);
      END_STATE();
    case 757:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(919);
      END_STATE();
    case 758:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1104);
      END_STATE();
    case 759:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(630);
      END_STATE();
    case 760:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(690);
      END_STATE();
    case 761:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(666);
      END_STATE();
    case 762:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(701);
      END_STATE();
    case 763:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(790);
      END_STATE();
    case 764:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(707);
      END_STATE();
    case 765:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(704);
      END_STATE();
    case 766:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(704);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1193);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(751);
      END_STATE();
    case 767:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(687);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1719);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1070);
      END_STATE();
    case 768:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(500);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(480);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(943);
      END_STATE();
    case 769:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(500);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(944);
      END_STATE();
    case 770:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(500);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(487);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(943);
      END_STATE();
    case 771:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(459);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(787);
      END_STATE();
    case 772:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(726);
      END_STATE();
    case 773:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(714);
      END_STATE();
    case 774:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(729);
      END_STATE();
    case 775:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(747);
      END_STATE();
    case 776:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(998);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1136);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(969);
      END_STATE();
    case 777:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(998);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(969);
      END_STATE();
    case 778:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(755);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(535);
      END_STATE();
    case 779:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(926);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(511);
      END_STATE();
    case 780:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1295);
      END_STATE();
    case 781:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(569);
      END_STATE();
    case 782:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1294);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(538);
      END_STATE();
    case 783:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1294);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(536);
      END_STATE();
    case 784:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(512);
      END_STATE();
    case 785:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(753);
      END_STATE();
    case 786:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      END_STATE();
    case 787:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1250);
      END_STATE();
    case 788:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(872);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1218);
      END_STATE();
    case 789:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1183);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      END_STATE();
    case 790:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(556);
      END_STATE();
    case 791:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(555);
      END_STATE();
    case 792:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1055);
      END_STATE();
    case 793:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1221);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(615);
      END_STATE();
    case 794:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1221);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(722);
      END_STATE();
    case 795:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(851);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(804);
      END_STATE();
    case 796:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(522);
      END_STATE();
    case 797:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(700);
      END_STATE();
    case 798:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(523);
      END_STATE();
    case 799:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(524);
      END_STATE();
    case 800:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1186);
      END_STATE();
    case 801:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(525);
      END_STATE();
    case 802:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(981);
      END_STATE();
    case 803:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1226);
      END_STATE();
    case 804:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(868);
      END_STATE();
    case 805:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(526);
      END_STATE();
    case 806:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(598);
      END_STATE();
    case 807:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1008);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1296);
      END_STATE();
    case 808:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 809:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1003);
      END_STATE();
    case 810:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      END_STATE();
    case 811:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1205);
      END_STATE();
    case 812:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(970);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1050);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1211);
      END_STATE();
    case 813:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1032);
      END_STATE();
    case 814:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(984);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1185);
      END_STATE();
    case 815:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(983);
      END_STATE();
    case 816:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(973);
      END_STATE();
    case 817:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1168);
      END_STATE();
    case 818:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1293);
      END_STATE();
    case 819:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(995);
      END_STATE();
    case 820:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1034);
      END_STATE();
    case 821:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(980);
      END_STATE();
    case 822:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(996);
      END_STATE();
    case 823:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1035);
      END_STATE();
    case 824:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(450);
      END_STATE();
    case 825:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1036);
      END_STATE();
    case 826:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1116);
      END_STATE();
    case 827:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1037);
      END_STATE();
    case 828:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1038);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1085);
      END_STATE();
    case 829:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(889);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1130);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1012);
      END_STATE();
    case 830:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1039);
      END_STATE();
    case 831:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(891);
      END_STATE();
    case 832:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(557);
      END_STATE();
    case 833:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(485);
      END_STATE();
    case 834:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(558);
      END_STATE();
    case 835:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 836:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1251);
      END_STATE();
    case 837:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1177);
      END_STATE();
    case 838:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1009);
      END_STATE();
    case 839:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1179);
      END_STATE();
    case 840:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(945);
      END_STATE();
    case 841:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1675);
      END_STATE();
    case 842:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1476);
      END_STATE();
    case 843:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1876);
      END_STATE();
    case 844:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1786);
      END_STATE();
    case 845:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1775);
      END_STATE();
    case 846:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1475);
      END_STATE();
    case 847:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1155);
      END_STATE();
    case 848:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1589);
      END_STATE();
    case 849:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1299);
      END_STATE();
    case 850:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1706);
      END_STATE();
    case 851:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1866);
      END_STATE();
    case 852:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1857);
      END_STATE();
    case 853:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 854:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1602);
      END_STATE();
    case 855:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1736);
      END_STATE();
    case 856:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1761);
      END_STATE();
    case 857:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1521);
      END_STATE();
    case 858:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1598);
      END_STATE();
    case 859:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1637);
      END_STATE();
    case 860:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1884);
      END_STATE();
    case 861:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1550);
      END_STATE();
    case 862:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1669);
      END_STATE();
    case 863:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1689);
      END_STATE();
    case 864:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1763);
      END_STATE();
    case 865:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1886);
      END_STATE();
    case 866:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1525);
      END_STATE();
    case 867:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1588);
      END_STATE();
    case 868:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1301);
      END_STATE();
    case 869:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 870:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(850);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(613);
      END_STATE();
    case 871:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1261);
      END_STATE();
    case 872:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 873:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(852);
      END_STATE();
    case 874:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(712);
      END_STATE();
    case 875:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(712);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1278);
      END_STATE();
    case 876:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(621);
      END_STATE();
    case 877:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1047);
      END_STATE();
    case 878:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 879:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(856);
      END_STATE();
    case 880:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1194);
      END_STATE();
    case 881:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(626);
      END_STATE();
    case 882:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1197);
      END_STATE();
    case 883:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(629);
      END_STATE();
    case 884:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(864);
      END_STATE();
    case 885:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(631);
      END_STATE();
    case 886:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(633);
      END_STATE();
    case 887:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(867);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1214);
      END_STATE();
    case 888:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(635);
      END_STATE();
    case 889:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(636);
      END_STATE();
    case 890:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1206);
      END_STATE();
    case 891:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(645);
      END_STATE();
    case 892:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(649);
      END_STATE();
    case 893:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 894:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(657);
      END_STATE();
    case 895:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(675);
      END_STATE();
    case 896:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 897:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(664);
      END_STATE();
    case 898:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(579);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1215);
      END_STATE();
    case 899:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(585);
      END_STATE();
    case 900:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(581);
      END_STATE();
    case 901:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(583);
      END_STATE();
    case 902:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(584);
      END_STATE();
    case 903:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(586);
      END_STATE();
    case 904:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(587);
      END_STATE();
    case 905:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(588);
      END_STATE();
    case 906:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(600);
      END_STATE();
    case 907:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(601);
      END_STATE();
    case 908:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(731);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(580);
      END_STATE();
    case 909:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1271);
      END_STATE();
    case 910:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1167);
      END_STATE();
    case 911:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(791);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1107);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1114);
      END_STATE();
    case 912:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(796);
      END_STATE();
    case 913:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1170);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(591);
      END_STATE();
    case 914:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1171);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(590);
      END_STATE();
    case 915:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(733);
      END_STATE();
    case 916:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(723);
      END_STATE();
    case 917:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1050);
      END_STATE();
    case 918:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(725);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1278);
      END_STATE();
    case 919:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1054);
      END_STATE();
    case 920:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1803);
      END_STATE();
    case 921:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1865);
      END_STATE();
    case 922:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1808);
      END_STATE();
    case 923:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1882);
      END_STATE();
    case 924:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1422);
      END_STATE();
    case 925:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1458);
      END_STATE();
    case 926:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1074);
      END_STATE();
    case 927:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(494);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 928:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1063);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(794);
      END_STATE();
    case 929:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1029);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(885);
      END_STATE();
    case 930:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1073);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 931:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(804);
      END_STATE();
    case 932:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(698);
      END_STATE();
    case 933:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(504);
      END_STATE();
    case 934:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1031);
      END_STATE();
    case 935:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(689);
      END_STATE();
    case 936:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(735);
      END_STATE();
    case 937:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(464);
      END_STATE();
    case 938:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(702);
      END_STATE();
    case 939:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(710);
      END_STATE();
    case 940:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(719);
      END_STATE();
    case 941:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1075);
      END_STATE();
    case 942:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(501);
      END_STATE();
    case 943:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1072);
      END_STATE();
    case 944:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1072);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1225);
      END_STATE();
    case 945:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(736);
      END_STATE();
    case 946:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1059);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1045);
      END_STATE();
    case 947:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1060);
      END_STATE();
    case 948:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1060);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1057);
      END_STATE();
    case 949:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1687);
      END_STATE();
    case 950:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(388);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(475);
      END_STATE();
    case 951:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(388);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(475);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(775);
      END_STATE();
    case 952:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1797);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(468);
      END_STATE();
    case 953:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1744);
      END_STATE();
    case 954:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1821);
      END_STATE();
    case 955:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1560);
      END_STATE();
    case 956:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1722);
      END_STATE();
    case 957:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1515);
      END_STATE();
    case 958:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1659);
      END_STATE();
    case 959:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1630);
      END_STATE();
    case 960:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1657);
      END_STATE();
    case 961:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1526);
      END_STATE();
    case 962:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1805);
      END_STATE();
    case 963:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1631);
      END_STATE();
    case 964:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 965:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(596);
      END_STATE();
    case 966:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(841);
      END_STATE();
    case 967:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(585);
      END_STATE();
    case 968:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(849);
      END_STATE();
    case 969:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(551);
      END_STATE();
    case 970:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(568);
      END_STATE();
    case 971:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(479);
      END_STATE();
    case 972:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 973:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(570);
      END_STATE();
    case 974:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(597);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1005);
      END_STATE();
    case 975:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(845);
      END_STATE();
    case 976:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(749);
      END_STATE();
    case 977:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(692);
      END_STATE();
    case 978:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1176);
      END_STATE();
    case 979:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1260);
      END_STATE();
    case 980:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(573);
      END_STATE();
    case 981:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1174);
      END_STATE();
    case 982:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1187);
      END_STATE();
    case 983:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1148);
      END_STATE();
    case 984:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1241);
      END_STATE();
    case 985:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1189);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(469);
      END_STATE();
    case 986:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(583);
      END_STATE();
    case 987:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(685);
      END_STATE();
    case 988:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(586);
      END_STATE();
    case 989:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(589);
      END_STATE();
    case 990:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(592);
      END_STATE();
    case 991:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1248);
      END_STATE();
    case 992:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1199);
      END_STATE();
    case 993:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 994:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1204);
      END_STATE();
    case 995:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(656);
      END_STATE();
    case 996:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(663);
      END_STATE();
    case 997:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 998:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 999:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(987);
      END_STATE();
    case 1000:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(759);
      END_STATE();
    case 1001:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(759);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 1002:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(546);
      END_STATE();
    case 1003:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(811);
      END_STATE();
    case 1004:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(549);
      END_STATE();
    case 1005:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(453);
      END_STATE();
    case 1006:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1233);
      END_STATE();
    case 1007:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 1008:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1235);
      END_STATE();
    case 1009:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1010:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1242);
      END_STATE();
    case 1011:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(580);
      END_STATE();
    case 1012:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(561);
      END_STATE();
    case 1013:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1178);
      END_STATE();
    case 1014:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1720);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1730);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(950);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(538);
      END_STATE();
    case 1019:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1726);
      END_STATE();
    case 1020:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(566);
      END_STATE();
    case 1021:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 1022:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(763);
      END_STATE();
    case 1023:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1218);
      END_STATE();
    case 1024:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(933);
      END_STATE();
    case 1025:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(758);
      END_STATE();
    case 1026:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1079);
      END_STATE();
    case 1027:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1268);
      END_STATE();
    case 1028:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1254);
      END_STATE();
    case 1029:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(955);
      END_STATE();
    case 1030:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1107);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1114);
      END_STATE();
    case 1031:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1091);
      END_STATE();
    case 1032:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(957);
      END_STATE();
    case 1033:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1125);
      END_STATE();
    case 1034:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(958);
      END_STATE();
    case 1035:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(959);
      END_STATE();
    case 1036:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(960);
      END_STATE();
    case 1037:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(961);
      END_STATE();
    case 1038:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(962);
      END_STATE();
    case 1039:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(963);
      END_STATE();
    case 1040:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1082);
      END_STATE();
    case 1041:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1085);
      END_STATE();
    case 1042:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1087);
      END_STATE();
    case 1043:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1157);
      END_STATE();
    case 1044:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(528);
      END_STATE();
    case 1045:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1276);
      END_STATE();
    case 1046:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(535);
      END_STATE();
    case 1047:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(560);
      END_STATE();
    case 1048:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(529);
      END_STATE();
    case 1049:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 1050:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(531);
      END_STATE();
    case 1051:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(997);
      END_STATE();
    case 1052:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(536);
      END_STATE();
    case 1053:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(941);
      END_STATE();
    case 1054:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(515);
      END_STATE();
    case 1055:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1007);
      END_STATE();
    case 1056:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(602);
      END_STATE();
    case 1057:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1288);
      END_STATE();
    case 1058:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 1059:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(604);
      END_STATE();
    case 1060:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(606);
      END_STATE();
    case 1061:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 1062:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1703);
      END_STATE();
    case 1063:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1030);
      END_STATE();
    case 1064:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(619);
      END_STATE();
    case 1065:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(483);
      END_STATE();
    case 1066:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(637);
      END_STATE();
    case 1067:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1217);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1182);
      END_STATE();
    case 1068:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(655);
      END_STATE();
    case 1069:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(665);
      END_STATE();
    case 1070:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(668);
      END_STATE();
    case 1071:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 1072:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(885);
      END_STATE();
    case 1073:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1275);
      END_STATE();
    case 1074:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(888);
      END_STATE();
    case 1075:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(895);
      END_STATE();
    case 1076:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(363);
      END_STATE();
    case 1077:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1278);
      END_STATE();
    case 1078:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(466);
      END_STATE();
    case 1079:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1701);
      END_STATE();
    case 1080:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1623);
      END_STATE();
    case 1081:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1609);
      END_STATE();
    case 1082:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1494);
      END_STATE();
    case 1083:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1639);
      END_STATE();
    case 1084:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1671);
      END_STATE();
    case 1085:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1807);
      END_STATE();
    case 1086:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1264);
      END_STATE();
    case 1087:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 1088:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1300);
      END_STATE();
    case 1089:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(683);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1098);
      END_STATE();
    case 1090:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1026);
      END_STATE();
    case 1091:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1302);
      END_STATE();
    case 1092:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(369);
      END_STATE();
    case 1093:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(782);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(508);
      END_STATE();
    case 1094:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(783);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(507);
      END_STATE();
    case 1095:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(473);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1141);
      END_STATE();
    case 1096:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(473);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1141);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1163);
      END_STATE();
    case 1097:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 1098:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(617);
      END_STATE();
    case 1099:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1045);
      END_STATE();
    case 1100:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1020);
      END_STATE();
    case 1101:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(784);
      END_STATE();
    case 1102:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 1103:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(956);
      END_STATE();
    case 1104:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 1105:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(688);
      END_STATE();
    case 1106:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1132);
      END_STATE();
    case 1107:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1192);
      END_STATE();
    case 1108:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1025);
      END_STATE();
    case 1109:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1052);
      END_STATE();
    case 1110:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(625);
      END_STATE();
    case 1111:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1018);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1098);
      END_STATE();
    case 1112:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1124);
      END_STATE();
    case 1113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1216);
      END_STATE();
    case 1114:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      END_STATE();
    case 1115:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(693);
      END_STATE();
    case 1116:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(639);
      END_STATE();
    case 1117:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      END_STATE();
    case 1118:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(643);
      END_STATE();
    case 1119:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(738);
      END_STATE();
    case 1120:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(648);
      END_STATE();
    case 1121:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(651);
      END_STATE();
    case 1122:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(661);
      END_STATE();
    case 1123:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(764);
      END_STATE();
    case 1124:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(806);
      END_STATE();
    case 1125:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(937);
      END_STATE();
    case 1126:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1165);
      END_STATE();
    case 1127:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 1128:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1115);
      END_STATE();
    case 1129:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(799);
      END_STATE();
    case 1130:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(474);
      END_STATE();
    case 1131:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(488);
      END_STATE();
    case 1132:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(724);
      END_STATE();
    case 1133:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(752);
      END_STATE();
    case 1134:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(502);
      END_STATE();
    case 1135:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(838);
      END_STATE();
    case 1136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(942);
      END_STATE();
    case 1137:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1057);
      END_STATE();
    case 1138:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1061);
      END_STATE();
    case 1139:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(680);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1098);
      END_STATE();
    case 1140:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(778);
      END_STATE();
    case 1141:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1605);
      END_STATE();
    case 1142:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1643);
      END_STATE();
    case 1143:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1863);
      END_STATE();
    case 1144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1606);
      END_STATE();
    case 1145:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1780);
      END_STATE();
    case 1146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1782);
      END_STATE();
    case 1147:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1594);
      END_STATE();
    case 1148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1529);
      END_STATE();
    case 1149:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1519);
      END_STATE();
    case 1150:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1661);
      END_STATE();
    case 1151:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1641);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1645);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1642);
      END_STATE();
    case 1154:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(613);
      END_STATE();
    case 1155:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1065);
      END_STATE();
    case 1156:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1142);
      END_STATE();
    case 1157:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1184);
      END_STATE();
    case 1158:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1160);
      END_STATE();
    case 1159:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1144);
      END_STATE();
    case 1160:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1058);
      END_STATE();
    case 1161:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(620);
      END_STATE();
    case 1162:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1151);
      END_STATE();
    case 1163:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(623);
      END_STATE();
    case 1164:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1152);
      END_STATE();
    case 1165:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(818);
      END_STATE();
    case 1166:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1153);
      END_STATE();
    case 1167:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(694);
      END_STATE();
    case 1168:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1201);
      END_STATE();
    case 1169:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(654);
      END_STATE();
    case 1170:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(670);
      END_STATE();
    case 1171:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(671);
      END_STATE();
    case 1172:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1220);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(785);
      END_STATE();
    case 1173:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1219);
      END_STATE();
    case 1174:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(805);
      END_STATE();
    case 1175:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(808);
      END_STATE();
    case 1176:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(820);
      END_STATE();
    case 1177:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(823);
      END_STATE();
    case 1178:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(825);
      END_STATE();
    case 1179:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(830);
      END_STATE();
    case 1180:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1046);
      END_STATE();
    case 1181:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1180);
      END_STATE();
    case 1182:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1667);
      END_STATE();
    case 1183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1714);
      END_STATE();
    case 1184:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1524);
      END_STATE();
    case 1185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1872);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1873);
      END_STATE();
    case 1187:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1870);
      END_STATE();
    case 1188:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1668);
      END_STATE();
    case 1189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1795);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1705);
      END_STATE();
    case 1191:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1792);
      END_STATE();
    case 1192:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1586);
      END_STATE();
    case 1193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1663);
      END_STATE();
    case 1194:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1528);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1766);
      END_STATE();
    case 1196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1679);
      END_STATE();
    case 1197:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1738);
      END_STATE();
    case 1198:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1592);
      END_STATE();
    case 1199:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1613);
      END_STATE();
    case 1200:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1540);
      END_STATE();
    case 1201:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1558);
      END_STATE();
    case 1202:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1777);
      END_STATE();
    case 1203:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1489);
      END_STATE();
    case 1204:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1734);
      END_STATE();
    case 1205:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1737);
      END_STATE();
    case 1206:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1784);
      END_STATE();
    case 1207:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1765);
      END_STATE();
    case 1208:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1214);
      END_STATE();
    case 1209:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(498);
      END_STATE();
    case 1210:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1024);
      END_STATE();
    case 1211:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(612);
      END_STATE();
    case 1212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(828);
      END_STATE();
    case 1213:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(424);
      END_STATE();
    case 1214:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1101);
      END_STATE();
    case 1215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      END_STATE();
    case 1216:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1304);
      END_STATE();
    case 1217:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(792);
      END_STATE();
    case 1218:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(373);
      END_STATE();
    case 1219:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1131);
      END_STATE();
    case 1220:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(484);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(824);
      END_STATE();
    case 1222:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(813);
      END_STATE();
    case 1223:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(425);
      END_STATE();
    case 1224:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(819);
      END_STATE();
    case 1225:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(470);
      END_STATE();
    case 1226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(627);
      END_STATE();
    case 1227:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(640);
      END_STATE();
    case 1228:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      END_STATE();
    case 1229:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(646);
      END_STATE();
    case 1230:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(697);
      END_STATE();
    case 1231:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(696);
      END_STATE();
    case 1232:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(659);
      END_STATE();
    case 1233:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(722);
      END_STATE();
    case 1234:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(699);
      END_STATE();
    case 1235:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1135);
      END_STATE();
    case 1236:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(831);
      END_STATE();
    case 1237:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1040);
      END_STATE();
    case 1238:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      END_STATE();
    case 1239:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1041);
      END_STATE();
    case 1240:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(798);
      END_STATE();
    case 1241:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(705);
      END_STATE();
    case 1242:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(706);
      END_STATE();
    case 1243:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1231);
      END_STATE();
    case 1244:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(801);
      END_STATE();
    case 1245:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(708);
      END_STATE();
    case 1246:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1234);
      END_STATE();
    case 1247:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(709);
      END_STATE();
    case 1248:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(456);
      END_STATE();
    case 1249:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(822);
      END_STATE();
    case 1250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(832);
      END_STATE();
    case 1251:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(834);
      END_STATE();
    case 1252:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(827);
      END_STATE();
    case 1253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(497);
      END_STATE();
    case 1254:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(513);
      END_STATE();
    case 1255:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(969);
      END_STATE();
    case 1256:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(797);
      END_STATE();
    case 1257:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1182);
      END_STATE();
    case 1258:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(780);
      END_STATE();
    case 1259:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(509);
      END_STATE();
    case 1260:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(922);
      END_STATE();
    case 1261:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(599);
      END_STATE();
    case 1262:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(826);
      END_STATE();
    case 1263:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1027);
      END_STATE();
    case 1264:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(691);
      END_STATE();
    case 1265:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1126);
      END_STATE();
    case 1266:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1188);
      END_STATE();
    case 1267:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1103);
      END_STATE();
    case 1268:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1150);
      END_STATE();
    case 1269:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(880);
      END_STATE();
    case 1270:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1106);
      END_STATE();
    case 1271:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(624);
      END_STATE();
    case 1272:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(642);
      END_STATE();
    case 1273:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(543);
      END_STATE();
    case 1274:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(882);
      END_STATE();
    case 1275:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1114);
      END_STATE();
    case 1276:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1224);
      END_STATE();
    case 1277:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(890);
      END_STATE();
    case 1278:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(718);
      END_STATE();
    case 1279:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(886);
      END_STATE();
    case 1280:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1230);
      END_STATE();
    case 1281:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1117);
      END_STATE();
    case 1282:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1121);
      END_STATE();
    case 1283:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(892);
      END_STATE();
    case 1284:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1122);
      END_STATE();
    case 1285:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(893);
      END_STATE();
    case 1286:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1098);
      END_STATE();
    case 1287:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(896);
      END_STATE();
    case 1288:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1249);
      END_STATE();
    case 1289:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1012);
      END_STATE();
    case 1290:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 1291:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(374);
      END_STATE();
    case 1292:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(618);
      END_STATE();
    case 1293:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(652);
      END_STATE();
    case 1294:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(469);
      END_STATE();
    case 1295:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(449);
      END_STATE();
    case 1296:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(717);
      END_STATE();
    case 1297:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1633);
      END_STATE();
    case 1298:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1635);
      END_STATE();
    case 1299:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1537);
      END_STATE();
    case 1300:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1819);
      END_STATE();
    case 1301:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1608);
      END_STATE();
    case 1302:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1864);
      END_STATE();
    case 1303:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1878);
      END_STATE();
    case 1304:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1600);
      END_STATE();
    case 1305:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1211);
      END_STATE();
    case 1306:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1066);
      END_STATE();
    case 1307:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1068);
      END_STATE();
    case 1308:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1069);
      END_STATE();
    case 1309:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1070);
      END_STATE();
    case 1310:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1071);
      END_STATE();
    case 1311:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(378);
      END_STATE();
    case 1312:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(1349);
      END_STATE();
    case 1313:
      if (eof) ADVANCE(1319);
      if (lookahead == '\n') SKIP(1317);
      END_STATE();
    case 1314:
      if (eof) ADVANCE(1319);
      if (lookahead == '\n') SKIP(1317);
      if (lookahead == '\r') SKIP(1313);
      END_STATE();
    case 1315:
      if (eof) ADVANCE(1319);
      if (lookahead == '\n') SKIP(1318);
      END_STATE();
    case 1316:
      if (eof) ADVANCE(1319);
      if (lookahead == '\n') SKIP(1318);
      if (lookahead == '\r') SKIP(1315);
      END_STATE();
    case 1317:
      if (eof) ADVANCE(1319);
      ADVANCE_MAP(
        '!', 2710,
        '#', 390,
        '%', 1396,
        '&', 1402,
        '(', 1383,
        ')', 1328,
        '*', 1390,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1838,
        '/', 1392,
        ':', 1467,
        ';', 1470,
        '<', 1412,
        '=', 1492,
        '>', 1407,
        '?', 1888,
        '@', 1845,
        'D', 1564,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(1314);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == '^') ADVANCE(1400);
      if (lookahead == 'd') ADVANCE(1563);
      if (lookahead == '|') ADVANCE(1399);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1576);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1565);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1566);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1581);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1567);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1577);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1584);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1579);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1580);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1578);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1572);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1574);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1583);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1568);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1585);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1573);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1569);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1571);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1582);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1570);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1575);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1317);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1562);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      END_STATE();
    case 1318:
      if (eof) ADVANCE(1319);
      ADVANCE_MAP(
        '!', 2711,
        '#', 394,
        '&', 1401,
        '(', 1383,
        ')', 1328,
        '*', 1389,
        '+', 1387,
        ',', 1327,
        '-', 1388,
        '.', 1843,
        '/', 359,
        ':', 1466,
        ';', 1470,
        '=', 1493,
        '>', 386,
        '[', 1849,
      );
      if (lookahead == '\\') SKIP(1316);
      if (lookahead == ']') ADVANCE(1850);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2007);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1896);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1910);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2322);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1930);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2479);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2216);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2279);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2168);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1947);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1979);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2514);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1899);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1950);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1923);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1939);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2466);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1936);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1318);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      if (lookahead == '\n') ADVANCE(1321);
      if (lookahead == '\r') ADVANCE(119);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(aux_sym_preproc_def_token2);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '/') ADVANCE(1847);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(1360);
      if (lookahead == 'n') ADVANCE(1354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(405);
      if (lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(1331);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(403);
      if (lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(1362);
      if (lookahead == 'n') ADVANCE(1355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(356);
      if (lookahead == '\r') ADVANCE(1347);
      if (lookahead == '/') ADVANCE(1312);
      if (lookahead == '\\') ADVANCE(1348);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(356);
      if (lookahead == '/') ADVANCE(1312);
      if (lookahead == '\\') ADVANCE(1348);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(1350);
      if (lookahead == '/') ADVANCE(1312);
      if (lookahead == '\\') ADVANCE(1348);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1312);
      if (lookahead == '\\') ADVANCE(1348);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1349);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1312);
      if (lookahead == '\\') ADVANCE(1348);
      if (lookahead != 0) ADVANCE(1349);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(1376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1359);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1361);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1363);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1365);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1329);
      if (lookahead == 'n') ADVANCE(1351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1333);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1343);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1366);
      if (lookahead == 's') ADVANCE(1357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1373);
      if (lookahead == 'n') ADVANCE(1352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(1353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1381);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      if (lookahead == '/') ADVANCE(1847);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(anon_sym_defined);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_preproc_comment);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(362);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(1836);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1848);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(1835);
      if (lookahead == '=') ADVANCE(1833);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1848);
      if (lookahead == '/') ADVANCE(1835);
      if (lookahead == '=') ADVANCE(1833);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(362);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1835);
      if (lookahead == '=') ADVANCE(1833);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(1397);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(1398);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2711);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1410);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1410);
      if (lookahead == '>') ADVANCE(1419);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1410);
      if (lookahead == '>') ADVANCE(1418);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1410);
      if (lookahead == '>') ADVANCE(383);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1417);
      if (lookahead == '=') ADVANCE(1411);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(381);
      if (lookahead == '=') ADVANCE(1411);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1416);
      if (lookahead == '=') ADVANCE(1411);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(1411);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(1708);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(1709);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(1420);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(384);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        ' ', 1483,
        'I', 2227,
        'i', 2227,
        'B', 1488,
        'C', 1488,
        'E', 1488,
        'J', 1488,
        'O', 1488,
        'T', 1488,
        'b', 1488,
        'c', 1488,
        'e', 1488,
        'j', 1488,
        'o', 1488,
        't', 1488,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        'A', 1158,
        'a', 1158,
        'B', 1485,
        'b', 1485,
        'C', 1487,
        'c', 1487,
        'D', 1016,
        'd', 1016,
        'E', 1486,
        'e', 1486,
        'F', 829,
        'f', 829,
        'I', 743,
        'i', 743,
        'M', 1056,
        'm', 1056,
        'P', 1100,
        'p', 1100,
        'S', 728,
        's', 728,
        'T', 1484,
        't', 1484,
        'W', 772,
        'w', 772,
        ' ', 1483,
        'J', 1483,
        'O', 1483,
        'j', 1483,
        'o', 1483,
      );
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2599);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2400);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2578);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1016);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2483);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2301);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2483);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(979);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2302);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2301);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2550);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2570);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2667);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2210);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2191);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2248);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2303);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1289);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2511);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2668);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2226);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(742);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1010);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1056);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1108);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1138);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1290);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1259);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(727);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1306);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(772);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1536);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(472);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1991);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token2);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token3);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(438);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1066);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1049);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1260);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(836);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1404);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1404);
      if (lookahead == '>') ADVANCE(1539);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(1539);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1499);
      if (lookahead == '\r') ADVANCE(1497);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1499);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1500);
      if (lookahead == '(' ||
          lookahead == ')') ADVANCE(2711);
      if (lookahead != 0) ADVANCE(1498);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '!') ADVANCE(1498);
      if (lookahead == '&') ADVANCE(1403);
      if (lookahead == '\\') ADVANCE(1496);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1499);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1500);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token3);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token4);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token2);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token4);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token5);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_function_result_token1);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_use_statement_token3);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token2);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1145);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1145);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(745);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2584);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(745);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2229);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 741,
        'e', 387,
        'A', 1213,
        'a', 1213,
        'I', 935,
        'i', 935,
        'O', 1727,
        'o', 1727,
      );
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1213,
        'a', 1213,
        'E', 741,
        'e', 741,
        'I', 935,
        'i', 935,
        'O', 1727,
        'o', 1727,
      );
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 519,
        'a', 519,
        'I', 970,
        'i', 970,
        'L', 1044,
        'l', 1044,
        'Y', 1211,
        'y', 1211,
      );
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 870,
        'a', 870,
        'H', 421,
        'h', 421,
        'L', 427,
        'l', 427,
        'O', 594,
        'o', 594,
        'R', 787,
        'r', 787,
        'Y', 532,
        'y', 532,
      );
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 795,
        'a', 795,
        'I', 998,
        'i', 998,
        'O', 1078,
        'o', 1078,
        'U', 969,
        'u', 969,
      );
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1096,
        'a', 1096,
        'I', 999,
        'i', 999,
        'O', 814,
        'o', 814,
        'R', 681,
        'r', 681,
        'U', 508,
        'u', 508,
      );
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1292,
        'a', 1292,
        'E', 875,
        'e', 875,
        'H', 437,
        'h', 437,
        'I', 926,
        'i', 926,
        'T', 499,
        't', 499,
        'U', 506,
        'u', 506,
        'Y', 972,
        'y', 972,
      );
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(909);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(869);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1123,
        'a', 1123,
        'E', 431,
        'e', 431,
        'H', 687,
        'h', 687,
        'O', 1719,
        'o', 1719,
        'Y', 1064,
        'y', 1064,
      );
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(971);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(934);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(932);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(951);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(873);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(800);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(715);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(803);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'B', 1173,
        'b', 1173,
        'L', 848,
        'l', 848,
        'S', 1140,
        's', 1140,
        'T', 1214,
        't', 1214,
        'U', 1210,
        'u', 1210,
      );
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 977,
        'e', 977,
        'L', 1021,
        'l', 1021,
        'O', 1716,
        'o', 1716,
        'R', 781,
        'r', 781,
      );
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(520);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'F', 1742,
        'f', 1742,
        'M', 422,
        'm', 422,
        'N', 1665,
        'n', 1665,
        'S', 1779,
        's', 1779,
      );
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(973);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'L', 732,
        'l', 732,
        'N', 567,
        'n', 567,
        'Q', 1258,
        'q', 1258,
        'R', 1090,
        'r', 1090,
        'V', 686,
        'v', 686,
        'X', 789,
        'x', 789,
      );
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(750);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(611);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(849);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(674);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1182);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1157);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(797);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(553);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_base_type_specifier_token1);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_end_type_statement_token1);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token1);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token2);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token3);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token4);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token5);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1053);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1119);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2509);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2564);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token5);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(713);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(713);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(746);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2195);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2585);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(746);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2230);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym_kind_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1652);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      ADVANCE_MAP(
        'C', 871,
        'c', 871,
        'I', 1221,
        'i', 1221,
        'O', 1266,
        'o', 1266,
        'Q', 1262,
        'q', 1262,
        'T', 615,
        't', 615,
      );
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1266);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token8);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token9);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym_stop_statement_token3);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1015);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2481);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token5);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(513);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2016);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2018);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token1);
      if (lookahead == '_') ADVANCE(809);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token2);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token3);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token4);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1741);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(744);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(744);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(774);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2228);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2249);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2228);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(774);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(481);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(447);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1307);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1988);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1967);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2705);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(aux_sym_type_statement_token1);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(aux_sym_edit_descriptor_token1);
      if (lookahead == '$' ||
          lookahead == '*' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1794);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1127);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(aux_sym_enumerator_statement_token1);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(aux_sym_end_enum_statement_token1);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(aux_sym_assign_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(721);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(aux_sym_assign_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1825:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1826:
      ACCEPT_TOKEN(aux_sym_logical_expression_token4);
      END_STATE();
    case 1827:
      ACCEPT_TOKEN(aux_sym_logical_expression_token5);
      END_STATE();
    case 1828:
      ACCEPT_TOKEN(aux_sym_relational_expression_token1);
      END_STATE();
    case 1829:
      ACCEPT_TOKEN(aux_sym_relational_expression_token2);
      END_STATE();
    case 1830:
      ACCEPT_TOKEN(aux_sym_relational_expression_token3);
      END_STATE();
    case 1831:
      ACCEPT_TOKEN(aux_sym_relational_expression_token4);
      END_STATE();
    case 1832:
      ACCEPT_TOKEN(aux_sym_relational_expression_token5);
      END_STATE();
    case 1833:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 1834:
      ACCEPT_TOKEN(aux_sym_relational_expression_token6);
      END_STATE();
    case 1835:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 1836:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 1837:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 1838:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '.', 1846,
        'A', 965,
        'a', 965,
        'E', 1076,
        'e', 1076,
        'F', 433,
        'f', 433,
        'G', 607,
        'g', 607,
        'L', 676,
        'l', 676,
        'N', 609,
        'n', 609,
        'O', 1092,
        'o', 1092,
        'T', 1086,
        't', 1086,
      );
      END_STATE();
    case 1839:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(1846);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(433);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1023);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1086);
      END_STATE();
    case 1840:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 965,
        'a', 965,
        'E', 1076,
        'e', 1076,
        'F', 433,
        'f', 433,
        'G', 607,
        'g', 607,
        'L', 676,
        'l', 676,
        'N', 610,
        'n', 610,
        'O', 1092,
        'o', 1092,
        'T', 1086,
        't', 1086,
      );
      END_STATE();
    case 1841:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 965,
        'a', 965,
        'E', 1076,
        'e', 1076,
        'G', 607,
        'g', 607,
        'L', 676,
        'l', 676,
        'N', 608,
        'n', 608,
        'O', 1092,
        'o', 1092,
      );
      END_STATE();
    case 1842:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(433);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(788);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1086);
      END_STATE();
    case 1843:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(433);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1023);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1086);
      END_STATE();
    case 1844:
      ACCEPT_TOKEN(aux_sym_user_defined_operator_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1844);
      END_STATE();
    case 1845:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1846:
      ACCEPT_TOKEN(sym_assumed_rank);
      END_STATE();
    case 1847:
      ACCEPT_TOKEN(anon_sym_LPAREN_SLASH);
      END_STATE();
    case 1848:
      ACCEPT_TOKEN(anon_sym_SLASH_RPAREN);
      END_STATE();
    case 1849:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 1850:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1851:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token1);
      END_STATE();
    case 1852:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token2);
      END_STATE();
    case 1853:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 1854:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1855:
      ACCEPT_TOKEN(aux_sym__kind_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1855);
      END_STATE();
    case 1856:
      ACCEPT_TOKEN(aux_sym__kind_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1856);
      END_STATE();
    case 1857:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      END_STATE();
    case 1858:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1859:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      END_STATE();
    case 1860:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1861:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2615);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1862:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1191);
      END_STATE();
    case 1863:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token3);
      END_STATE();
    case 1864:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token4);
      END_STATE();
    case 1865:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token5);
      END_STATE();
    case 1866:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      END_STATE();
    case 1867:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1868:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      END_STATE();
    case 1869:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1863);
      END_STATE();
    case 1870:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      END_STATE();
    case 1871:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1872:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token9);
      END_STATE();
    case 1873:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token10);
      END_STATE();
    case 1874:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      END_STATE();
    case 1875:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1876:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      END_STATE();
    case 1877:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1878:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      END_STATE();
    case 1879:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1880:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      END_STATE();
    case 1881:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1882:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      END_STATE();
    case 1883:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1884:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      END_STATE();
    case 1885:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1886:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      END_STATE();
    case 1887:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1888:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1889:
      ACCEPT_TOKEN(aux_sym_nil_literal_token1);
      END_STATE();
    case 1890:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'E', 2693,
        'e', 1893,
        'A', 2630,
        'a', 2630,
        'I', 2417,
        'i', 2417,
        'O', 2692,
        'o', 2692,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1891:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(1385);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1892:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(1891);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1893:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2265);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1894:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(1895);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1895:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(1892);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1896:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2021,
        'a', 2021,
        'I', 2439,
        'i', 2439,
        'L', 2501,
        'l', 2501,
        'Y', 2633,
        'y', 2633,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1897:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2021,
        'a', 2021,
        'I', 2439,
        'i', 2439,
        'L', 2504,
        'l', 2504,
        'Y', 2633,
        'y', 2633,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1898:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2021);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2504);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1899:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2544,
        'a', 2544,
        'I', 2451,
        'i', 2451,
        'O', 2269,
        'o', 2269,
        'R', 2252,
        'r', 2252,
        'U', 2013,
        'u', 2013,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1900:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2544,
        'a', 2544,
        'I', 2451,
        'i', 2451,
        'O', 2269,
        'o', 2269,
        'R', 2253,
        'r', 2253,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1901:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2544,
        'a', 2544,
        'O', 2269,
        'o', 2269,
        'R', 2254,
        'r', 2254,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1902:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2468);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1903:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2070,
        'a', 2070,
        'C', 2672,
        'c', 2672,
        'T', 2674,
        't', 2674,
        'W', 2292,
        'w', 2292,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1904:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2070);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2672);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1905:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2070);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2674);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2292);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1906:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2070);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1907:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1480);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1908:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1482);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1909:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2340,
        'a', 2340,
        'H', 1978,
        'h', 1978,
        'L', 2485,
        'l', 2485,
        'O', 2440,
        'o', 2440,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1910:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1934,
        'l', 1934,
        'O', 2099,
        'o', 2099,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1911:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1934,
        'l', 1934,
        'O', 2100,
        'o', 2100,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1912:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1935,
        'l', 1935,
        'O', 2102,
        'o', 2102,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1913:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1935,
        'l', 1935,
        'O', 2101,
        'o', 2101,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1914:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1995,
        'l', 1995,
        'O', 2421,
        'o', 2421,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1915:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'L', 1995,
        'l', 1995,
        'O', 2103,
        'o', 2103,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1916:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1902,
        'h', 1902,
        'O', 2421,
        'o', 2421,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1917:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'L', 2485,
        'l', 2485,
        'O', 2424,
        'o', 2424,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1918:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'L', 2485,
        'l', 2485,
        'O', 2440,
        'o', 2440,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1919:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'L', 1983,
        'l', 1983,
        'O', 2440,
        'o', 2440,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1920:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'O', 2104,
        'o', 2104,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1921:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'O', 2438,
        'o', 2438,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1922:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2341,
        'a', 2341,
        'H', 1978,
        'h', 1978,
        'O', 2470,
        'o', 2470,
        'R', 2262,
        'r', 2262,
        'Y', 2032,
        'y', 2032,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1923:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2347,
        'e', 2347,
        'H', 1955,
        'h', 1955,
        'I', 2410,
        'i', 2410,
        'T', 2004,
        't', 2004,
        'U', 2010,
        'u', 2010,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1924:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2347,
        'e', 2347,
        'H', 1955,
        'h', 1955,
        'T', 2004,
        't', 2004,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1925:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2396,
        'e', 2396,
        'H', 1955,
        'h', 1955,
        'I', 2410,
        'i', 2410,
        'T', 2004,
        't', 2004,
        'U', 2019,
        'u', 2019,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1926:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2396,
        'e', 2396,
        'H', 1955,
        'h', 1955,
        'T', 2004,
        't', 2004,
        'U', 2019,
        'u', 2019,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1927:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2396,
        'e', 2396,
        'H', 1955,
        'h', 1955,
        'T', 2004,
        't', 2004,
        'U', 2020,
        'u', 2020,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1928:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2695,
        'a', 2695,
        'E', 2396,
        'e', 2396,
        'H', 1955,
        'h', 1955,
        'T', 2004,
        't', 2004,
        'Y', 2444,
        'y', 2444,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1929:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2263,
        'a', 2263,
        'I', 2463,
        'i', 2463,
        'O', 2546,
        'o', 2546,
        'U', 2441,
        'u', 2441,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1930:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2263);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2534);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2441);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1931:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2263);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2534);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1932:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2263);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2546);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2441);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1933:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2263);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2546);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1934:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2590);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2595);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1935:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2590);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1936:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2342);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2344);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1937:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2342);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1938:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2700);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2189);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1939:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2700);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1940:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2700);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1941:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2700);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2524);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1942:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2700);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1943:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2630,
        'a', 2630,
        'E', 2693,
        'e', 2693,
        'I', 2417,
        'i', 2417,
        'O', 1728,
        'o', 1728,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1944:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2630,
        'a', 2630,
        'E', 2693,
        'e', 2693,
        'I', 2417,
        'i', 2417,
        'O', 2665,
        'o', 2665,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1945:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2630,
        'a', 2630,
        'E', 2693,
        'e', 2693,
        'I', 2417,
        'i', 2417,
        'O', 2692,
        'o', 2692,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1946:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2630,
        'a', 2630,
        'E', 2693,
        'e', 2693,
        'I', 2417,
        'i', 2417,
        'O', 1729,
        'o', 1729,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1947:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2092);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1948:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2445);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1949:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2407);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1950:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2443);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1903);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1951:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2443);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1905);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1952:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2443);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1904);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1953:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2443);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1906);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1954:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2408);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1955:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2555);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1956:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2061);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1957:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2409);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1958:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2397);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1959:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2660);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1960:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2329);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1961:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2330);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1962:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2331);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1963:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2332);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1964:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2333);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1965:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1966:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2334);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1967:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2447);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1968:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'I', 2451,
        'i', 2451,
        'O', 2269,
        'o', 2269,
        'R', 2283,
        'r', 2283,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1969:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'I', 2451,
        'i', 2451,
        'O', 2269,
        'o', 2269,
        'R', 2285,
        'r', 2285,
        'U', 2013,
        'u', 2013,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1970:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'I', 2451,
        'i', 2451,
        'O', 2269,
        'o', 2269,
        'R', 2285,
        'r', 2285,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1971:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'O', 2269,
        'o', 2269,
        'R', 2287,
        'r', 2287,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1972:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'O', 2269,
        'o', 2269,
        'R', 2286,
        'r', 2286,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1973:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'O', 2269,
        'o', 2269,
        'R', 2284,
        'r', 2284,
        'U', 2013,
        'u', 2013,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1974:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'O', 2269,
        'o', 2269,
        'R', 2288,
        'r', 2288,
        'U', 2013,
        'u', 2013,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1975:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2545,
        'a', 2545,
        'O', 2269,
        'o', 2269,
        'R', 2288,
        'r', 2288,
        'U', 2014,
        'u', 2014,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1976:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2336);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1977:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2337);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1978:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2469);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1979:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2411);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2635);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2346);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1980:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2411);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2346);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1981:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2650);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1982:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2675);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1983:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2596);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2595);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1984:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2416);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1985:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2240);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1986:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2348);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1861);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1987:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2044);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1988:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1989:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2050);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1990:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2459);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1991:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2643);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1992:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2275);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2235);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1993:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2275);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1994:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2351);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1995:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2600);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1996:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2645);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1997:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2051);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1998:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 1999:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2000:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2053);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2001:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2002:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2017);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1818);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2003:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2017);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2004:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2655);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2516);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2005:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2006:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2658);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2007:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2606,
        'b', 2606,
        'L', 2339,
        'l', 2339,
        'S', 2587,
        's', 2587,
        'T', 2632,
        't', 2632,
        'U', 2631,
        'u', 2631,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2008:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2606,
        'b', 2606,
        'L', 2401,
        'l', 2401,
        'S', 2601,
        's', 2601,
        'T', 2632,
        't', 2632,
        'U', 2631,
        'u', 2631,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2009:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2606,
        'b', 2606,
        'L', 2401,
        'l', 2401,
        'T', 2632,
        't', 2632,
        'U', 2631,
        'u', 2631,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2010:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2413);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2011:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2423);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2012:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2685);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2013:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2392);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2116);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2014:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2392);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2015:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2577);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2016:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2353);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2017:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2360);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2018:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2362);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2019:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2549);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2020:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2414);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2021:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2320);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2022:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1860);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2023:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2024:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1678);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2025:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1656);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2026:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1534);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2027:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2028:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2313);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2289);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2029:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2313);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2030:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2031:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2032:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2349);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2033:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2318);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2034:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2319);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2035:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2308);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2036:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1960);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2037:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2192);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2552);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2212);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2038:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2192);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2199);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2039:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2192);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2212);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2040:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2192);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2041:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2311);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2042:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2043:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1961);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2044:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2045:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2624);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2046:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2126);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2047:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2625);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2048:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1966);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2049:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2137);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2050:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2140);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2051:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2141);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2052:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2149);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2053:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2163);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2054:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2345);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2115);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2055:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2345);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2573);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2056:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2638);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2057:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1965);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2058:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2276);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2059:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2678);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2637);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2261);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2060:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2646);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2061:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2654);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2062:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1998);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2063:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2309);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2064:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2664);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2065:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2215);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2066:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1436);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2067:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1436);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2068:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2069:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1686);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2070:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1502);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1626);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2071:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2072:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1814);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2073:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2074:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1612);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2075:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1674);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2076:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1442);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2077:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1442);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2078:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1438);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2079:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1438);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2080:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1428);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2081:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1428);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2082:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2083:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2084:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1444);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2085:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1445);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2086:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1441);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2087:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1425);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2088:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1429);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2089:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1427);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2090:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1440);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2091:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2092:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2683);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2093:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1434);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2094:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1434);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2095:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1439);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2096:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1447);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2097:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1431);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2098:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1435);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2099:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2412);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2100:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2412);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2412);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2592);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2102:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2412);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2103:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2525);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2104:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2312);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2105:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2132);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2106:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1437);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2107:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1437);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2108:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2687);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2109:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2686);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2110:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2689);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2111:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2688);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2112:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2690);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2113:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2114:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2115:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2243);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2116:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2117:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2118:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1548);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2119:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1800);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2120:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1713);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2121:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1816);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2122:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1682);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2123:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1756);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2124:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1504);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2125:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1881);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2126:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2127:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1628);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2128:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1692);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2129:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1461);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2130:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1698);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2131:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1812);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2132:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1725);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2133:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1802);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2134:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1555);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2135:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2136:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1711);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2137:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2138:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1684);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2139:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1789);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2140:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1810);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2141:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1472);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2142:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1512);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2143:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2144:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1465);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2145:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1772);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2146:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1774);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2147:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1508);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2148:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1654);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2149:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1700);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2150:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1510);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2151:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1514);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2152:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2153:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1546);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2154:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1463);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2155:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1469);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2156:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1750);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2157:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1758);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2158:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1760);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2159:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1751);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2160:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1791);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2161:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1770);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2162:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1549);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2163:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1474);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2164:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1733);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2165:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2698);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2166:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2426);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2266);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2167:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2244);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2168:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2425);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2028);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2169:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2425);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2029);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2170:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2699);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2171:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2455);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2172:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2071);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2173:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2452);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2174:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2073);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2175:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2427);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2266);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2176:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2074);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2177:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2571);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2178:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2075);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2260);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2581);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2448);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2538);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2539);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2540);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2541);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2619);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2576);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2437);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2475);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1957);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2109);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2042);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2574);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2232);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2041);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2556);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2472);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2560);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2471);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2474);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2045);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2456);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2047);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2461);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2462);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2567);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2568);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2399);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2418);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2179);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2060);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2657);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2477);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2111);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2515);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2054);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2517);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2054);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2528);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2528);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2531);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2519);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2293);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2533);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2055);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2529);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1743);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1747);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1747);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1754);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1982);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1997);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2000);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2673);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2679);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2673);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2428);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2125);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2176);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2478);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2552);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2243:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2183);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2617);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2233);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2244:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2183);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2245:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2183);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2246:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2247:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2197);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2282);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2248:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2208);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2249:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2209);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2250:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2307);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2282);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2251:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2439);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2504);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2252:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2453);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2037);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2253:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2453);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2039);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2254:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2453);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2255:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2235);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2256:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2237);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2035);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2257:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2231);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2258:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2259:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2012);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2260:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2228);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2261:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2262:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2263:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2326);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2264:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2612);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2177);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2265:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2046);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2266:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2503);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2267:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2058);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2268:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2023);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2269:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2473);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2270:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2024);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2271:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2025);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2272:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2026);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2273:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2027);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2274:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2449);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2275:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2450);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2276:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2277:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1977);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2278:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2602);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2279:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2442);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2280:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2697);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2281:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2241);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2282:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2642);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2283:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2039);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2284:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2038);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2285:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2639);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2286:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2242);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2287:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2040);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2288:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2289:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2036);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2290:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2494);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2291:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2464);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2292:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2446);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2293:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2641);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2294:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2043);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2295:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2296:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2465);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2297:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2048);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2298:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2562);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2299:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2496);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2300:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2497);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2301:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2357);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2561);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2302:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2357);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2476);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2303:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2357);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2304:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2499);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2305:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2358);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2306:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2307:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2365);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2308:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1999);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2309:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2001);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2310:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2662);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2311:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2611);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2312:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2313:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1875);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2314:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1676);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2315:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1477);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2316:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1877);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2317:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1776);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2318:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1478);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2319:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1787);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2320:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2589);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2321:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2339);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2587);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2322:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2211,
        'l', 2211,
        'N', 2066,
        'n', 2066,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2323:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2211,
        'l', 2211,
        'N', 2083,
        'n', 2083,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2324:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2211,
        'l', 2211,
        'N', 2096,
        'n', 2096,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2325:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1707);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2326:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1867);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2327:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1858);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2328:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1762);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2329:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1638);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2330:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1885);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2331:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1551);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2332:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1670);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2333:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1690);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2334:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1887);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2335:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1764);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2336:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2337:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1599);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2338:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2501);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2339:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2488);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2340:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2325);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2161);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2341:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2325);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2342:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2677);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2343:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2344:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1959);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2345:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2666);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2346:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2327);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2347:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2193);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2681);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2348:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2328);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2349:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2120);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2350:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2278);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2351:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2335);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2352:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2165);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2353:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2354:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2626);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2355:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2129);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2356:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2130);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2357:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2131);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2358:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2138);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2359:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2144);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2360:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2148);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2361:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2170);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2362:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2152);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2363:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2154);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2364:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2155);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2365:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2164);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2366:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2267);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2551);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2559);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2367:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2267);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2551);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2368:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2066,
        'n', 2066,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2369:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2077,
        'n', 2077,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2370:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2076,
        'n', 2076,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2371:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2067,
        'n', 2067,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2372:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2093,
        'n', 2093,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2373:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2079,
        'n', 2079,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2374:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2078,
        'n', 2078,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2375:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2094,
        'n', 2094,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2376:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2080,
        'n', 2080,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2377:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2095,
        'n', 2095,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2378:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2082,
        'n', 2082,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2379:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2084,
        'n', 2084,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2380:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2088,
        'n', 2088,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2381:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2085,
        'n', 2085,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2382:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2089,
        'n', 2089,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2383:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2087,
        'n', 2087,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2384:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2081,
        'n', 2081,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2385:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2098,
        'n', 2098,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2386:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2090,
        'n', 2090,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2387:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2091,
        'n', 2091,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2388:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2097,
        'n', 2097,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2389:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2083,
        'n', 2083,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2390:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2107,
        'n', 2107,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2391:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2588,
        'l', 2588,
        'N', 2106,
        'n', 2106,
        'Q', 2669,
        'q', 2669,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2392:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2268);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2393:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2604,
        'l', 2604,
        'N', 2086,
        'n', 2086,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2394:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2605,
        'l', 2605,
        'N', 2077,
        'n', 2077,
        'R', 2543,
        'r', 2543,
        'V', 2173,
        'v', 2173,
        'X', 2264,
        'x', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2395:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2502);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2396:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2203);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2681);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2397:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2398:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2504);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2399:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2205);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2400:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2505);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2401:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2507);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2402:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2401);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2601);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2403:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2401);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2632);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2404:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2401);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2405:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1804);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2406:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1861);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2407:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1423);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2408:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1459);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2409:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1883);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2410:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2526);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2411:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2181);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2412:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2493);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2413:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2508);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2414:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2508);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2415:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2006);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2416:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2213);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2417:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2182);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2418:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2198);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2419:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2527);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2420:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2206);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2421:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2525);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2422:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2214);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2423:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2512);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2424:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2425:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1688);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2426:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1798);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1981);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2427:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1798);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2428:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1822);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2429:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1561);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2430:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1723);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2431:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1516);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2432:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1660);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2433:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1658);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2434:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1806);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2435:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1632);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2436:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1527);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2437:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1745);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2438:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2059);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2439:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2068);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2440:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2441:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2056);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2442:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2069);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2443:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2314);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2444:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2022);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2445:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1985);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2446:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2072);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2447:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2317);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2448:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2449:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2608);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2450:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2580);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2451:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2454);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2452:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2613);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2453:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2614);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1996);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2454:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2172);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2455:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2617);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2233);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2456:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2457:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1962);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2458:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1963);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2459:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2621);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2460:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2343);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2175);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2461:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2462:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2628);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2463:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1976);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2464:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2147);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2465:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2150);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2466:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2395);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2113);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2467:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2395);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2468:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2239);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1956);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2469:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2470:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2471:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2049);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2472:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2473:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2652);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2474:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2052);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2475:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2194);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2476:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2064);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2477:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2610);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2478:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2420);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2479:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1717);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2480:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2092);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2481:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1721);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2482:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2483:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1731);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2484:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2485:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2595);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2486:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2415);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2487:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2635);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2346);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2488:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2057);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2489:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2676);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2490:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2537);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2491:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2671);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2492:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2551);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2559);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2493:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2429);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2494:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2431);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2495:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2432);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2496:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2433);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2497:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2434);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2498:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2542);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2499:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2435);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2500:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2436);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2501:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2030);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2502:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2031);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2503:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2458);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2504:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2033);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2505:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2034);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2506:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2065);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2507:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2062);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2508:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2108);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2509:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2419);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2510:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2691);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2511:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2110);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2512:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2112);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2513:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2063);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2514:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2175);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2515:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2516:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2517:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2367);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2518:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2166);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2519:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2492);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2520:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2118);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2521:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1989);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2522:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2146);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2523:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2153);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2524:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2162);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2525:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2526:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2356);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2527:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2361);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2528:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2682);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2529:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2204);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2530:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2531:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2167);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2532:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2171);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2533:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2670);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2573);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2534:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1986);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2535:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2536:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2701);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2537:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2538:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1624);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2539:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1610);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2540:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1640);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2541:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1672);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2542:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2543:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2490);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2544:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1984);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2545:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1984);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2546:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2406);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2547:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2259);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2548:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1987);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2549:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2550:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2484);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2551:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2552:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1949);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2553:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2430);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2554:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2005);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2555:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2174);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2556:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2123);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2557:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1954);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2558:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2575);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2559:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2128);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2560:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2634);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2561:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1994);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2562:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2133);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2563:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2135);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2564:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2196);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2565:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2142);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2566:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2567:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2157);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2568:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2158);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2569:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2282);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2570:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2506);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2571:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2457);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2572:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2598);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2573:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2574:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2273);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2575:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2207);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2576:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2234);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2577:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2510);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2578:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2310);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2579:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1646);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2580:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2581:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2582:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1662);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2583:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2584:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1781);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2585:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1783);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2586:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2587:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2256);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2588:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2179);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2589:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2521);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2590:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2579);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2591:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2637);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1992);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2592:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2637);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1993);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2593:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2637);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2255);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2594:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2637);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2261);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2595:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2596:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2583);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2597:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2121);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2598:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2280);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2599:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2600:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2586);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2601:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2281);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2602:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2623);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2603:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2145);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2604:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2156);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2605:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2159);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2606:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2636);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2607:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2513);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2608:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2272);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2609:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2295);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2610:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2299);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2611:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2304);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2612:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1715);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2613:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1871);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2614:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1796);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2615:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2616:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1587);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2617:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1664);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2618:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1767);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2619:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1680);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2620:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2621:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1614);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2622:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1541);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2623:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1559);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2624:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1768);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2625:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1778);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2626:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1785);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2627:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1490);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2628:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1735);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2629:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2002);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2630:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1907);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2631:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2486);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2632:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2547);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2633:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2114);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2634:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2703);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2635:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2257);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2636:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2548);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2637:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1990);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2638:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2290);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2639:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2212);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2640:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1964);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2641:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2277);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2642:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2124);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2643:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1908);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2644:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2003);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2645:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2134);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2646:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2178);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2647:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2139);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2648:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2180);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2649:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2160);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2650:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2498);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2651:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2684);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2652:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2184);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2653:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2291);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2654:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2185);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2655:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2270);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2656:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2296);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2657:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2658:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2271);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2659:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2188);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2660:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2305);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2661:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2294);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2662:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2297);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2663:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2300);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2664:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2306);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2665:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2016);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2666:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2667:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2015);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2668:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2011);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2669:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2258);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2670:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2298);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2671:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2582);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2672:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2572);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2673:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2491);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2674:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2675:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2354);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2676:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2653);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2677:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2122);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2678:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2679:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2136);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2680:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2346);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2681:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2200);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2682:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2559);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2683:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2355);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2684:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2563);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2685:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2648);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2686:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2565);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2687:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2359);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2688:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2566);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2689:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2363);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2690:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2364);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2691:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2656);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2692:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2018);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2693:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2265);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2694:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1996);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2695:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2117);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2696:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1958);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2697:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2143);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2698:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1634);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2699:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1636);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2700:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2701:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1820);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2702:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1879);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2703:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1601);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2704:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1538);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2705:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2522);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2706:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2706);
      END_STATE();
    case 2707:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(2709);
      if (lookahead == '/') ADVANCE(2708);
      if (lookahead == '\\') ADVANCE(2707);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2709);
      END_STATE();
    case 2708:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(2711);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2709);
      END_STATE();
    case 2709:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(2708);
      if (lookahead == '\\') ADVANCE(2707);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2709);
      END_STATE();
    case 2710:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '=') ADVANCE(1405);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2711);
      END_STATE();
    case 2711:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2711);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 1318, .external_lex_state = 2},
  [2] = {.lex_state = 241, .external_lex_state = 2},
  [3] = {.lex_state = 241, .external_lex_state = 2},
  [4] = {.lex_state = 241, .external_lex_state = 2},
  [5] = {.lex_state = 241, .external_lex_state = 2},
  [6] = {.lex_state = 241, .external_lex_state = 2},
  [7] = {.lex_state = 241, .external_lex_state = 2},
  [8] = {.lex_state = 241, .external_lex_state = 2},
  [9] = {.lex_state = 241, .external_lex_state = 2},
  [10] = {.lex_state = 241, .external_lex_state = 2},
  [11] = {.lex_state = 241, .external_lex_state = 2},
  [12] = {.lex_state = 241, .external_lex_state = 2},
  [13] = {.lex_state = 241, .external_lex_state = 2},
  [14] = {.lex_state = 241, .external_lex_state = 2},
  [15] = {.lex_state = 241, .external_lex_state = 2},
  [16] = {.lex_state = 241, .external_lex_state = 2},
  [17] = {.lex_state = 241, .external_lex_state = 2},
  [18] = {.lex_state = 241, .external_lex_state = 2},
  [19] = {.lex_state = 241, .external_lex_state = 2},
  [20] = {.lex_state = 241, .external_lex_state = 2},
  [21] = {.lex_state = 241, .external_lex_state = 2},
  [22] = {.lex_state = 241, .external_lex_state = 2},
  [23] = {.lex_state = 241, .external_lex_state = 2},
  [24] = {.lex_state = 241, .external_lex_state = 2},
  [25] = {.lex_state = 241, .external_lex_state = 2},
  [26] = {.lex_state = 241, .external_lex_state = 2},
  [27] = {.lex_state = 241, .external_lex_state = 2},
  [28] = {.lex_state = 241, .external_lex_state = 2},
  [29] = {.lex_state = 241, .external_lex_state = 2},
  [30] = {.lex_state = 241, .external_lex_state = 2},
  [31] = {.lex_state = 241, .external_lex_state = 2},
  [32] = {.lex_state = 241, .external_lex_state = 2},
  [33] = {.lex_state = 241, .external_lex_state = 2},
  [34] = {.lex_state = 241, .external_lex_state = 2},
  [35] = {.lex_state = 241, .external_lex_state = 2},
  [36] = {.lex_state = 241, .external_lex_state = 2},
  [37] = {.lex_state = 241, .external_lex_state = 2},
  [38] = {.lex_state = 241, .external_lex_state = 2},
  [39] = {.lex_state = 241, .external_lex_state = 2},
  [40] = {.lex_state = 241, .external_lex_state = 2},
  [41] = {.lex_state = 241, .external_lex_state = 2},
  [42] = {.lex_state = 241, .external_lex_state = 2},
  [43] = {.lex_state = 241, .external_lex_state = 2},
  [44] = {.lex_state = 241, .external_lex_state = 2},
  [45] = {.lex_state = 241, .external_lex_state = 2},
  [46] = {.lex_state = 241, .external_lex_state = 2},
  [47] = {.lex_state = 300, .external_lex_state = 2},
  [48] = {.lex_state = 300, .external_lex_state = 2},
  [49] = {.lex_state = 300, .external_lex_state = 2},
  [50] = {.lex_state = 300, .external_lex_state = 2},
  [51] = {.lex_state = 300, .external_lex_state = 2},
  [52] = {.lex_state = 1318, .external_lex_state = 2},
  [53] = {.lex_state = 300, .external_lex_state = 2},
  [54] = {.lex_state = 1318, .external_lex_state = 2},
  [55] = {.lex_state = 300, .external_lex_state = 2},
  [56] = {.lex_state = 242, .external_lex_state = 2},
  [57] = {.lex_state = 242, .external_lex_state = 2},
  [58] = {.lex_state = 242, .external_lex_state = 2},
  [59] = {.lex_state = 242, .external_lex_state = 2},
  [60] = {.lex_state = 242, .external_lex_state = 2},
  [61] = {.lex_state = 242, .external_lex_state = 2},
  [62] = {.lex_state = 242, .external_lex_state = 2},
  [63] = {.lex_state = 242, .external_lex_state = 2},
  [64] = {.lex_state = 242, .external_lex_state = 2},
  [65] = {.lex_state = 242, .external_lex_state = 2},
  [66] = {.lex_state = 242, .external_lex_state = 2},
  [67] = {.lex_state = 242, .external_lex_state = 2},
  [68] = {.lex_state = 242, .external_lex_state = 2},
  [69] = {.lex_state = 242, .external_lex_state = 2},
  [70] = {.lex_state = 242, .external_lex_state = 2},
  [71] = {.lex_state = 242, .external_lex_state = 2},
  [72] = {.lex_state = 242, .external_lex_state = 2},
  [73] = {.lex_state = 242, .external_lex_state = 2},
  [74] = {.lex_state = 242, .external_lex_state = 2},
  [75] = {.lex_state = 242, .external_lex_state = 2},
  [76] = {.lex_state = 242, .external_lex_state = 2},
  [77] = {.lex_state = 242, .external_lex_state = 2},
  [78] = {.lex_state = 242, .external_lex_state = 2},
  [79] = {.lex_state = 242, .external_lex_state = 2},
  [80] = {.lex_state = 242, .external_lex_state = 2},
  [81] = {.lex_state = 242, .external_lex_state = 2},
  [82] = {.lex_state = 242, .external_lex_state = 2},
  [83] = {.lex_state = 242, .external_lex_state = 2},
  [84] = {.lex_state = 242, .external_lex_state = 2},
  [85] = {.lex_state = 242, .external_lex_state = 2},
  [86] = {.lex_state = 242, .external_lex_state = 2},
  [87] = {.lex_state = 242, .external_lex_state = 2},
  [88] = {.lex_state = 242, .external_lex_state = 2},
  [89] = {.lex_state = 242, .external_lex_state = 2},
  [90] = {.lex_state = 242, .external_lex_state = 2},
  [91] = {.lex_state = 242, .external_lex_state = 2},
  [92] = {.lex_state = 242, .external_lex_state = 2},
  [93] = {.lex_state = 242, .external_lex_state = 2},
  [94] = {.lex_state = 242, .external_lex_state = 2},
  [95] = {.lex_state = 242, .external_lex_state = 2},
  [96] = {.lex_state = 242, .external_lex_state = 2},
  [97] = {.lex_state = 242, .external_lex_state = 2},
  [98] = {.lex_state = 242, .external_lex_state = 2},
  [99] = {.lex_state = 242, .external_lex_state = 2},
  [100] = {.lex_state = 242, .external_lex_state = 2},
  [101] = {.lex_state = 242, .external_lex_state = 2},
  [102] = {.lex_state = 242, .external_lex_state = 2},
  [103] = {.lex_state = 242, .external_lex_state = 2},
  [104] = {.lex_state = 242, .external_lex_state = 2},
  [105] = {.lex_state = 242, .external_lex_state = 2},
  [106] = {.lex_state = 242, .external_lex_state = 2},
  [107] = {.lex_state = 242, .external_lex_state = 2},
  [108] = {.lex_state = 242, .external_lex_state = 2},
  [109] = {.lex_state = 242, .external_lex_state = 2},
  [110] = {.lex_state = 242, .external_lex_state = 2},
  [111] = {.lex_state = 242, .external_lex_state = 2},
  [112] = {.lex_state = 242, .external_lex_state = 2},
  [113] = {.lex_state = 242, .external_lex_state = 2},
  [114] = {.lex_state = 242, .external_lex_state = 2},
  [115] = {.lex_state = 242, .external_lex_state = 2},
  [116] = {.lex_state = 242, .external_lex_state = 2},
  [117] = {.lex_state = 242, .external_lex_state = 2},
  [118] = {.lex_state = 242, .external_lex_state = 2},
  [119] = {.lex_state = 242, .external_lex_state = 2},
  [120] = {.lex_state = 253, .external_lex_state = 2},
  [121] = {.lex_state = 262, .external_lex_state = 2},
  [122] = {.lex_state = 262, .external_lex_state = 2},
  [123] = {.lex_state = 253, .external_lex_state = 2},
  [124] = {.lex_state = 262, .external_lex_state = 2},
  [125] = {.lex_state = 253, .external_lex_state = 2},
  [126] = {.lex_state = 254, .external_lex_state = 2},
  [127] = {.lex_state = 262, .external_lex_state = 2},
  [128] = {.lex_state = 253, .external_lex_state = 2},
  [129] = {.lex_state = 253, .external_lex_state = 2},
  [130] = {.lex_state = 254, .external_lex_state = 2},
  [131] = {.lex_state = 254, .external_lex_state = 2},
  [132] = {.lex_state = 262, .external_lex_state = 2},
  [133] = {.lex_state = 254, .external_lex_state = 2},
  [134] = {.lex_state = 253, .external_lex_state = 2},
  [135] = {.lex_state = 262, .external_lex_state = 2},
  [136] = {.lex_state = 253, .external_lex_state = 2},
  [137] = {.lex_state = 262, .external_lex_state = 2},
  [138] = {.lex_state = 253, .external_lex_state = 2},
  [139] = {.lex_state = 254, .external_lex_state = 2},
  [140] = {.lex_state = 254, .external_lex_state = 2},
  [141] = {.lex_state = 262, .external_lex_state = 2},
  [142] = {.lex_state = 253, .external_lex_state = 2},
  [143] = {.lex_state = 262, .external_lex_state = 2},
  [144] = {.lex_state = 253, .external_lex_state = 2},
  [145] = {.lex_state = 254, .external_lex_state = 2},
  [146] = {.lex_state = 254, .external_lex_state = 2},
  [147] = {.lex_state = 253, .external_lex_state = 2},
  [148] = {.lex_state = 253, .external_lex_state = 2},
  [149] = {.lex_state = 262, .external_lex_state = 2},
  [150] = {.lex_state = 253, .external_lex_state = 2},
  [151] = {.lex_state = 254, .external_lex_state = 2},
  [152] = {.lex_state = 254, .external_lex_state = 2},
  [153] = {.lex_state = 262, .external_lex_state = 2},
  [154] = {.lex_state = 253, .external_lex_state = 2},
  [155] = {.lex_state = 262, .external_lex_state = 2},
  [156] = {.lex_state = 253, .external_lex_state = 2},
  [157] = {.lex_state = 254, .external_lex_state = 2},
  [158] = {.lex_state = 254, .external_lex_state = 2},
  [159] = {.lex_state = 262, .external_lex_state = 2},
  [160] = {.lex_state = 253, .external_lex_state = 2},
  [161] = {.lex_state = 262, .external_lex_state = 2},
  [162] = {.lex_state = 253, .external_lex_state = 2},
  [163] = {.lex_state = 254, .external_lex_state = 2},
  [164] = {.lex_state = 254, .external_lex_state = 2},
  [165] = {.lex_state = 262, .external_lex_state = 2},
  [166] = {.lex_state = 253, .external_lex_state = 2},
  [167] = {.lex_state = 262, .external_lex_state = 2},
  [168] = {.lex_state = 253, .external_lex_state = 2},
  [169] = {.lex_state = 254, .external_lex_state = 2},
  [170] = {.lex_state = 254, .external_lex_state = 2},
  [171] = {.lex_state = 262, .external_lex_state = 2},
  [172] = {.lex_state = 253, .external_lex_state = 2},
  [173] = {.lex_state = 262, .external_lex_state = 2},
  [174] = {.lex_state = 262, .external_lex_state = 2},
  [175] = {.lex_state = 253, .external_lex_state = 2},
  [176] = {.lex_state = 262, .external_lex_state = 2},
  [177] = {.lex_state = 253, .external_lex_state = 2},
  [178] = {.lex_state = 262, .external_lex_state = 2},
  [179] = {.lex_state = 253, .external_lex_state = 2},
  [180] = {.lex_state = 262, .external_lex_state = 2},
  [181] = {.lex_state = 253, .external_lex_state = 2},
  [182] = {.lex_state = 262, .external_lex_state = 2},
  [183] = {.lex_state = 253, .external_lex_state = 2},
  [184] = {.lex_state = 262, .external_lex_state = 2},
  [185] = {.lex_state = 253, .external_lex_state = 2},
  [186] = {.lex_state = 262, .external_lex_state = 2},
  [187] = {.lex_state = 262, .external_lex_state = 2},
  [188] = {.lex_state = 275, .external_lex_state = 2},
  [189] = {.lex_state = 275, .external_lex_state = 2},
  [190] = {.lex_state = 275, .external_lex_state = 2},
  [191] = {.lex_state = 275, .external_lex_state = 2},
  [192] = {.lex_state = 275, .external_lex_state = 2},
  [193] = {.lex_state = 275, .external_lex_state = 2},
  [194] = {.lex_state = 275, .external_lex_state = 2},
  [195] = {.lex_state = 275, .external_lex_state = 2},
  [196] = {.lex_state = 275, .external_lex_state = 2},
  [197] = {.lex_state = 301, .external_lex_state = 2},
  [198] = {.lex_state = 301, .external_lex_state = 2},
  [199] = {.lex_state = 301, .external_lex_state = 2},
  [200] = {.lex_state = 301, .external_lex_state = 2},
  [201] = {.lex_state = 301, .external_lex_state = 2},
  [202] = {.lex_state = 301, .external_lex_state = 2},
  [203] = {.lex_state = 301, .external_lex_state = 2},
  [204] = {.lex_state = 301, .external_lex_state = 2},
  [205] = {.lex_state = 252, .external_lex_state = 2},
  [206] = {.lex_state = 252, .external_lex_state = 2},
  [207] = {.lex_state = 252, .external_lex_state = 2},
  [208] = {.lex_state = 252, .external_lex_state = 2},
  [209] = {.lex_state = 242, .external_lex_state = 2},
  [210] = {.lex_state = 253, .external_lex_state = 2},
  [211] = {.lex_state = 254, .external_lex_state = 2},
  [212] = {.lex_state = 275, .external_lex_state = 2},
  [213] = {.lex_state = 262, .external_lex_state = 2},
  [214] = {.lex_state = 301, .external_lex_state = 2},
  [215] = {.lex_state = 252, .external_lex_state = 2},
  [216] = {.lex_state = 243, .external_lex_state = 2},
  [217] = {.lex_state = 243, .external_lex_state = 2},
  [218] = {.lex_state = 243, .external_lex_state = 2},
  [219] = {.lex_state = 243, .external_lex_state = 2},
  [220] = {.lex_state = 243, .external_lex_state = 2},
  [221] = {.lex_state = 243, .external_lex_state = 2},
  [222] = {.lex_state = 243, .external_lex_state = 2},
  [223] = {.lex_state = 243, .external_lex_state = 2},
  [224] = {.lex_state = 243, .external_lex_state = 2},
  [225] = {.lex_state = 243, .external_lex_state = 2},
  [226] = {.lex_state = 243, .external_lex_state = 2},
  [227] = {.lex_state = 243, .external_lex_state = 2},
  [228] = {.lex_state = 243, .external_lex_state = 2},
  [229] = {.lex_state = 243, .external_lex_state = 2},
  [230] = {.lex_state = 243, .external_lex_state = 2},
  [231] = {.lex_state = 243, .external_lex_state = 2},
  [232] = {.lex_state = 245, .external_lex_state = 2},
  [233] = {.lex_state = 245, .external_lex_state = 2},
  [234] = {.lex_state = 245, .external_lex_state = 2},
  [235] = {.lex_state = 245, .external_lex_state = 2},
  [236] = {.lex_state = 245, .external_lex_state = 2},
  [237] = {.lex_state = 245, .external_lex_state = 2},
  [238] = {.lex_state = 245, .external_lex_state = 2},
  [239] = {.lex_state = 245, .external_lex_state = 2},
  [240] = {.lex_state = 245, .external_lex_state = 2},
  [241] = {.lex_state = 245, .external_lex_state = 2},
  [242] = {.lex_state = 245, .external_lex_state = 2},
  [243] = {.lex_state = 245, .external_lex_state = 2},
  [244] = {.lex_state = 245, .external_lex_state = 2},
  [245] = {.lex_state = 245, .external_lex_state = 2},
  [246] = {.lex_state = 245, .external_lex_state = 2},
  [247] = {.lex_state = 245, .external_lex_state = 2},
  [248] = {.lex_state = 243, .external_lex_state = 2},
  [249] = {.lex_state = 243, .external_lex_state = 2},
  [250] = {.lex_state = 243, .external_lex_state = 2},
  [251] = {.lex_state = 243, .external_lex_state = 2},
  [252] = {.lex_state = 243, .external_lex_state = 2},
  [253] = {.lex_state = 243, .external_lex_state = 2},
  [254] = {.lex_state = 243, .external_lex_state = 2},
  [255] = {.lex_state = 243, .external_lex_state = 2},
  [256] = {.lex_state = 243, .external_lex_state = 2},
  [257] = {.lex_state = 243, .external_lex_state = 2},
  [258] = {.lex_state = 243, .external_lex_state = 2},
  [259] = {.lex_state = 243, .external_lex_state = 2},
  [260] = {.lex_state = 243, .external_lex_state = 2},
  [261] = {.lex_state = 243, .external_lex_state = 2},
  [262] = {.lex_state = 243, .external_lex_state = 2},
  [263] = {.lex_state = 243, .external_lex_state = 2},
  [264] = {.lex_state = 243, .external_lex_state = 2},
  [265] = {.lex_state = 243, .external_lex_state = 2},
  [266] = {.lex_state = 243, .external_lex_state = 2},
  [267] = {.lex_state = 243, .external_lex_state = 2},
  [268] = {.lex_state = 243, .external_lex_state = 2},
  [269] = {.lex_state = 243, .external_lex_state = 2},
  [270] = {.lex_state = 243, .external_lex_state = 2},
  [271] = {.lex_state = 243, .external_lex_state = 2},
  [272] = {.lex_state = 243, .external_lex_state = 2},
  [273] = {.lex_state = 243, .external_lex_state = 2},
  [274] = {.lex_state = 243, .external_lex_state = 2},
  [275] = {.lex_state = 243, .external_lex_state = 2},
  [276] = {.lex_state = 243, .external_lex_state = 2},
  [277] = {.lex_state = 243, .external_lex_state = 2},
  [278] = {.lex_state = 243, .external_lex_state = 2},
  [279] = {.lex_state = 243, .external_lex_state = 2},
  [280] = {.lex_state = 243, .external_lex_state = 2},
  [281] = {.lex_state = 243, .external_lex_state = 2},
  [282] = {.lex_state = 243, .external_lex_state = 2},
  [283] = {.lex_state = 243, .external_lex_state = 2},
  [284] = {.lex_state = 243, .external_lex_state = 2},
  [285] = {.lex_state = 243, .external_lex_state = 2},
  [286] = {.lex_state = 243, .external_lex_state = 2},
  [287] = {.lex_state = 243, .external_lex_state = 2},
  [288] = {.lex_state = 243, .external_lex_state = 2},
  [289] = {.lex_state = 243, .external_lex_state = 2},
  [290] = {.lex_state = 243, .external_lex_state = 2},
  [291] = {.lex_state = 243, .external_lex_state = 2},
  [292] = {.lex_state = 243, .external_lex_state = 2},
  [293] = {.lex_state = 243, .external_lex_state = 2},
  [294] = {.lex_state = 243, .external_lex_state = 2},
  [295] = {.lex_state = 243, .external_lex_state = 2},
  [296] = {.lex_state = 243, .external_lex_state = 2},
  [297] = {.lex_state = 243, .external_lex_state = 2},
  [298] = {.lex_state = 243, .external_lex_state = 2},
  [299] = {.lex_state = 243, .external_lex_state = 2},
  [300] = {.lex_state = 243, .external_lex_state = 2},
  [301] = {.lex_state = 243, .external_lex_state = 2},
  [302] = {.lex_state = 243, .external_lex_state = 2},
  [303] = {.lex_state = 243, .external_lex_state = 2},
  [304] = {.lex_state = 243, .external_lex_state = 2},
  [305] = {.lex_state = 243, .external_lex_state = 2},
  [306] = {.lex_state = 243, .external_lex_state = 2},
  [307] = {.lex_state = 243, .external_lex_state = 2},
  [308] = {.lex_state = 243, .external_lex_state = 2},
  [309] = {.lex_state = 243, .external_lex_state = 2},
  [310] = {.lex_state = 243, .external_lex_state = 2},
  [311] = {.lex_state = 243, .external_lex_state = 2},
  [312] = {.lex_state = 243, .external_lex_state = 2},
  [313] = {.lex_state = 243, .external_lex_state = 2},
  [314] = {.lex_state = 243, .external_lex_state = 2},
  [315] = {.lex_state = 243, .external_lex_state = 2},
  [316] = {.lex_state = 243, .external_lex_state = 2},
  [317] = {.lex_state = 243, .external_lex_state = 2},
  [318] = {.lex_state = 243, .external_lex_state = 2},
  [319] = {.lex_state = 243, .external_lex_state = 2},
  [320] = {.lex_state = 243, .external_lex_state = 2},
  [321] = {.lex_state = 243, .external_lex_state = 2},
  [322] = {.lex_state = 243, .external_lex_state = 2},
  [323] = {.lex_state = 243, .external_lex_state = 2},
  [324] = {.lex_state = 243, .external_lex_state = 2},
  [325] = {.lex_state = 243, .external_lex_state = 2},
  [326] = {.lex_state = 243, .external_lex_state = 2},
  [327] = {.lex_state = 243, .external_lex_state = 2},
  [328] = {.lex_state = 243, .external_lex_state = 2},
  [329] = {.lex_state = 243, .external_lex_state = 2},
  [330] = {.lex_state = 243, .external_lex_state = 2},
  [331] = {.lex_state = 243, .external_lex_state = 2},
  [332] = {.lex_state = 243, .external_lex_state = 2},
  [333] = {.lex_state = 243, .external_lex_state = 2},
  [334] = {.lex_state = 243, .external_lex_state = 2},
  [335] = {.lex_state = 243, .external_lex_state = 2},
  [336] = {.lex_state = 243, .external_lex_state = 2},
  [337] = {.lex_state = 243, .external_lex_state = 2},
  [338] = {.lex_state = 243, .external_lex_state = 2},
  [339] = {.lex_state = 243, .external_lex_state = 2},
  [340] = {.lex_state = 243, .external_lex_state = 2},
  [341] = {.lex_state = 243, .external_lex_state = 2},
  [342] = {.lex_state = 243, .external_lex_state = 2},
  [343] = {.lex_state = 243, .external_lex_state = 2},
  [344] = {.lex_state = 243, .external_lex_state = 2},
  [345] = {.lex_state = 243, .external_lex_state = 2},
  [346] = {.lex_state = 243, .external_lex_state = 2},
  [347] = {.lex_state = 243, .external_lex_state = 2},
  [348] = {.lex_state = 243, .external_lex_state = 2},
  [349] = {.lex_state = 243, .external_lex_state = 2},
  [350] = {.lex_state = 243, .external_lex_state = 2},
  [351] = {.lex_state = 243, .external_lex_state = 2},
  [352] = {.lex_state = 243, .external_lex_state = 2},
  [353] = {.lex_state = 243, .external_lex_state = 2},
  [354] = {.lex_state = 243, .external_lex_state = 2},
  [355] = {.lex_state = 243, .external_lex_state = 2},
  [356] = {.lex_state = 243, .external_lex_state = 2},
  [357] = {.lex_state = 243, .external_lex_state = 2},
  [358] = {.lex_state = 243, .external_lex_state = 2},
  [359] = {.lex_state = 243, .external_lex_state = 2},
  [360] = {.lex_state = 243, .external_lex_state = 2},
  [361] = {.lex_state = 243, .external_lex_state = 2},
  [362] = {.lex_state = 243, .external_lex_state = 2},
  [363] = {.lex_state = 243, .external_lex_state = 2},
  [364] = {.lex_state = 243, .external_lex_state = 2},
  [365] = {.lex_state = 243, .external_lex_state = 2},
  [366] = {.lex_state = 243, .external_lex_state = 2},
  [367] = {.lex_state = 243, .external_lex_state = 2},
  [368] = {.lex_state = 243, .external_lex_state = 2},
  [369] = {.lex_state = 243, .external_lex_state = 2},
  [370] = {.lex_state = 243, .external_lex_state = 2},
  [371] = {.lex_state = 243, .external_lex_state = 2},
  [372] = {.lex_state = 243, .external_lex_state = 2},
  [373] = {.lex_state = 243, .external_lex_state = 2},
  [374] = {.lex_state = 243, .external_lex_state = 2},
  [375] = {.lex_state = 243, .external_lex_state = 2},
  [376] = {.lex_state = 243, .external_lex_state = 2},
  [377] = {.lex_state = 243, .external_lex_state = 2},
  [378] = {.lex_state = 243, .external_lex_state = 2},
  [379] = {.lex_state = 243, .external_lex_state = 2},
  [380] = {.lex_state = 243, .external_lex_state = 2},
  [381] = {.lex_state = 243, .external_lex_state = 2},
  [382] = {.lex_state = 243, .external_lex_state = 2},
  [383] = {.lex_state = 243, .external_lex_state = 2},
  [384] = {.lex_state = 243, .external_lex_state = 2},
  [385] = {.lex_state = 243, .external_lex_state = 2},
  [386] = {.lex_state = 243, .external_lex_state = 2},
  [387] = {.lex_state = 243, .external_lex_state = 2},
  [388] = {.lex_state = 243, .external_lex_state = 2},
  [389] = {.lex_state = 243, .external_lex_state = 2},
  [390] = {.lex_state = 243, .external_lex_state = 2},
  [391] = {.lex_state = 243, .external_lex_state = 2},
  [392] = {.lex_state = 243, .external_lex_state = 2},
  [393] = {.lex_state = 243, .external_lex_state = 2},
  [394] = {.lex_state = 243, .external_lex_state = 2},
  [395] = {.lex_state = 243, .external_lex_state = 2},
  [396] = {.lex_state = 243, .external_lex_state = 2},
  [397] = {.lex_state = 243, .external_lex_state = 2},
  [398] = {.lex_state = 243, .external_lex_state = 2},
  [399] = {.lex_state = 243, .external_lex_state = 2},
  [400] = {.lex_state = 243, .external_lex_state = 2},
  [401] = {.lex_state = 243, .external_lex_state = 2},
  [402] = {.lex_state = 243, .external_lex_state = 2},
  [403] = {.lex_state = 243, .external_lex_state = 2},
  [404] = {.lex_state = 243, .external_lex_state = 2},
  [405] = {.lex_state = 243, .external_lex_state = 2},
  [406] = {.lex_state = 243, .external_lex_state = 2},
  [407] = {.lex_state = 243, .external_lex_state = 2},
  [408] = {.lex_state = 243, .external_lex_state = 2},
  [409] = {.lex_state = 243, .external_lex_state = 2},
  [410] = {.lex_state = 243, .external_lex_state = 2},
  [411] = {.lex_state = 243, .external_lex_state = 2},
  [412] = {.lex_state = 243, .external_lex_state = 2},
  [413] = {.lex_state = 243, .external_lex_state = 2},
  [414] = {.lex_state = 243, .external_lex_state = 2},
  [415] = {.lex_state = 243, .external_lex_state = 2},
  [416] = {.lex_state = 243, .external_lex_state = 2},
  [417] = {.lex_state = 243, .external_lex_state = 2},
  [418] = {.lex_state = 243, .external_lex_state = 2},
  [419] = {.lex_state = 243, .external_lex_state = 2},
  [420] = {.lex_state = 243, .external_lex_state = 2},
  [421] = {.lex_state = 243, .external_lex_state = 2},
  [422] = {.lex_state = 243, .external_lex_state = 2},
  [423] = {.lex_state = 243, .external_lex_state = 2},
  [424] = {.lex_state = 243, .external_lex_state = 2},
  [425] = {.lex_state = 243, .external_lex_state = 2},
  [426] = {.lex_state = 243, .external_lex_state = 2},
  [427] = {.lex_state = 243, .external_lex_state = 2},
  [428] = {.lex_state = 243, .external_lex_state = 2},
  [429] = {.lex_state = 243, .external_lex_state = 2},
  [430] = {.lex_state = 243, .external_lex_state = 2},
  [431] = {.lex_state = 243, .external_lex_state = 2},
  [432] = {.lex_state = 243, .external_lex_state = 2},
  [433] = {.lex_state = 243, .external_lex_state = 2},
  [434] = {.lex_state = 243, .external_lex_state = 2},
  [435] = {.lex_state = 243, .external_lex_state = 2},
  [436] = {.lex_state = 243, .external_lex_state = 2},
  [437] = {.lex_state = 243, .external_lex_state = 2},
  [438] = {.lex_state = 243, .external_lex_state = 2},
  [439] = {.lex_state = 243, .external_lex_state = 2},
  [440] = {.lex_state = 243, .external_lex_state = 2},
  [441] = {.lex_state = 243, .external_lex_state = 2},
  [442] = {.lex_state = 243, .external_lex_state = 2},
  [443] = {.lex_state = 243, .external_lex_state = 2},
  [444] = {.lex_state = 243, .external_lex_state = 2},
  [445] = {.lex_state = 243, .external_lex_state = 2},
  [446] = {.lex_state = 243, .external_lex_state = 2},
  [447] = {.lex_state = 243, .external_lex_state = 2},
  [448] = {.lex_state = 243, .external_lex_state = 2},
  [449] = {.lex_state = 243, .external_lex_state = 2},
  [450] = {.lex_state = 243, .external_lex_state = 2},
  [451] = {.lex_state = 243, .external_lex_state = 2},
  [452] = {.lex_state = 243, .external_lex_state = 2},
  [453] = {.lex_state = 243, .external_lex_state = 2},
  [454] = {.lex_state = 243, .external_lex_state = 2},
  [455] = {.lex_state = 243, .external_lex_state = 2},
  [456] = {.lex_state = 243, .external_lex_state = 2},
  [457] = {.lex_state = 243, .external_lex_state = 2},
  [458] = {.lex_state = 243, .external_lex_state = 2},
  [459] = {.lex_state = 243, .external_lex_state = 2},
  [460] = {.lex_state = 243, .external_lex_state = 2},
  [461] = {.lex_state = 243, .external_lex_state = 2},
  [462] = {.lex_state = 243, .external_lex_state = 2},
  [463] = {.lex_state = 243, .external_lex_state = 2},
  [464] = {.lex_state = 243, .external_lex_state = 2},
  [465] = {.lex_state = 243, .external_lex_state = 2},
  [466] = {.lex_state = 243, .external_lex_state = 2},
  [467] = {.lex_state = 243, .external_lex_state = 2},
  [468] = {.lex_state = 243, .external_lex_state = 2},
  [469] = {.lex_state = 243, .external_lex_state = 2},
  [470] = {.lex_state = 243, .external_lex_state = 2},
  [471] = {.lex_state = 243, .external_lex_state = 2},
  [472] = {.lex_state = 243, .external_lex_state = 2},
  [473] = {.lex_state = 243, .external_lex_state = 2},
  [474] = {.lex_state = 243, .external_lex_state = 2},
  [475] = {.lex_state = 243, .external_lex_state = 2},
  [476] = {.lex_state = 243, .external_lex_state = 2},
  [477] = {.lex_state = 243, .external_lex_state = 2},
  [478] = {.lex_state = 243, .external_lex_state = 2},
  [479] = {.lex_state = 307, .external_lex_state = 2},
  [480] = {.lex_state = 307, .external_lex_state = 2},
  [481] = {.lex_state = 307, .external_lex_state = 2},
  [482] = {.lex_state = 307, .external_lex_state = 2},
  [483] = {.lex_state = 255, .external_lex_state = 2},
  [484] = {.lex_state = 307, .external_lex_state = 2},
  [485] = {.lex_state = 307, .external_lex_state = 2},
  [486] = {.lex_state = 307, .external_lex_state = 2},
  [487] = {.lex_state = 307, .external_lex_state = 2},
  [488] = {.lex_state = 307, .external_lex_state = 2},
  [489] = {.lex_state = 263, .external_lex_state = 2},
  [490] = {.lex_state = 245, .external_lex_state = 2},
  [491] = {.lex_state = 307, .external_lex_state = 2},
  [492] = {.lex_state = 307, .external_lex_state = 2},
  [493] = {.lex_state = 263, .external_lex_state = 2},
  [494] = {.lex_state = 255, .external_lex_state = 2},
  [495] = {.lex_state = 307, .external_lex_state = 2},
  [496] = {.lex_state = 307, .external_lex_state = 2},
  [497] = {.lex_state = 255, .external_lex_state = 2},
  [498] = {.lex_state = 267, .external_lex_state = 2},
  [499] = {.lex_state = 255, .external_lex_state = 2},
  [500] = {.lex_state = 267, .external_lex_state = 2},
  [501] = {.lex_state = 307, .external_lex_state = 2},
  [502] = {.lex_state = 267, .external_lex_state = 2},
  [503] = {.lex_state = 307, .external_lex_state = 2},
  [504] = {.lex_state = 307, .external_lex_state = 2},
  [505] = {.lex_state = 307, .external_lex_state = 2},
  [506] = {.lex_state = 255, .external_lex_state = 2},
  [507] = {.lex_state = 267, .external_lex_state = 2},
  [508] = {.lex_state = 307, .external_lex_state = 2},
  [509] = {.lex_state = 307, .external_lex_state = 2},
  [510] = {.lex_state = 307, .external_lex_state = 2},
  [511] = {.lex_state = 255, .external_lex_state = 2},
  [512] = {.lex_state = 267, .external_lex_state = 2},
  [513] = {.lex_state = 307, .external_lex_state = 2},
  [514] = {.lex_state = 307, .external_lex_state = 2},
  [515] = {.lex_state = 307, .external_lex_state = 2},
  [516] = {.lex_state = 263, .external_lex_state = 2},
  [517] = {.lex_state = 263, .external_lex_state = 2},
  [518] = {.lex_state = 307, .external_lex_state = 2},
  [519] = {.lex_state = 263, .external_lex_state = 2},
  [520] = {.lex_state = 255, .external_lex_state = 2},
  [521] = {.lex_state = 267, .external_lex_state = 2},
  [522] = {.lex_state = 267, .external_lex_state = 2},
  [523] = {.lex_state = 263, .external_lex_state = 2},
  [524] = {.lex_state = 263, .external_lex_state = 2},
  [525] = {.lex_state = 255, .external_lex_state = 2},
  [526] = {.lex_state = 307, .external_lex_state = 2},
  [527] = {.lex_state = 267, .external_lex_state = 2},
  [528] = {.lex_state = 255, .external_lex_state = 2},
  [529] = {.lex_state = 267, .external_lex_state = 2},
  [530] = {.lex_state = 307, .external_lex_state = 2},
  [531] = {.lex_state = 307, .external_lex_state = 2},
  [532] = {.lex_state = 255, .external_lex_state = 2},
  [533] = {.lex_state = 267, .external_lex_state = 2},
  [534] = {.lex_state = 263, .external_lex_state = 2},
  [535] = {.lex_state = 263, .external_lex_state = 2},
  [536] = {.lex_state = 255, .external_lex_state = 2},
  [537] = {.lex_state = 267, .external_lex_state = 2},
  [538] = {.lex_state = 255, .external_lex_state = 2},
  [539] = {.lex_state = 267, .external_lex_state = 2},
  [540] = {.lex_state = 263, .external_lex_state = 2},
  [541] = {.lex_state = 263, .external_lex_state = 2},
  [542] = {.lex_state = 255, .external_lex_state = 2},
  [543] = {.lex_state = 255, .external_lex_state = 2},
  [544] = {.lex_state = 307, .external_lex_state = 2},
  [545] = {.lex_state = 267, .external_lex_state = 2},
  [546] = {.lex_state = 255, .external_lex_state = 2},
  [547] = {.lex_state = 267, .external_lex_state = 2},
  [548] = {.lex_state = 267, .external_lex_state = 2},
  [549] = {.lex_state = 307, .external_lex_state = 2},
  [550] = {.lex_state = 255, .external_lex_state = 2},
  [551] = {.lex_state = 267, .external_lex_state = 2},
  [552] = {.lex_state = 263, .external_lex_state = 2},
  [553] = {.lex_state = 263, .external_lex_state = 2},
  [554] = {.lex_state = 255, .external_lex_state = 2},
  [555] = {.lex_state = 267, .external_lex_state = 2},
  [556] = {.lex_state = 255, .external_lex_state = 2},
  [557] = {.lex_state = 267, .external_lex_state = 2},
  [558] = {.lex_state = 263, .external_lex_state = 2},
  [559] = {.lex_state = 263, .external_lex_state = 2},
  [560] = {.lex_state = 255, .external_lex_state = 2},
  [561] = {.lex_state = 267, .external_lex_state = 2},
  [562] = {.lex_state = 255, .external_lex_state = 2},
  [563] = {.lex_state = 267, .external_lex_state = 2},
  [564] = {.lex_state = 307, .external_lex_state = 2},
  [565] = {.lex_state = 255, .external_lex_state = 2},
  [566] = {.lex_state = 267, .external_lex_state = 2},
  [567] = {.lex_state = 255, .external_lex_state = 2},
  [568] = {.lex_state = 267, .external_lex_state = 2},
  [569] = {.lex_state = 255, .external_lex_state = 2},
  [570] = {.lex_state = 267, .external_lex_state = 2},
  [571] = {.lex_state = 255, .external_lex_state = 2},
  [572] = {.lex_state = 267, .external_lex_state = 2},
  [573] = {.lex_state = 255, .external_lex_state = 2},
  [574] = {.lex_state = 267, .external_lex_state = 2},
  [575] = {.lex_state = 255, .external_lex_state = 2},
  [576] = {.lex_state = 267, .external_lex_state = 2},
  [577] = {.lex_state = 307, .external_lex_state = 2},
  [578] = {.lex_state = 263, .external_lex_state = 2},
  [579] = {.lex_state = 307, .external_lex_state = 2},
  [580] = {.lex_state = 256, .external_lex_state = 2},
  [581] = {.lex_state = 256, .external_lex_state = 2},
  [582] = {.lex_state = 302, .external_lex_state = 2},
  [583] = {.lex_state = 257, .external_lex_state = 2},
  [584] = {.lex_state = 264, .external_lex_state = 2},
  [585] = {.lex_state = 256, .external_lex_state = 2},
  [586] = {.lex_state = 256, .external_lex_state = 2},
  [587] = {.lex_state = 259, .external_lex_state = 2},
  [588] = {.lex_state = 257, .external_lex_state = 2},
  [589] = {.lex_state = 256, .external_lex_state = 2},
  [590] = {.lex_state = 256, .external_lex_state = 2},
  [591] = {.lex_state = 257, .external_lex_state = 2},
  [592] = {.lex_state = 264, .external_lex_state = 2},
  [593] = {.lex_state = 259, .external_lex_state = 2},
  [594] = {.lex_state = 302, .external_lex_state = 2},
  [595] = {.lex_state = 257, .external_lex_state = 2},
  [596] = {.lex_state = 256, .external_lex_state = 2},
  [597] = {.lex_state = 256, .external_lex_state = 2},
  [598] = {.lex_state = 257, .external_lex_state = 2},
  [599] = {.lex_state = 264, .external_lex_state = 2},
  [600] = {.lex_state = 256, .external_lex_state = 2},
  [601] = {.lex_state = 264, .external_lex_state = 2},
  [602] = {.lex_state = 256, .external_lex_state = 2},
  [603] = {.lex_state = 256, .external_lex_state = 2},
  [604] = {.lex_state = 243, .external_lex_state = 2},
  [605] = {.lex_state = 256, .external_lex_state = 2},
  [606] = {.lex_state = 256, .external_lex_state = 2},
  [607] = {.lex_state = 256, .external_lex_state = 2},
  [608] = {.lex_state = 257, .external_lex_state = 2},
  [609] = {.lex_state = 264, .external_lex_state = 2},
  [610] = {.lex_state = 264, .external_lex_state = 2},
  [611] = {.lex_state = 256, .external_lex_state = 2},
  [612] = {.lex_state = 256, .external_lex_state = 2},
  [613] = {.lex_state = 259, .external_lex_state = 2},
  [614] = {.lex_state = 256, .external_lex_state = 2},
  [615] = {.lex_state = 256, .external_lex_state = 2},
  [616] = {.lex_state = 256, .external_lex_state = 2},
  [617] = {.lex_state = 256, .external_lex_state = 2},
  [618] = {.lex_state = 256, .external_lex_state = 2},
  [619] = {.lex_state = 259, .external_lex_state = 2},
  [620] = {.lex_state = 269, .external_lex_state = 2},
  [621] = {.lex_state = 246, .external_lex_state = 2},
  [622] = {.lex_state = 246, .external_lex_state = 2},
  [623] = {.lex_state = 246, .external_lex_state = 2},
  [624] = {.lex_state = 246, .external_lex_state = 2},
  [625] = {.lex_state = 269, .external_lex_state = 2},
  [626] = {.lex_state = 246, .external_lex_state = 2},
  [627] = {.lex_state = 246, .external_lex_state = 2},
  [628] = {.lex_state = 246, .external_lex_state = 2},
  [629] = {.lex_state = 246, .external_lex_state = 2},
  [630] = {.lex_state = 246, .external_lex_state = 2},
  [631] = {.lex_state = 269, .external_lex_state = 2},
  [632] = {.lex_state = 246, .external_lex_state = 2},
  [633] = {.lex_state = 246, .external_lex_state = 2},
  [634] = {.lex_state = 246, .external_lex_state = 2},
  [635] = {.lex_state = 246, .external_lex_state = 2},
  [636] = {.lex_state = 246, .external_lex_state = 2},
  [637] = {.lex_state = 246, .external_lex_state = 2},
  [638] = {.lex_state = 246, .external_lex_state = 2},
  [639] = {.lex_state = 261, .external_lex_state = 2},
  [640] = {.lex_state = 269, .external_lex_state = 2},
  [641] = {.lex_state = 261, .external_lex_state = 2},
  [642] = {.lex_state = 246, .external_lex_state = 2},
  [643] = {.lex_state = 246, .external_lex_state = 2},
  [644] = {.lex_state = 269, .external_lex_state = 2},
  [645] = {.lex_state = 246, .external_lex_state = 2},
  [646] = {.lex_state = 246, .external_lex_state = 2},
  [647] = {.lex_state = 261, .external_lex_state = 2},
  [648] = {.lex_state = 261, .external_lex_state = 2},
  [649] = {.lex_state = 261, .external_lex_state = 2},
  [650] = {.lex_state = 246, .external_lex_state = 2},
  [651] = {.lex_state = 246, .external_lex_state = 2},
  [652] = {.lex_state = 246, .external_lex_state = 2},
  [653] = {.lex_state = 246, .external_lex_state = 2},
  [654] = {.lex_state = 246, .external_lex_state = 2},
  [655] = {.lex_state = 246, .external_lex_state = 2},
  [656] = {.lex_state = 246, .external_lex_state = 2},
  [657] = {.lex_state = 246, .external_lex_state = 2},
  [658] = {.lex_state = 246, .external_lex_state = 2},
  [659] = {.lex_state = 304, .external_lex_state = 2},
  [660] = {.lex_state = 246, .external_lex_state = 2},
  [661] = {.lex_state = 246, .external_lex_state = 2},
  [662] = {.lex_state = 246, .external_lex_state = 2},
  [663] = {.lex_state = 246, .external_lex_state = 2},
  [664] = {.lex_state = 246, .external_lex_state = 2},
  [665] = {.lex_state = 261, .external_lex_state = 2},
  [666] = {.lex_state = 246, .external_lex_state = 2},
  [667] = {.lex_state = 269, .external_lex_state = 2},
  [668] = {.lex_state = 269, .external_lex_state = 2},
  [669] = {.lex_state = 246, .external_lex_state = 2},
  [670] = {.lex_state = 269, .external_lex_state = 2},
  [671] = {.lex_state = 246, .external_lex_state = 2},
  [672] = {.lex_state = 269, .external_lex_state = 2},
  [673] = {.lex_state = 304, .external_lex_state = 2},
  [674] = {.lex_state = 304, .external_lex_state = 2},
  [675] = {.lex_state = 304, .external_lex_state = 2},
  [676] = {.lex_state = 255, .external_lex_state = 2},
  [677] = {.lex_state = 267, .external_lex_state = 2},
  [678] = {.lex_state = 304, .external_lex_state = 2},
  [679] = {.lex_state = 304, .external_lex_state = 2},
  [680] = {.lex_state = 304, .external_lex_state = 2},
  [681] = {.lex_state = 304, .external_lex_state = 2},
  [682] = {.lex_state = 263, .external_lex_state = 2},
  [683] = {.lex_state = 304, .external_lex_state = 2},
  [684] = {.lex_state = 304, .external_lex_state = 2},
  [685] = {.lex_state = 304, .external_lex_state = 2},
  [686] = {.lex_state = 304, .external_lex_state = 2},
  [687] = {.lex_state = 304, .external_lex_state = 2},
  [688] = {.lex_state = 304, .external_lex_state = 2},
  [689] = {.lex_state = 304, .external_lex_state = 2},
  [690] = {.lex_state = 260, .external_lex_state = 2},
  [691] = {.lex_state = 259, .external_lex_state = 2},
  [692] = {.lex_state = 260, .external_lex_state = 2},
  [693] = {.lex_state = 260, .external_lex_state = 2},
  [694] = {.lex_state = 259, .external_lex_state = 2},
  [695] = {.lex_state = 259, .external_lex_state = 2},
  [696] = {.lex_state = 259, .external_lex_state = 2},
  [697] = {.lex_state = 260, .external_lex_state = 2},
  [698] = {.lex_state = 257, .external_lex_state = 2},
  [699] = {.lex_state = 302, .external_lex_state = 2},
  [700] = {.lex_state = 264, .external_lex_state = 2},
  [701] = {.lex_state = 259, .external_lex_state = 2},
  [702] = {.lex_state = 260, .external_lex_state = 2},
  [703] = {.lex_state = 259, .external_lex_state = 2},
  [704] = {.lex_state = 260, .external_lex_state = 2},
  [705] = {.lex_state = 259, .external_lex_state = 2},
  [706] = {.lex_state = 259, .external_lex_state = 2},
  [707] = {.lex_state = 259, .external_lex_state = 2},
  [708] = {.lex_state = 259, .external_lex_state = 2},
  [709] = {.lex_state = 259, .external_lex_state = 2},
  [710] = {.lex_state = 259, .external_lex_state = 2},
  [711] = {.lex_state = 259, .external_lex_state = 2},
  [712] = {.lex_state = 265, .external_lex_state = 2},
  [713] = {.lex_state = 268, .external_lex_state = 2},
  [714] = {.lex_state = 258, .external_lex_state = 2},
  [715] = {.lex_state = 258, .external_lex_state = 2},
  [716] = {.lex_state = 270, .external_lex_state = 2},
  [717] = {.lex_state = 271, .external_lex_state = 2},
  [718] = {.lex_state = 307, .external_lex_state = 2},
  [719] = {.lex_state = 268, .external_lex_state = 2},
  [720] = {.lex_state = 258, .external_lex_state = 2},
  [721] = {.lex_state = 272, .external_lex_state = 2},
  [722] = {.lex_state = 265, .external_lex_state = 2},
  [723] = {.lex_state = 268, .external_lex_state = 2},
  [724] = {.lex_state = 271, .external_lex_state = 2},
  [725] = {.lex_state = 272, .external_lex_state = 2},
  [726] = {.lex_state = 273, .external_lex_state = 2},
  [727] = {.lex_state = 304, .external_lex_state = 2},
  [728] = {.lex_state = 273, .external_lex_state = 2},
  [729] = {.lex_state = 265, .external_lex_state = 2},
  [730] = {.lex_state = 258, .external_lex_state = 2},
  [731] = {.lex_state = 271, .external_lex_state = 2},
  [732] = {.lex_state = 265, .external_lex_state = 2},
  [733] = {.lex_state = 273, .external_lex_state = 2},
  [734] = {.lex_state = 269, .external_lex_state = 2},
  [735] = {.lex_state = 260, .external_lex_state = 2},
  [736] = {.lex_state = 265, .external_lex_state = 2},
  [737] = {.lex_state = 273, .external_lex_state = 2},
  [738] = {.lex_state = 273, .external_lex_state = 2},
  [739] = {.lex_state = 270, .external_lex_state = 2},
  [740] = {.lex_state = 258, .external_lex_state = 2},
  [741] = {.lex_state = 273, .external_lex_state = 2},
  [742] = {.lex_state = 270, .external_lex_state = 2},
  [743] = {.lex_state = 273, .external_lex_state = 2},
  [744] = {.lex_state = 271, .external_lex_state = 2},
  [745] = {.lex_state = 272, .external_lex_state = 2},
  [746] = {.lex_state = 265, .external_lex_state = 2},
  [747] = {.lex_state = 258, .external_lex_state = 2},
  [748] = {.lex_state = 268, .external_lex_state = 2},
  [749] = {.lex_state = 272, .external_lex_state = 2},
  [750] = {.lex_state = 258, .external_lex_state = 2},
  [751] = {.lex_state = 268, .external_lex_state = 2},
  [752] = {.lex_state = 273, .external_lex_state = 2},
  [753] = {.lex_state = 268, .external_lex_state = 2},
  [754] = {.lex_state = 258, .external_lex_state = 2},
  [755] = {.lex_state = 258, .external_lex_state = 2},
  [756] = {.lex_state = 274, .external_lex_state = 2},
  [757] = {.lex_state = 274, .external_lex_state = 2},
  [758] = {.lex_state = 274, .external_lex_state = 2},
  [759] = {.lex_state = 305, .external_lex_state = 2},
  [760] = {.lex_state = 305, .external_lex_state = 2},
  [761] = {.lex_state = 305, .external_lex_state = 2},
  [762] = {.lex_state = 305, .external_lex_state = 2},
  [763] = {.lex_state = 305, .external_lex_state = 2},
  [764] = {.lex_state = 305, .external_lex_state = 2},
  [765] = {.lex_state = 305, .external_lex_state = 2},
  [766] = {.lex_state = 305, .external_lex_state = 2},
  [767] = {.lex_state = 261, .external_lex_state = 2},
  [768] = {.lex_state = 261, .external_lex_state = 2},
  [769] = {.lex_state = 274, .external_lex_state = 2},
  [770] = {.lex_state = 305, .external_lex_state = 2},
  [771] = {.lex_state = 305, .external_lex_state = 2},
  [772] = {.lex_state = 261, .external_lex_state = 2},
  [773] = {.lex_state = 261, .external_lex_state = 2},
  [774] = {.lex_state = 308, .external_lex_state = 2},
  [775] = {.lex_state = 305, .external_lex_state = 2},
  [776] = {.lex_state = 305, .external_lex_state = 2},
  [777] = {.lex_state = 305, .external_lex_state = 2},
  [778] = {.lex_state = 305, .external_lex_state = 2},
  [779] = {.lex_state = 305, .external_lex_state = 2},
  [780] = {.lex_state = 273, .external_lex_state = 2},
  [781] = {.lex_state = 261, .external_lex_state = 2},
  [782] = {.lex_state = 270, .external_lex_state = 2},
  [783] = {.lex_state = 305, .external_lex_state = 2},
  [784] = {.lex_state = 274, .external_lex_state = 2},
  [785] = {.lex_state = 305, .external_lex_state = 2},
  [786] = {.lex_state = 305, .external_lex_state = 2},
  [787] = {.lex_state = 265, .external_lex_state = 2},
  [788] = {.lex_state = 274, .external_lex_state = 2},
  [789] = {.lex_state = 271, .external_lex_state = 2},
  [790] = {.lex_state = 274, .external_lex_state = 2},
  [791] = {.lex_state = 261, .external_lex_state = 2},
  [792] = {.lex_state = 272, .external_lex_state = 2},
  [793] = {.lex_state = 261, .external_lex_state = 2},
  [794] = {.lex_state = 268, .external_lex_state = 2},
  [795] = {.lex_state = 305, .external_lex_state = 2},
  [796] = {.lex_state = 274, .external_lex_state = 2},
  [797] = {.lex_state = 305, .external_lex_state = 2},
  [798] = {.lex_state = 305, .external_lex_state = 2},
  [799] = {.lex_state = 305, .external_lex_state = 2},
  [800] = {.lex_state = 305, .external_lex_state = 2},
  [801] = {.lex_state = 305, .external_lex_state = 2},
  [802] = {.lex_state = 305, .external_lex_state = 2},
  [803] = {.lex_state = 305, .external_lex_state = 2},
  [804] = {.lex_state = 305, .external_lex_state = 2},
  [805] = {.lex_state = 305, .external_lex_state = 2},
  [806] = {.lex_state = 305, .external_lex_state = 2},
  [807] = {.lex_state = 261, .external_lex_state = 2},
  [808] = {.lex_state = 305, .external_lex_state = 2},
  [809] = {.lex_state = 305, .external_lex_state = 2},
  [810] = {.lex_state = 305, .external_lex_state = 2},
  [811] = {.lex_state = 274, .external_lex_state = 2},
  [812] = {.lex_state = 305, .external_lex_state = 2},
  [813] = {.lex_state = 305, .external_lex_state = 2},
  [814] = {.lex_state = 305, .external_lex_state = 2},
  [815] = {.lex_state = 305, .external_lex_state = 2},
  [816] = {.lex_state = 261, .external_lex_state = 2},
  [817] = {.lex_state = 305, .external_lex_state = 2},
  [818] = {.lex_state = 308, .external_lex_state = 2},
  [819] = {.lex_state = 266, .external_lex_state = 2},
  [820] = {.lex_state = 308, .external_lex_state = 2},
  [821] = {.lex_state = 266, .external_lex_state = 2},
  [822] = {.lex_state = 266, .external_lex_state = 2},
  [823] = {.lex_state = 266, .external_lex_state = 2},
  [824] = {.lex_state = 308, .external_lex_state = 2},
  [825] = {.lex_state = 266, .external_lex_state = 2},
  [826] = {.lex_state = 308, .external_lex_state = 2},
  [827] = {.lex_state = 294, .external_lex_state = 2},
  [828] = {.lex_state = 246, .external_lex_state = 3},
  [829] = {.lex_state = 294, .external_lex_state = 2},
  [830] = {.lex_state = 246, .external_lex_state = 3},
  [831] = {.lex_state = 294, .external_lex_state = 2},
  [832] = {.lex_state = 273, .external_lex_state = 2},
  [833] = {.lex_state = 273, .external_lex_state = 2},
  [834] = {.lex_state = 273, .external_lex_state = 2},
  [835] = {.lex_state = 273, .external_lex_state = 2},
  [836] = {.lex_state = 273, .external_lex_state = 2},
  [837] = {.lex_state = 336, .external_lex_state = 2},
  [838] = {.lex_state = 273, .external_lex_state = 2},
  [839] = {.lex_state = 336, .external_lex_state = 2},
  [840] = {.lex_state = 337, .external_lex_state = 2},
  [841] = {.lex_state = 273, .external_lex_state = 2},
  [842] = {.lex_state = 273, .external_lex_state = 2},
  [843] = {.lex_state = 336, .external_lex_state = 2},
  [844] = {.lex_state = 273, .external_lex_state = 2},
  [845] = {.lex_state = 336, .external_lex_state = 2},
  [846] = {.lex_state = 336, .external_lex_state = 2},
  [847] = {.lex_state = 336, .external_lex_state = 2},
  [848] = {.lex_state = 336, .external_lex_state = 2},
  [849] = {.lex_state = 336, .external_lex_state = 2},
  [850] = {.lex_state = 336, .external_lex_state = 2},
  [851] = {.lex_state = 273, .external_lex_state = 2},
  [852] = {.lex_state = 273, .external_lex_state = 2},
  [853] = {.lex_state = 273, .external_lex_state = 2},
  [854] = {.lex_state = 273, .external_lex_state = 2},
  [855] = {.lex_state = 273, .external_lex_state = 2},
  [856] = {.lex_state = 273, .external_lex_state = 2},
  [857] = {.lex_state = 273, .external_lex_state = 2},
  [858] = {.lex_state = 273, .external_lex_state = 2},
  [859] = {.lex_state = 273, .external_lex_state = 2},
  [860] = {.lex_state = 273, .external_lex_state = 2},
  [861] = {.lex_state = 273, .external_lex_state = 2},
  [862] = {.lex_state = 273, .external_lex_state = 2},
  [863] = {.lex_state = 273, .external_lex_state = 2},
  [864] = {.lex_state = 273, .external_lex_state = 2},
  [865] = {.lex_state = 273, .external_lex_state = 2},
  [866] = {.lex_state = 273, .external_lex_state = 2},
  [867] = {.lex_state = 273, .external_lex_state = 2},
  [868] = {.lex_state = 273, .external_lex_state = 2},
  [869] = {.lex_state = 273, .external_lex_state = 2},
  [870] = {.lex_state = 273, .external_lex_state = 2},
  [871] = {.lex_state = 273, .external_lex_state = 2},
  [872] = {.lex_state = 273, .external_lex_state = 2},
  [873] = {.lex_state = 241, .external_lex_state = 2},
  [874] = {.lex_state = 241, .external_lex_state = 2},
  [875] = {.lex_state = 241, .external_lex_state = 2},
  [876] = {.lex_state = 241, .external_lex_state = 2},
  [877] = {.lex_state = 241, .external_lex_state = 2},
  [878] = {.lex_state = 241, .external_lex_state = 2},
  [879] = {.lex_state = 241, .external_lex_state = 2},
  [880] = {.lex_state = 241, .external_lex_state = 2},
  [881] = {.lex_state = 241, .external_lex_state = 2},
  [882] = {.lex_state = 241, .external_lex_state = 2},
  [883] = {.lex_state = 241, .external_lex_state = 2},
  [884] = {.lex_state = 241, .external_lex_state = 2},
  [885] = {.lex_state = 241, .external_lex_state = 2},
  [886] = {.lex_state = 241, .external_lex_state = 2},
  [887] = {.lex_state = 241, .external_lex_state = 2},
  [888] = {.lex_state = 241, .external_lex_state = 2},
  [889] = {.lex_state = 241, .external_lex_state = 2},
  [890] = {.lex_state = 241, .external_lex_state = 2},
  [891] = {.lex_state = 241, .external_lex_state = 2},
  [892] = {.lex_state = 241, .external_lex_state = 2},
  [893] = {.lex_state = 241, .external_lex_state = 2},
  [894] = {.lex_state = 241, .external_lex_state = 2},
  [895] = {.lex_state = 241, .external_lex_state = 2},
  [896] = {.lex_state = 241, .external_lex_state = 2},
  [897] = {.lex_state = 241, .external_lex_state = 2},
  [898] = {.lex_state = 241, .external_lex_state = 2},
  [899] = {.lex_state = 241, .external_lex_state = 2},
  [900] = {.lex_state = 241, .external_lex_state = 2},
  [901] = {.lex_state = 241, .external_lex_state = 2},
  [902] = {.lex_state = 241, .external_lex_state = 2},
  [903] = {.lex_state = 241, .external_lex_state = 2},
  [904] = {.lex_state = 241, .external_lex_state = 2},
  [905] = {.lex_state = 241, .external_lex_state = 2},
  [906] = {.lex_state = 241, .external_lex_state = 2},
  [907] = {.lex_state = 241, .external_lex_state = 2},
  [908] = {.lex_state = 241, .external_lex_state = 2},
  [909] = {.lex_state = 241, .external_lex_state = 2},
  [910] = {.lex_state = 241, .external_lex_state = 2},
  [911] = {.lex_state = 241, .external_lex_state = 2},
  [912] = {.lex_state = 241, .external_lex_state = 2},
  [913] = {.lex_state = 241, .external_lex_state = 2},
  [914] = {.lex_state = 241, .external_lex_state = 2},
  [915] = {.lex_state = 241, .external_lex_state = 2},
  [916] = {.lex_state = 241, .external_lex_state = 2},
  [917] = {.lex_state = 241, .external_lex_state = 2},
  [918] = {.lex_state = 241, .external_lex_state = 2},
  [919] = {.lex_state = 241, .external_lex_state = 2},
  [920] = {.lex_state = 241, .external_lex_state = 2},
  [921] = {.lex_state = 241, .external_lex_state = 2},
  [922] = {.lex_state = 241, .external_lex_state = 2},
  [923] = {.lex_state = 241, .external_lex_state = 2},
  [924] = {.lex_state = 241, .external_lex_state = 2},
  [925] = {.lex_state = 241, .external_lex_state = 2},
  [926] = {.lex_state = 241, .external_lex_state = 2},
  [927] = {.lex_state = 241, .external_lex_state = 2},
  [928] = {.lex_state = 241, .external_lex_state = 2},
  [929] = {.lex_state = 241, .external_lex_state = 2},
  [930] = {.lex_state = 241, .external_lex_state = 2},
  [931] = {.lex_state = 241, .external_lex_state = 2},
  [932] = {.lex_state = 241, .external_lex_state = 2},
  [933] = {.lex_state = 241, .external_lex_state = 2},
  [934] = {.lex_state = 241, .external_lex_state = 2},
  [935] = {.lex_state = 241, .external_lex_state = 2},
  [936] = {.lex_state = 241, .external_lex_state = 2},
  [937] = {.lex_state = 241, .external_lex_state = 2},
  [938] = {.lex_state = 241, .external_lex_state = 2},
  [939] = {.lex_state = 241, .external_lex_state = 2},
  [940] = {.lex_state = 241, .external_lex_state = 2},
  [941] = {.lex_state = 241, .external_lex_state = 2},
  [942] = {.lex_state = 241, .external_lex_state = 2},
  [943] = {.lex_state = 241, .external_lex_state = 2},
  [944] = {.lex_state = 241, .external_lex_state = 2},
  [945] = {.lex_state = 241, .external_lex_state = 2},
  [946] = {.lex_state = 241, .external_lex_state = 2},
  [947] = {.lex_state = 241, .external_lex_state = 2},
  [948] = {.lex_state = 241, .external_lex_state = 2},
  [949] = {.lex_state = 241, .external_lex_state = 2},
  [950] = {.lex_state = 241, .external_lex_state = 2},
  [951] = {.lex_state = 241, .external_lex_state = 2},
  [952] = {.lex_state = 241, .external_lex_state = 2},
  [953] = {.lex_state = 241, .external_lex_state = 2},
  [954] = {.lex_state = 241, .external_lex_state = 2},
  [955] = {.lex_state = 241, .external_lex_state = 2},
  [956] = {.lex_state = 241, .external_lex_state = 2},
  [957] = {.lex_state = 241, .external_lex_state = 2},
  [958] = {.lex_state = 241, .external_lex_state = 2},
  [959] = {.lex_state = 241, .external_lex_state = 2},
  [960] = {.lex_state = 241, .external_lex_state = 2},
  [961] = {.lex_state = 241, .external_lex_state = 2},
  [962] = {.lex_state = 241, .external_lex_state = 2},
  [963] = {.lex_state = 241, .external_lex_state = 2},
  [964] = {.lex_state = 241, .external_lex_state = 2},
  [965] = {.lex_state = 241, .external_lex_state = 2},
  [966] = {.lex_state = 241, .external_lex_state = 2},
  [967] = {.lex_state = 241, .external_lex_state = 2},
  [968] = {.lex_state = 241, .external_lex_state = 2},
  [969] = {.lex_state = 241, .external_lex_state = 2},
  [970] = {.lex_state = 241, .external_lex_state = 2},
  [971] = {.lex_state = 241, .external_lex_state = 2},
  [972] = {.lex_state = 241, .external_lex_state = 2},
  [973] = {.lex_state = 241, .external_lex_state = 2},
  [974] = {.lex_state = 241, .external_lex_state = 2},
  [975] = {.lex_state = 1318, .external_lex_state = 2},
  [976] = {.lex_state = 300, .external_lex_state = 2},
  [977] = {.lex_state = 300, .external_lex_state = 2},
  [978] = {.lex_state = 1318, .external_lex_state = 2},
  [979] = {.lex_state = 1318, .external_lex_state = 2},
  [980] = {.lex_state = 1318, .external_lex_state = 2},
  [981] = {.lex_state = 1318, .external_lex_state = 2},
  [982] = {.lex_state = 1318, .external_lex_state = 2},
  [983] = {.lex_state = 1318, .external_lex_state = 2},
  [984] = {.lex_state = 300, .external_lex_state = 2},
  [985] = {.lex_state = 300, .external_lex_state = 2},
  [986] = {.lex_state = 300, .external_lex_state = 2},
  [987] = {.lex_state = 1318, .external_lex_state = 2},
  [988] = {.lex_state = 300, .external_lex_state = 2},
  [989] = {.lex_state = 1318, .external_lex_state = 2},
  [990] = {.lex_state = 1318, .external_lex_state = 2},
  [991] = {.lex_state = 300, .external_lex_state = 2},
  [992] = {.lex_state = 300, .external_lex_state = 2},
  [993] = {.lex_state = 300, .external_lex_state = 2},
  [994] = {.lex_state = 300, .external_lex_state = 2},
  [995] = {.lex_state = 300, .external_lex_state = 2},
  [996] = {.lex_state = 1318, .external_lex_state = 2},
  [997] = {.lex_state = 1318, .external_lex_state = 2},
  [998] = {.lex_state = 1318, .external_lex_state = 2},
  [999] = {.lex_state = 300, .external_lex_state = 2},
  [1000] = {.lex_state = 300, .external_lex_state = 2},
  [1001] = {.lex_state = 300, .external_lex_state = 2},
  [1002] = {.lex_state = 300, .external_lex_state = 2},
  [1003] = {.lex_state = 1318, .external_lex_state = 2},
  [1004] = {.lex_state = 300, .external_lex_state = 2},
  [1005] = {.lex_state = 300, .external_lex_state = 2},
  [1006] = {.lex_state = 300, .external_lex_state = 2},
  [1007] = {.lex_state = 1318, .external_lex_state = 2},
  [1008] = {.lex_state = 300, .external_lex_state = 2},
  [1009] = {.lex_state = 1318, .external_lex_state = 2},
  [1010] = {.lex_state = 1318, .external_lex_state = 2},
  [1011] = {.lex_state = 1318, .external_lex_state = 2},
  [1012] = {.lex_state = 1318, .external_lex_state = 2},
  [1013] = {.lex_state = 1318, .external_lex_state = 2},
  [1014] = {.lex_state = 1318, .external_lex_state = 2},
  [1015] = {.lex_state = 300, .external_lex_state = 2},
  [1016] = {.lex_state = 1318, .external_lex_state = 2},
  [1017] = {.lex_state = 300, .external_lex_state = 2},
  [1018] = {.lex_state = 300, .external_lex_state = 2},
  [1019] = {.lex_state = 300, .external_lex_state = 2},
  [1020] = {.lex_state = 300, .external_lex_state = 2},
  [1021] = {.lex_state = 300, .external_lex_state = 2},
  [1022] = {.lex_state = 1318, .external_lex_state = 2},
  [1023] = {.lex_state = 1318, .external_lex_state = 2},
  [1024] = {.lex_state = 300, .external_lex_state = 2},
  [1025] = {.lex_state = 300, .external_lex_state = 2},
  [1026] = {.lex_state = 300, .external_lex_state = 2},
  [1027] = {.lex_state = 300, .external_lex_state = 2},
  [1028] = {.lex_state = 300, .external_lex_state = 2},
  [1029] = {.lex_state = 300, .external_lex_state = 2},
  [1030] = {.lex_state = 300, .external_lex_state = 2},
  [1031] = {.lex_state = 1318, .external_lex_state = 2},
  [1032] = {.lex_state = 1318, .external_lex_state = 2},
  [1033] = {.lex_state = 1318, .external_lex_state = 2},
  [1034] = {.lex_state = 1318, .external_lex_state = 2},
  [1035] = {.lex_state = 1318, .external_lex_state = 2},
  [1036] = {.lex_state = 1318, .external_lex_state = 2},
  [1037] = {.lex_state = 1318, .external_lex_state = 2},
  [1038] = {.lex_state = 1318, .external_lex_state = 2},
  [1039] = {.lex_state = 1318, .external_lex_state = 2},
  [1040] = {.lex_state = 1318, .external_lex_state = 2},
  [1041] = {.lex_state = 1318, .external_lex_state = 2},
  [1042] = {.lex_state = 1318, .external_lex_state = 2},
  [1043] = {.lex_state = 1318, .external_lex_state = 2},
  [1044] = {.lex_state = 1318, .external_lex_state = 2},
  [1045] = {.lex_state = 1318, .external_lex_state = 2},
  [1046] = {.lex_state = 1318, .external_lex_state = 2},
  [1047] = {.lex_state = 1318, .external_lex_state = 2},
  [1048] = {.lex_state = 1318, .external_lex_state = 2},
  [1049] = {.lex_state = 1318, .external_lex_state = 2},
  [1050] = {.lex_state = 1318, .external_lex_state = 2},
  [1051] = {.lex_state = 1318, .external_lex_state = 2},
  [1052] = {.lex_state = 1318, .external_lex_state = 2},
  [1053] = {.lex_state = 1318, .external_lex_state = 2},
  [1054] = {.lex_state = 1318, .external_lex_state = 2},
  [1055] = {.lex_state = 1318, .external_lex_state = 2},
  [1056] = {.lex_state = 1318, .external_lex_state = 2},
  [1057] = {.lex_state = 300, .external_lex_state = 2},
  [1058] = {.lex_state = 1318, .external_lex_state = 2},
  [1059] = {.lex_state = 1318, .external_lex_state = 2},
  [1060] = {.lex_state = 1318, .external_lex_state = 2},
  [1061] = {.lex_state = 1318, .external_lex_state = 2},
  [1062] = {.lex_state = 1318, .external_lex_state = 2},
  [1063] = {.lex_state = 1318, .external_lex_state = 2},
  [1064] = {.lex_state = 1318, .external_lex_state = 2},
  [1065] = {.lex_state = 1318, .external_lex_state = 2},
  [1066] = {.lex_state = 1318, .external_lex_state = 2},
  [1067] = {.lex_state = 1318, .external_lex_state = 2},
  [1068] = {.lex_state = 1318, .external_lex_state = 2},
  [1069] = {.lex_state = 1318, .external_lex_state = 2},
  [1070] = {.lex_state = 1318, .external_lex_state = 2},
  [1071] = {.lex_state = 300, .external_lex_state = 2},
  [1072] = {.lex_state = 1318, .external_lex_state = 2},
  [1073] = {.lex_state = 1318, .external_lex_state = 2},
  [1074] = {.lex_state = 1318, .external_lex_state = 2},
  [1075] = {.lex_state = 1318, .external_lex_state = 2},
  [1076] = {.lex_state = 1318, .external_lex_state = 2},
  [1077] = {.lex_state = 1318, .external_lex_state = 2},
  [1078] = {.lex_state = 1318, .external_lex_state = 2},
  [1079] = {.lex_state = 1318, .external_lex_state = 2},
  [1080] = {.lex_state = 300, .external_lex_state = 2},
  [1081] = {.lex_state = 300, .external_lex_state = 2},
  [1082] = {.lex_state = 300, .external_lex_state = 2},
  [1083] = {.lex_state = 300, .external_lex_state = 2},
  [1084] = {.lex_state = 300, .external_lex_state = 2},
  [1085] = {.lex_state = 300, .external_lex_state = 2},
  [1086] = {.lex_state = 300, .external_lex_state = 2},
  [1087] = {.lex_state = 1318, .external_lex_state = 2},
  [1088] = {.lex_state = 1318, .external_lex_state = 2},
  [1089] = {.lex_state = 300, .external_lex_state = 2},
  [1090] = {.lex_state = 300, .external_lex_state = 2},
  [1091] = {.lex_state = 300, .external_lex_state = 2},
  [1092] = {.lex_state = 300, .external_lex_state = 2},
  [1093] = {.lex_state = 300, .external_lex_state = 2},
  [1094] = {.lex_state = 300, .external_lex_state = 2},
  [1095] = {.lex_state = 300, .external_lex_state = 2},
  [1096] = {.lex_state = 300, .external_lex_state = 2},
  [1097] = {.lex_state = 1318, .external_lex_state = 2},
  [1098] = {.lex_state = 300, .external_lex_state = 2},
  [1099] = {.lex_state = 1318, .external_lex_state = 2},
  [1100] = {.lex_state = 300, .external_lex_state = 2},
  [1101] = {.lex_state = 300, .external_lex_state = 2},
  [1102] = {.lex_state = 300, .external_lex_state = 2},
  [1103] = {.lex_state = 300, .external_lex_state = 2},
  [1104] = {.lex_state = 300, .external_lex_state = 2},
  [1105] = {.lex_state = 300, .external_lex_state = 2},
  [1106] = {.lex_state = 300, .external_lex_state = 2},
  [1107] = {.lex_state = 300, .external_lex_state = 2},
  [1108] = {.lex_state = 300, .external_lex_state = 2},
  [1109] = {.lex_state = 300, .external_lex_state = 2},
  [1110] = {.lex_state = 1318, .external_lex_state = 2},
  [1111] = {.lex_state = 300, .external_lex_state = 2},
  [1112] = {.lex_state = 300, .external_lex_state = 2},
  [1113] = {.lex_state = 1318, .external_lex_state = 2},
  [1114] = {.lex_state = 300, .external_lex_state = 2},
  [1115] = {.lex_state = 300, .external_lex_state = 2},
  [1116] = {.lex_state = 300, .external_lex_state = 2},
  [1117] = {.lex_state = 300, .external_lex_state = 2},
  [1118] = {.lex_state = 300, .external_lex_state = 2},
  [1119] = {.lex_state = 300, .external_lex_state = 2},
  [1120] = {.lex_state = 300, .external_lex_state = 2},
  [1121] = {.lex_state = 300, .external_lex_state = 2},
  [1122] = {.lex_state = 300, .external_lex_state = 2},
  [1123] = {.lex_state = 300, .external_lex_state = 2},
  [1124] = {.lex_state = 1318, .external_lex_state = 2},
  [1125] = {.lex_state = 300, .external_lex_state = 2},
  [1126] = {.lex_state = 300, .external_lex_state = 2},
  [1127] = {.lex_state = 1318, .external_lex_state = 2},
  [1128] = {.lex_state = 300, .external_lex_state = 2},
  [1129] = {.lex_state = 300, .external_lex_state = 2},
  [1130] = {.lex_state = 300, .external_lex_state = 2},
  [1131] = {.lex_state = 300, .external_lex_state = 2},
  [1132] = {.lex_state = 300, .external_lex_state = 2},
  [1133] = {.lex_state = 300, .external_lex_state = 2},
  [1134] = {.lex_state = 300, .external_lex_state = 2},
  [1135] = {.lex_state = 1318, .external_lex_state = 2},
  [1136] = {.lex_state = 1318, .external_lex_state = 2},
  [1137] = {.lex_state = 1318, .external_lex_state = 2},
  [1138] = {.lex_state = 300, .external_lex_state = 2},
  [1139] = {.lex_state = 300, .external_lex_state = 2},
  [1140] = {.lex_state = 1318, .external_lex_state = 2},
  [1141] = {.lex_state = 300, .external_lex_state = 2},
  [1142] = {.lex_state = 300, .external_lex_state = 2},
  [1143] = {.lex_state = 300, .external_lex_state = 2},
  [1144] = {.lex_state = 300, .external_lex_state = 2},
  [1145] = {.lex_state = 1318, .external_lex_state = 2},
  [1146] = {.lex_state = 300, .external_lex_state = 2},
  [1147] = {.lex_state = 1318, .external_lex_state = 2},
  [1148] = {.lex_state = 300, .external_lex_state = 2},
  [1149] = {.lex_state = 1318, .external_lex_state = 2},
  [1150] = {.lex_state = 300, .external_lex_state = 2},
  [1151] = {.lex_state = 1318, .external_lex_state = 2},
  [1152] = {.lex_state = 300, .external_lex_state = 2},
  [1153] = {.lex_state = 300, .external_lex_state = 2},
  [1154] = {.lex_state = 300, .external_lex_state = 2},
  [1155] = {.lex_state = 300, .external_lex_state = 2},
  [1156] = {.lex_state = 300, .external_lex_state = 2},
  [1157] = {.lex_state = 300, .external_lex_state = 2},
  [1158] = {.lex_state = 1318, .external_lex_state = 2},
  [1159] = {.lex_state = 244, .external_lex_state = 2},
  [1160] = {.lex_state = 244, .external_lex_state = 2},
  [1161] = {.lex_state = 244, .external_lex_state = 2},
  [1162] = {.lex_state = 244, .external_lex_state = 2},
  [1163] = {.lex_state = 244, .external_lex_state = 2},
  [1164] = {.lex_state = 244, .external_lex_state = 2},
  [1165] = {.lex_state = 244, .external_lex_state = 2},
  [1166] = {.lex_state = 242, .external_lex_state = 2},
  [1167] = {.lex_state = 244, .external_lex_state = 2},
  [1168] = {.lex_state = 244, .external_lex_state = 2},
  [1169] = {.lex_state = 244, .external_lex_state = 2},
  [1170] = {.lex_state = 244, .external_lex_state = 2},
  [1171] = {.lex_state = 244, .external_lex_state = 2},
  [1172] = {.lex_state = 242, .external_lex_state = 2},
  [1173] = {.lex_state = 244, .external_lex_state = 2},
  [1174] = {.lex_state = 244, .external_lex_state = 2},
  [1175] = {.lex_state = 244, .external_lex_state = 2},
  [1176] = {.lex_state = 242, .external_lex_state = 2},
  [1177] = {.lex_state = 242, .external_lex_state = 2},
  [1178] = {.lex_state = 244, .external_lex_state = 2},
  [1179] = {.lex_state = 244, .external_lex_state = 2},
  [1180] = {.lex_state = 242, .external_lex_state = 2},
  [1181] = {.lex_state = 244, .external_lex_state = 2},
  [1182] = {.lex_state = 244, .external_lex_state = 2},
  [1183] = {.lex_state = 244, .external_lex_state = 2},
  [1184] = {.lex_state = 244, .external_lex_state = 2},
  [1185] = {.lex_state = 244, .external_lex_state = 2},
  [1186] = {.lex_state = 244, .external_lex_state = 2},
  [1187] = {.lex_state = 244, .external_lex_state = 2},
  [1188] = {.lex_state = 244, .external_lex_state = 2},
  [1189] = {.lex_state = 244, .external_lex_state = 2},
  [1190] = {.lex_state = 244, .external_lex_state = 2},
  [1191] = {.lex_state = 244, .external_lex_state = 2},
  [1192] = {.lex_state = 244, .external_lex_state = 2},
  [1193] = {.lex_state = 244, .external_lex_state = 2},
  [1194] = {.lex_state = 244, .external_lex_state = 2},
  [1195] = {.lex_state = 244, .external_lex_state = 2},
  [1196] = {.lex_state = 244, .external_lex_state = 2},
  [1197] = {.lex_state = 242, .external_lex_state = 2},
  [1198] = {.lex_state = 244, .external_lex_state = 2},
  [1199] = {.lex_state = 242, .external_lex_state = 2},
  [1200] = {.lex_state = 242, .external_lex_state = 2},
  [1201] = {.lex_state = 242, .external_lex_state = 2},
  [1202] = {.lex_state = 242, .external_lex_state = 2},
  [1203] = {.lex_state = 242, .external_lex_state = 2},
  [1204] = {.lex_state = 242, .external_lex_state = 2},
  [1205] = {.lex_state = 242, .external_lex_state = 2},
  [1206] = {.lex_state = 242, .external_lex_state = 2},
  [1207] = {.lex_state = 242, .external_lex_state = 2},
  [1208] = {.lex_state = 242, .external_lex_state = 2},
  [1209] = {.lex_state = 242, .external_lex_state = 2},
  [1210] = {.lex_state = 242, .external_lex_state = 2},
  [1211] = {.lex_state = 242, .external_lex_state = 2},
  [1212] = {.lex_state = 242, .external_lex_state = 2},
  [1213] = {.lex_state = 242, .external_lex_state = 2},
  [1214] = {.lex_state = 242, .external_lex_state = 2},
  [1215] = {.lex_state = 242, .external_lex_state = 2},
  [1216] = {.lex_state = 242, .external_lex_state = 2},
  [1217] = {.lex_state = 242, .external_lex_state = 2},
  [1218] = {.lex_state = 242, .external_lex_state = 2},
  [1219] = {.lex_state = 242, .external_lex_state = 2},
  [1220] = {.lex_state = 242, .external_lex_state = 2},
  [1221] = {.lex_state = 242, .external_lex_state = 2},
  [1222] = {.lex_state = 242, .external_lex_state = 2},
  [1223] = {.lex_state = 242, .external_lex_state = 2},
  [1224] = {.lex_state = 242, .external_lex_state = 2},
  [1225] = {.lex_state = 242, .external_lex_state = 2},
  [1226] = {.lex_state = 242, .external_lex_state = 2},
  [1227] = {.lex_state = 242, .external_lex_state = 2},
  [1228] = {.lex_state = 242, .external_lex_state = 2},
  [1229] = {.lex_state = 242, .external_lex_state = 2},
  [1230] = {.lex_state = 242, .external_lex_state = 2},
  [1231] = {.lex_state = 242, .external_lex_state = 2},
  [1232] = {.lex_state = 242, .external_lex_state = 2},
  [1233] = {.lex_state = 303, .external_lex_state = 2},
  [1234] = {.lex_state = 303, .external_lex_state = 2},
  [1235] = {.lex_state = 303, .external_lex_state = 2},
  [1236] = {.lex_state = 303, .external_lex_state = 2},
  [1237] = {.lex_state = 303, .external_lex_state = 2},
  [1238] = {.lex_state = 303, .external_lex_state = 2},
  [1239] = {.lex_state = 254, .external_lex_state = 2},
  [1240] = {.lex_state = 275, .external_lex_state = 2},
  [1241] = {.lex_state = 262, .external_lex_state = 2},
  [1242] = {.lex_state = 262, .external_lex_state = 2},
  [1243] = {.lex_state = 275, .external_lex_state = 2},
  [1244] = {.lex_state = 275, .external_lex_state = 2},
  [1245] = {.lex_state = 262, .external_lex_state = 2},
  [1246] = {.lex_state = 275, .external_lex_state = 2},
  [1247] = {.lex_state = 275, .external_lex_state = 2},
  [1248] = {.lex_state = 275, .external_lex_state = 2},
  [1249] = {.lex_state = 262, .external_lex_state = 2},
  [1250] = {.lex_state = 275, .external_lex_state = 2},
  [1251] = {.lex_state = 275, .external_lex_state = 2},
  [1252] = {.lex_state = 275, .external_lex_state = 2},
  [1253] = {.lex_state = 254, .external_lex_state = 2},
  [1254] = {.lex_state = 275, .external_lex_state = 2},
  [1255] = {.lex_state = 303, .external_lex_state = 2},
  [1256] = {.lex_state = 303, .external_lex_state = 2},
  [1257] = {.lex_state = 253, .external_lex_state = 2},
  [1258] = {.lex_state = 303, .external_lex_state = 2},
  [1259] = {.lex_state = 254, .external_lex_state = 2},
  [1260] = {.lex_state = 254, .external_lex_state = 2},
  [1261] = {.lex_state = 275, .external_lex_state = 2},
  [1262] = {.lex_state = 275, .external_lex_state = 2},
  [1263] = {.lex_state = 262, .external_lex_state = 2},
  [1264] = {.lex_state = 275, .external_lex_state = 2},
  [1265] = {.lex_state = 253, .external_lex_state = 2},
  [1266] = {.lex_state = 254, .external_lex_state = 2},
  [1267] = {.lex_state = 254, .external_lex_state = 2},
  [1268] = {.lex_state = 262, .external_lex_state = 2},
  [1269] = {.lex_state = 262, .external_lex_state = 2},
  [1270] = {.lex_state = 253, .external_lex_state = 2},
  [1271] = {.lex_state = 254, .external_lex_state = 2},
  [1272] = {.lex_state = 254, .external_lex_state = 2},
  [1273] = {.lex_state = 303, .external_lex_state = 2},
  [1274] = {.lex_state = 254, .external_lex_state = 2},
  [1275] = {.lex_state = 254, .external_lex_state = 2},
  [1276] = {.lex_state = 254, .external_lex_state = 2},
  [1277] = {.lex_state = 275, .external_lex_state = 2},
  [1278] = {.lex_state = 262, .external_lex_state = 2},
  [1279] = {.lex_state = 275, .external_lex_state = 2},
  [1280] = {.lex_state = 254, .external_lex_state = 2},
  [1281] = {.lex_state = 262, .external_lex_state = 2},
  [1282] = {.lex_state = 303, .external_lex_state = 2},
  [1283] = {.lex_state = 262, .external_lex_state = 2},
  [1284] = {.lex_state = 254, .external_lex_state = 2},
  [1285] = {.lex_state = 262, .external_lex_state = 2},
  [1286] = {.lex_state = 303, .external_lex_state = 2},
  [1287] = {.lex_state = 303, .external_lex_state = 2},
  [1288] = {.lex_state = 262, .external_lex_state = 2},
  [1289] = {.lex_state = 303, .external_lex_state = 2},
  [1290] = {.lex_state = 254, .external_lex_state = 2},
  [1291] = {.lex_state = 254, .external_lex_state = 2},
  [1292] = {.lex_state = 303, .external_lex_state = 2},
  [1293] = {.lex_state = 253, .external_lex_state = 2},
  [1294] = {.lex_state = 262, .external_lex_state = 2},
  [1295] = {.lex_state = 275, .external_lex_state = 2},
  [1296] = {.lex_state = 275, .external_lex_state = 2},
  [1297] = {.lex_state = 262, .external_lex_state = 2},
  [1298] = {.lex_state = 254, .external_lex_state = 2},
  [1299] = {.lex_state = 254, .external_lex_state = 2},
  [1300] = {.lex_state = 262, .external_lex_state = 2},
  [1301] = {.lex_state = 254, .external_lex_state = 2},
  [1302] = {.lex_state = 262, .external_lex_state = 2},
  [1303] = {.lex_state = 254, .external_lex_state = 2},
  [1304] = {.lex_state = 262, .external_lex_state = 2},
  [1305] = {.lex_state = 262, .external_lex_state = 2},
  [1306] = {.lex_state = 253, .external_lex_state = 2},
  [1307] = {.lex_state = 253, .external_lex_state = 2},
  [1308] = {.lex_state = 262, .external_lex_state = 2},
  [1309] = {.lex_state = 303, .external_lex_state = 2},
  [1310] = {.lex_state = 262, .external_lex_state = 2},
  [1311] = {.lex_state = 262, .external_lex_state = 2},
  [1312] = {.lex_state = 303, .external_lex_state = 2},
  [1313] = {.lex_state = 254, .external_lex_state = 2},
  [1314] = {.lex_state = 254, .external_lex_state = 2},
  [1315] = {.lex_state = 303, .external_lex_state = 2},
  [1316] = {.lex_state = 262, .external_lex_state = 2},
  [1317] = {.lex_state = 262, .external_lex_state = 2},
  [1318] = {.lex_state = 303, .external_lex_state = 2},
  [1319] = {.lex_state = 303, .external_lex_state = 2},
  [1320] = {.lex_state = 253, .external_lex_state = 2},
  [1321] = {.lex_state = 253, .external_lex_state = 2},
  [1322] = {.lex_state = 262, .external_lex_state = 2},
  [1323] = {.lex_state = 254, .external_lex_state = 2},
  [1324] = {.lex_state = 262, .external_lex_state = 2},
  [1325] = {.lex_state = 262, .external_lex_state = 2},
  [1326] = {.lex_state = 303, .external_lex_state = 2},
  [1327] = {.lex_state = 275, .external_lex_state = 2},
  [1328] = {.lex_state = 253, .external_lex_state = 2},
  [1329] = {.lex_state = 253, .external_lex_state = 2},
  [1330] = {.lex_state = 262, .external_lex_state = 2},
  [1331] = {.lex_state = 275, .external_lex_state = 2},
  [1332] = {.lex_state = 253, .external_lex_state = 2},
  [1333] = {.lex_state = 275, .external_lex_state = 2},
  [1334] = {.lex_state = 275, .external_lex_state = 2},
  [1335] = {.lex_state = 275, .external_lex_state = 2},
  [1336] = {.lex_state = 254, .external_lex_state = 2},
  [1337] = {.lex_state = 254, .external_lex_state = 2},
  [1338] = {.lex_state = 254, .external_lex_state = 2},
  [1339] = {.lex_state = 275, .external_lex_state = 2},
  [1340] = {.lex_state = 275, .external_lex_state = 2},
  [1341] = {.lex_state = 303, .external_lex_state = 2},
  [1342] = {.lex_state = 303, .external_lex_state = 2},
  [1343] = {.lex_state = 253, .external_lex_state = 2},
  [1344] = {.lex_state = 253, .external_lex_state = 2},
  [1345] = {.lex_state = 303, .external_lex_state = 2},
  [1346] = {.lex_state = 253, .external_lex_state = 2},
  [1347] = {.lex_state = 303, .external_lex_state = 2},
  [1348] = {.lex_state = 303, .external_lex_state = 2},
  [1349] = {.lex_state = 303, .external_lex_state = 2},
  [1350] = {.lex_state = 303, .external_lex_state = 2},
  [1351] = {.lex_state = 303, .external_lex_state = 2},
  [1352] = {.lex_state = 275, .external_lex_state = 2},
  [1353] = {.lex_state = 253, .external_lex_state = 2},
  [1354] = {.lex_state = 253, .external_lex_state = 2},
  [1355] = {.lex_state = 253, .external_lex_state = 2},
  [1356] = {.lex_state = 253, .external_lex_state = 2},
  [1357] = {.lex_state = 303, .external_lex_state = 2},
  [1358] = {.lex_state = 254, .external_lex_state = 2},
  [1359] = {.lex_state = 262, .external_lex_state = 2},
  [1360] = {.lex_state = 275, .external_lex_state = 2},
  [1361] = {.lex_state = 253, .external_lex_state = 2},
  [1362] = {.lex_state = 275, .external_lex_state = 2},
  [1363] = {.lex_state = 303, .external_lex_state = 2},
  [1364] = {.lex_state = 253, .external_lex_state = 2},
  [1365] = {.lex_state = 253, .external_lex_state = 2},
  [1366] = {.lex_state = 275, .external_lex_state = 2},
  [1367] = {.lex_state = 303, .external_lex_state = 2},
  [1368] = {.lex_state = 253, .external_lex_state = 2},
  [1369] = {.lex_state = 253, .external_lex_state = 2},
  [1370] = {.lex_state = 254, .external_lex_state = 2},
  [1371] = {.lex_state = 254, .external_lex_state = 2},
  [1372] = {.lex_state = 253, .external_lex_state = 2},
  [1373] = {.lex_state = 253, .external_lex_state = 2},
  [1374] = {.lex_state = 253, .external_lex_state = 2},
  [1375] = {.lex_state = 303, .external_lex_state = 2},
  [1376] = {.lex_state = 253, .external_lex_state = 2},
  [1377] = {.lex_state = 253, .external_lex_state = 2},
  [1378] = {.lex_state = 303, .external_lex_state = 2},
  [1379] = {.lex_state = 262, .external_lex_state = 2},
  [1380] = {.lex_state = 262, .external_lex_state = 2},
  [1381] = {.lex_state = 262, .external_lex_state = 2},
  [1382] = {.lex_state = 253, .external_lex_state = 2},
  [1383] = {.lex_state = 262, .external_lex_state = 2},
  [1384] = {.lex_state = 253, .external_lex_state = 2},
  [1385] = {.lex_state = 262, .external_lex_state = 2},
  [1386] = {.lex_state = 275, .external_lex_state = 2},
  [1387] = {.lex_state = 275, .external_lex_state = 2},
  [1388] = {.lex_state = 253, .external_lex_state = 2},
  [1389] = {.lex_state = 253, .external_lex_state = 2},
  [1390] = {.lex_state = 253, .external_lex_state = 2},
  [1391] = {.lex_state = 253, .external_lex_state = 2},
  [1392] = {.lex_state = 275, .external_lex_state = 2},
  [1393] = {.lex_state = 253, .external_lex_state = 2},
  [1394] = {.lex_state = 253, .external_lex_state = 2},
  [1395] = {.lex_state = 262, .external_lex_state = 2},
  [1396] = {.lex_state = 253, .external_lex_state = 2},
  [1397] = {.lex_state = 262, .external_lex_state = 2},
  [1398] = {.lex_state = 262, .external_lex_state = 2},
  [1399] = {.lex_state = 262, .external_lex_state = 2},
  [1400] = {.lex_state = 253, .external_lex_state = 2},
  [1401] = {.lex_state = 253, .external_lex_state = 2},
  [1402] = {.lex_state = 253, .external_lex_state = 2},
  [1403] = {.lex_state = 301, .external_lex_state = 2},
  [1404] = {.lex_state = 254, .external_lex_state = 2},
  [1405] = {.lex_state = 254, .external_lex_state = 2},
  [1406] = {.lex_state = 275, .external_lex_state = 2},
  [1407] = {.lex_state = 275, .external_lex_state = 2},
  [1408] = {.lex_state = 301, .external_lex_state = 2},
  [1409] = {.lex_state = 301, .external_lex_state = 2},
  [1410] = {.lex_state = 301, .external_lex_state = 2},
  [1411] = {.lex_state = 301, .external_lex_state = 2},
  [1412] = {.lex_state = 275, .external_lex_state = 2},
  [1413] = {.lex_state = 275, .external_lex_state = 2},
  [1414] = {.lex_state = 254, .external_lex_state = 2},
  [1415] = {.lex_state = 301, .external_lex_state = 2},
  [1416] = {.lex_state = 301, .external_lex_state = 2},
  [1417] = {.lex_state = 301, .external_lex_state = 2},
  [1418] = {.lex_state = 254, .external_lex_state = 2},
  [1419] = {.lex_state = 254, .external_lex_state = 2},
  [1420] = {.lex_state = 254, .external_lex_state = 2},
  [1421] = {.lex_state = 253, .external_lex_state = 2},
  [1422] = {.lex_state = 254, .external_lex_state = 2},
  [1423] = {.lex_state = 254, .external_lex_state = 2},
  [1424] = {.lex_state = 254, .external_lex_state = 2},
  [1425] = {.lex_state = 254, .external_lex_state = 2},
  [1426] = {.lex_state = 254, .external_lex_state = 2},
  [1427] = {.lex_state = 254, .external_lex_state = 2},
  [1428] = {.lex_state = 262, .external_lex_state = 2},
  [1429] = {.lex_state = 254, .external_lex_state = 2},
  [1430] = {.lex_state = 262, .external_lex_state = 2},
  [1431] = {.lex_state = 262, .external_lex_state = 2},
  [1432] = {.lex_state = 262, .external_lex_state = 2},
  [1433] = {.lex_state = 301, .external_lex_state = 2},
  [1434] = {.lex_state = 253, .external_lex_state = 2},
  [1435] = {.lex_state = 275, .external_lex_state = 2},
  [1436] = {.lex_state = 275, .external_lex_state = 2},
  [1437] = {.lex_state = 254, .external_lex_state = 2},
  [1438] = {.lex_state = 254, .external_lex_state = 2},
  [1439] = {.lex_state = 262, .external_lex_state = 2},
  [1440] = {.lex_state = 275, .external_lex_state = 2},
  [1441] = {.lex_state = 262, .external_lex_state = 2},
  [1442] = {.lex_state = 254, .external_lex_state = 2},
  [1443] = {.lex_state = 254, .external_lex_state = 2},
  [1444] = {.lex_state = 262, .external_lex_state = 2},
  [1445] = {.lex_state = 254, .external_lex_state = 2},
  [1446] = {.lex_state = 254, .external_lex_state = 2},
  [1447] = {.lex_state = 275, .external_lex_state = 2},
  [1448] = {.lex_state = 253, .external_lex_state = 2},
  [1449] = {.lex_state = 262, .external_lex_state = 2},
  [1450] = {.lex_state = 254, .external_lex_state = 2},
  [1451] = {.lex_state = 254, .external_lex_state = 2},
  [1452] = {.lex_state = 254, .external_lex_state = 2},
  [1453] = {.lex_state = 253, .external_lex_state = 2},
  [1454] = {.lex_state = 262, .external_lex_state = 2},
  [1455] = {.lex_state = 253, .external_lex_state = 2},
  [1456] = {.lex_state = 275, .external_lex_state = 2},
  [1457] = {.lex_state = 275, .external_lex_state = 2},
  [1458] = {.lex_state = 254, .external_lex_state = 2},
  [1459] = {.lex_state = 262, .external_lex_state = 2},
  [1460] = {.lex_state = 275, .external_lex_state = 2},
  [1461] = {.lex_state = 253, .external_lex_state = 2},
  [1462] = {.lex_state = 253, .external_lex_state = 2},
  [1463] = {.lex_state = 275, .external_lex_state = 2},
  [1464] = {.lex_state = 275, .external_lex_state = 2},
  [1465] = {.lex_state = 253, .external_lex_state = 2},
  [1466] = {.lex_state = 254, .external_lex_state = 2},
  [1467] = {.lex_state = 275, .external_lex_state = 2},
  [1468] = {.lex_state = 253, .external_lex_state = 2},
  [1469] = {.lex_state = 275, .external_lex_state = 2},
  [1470] = {.lex_state = 254, .external_lex_state = 2},
  [1471] = {.lex_state = 275, .external_lex_state = 2},
  [1472] = {.lex_state = 275, .external_lex_state = 2},
  [1473] = {.lex_state = 262, .external_lex_state = 2},
  [1474] = {.lex_state = 262, .external_lex_state = 2},
  [1475] = {.lex_state = 254, .external_lex_state = 2},
  [1476] = {.lex_state = 262, .external_lex_state = 2},
  [1477] = {.lex_state = 275, .external_lex_state = 2},
  [1478] = {.lex_state = 262, .external_lex_state = 2},
  [1479] = {.lex_state = 262, .external_lex_state = 2},
  [1480] = {.lex_state = 262, .external_lex_state = 2},
  [1481] = {.lex_state = 262, .external_lex_state = 2},
  [1482] = {.lex_state = 253, .external_lex_state = 2},
  [1483] = {.lex_state = 262, .external_lex_state = 2},
  [1484] = {.lex_state = 254, .external_lex_state = 2},
  [1485] = {.lex_state = 262, .external_lex_state = 2},
  [1486] = {.lex_state = 253, .external_lex_state = 2},
  [1487] = {.lex_state = 275, .external_lex_state = 2},
  [1488] = {.lex_state = 275, .external_lex_state = 2},
  [1489] = {.lex_state = 254, .external_lex_state = 2},
  [1490] = {.lex_state = 254, .external_lex_state = 2},
  [1491] = {.lex_state = 253, .external_lex_state = 2},
  [1492] = {.lex_state = 253, .external_lex_state = 2},
  [1493] = {.lex_state = 253, .external_lex_state = 2},
  [1494] = {.lex_state = 253, .external_lex_state = 2},
  [1495] = {.lex_state = 253, .external_lex_state = 2},
  [1496] = {.lex_state = 253, .external_lex_state = 2},
  [1497] = {.lex_state = 262, .external_lex_state = 2},
  [1498] = {.lex_state = 262, .external_lex_state = 2},
  [1499] = {.lex_state = 262, .external_lex_state = 2},
  [1500] = {.lex_state = 253, .external_lex_state = 2},
  [1501] = {.lex_state = 275, .external_lex_state = 2},
  [1502] = {.lex_state = 254, .external_lex_state = 2},
  [1503] = {.lex_state = 253, .external_lex_state = 2},
  [1504] = {.lex_state = 262, .external_lex_state = 2},
  [1505] = {.lex_state = 262, .external_lex_state = 2},
  [1506] = {.lex_state = 262, .external_lex_state = 2},
  [1507] = {.lex_state = 254, .external_lex_state = 2},
  [1508] = {.lex_state = 254, .external_lex_state = 2},
  [1509] = {.lex_state = 275, .external_lex_state = 2},
  [1510] = {.lex_state = 253, .external_lex_state = 2},
  [1511] = {.lex_state = 262, .external_lex_state = 2},
  [1512] = {.lex_state = 253, .external_lex_state = 2},
  [1513] = {.lex_state = 262, .external_lex_state = 2},
  [1514] = {.lex_state = 262, .external_lex_state = 2},
  [1515] = {.lex_state = 275, .external_lex_state = 2},
  [1516] = {.lex_state = 262, .external_lex_state = 2},
  [1517] = {.lex_state = 275, .external_lex_state = 2},
  [1518] = {.lex_state = 275, .external_lex_state = 2},
  [1519] = {.lex_state = 275, .external_lex_state = 2},
  [1520] = {.lex_state = 275, .external_lex_state = 2},
  [1521] = {.lex_state = 275, .external_lex_state = 2},
  [1522] = {.lex_state = 275, .external_lex_state = 2},
  [1523] = {.lex_state = 253, .external_lex_state = 2},
  [1524] = {.lex_state = 275, .external_lex_state = 2},
  [1525] = {.lex_state = 253, .external_lex_state = 2},
  [1526] = {.lex_state = 262, .external_lex_state = 2},
  [1527] = {.lex_state = 262, .external_lex_state = 2},
  [1528] = {.lex_state = 262, .external_lex_state = 2},
  [1529] = {.lex_state = 275, .external_lex_state = 2},
  [1530] = {.lex_state = 254, .external_lex_state = 2},
  [1531] = {.lex_state = 253, .external_lex_state = 2},
  [1532] = {.lex_state = 275, .external_lex_state = 2},
  [1533] = {.lex_state = 253, .external_lex_state = 2},
  [1534] = {.lex_state = 254, .external_lex_state = 2},
  [1535] = {.lex_state = 254, .external_lex_state = 2},
  [1536] = {.lex_state = 275, .external_lex_state = 2},
  [1537] = {.lex_state = 275, .external_lex_state = 2},
  [1538] = {.lex_state = 254, .external_lex_state = 2},
  [1539] = {.lex_state = 253, .external_lex_state = 2},
  [1540] = {.lex_state = 254, .external_lex_state = 2},
  [1541] = {.lex_state = 275, .external_lex_state = 2},
  [1542] = {.lex_state = 262, .external_lex_state = 2},
  [1543] = {.lex_state = 254, .external_lex_state = 2},
  [1544] = {.lex_state = 254, .external_lex_state = 2},
  [1545] = {.lex_state = 254, .external_lex_state = 2},
  [1546] = {.lex_state = 275, .external_lex_state = 2},
  [1547] = {.lex_state = 275, .external_lex_state = 2},
  [1548] = {.lex_state = 254, .external_lex_state = 2},
  [1549] = {.lex_state = 254, .external_lex_state = 2},
  [1550] = {.lex_state = 253, .external_lex_state = 2},
  [1551] = {.lex_state = 262, .external_lex_state = 2},
  [1552] = {.lex_state = 262, .external_lex_state = 2},
  [1553] = {.lex_state = 275, .external_lex_state = 2},
  [1554] = {.lex_state = 275, .external_lex_state = 2},
  [1555] = {.lex_state = 275, .external_lex_state = 2},
  [1556] = {.lex_state = 275, .external_lex_state = 2},
  [1557] = {.lex_state = 275, .external_lex_state = 2},
  [1558] = {.lex_state = 253, .external_lex_state = 2},
  [1559] = {.lex_state = 275, .external_lex_state = 2},
  [1560] = {.lex_state = 253, .external_lex_state = 2},
  [1561] = {.lex_state = 262, .external_lex_state = 2},
  [1562] = {.lex_state = 262, .external_lex_state = 2},
  [1563] = {.lex_state = 275, .external_lex_state = 2},
  [1564] = {.lex_state = 275, .external_lex_state = 2},
  [1565] = {.lex_state = 253, .external_lex_state = 2},
  [1566] = {.lex_state = 262, .external_lex_state = 2},
  [1567] = {.lex_state = 262, .external_lex_state = 2},
  [1568] = {.lex_state = 262, .external_lex_state = 2},
  [1569] = {.lex_state = 275, .external_lex_state = 2},
  [1570] = {.lex_state = 301, .external_lex_state = 2},
  [1571] = {.lex_state = 301, .external_lex_state = 2},
  [1572] = {.lex_state = 253, .external_lex_state = 2},
  [1573] = {.lex_state = 275, .external_lex_state = 2},
  [1574] = {.lex_state = 262, .external_lex_state = 2},
  [1575] = {.lex_state = 254, .external_lex_state = 2},
  [1576] = {.lex_state = 301, .external_lex_state = 2},
  [1577] = {.lex_state = 301, .external_lex_state = 2},
  [1578] = {.lex_state = 254, .external_lex_state = 2},
  [1579] = {.lex_state = 301, .external_lex_state = 2},
  [1580] = {.lex_state = 253, .external_lex_state = 2},
  [1581] = {.lex_state = 275, .external_lex_state = 2},
  [1582] = {.lex_state = 301, .external_lex_state = 2},
  [1583] = {.lex_state = 253, .external_lex_state = 2},
  [1584] = {.lex_state = 275, .external_lex_state = 2},
  [1585] = {.lex_state = 301, .external_lex_state = 2},
  [1586] = {.lex_state = 262, .external_lex_state = 2},
  [1587] = {.lex_state = 262, .external_lex_state = 2},
  [1588] = {.lex_state = 301, .external_lex_state = 2},
  [1589] = {.lex_state = 301, .external_lex_state = 2},
  [1590] = {.lex_state = 275, .external_lex_state = 2},
  [1591] = {.lex_state = 275, .external_lex_state = 2},
  [1592] = {.lex_state = 301, .external_lex_state = 2},
  [1593] = {.lex_state = 301, .external_lex_state = 2},
  [1594] = {.lex_state = 254, .external_lex_state = 2},
  [1595] = {.lex_state = 301, .external_lex_state = 2},
  [1596] = {.lex_state = 262, .external_lex_state = 2},
  [1597] = {.lex_state = 253, .external_lex_state = 2},
  [1598] = {.lex_state = 275, .external_lex_state = 2},
  [1599] = {.lex_state = 262, .external_lex_state = 2},
  [1600] = {.lex_state = 301, .external_lex_state = 2},
  [1601] = {.lex_state = 253, .external_lex_state = 2},
  [1602] = {.lex_state = 275, .external_lex_state = 2},
  [1603] = {.lex_state = 275, .external_lex_state = 2},
  [1604] = {.lex_state = 262, .external_lex_state = 2},
  [1605] = {.lex_state = 253, .external_lex_state = 2},
  [1606] = {.lex_state = 275, .external_lex_state = 2},
  [1607] = {.lex_state = 301, .external_lex_state = 2},
  [1608] = {.lex_state = 254, .external_lex_state = 2},
  [1609] = {.lex_state = 262, .external_lex_state = 2},
  [1610] = {.lex_state = 262, .external_lex_state = 2},
  [1611] = {.lex_state = 253, .external_lex_state = 2},
  [1612] = {.lex_state = 254, .external_lex_state = 2},
  [1613] = {.lex_state = 275, .external_lex_state = 2},
  [1614] = {.lex_state = 262, .external_lex_state = 2},
  [1615] = {.lex_state = 301, .external_lex_state = 2},
  [1616] = {.lex_state = 253, .external_lex_state = 2},
  [1617] = {.lex_state = 275, .external_lex_state = 2},
  [1618] = {.lex_state = 301, .external_lex_state = 2},
  [1619] = {.lex_state = 262, .external_lex_state = 2},
  [1620] = {.lex_state = 262, .external_lex_state = 2},
  [1621] = {.lex_state = 301, .external_lex_state = 2},
  [1622] = {.lex_state = 301, .external_lex_state = 2},
  [1623] = {.lex_state = 262, .external_lex_state = 2},
  [1624] = {.lex_state = 275, .external_lex_state = 2},
  [1625] = {.lex_state = 254, .external_lex_state = 2},
  [1626] = {.lex_state = 254, .external_lex_state = 2},
  [1627] = {.lex_state = 301, .external_lex_state = 2},
  [1628] = {.lex_state = 253, .external_lex_state = 2},
  [1629] = {.lex_state = 301, .external_lex_state = 2},
  [1630] = {.lex_state = 301, .external_lex_state = 2},
  [1631] = {.lex_state = 275, .external_lex_state = 2},
  [1632] = {.lex_state = 254, .external_lex_state = 2},
  [1633] = {.lex_state = 253, .external_lex_state = 2},
  [1634] = {.lex_state = 253, .external_lex_state = 2},
  [1635] = {.lex_state = 254, .external_lex_state = 2},
  [1636] = {.lex_state = 253, .external_lex_state = 2},
  [1637] = {.lex_state = 254, .external_lex_state = 2},
  [1638] = {.lex_state = 275, .external_lex_state = 2},
  [1639] = {.lex_state = 253, .external_lex_state = 2},
  [1640] = {.lex_state = 275, .external_lex_state = 2},
  [1641] = {.lex_state = 262, .external_lex_state = 2},
  [1642] = {.lex_state = 253, .external_lex_state = 2},
  [1643] = {.lex_state = 253, .external_lex_state = 2},
  [1644] = {.lex_state = 253, .external_lex_state = 2},
  [1645] = {.lex_state = 253, .external_lex_state = 2},
  [1646] = {.lex_state = 275, .external_lex_state = 2},
  [1647] = {.lex_state = 275, .external_lex_state = 2},
  [1648] = {.lex_state = 253, .external_lex_state = 2},
  [1649] = {.lex_state = 275, .external_lex_state = 2},
  [1650] = {.lex_state = 301, .external_lex_state = 2},
  [1651] = {.lex_state = 301, .external_lex_state = 2},
  [1652] = {.lex_state = 254, .external_lex_state = 2},
  [1653] = {.lex_state = 254, .external_lex_state = 2},
  [1654] = {.lex_state = 254, .external_lex_state = 2},
  [1655] = {.lex_state = 254, .external_lex_state = 2},
  [1656] = {.lex_state = 254, .external_lex_state = 2},
  [1657] = {.lex_state = 253, .external_lex_state = 2},
  [1658] = {.lex_state = 253, .external_lex_state = 2},
  [1659] = {.lex_state = 301, .external_lex_state = 2},
  [1660] = {.lex_state = 301, .external_lex_state = 2},
  [1661] = {.lex_state = 254, .external_lex_state = 2},
  [1662] = {.lex_state = 254, .external_lex_state = 2},
  [1663] = {.lex_state = 254, .external_lex_state = 2},
  [1664] = {.lex_state = 254, .external_lex_state = 2},
  [1665] = {.lex_state = 254, .external_lex_state = 2},
  [1666] = {.lex_state = 275, .external_lex_state = 2},
  [1667] = {.lex_state = 275, .external_lex_state = 2},
  [1668] = {.lex_state = 275, .external_lex_state = 2},
  [1669] = {.lex_state = 252, .external_lex_state = 2},
  [1670] = {.lex_state = 252, .external_lex_state = 2},
  [1671] = {.lex_state = 252, .external_lex_state = 2},
  [1672] = {.lex_state = 252, .external_lex_state = 2},
  [1673] = {.lex_state = 252, .external_lex_state = 2},
  [1674] = {.lex_state = 252, .external_lex_state = 2},
  [1675] = {.lex_state = 252, .external_lex_state = 2},
  [1676] = {.lex_state = 252, .external_lex_state = 2},
  [1677] = {.lex_state = 252, .external_lex_state = 2},
  [1678] = {.lex_state = 252, .external_lex_state = 2},
  [1679] = {.lex_state = 252, .external_lex_state = 2},
  [1680] = {.lex_state = 252, .external_lex_state = 2},
  [1681] = {.lex_state = 252, .external_lex_state = 2},
  [1682] = {.lex_state = 252, .external_lex_state = 2},
  [1683] = {.lex_state = 252, .external_lex_state = 2},
  [1684] = {.lex_state = 252, .external_lex_state = 2},
  [1685] = {.lex_state = 252, .external_lex_state = 2},
  [1686] = {.lex_state = 252, .external_lex_state = 2},
  [1687] = {.lex_state = 252, .external_lex_state = 2},
  [1688] = {.lex_state = 252, .external_lex_state = 2},
  [1689] = {.lex_state = 252, .external_lex_state = 2},
  [1690] = {.lex_state = 252, .external_lex_state = 2},
  [1691] = {.lex_state = 252, .external_lex_state = 2},
  [1692] = {.lex_state = 252, .external_lex_state = 2},
  [1693] = {.lex_state = 252, .external_lex_state = 2},
  [1694] = {.lex_state = 252, .external_lex_state = 2},
  [1695] = {.lex_state = 252, .external_lex_state = 2},
  [1696] = {.lex_state = 252, .external_lex_state = 2},
  [1697] = {.lex_state = 252, .external_lex_state = 2},
  [1698] = {.lex_state = 252, .external_lex_state = 2},
  [1699] = {.lex_state = 252, .external_lex_state = 2},
  [1700] = {.lex_state = 252, .external_lex_state = 2},
  [1701] = {.lex_state = 252, .external_lex_state = 2},
  [1702] = {.lex_state = 252, .external_lex_state = 2},
  [1703] = {.lex_state = 309, .external_lex_state = 2},
  [1704] = {.lex_state = 309, .external_lex_state = 3},
  [1705] = {.lex_state = 310, .external_lex_state = 2},
  [1706] = {.lex_state = 309, .external_lex_state = 2},
  [1707] = {.lex_state = 312, .external_lex_state = 2},
  [1708] = {.lex_state = 314, .external_lex_state = 2},
  [1709] = {.lex_state = 309, .external_lex_state = 2},
  [1710] = {.lex_state = 307, .external_lex_state = 2},
  [1711] = {.lex_state = 307, .external_lex_state = 2},
  [1712] = {.lex_state = 307, .external_lex_state = 2},
  [1713] = {.lex_state = 307, .external_lex_state = 2},
  [1714] = {.lex_state = 307, .external_lex_state = 2},
  [1715] = {.lex_state = 307, .external_lex_state = 2},
  [1716] = {.lex_state = 257, .external_lex_state = 2},
  [1717] = {.lex_state = 264, .external_lex_state = 2},
  [1718] = {.lex_state = 257, .external_lex_state = 2},
  [1719] = {.lex_state = 257, .external_lex_state = 2},
  [1720] = {.lex_state = 257, .external_lex_state = 2},
  [1721] = {.lex_state = 307, .external_lex_state = 2},
  [1722] = {.lex_state = 307, .external_lex_state = 2},
  [1723] = {.lex_state = 307, .external_lex_state = 2},
  [1724] = {.lex_state = 307, .external_lex_state = 2},
  [1725] = {.lex_state = 307, .external_lex_state = 2},
  [1726] = {.lex_state = 307, .external_lex_state = 2},
  [1727] = {.lex_state = 307, .external_lex_state = 2},
  [1728] = {.lex_state = 307, .external_lex_state = 2},
  [1729] = {.lex_state = 307, .external_lex_state = 2},
  [1730] = {.lex_state = 307, .external_lex_state = 2},
  [1731] = {.lex_state = 307, .external_lex_state = 2},
  [1732] = {.lex_state = 307, .external_lex_state = 2},
  [1733] = {.lex_state = 307, .external_lex_state = 2},
  [1734] = {.lex_state = 307, .external_lex_state = 2},
  [1735] = {.lex_state = 257, .external_lex_state = 2},
  [1736] = {.lex_state = 307, .external_lex_state = 2},
  [1737] = {.lex_state = 307, .external_lex_state = 2},
  [1738] = {.lex_state = 307, .external_lex_state = 2},
  [1739] = {.lex_state = 307, .external_lex_state = 2},
  [1740] = {.lex_state = 307, .external_lex_state = 2},
  [1741] = {.lex_state = 264, .external_lex_state = 2},
  [1742] = {.lex_state = 264, .external_lex_state = 2},
  [1743] = {.lex_state = 264, .external_lex_state = 2},
  [1744] = {.lex_state = 264, .external_lex_state = 2},
  [1745] = {.lex_state = 264, .external_lex_state = 2},
  [1746] = {.lex_state = 307, .external_lex_state = 2},
  [1747] = {.lex_state = 307, .external_lex_state = 2},
  [1748] = {.lex_state = 307, .external_lex_state = 2},
  [1749] = {.lex_state = 307, .external_lex_state = 2},
  [1750] = {.lex_state = 307, .external_lex_state = 2},
  [1751] = {.lex_state = 307, .external_lex_state = 2},
  [1752] = {.lex_state = 257, .external_lex_state = 2},
  [1753] = {.lex_state = 307, .external_lex_state = 2},
  [1754] = {.lex_state = 264, .external_lex_state = 2},
  [1755] = {.lex_state = 257, .external_lex_state = 2},
  [1756] = {.lex_state = 307, .external_lex_state = 2},
  [1757] = {.lex_state = 307, .external_lex_state = 2},
  [1758] = {.lex_state = 307, .external_lex_state = 2},
  [1759] = {.lex_state = 307, .external_lex_state = 2},
  [1760] = {.lex_state = 307, .external_lex_state = 2},
  [1761] = {.lex_state = 307, .external_lex_state = 2},
  [1762] = {.lex_state = 307, .external_lex_state = 2},
  [1763] = {.lex_state = 264, .external_lex_state = 2},
  [1764] = {.lex_state = 257, .external_lex_state = 2},
  [1765] = {.lex_state = 257, .external_lex_state = 2},
  [1766] = {.lex_state = 257, .external_lex_state = 2},
  [1767] = {.lex_state = 257, .external_lex_state = 2},
  [1768] = {.lex_state = 264, .external_lex_state = 2},
  [1769] = {.lex_state = 264, .external_lex_state = 2},
  [1770] = {.lex_state = 264, .external_lex_state = 2},
  [1771] = {.lex_state = 264, .external_lex_state = 2},
  [1772] = {.lex_state = 257, .external_lex_state = 2},
  [1773] = {.lex_state = 257, .external_lex_state = 2},
  [1774] = {.lex_state = 257, .external_lex_state = 2},
  [1775] = {.lex_state = 257, .external_lex_state = 2},
  [1776] = {.lex_state = 264, .external_lex_state = 2},
  [1777] = {.lex_state = 264, .external_lex_state = 2},
  [1778] = {.lex_state = 264, .external_lex_state = 2},
  [1779] = {.lex_state = 264, .external_lex_state = 2},
  [1780] = {.lex_state = 257, .external_lex_state = 2},
  [1781] = {.lex_state = 307, .external_lex_state = 2},
  [1782] = {.lex_state = 264, .external_lex_state = 2},
  [1783] = {.lex_state = 264, .external_lex_state = 2},
  [1784] = {.lex_state = 257, .external_lex_state = 2},
  [1785] = {.lex_state = 257, .external_lex_state = 2},
  [1786] = {.lex_state = 257, .external_lex_state = 2},
  [1787] = {.lex_state = 264, .external_lex_state = 2},
  [1788] = {.lex_state = 264, .external_lex_state = 2},
  [1789] = {.lex_state = 257, .external_lex_state = 2},
  [1790] = {.lex_state = 257, .external_lex_state = 2},
  [1791] = {.lex_state = 257, .external_lex_state = 2},
  [1792] = {.lex_state = 257, .external_lex_state = 2},
  [1793] = {.lex_state = 257, .external_lex_state = 2},
  [1794] = {.lex_state = 257, .external_lex_state = 2},
  [1795] = {.lex_state = 257, .external_lex_state = 2},
  [1796] = {.lex_state = 257, .external_lex_state = 2},
  [1797] = {.lex_state = 264, .external_lex_state = 2},
  [1798] = {.lex_state = 264, .external_lex_state = 2},
  [1799] = {.lex_state = 264, .external_lex_state = 2},
  [1800] = {.lex_state = 264, .external_lex_state = 2},
  [1801] = {.lex_state = 264, .external_lex_state = 2},
  [1802] = {.lex_state = 264, .external_lex_state = 2},
  [1803] = {.lex_state = 264, .external_lex_state = 2},
  [1804] = {.lex_state = 264, .external_lex_state = 2},
  [1805] = {.lex_state = 264, .external_lex_state = 2},
  [1806] = {.lex_state = 257, .external_lex_state = 2},
  [1807] = {.lex_state = 257, .external_lex_state = 2},
  [1808] = {.lex_state = 264, .external_lex_state = 2},
  [1809] = {.lex_state = 264, .external_lex_state = 2},
  [1810] = {.lex_state = 264, .external_lex_state = 2},
  [1811] = {.lex_state = 264, .external_lex_state = 2},
  [1812] = {.lex_state = 260, .external_lex_state = 2},
  [1813] = {.lex_state = 257, .external_lex_state = 2},
  [1814] = {.lex_state = 257, .external_lex_state = 2},
  [1815] = {.lex_state = 257, .external_lex_state = 2},
  [1816] = {.lex_state = 257, .external_lex_state = 2},
  [1817] = {.lex_state = 264, .external_lex_state = 2},
  [1818] = {.lex_state = 257, .external_lex_state = 2},
  [1819] = {.lex_state = 264, .external_lex_state = 2},
  [1820] = {.lex_state = 264, .external_lex_state = 2},
  [1821] = {.lex_state = 264, .external_lex_state = 2},
  [1822] = {.lex_state = 264, .external_lex_state = 2},
  [1823] = {.lex_state = 264, .external_lex_state = 2},
  [1824] = {.lex_state = 257, .external_lex_state = 2},
  [1825] = {.lex_state = 264, .external_lex_state = 2},
  [1826] = {.lex_state = 264, .external_lex_state = 2},
  [1827] = {.lex_state = 264, .external_lex_state = 2},
  [1828] = {.lex_state = 264, .external_lex_state = 2},
  [1829] = {.lex_state = 264, .external_lex_state = 2},
  [1830] = {.lex_state = 264, .external_lex_state = 2},
  [1831] = {.lex_state = 264, .external_lex_state = 2},
  [1832] = {.lex_state = 257, .external_lex_state = 2},
  [1833] = {.lex_state = 257, .external_lex_state = 2},
  [1834] = {.lex_state = 264, .external_lex_state = 2},
  [1835] = {.lex_state = 264, .external_lex_state = 2},
  [1836] = {.lex_state = 257, .external_lex_state = 2},
  [1837] = {.lex_state = 264, .external_lex_state = 2},
  [1838] = {.lex_state = 260, .external_lex_state = 2},
  [1839] = {.lex_state = 260, .external_lex_state = 2},
  [1840] = {.lex_state = 260, .external_lex_state = 2},
  [1841] = {.lex_state = 257, .external_lex_state = 2},
  [1842] = {.lex_state = 257, .external_lex_state = 2},
  [1843] = {.lex_state = 257, .external_lex_state = 2},
  [1844] = {.lex_state = 264, .external_lex_state = 2},
  [1845] = {.lex_state = 257, .external_lex_state = 2},
  [1846] = {.lex_state = 257, .external_lex_state = 2},
  [1847] = {.lex_state = 257, .external_lex_state = 2},
  [1848] = {.lex_state = 264, .external_lex_state = 2},
  [1849] = {.lex_state = 257, .external_lex_state = 2},
  [1850] = {.lex_state = 260, .external_lex_state = 2},
  [1851] = {.lex_state = 260, .external_lex_state = 2},
  [1852] = {.lex_state = 260, .external_lex_state = 2},
  [1853] = {.lex_state = 260, .external_lex_state = 2},
  [1854] = {.lex_state = 257, .external_lex_state = 2},
  [1855] = {.lex_state = 257, .external_lex_state = 2},
  [1856] = {.lex_state = 257, .external_lex_state = 2},
  [1857] = {.lex_state = 257, .external_lex_state = 2},
  [1858] = {.lex_state = 257, .external_lex_state = 2},
  [1859] = {.lex_state = 257, .external_lex_state = 2},
  [1860] = {.lex_state = 257, .external_lex_state = 2},
  [1861] = {.lex_state = 257, .external_lex_state = 2},
  [1862] = {.lex_state = 260, .external_lex_state = 2},
  [1863] = {.lex_state = 260, .external_lex_state = 2},
  [1864] = {.lex_state = 260, .external_lex_state = 2},
  [1865] = {.lex_state = 260, .external_lex_state = 2},
  [1866] = {.lex_state = 257, .external_lex_state = 2},
  [1867] = {.lex_state = 257, .external_lex_state = 2},
  [1868] = {.lex_state = 257, .external_lex_state = 2},
  [1869] = {.lex_state = 257, .external_lex_state = 2},
  [1870] = {.lex_state = 257, .external_lex_state = 2},
  [1871] = {.lex_state = 260, .external_lex_state = 2},
  [1872] = {.lex_state = 260, .external_lex_state = 2},
  [1873] = {.lex_state = 260, .external_lex_state = 2},
  [1874] = {.lex_state = 264, .external_lex_state = 2},
  [1875] = {.lex_state = 257, .external_lex_state = 2},
  [1876] = {.lex_state = 257, .external_lex_state = 2},
  [1877] = {.lex_state = 264, .external_lex_state = 2},
  [1878] = {.lex_state = 260, .external_lex_state = 2},
  [1879] = {.lex_state = 257, .external_lex_state = 2},
  [1880] = {.lex_state = 257, .external_lex_state = 2},
  [1881] = {.lex_state = 257, .external_lex_state = 2},
  [1882] = {.lex_state = 257, .external_lex_state = 2},
  [1883] = {.lex_state = 257, .external_lex_state = 2},
  [1884] = {.lex_state = 264, .external_lex_state = 2},
  [1885] = {.lex_state = 264, .external_lex_state = 2},
  [1886] = {.lex_state = 264, .external_lex_state = 2},
  [1887] = {.lex_state = 264, .external_lex_state = 2},
  [1888] = {.lex_state = 264, .external_lex_state = 2},
  [1889] = {.lex_state = 264, .external_lex_state = 2},
  [1890] = {.lex_state = 264, .external_lex_state = 2},
  [1891] = {.lex_state = 264, .external_lex_state = 2},
  [1892] = {.lex_state = 264, .external_lex_state = 2},
  [1893] = {.lex_state = 264, .external_lex_state = 2},
  [1894] = {.lex_state = 264, .external_lex_state = 2},
  [1895] = {.lex_state = 264, .external_lex_state = 2},
  [1896] = {.lex_state = 264, .external_lex_state = 2},
  [1897] = {.lex_state = 257, .external_lex_state = 2},
  [1898] = {.lex_state = 257, .external_lex_state = 2},
  [1899] = {.lex_state = 264, .external_lex_state = 2},
  [1900] = {.lex_state = 264, .external_lex_state = 2},
  [1901] = {.lex_state = 257, .external_lex_state = 2},
  [1902] = {.lex_state = 264, .external_lex_state = 2},
  [1903] = {.lex_state = 257, .external_lex_state = 2},
  [1904] = {.lex_state = 264, .external_lex_state = 2},
  [1905] = {.lex_state = 264, .external_lex_state = 2},
  [1906] = {.lex_state = 257, .external_lex_state = 2},
  [1907] = {.lex_state = 264, .external_lex_state = 2},
  [1908] = {.lex_state = 257, .external_lex_state = 2},
  [1909] = {.lex_state = 257, .external_lex_state = 2},
  [1910] = {.lex_state = 264, .external_lex_state = 2},
  [1911] = {.lex_state = 264, .external_lex_state = 2},
  [1912] = {.lex_state = 257, .external_lex_state = 2},
  [1913] = {.lex_state = 264, .external_lex_state = 2},
  [1914] = {.lex_state = 257, .external_lex_state = 2},
  [1915] = {.lex_state = 260, .external_lex_state = 2},
  [1916] = {.lex_state = 260, .external_lex_state = 2},
  [1917] = {.lex_state = 260, .external_lex_state = 2},
  [1918] = {.lex_state = 260, .external_lex_state = 2},
  [1919] = {.lex_state = 260, .external_lex_state = 2},
  [1920] = {.lex_state = 260, .external_lex_state = 2},
  [1921] = {.lex_state = 260, .external_lex_state = 2},
  [1922] = {.lex_state = 260, .external_lex_state = 2},
  [1923] = {.lex_state = 260, .external_lex_state = 2},
  [1924] = {.lex_state = 260, .external_lex_state = 2},
  [1925] = {.lex_state = 260, .external_lex_state = 2},
  [1926] = {.lex_state = 260, .external_lex_state = 2},
  [1927] = {.lex_state = 260, .external_lex_state = 2},
  [1928] = {.lex_state = 260, .external_lex_state = 2},
  [1929] = {.lex_state = 260, .external_lex_state = 2},
  [1930] = {.lex_state = 260, .external_lex_state = 2},
  [1931] = {.lex_state = 260, .external_lex_state = 2},
  [1932] = {.lex_state = 260, .external_lex_state = 2},
  [1933] = {.lex_state = 260, .external_lex_state = 2},
  [1934] = {.lex_state = 260, .external_lex_state = 2},
  [1935] = {.lex_state = 260, .external_lex_state = 2},
  [1936] = {.lex_state = 260, .external_lex_state = 2},
  [1937] = {.lex_state = 260, .external_lex_state = 2},
  [1938] = {.lex_state = 260, .external_lex_state = 2},
  [1939] = {.lex_state = 260, .external_lex_state = 2},
  [1940] = {.lex_state = 260, .external_lex_state = 2},
  [1941] = {.lex_state = 260, .external_lex_state = 2},
  [1942] = {.lex_state = 260, .external_lex_state = 2},
  [1943] = {.lex_state = 260, .external_lex_state = 2},
  [1944] = {.lex_state = 260, .external_lex_state = 2},
  [1945] = {.lex_state = 260, .external_lex_state = 2},
  [1946] = {.lex_state = 260, .external_lex_state = 2},
  [1947] = {.lex_state = 260, .external_lex_state = 2},
  [1948] = {.lex_state = 260, .external_lex_state = 2},
  [1949] = {.lex_state = 260, .external_lex_state = 2},
  [1950] = {.lex_state = 260, .external_lex_state = 2},
  [1951] = {.lex_state = 260, .external_lex_state = 2},
  [1952] = {.lex_state = 260, .external_lex_state = 2},
  [1953] = {.lex_state = 260, .external_lex_state = 2},
  [1954] = {.lex_state = 260, .external_lex_state = 2},
  [1955] = {.lex_state = 260, .external_lex_state = 2},
  [1956] = {.lex_state = 260, .external_lex_state = 2},
  [1957] = {.lex_state = 260, .external_lex_state = 2},
  [1958] = {.lex_state = 260, .external_lex_state = 2},
  [1959] = {.lex_state = 260, .external_lex_state = 2},
  [1960] = {.lex_state = 260, .external_lex_state = 2},
  [1961] = {.lex_state = 260, .external_lex_state = 2},
  [1962] = {.lex_state = 260, .external_lex_state = 2},
  [1963] = {.lex_state = 260, .external_lex_state = 2},
  [1964] = {.lex_state = 260, .external_lex_state = 2},
  [1965] = {.lex_state = 260, .external_lex_state = 2},
  [1966] = {.lex_state = 260, .external_lex_state = 2},
  [1967] = {.lex_state = 260, .external_lex_state = 2},
  [1968] = {.lex_state = 260, .external_lex_state = 2},
  [1969] = {.lex_state = 308, .external_lex_state = 2},
  [1970] = {.lex_state = 308, .external_lex_state = 2},
  [1971] = {.lex_state = 308, .external_lex_state = 2},
  [1972] = {.lex_state = 308, .external_lex_state = 2},
  [1973] = {.lex_state = 308, .external_lex_state = 2},
  [1974] = {.lex_state = 308, .external_lex_state = 2},
  [1975] = {.lex_state = 308, .external_lex_state = 2},
  [1976] = {.lex_state = 308, .external_lex_state = 2},
  [1977] = {.lex_state = 308, .external_lex_state = 2},
  [1978] = {.lex_state = 317, .external_lex_state = 4},
  [1979] = {.lex_state = 317, .external_lex_state = 4},
  [1980] = {.lex_state = 308, .external_lex_state = 2},
  [1981] = {.lex_state = 308, .external_lex_state = 2},
  [1982] = {.lex_state = 308, .external_lex_state = 2},
  [1983] = {.lex_state = 317, .external_lex_state = 4},
  [1984] = {.lex_state = 317, .external_lex_state = 4},
  [1985] = {.lex_state = 308, .external_lex_state = 2},
  [1986] = {.lex_state = 317, .external_lex_state = 4},
  [1987] = {.lex_state = 308, .external_lex_state = 2},
  [1988] = {.lex_state = 317, .external_lex_state = 4},
  [1989] = {.lex_state = 317, .external_lex_state = 4},
  [1990] = {.lex_state = 317, .external_lex_state = 4},
  [1991] = {.lex_state = 318, .external_lex_state = 5},
  [1992] = {.lex_state = 308, .external_lex_state = 2},
  [1993] = {.lex_state = 317, .external_lex_state = 4},
  [1994] = {.lex_state = 317, .external_lex_state = 4},
  [1995] = {.lex_state = 308, .external_lex_state = 2},
  [1996] = {.lex_state = 308, .external_lex_state = 2},
  [1997] = {.lex_state = 308, .external_lex_state = 2},
  [1998] = {.lex_state = 308, .external_lex_state = 2},
  [1999] = {.lex_state = 317, .external_lex_state = 4},
  [2000] = {.lex_state = 317, .external_lex_state = 4},
  [2001] = {.lex_state = 317, .external_lex_state = 4},
  [2002] = {.lex_state = 317, .external_lex_state = 4},
  [2003] = {.lex_state = 317, .external_lex_state = 4},
  [2004] = {.lex_state = 308, .external_lex_state = 2},
  [2005] = {.lex_state = 308, .external_lex_state = 2},
  [2006] = {.lex_state = 308, .external_lex_state = 2},
  [2007] = {.lex_state = 308, .external_lex_state = 2},
  [2008] = {.lex_state = 308, .external_lex_state = 2},
  [2009] = {.lex_state = 308, .external_lex_state = 2},
  [2010] = {.lex_state = 308, .external_lex_state = 2},
  [2011] = {.lex_state = 308, .external_lex_state = 2},
  [2012] = {.lex_state = 308, .external_lex_state = 2},
  [2013] = {.lex_state = 308, .external_lex_state = 2},
  [2014] = {.lex_state = 317, .external_lex_state = 4},
  [2015] = {.lex_state = 308, .external_lex_state = 2},
  [2016] = {.lex_state = 308, .external_lex_state = 2},
  [2017] = {.lex_state = 308, .external_lex_state = 2},
  [2018] = {.lex_state = 308, .external_lex_state = 2},
  [2019] = {.lex_state = 317, .external_lex_state = 4},
  [2020] = {.lex_state = 308, .external_lex_state = 2},
  [2021] = {.lex_state = 317, .external_lex_state = 4},
  [2022] = {.lex_state = 245, .external_lex_state = 2},
  [2023] = {.lex_state = 245, .external_lex_state = 2},
  [2024] = {.lex_state = 245, .external_lex_state = 2},
  [2025] = {.lex_state = 245, .external_lex_state = 2},
  [2026] = {.lex_state = 245, .external_lex_state = 2},
  [2027] = {.lex_state = 245, .external_lex_state = 2},
  [2028] = {.lex_state = 245, .external_lex_state = 2},
  [2029] = {.lex_state = 245, .external_lex_state = 2},
  [2030] = {.lex_state = 245, .external_lex_state = 2},
  [2031] = {.lex_state = 338, .external_lex_state = 2},
  [2032] = {.lex_state = 245, .external_lex_state = 2},
  [2033] = {.lex_state = 245, .external_lex_state = 2},
  [2034] = {.lex_state = 338, .external_lex_state = 2},
  [2035] = {.lex_state = 338, .external_lex_state = 2},
  [2036] = {.lex_state = 245, .external_lex_state = 2},
  [2037] = {.lex_state = 245, .external_lex_state = 2},
  [2038] = {.lex_state = 245, .external_lex_state = 2},
  [2039] = {.lex_state = 338, .external_lex_state = 2},
  [2040] = {.lex_state = 338, .external_lex_state = 2},
  [2041] = {.lex_state = 338, .external_lex_state = 2},
  [2042] = {.lex_state = 338, .external_lex_state = 2},
  [2043] = {.lex_state = 338, .external_lex_state = 2},
  [2044] = {.lex_state = 333, .external_lex_state = 2},
  [2045] = {.lex_state = 245, .external_lex_state = 2},
  [2046] = {.lex_state = 333, .external_lex_state = 2},
  [2047] = {.lex_state = 245, .external_lex_state = 2},
  [2048] = {.lex_state = 243, .external_lex_state = 2},
  [2049] = {.lex_state = 243, .external_lex_state = 2},
  [2050] = {.lex_state = 243, .external_lex_state = 2},
  [2051] = {.lex_state = 243, .external_lex_state = 2},
  [2052] = {.lex_state = 243, .external_lex_state = 2},
  [2053] = {.lex_state = 243, .external_lex_state = 2},
  [2054] = {.lex_state = 243, .external_lex_state = 2},
  [2055] = {.lex_state = 256, .external_lex_state = 2},
  [2056] = {.lex_state = 256, .external_lex_state = 2},
  [2057] = {.lex_state = 256, .external_lex_state = 2},
  [2058] = {.lex_state = 256, .external_lex_state = 2},
  [2059] = {.lex_state = 256, .external_lex_state = 2},
  [2060] = {.lex_state = 256, .external_lex_state = 2},
  [2061] = {.lex_state = 256, .external_lex_state = 2},
  [2062] = {.lex_state = 256, .external_lex_state = 2},
  [2063] = {.lex_state = 243, .external_lex_state = 2},
  [2064] = {.lex_state = 245, .external_lex_state = 2},
  [2065] = {.lex_state = 245, .external_lex_state = 2},
  [2066] = {.lex_state = 245, .external_lex_state = 2},
  [2067] = {.lex_state = 245, .external_lex_state = 2},
  [2068] = {.lex_state = 245, .external_lex_state = 2},
  [2069] = {.lex_state = 245, .external_lex_state = 2},
  [2070] = {.lex_state = 245, .external_lex_state = 2},
  [2071] = {.lex_state = 245, .external_lex_state = 2},
  [2072] = {.lex_state = 243, .external_lex_state = 2},
  [2073] = {.lex_state = 245, .external_lex_state = 2},
  [2074] = {.lex_state = 243, .external_lex_state = 2},
  [2075] = {.lex_state = 243, .external_lex_state = 2},
  [2076] = {.lex_state = 243, .external_lex_state = 2},
  [2077] = {.lex_state = 317, .external_lex_state = 4},
  [2078] = {.lex_state = 243, .external_lex_state = 2},
  [2079] = {.lex_state = 243, .external_lex_state = 2},
  [2080] = {.lex_state = 243, .external_lex_state = 2},
  [2081] = {.lex_state = 243, .external_lex_state = 2},
  [2082] = {.lex_state = 245, .external_lex_state = 2},
  [2083] = {.lex_state = 243, .external_lex_state = 2},
  [2084] = {.lex_state = 317, .external_lex_state = 4},
  [2085] = {.lex_state = 317, .external_lex_state = 4},
  [2086] = {.lex_state = 245, .external_lex_state = 2},
  [2087] = {.lex_state = 245, .external_lex_state = 2},
  [2088] = {.lex_state = 245, .external_lex_state = 2},
  [2089] = {.lex_state = 245, .external_lex_state = 2},
  [2090] = {.lex_state = 245, .external_lex_state = 2},
  [2091] = {.lex_state = 245, .external_lex_state = 2},
  [2092] = {.lex_state = 317, .external_lex_state = 4},
  [2093] = {.lex_state = 317, .external_lex_state = 4},
  [2094] = {.lex_state = 245, .external_lex_state = 2},
  [2095] = {.lex_state = 245, .external_lex_state = 2},
  [2096] = {.lex_state = 245, .external_lex_state = 2},
  [2097] = {.lex_state = 245, .external_lex_state = 2},
  [2098] = {.lex_state = 245, .external_lex_state = 2},
  [2099] = {.lex_state = 243, .external_lex_state = 2},
  [2100] = {.lex_state = 243, .external_lex_state = 2},
  [2101] = {.lex_state = 243, .external_lex_state = 2},
  [2102] = {.lex_state = 243, .external_lex_state = 2},
  [2103] = {.lex_state = 243, .external_lex_state = 2},
  [2104] = {.lex_state = 245, .external_lex_state = 2},
  [2105] = {.lex_state = 317, .external_lex_state = 4},
  [2106] = {.lex_state = 317, .external_lex_state = 4},
  [2107] = {.lex_state = 256, .external_lex_state = 2},
  [2108] = {.lex_state = 317, .external_lex_state = 4},
  [2109] = {.lex_state = 317, .external_lex_state = 4},
  [2110] = {.lex_state = 245, .external_lex_state = 2},
  [2111] = {.lex_state = 245, .external_lex_state = 2},
  [2112] = {.lex_state = 256, .external_lex_state = 2},
  [2113] = {.lex_state = 256, .external_lex_state = 2},
  [2114] = {.lex_state = 256, .external_lex_state = 2},
  [2115] = {.lex_state = 256, .external_lex_state = 2},
  [2116] = {.lex_state = 256, .external_lex_state = 2},
  [2117] = {.lex_state = 245, .external_lex_state = 2},
  [2118] = {.lex_state = 256, .external_lex_state = 2},
  [2119] = {.lex_state = 256, .external_lex_state = 2},
  [2120] = {.lex_state = 317, .external_lex_state = 4},
  [2121] = {.lex_state = 256, .external_lex_state = 2},
  [2122] = {.lex_state = 243, .external_lex_state = 2},
  [2123] = {.lex_state = 243, .external_lex_state = 2},
  [2124] = {.lex_state = 243, .external_lex_state = 2},
  [2125] = {.lex_state = 243, .external_lex_state = 2},
  [2126] = {.lex_state = 243, .external_lex_state = 2},
  [2127] = {.lex_state = 324, .external_lex_state = 5},
  [2128] = {.lex_state = 256, .external_lex_state = 2},
  [2129] = {.lex_state = 256, .external_lex_state = 2},
  [2130] = {.lex_state = 256, .external_lex_state = 2},
  [2131] = {.lex_state = 243, .external_lex_state = 2},
  [2132] = {.lex_state = 243, .external_lex_state = 2},
  [2133] = {.lex_state = 256, .external_lex_state = 2},
  [2134] = {.lex_state = 256, .external_lex_state = 2},
  [2135] = {.lex_state = 256, .external_lex_state = 2},
  [2136] = {.lex_state = 256, .external_lex_state = 2},
  [2137] = {.lex_state = 256, .external_lex_state = 2},
  [2138] = {.lex_state = 256, .external_lex_state = 2},
  [2139] = {.lex_state = 256, .external_lex_state = 2},
  [2140] = {.lex_state = 333, .external_lex_state = 2},
  [2141] = {.lex_state = 333, .external_lex_state = 2},
  [2142] = {.lex_state = 246, .external_lex_state = 2},
  [2143] = {.lex_state = 333, .external_lex_state = 2},
  [2144] = {.lex_state = 243, .external_lex_state = 2},
  [2145] = {.lex_state = 246, .external_lex_state = 2},
  [2146] = {.lex_state = 243, .external_lex_state = 2},
  [2147] = {.lex_state = 243, .external_lex_state = 2},
  [2148] = {.lex_state = 246, .external_lex_state = 2},
  [2149] = {.lex_state = 243, .external_lex_state = 2},
  [2150] = {.lex_state = 246, .external_lex_state = 2},
  [2151] = {.lex_state = 243, .external_lex_state = 2},
  [2152] = {.lex_state = 246, .external_lex_state = 2},
  [2153] = {.lex_state = 333, .external_lex_state = 2},
  [2154] = {.lex_state = 243, .external_lex_state = 2},
  [2155] = {.lex_state = 246, .external_lex_state = 2},
  [2156] = {.lex_state = 333, .external_lex_state = 2},
  [2157] = {.lex_state = 333, .external_lex_state = 2},
  [2158] = {.lex_state = 246, .external_lex_state = 2},
  [2159] = {.lex_state = 246, .external_lex_state = 2},
  [2160] = {.lex_state = 333, .external_lex_state = 2},
  [2161] = {.lex_state = 333, .external_lex_state = 2},
  [2162] = {.lex_state = 333, .external_lex_state = 2},
  [2163] = {.lex_state = 256, .external_lex_state = 2},
  [2164] = {.lex_state = 256, .external_lex_state = 2},
  [2165] = {.lex_state = 243, .external_lex_state = 2},
  [2166] = {.lex_state = 324, .external_lex_state = 5},
  [2167] = {.lex_state = 333, .external_lex_state = 2},
  [2168] = {.lex_state = 243, .external_lex_state = 2},
  [2169] = {.lex_state = 243, .external_lex_state = 2},
  [2170] = {.lex_state = 256, .external_lex_state = 2},
  [2171] = {.lex_state = 243, .external_lex_state = 2},
  [2172] = {.lex_state = 243, .external_lex_state = 2},
  [2173] = {.lex_state = 246, .external_lex_state = 2},
  [2174] = {.lex_state = 256, .external_lex_state = 2},
  [2175] = {.lex_state = 243, .external_lex_state = 2},
  [2176] = {.lex_state = 243, .external_lex_state = 2},
  [2177] = {.lex_state = 256, .external_lex_state = 2},
  [2178] = {.lex_state = 246, .external_lex_state = 2},
  [2179] = {.lex_state = 246, .external_lex_state = 2},
  [2180] = {.lex_state = 246, .external_lex_state = 2},
  [2181] = {.lex_state = 246, .external_lex_state = 2},
  [2182] = {.lex_state = 246, .external_lex_state = 2},
  [2183] = {.lex_state = 333, .external_lex_state = 2},
  [2184] = {.lex_state = 256, .external_lex_state = 2},
  [2185] = {.lex_state = 256, .external_lex_state = 2},
  [2186] = {.lex_state = 246, .external_lex_state = 2},
  [2187] = {.lex_state = 256, .external_lex_state = 2},
  [2188] = {.lex_state = 256, .external_lex_state = 2},
  [2189] = {.lex_state = 246, .external_lex_state = 2},
  [2190] = {.lex_state = 256, .external_lex_state = 2},
  [2191] = {.lex_state = 256, .external_lex_state = 2},
  [2192] = {.lex_state = 256, .external_lex_state = 2},
  [2193] = {.lex_state = 256, .external_lex_state = 2},
  [2194] = {.lex_state = 256, .external_lex_state = 2},
  [2195] = {.lex_state = 243, .external_lex_state = 2},
  [2196] = {.lex_state = 243, .external_lex_state = 2},
  [2197] = {.lex_state = 243, .external_lex_state = 2},
  [2198] = {.lex_state = 324, .external_lex_state = 5},
  [2199] = {.lex_state = 243, .external_lex_state = 2},
  [2200] = {.lex_state = 243, .external_lex_state = 2},
  [2201] = {.lex_state = 246, .external_lex_state = 2},
  [2202] = {.lex_state = 246, .external_lex_state = 2},
  [2203] = {.lex_state = 246, .external_lex_state = 2},
  [2204] = {.lex_state = 246, .external_lex_state = 2},
  [2205] = {.lex_state = 246, .external_lex_state = 2},
  [2206] = {.lex_state = 246, .external_lex_state = 2},
  [2207] = {.lex_state = 246, .external_lex_state = 2},
  [2208] = {.lex_state = 246, .external_lex_state = 2},
  [2209] = {.lex_state = 246, .external_lex_state = 2},
  [2210] = {.lex_state = 334, .external_lex_state = 2},
  [2211] = {.lex_state = 246, .external_lex_state = 2},
  [2212] = {.lex_state = 246, .external_lex_state = 2},
  [2213] = {.lex_state = 246, .external_lex_state = 2},
  [2214] = {.lex_state = 246, .external_lex_state = 2},
  [2215] = {.lex_state = 246, .external_lex_state = 2},
  [2216] = {.lex_state = 246, .external_lex_state = 2},
  [2217] = {.lex_state = 246, .external_lex_state = 2},
  [2218] = {.lex_state = 246, .external_lex_state = 2},
  [2219] = {.lex_state = 246, .external_lex_state = 2},
  [2220] = {.lex_state = 246, .external_lex_state = 2},
  [2221] = {.lex_state = 246, .external_lex_state = 2},
  [2222] = {.lex_state = 246, .external_lex_state = 2},
  [2223] = {.lex_state = 246, .external_lex_state = 2},
  [2224] = {.lex_state = 246, .external_lex_state = 2},
  [2225] = {.lex_state = 333, .external_lex_state = 2},
  [2226] = {.lex_state = 246, .external_lex_state = 2},
  [2227] = {.lex_state = 246, .external_lex_state = 2},
  [2228] = {.lex_state = 259, .external_lex_state = 2},
  [2229] = {.lex_state = 259, .external_lex_state = 2},
  [2230] = {.lex_state = 259, .external_lex_state = 2},
  [2231] = {.lex_state = 302, .external_lex_state = 2},
  [2232] = {.lex_state = 302, .external_lex_state = 2},
  [2233] = {.lex_state = 302, .external_lex_state = 2},
  [2234] = {.lex_state = 302, .external_lex_state = 2},
  [2235] = {.lex_state = 302, .external_lex_state = 2},
  [2236] = {.lex_state = 302, .external_lex_state = 2},
  [2237] = {.lex_state = 259, .external_lex_state = 2},
  [2238] = {.lex_state = 259, .external_lex_state = 2},
  [2239] = {.lex_state = 302, .external_lex_state = 2},
  [2240] = {.lex_state = 302, .external_lex_state = 2},
  [2241] = {.lex_state = 259, .external_lex_state = 2},
  [2242] = {.lex_state = 259, .external_lex_state = 2},
  [2243] = {.lex_state = 259, .external_lex_state = 2},
  [2244] = {.lex_state = 259, .external_lex_state = 2},
  [2245] = {.lex_state = 302, .external_lex_state = 2},
  [2246] = {.lex_state = 259, .external_lex_state = 2},
  [2247] = {.lex_state = 302, .external_lex_state = 2},
  [2248] = {.lex_state = 259, .external_lex_state = 2},
  [2249] = {.lex_state = 259, .external_lex_state = 2},
  [2250] = {.lex_state = 302, .external_lex_state = 2},
  [2251] = {.lex_state = 259, .external_lex_state = 2},
  [2252] = {.lex_state = 259, .external_lex_state = 2},
  [2253] = {.lex_state = 259, .external_lex_state = 2},
  [2254] = {.lex_state = 302, .external_lex_state = 2},
  [2255] = {.lex_state = 259, .external_lex_state = 2},
  [2256] = {.lex_state = 302, .external_lex_state = 2},
  [2257] = {.lex_state = 302, .external_lex_state = 2},
  [2258] = {.lex_state = 302, .external_lex_state = 2},
  [2259] = {.lex_state = 302, .external_lex_state = 2},
  [2260] = {.lex_state = 259, .external_lex_state = 2},
  [2261] = {.lex_state = 267, .external_lex_state = 2},
  [2262] = {.lex_state = 255, .external_lex_state = 2},
  [2263] = {.lex_state = 267, .external_lex_state = 2},
  [2264] = {.lex_state = 267, .external_lex_state = 2},
  [2265] = {.lex_state = 255, .external_lex_state = 2},
  [2266] = {.lex_state = 269, .external_lex_state = 2},
  [2267] = {.lex_state = 263, .external_lex_state = 2},
  [2268] = {.lex_state = 267, .external_lex_state = 2},
  [2269] = {.lex_state = 263, .external_lex_state = 2},
  [2270] = {.lex_state = 255, .external_lex_state = 2},
  [2271] = {.lex_state = 263, .external_lex_state = 2},
  [2272] = {.lex_state = 269, .external_lex_state = 2},
  [2273] = {.lex_state = 263, .external_lex_state = 2},
  [2274] = {.lex_state = 263, .external_lex_state = 2},
  [2275] = {.lex_state = 255, .external_lex_state = 2},
  [2276] = {.lex_state = 255, .external_lex_state = 2},
  [2277] = {.lex_state = 267, .external_lex_state = 2},
  [2278] = {.lex_state = 267, .external_lex_state = 2},
  [2279] = {.lex_state = 304, .external_lex_state = 2},
  [2280] = {.lex_state = 302, .external_lex_state = 2},
  [2281] = {.lex_state = 255, .external_lex_state = 2},
  [2282] = {.lex_state = 255, .external_lex_state = 2},
  [2283] = {.lex_state = 258, .external_lex_state = 2},
  [2284] = {.lex_state = 258, .external_lex_state = 2},
  [2285] = {.lex_state = 255, .external_lex_state = 2},
  [2286] = {.lex_state = 267, .external_lex_state = 2},
  [2287] = {.lex_state = 267, .external_lex_state = 2},
  [2288] = {.lex_state = 267, .external_lex_state = 2},
  [2289] = {.lex_state = 302, .external_lex_state = 2},
  [2290] = {.lex_state = 267, .external_lex_state = 2},
  [2291] = {.lex_state = 263, .external_lex_state = 2},
  [2292] = {.lex_state = 263, .external_lex_state = 2},
  [2293] = {.lex_state = 263, .external_lex_state = 2},
  [2294] = {.lex_state = 263, .external_lex_state = 2},
  [2295] = {.lex_state = 259, .external_lex_state = 2},
  [2296] = {.lex_state = 263, .external_lex_state = 2},
  [2297] = {.lex_state = 255, .external_lex_state = 2},
  [2298] = {.lex_state = 302, .external_lex_state = 2},
  [2299] = {.lex_state = 255, .external_lex_state = 2},
  [2300] = {.lex_state = 269, .external_lex_state = 2},
  [2301] = {.lex_state = 259, .external_lex_state = 2},
  [2302] = {.lex_state = 263, .external_lex_state = 2},
  [2303] = {.lex_state = 259, .external_lex_state = 2},
  [2304] = {.lex_state = 302, .external_lex_state = 2},
  [2305] = {.lex_state = 259, .external_lex_state = 2},
  [2306] = {.lex_state = 302, .external_lex_state = 2},
  [2307] = {.lex_state = 259, .external_lex_state = 2},
  [2308] = {.lex_state = 263, .external_lex_state = 2},
  [2309] = {.lex_state = 263, .external_lex_state = 2},
  [2310] = {.lex_state = 263, .external_lex_state = 2},
  [2311] = {.lex_state = 263, .external_lex_state = 2},
  [2312] = {.lex_state = 269, .external_lex_state = 2},
  [2313] = {.lex_state = 302, .external_lex_state = 2},
  [2314] = {.lex_state = 259, .external_lex_state = 2},
  [2315] = {.lex_state = 302, .external_lex_state = 2},
  [2316] = {.lex_state = 302, .external_lex_state = 2},
  [2317] = {.lex_state = 263, .external_lex_state = 2},
  [2318] = {.lex_state = 263, .external_lex_state = 2},
  [2319] = {.lex_state = 259, .external_lex_state = 2},
  [2320] = {.lex_state = 259, .external_lex_state = 2},
  [2321] = {.lex_state = 255, .external_lex_state = 2},
  [2322] = {.lex_state = 302, .external_lex_state = 2},
  [2323] = {.lex_state = 302, .external_lex_state = 2},
  [2324] = {.lex_state = 267, .external_lex_state = 2},
  [2325] = {.lex_state = 269, .external_lex_state = 2},
  [2326] = {.lex_state = 255, .external_lex_state = 2},
  [2327] = {.lex_state = 255, .external_lex_state = 2},
  [2328] = {.lex_state = 304, .external_lex_state = 2},
  [2329] = {.lex_state = 304, .external_lex_state = 2},
  [2330] = {.lex_state = 302, .external_lex_state = 2},
  [2331] = {.lex_state = 258, .external_lex_state = 2},
  [2332] = {.lex_state = 258, .external_lex_state = 2},
  [2333] = {.lex_state = 255, .external_lex_state = 2},
  [2334] = {.lex_state = 304, .external_lex_state = 2},
  [2335] = {.lex_state = 302, .external_lex_state = 2},
  [2336] = {.lex_state = 255, .external_lex_state = 2},
  [2337] = {.lex_state = 302, .external_lex_state = 2},
  [2338] = {.lex_state = 255, .external_lex_state = 2},
  [2339] = {.lex_state = 304, .external_lex_state = 2},
  [2340] = {.lex_state = 269, .external_lex_state = 2},
  [2341] = {.lex_state = 304, .external_lex_state = 2},
  [2342] = {.lex_state = 304, .external_lex_state = 2},
  [2343] = {.lex_state = 269, .external_lex_state = 2},
  [2344] = {.lex_state = 304, .external_lex_state = 2},
  [2345] = {.lex_state = 304, .external_lex_state = 2},
  [2346] = {.lex_state = 304, .external_lex_state = 2},
  [2347] = {.lex_state = 304, .external_lex_state = 2},
  [2348] = {.lex_state = 304, .external_lex_state = 2},
  [2349] = {.lex_state = 269, .external_lex_state = 2},
  [2350] = {.lex_state = 304, .external_lex_state = 2},
  [2351] = {.lex_state = 269, .external_lex_state = 2},
  [2352] = {.lex_state = 304, .external_lex_state = 2},
  [2353] = {.lex_state = 258, .external_lex_state = 2},
  [2354] = {.lex_state = 258, .external_lex_state = 2},
  [2355] = {.lex_state = 255, .external_lex_state = 2},
  [2356] = {.lex_state = 255, .external_lex_state = 2},
  [2357] = {.lex_state = 258, .external_lex_state = 2},
  [2358] = {.lex_state = 258, .external_lex_state = 2},
  [2359] = {.lex_state = 258, .external_lex_state = 2},
  [2360] = {.lex_state = 258, .external_lex_state = 2},
  [2361] = {.lex_state = 258, .external_lex_state = 2},
  [2362] = {.lex_state = 267, .external_lex_state = 2},
  [2363] = {.lex_state = 267, .external_lex_state = 2},
  [2364] = {.lex_state = 267, .external_lex_state = 2},
  [2365] = {.lex_state = 267, .external_lex_state = 2},
  [2366] = {.lex_state = 258, .external_lex_state = 2},
  [2367] = {.lex_state = 258, .external_lex_state = 2},
  [2368] = {.lex_state = 258, .external_lex_state = 2},
  [2369] = {.lex_state = 259, .external_lex_state = 2},
  [2370] = {.lex_state = 302, .external_lex_state = 2},
  [2371] = {.lex_state = 259, .external_lex_state = 2},
  [2372] = {.lex_state = 259, .external_lex_state = 2},
  [2373] = {.lex_state = 259, .external_lex_state = 2},
  [2374] = {.lex_state = 259, .external_lex_state = 2},
  [2375] = {.lex_state = 259, .external_lex_state = 2},
  [2376] = {.lex_state = 259, .external_lex_state = 2},
  [2377] = {.lex_state = 269, .external_lex_state = 2},
  [2378] = {.lex_state = 259, .external_lex_state = 2},
  [2379] = {.lex_state = 255, .external_lex_state = 2},
  [2380] = {.lex_state = 255, .external_lex_state = 2},
  [2381] = {.lex_state = 259, .external_lex_state = 2},
  [2382] = {.lex_state = 259, .external_lex_state = 2},
  [2383] = {.lex_state = 259, .external_lex_state = 2},
  [2384] = {.lex_state = 259, .external_lex_state = 2},
  [2385] = {.lex_state = 259, .external_lex_state = 2},
  [2386] = {.lex_state = 263, .external_lex_state = 2},
  [2387] = {.lex_state = 259, .external_lex_state = 2},
  [2388] = {.lex_state = 267, .external_lex_state = 2},
  [2389] = {.lex_state = 259, .external_lex_state = 2},
  [2390] = {.lex_state = 263, .external_lex_state = 2},
  [2391] = {.lex_state = 302, .external_lex_state = 2},
  [2392] = {.lex_state = 263, .external_lex_state = 2},
  [2393] = {.lex_state = 302, .external_lex_state = 2},
  [2394] = {.lex_state = 258, .external_lex_state = 2},
  [2395] = {.lex_state = 263, .external_lex_state = 2},
  [2396] = {.lex_state = 255, .external_lex_state = 2},
  [2397] = {.lex_state = 255, .external_lex_state = 2},
  [2398] = {.lex_state = 302, .external_lex_state = 2},
  [2399] = {.lex_state = 302, .external_lex_state = 2},
  [2400] = {.lex_state = 267, .external_lex_state = 2},
  [2401] = {.lex_state = 302, .external_lex_state = 2},
  [2402] = {.lex_state = 269, .external_lex_state = 2},
  [2403] = {.lex_state = 267, .external_lex_state = 2},
  [2404] = {.lex_state = 263, .external_lex_state = 2},
  [2405] = {.lex_state = 263, .external_lex_state = 2},
  [2406] = {.lex_state = 269, .external_lex_state = 2},
  [2407] = {.lex_state = 302, .external_lex_state = 2},
  [2408] = {.lex_state = 269, .external_lex_state = 2},
  [2409] = {.lex_state = 304, .external_lex_state = 2},
  [2410] = {.lex_state = 302, .external_lex_state = 2},
  [2411] = {.lex_state = 269, .external_lex_state = 2},
  [2412] = {.lex_state = 267, .external_lex_state = 2},
  [2413] = {.lex_state = 255, .external_lex_state = 2},
  [2414] = {.lex_state = 269, .external_lex_state = 2},
  [2415] = {.lex_state = 255, .external_lex_state = 2},
  [2416] = {.lex_state = 269, .external_lex_state = 2},
  [2417] = {.lex_state = 259, .external_lex_state = 2},
  [2418] = {.lex_state = 258, .external_lex_state = 2},
  [2419] = {.lex_state = 304, .external_lex_state = 2},
  [2420] = {.lex_state = 267, .external_lex_state = 2},
  [2421] = {.lex_state = 302, .external_lex_state = 2},
  [2422] = {.lex_state = 302, .external_lex_state = 2},
  [2423] = {.lex_state = 302, .external_lex_state = 2},
  [2424] = {.lex_state = 302, .external_lex_state = 2},
  [2425] = {.lex_state = 267, .external_lex_state = 2},
  [2426] = {.lex_state = 267, .external_lex_state = 2},
  [2427] = {.lex_state = 267, .external_lex_state = 2},
  [2428] = {.lex_state = 267, .external_lex_state = 2},
  [2429] = {.lex_state = 263, .external_lex_state = 2},
  [2430] = {.lex_state = 269, .external_lex_state = 2},
  [2431] = {.lex_state = 269, .external_lex_state = 2},
  [2432] = {.lex_state = 258, .external_lex_state = 2},
  [2433] = {.lex_state = 269, .external_lex_state = 2},
  [2434] = {.lex_state = 255, .external_lex_state = 2},
  [2435] = {.lex_state = 270, .external_lex_state = 2},
  [2436] = {.lex_state = 258, .external_lex_state = 2},
  [2437] = {.lex_state = 267, .external_lex_state = 2},
  [2438] = {.lex_state = 271, .external_lex_state = 2},
  [2439] = {.lex_state = 258, .external_lex_state = 2},
  [2440] = {.lex_state = 258, .external_lex_state = 2},
  [2441] = {.lex_state = 271, .external_lex_state = 2},
  [2442] = {.lex_state = 255, .external_lex_state = 2},
  [2443] = {.lex_state = 267, .external_lex_state = 2},
  [2444] = {.lex_state = 258, .external_lex_state = 2},
  [2445] = {.lex_state = 258, .external_lex_state = 2},
  [2446] = {.lex_state = 265, .external_lex_state = 2},
  [2447] = {.lex_state = 258, .external_lex_state = 2},
  [2448] = {.lex_state = 258, .external_lex_state = 2},
  [2449] = {.lex_state = 258, .external_lex_state = 2},
  [2450] = {.lex_state = 316, .external_lex_state = 5},
  [2451] = {.lex_state = 255, .external_lex_state = 2},
  [2452] = {.lex_state = 271, .external_lex_state = 2},
  [2453] = {.lex_state = 269, .external_lex_state = 2},
  [2454] = {.lex_state = 270, .external_lex_state = 2},
  [2455] = {.lex_state = 268, .external_lex_state = 2},
  [2456] = {.lex_state = 274, .external_lex_state = 2},
  [2457] = {.lex_state = 268, .external_lex_state = 2},
  [2458] = {.lex_state = 268, .external_lex_state = 2},
  [2459] = {.lex_state = 274, .external_lex_state = 2},
  [2460] = {.lex_state = 274, .external_lex_state = 2},
  [2461] = {.lex_state = 268, .external_lex_state = 2},
  [2462] = {.lex_state = 268, .external_lex_state = 2},
  [2463] = {.lex_state = 274, .external_lex_state = 2},
  [2464] = {.lex_state = 274, .external_lex_state = 2},
  [2465] = {.lex_state = 268, .external_lex_state = 2},
  [2466] = {.lex_state = 268, .external_lex_state = 2},
  [2467] = {.lex_state = 274, .external_lex_state = 2},
  [2468] = {.lex_state = 274, .external_lex_state = 2},
  [2469] = {.lex_state = 268, .external_lex_state = 2},
  [2470] = {.lex_state = 274, .external_lex_state = 2},
  [2471] = {.lex_state = 271, .external_lex_state = 2},
  [2472] = {.lex_state = 261, .external_lex_state = 2},
  [2473] = {.lex_state = 270, .external_lex_state = 2},
  [2474] = {.lex_state = 270, .external_lex_state = 2},
  [2475] = {.lex_state = 261, .external_lex_state = 2},
  [2476] = {.lex_state = 261, .external_lex_state = 2},
  [2477] = {.lex_state = 271, .external_lex_state = 2},
  [2478] = {.lex_state = 261, .external_lex_state = 2},
  [2479] = {.lex_state = 261, .external_lex_state = 2},
  [2480] = {.lex_state = 271, .external_lex_state = 2},
  [2481] = {.lex_state = 261, .external_lex_state = 2},
  [2482] = {.lex_state = 261, .external_lex_state = 2},
  [2483] = {.lex_state = 305, .external_lex_state = 2},
  [2484] = {.lex_state = 255, .external_lex_state = 2},
  [2485] = {.lex_state = 258, .external_lex_state = 2},
  [2486] = {.lex_state = 305, .external_lex_state = 2},
  [2487] = {.lex_state = 305, .external_lex_state = 2},
  [2488] = {.lex_state = 258, .external_lex_state = 2},
  [2489] = {.lex_state = 261, .external_lex_state = 2},
  [2490] = {.lex_state = 258, .external_lex_state = 2},
  [2491] = {.lex_state = 305, .external_lex_state = 2},
  [2492] = {.lex_state = 305, .external_lex_state = 2},
  [2493] = {.lex_state = 258, .external_lex_state = 2},
  [2494] = {.lex_state = 316, .external_lex_state = 5},
  [2495] = {.lex_state = 258, .external_lex_state = 2},
  [2496] = {.lex_state = 305, .external_lex_state = 2},
  [2497] = {.lex_state = 305, .external_lex_state = 2},
  [2498] = {.lex_state = 258, .external_lex_state = 2},
  [2499] = {.lex_state = 258, .external_lex_state = 2},
  [2500] = {.lex_state = 305, .external_lex_state = 2},
  [2501] = {.lex_state = 258, .external_lex_state = 2},
  [2502] = {.lex_state = 255, .external_lex_state = 2},
  [2503] = {.lex_state = 274, .external_lex_state = 2},
  [2504] = {.lex_state = 274, .external_lex_state = 2},
  [2505] = {.lex_state = 274, .external_lex_state = 2},
  [2506] = {.lex_state = 274, .external_lex_state = 2},
  [2507] = {.lex_state = 274, .external_lex_state = 2},
  [2508] = {.lex_state = 274, .external_lex_state = 2},
  [2509] = {.lex_state = 274, .external_lex_state = 2},
  [2510] = {.lex_state = 274, .external_lex_state = 2},
  [2511] = {.lex_state = 269, .external_lex_state = 2},
  [2512] = {.lex_state = 255, .external_lex_state = 2},
  [2513] = {.lex_state = 305, .external_lex_state = 2},
  [2514] = {.lex_state = 305, .external_lex_state = 2},
  [2515] = {.lex_state = 305, .external_lex_state = 2},
  [2516] = {.lex_state = 305, .external_lex_state = 2},
  [2517] = {.lex_state = 305, .external_lex_state = 2},
  [2518] = {.lex_state = 305, .external_lex_state = 2},
  [2519] = {.lex_state = 305, .external_lex_state = 2},
  [2520] = {.lex_state = 305, .external_lex_state = 2},
  [2521] = {.lex_state = 316, .external_lex_state = 4},
  [2522] = {.lex_state = 255, .external_lex_state = 2},
  [2523] = {.lex_state = 255, .external_lex_state = 2},
  [2524] = {.lex_state = 255, .external_lex_state = 2},
  [2525] = {.lex_state = 255, .external_lex_state = 2},
  [2526] = {.lex_state = 255, .external_lex_state = 2},
  [2527] = {.lex_state = 255, .external_lex_state = 2},
  [2528] = {.lex_state = 255, .external_lex_state = 2},
  [2529] = {.lex_state = 267, .external_lex_state = 2},
  [2530] = {.lex_state = 267, .external_lex_state = 2},
  [2531] = {.lex_state = 267, .external_lex_state = 2},
  [2532] = {.lex_state = 267, .external_lex_state = 2},
  [2533] = {.lex_state = 267, .external_lex_state = 2},
  [2534] = {.lex_state = 267, .external_lex_state = 2},
  [2535] = {.lex_state = 267, .external_lex_state = 2},
  [2536] = {.lex_state = 267, .external_lex_state = 2},
  [2537] = {.lex_state = 269, .external_lex_state = 2},
  [2538] = {.lex_state = 269, .external_lex_state = 2},
  [2539] = {.lex_state = 272, .external_lex_state = 2},
  [2540] = {.lex_state = 271, .external_lex_state = 2},
  [2541] = {.lex_state = 267, .external_lex_state = 2},
  [2542] = {.lex_state = 304, .external_lex_state = 2},
  [2543] = {.lex_state = 269, .external_lex_state = 2},
  [2544] = {.lex_state = 272, .external_lex_state = 2},
  [2545] = {.lex_state = 272, .external_lex_state = 2},
  [2546] = {.lex_state = 304, .external_lex_state = 2},
  [2547] = {.lex_state = 267, .external_lex_state = 2},
  [2548] = {.lex_state = 304, .external_lex_state = 2},
  [2549] = {.lex_state = 272, .external_lex_state = 2},
  [2550] = {.lex_state = 272, .external_lex_state = 2},
  [2551] = {.lex_state = 304, .external_lex_state = 2},
  [2552] = {.lex_state = 269, .external_lex_state = 2},
  [2553] = {.lex_state = 304, .external_lex_state = 2},
  [2554] = {.lex_state = 255, .external_lex_state = 2},
  [2555] = {.lex_state = 267, .external_lex_state = 2},
  [2556] = {.lex_state = 304, .external_lex_state = 2},
  [2557] = {.lex_state = 304, .external_lex_state = 2},
  [2558] = {.lex_state = 304, .external_lex_state = 2},
  [2559] = {.lex_state = 304, .external_lex_state = 2},
  [2560] = {.lex_state = 304, .external_lex_state = 2},
  [2561] = {.lex_state = 304, .external_lex_state = 2},
  [2562] = {.lex_state = 304, .external_lex_state = 2},
  [2563] = {.lex_state = 272, .external_lex_state = 2},
  [2564] = {.lex_state = 272, .external_lex_state = 2},
  [2565] = {.lex_state = 304, .external_lex_state = 2},
  [2566] = {.lex_state = 304, .external_lex_state = 2},
  [2567] = {.lex_state = 263, .external_lex_state = 2},
  [2568] = {.lex_state = 263, .external_lex_state = 2},
  [2569] = {.lex_state = 263, .external_lex_state = 2},
  [2570] = {.lex_state = 263, .external_lex_state = 2},
  [2571] = {.lex_state = 263, .external_lex_state = 2},
  [2572] = {.lex_state = 263, .external_lex_state = 2},
  [2573] = {.lex_state = 263, .external_lex_state = 2},
  [2574] = {.lex_state = 258, .external_lex_state = 2},
  [2575] = {.lex_state = 258, .external_lex_state = 2},
  [2576] = {.lex_state = 258, .external_lex_state = 2},
  [2577] = {.lex_state = 258, .external_lex_state = 2},
  [2578] = {.lex_state = 258, .external_lex_state = 2},
  [2579] = {.lex_state = 258, .external_lex_state = 2},
  [2580] = {.lex_state = 258, .external_lex_state = 2},
  [2581] = {.lex_state = 272, .external_lex_state = 2},
  [2582] = {.lex_state = 304, .external_lex_state = 2},
  [2583] = {.lex_state = 267, .external_lex_state = 2},
  [2584] = {.lex_state = 265, .external_lex_state = 2},
  [2585] = {.lex_state = 255, .external_lex_state = 2},
  [2586] = {.lex_state = 263, .external_lex_state = 2},
  [2587] = {.lex_state = 255, .external_lex_state = 2},
  [2588] = {.lex_state = 255, .external_lex_state = 2},
  [2589] = {.lex_state = 267, .external_lex_state = 2},
  [2590] = {.lex_state = 273, .external_lex_state = 2},
  [2591] = {.lex_state = 273, .external_lex_state = 2},
  [2592] = {.lex_state = 255, .external_lex_state = 2},
  [2593] = {.lex_state = 255, .external_lex_state = 2},
  [2594] = {.lex_state = 270, .external_lex_state = 2},
  [2595] = {.lex_state = 267, .external_lex_state = 2},
  [2596] = {.lex_state = 270, .external_lex_state = 2},
  [2597] = {.lex_state = 271, .external_lex_state = 2},
  [2598] = {.lex_state = 269, .external_lex_state = 2},
  [2599] = {.lex_state = 255, .external_lex_state = 2},
  [2600] = {.lex_state = 304, .external_lex_state = 2},
  [2601] = {.lex_state = 267, .external_lex_state = 2},
  [2602] = {.lex_state = 265, .external_lex_state = 2},
  [2603] = {.lex_state = 267, .external_lex_state = 2},
  [2604] = {.lex_state = 304, .external_lex_state = 2},
  [2605] = {.lex_state = 273, .external_lex_state = 2},
  [2606] = {.lex_state = 273, .external_lex_state = 2},
  [2607] = {.lex_state = 270, .external_lex_state = 2},
  [2608] = {.lex_state = 304, .external_lex_state = 2},
  [2609] = {.lex_state = 270, .external_lex_state = 2},
  [2610] = {.lex_state = 270, .external_lex_state = 2},
  [2611] = {.lex_state = 261, .external_lex_state = 2},
  [2612] = {.lex_state = 255, .external_lex_state = 2},
  [2613] = {.lex_state = 267, .external_lex_state = 2},
  [2614] = {.lex_state = 267, .external_lex_state = 2},
  [2615] = {.lex_state = 304, .external_lex_state = 2},
  [2616] = {.lex_state = 270, .external_lex_state = 2},
  [2617] = {.lex_state = 255, .external_lex_state = 2},
  [2618] = {.lex_state = 304, .external_lex_state = 2},
  [2619] = {.lex_state = 269, .external_lex_state = 2},
  [2620] = {.lex_state = 267, .external_lex_state = 2},
  [2621] = {.lex_state = 261, .external_lex_state = 2},
  [2622] = {.lex_state = 261, .external_lex_state = 2},
  [2623] = {.lex_state = 304, .external_lex_state = 2},
  [2624] = {.lex_state = 304, .external_lex_state = 2},
  [2625] = {.lex_state = 263, .external_lex_state = 2},
  [2626] = {.lex_state = 304, .external_lex_state = 2},
  [2627] = {.lex_state = 263, .external_lex_state = 2},
  [2628] = {.lex_state = 273, .external_lex_state = 2},
  [2629] = {.lex_state = 273, .external_lex_state = 2},
  [2630] = {.lex_state = 261, .external_lex_state = 2},
  [2631] = {.lex_state = 270, .external_lex_state = 2},
  [2632] = {.lex_state = 261, .external_lex_state = 2},
  [2633] = {.lex_state = 255, .external_lex_state = 2},
  [2634] = {.lex_state = 316, .external_lex_state = 5},
  [2635] = {.lex_state = 255, .external_lex_state = 2},
  [2636] = {.lex_state = 255, .external_lex_state = 2},
  [2637] = {.lex_state = 261, .external_lex_state = 2},
  [2638] = {.lex_state = 261, .external_lex_state = 2},
  [2639] = {.lex_state = 304, .external_lex_state = 2},
  [2640] = {.lex_state = 267, .external_lex_state = 2},
  [2641] = {.lex_state = 263, .external_lex_state = 2},
  [2642] = {.lex_state = 261, .external_lex_state = 2},
  [2643] = {.lex_state = 263, .external_lex_state = 2},
  [2644] = {.lex_state = 263, .external_lex_state = 2},
  [2645] = {.lex_state = 269, .external_lex_state = 2},
  [2646] = {.lex_state = 263, .external_lex_state = 2},
  [2647] = {.lex_state = 267, .external_lex_state = 2},
  [2648] = {.lex_state = 273, .external_lex_state = 2},
  [2649] = {.lex_state = 267, .external_lex_state = 2},
  [2650] = {.lex_state = 269, .external_lex_state = 2},
  [2651] = {.lex_state = 267, .external_lex_state = 2},
  [2652] = {.lex_state = 269, .external_lex_state = 2},
  [2653] = {.lex_state = 269, .external_lex_state = 2},
  [2654] = {.lex_state = 304, .external_lex_state = 2},
  [2655] = {.lex_state = 316, .external_lex_state = 5},
  [2656] = {.lex_state = 270, .external_lex_state = 2},
  [2657] = {.lex_state = 267, .external_lex_state = 2},
  [2658] = {.lex_state = 263, .external_lex_state = 2},
  [2659] = {.lex_state = 267, .external_lex_state = 2},
  [2660] = {.lex_state = 263, .external_lex_state = 2},
  [2661] = {.lex_state = 263, .external_lex_state = 2},
  [2662] = {.lex_state = 263, .external_lex_state = 2},
  [2663] = {.lex_state = 269, .external_lex_state = 2},
  [2664] = {.lex_state = 316, .external_lex_state = 5},
  [2665] = {.lex_state = 316, .external_lex_state = 5},
  [2666] = {.lex_state = 267, .external_lex_state = 2},
  [2667] = {.lex_state = 269, .external_lex_state = 2},
  [2668] = {.lex_state = 263, .external_lex_state = 2},
  [2669] = {.lex_state = 263, .external_lex_state = 2},
  [2670] = {.lex_state = 263, .external_lex_state = 2},
  [2671] = {.lex_state = 263, .external_lex_state = 2},
  [2672] = {.lex_state = 263, .external_lex_state = 2},
  [2673] = {.lex_state = 263, .external_lex_state = 2},
  [2674] = {.lex_state = 255, .external_lex_state = 2},
  [2675] = {.lex_state = 272, .external_lex_state = 2},
  [2676] = {.lex_state = 271, .external_lex_state = 2},
  [2677] = {.lex_state = 269, .external_lex_state = 2},
  [2678] = {.lex_state = 269, .external_lex_state = 2},
  [2679] = {.lex_state = 269, .external_lex_state = 2},
  [2680] = {.lex_state = 255, .external_lex_state = 2},
  [2681] = {.lex_state = 255, .external_lex_state = 2},
  [2682] = {.lex_state = 268, .external_lex_state = 2},
  [2683] = {.lex_state = 270, .external_lex_state = 2},
  [2684] = {.lex_state = 255, .external_lex_state = 2},
  [2685] = {.lex_state = 272, .external_lex_state = 2},
  [2686] = {.lex_state = 272, .external_lex_state = 2},
  [2687] = {.lex_state = 263, .external_lex_state = 2},
  [2688] = {.lex_state = 271, .external_lex_state = 2},
  [2689] = {.lex_state = 255, .external_lex_state = 2},
  [2690] = {.lex_state = 268, .external_lex_state = 2},
  [2691] = {.lex_state = 268, .external_lex_state = 2},
  [2692] = {.lex_state = 272, .external_lex_state = 2},
  [2693] = {.lex_state = 272, .external_lex_state = 2},
  [2694] = {.lex_state = 268, .external_lex_state = 2},
  [2695] = {.lex_state = 268, .external_lex_state = 2},
  [2696] = {.lex_state = 273, .external_lex_state = 2},
  [2697] = {.lex_state = 272, .external_lex_state = 2},
  [2698] = {.lex_state = 272, .external_lex_state = 2},
  [2699] = {.lex_state = 268, .external_lex_state = 2},
  [2700] = {.lex_state = 268, .external_lex_state = 2},
  [2701] = {.lex_state = 272, .external_lex_state = 2},
  [2702] = {.lex_state = 265, .external_lex_state = 2},
  [2703] = {.lex_state = 268, .external_lex_state = 2},
  [2704] = {.lex_state = 273, .external_lex_state = 2},
  [2705] = {.lex_state = 273, .external_lex_state = 2},
  [2706] = {.lex_state = 269, .external_lex_state = 2},
  [2707] = {.lex_state = 265, .external_lex_state = 2},
  [2708] = {.lex_state = 265, .external_lex_state = 2},
  [2709] = {.lex_state = 265, .external_lex_state = 2},
  [2710] = {.lex_state = 255, .external_lex_state = 2},
  [2711] = {.lex_state = 267, .external_lex_state = 2},
  [2712] = {.lex_state = 273, .external_lex_state = 2},
  [2713] = {.lex_state = 255, .external_lex_state = 2},
  [2714] = {.lex_state = 255, .external_lex_state = 2},
  [2715] = {.lex_state = 273, .external_lex_state = 2},
  [2716] = {.lex_state = 265, .external_lex_state = 2},
  [2717] = {.lex_state = 269, .external_lex_state = 2},
  [2718] = {.lex_state = 269, .external_lex_state = 2},
  [2719] = {.lex_state = 265, .external_lex_state = 2},
  [2720] = {.lex_state = 271, .external_lex_state = 2},
  [2721] = {.lex_state = 267, .external_lex_state = 2},
  [2722] = {.lex_state = 273, .external_lex_state = 2},
  [2723] = {.lex_state = 269, .external_lex_state = 2},
  [2724] = {.lex_state = 267, .external_lex_state = 2},
  [2725] = {.lex_state = 263, .external_lex_state = 2},
  [2726] = {.lex_state = 270, .external_lex_state = 2},
  [2727] = {.lex_state = 273, .external_lex_state = 2},
  [2728] = {.lex_state = 265, .external_lex_state = 2},
  [2729] = {.lex_state = 265, .external_lex_state = 2},
  [2730] = {.lex_state = 270, .external_lex_state = 2},
  [2731] = {.lex_state = 316, .external_lex_state = 5},
  [2732] = {.lex_state = 267, .external_lex_state = 2},
  [2733] = {.lex_state = 273, .external_lex_state = 2},
  [2734] = {.lex_state = 265, .external_lex_state = 2},
  [2735] = {.lex_state = 263, .external_lex_state = 2},
  [2736] = {.lex_state = 263, .external_lex_state = 2},
  [2737] = {.lex_state = 267, .external_lex_state = 2},
  [2738] = {.lex_state = 316, .external_lex_state = 5},
  [2739] = {.lex_state = 263, .external_lex_state = 2},
  [2740] = {.lex_state = 263, .external_lex_state = 2},
  [2741] = {.lex_state = 265, .external_lex_state = 2},
  [2742] = {.lex_state = 263, .external_lex_state = 2},
  [2743] = {.lex_state = 269, .external_lex_state = 2},
  [2744] = {.lex_state = 263, .external_lex_state = 2},
  [2745] = {.lex_state = 263, .external_lex_state = 2},
  [2746] = {.lex_state = 271, .external_lex_state = 2},
  [2747] = {.lex_state = 271, .external_lex_state = 2},
  [2748] = {.lex_state = 271, .external_lex_state = 2},
  [2749] = {.lex_state = 265, .external_lex_state = 2},
  [2750] = {.lex_state = 258, .external_lex_state = 2},
  [2751] = {.lex_state = 265, .external_lex_state = 2},
  [2752] = {.lex_state = 273, .external_lex_state = 2},
  [2753] = {.lex_state = 316, .external_lex_state = 5},
  [2754] = {.lex_state = 270, .external_lex_state = 2},
  [2755] = {.lex_state = 271, .external_lex_state = 2},
  [2756] = {.lex_state = 271, .external_lex_state = 2},
  [2757] = {.lex_state = 265, .external_lex_state = 2},
  [2758] = {.lex_state = 266, .external_lex_state = 2},
  [2759] = {.lex_state = 305, .external_lex_state = 2},
  [2760] = {.lex_state = 261, .external_lex_state = 2},
  [2761] = {.lex_state = 261, .external_lex_state = 2},
  [2762] = {.lex_state = 261, .external_lex_state = 2},
  [2763] = {.lex_state = 273, .external_lex_state = 2},
  [2764] = {.lex_state = 270, .external_lex_state = 2},
  [2765] = {.lex_state = 305, .external_lex_state = 2},
  [2766] = {.lex_state = 268, .external_lex_state = 2},
  [2767] = {.lex_state = 273, .external_lex_state = 2},
  [2768] = {.lex_state = 274, .external_lex_state = 2},
  [2769] = {.lex_state = 274, .external_lex_state = 2},
  [2770] = {.lex_state = 274, .external_lex_state = 2},
  [2771] = {.lex_state = 274, .external_lex_state = 2},
  [2772] = {.lex_state = 274, .external_lex_state = 2},
  [2773] = {.lex_state = 274, .external_lex_state = 2},
  [2774] = {.lex_state = 274, .external_lex_state = 2},
  [2775] = {.lex_state = 272, .external_lex_state = 2},
  [2776] = {.lex_state = 274, .external_lex_state = 2},
  [2777] = {.lex_state = 272, .external_lex_state = 2},
  [2778] = {.lex_state = 273, .external_lex_state = 2},
  [2779] = {.lex_state = 272, .external_lex_state = 2},
  [2780] = {.lex_state = 261, .external_lex_state = 2},
  [2781] = {.lex_state = 305, .external_lex_state = 2},
  [2782] = {.lex_state = 305, .external_lex_state = 2},
  [2783] = {.lex_state = 305, .external_lex_state = 2},
  [2784] = {.lex_state = 305, .external_lex_state = 2},
  [2785] = {.lex_state = 305, .external_lex_state = 2},
  [2786] = {.lex_state = 305, .external_lex_state = 2},
  [2787] = {.lex_state = 305, .external_lex_state = 2},
  [2788] = {.lex_state = 305, .external_lex_state = 2},
  [2789] = {.lex_state = 270, .external_lex_state = 2},
  [2790] = {.lex_state = 265, .external_lex_state = 2},
  [2791] = {.lex_state = 268, .external_lex_state = 2},
  [2792] = {.lex_state = 305, .external_lex_state = 2},
  [2793] = {.lex_state = 273, .external_lex_state = 2},
  [2794] = {.lex_state = 268, .external_lex_state = 2},
  [2795] = {.lex_state = 273, .external_lex_state = 2},
  [2796] = {.lex_state = 274, .external_lex_state = 2},
  [2797] = {.lex_state = 273, .external_lex_state = 2},
  [2798] = {.lex_state = 261, .external_lex_state = 2},
  [2799] = {.lex_state = 305, .external_lex_state = 2},
  [2800] = {.lex_state = 271, .external_lex_state = 2},
  [2801] = {.lex_state = 270, .external_lex_state = 2},
  [2802] = {.lex_state = 271, .external_lex_state = 2},
  [2803] = {.lex_state = 305, .external_lex_state = 2},
  [2804] = {.lex_state = 274, .external_lex_state = 2},
  [2805] = {.lex_state = 270, .external_lex_state = 2},
  [2806] = {.lex_state = 271, .external_lex_state = 2},
  [2807] = {.lex_state = 268, .external_lex_state = 2},
  [2808] = {.lex_state = 305, .external_lex_state = 2},
  [2809] = {.lex_state = 265, .external_lex_state = 2},
  [2810] = {.lex_state = 271, .external_lex_state = 2},
  [2811] = {.lex_state = 270, .external_lex_state = 2},
  [2812] = {.lex_state = 305, .external_lex_state = 2},
  [2813] = {.lex_state = 268, .external_lex_state = 2},
  [2814] = {.lex_state = 305, .external_lex_state = 2},
  [2815] = {.lex_state = 273, .external_lex_state = 2},
  [2816] = {.lex_state = 270, .external_lex_state = 2},
  [2817] = {.lex_state = 273, .external_lex_state = 2},
  [2818] = {.lex_state = 270, .external_lex_state = 2},
  [2819] = {.lex_state = 270, .external_lex_state = 2},
  [2820] = {.lex_state = 270, .external_lex_state = 2},
  [2821] = {.lex_state = 270, .external_lex_state = 2},
  [2822] = {.lex_state = 270, .external_lex_state = 2},
  [2823] = {.lex_state = 270, .external_lex_state = 2},
  [2824] = {.lex_state = 274, .external_lex_state = 2},
  [2825] = {.lex_state = 270, .external_lex_state = 2},
  [2826] = {.lex_state = 270, .external_lex_state = 2},
  [2827] = {.lex_state = 271, .external_lex_state = 2},
  [2828] = {.lex_state = 274, .external_lex_state = 2},
  [2829] = {.lex_state = 274, .external_lex_state = 2},
  [2830] = {.lex_state = 274, .external_lex_state = 2},
  [2831] = {.lex_state = 274, .external_lex_state = 2},
  [2832] = {.lex_state = 268, .external_lex_state = 2},
  [2833] = {.lex_state = 270, .external_lex_state = 2},
  [2834] = {.lex_state = 274, .external_lex_state = 2},
  [2835] = {.lex_state = 270, .external_lex_state = 2},
  [2836] = {.lex_state = 274, .external_lex_state = 2},
  [2837] = {.lex_state = 261, .external_lex_state = 2},
  [2838] = {.lex_state = 265, .external_lex_state = 2},
  [2839] = {.lex_state = 268, .external_lex_state = 2},
  [2840] = {.lex_state = 274, .external_lex_state = 2},
  [2841] = {.lex_state = 271, .external_lex_state = 2},
  [2842] = {.lex_state = 274, .external_lex_state = 2},
  [2843] = {.lex_state = 274, .external_lex_state = 2},
  [2844] = {.lex_state = 274, .external_lex_state = 2},
  [2845] = {.lex_state = 261, .external_lex_state = 2},
  [2846] = {.lex_state = 273, .external_lex_state = 2},
  [2847] = {.lex_state = 273, .external_lex_state = 2},
  [2848] = {.lex_state = 270, .external_lex_state = 2},
  [2849] = {.lex_state = 261, .external_lex_state = 2},
  [2850] = {.lex_state = 265, .external_lex_state = 2},
  [2851] = {.lex_state = 270, .external_lex_state = 2},
  [2852] = {.lex_state = 270, .external_lex_state = 2},
  [2853] = {.lex_state = 261, .external_lex_state = 2},
  [2854] = {.lex_state = 272, .external_lex_state = 2},
  [2855] = {.lex_state = 261, .external_lex_state = 2},
  [2856] = {.lex_state = 265, .external_lex_state = 2},
  [2857] = {.lex_state = 265, .external_lex_state = 2},
  [2858] = {.lex_state = 261, .external_lex_state = 2},
  [2859] = {.lex_state = 265, .external_lex_state = 2},
  [2860] = {.lex_state = 261, .external_lex_state = 2},
  [2861] = {.lex_state = 273, .external_lex_state = 2},
  [2862] = {.lex_state = 272, .external_lex_state = 2},
  [2863] = {.lex_state = 273, .external_lex_state = 2},
  [2864] = {.lex_state = 261, .external_lex_state = 2},
  [2865] = {.lex_state = 274, .external_lex_state = 2},
  [2866] = {.lex_state = 270, .external_lex_state = 2},
  [2867] = {.lex_state = 268, .external_lex_state = 2},
  [2868] = {.lex_state = 274, .external_lex_state = 2},
  [2869] = {.lex_state = 305, .external_lex_state = 2},
  [2870] = {.lex_state = 305, .external_lex_state = 2},
  [2871] = {.lex_state = 271, .external_lex_state = 2},
  [2872] = {.lex_state = 268, .external_lex_state = 2},
  [2873] = {.lex_state = 305, .external_lex_state = 2},
  [2874] = {.lex_state = 305, .external_lex_state = 2},
  [2875] = {.lex_state = 305, .external_lex_state = 2},
  [2876] = {.lex_state = 273, .external_lex_state = 2},
  [2877] = {.lex_state = 305, .external_lex_state = 2},
  [2878] = {.lex_state = 270, .external_lex_state = 2},
  [2879] = {.lex_state = 305, .external_lex_state = 2},
  [2880] = {.lex_state = 271, .external_lex_state = 2},
  [2881] = {.lex_state = 305, .external_lex_state = 2},
  [2882] = {.lex_state = 268, .external_lex_state = 2},
  [2883] = {.lex_state = 265, .external_lex_state = 2},
  [2884] = {.lex_state = 265, .external_lex_state = 2},
  [2885] = {.lex_state = 271, .external_lex_state = 2},
  [2886] = {.lex_state = 316, .external_lex_state = 5},
  [2887] = {.lex_state = 266, .external_lex_state = 2},
  [2888] = {.lex_state = 271, .external_lex_state = 2},
  [2889] = {.lex_state = 271, .external_lex_state = 2},
  [2890] = {.lex_state = 266, .external_lex_state = 2},
  [2891] = {.lex_state = 266, .external_lex_state = 2},
  [2892] = {.lex_state = 273, .external_lex_state = 2},
  [2893] = {.lex_state = 273, .external_lex_state = 2},
  [2894] = {.lex_state = 265, .external_lex_state = 2},
  [2895] = {.lex_state = 272, .external_lex_state = 2},
  [2896] = {.lex_state = 261, .external_lex_state = 2},
  [2897] = {.lex_state = 266, .external_lex_state = 2},
  [2898] = {.lex_state = 268, .external_lex_state = 2},
  [2899] = {.lex_state = 270, .external_lex_state = 2},
  [2900] = {.lex_state = 272, .external_lex_state = 2},
  [2901] = {.lex_state = 273, .external_lex_state = 2},
  [2902] = {.lex_state = 272, .external_lex_state = 2},
  [2903] = {.lex_state = 268, .external_lex_state = 2},
  [2904] = {.lex_state = 268, .external_lex_state = 2},
  [2905] = {.lex_state = 265, .external_lex_state = 2},
  [2906] = {.lex_state = 272, .external_lex_state = 2},
  [2907] = {.lex_state = 272, .external_lex_state = 2},
  [2908] = {.lex_state = 268, .external_lex_state = 2},
  [2909] = {.lex_state = 268, .external_lex_state = 2},
  [2910] = {.lex_state = 266, .external_lex_state = 2},
  [2911] = {.lex_state = 272, .external_lex_state = 2},
  [2912] = {.lex_state = 272, .external_lex_state = 2},
  [2913] = {.lex_state = 268, .external_lex_state = 2},
  [2914] = {.lex_state = 332, .external_lex_state = 2},
  [2915] = {.lex_state = 268, .external_lex_state = 2},
  [2916] = {.lex_state = 272, .external_lex_state = 2},
  [2917] = {.lex_state = 268, .external_lex_state = 2},
  [2918] = {.lex_state = 266, .external_lex_state = 2},
  [2919] = {.lex_state = 272, .external_lex_state = 2},
  [2920] = {.lex_state = 273, .external_lex_state = 2},
  [2921] = {.lex_state = 265, .external_lex_state = 2},
  [2922] = {.lex_state = 274, .external_lex_state = 2},
  [2923] = {.lex_state = 265, .external_lex_state = 2},
  [2924] = {.lex_state = 261, .external_lex_state = 2},
  [2925] = {.lex_state = 261, .external_lex_state = 2},
  [2926] = {.lex_state = 261, .external_lex_state = 2},
  [2927] = {.lex_state = 273, .external_lex_state = 2},
  [2928] = {.lex_state = 261, .external_lex_state = 2},
  [2929] = {.lex_state = 261, .external_lex_state = 2},
  [2930] = {.lex_state = 261, .external_lex_state = 2},
  [2931] = {.lex_state = 273, .external_lex_state = 2},
  [2932] = {.lex_state = 261, .external_lex_state = 2},
  [2933] = {.lex_state = 265, .external_lex_state = 2},
  [2934] = {.lex_state = 272, .external_lex_state = 2},
  [2935] = {.lex_state = 265, .external_lex_state = 2},
  [2936] = {.lex_state = 272, .external_lex_state = 2},
  [2937] = {.lex_state = 272, .external_lex_state = 2},
  [2938] = {.lex_state = 272, .external_lex_state = 2},
  [2939] = {.lex_state = 272, .external_lex_state = 2},
  [2940] = {.lex_state = 266, .external_lex_state = 2},
  [2941] = {.lex_state = 273, .external_lex_state = 2},
  [2942] = {.lex_state = 272, .external_lex_state = 2},
  [2943] = {.lex_state = 272, .external_lex_state = 2},
  [2944] = {.lex_state = 261, .external_lex_state = 2},
  [2945] = {.lex_state = 273, .external_lex_state = 2},
  [2946] = {.lex_state = 272, .external_lex_state = 2},
  [2947] = {.lex_state = 265, .external_lex_state = 2},
  [2948] = {.lex_state = 265, .external_lex_state = 2},
  [2949] = {.lex_state = 272, .external_lex_state = 2},
  [2950] = {.lex_state = 265, .external_lex_state = 2},
  [2951] = {.lex_state = 266, .external_lex_state = 2},
  [2952] = {.lex_state = 270, .external_lex_state = 2},
  [2953] = {.lex_state = 273, .external_lex_state = 2},
  [2954] = {.lex_state = 271, .external_lex_state = 2},
  [2955] = {.lex_state = 266, .external_lex_state = 2},
  [2956] = {.lex_state = 265, .external_lex_state = 2},
  [2957] = {.lex_state = 273, .external_lex_state = 2},
  [2958] = {.lex_state = 265, .external_lex_state = 2},
  [2959] = {.lex_state = 271, .external_lex_state = 2},
  [2960] = {.lex_state = 265, .external_lex_state = 2},
  [2961] = {.lex_state = 266, .external_lex_state = 2},
  [2962] = {.lex_state = 271, .external_lex_state = 2},
  [2963] = {.lex_state = 273, .external_lex_state = 2},
  [2964] = {.lex_state = 265, .external_lex_state = 2},
  [2965] = {.lex_state = 266, .external_lex_state = 2},
  [2966] = {.lex_state = 265, .external_lex_state = 2},
  [2967] = {.lex_state = 261, .external_lex_state = 2},
  [2968] = {.lex_state = 266, .external_lex_state = 2},
  [2969] = {.lex_state = 271, .external_lex_state = 2},
  [2970] = {.lex_state = 261, .external_lex_state = 2},
  [2971] = {.lex_state = 265, .external_lex_state = 2},
  [2972] = {.lex_state = 266, .external_lex_state = 2},
  [2973] = {.lex_state = 274, .external_lex_state = 2},
  [2974] = {.lex_state = 266, .external_lex_state = 2},
  [2975] = {.lex_state = 271, .external_lex_state = 2},
  [2976] = {.lex_state = 272, .external_lex_state = 2},
  [2977] = {.lex_state = 266, .external_lex_state = 2},
  [2978] = {.lex_state = 305, .external_lex_state = 2},
  [2979] = {.lex_state = 272, .external_lex_state = 2},
  [2980] = {.lex_state = 271, .external_lex_state = 2},
  [2981] = {.lex_state = 271, .external_lex_state = 2},
  [2982] = {.lex_state = 270, .external_lex_state = 2},
  [2983] = {.lex_state = 271, .external_lex_state = 2},
  [2984] = {.lex_state = 273, .external_lex_state = 2},
  [2985] = {.lex_state = 271, .external_lex_state = 2},
  [2986] = {.lex_state = 268, .external_lex_state = 2},
  [2987] = {.lex_state = 261, .external_lex_state = 2},
  [2988] = {.lex_state = 268, .external_lex_state = 2},
  [2989] = {.lex_state = 265, .external_lex_state = 2},
  [2990] = {.lex_state = 268, .external_lex_state = 2},
  [2991] = {.lex_state = 271, .external_lex_state = 2},
  [2992] = {.lex_state = 268, .external_lex_state = 2},
  [2993] = {.lex_state = 271, .external_lex_state = 2},
  [2994] = {.lex_state = 271, .external_lex_state = 2},
  [2995] = {.lex_state = 270, .external_lex_state = 2},
  [2996] = {.lex_state = 268, .external_lex_state = 2},
  [2997] = {.lex_state = 268, .external_lex_state = 2},
  [2998] = {.lex_state = 271, .external_lex_state = 2},
  [2999] = {.lex_state = 268, .external_lex_state = 2},
  [3000] = {.lex_state = 271, .external_lex_state = 2},
  [3001] = {.lex_state = 266, .external_lex_state = 2},
  [3002] = {.lex_state = 266, .external_lex_state = 2},
  [3003] = {.lex_state = 266, .external_lex_state = 2},
  [3004] = {.lex_state = 332, .external_lex_state = 2},
  [3005] = {.lex_state = 266, .external_lex_state = 2},
  [3006] = {.lex_state = 266, .external_lex_state = 2},
  [3007] = {.lex_state = 266, .external_lex_state = 2},
  [3008] = {.lex_state = 266, .external_lex_state = 2},
  [3009] = {.lex_state = 266, .external_lex_state = 2},
  [3010] = {.lex_state = 332, .external_lex_state = 3},
  [3011] = {.lex_state = 332, .external_lex_state = 3},
  [3012] = {.lex_state = 266, .external_lex_state = 2},
  [3013] = {.lex_state = 266, .external_lex_state = 2},
  [3014] = {.lex_state = 266, .external_lex_state = 2},
  [3015] = {.lex_state = 332, .external_lex_state = 2},
  [3016] = {.lex_state = 266, .external_lex_state = 2},
  [3017] = {.lex_state = 266, .external_lex_state = 2},
  [3018] = {.lex_state = 266, .external_lex_state = 2},
  [3019] = {.lex_state = 266, .external_lex_state = 2},
  [3020] = {.lex_state = 266, .external_lex_state = 2},
  [3021] = {.lex_state = 266, .external_lex_state = 2},
  [3022] = {.lex_state = 266, .external_lex_state = 2},
  [3023] = {.lex_state = 266, .external_lex_state = 2},
  [3024] = {.lex_state = 332, .external_lex_state = 2},
  [3025] = {.lex_state = 332, .external_lex_state = 3},
  [3026] = {.lex_state = 266, .external_lex_state = 2},
  [3027] = {.lex_state = 266, .external_lex_state = 2},
  [3028] = {.lex_state = 266, .external_lex_state = 2},
  [3029] = {.lex_state = 266, .external_lex_state = 2},
  [3030] = {.lex_state = 266, .external_lex_state = 2},
  [3031] = {.lex_state = 266, .external_lex_state = 2},
  [3032] = {.lex_state = 332, .external_lex_state = 2},
  [3033] = {.lex_state = 332, .external_lex_state = 2},
  [3034] = {.lex_state = 332, .external_lex_state = 2},
  [3035] = {.lex_state = 316, .external_lex_state = 5},
  [3036] = {.lex_state = 332, .external_lex_state = 2},
  [3037] = {.lex_state = 332, .external_lex_state = 2},
  [3038] = {.lex_state = 332, .external_lex_state = 2},
  [3039] = {.lex_state = 332, .external_lex_state = 2},
  [3040] = {.lex_state = 332, .external_lex_state = 2},
  [3041] = {.lex_state = 332, .external_lex_state = 2},
  [3042] = {.lex_state = 332, .external_lex_state = 3},
  [3043] = {.lex_state = 332, .external_lex_state = 2},
  [3044] = {.lex_state = 332, .external_lex_state = 2},
  [3045] = {.lex_state = 332, .external_lex_state = 2},
  [3046] = {.lex_state = 316, .external_lex_state = 5},
  [3047] = {.lex_state = 332, .external_lex_state = 2},
  [3048] = {.lex_state = 332, .external_lex_state = 2},
  [3049] = {.lex_state = 332, .external_lex_state = 2},
  [3050] = {.lex_state = 332, .external_lex_state = 2},
  [3051] = {.lex_state = 332, .external_lex_state = 2},
  [3052] = {.lex_state = 332, .external_lex_state = 2},
  [3053] = {.lex_state = 332, .external_lex_state = 2},
  [3054] = {.lex_state = 332, .external_lex_state = 2},
  [3055] = {.lex_state = 332, .external_lex_state = 2},
  [3056] = {.lex_state = 332, .external_lex_state = 2},
  [3057] = {.lex_state = 332, .external_lex_state = 2},
  [3058] = {.lex_state = 332, .external_lex_state = 2},
  [3059] = {.lex_state = 332, .external_lex_state = 2},
  [3060] = {.lex_state = 332, .external_lex_state = 2},
  [3061] = {.lex_state = 332, .external_lex_state = 3},
  [3062] = {.lex_state = 332, .external_lex_state = 3},
  [3063] = {.lex_state = 332, .external_lex_state = 3},
  [3064] = {.lex_state = 332, .external_lex_state = 2},
  [3065] = {.lex_state = 332, .external_lex_state = 2},
  [3066] = {.lex_state = 332, .external_lex_state = 2},
  [3067] = {.lex_state = 332, .external_lex_state = 2},
  [3068] = {.lex_state = 332, .external_lex_state = 2},
  [3069] = {.lex_state = 332, .external_lex_state = 2},
  [3070] = {.lex_state = 332, .external_lex_state = 2},
  [3071] = {.lex_state = 332, .external_lex_state = 2},
  [3072] = {.lex_state = 332, .external_lex_state = 3},
  [3073] = {.lex_state = 332, .external_lex_state = 2},
  [3074] = {.lex_state = 332, .external_lex_state = 2},
  [3075] = {.lex_state = 332, .external_lex_state = 2},
  [3076] = {.lex_state = 332, .external_lex_state = 2},
  [3077] = {.lex_state = 332, .external_lex_state = 2},
  [3078] = {.lex_state = 332, .external_lex_state = 2},
  [3079] = {.lex_state = 332, .external_lex_state = 2},
  [3080] = {.lex_state = 332, .external_lex_state = 3},
  [3081] = {.lex_state = 332, .external_lex_state = 2},
  [3082] = {.lex_state = 332, .external_lex_state = 2},
  [3083] = {.lex_state = 335, .external_lex_state = 2},
  [3084] = {.lex_state = 332, .external_lex_state = 3},
  [3085] = {.lex_state = 332, .external_lex_state = 2},
  [3086] = {.lex_state = 332, .external_lex_state = 2},
  [3087] = {.lex_state = 335, .external_lex_state = 2},
  [3088] = {.lex_state = 335, .external_lex_state = 2},
  [3089] = {.lex_state = 335, .external_lex_state = 2},
  [3090] = {.lex_state = 332, .external_lex_state = 2},
  [3091] = {.lex_state = 335, .external_lex_state = 2},
  [3092] = {.lex_state = 335, .external_lex_state = 2},
  [3093] = {.lex_state = 335, .external_lex_state = 2},
  [3094] = {.lex_state = 335, .external_lex_state = 2},
  [3095] = {.lex_state = 335, .external_lex_state = 2},
  [3096] = {.lex_state = 332, .external_lex_state = 2},
  [3097] = {.lex_state = 332, .external_lex_state = 2},
  [3098] = {.lex_state = 332, .external_lex_state = 2},
  [3099] = {.lex_state = 335, .external_lex_state = 2},
  [3100] = {.lex_state = 335, .external_lex_state = 2},
  [3101] = {.lex_state = 335, .external_lex_state = 2},
  [3102] = {.lex_state = 335, .external_lex_state = 2},
  [3103] = {.lex_state = 335, .external_lex_state = 2},
  [3104] = {.lex_state = 335, .external_lex_state = 2},
  [3105] = {.lex_state = 335, .external_lex_state = 2},
  [3106] = {.lex_state = 332, .external_lex_state = 2},
  [3107] = {.lex_state = 332, .external_lex_state = 2},
  [3108] = {.lex_state = 332, .external_lex_state = 2},
  [3109] = {.lex_state = 332, .external_lex_state = 2},
  [3110] = {.lex_state = 332, .external_lex_state = 2},
  [3111] = {.lex_state = 332, .external_lex_state = 2},
  [3112] = {.lex_state = 332, .external_lex_state = 2},
  [3113] = {.lex_state = 332, .external_lex_state = 2},
  [3114] = {.lex_state = 332, .external_lex_state = 2},
  [3115] = {.lex_state = 332, .external_lex_state = 2},
  [3116] = {.lex_state = 332, .external_lex_state = 2},
  [3117] = {.lex_state = 332, .external_lex_state = 2},
  [3118] = {.lex_state = 332, .external_lex_state = 2},
  [3119] = {.lex_state = 332, .external_lex_state = 2},
  [3120] = {.lex_state = 332, .external_lex_state = 2},
  [3121] = {.lex_state = 332, .external_lex_state = 2},
  [3122] = {.lex_state = 332, .external_lex_state = 2},
  [3123] = {.lex_state = 332, .external_lex_state = 2},
  [3124] = {.lex_state = 332, .external_lex_state = 2},
  [3125] = {.lex_state = 332, .external_lex_state = 2},
  [3126] = {.lex_state = 332, .external_lex_state = 2},
  [3127] = {.lex_state = 332, .external_lex_state = 2},
  [3128] = {.lex_state = 332, .external_lex_state = 2},
  [3129] = {.lex_state = 332, .external_lex_state = 2},
  [3130] = {.lex_state = 332, .external_lex_state = 2},
  [3131] = {.lex_state = 332, .external_lex_state = 2},
  [3132] = {.lex_state = 332, .external_lex_state = 2},
  [3133] = {.lex_state = 332, .external_lex_state = 2},
  [3134] = {.lex_state = 332, .external_lex_state = 2},
  [3135] = {.lex_state = 332, .external_lex_state = 2},
  [3136] = {.lex_state = 332, .external_lex_state = 2},
  [3137] = {.lex_state = 332, .external_lex_state = 2},
  [3138] = {.lex_state = 319, .external_lex_state = 4},
  [3139] = {.lex_state = 332, .external_lex_state = 2},
  [3140] = {.lex_state = 326, .external_lex_state = 4},
  [3141] = {.lex_state = 332, .external_lex_state = 2},
  [3142] = {.lex_state = 332, .external_lex_state = 2},
  [3143] = {.lex_state = 332, .external_lex_state = 2},
  [3144] = {.lex_state = 332, .external_lex_state = 2},
  [3145] = {.lex_state = 332, .external_lex_state = 2},
  [3146] = {.lex_state = 326, .external_lex_state = 4},
  [3147] = {.lex_state = 332, .external_lex_state = 2},
  [3148] = {.lex_state = 327, .external_lex_state = 4},
  [3149] = {.lex_state = 332, .external_lex_state = 2},
  [3150] = {.lex_state = 332, .external_lex_state = 2},
  [3151] = {.lex_state = 332, .external_lex_state = 2},
  [3152] = {.lex_state = 332, .external_lex_state = 2},
  [3153] = {.lex_state = 332, .external_lex_state = 2},
  [3154] = {.lex_state = 332, .external_lex_state = 2},
  [3155] = {.lex_state = 332, .external_lex_state = 2},
  [3156] = {.lex_state = 246, .external_lex_state = 3},
  [3157] = {.lex_state = 332, .external_lex_state = 2},
  [3158] = {.lex_state = 332, .external_lex_state = 2},
  [3159] = {.lex_state = 328, .external_lex_state = 4},
  [3160] = {.lex_state = 332, .external_lex_state = 2},
  [3161] = {.lex_state = 332, .external_lex_state = 2},
  [3162] = {.lex_state = 326, .external_lex_state = 4},
  [3163] = {.lex_state = 332, .external_lex_state = 2},
  [3164] = {.lex_state = 332, .external_lex_state = 2},
  [3165] = {.lex_state = 327, .external_lex_state = 4},
  [3166] = {.lex_state = 332, .external_lex_state = 2},
  [3167] = {.lex_state = 332, .external_lex_state = 2},
  [3168] = {.lex_state = 332, .external_lex_state = 2},
  [3169] = {.lex_state = 332, .external_lex_state = 2},
  [3170] = {.lex_state = 332, .external_lex_state = 2},
  [3171] = {.lex_state = 332, .external_lex_state = 2},
  [3172] = {.lex_state = 332, .external_lex_state = 2},
  [3173] = {.lex_state = 319, .external_lex_state = 4},
  [3174] = {.lex_state = 326, .external_lex_state = 4},
  [3175] = {.lex_state = 332, .external_lex_state = 2},
  [3176] = {.lex_state = 327, .external_lex_state = 4},
  [3177] = {.lex_state = 332, .external_lex_state = 2},
  [3178] = {.lex_state = 332, .external_lex_state = 2},
  [3179] = {.lex_state = 332, .external_lex_state = 2},
  [3180] = {.lex_state = 332, .external_lex_state = 2},
  [3181] = {.lex_state = 332, .external_lex_state = 2},
  [3182] = {.lex_state = 246, .external_lex_state = 3},
  [3183] = {.lex_state = 326, .external_lex_state = 4},
  [3184] = {.lex_state = 319, .external_lex_state = 4},
  [3185] = {.lex_state = 332, .external_lex_state = 2},
  [3186] = {.lex_state = 326, .external_lex_state = 4},
  [3187] = {.lex_state = 327, .external_lex_state = 4},
  [3188] = {.lex_state = 327, .external_lex_state = 4},
  [3189] = {.lex_state = 332, .external_lex_state = 2},
  [3190] = {.lex_state = 332, .external_lex_state = 2},
  [3191] = {.lex_state = 332, .external_lex_state = 2},
  [3192] = {.lex_state = 332, .external_lex_state = 2},
  [3193] = {.lex_state = 327, .external_lex_state = 4},
  [3194] = {.lex_state = 332, .external_lex_state = 2},
  [3195] = {.lex_state = 332, .external_lex_state = 2},
  [3196] = {.lex_state = 332, .external_lex_state = 2},
  [3197] = {.lex_state = 332, .external_lex_state = 2},
  [3198] = {.lex_state = 332, .external_lex_state = 2},
  [3199] = {.lex_state = 319, .external_lex_state = 4},
  [3200] = {.lex_state = 332, .external_lex_state = 2},
  [3201] = {.lex_state = 332, .external_lex_state = 2},
  [3202] = {.lex_state = 332, .external_lex_state = 2},
  [3203] = {.lex_state = 326, .external_lex_state = 4},
  [3204] = {.lex_state = 332, .external_lex_state = 2},
  [3205] = {.lex_state = 332, .external_lex_state = 2},
  [3206] = {.lex_state = 332, .external_lex_state = 2},
  [3207] = {.lex_state = 332, .external_lex_state = 2},
  [3208] = {.lex_state = 332, .external_lex_state = 2},
  [3209] = {.lex_state = 332, .external_lex_state = 2},
  [3210] = {.lex_state = 332, .external_lex_state = 2},
  [3211] = {.lex_state = 332, .external_lex_state = 2},
  [3212] = {.lex_state = 332, .external_lex_state = 2},
  [3213] = {.lex_state = 332, .external_lex_state = 2},
  [3214] = {.lex_state = 326, .external_lex_state = 4},
  [3215] = {.lex_state = 332, .external_lex_state = 2},
  [3216] = {.lex_state = 332, .external_lex_state = 2},
  [3217] = {.lex_state = 332, .external_lex_state = 2},
  [3218] = {.lex_state = 332, .external_lex_state = 2},
  [3219] = {.lex_state = 319, .external_lex_state = 4},
  [3220] = {.lex_state = 332, .external_lex_state = 2},
  [3221] = {.lex_state = 332, .external_lex_state = 2},
  [3222] = {.lex_state = 332, .external_lex_state = 2},
  [3223] = {.lex_state = 332, .external_lex_state = 2},
  [3224] = {.lex_state = 332, .external_lex_state = 2},
  [3225] = {.lex_state = 332, .external_lex_state = 2},
  [3226] = {.lex_state = 332, .external_lex_state = 2},
  [3227] = {.lex_state = 246, .external_lex_state = 3},
  [3228] = {.lex_state = 332, .external_lex_state = 2},
  [3229] = {.lex_state = 246, .external_lex_state = 3},
  [3230] = {.lex_state = 332, .external_lex_state = 2},
  [3231] = {.lex_state = 326, .external_lex_state = 4},
  [3232] = {.lex_state = 319, .external_lex_state = 4},
  [3233] = {.lex_state = 332, .external_lex_state = 2},
  [3234] = {.lex_state = 332, .external_lex_state = 2},
  [3235] = {.lex_state = 332, .external_lex_state = 2},
  [3236] = {.lex_state = 327, .external_lex_state = 4},
  [3237] = {.lex_state = 332, .external_lex_state = 2},
  [3238] = {.lex_state = 332, .external_lex_state = 2},
  [3239] = {.lex_state = 326, .external_lex_state = 4},
  [3240] = {.lex_state = 246, .external_lex_state = 3},
  [3241] = {.lex_state = 332, .external_lex_state = 2},
  [3242] = {.lex_state = 327, .external_lex_state = 4},
  [3243] = {.lex_state = 332, .external_lex_state = 2},
  [3244] = {.lex_state = 332, .external_lex_state = 2},
  [3245] = {.lex_state = 332, .external_lex_state = 2},
  [3246] = {.lex_state = 332, .external_lex_state = 2},
  [3247] = {.lex_state = 332, .external_lex_state = 2},
  [3248] = {.lex_state = 332, .external_lex_state = 2},
  [3249] = {.lex_state = 332, .external_lex_state = 2},
  [3250] = {.lex_state = 332, .external_lex_state = 2},
  [3251] = {.lex_state = 332, .external_lex_state = 2},
  [3252] = {.lex_state = 332, .external_lex_state = 2},
  [3253] = {.lex_state = 332, .external_lex_state = 2},
  [3254] = {.lex_state = 326, .external_lex_state = 4},
  [3255] = {.lex_state = 332, .external_lex_state = 2},
  [3256] = {.lex_state = 332, .external_lex_state = 2},
  [3257] = {.lex_state = 332, .external_lex_state = 2},
  [3258] = {.lex_state = 327, .external_lex_state = 4},
  [3259] = {.lex_state = 326, .external_lex_state = 4},
  [3260] = {.lex_state = 327, .external_lex_state = 4},
  [3261] = {.lex_state = 332, .external_lex_state = 2},
  [3262] = {.lex_state = 332, .external_lex_state = 2},
  [3263] = {.lex_state = 332, .external_lex_state = 2},
  [3264] = {.lex_state = 332, .external_lex_state = 2},
  [3265] = {.lex_state = 332, .external_lex_state = 2},
  [3266] = {.lex_state = 332, .external_lex_state = 2},
  [3267] = {.lex_state = 332, .external_lex_state = 2},
  [3268] = {.lex_state = 332, .external_lex_state = 2},
  [3269] = {.lex_state = 332, .external_lex_state = 2},
  [3270] = {.lex_state = 332, .external_lex_state = 2},
  [3271] = {.lex_state = 327, .external_lex_state = 4},
  [3272] = {.lex_state = 332, .external_lex_state = 2},
  [3273] = {.lex_state = 332, .external_lex_state = 2},
  [3274] = {.lex_state = 332, .external_lex_state = 2},
  [3275] = {.lex_state = 332, .external_lex_state = 2},
  [3276] = {.lex_state = 332, .external_lex_state = 2},
  [3277] = {.lex_state = 319, .external_lex_state = 4},
  [3278] = {.lex_state = 332, .external_lex_state = 2},
  [3279] = {.lex_state = 332, .external_lex_state = 2},
  [3280] = {.lex_state = 328, .external_lex_state = 4},
  [3281] = {.lex_state = 332, .external_lex_state = 2},
  [3282] = {.lex_state = 332, .external_lex_state = 2},
  [3283] = {.lex_state = 327, .external_lex_state = 4},
  [3284] = {.lex_state = 332, .external_lex_state = 2},
  [3285] = {.lex_state = 332, .external_lex_state = 2},
  [3286] = {.lex_state = 332, .external_lex_state = 2},
  [3287] = {.lex_state = 332, .external_lex_state = 2},
  [3288] = {.lex_state = 332, .external_lex_state = 2},
  [3289] = {.lex_state = 332, .external_lex_state = 2},
  [3290] = {.lex_state = 326, .external_lex_state = 4},
  [3291] = {.lex_state = 332, .external_lex_state = 2},
  [3292] = {.lex_state = 332, .external_lex_state = 2},
  [3293] = {.lex_state = 332, .external_lex_state = 2},
  [3294] = {.lex_state = 327, .external_lex_state = 4},
  [3295] = {.lex_state = 332, .external_lex_state = 2},
  [3296] = {.lex_state = 332, .external_lex_state = 2},
  [3297] = {.lex_state = 332, .external_lex_state = 2},
  [3298] = {.lex_state = 332, .external_lex_state = 2},
  [3299] = {.lex_state = 332, .external_lex_state = 2},
  [3300] = {.lex_state = 332, .external_lex_state = 2},
  [3301] = {.lex_state = 319, .external_lex_state = 4},
  [3302] = {.lex_state = 332, .external_lex_state = 2},
  [3303] = {.lex_state = 332, .external_lex_state = 2},
  [3304] = {.lex_state = 332, .external_lex_state = 2},
  [3305] = {.lex_state = 332, .external_lex_state = 2},
  [3306] = {.lex_state = 332, .external_lex_state = 2},
  [3307] = {.lex_state = 332, .external_lex_state = 2},
  [3308] = {.lex_state = 332, .external_lex_state = 2},
  [3309] = {.lex_state = 332, .external_lex_state = 2},
  [3310] = {.lex_state = 332, .external_lex_state = 2},
  [3311] = {.lex_state = 332, .external_lex_state = 2},
  [3312] = {.lex_state = 332, .external_lex_state = 2},
  [3313] = {.lex_state = 332, .external_lex_state = 2},
  [3314] = {.lex_state = 332, .external_lex_state = 2},
  [3315] = {.lex_state = 332, .external_lex_state = 2},
  [3316] = {.lex_state = 332, .external_lex_state = 2},
  [3317] = {.lex_state = 332, .external_lex_state = 2},
  [3318] = {.lex_state = 328, .external_lex_state = 4},
  [3319] = {.lex_state = 332, .external_lex_state = 2},
  [3320] = {.lex_state = 332, .external_lex_state = 2},
  [3321] = {.lex_state = 337, .external_lex_state = 2},
  [3322] = {.lex_state = 276, .external_lex_state = 5},
  [3323] = {.lex_state = 329, .external_lex_state = 4},
  [3324] = {.lex_state = 330, .external_lex_state = 4},
  [3325] = {.lex_state = 330, .external_lex_state = 4},
  [3326] = {.lex_state = 323, .external_lex_state = 4},
  [3327] = {.lex_state = 331, .external_lex_state = 4},
  [3328] = {.lex_state = 331, .external_lex_state = 4},
  [3329] = {.lex_state = 331, .external_lex_state = 4},
  [3330] = {.lex_state = 329, .external_lex_state = 4},
  [3331] = {.lex_state = 330, .external_lex_state = 4},
  [3332] = {.lex_state = 329, .external_lex_state = 4},
  [3333] = {.lex_state = 323, .external_lex_state = 4},
  [3334] = {.lex_state = 296, .external_lex_state = 5},
  [3335] = {.lex_state = 323, .external_lex_state = 4},
  [3336] = {.lex_state = 323, .external_lex_state = 4},
  [3337] = {.lex_state = 323, .external_lex_state = 4},
  [3338] = {.lex_state = 323, .external_lex_state = 4},
  [3339] = {.lex_state = 323, .external_lex_state = 5},
  [3340] = {.lex_state = 322, .external_lex_state = 5},
  [3341] = {.lex_state = 323, .external_lex_state = 4},
  [3342] = {.lex_state = 325, .external_lex_state = 5},
  [3343] = {.lex_state = 325, .external_lex_state = 5},
  [3344] = {.lex_state = 325, .external_lex_state = 5},
  [3345] = {.lex_state = 325, .external_lex_state = 5},
  [3346] = {.lex_state = 325, .external_lex_state = 5},
  [3347] = {.lex_state = 325, .external_lex_state = 5},
  [3348] = {.lex_state = 346, .external_lex_state = 5},
  [3349] = {.lex_state = 318, .external_lex_state = 5},
  [3350] = {.lex_state = 318, .external_lex_state = 5},
  [3351] = {.lex_state = 318, .external_lex_state = 5},
  [3352] = {.lex_state = 318, .external_lex_state = 5},
  [3353] = {.lex_state = 318, .external_lex_state = 5},
  [3354] = {.lex_state = 318, .external_lex_state = 5},
  [3355] = {.lex_state = 318, .external_lex_state = 5},
  [3356] = {.lex_state = 318, .external_lex_state = 5},
  [3357] = {.lex_state = 318, .external_lex_state = 5},
  [3358] = {.lex_state = 318, .external_lex_state = 5},
  [3359] = {.lex_state = 318, .external_lex_state = 5},
  [3360] = {.lex_state = 318, .external_lex_state = 5},
  [3361] = {.lex_state = 318, .external_lex_state = 5},
  [3362] = {.lex_state = 318, .external_lex_state = 5},
  [3363] = {.lex_state = 318, .external_lex_state = 5},
  [3364] = {.lex_state = 318, .external_lex_state = 5},
  [3365] = {.lex_state = 318, .external_lex_state = 5},
  [3366] = {.lex_state = 318, .external_lex_state = 5},
  [3367] = {.lex_state = 318, .external_lex_state = 5},
  [3368] = {.lex_state = 318, .external_lex_state = 5},
  [3369] = {.lex_state = 318, .external_lex_state = 5},
  [3370] = {.lex_state = 318, .external_lex_state = 5},
  [3371] = {.lex_state = 318, .external_lex_state = 5},
  [3372] = {.lex_state = 316, .external_lex_state = 5},
  [3373] = {.lex_state = 340, .external_lex_state = 6},
  [3374] = {.lex_state = 340, .external_lex_state = 6},
  [3375] = {.lex_state = 340, .external_lex_state = 6},
  [3376] = {.lex_state = 340, .external_lex_state = 6},
  [3377] = {.lex_state = 340, .external_lex_state = 6},
  [3378] = {.lex_state = 340, .external_lex_state = 6},
  [3379] = {.lex_state = 340, .external_lex_state = 6},
  [3380] = {.lex_state = 340, .external_lex_state = 6},
  [3381] = {.lex_state = 340, .external_lex_state = 6},
  [3382] = {.lex_state = 340, .external_lex_state = 6},
  [3383] = {.lex_state = 316, .external_lex_state = 4},
  [3384] = {.lex_state = 340, .external_lex_state = 6},
  [3385] = {.lex_state = 340, .external_lex_state = 6},
  [3386] = {.lex_state = 340, .external_lex_state = 6},
  [3387] = {.lex_state = 340, .external_lex_state = 6},
  [3388] = {.lex_state = 340, .external_lex_state = 6},
  [3389] = {.lex_state = 340, .external_lex_state = 6},
  [3390] = {.lex_state = 340, .external_lex_state = 6},
  [3391] = {.lex_state = 340, .external_lex_state = 6},
  [3392] = {.lex_state = 340, .external_lex_state = 6},
  [3393] = {.lex_state = 340, .external_lex_state = 6},
  [3394] = {.lex_state = 340, .external_lex_state = 6},
  [3395] = {.lex_state = 340, .external_lex_state = 6},
  [3396] = {.lex_state = 340, .external_lex_state = 6},
  [3397] = {.lex_state = 340, .external_lex_state = 6},
  [3398] = {.lex_state = 332, .external_lex_state = 3},
  [3399] = {.lex_state = 332, .external_lex_state = 3},
  [3400] = {.lex_state = 340, .external_lex_state = 6},
  [3401] = {.lex_state = 340, .external_lex_state = 6},
  [3402] = {.lex_state = 340, .external_lex_state = 6},
  [3403] = {.lex_state = 340, .external_lex_state = 6},
  [3404] = {.lex_state = 340, .external_lex_state = 6},
  [3405] = {.lex_state = 340, .external_lex_state = 6},
  [3406] = {.lex_state = 340, .external_lex_state = 6},
  [3407] = {.lex_state = 340, .external_lex_state = 6},
  [3408] = {.lex_state = 340, .external_lex_state = 6},
  [3409] = {.lex_state = 340, .external_lex_state = 6},
  [3410] = {.lex_state = 332, .external_lex_state = 3},
  [3411] = {.lex_state = 340, .external_lex_state = 6},
  [3412] = {.lex_state = 332, .external_lex_state = 3},
  [3413] = {.lex_state = 332, .external_lex_state = 3},
  [3414] = {.lex_state = 332, .external_lex_state = 3},
  [3415] = {.lex_state = 340, .external_lex_state = 6},
  [3416] = {.lex_state = 340, .external_lex_state = 6},
  [3417] = {.lex_state = 340, .external_lex_state = 6},
  [3418] = {.lex_state = 340, .external_lex_state = 6},
  [3419] = {.lex_state = 340, .external_lex_state = 6},
  [3420] = {.lex_state = 340, .external_lex_state = 6},
  [3421] = {.lex_state = 340, .external_lex_state = 6},
  [3422] = {.lex_state = 340, .external_lex_state = 6},
  [3423] = {.lex_state = 340, .external_lex_state = 6},
  [3424] = {.lex_state = 340, .external_lex_state = 6},
  [3425] = {.lex_state = 340, .external_lex_state = 6},
  [3426] = {.lex_state = 340, .external_lex_state = 6},
  [3427] = {.lex_state = 340, .external_lex_state = 6},
  [3428] = {.lex_state = 340, .external_lex_state = 6},
  [3429] = {.lex_state = 340, .external_lex_state = 6},
  [3430] = {.lex_state = 340, .external_lex_state = 6},
  [3431] = {.lex_state = 340, .external_lex_state = 6},
  [3432] = {.lex_state = 340, .external_lex_state = 6},
  [3433] = {.lex_state = 340, .external_lex_state = 6},
  [3434] = {.lex_state = 340, .external_lex_state = 6},
  [3435] = {.lex_state = 340, .external_lex_state = 6},
  [3436] = {.lex_state = 340, .external_lex_state = 6},
  [3437] = {.lex_state = 340, .external_lex_state = 6},
  [3438] = {.lex_state = 340, .external_lex_state = 6},
  [3439] = {.lex_state = 340, .external_lex_state = 6},
  [3440] = {.lex_state = 340, .external_lex_state = 6},
  [3441] = {.lex_state = 340, .external_lex_state = 6},
  [3442] = {.lex_state = 340, .external_lex_state = 6},
  [3443] = {.lex_state = 340, .external_lex_state = 6},
  [3444] = {.lex_state = 332, .external_lex_state = 3},
  [3445] = {.lex_state = 332, .external_lex_state = 3},
  [3446] = {.lex_state = 340, .external_lex_state = 6},
  [3447] = {.lex_state = 340, .external_lex_state = 6},
  [3448] = {.lex_state = 340, .external_lex_state = 6},
  [3449] = {.lex_state = 340, .external_lex_state = 6},
  [3450] = {.lex_state = 340, .external_lex_state = 6},
  [3451] = {.lex_state = 340, .external_lex_state = 6},
  [3452] = {.lex_state = 340, .external_lex_state = 6},
  [3453] = {.lex_state = 340, .external_lex_state = 6},
  [3454] = {.lex_state = 340, .external_lex_state = 6},
  [3455] = {.lex_state = 340, .external_lex_state = 6},
  [3456] = {.lex_state = 340, .external_lex_state = 6},
  [3457] = {.lex_state = 340, .external_lex_state = 6},
  [3458] = {.lex_state = 340, .external_lex_state = 6},
  [3459] = {.lex_state = 340, .external_lex_state = 6},
  [3460] = {.lex_state = 340, .external_lex_state = 6},
  [3461] = {.lex_state = 340, .external_lex_state = 6},
  [3462] = {.lex_state = 332, .external_lex_state = 3},
  [3463] = {.lex_state = 332, .external_lex_state = 3},
  [3464] = {.lex_state = 332, .external_lex_state = 3},
  [3465] = {.lex_state = 340, .external_lex_state = 6},
  [3466] = {.lex_state = 340, .external_lex_state = 6},
  [3467] = {.lex_state = 332, .external_lex_state = 3},
  [3468] = {.lex_state = 340, .external_lex_state = 6},
  [3469] = {.lex_state = 332, .external_lex_state = 3},
  [3470] = {.lex_state = 340, .external_lex_state = 6},
  [3471] = {.lex_state = 340, .external_lex_state = 6},
  [3472] = {.lex_state = 340, .external_lex_state = 6},
  [3473] = {.lex_state = 340, .external_lex_state = 6},
  [3474] = {.lex_state = 340, .external_lex_state = 6},
  [3475] = {.lex_state = 340, .external_lex_state = 6},
  [3476] = {.lex_state = 340, .external_lex_state = 6},
  [3477] = {.lex_state = 340, .external_lex_state = 6},
  [3478] = {.lex_state = 340, .external_lex_state = 6},
  [3479] = {.lex_state = 340, .external_lex_state = 6},
  [3480] = {.lex_state = 332, .external_lex_state = 3},
  [3481] = {.lex_state = 340, .external_lex_state = 6},
  [3482] = {.lex_state = 340, .external_lex_state = 6},
  [3483] = {.lex_state = 340, .external_lex_state = 6},
  [3484] = {.lex_state = 340, .external_lex_state = 6},
  [3485] = {.lex_state = 340, .external_lex_state = 6},
  [3486] = {.lex_state = 340, .external_lex_state = 6},
  [3487] = {.lex_state = 340, .external_lex_state = 6},
  [3488] = {.lex_state = 340, .external_lex_state = 6},
  [3489] = {.lex_state = 340, .external_lex_state = 6},
  [3490] = {.lex_state = 340, .external_lex_state = 6},
  [3491] = {.lex_state = 340, .external_lex_state = 6},
  [3492] = {.lex_state = 340, .external_lex_state = 6},
  [3493] = {.lex_state = 340, .external_lex_state = 6},
  [3494] = {.lex_state = 340, .external_lex_state = 6},
  [3495] = {.lex_state = 340, .external_lex_state = 6},
  [3496] = {.lex_state = 340, .external_lex_state = 6},
  [3497] = {.lex_state = 340, .external_lex_state = 6},
  [3498] = {.lex_state = 340, .external_lex_state = 6},
  [3499] = {.lex_state = 340, .external_lex_state = 6},
  [3500] = {.lex_state = 340, .external_lex_state = 6},
  [3501] = {.lex_state = 340, .external_lex_state = 6},
  [3502] = {.lex_state = 340, .external_lex_state = 6},
  [3503] = {.lex_state = 340, .external_lex_state = 6},
  [3504] = {.lex_state = 340, .external_lex_state = 6},
  [3505] = {.lex_state = 340, .external_lex_state = 6},
  [3506] = {.lex_state = 340, .external_lex_state = 6},
  [3507] = {.lex_state = 340, .external_lex_state = 6},
  [3508] = {.lex_state = 340, .external_lex_state = 6},
  [3509] = {.lex_state = 340, .external_lex_state = 6},
  [3510] = {.lex_state = 340, .external_lex_state = 6},
  [3511] = {.lex_state = 316, .external_lex_state = 4},
  [3512] = {.lex_state = 332, .external_lex_state = 2},
  [3513] = {.lex_state = 345, .external_lex_state = 7},
  [3514] = {.lex_state = 316, .external_lex_state = 5},
  [3515] = {.lex_state = 332, .external_lex_state = 2},
  [3516] = {.lex_state = 342, .external_lex_state = 5},
  [3517] = {.lex_state = 342, .external_lex_state = 5},
  [3518] = {.lex_state = 316, .external_lex_state = 5},
  [3519] = {.lex_state = 342, .external_lex_state = 5},
  [3520] = {.lex_state = 287, .external_lex_state = 5},
  [3521] = {.lex_state = 287, .external_lex_state = 5},
  [3522] = {.lex_state = 342, .external_lex_state = 5},
  [3523] = {.lex_state = 287, .external_lex_state = 5},
  [3524] = {.lex_state = 287, .external_lex_state = 5},
  [3525] = {.lex_state = 287, .external_lex_state = 5},
  [3526] = {.lex_state = 342, .external_lex_state = 5},
  [3527] = {.lex_state = 287, .external_lex_state = 5},
  [3528] = {.lex_state = 342, .external_lex_state = 5},
  [3529] = {.lex_state = 342, .external_lex_state = 5},
  [3530] = {.lex_state = 342, .external_lex_state = 5},
  [3531] = {.lex_state = 342, .external_lex_state = 5},
  [3532] = {.lex_state = 342, .external_lex_state = 5},
  [3533] = {.lex_state = 342, .external_lex_state = 5},
  [3534] = {.lex_state = 342, .external_lex_state = 5},
  [3535] = {.lex_state = 342, .external_lex_state = 4},
  [3536] = {.lex_state = 342, .external_lex_state = 4},
  [3537] = {.lex_state = 342, .external_lex_state = 4},
  [3538] = {.lex_state = 342, .external_lex_state = 4},
  [3539] = {.lex_state = 342, .external_lex_state = 4},
  [3540] = {.lex_state = 342, .external_lex_state = 4},
  [3541] = {.lex_state = 342, .external_lex_state = 4},
  [3542] = {.lex_state = 342, .external_lex_state = 4},
  [3543] = {.lex_state = 342, .external_lex_state = 4},
  [3544] = {.lex_state = 342, .external_lex_state = 4},
  [3545] = {.lex_state = 342, .external_lex_state = 4},
  [3546] = {.lex_state = 334, .external_lex_state = 5},
  [3547] = {.lex_state = 334, .external_lex_state = 5},
  [3548] = {.lex_state = 345, .external_lex_state = 4},
  [3549] = {.lex_state = 342, .external_lex_state = 4},
  [3550] = {.lex_state = 342, .external_lex_state = 4},
  [3551] = {.lex_state = 342, .external_lex_state = 4},
  [3552] = {.lex_state = 334, .external_lex_state = 5},
  [3553] = {.lex_state = 334, .external_lex_state = 5},
  [3554] = {.lex_state = 342, .external_lex_state = 4},
  [3555] = {.lex_state = 342, .external_lex_state = 4},
  [3556] = {.lex_state = 342, .external_lex_state = 4},
  [3557] = {.lex_state = 342, .external_lex_state = 4},
  [3558] = {.lex_state = 316, .external_lex_state = 5},
  [3559] = {.lex_state = 342, .external_lex_state = 4},
  [3560] = {.lex_state = 342, .external_lex_state = 4},
  [3561] = {.lex_state = 342, .external_lex_state = 4},
  [3562] = {.lex_state = 342, .external_lex_state = 4},
  [3563] = {.lex_state = 342, .external_lex_state = 4},
  [3564] = {.lex_state = 347, .external_lex_state = 5},
  [3565] = {.lex_state = 342, .external_lex_state = 4},
  [3566] = {.lex_state = 341, .external_lex_state = 4},
  [3567] = {.lex_state = 342, .external_lex_state = 4},
  [3568] = {.lex_state = 342, .external_lex_state = 4},
  [3569] = {.lex_state = 342, .external_lex_state = 4},
  [3570] = {.lex_state = 342, .external_lex_state = 4},
  [3571] = {.lex_state = 334, .external_lex_state = 5},
  [3572] = {.lex_state = 342, .external_lex_state = 4},
  [3573] = {.lex_state = 342, .external_lex_state = 4},
  [3574] = {.lex_state = 342, .external_lex_state = 4},
  [3575] = {.lex_state = 342, .external_lex_state = 4},
  [3576] = {.lex_state = 342, .external_lex_state = 4},
  [3577] = {.lex_state = 342, .external_lex_state = 4},
  [3578] = {.lex_state = 316, .external_lex_state = 5},
  [3579] = {.lex_state = 342, .external_lex_state = 4},
  [3580] = {.lex_state = 334, .external_lex_state = 5},
  [3581] = {.lex_state = 342, .external_lex_state = 4},
  [3582] = {.lex_state = 342, .external_lex_state = 5},
  [3583] = {.lex_state = 341, .external_lex_state = 8},
  [3584] = {.lex_state = 341, .external_lex_state = 8},
  [3585] = {.lex_state = 342, .external_lex_state = 5},
  [3586] = {.lex_state = 342, .external_lex_state = 5},
  [3587] = {.lex_state = 334, .external_lex_state = 5},
  [3588] = {.lex_state = 342, .external_lex_state = 4},
  [3589] = {.lex_state = 341, .external_lex_state = 8},
  [3590] = {.lex_state = 335, .external_lex_state = 5},
  [3591] = {.lex_state = 345, .external_lex_state = 4},
  [3592] = {.lex_state = 342, .external_lex_state = 5},
  [3593] = {.lex_state = 316, .external_lex_state = 5},
  [3594] = {.lex_state = 335, .external_lex_state = 5},
  [3595] = {.lex_state = 342, .external_lex_state = 5},
  [3596] = {.lex_state = 335, .external_lex_state = 5},
  [3597] = {.lex_state = 316, .external_lex_state = 5},
  [3598] = {.lex_state = 316, .external_lex_state = 5},
  [3599] = {.lex_state = 345, .external_lex_state = 4},
  [3600] = {.lex_state = 342, .external_lex_state = 5},
  [3601] = {.lex_state = 342, .external_lex_state = 5},
  [3602] = {.lex_state = 342, .external_lex_state = 5},
  [3603] = {.lex_state = 316, .external_lex_state = 5},
  [3604] = {.lex_state = 341, .external_lex_state = 8},
  [3605] = {.lex_state = 342, .external_lex_state = 5},
  [3606] = {.lex_state = 316, .external_lex_state = 5},
  [3607] = {.lex_state = 342, .external_lex_state = 5},
  [3608] = {.lex_state = 316, .external_lex_state = 5},
  [3609] = {.lex_state = 342, .external_lex_state = 5},
  [3610] = {.lex_state = 316, .external_lex_state = 5},
  [3611] = {.lex_state = 342, .external_lex_state = 5},
  [3612] = {.lex_state = 342, .external_lex_state = 5},
  [3613] = {.lex_state = 316, .external_lex_state = 5},
  [3614] = {.lex_state = 316, .external_lex_state = 5},
  [3615] = {.lex_state = 335, .external_lex_state = 5},
  [3616] = {.lex_state = 334, .external_lex_state = 5},
  [3617] = {.lex_state = 334, .external_lex_state = 5},
  [3618] = {.lex_state = 334, .external_lex_state = 5},
  [3619] = {.lex_state = 334, .external_lex_state = 5},
  [3620] = {.lex_state = 334, .external_lex_state = 5},
  [3621] = {.lex_state = 333, .external_lex_state = 4},
  [3622] = {.lex_state = 334, .external_lex_state = 5},
  [3623] = {.lex_state = 334, .external_lex_state = 5},
  [3624] = {.lex_state = 334, .external_lex_state = 5},
  [3625] = {.lex_state = 341, .external_lex_state = 4},
  [3626] = {.lex_state = 249, .external_lex_state = 5},
  [3627] = {.lex_state = 249, .external_lex_state = 5},
  [3628] = {.lex_state = 249, .external_lex_state = 5},
  [3629] = {.lex_state = 249, .external_lex_state = 5},
  [3630] = {.lex_state = 249, .external_lex_state = 5},
  [3631] = {.lex_state = 334, .external_lex_state = 5},
  [3632] = {.lex_state = 334, .external_lex_state = 5},
  [3633] = {.lex_state = 334, .external_lex_state = 5},
  [3634] = {.lex_state = 335, .external_lex_state = 5},
  [3635] = {.lex_state = 334, .external_lex_state = 5},
  [3636] = {.lex_state = 333, .external_lex_state = 4},
  [3637] = {.lex_state = 335, .external_lex_state = 5},
  [3638] = {.lex_state = 341, .external_lex_state = 4},
  [3639] = {.lex_state = 248, .external_lex_state = 5},
  [3640] = {.lex_state = 342, .external_lex_state = 5},
  [3641] = {.lex_state = 248, .external_lex_state = 5},
  [3642] = {.lex_state = 333, .external_lex_state = 4},
  [3643] = {.lex_state = 342, .external_lex_state = 5},
  [3644] = {.lex_state = 323, .external_lex_state = 4},
  [3645] = {.lex_state = 309, .external_lex_state = 5},
  [3646] = {.lex_state = 323, .external_lex_state = 4},
  [3647] = {.lex_state = 342, .external_lex_state = 5},
  [3648] = {.lex_state = 333, .external_lex_state = 5},
  [3649] = {.lex_state = 342, .external_lex_state = 5},
  [3650] = {.lex_state = 309, .external_lex_state = 5},
  [3651] = {.lex_state = 309, .external_lex_state = 5},
  [3652] = {.lex_state = 240, .external_lex_state = 5},
  [3653] = {.lex_state = 240, .external_lex_state = 5},
  [3654] = {.lex_state = 333, .external_lex_state = 4},
  [3655] = {.lex_state = 342, .external_lex_state = 5},
  [3656] = {.lex_state = 342, .external_lex_state = 5},
  [3657] = {.lex_state = 333, .external_lex_state = 4},
  [3658] = {.lex_state = 309, .external_lex_state = 5},
  [3659] = {.lex_state = 333, .external_lex_state = 4},
  [3660] = {.lex_state = 342, .external_lex_state = 5},
  [3661] = {.lex_state = 342, .external_lex_state = 5},
  [3662] = {.lex_state = 323, .external_lex_state = 4},
  [3663] = {.lex_state = 309, .external_lex_state = 5},
  [3664] = {.lex_state = 342, .external_lex_state = 5},
  [3665] = {.lex_state = 342, .external_lex_state = 5},
  [3666] = {.lex_state = 342, .external_lex_state = 5},
  [3667] = {.lex_state = 342, .external_lex_state = 5},
  [3668] = {.lex_state = 342, .external_lex_state = 5},
  [3669] = {.lex_state = 342, .external_lex_state = 5},
  [3670] = {.lex_state = 342, .external_lex_state = 5},
  [3671] = {.lex_state = 342, .external_lex_state = 5},
  [3672] = {.lex_state = 342, .external_lex_state = 5},
  [3673] = {.lex_state = 342, .external_lex_state = 5},
  [3674] = {.lex_state = 342, .external_lex_state = 5},
  [3675] = {.lex_state = 342, .external_lex_state = 5},
  [3676] = {.lex_state = 342, .external_lex_state = 5},
  [3677] = {.lex_state = 342, .external_lex_state = 5},
  [3678] = {.lex_state = 342, .external_lex_state = 5},
  [3679] = {.lex_state = 342, .external_lex_state = 5},
  [3680] = {.lex_state = 342, .external_lex_state = 5},
  [3681] = {.lex_state = 342, .external_lex_state = 5},
  [3682] = {.lex_state = 342, .external_lex_state = 5},
  [3683] = {.lex_state = 342, .external_lex_state = 5},
  [3684] = {.lex_state = 342, .external_lex_state = 5},
  [3685] = {.lex_state = 342, .external_lex_state = 5},
  [3686] = {.lex_state = 342, .external_lex_state = 5},
  [3687] = {.lex_state = 342, .external_lex_state = 5},
  [3688] = {.lex_state = 342, .external_lex_state = 5},
  [3689] = {.lex_state = 333, .external_lex_state = 4},
  [3690] = {.lex_state = 341, .external_lex_state = 4},
  [3691] = {.lex_state = 341, .external_lex_state = 4},
  [3692] = {.lex_state = 341, .external_lex_state = 4},
  [3693] = {.lex_state = 341, .external_lex_state = 4},
  [3694] = {.lex_state = 341, .external_lex_state = 4},
  [3695] = {.lex_state = 341, .external_lex_state = 4},
  [3696] = {.lex_state = 323, .external_lex_state = 4},
  [3697] = {.lex_state = 309, .external_lex_state = 5},
  [3698] = {.lex_state = 342, .external_lex_state = 5},
  [3699] = {.lex_state = 327, .external_lex_state = 4},
  [3700] = {.lex_state = 309, .external_lex_state = 5},
  [3701] = {.lex_state = 309, .external_lex_state = 5},
  [3702] = {.lex_state = 327, .external_lex_state = 4},
  [3703] = {.lex_state = 333, .external_lex_state = 4},
  [3704] = {.lex_state = 333, .external_lex_state = 4},
  [3705] = {.lex_state = 319, .external_lex_state = 4},
  [3706] = {.lex_state = 333, .external_lex_state = 9},
  [3707] = {.lex_state = 319, .external_lex_state = 4},
  [3708] = {.lex_state = 326, .external_lex_state = 4},
  [3709] = {.lex_state = 327, .external_lex_state = 4},
  [3710] = {.lex_state = 348, .external_lex_state = 4},
  [3711] = {.lex_state = 327, .external_lex_state = 4},
  [3712] = {.lex_state = 326, .external_lex_state = 4},
  [3713] = {.lex_state = 319, .external_lex_state = 4},
  [3714] = {.lex_state = 322, .external_lex_state = 5},
  [3715] = {.lex_state = 326, .external_lex_state = 4},
  [3716] = {.lex_state = 327, .external_lex_state = 4},
  [3717] = {.lex_state = 333, .external_lex_state = 9},
  [3718] = {.lex_state = 319, .external_lex_state = 4},
  [3719] = {.lex_state = 328, .external_lex_state = 4},
  [3720] = {.lex_state = 326, .external_lex_state = 4},
  [3721] = {.lex_state = 326, .external_lex_state = 4},
  [3722] = {.lex_state = 333, .external_lex_state = 4},
  [3723] = {.lex_state = 333, .external_lex_state = 9},
  [3724] = {.lex_state = 327, .external_lex_state = 4},
  [3725] = {.lex_state = 335, .external_lex_state = 4},
  [3726] = {.lex_state = 327, .external_lex_state = 4},
  [3727] = {.lex_state = 335, .external_lex_state = 5},
  [3728] = {.lex_state = 333, .external_lex_state = 9},
  [3729] = {.lex_state = 348, .external_lex_state = 4},
  [3730] = {.lex_state = 326, .external_lex_state = 4},
  [3731] = {.lex_state = 348, .external_lex_state = 4},
  [3732] = {.lex_state = 319, .external_lex_state = 4},
  [3733] = {.lex_state = 333, .external_lex_state = 9},
  [3734] = {.lex_state = 319, .external_lex_state = 4},
  [3735] = {.lex_state = 348, .external_lex_state = 4},
  [3736] = {.lex_state = 333, .external_lex_state = 9},
  [3737] = {.lex_state = 327, .external_lex_state = 4},
  [3738] = {.lex_state = 319, .external_lex_state = 4},
  [3739] = {.lex_state = 333, .external_lex_state = 9},
  [3740] = {.lex_state = 326, .external_lex_state = 4},
  [3741] = {.lex_state = 327, .external_lex_state = 4},
  [3742] = {.lex_state = 333, .external_lex_state = 9},
  [3743] = {.lex_state = 348, .external_lex_state = 4},
  [3744] = {.lex_state = 327, .external_lex_state = 4},
  [3745] = {.lex_state = 333, .external_lex_state = 9},
  [3746] = {.lex_state = 331, .external_lex_state = 4},
  [3747] = {.lex_state = 326, .external_lex_state = 4},
  [3748] = {.lex_state = 333, .external_lex_state = 9},
  [3749] = {.lex_state = 327, .external_lex_state = 4},
  [3750] = {.lex_state = 330, .external_lex_state = 4},
  [3751] = {.lex_state = 333, .external_lex_state = 9},
  [3752] = {.lex_state = 348, .external_lex_state = 4},
  [3753] = {.lex_state = 326, .external_lex_state = 4},
  [3754] = {.lex_state = 333, .external_lex_state = 9},
  [3755] = {.lex_state = 327, .external_lex_state = 4},
  [3756] = {.lex_state = 326, .external_lex_state = 4},
  [3757] = {.lex_state = 333, .external_lex_state = 9},
  [3758] = {.lex_state = 333, .external_lex_state = 4},
  [3759] = {.lex_state = 326, .external_lex_state = 4},
  [3760] = {.lex_state = 333, .external_lex_state = 9},
  [3761] = {.lex_state = 333, .external_lex_state = 4},
  [3762] = {.lex_state = 348, .external_lex_state = 4},
  [3763] = {.lex_state = 333, .external_lex_state = 9},
  [3764] = {.lex_state = 328, .external_lex_state = 4},
  [3765] = {.lex_state = 348, .external_lex_state = 4},
  [3766] = {.lex_state = 333, .external_lex_state = 9},
  [3767] = {.lex_state = 333, .external_lex_state = 9},
  [3768] = {.lex_state = 333, .external_lex_state = 9},
  [3769] = {.lex_state = 333, .external_lex_state = 9},
  [3770] = {.lex_state = 333, .external_lex_state = 9},
  [3771] = {.lex_state = 333, .external_lex_state = 9},
  [3772] = {.lex_state = 333, .external_lex_state = 9},
  [3773] = {.lex_state = 333, .external_lex_state = 9},
  [3774] = {.lex_state = 333, .external_lex_state = 9},
  [3775] = {.lex_state = 333, .external_lex_state = 9},
  [3776] = {.lex_state = 333, .external_lex_state = 9},
  [3777] = {.lex_state = 333, .external_lex_state = 9},
  [3778] = {.lex_state = 333, .external_lex_state = 9},
  [3779] = {.lex_state = 333, .external_lex_state = 9},
  [3780] = {.lex_state = 333, .external_lex_state = 9},
  [3781] = {.lex_state = 333, .external_lex_state = 9},
  [3782] = {.lex_state = 333, .external_lex_state = 9},
  [3783] = {.lex_state = 333, .external_lex_state = 9},
  [3784] = {.lex_state = 333, .external_lex_state = 9},
  [3785] = {.lex_state = 333, .external_lex_state = 9},
  [3786] = {.lex_state = 333, .external_lex_state = 9},
  [3787] = {.lex_state = 333, .external_lex_state = 9},
  [3788] = {.lex_state = 333, .external_lex_state = 9},
  [3789] = {.lex_state = 333, .external_lex_state = 9},
  [3790] = {.lex_state = 333, .external_lex_state = 9},
  [3791] = {.lex_state = 333, .external_lex_state = 9},
  [3792] = {.lex_state = 333, .external_lex_state = 9},
  [3793] = {.lex_state = 333, .external_lex_state = 9},
  [3794] = {.lex_state = 333, .external_lex_state = 9},
  [3795] = {.lex_state = 333, .external_lex_state = 9},
  [3796] = {.lex_state = 333, .external_lex_state = 9},
  [3797] = {.lex_state = 333, .external_lex_state = 9},
  [3798] = {.lex_state = 333, .external_lex_state = 4},
  [3799] = {.lex_state = 348, .external_lex_state = 4},
  [3800] = {.lex_state = 348, .external_lex_state = 4},
  [3801] = {.lex_state = 348, .external_lex_state = 4},
  [3802] = {.lex_state = 348, .external_lex_state = 4},
  [3803] = {.lex_state = 331, .external_lex_state = 4},
  [3804] = {.lex_state = 348, .external_lex_state = 4},
  [3805] = {.lex_state = 326, .external_lex_state = 4},
  [3806] = {.lex_state = 328, .external_lex_state = 4},
  [3807] = {.lex_state = 331, .external_lex_state = 4},
  [3808] = {.lex_state = 319, .external_lex_state = 4},
  [3809] = {.lex_state = 330, .external_lex_state = 4},
  [3810] = {.lex_state = 330, .external_lex_state = 4},
  [3811] = {.lex_state = 348, .external_lex_state = 4},
  [3812] = {.lex_state = 326, .external_lex_state = 4},
  [3813] = {.lex_state = 327, .external_lex_state = 4},
  [3814] = {.lex_state = 335, .external_lex_state = 5},
  [3815] = {.lex_state = 333, .external_lex_state = 9},
  [3816] = {.lex_state = 309, .external_lex_state = 4},
  [3817] = {.lex_state = 309, .external_lex_state = 4},
  [3818] = {.lex_state = 309, .external_lex_state = 4},
  [3819] = {.lex_state = 309, .external_lex_state = 4},
  [3820] = {.lex_state = 309, .external_lex_state = 4},
  [3821] = {.lex_state = 309, .external_lex_state = 4},
  [3822] = {.lex_state = 309, .external_lex_state = 4},
  [3823] = {.lex_state = 309, .external_lex_state = 4},
  [3824] = {.lex_state = 309, .external_lex_state = 4},
  [3825] = {.lex_state = 309, .external_lex_state = 4},
  [3826] = {.lex_state = 309, .external_lex_state = 4},
  [3827] = {.lex_state = 309, .external_lex_state = 4},
  [3828] = {.lex_state = 309, .external_lex_state = 4},
  [3829] = {.lex_state = 309, .external_lex_state = 4},
  [3830] = {.lex_state = 309, .external_lex_state = 4},
  [3831] = {.lex_state = 309, .external_lex_state = 4},
  [3832] = {.lex_state = 309, .external_lex_state = 4},
  [3833] = {.lex_state = 309, .external_lex_state = 4},
  [3834] = {.lex_state = 309, .external_lex_state = 4},
  [3835] = {.lex_state = 309, .external_lex_state = 4},
  [3836] = {.lex_state = 309, .external_lex_state = 4},
  [3837] = {.lex_state = 309, .external_lex_state = 4},
  [3838] = {.lex_state = 309, .external_lex_state = 4},
  [3839] = {.lex_state = 309, .external_lex_state = 4},
  [3840] = {.lex_state = 333, .external_lex_state = 4},
  [3841] = {.lex_state = 309, .external_lex_state = 4},
  [3842] = {.lex_state = 309, .external_lex_state = 4},
  [3843] = {.lex_state = 309, .external_lex_state = 4},
  [3844] = {.lex_state = 309, .external_lex_state = 4},
  [3845] = {.lex_state = 309, .external_lex_state = 4},
  [3846] = {.lex_state = 309, .external_lex_state = 4},
  [3847] = {.lex_state = 309, .external_lex_state = 5},
  [3848] = {.lex_state = 309, .external_lex_state = 4},
  [3849] = {.lex_state = 309, .external_lex_state = 4},
  [3850] = {.lex_state = 309, .external_lex_state = 4},
  [3851] = {.lex_state = 309, .external_lex_state = 4},
  [3852] = {.lex_state = 309, .external_lex_state = 4},
  [3853] = {.lex_state = 309, .external_lex_state = 4},
  [3854] = {.lex_state = 309, .external_lex_state = 4},
  [3855] = {.lex_state = 309, .external_lex_state = 4},
  [3856] = {.lex_state = 309, .external_lex_state = 4},
  [3857] = {.lex_state = 309, .external_lex_state = 4},
  [3858] = {.lex_state = 333, .external_lex_state = 4},
  [3859] = {.lex_state = 309, .external_lex_state = 4},
  [3860] = {.lex_state = 309, .external_lex_state = 4},
  [3861] = {.lex_state = 309, .external_lex_state = 4},
  [3862] = {.lex_state = 309, .external_lex_state = 4},
  [3863] = {.lex_state = 309, .external_lex_state = 4},
  [3864] = {.lex_state = 309, .external_lex_state = 4},
  [3865] = {.lex_state = 309, .external_lex_state = 4},
  [3866] = {.lex_state = 309, .external_lex_state = 4},
  [3867] = {.lex_state = 309, .external_lex_state = 4},
  [3868] = {.lex_state = 309, .external_lex_state = 4},
  [3869] = {.lex_state = 309, .external_lex_state = 4},
  [3870] = {.lex_state = 309, .external_lex_state = 4},
  [3871] = {.lex_state = 342, .external_lex_state = 5},
  [3872] = {.lex_state = 309, .external_lex_state = 4},
  [3873] = {.lex_state = 309, .external_lex_state = 4},
  [3874] = {.lex_state = 309, .external_lex_state = 4},
  [3875] = {.lex_state = 309, .external_lex_state = 4},
  [3876] = {.lex_state = 309, .external_lex_state = 4},
  [3877] = {.lex_state = 309, .external_lex_state = 4},
  [3878] = {.lex_state = 309, .external_lex_state = 4},
  [3879] = {.lex_state = 309, .external_lex_state = 4},
  [3880] = {.lex_state = 309, .external_lex_state = 4},
  [3881] = {.lex_state = 309, .external_lex_state = 4},
  [3882] = {.lex_state = 309, .external_lex_state = 4},
  [3883] = {.lex_state = 333, .external_lex_state = 4},
  [3884] = {.lex_state = 309, .external_lex_state = 4},
  [3885] = {.lex_state = 309, .external_lex_state = 4},
  [3886] = {.lex_state = 309, .external_lex_state = 4},
  [3887] = {.lex_state = 309, .external_lex_state = 4},
  [3888] = {.lex_state = 333, .external_lex_state = 4},
  [3889] = {.lex_state = 309, .external_lex_state = 4},
  [3890] = {.lex_state = 309, .external_lex_state = 4},
  [3891] = {.lex_state = 309, .external_lex_state = 4},
  [3892] = {.lex_state = 309, .external_lex_state = 4},
  [3893] = {.lex_state = 309, .external_lex_state = 4},
  [3894] = {.lex_state = 309, .external_lex_state = 4},
  [3895] = {.lex_state = 309, .external_lex_state = 4},
  [3896] = {.lex_state = 309, .external_lex_state = 4},
  [3897] = {.lex_state = 309, .external_lex_state = 4},
  [3898] = {.lex_state = 309, .external_lex_state = 4},
  [3899] = {.lex_state = 309, .external_lex_state = 4},
  [3900] = {.lex_state = 309, .external_lex_state = 5},
  [3901] = {.lex_state = 309, .external_lex_state = 4},
  [3902] = {.lex_state = 309, .external_lex_state = 4},
  [3903] = {.lex_state = 309, .external_lex_state = 5},
  [3904] = {.lex_state = 333, .external_lex_state = 4},
  [3905] = {.lex_state = 309, .external_lex_state = 4},
  [3906] = {.lex_state = 309, .external_lex_state = 4},
  [3907] = {.lex_state = 309, .external_lex_state = 4},
  [3908] = {.lex_state = 309, .external_lex_state = 4},
  [3909] = {.lex_state = 309, .external_lex_state = 4},
  [3910] = {.lex_state = 309, .external_lex_state = 4},
  [3911] = {.lex_state = 309, .external_lex_state = 4},
  [3912] = {.lex_state = 309, .external_lex_state = 4},
  [3913] = {.lex_state = 309, .external_lex_state = 4},
  [3914] = {.lex_state = 309, .external_lex_state = 4},
  [3915] = {.lex_state = 309, .external_lex_state = 4},
  [3916] = {.lex_state = 309, .external_lex_state = 4},
  [3917] = {.lex_state = 309, .external_lex_state = 4},
  [3918] = {.lex_state = 309, .external_lex_state = 4},
  [3919] = {.lex_state = 309, .external_lex_state = 4},
  [3920] = {.lex_state = 309, .external_lex_state = 4},
  [3921] = {.lex_state = 309, .external_lex_state = 4},
  [3922] = {.lex_state = 309, .external_lex_state = 4},
  [3923] = {.lex_state = 309, .external_lex_state = 4},
  [3924] = {.lex_state = 309, .external_lex_state = 4},
  [3925] = {.lex_state = 309, .external_lex_state = 4},
  [3926] = {.lex_state = 309, .external_lex_state = 4},
  [3927] = {.lex_state = 309, .external_lex_state = 4},
  [3928] = {.lex_state = 309, .external_lex_state = 4},
  [3929] = {.lex_state = 309, .external_lex_state = 4},
  [3930] = {.lex_state = 309, .external_lex_state = 4},
  [3931] = {.lex_state = 309, .external_lex_state = 4},
  [3932] = {.lex_state = 309, .external_lex_state = 4},
  [3933] = {.lex_state = 309, .external_lex_state = 4},
  [3934] = {.lex_state = 309, .external_lex_state = 4},
  [3935] = {.lex_state = 309, .external_lex_state = 4},
  [3936] = {.lex_state = 309, .external_lex_state = 4},
  [3937] = {.lex_state = 309, .external_lex_state = 4},
  [3938] = {.lex_state = 309, .external_lex_state = 4},
  [3939] = {.lex_state = 309, .external_lex_state = 4},
  [3940] = {.lex_state = 309, .external_lex_state = 4},
  [3941] = {.lex_state = 309, .external_lex_state = 4},
  [3942] = {.lex_state = 309, .external_lex_state = 4},
  [3943] = {.lex_state = 309, .external_lex_state = 4},
  [3944] = {.lex_state = 309, .external_lex_state = 4},
  [3945] = {.lex_state = 309, .external_lex_state = 4},
  [3946] = {.lex_state = 322, .external_lex_state = 5},
  [3947] = {.lex_state = 309, .external_lex_state = 4},
  [3948] = {.lex_state = 309, .external_lex_state = 4},
  [3949] = {.lex_state = 309, .external_lex_state = 4},
  [3950] = {.lex_state = 309, .external_lex_state = 4},
  [3951] = {.lex_state = 309, .external_lex_state = 4},
  [3952] = {.lex_state = 309, .external_lex_state = 4},
  [3953] = {.lex_state = 309, .external_lex_state = 4},
  [3954] = {.lex_state = 322, .external_lex_state = 5},
  [3955] = {.lex_state = 309, .external_lex_state = 4},
  [3956] = {.lex_state = 333, .external_lex_state = 4},
  [3957] = {.lex_state = 309, .external_lex_state = 4},
  [3958] = {.lex_state = 342, .external_lex_state = 5},
  [3959] = {.lex_state = 309, .external_lex_state = 4},
  [3960] = {.lex_state = 333, .external_lex_state = 4},
  [3961] = {.lex_state = 309, .external_lex_state = 4},
  [3962] = {.lex_state = 342, .external_lex_state = 5},
  [3963] = {.lex_state = 309, .external_lex_state = 4},
  [3964] = {.lex_state = 309, .external_lex_state = 4},
  [3965] = {.lex_state = 309, .external_lex_state = 4},
  [3966] = {.lex_state = 309, .external_lex_state = 4},
  [3967] = {.lex_state = 309, .external_lex_state = 4},
  [3968] = {.lex_state = 333, .external_lex_state = 4},
  [3969] = {.lex_state = 309, .external_lex_state = 4},
  [3970] = {.lex_state = 309, .external_lex_state = 4},
  [3971] = {.lex_state = 309, .external_lex_state = 4},
  [3972] = {.lex_state = 309, .external_lex_state = 4},
  [3973] = {.lex_state = 309, .external_lex_state = 4},
  [3974] = {.lex_state = 309, .external_lex_state = 4},
  [3975] = {.lex_state = 309, .external_lex_state = 4},
  [3976] = {.lex_state = 309, .external_lex_state = 4},
  [3977] = {.lex_state = 309, .external_lex_state = 4},
  [3978] = {.lex_state = 333, .external_lex_state = 4},
  [3979] = {.lex_state = 309, .external_lex_state = 4},
  [3980] = {.lex_state = 309, .external_lex_state = 5},
  [3981] = {.lex_state = 322, .external_lex_state = 5},
  [3982] = {.lex_state = 309, .external_lex_state = 4},
  [3983] = {.lex_state = 309, .external_lex_state = 4},
  [3984] = {.lex_state = 309, .external_lex_state = 4},
  [3985] = {.lex_state = 309, .external_lex_state = 4},
  [3986] = {.lex_state = 309, .external_lex_state = 4},
  [3987] = {.lex_state = 309, .external_lex_state = 4},
  [3988] = {.lex_state = 309, .external_lex_state = 4},
  [3989] = {.lex_state = 309, .external_lex_state = 4},
  [3990] = {.lex_state = 309, .external_lex_state = 4},
  [3991] = {.lex_state = 342, .external_lex_state = 5},
  [3992] = {.lex_state = 309, .external_lex_state = 4},
  [3993] = {.lex_state = 309, .external_lex_state = 4},
  [3994] = {.lex_state = 309, .external_lex_state = 4},
  [3995] = {.lex_state = 309, .external_lex_state = 4},
  [3996] = {.lex_state = 309, .external_lex_state = 4},
  [3997] = {.lex_state = 333, .external_lex_state = 4},
  [3998] = {.lex_state = 322, .external_lex_state = 5},
  [3999] = {.lex_state = 322, .external_lex_state = 5},
  [4000] = {.lex_state = 309, .external_lex_state = 4},
  [4001] = {.lex_state = 335, .external_lex_state = 5},
  [4002] = {.lex_state = 309, .external_lex_state = 5},
  [4003] = {.lex_state = 309, .external_lex_state = 4},
  [4004] = {.lex_state = 309, .external_lex_state = 4},
  [4005] = {.lex_state = 309, .external_lex_state = 4},
  [4006] = {.lex_state = 342, .external_lex_state = 5},
  [4007] = {.lex_state = 309, .external_lex_state = 5},
  [4008] = {.lex_state = 309, .external_lex_state = 4},
  [4009] = {.lex_state = 309, .external_lex_state = 4},
  [4010] = {.lex_state = 342, .external_lex_state = 5},
  [4011] = {.lex_state = 309, .external_lex_state = 4},
  [4012] = {.lex_state = 309, .external_lex_state = 4},
  [4013] = {.lex_state = 322, .external_lex_state = 5},
  [4014] = {.lex_state = 309, .external_lex_state = 4},
  [4015] = {.lex_state = 342, .external_lex_state = 5},
  [4016] = {.lex_state = 335, .external_lex_state = 5},
  [4017] = {.lex_state = 309, .external_lex_state = 4},
  [4018] = {.lex_state = 309, .external_lex_state = 5},
  [4019] = {.lex_state = 309, .external_lex_state = 4},
  [4020] = {.lex_state = 309, .external_lex_state = 4},
  [4021] = {.lex_state = 309, .external_lex_state = 4},
  [4022] = {.lex_state = 309, .external_lex_state = 4},
  [4023] = {.lex_state = 309, .external_lex_state = 4},
  [4024] = {.lex_state = 309, .external_lex_state = 4},
  [4025] = {.lex_state = 309, .external_lex_state = 4},
  [4026] = {.lex_state = 309, .external_lex_state = 4},
  [4027] = {.lex_state = 309, .external_lex_state = 4},
  [4028] = {.lex_state = 309, .external_lex_state = 5},
  [4029] = {.lex_state = 322, .external_lex_state = 5},
  [4030] = {.lex_state = 335, .external_lex_state = 5},
  [4031] = {.lex_state = 335, .external_lex_state = 5},
  [4032] = {.lex_state = 349, .external_lex_state = 5},
  [4033] = {.lex_state = 335, .external_lex_state = 5},
  [4034] = {.lex_state = 322, .external_lex_state = 5},
  [4035] = {.lex_state = 335, .external_lex_state = 5},
  [4036] = {.lex_state = 349, .external_lex_state = 5},
  [4037] = {.lex_state = 335, .external_lex_state = 5},
  [4038] = {.lex_state = 251, .external_lex_state = 5},
  [4039] = {.lex_state = 335, .external_lex_state = 5},
  [4040] = {.lex_state = 349, .external_lex_state = 5},
  [4041] = {.lex_state = 335, .external_lex_state = 5},
  [4042] = {.lex_state = 322, .external_lex_state = 5},
  [4043] = {.lex_state = 335, .external_lex_state = 5},
  [4044] = {.lex_state = 343, .external_lex_state = 5},
  [4045] = {.lex_state = 335, .external_lex_state = 5},
  [4046] = {.lex_state = 309, .external_lex_state = 5},
  [4047] = {.lex_state = 335, .external_lex_state = 5},
  [4048] = {.lex_state = 309, .external_lex_state = 5},
  [4049] = {.lex_state = 289, .external_lex_state = 5},
  [4050] = {.lex_state = 309, .external_lex_state = 5},
  [4051] = {.lex_state = 251, .external_lex_state = 5},
  [4052] = {.lex_state = 289, .external_lex_state = 5},
  [4053] = {.lex_state = 249, .external_lex_state = 5},
  [4054] = {.lex_state = 335, .external_lex_state = 5},
  [4055] = {.lex_state = 335, .external_lex_state = 5},
  [4056] = {.lex_state = 309, .external_lex_state = 5},
  [4057] = {.lex_state = 335, .external_lex_state = 5},
  [4058] = {.lex_state = 309, .external_lex_state = 5},
  [4059] = {.lex_state = 247, .external_lex_state = 5},
  [4060] = {.lex_state = 335, .external_lex_state = 5},
  [4061] = {.lex_state = 309, .external_lex_state = 5},
  [4062] = {.lex_state = 309, .external_lex_state = 5},
  [4063] = {.lex_state = 289, .external_lex_state = 5},
  [4064] = {.lex_state = 249, .external_lex_state = 5},
  [4065] = {.lex_state = 343, .external_lex_state = 5},
  [4066] = {.lex_state = 335, .external_lex_state = 5},
  [4067] = {.lex_state = 309, .external_lex_state = 5},
  [4068] = {.lex_state = 249, .external_lex_state = 5},
  [4069] = {.lex_state = 309, .external_lex_state = 4},
  [4070] = {.lex_state = 335, .external_lex_state = 5},
  [4071] = {.lex_state = 249, .external_lex_state = 5},
  [4072] = {.lex_state = 309, .external_lex_state = 5},
  [4073] = {.lex_state = 249, .external_lex_state = 5},
  [4074] = {.lex_state = 335, .external_lex_state = 5},
  [4075] = {.lex_state = 309, .external_lex_state = 5},
  [4076] = {.lex_state = 309, .external_lex_state = 5},
  [4077] = {.lex_state = 335, .external_lex_state = 5},
  [4078] = {.lex_state = 247, .external_lex_state = 5},
  [4079] = {.lex_state = 309, .external_lex_state = 5},
  [4080] = {.lex_state = 309, .external_lex_state = 5},
  [4081] = {.lex_state = 323, .external_lex_state = 5},
  [4082] = {.lex_state = 309, .external_lex_state = 4},
  [4083] = {.lex_state = 309, .external_lex_state = 5},
  [4084] = {.lex_state = 309, .external_lex_state = 5},
  [4085] = {.lex_state = 335, .external_lex_state = 5},
  [4086] = {.lex_state = 335, .external_lex_state = 5},
  [4087] = {.lex_state = 335, .external_lex_state = 5},
  [4088] = {.lex_state = 335, .external_lex_state = 5},
  [4089] = {.lex_state = 249, .external_lex_state = 5},
  [4090] = {.lex_state = 335, .external_lex_state = 5},
  [4091] = {.lex_state = 335, .external_lex_state = 5},
  [4092] = {.lex_state = 249, .external_lex_state = 5},
  [4093] = {.lex_state = 247, .external_lex_state = 5},
  [4094] = {.lex_state = 247, .external_lex_state = 5},
  [4095] = {.lex_state = 309, .external_lex_state = 5},
  [4096] = {.lex_state = 309, .external_lex_state = 5},
  [4097] = {.lex_state = 335, .external_lex_state = 5},
  [4098] = {.lex_state = 335, .external_lex_state = 5},
  [4099] = {.lex_state = 309, .external_lex_state = 5},
  [4100] = {.lex_state = 335, .external_lex_state = 5},
  [4101] = {.lex_state = 309, .external_lex_state = 5},
  [4102] = {.lex_state = 309, .external_lex_state = 5},
  [4103] = {.lex_state = 335, .external_lex_state = 5},
  [4104] = {.lex_state = 335, .external_lex_state = 5},
  [4105] = {.lex_state = 335, .external_lex_state = 5},
  [4106] = {.lex_state = 335, .external_lex_state = 5},
  [4107] = {.lex_state = 249, .external_lex_state = 5},
  [4108] = {.lex_state = 335, .external_lex_state = 5},
  [4109] = {.lex_state = 335, .external_lex_state = 5},
  [4110] = {.lex_state = 249, .external_lex_state = 5},
  [4111] = {.lex_state = 309, .external_lex_state = 5},
  [4112] = {.lex_state = 309, .external_lex_state = 5},
  [4113] = {.lex_state = 249, .external_lex_state = 5},
  [4114] = {.lex_state = 309, .external_lex_state = 5},
  [4115] = {.lex_state = 249, .external_lex_state = 5},
  [4116] = {.lex_state = 335, .external_lex_state = 5},
  [4117] = {.lex_state = 249, .external_lex_state = 5},
  [4118] = {.lex_state = 335, .external_lex_state = 5},
  [4119] = {.lex_state = 309, .external_lex_state = 5},
  [4120] = {.lex_state = 309, .external_lex_state = 5},
  [4121] = {.lex_state = 247, .external_lex_state = 5},
  [4122] = {.lex_state = 309, .external_lex_state = 5},
  [4123] = {.lex_state = 249, .external_lex_state = 5},
  [4124] = {.lex_state = 249, .external_lex_state = 5},
  [4125] = {.lex_state = 309, .external_lex_state = 5},
  [4126] = {.lex_state = 309, .external_lex_state = 5},
  [4127] = {.lex_state = 249, .external_lex_state = 5},
  [4128] = {.lex_state = 249, .external_lex_state = 5},
  [4129] = {.lex_state = 249, .external_lex_state = 5},
  [4130] = {.lex_state = 309, .external_lex_state = 5},
  [4131] = {.lex_state = 249, .external_lex_state = 5},
  [4132] = {.lex_state = 247, .external_lex_state = 5},
  [4133] = {.lex_state = 309, .external_lex_state = 5},
  [4134] = {.lex_state = 249, .external_lex_state = 5},
  [4135] = {.lex_state = 309, .external_lex_state = 5},
  [4136] = {.lex_state = 249, .external_lex_state = 5},
  [4137] = {.lex_state = 309, .external_lex_state = 5},
  [4138] = {.lex_state = 335, .external_lex_state = 5},
  [4139] = {.lex_state = 309, .external_lex_state = 5},
  [4140] = {.lex_state = 249, .external_lex_state = 5},
  [4141] = {.lex_state = 309, .external_lex_state = 5},
  [4142] = {.lex_state = 335, .external_lex_state = 5},
  [4143] = {.lex_state = 309, .external_lex_state = 5},
  [4144] = {.lex_state = 335, .external_lex_state = 5},
  [4145] = {.lex_state = 333, .external_lex_state = 5},
  [4146] = {.lex_state = 335, .external_lex_state = 5},
  [4147] = {.lex_state = 249, .external_lex_state = 5},
  [4148] = {.lex_state = 309, .external_lex_state = 5},
  [4149] = {.lex_state = 309, .external_lex_state = 5},
  [4150] = {.lex_state = 249, .external_lex_state = 5},
  [4151] = {.lex_state = 249, .external_lex_state = 5},
  [4152] = {.lex_state = 333, .external_lex_state = 5},
  [4153] = {.lex_state = 309, .external_lex_state = 5},
  [4154] = {.lex_state = 247, .external_lex_state = 5},
  [4155] = {.lex_state = 249, .external_lex_state = 5},
  [4156] = {.lex_state = 249, .external_lex_state = 5},
  [4157] = {.lex_state = 335, .external_lex_state = 5},
  [4158] = {.lex_state = 309, .external_lex_state = 5},
  [4159] = {.lex_state = 335, .external_lex_state = 5},
  [4160] = {.lex_state = 309, .external_lex_state = 5},
  [4161] = {.lex_state = 323, .external_lex_state = 5},
  [4162] = {.lex_state = 309, .external_lex_state = 5},
  [4163] = {.lex_state = 323, .external_lex_state = 5},
  [4164] = {.lex_state = 289, .external_lex_state = 5},
  [4165] = {.lex_state = 309, .external_lex_state = 5},
  [4166] = {.lex_state = 335, .external_lex_state = 5},
  [4167] = {.lex_state = 335, .external_lex_state = 5},
  [4168] = {.lex_state = 289, .external_lex_state = 5},
  [4169] = {.lex_state = 309, .external_lex_state = 5},
  [4170] = {.lex_state = 249, .external_lex_state = 5},
  [4171] = {.lex_state = 247, .external_lex_state = 5},
  [4172] = {.lex_state = 249, .external_lex_state = 5},
  [4173] = {.lex_state = 249, .external_lex_state = 5},
  [4174] = {.lex_state = 335, .external_lex_state = 5},
  [4175] = {.lex_state = 309, .external_lex_state = 5},
  [4176] = {.lex_state = 335, .external_lex_state = 5},
  [4177] = {.lex_state = 309, .external_lex_state = 5},
  [4178] = {.lex_state = 247, .external_lex_state = 5},
  [4179] = {.lex_state = 335, .external_lex_state = 5},
  [4180] = {.lex_state = 309, .external_lex_state = 5},
  [4181] = {.lex_state = 335, .external_lex_state = 5},
  [4182] = {.lex_state = 309, .external_lex_state = 5},
  [4183] = {.lex_state = 335, .external_lex_state = 5},
  [4184] = {.lex_state = 249, .external_lex_state = 5},
  [4185] = {.lex_state = 289, .external_lex_state = 5},
  [4186] = {.lex_state = 289, .external_lex_state = 5},
  [4187] = {.lex_state = 289, .external_lex_state = 5},
  [4188] = {.lex_state = 309, .external_lex_state = 5},
  [4189] = {.lex_state = 309, .external_lex_state = 5},
  [4190] = {.lex_state = 240, .external_lex_state = 5},
  [4191] = {.lex_state = 240, .external_lex_state = 5},
  [4192] = {.lex_state = 240, .external_lex_state = 5},
  [4193] = {.lex_state = 309, .external_lex_state = 5},
  [4194] = {.lex_state = 309, .external_lex_state = 5},
  [4195] = {.lex_state = 309, .external_lex_state = 5},
  [4196] = {.lex_state = 309, .external_lex_state = 5},
  [4197] = {.lex_state = 309, .external_lex_state = 5},
  [4198] = {.lex_state = 309, .external_lex_state = 5},
  [4199] = {.lex_state = 309, .external_lex_state = 5},
  [4200] = {.lex_state = 309, .external_lex_state = 5},
  [4201] = {.lex_state = 309, .external_lex_state = 5},
  [4202] = {.lex_state = 309, .external_lex_state = 5},
  [4203] = {.lex_state = 309, .external_lex_state = 5},
  [4204] = {.lex_state = 309, .external_lex_state = 5},
  [4205] = {.lex_state = 240, .external_lex_state = 5},
  [4206] = {.lex_state = 240, .external_lex_state = 5},
  [4207] = {.lex_state = 240, .external_lex_state = 5},
  [4208] = {.lex_state = 240, .external_lex_state = 5},
  [4209] = {.lex_state = 309, .external_lex_state = 5},
  [4210] = {.lex_state = 289, .external_lex_state = 5},
  [4211] = {.lex_state = 309, .external_lex_state = 5},
  [4212] = {.lex_state = 309, .external_lex_state = 5},
  [4213] = {.lex_state = 309, .external_lex_state = 5},
  [4214] = {.lex_state = 309, .external_lex_state = 5},
  [4215] = {.lex_state = 309, .external_lex_state = 5},
  [4216] = {.lex_state = 240, .external_lex_state = 5},
  [4217] = {.lex_state = 240, .external_lex_state = 5},
  [4218] = {.lex_state = 240, .external_lex_state = 5},
  [4219] = {.lex_state = 309, .external_lex_state = 5},
  [4220] = {.lex_state = 309, .external_lex_state = 5},
  [4221] = {.lex_state = 309, .external_lex_state = 5},
  [4222] = {.lex_state = 309, .external_lex_state = 5},
  [4223] = {.lex_state = 309, .external_lex_state = 5},
  [4224] = {.lex_state = 240, .external_lex_state = 5},
  [4225] = {.lex_state = 289, .external_lex_state = 5},
  [4226] = {.lex_state = 309, .external_lex_state = 5},
  [4227] = {.lex_state = 309, .external_lex_state = 5},
  [4228] = {.lex_state = 309, .external_lex_state = 5},
  [4229] = {.lex_state = 309, .external_lex_state = 5},
  [4230] = {.lex_state = 309, .external_lex_state = 5},
  [4231] = {.lex_state = 309, .external_lex_state = 5},
  [4232] = {.lex_state = 309, .external_lex_state = 5},
  [4233] = {.lex_state = 309, .external_lex_state = 5},
  [4234] = {.lex_state = 309, .external_lex_state = 5},
  [4235] = {.lex_state = 309, .external_lex_state = 5},
  [4236] = {.lex_state = 309, .external_lex_state = 5},
  [4237] = {.lex_state = 309, .external_lex_state = 5},
  [4238] = {.lex_state = 309, .external_lex_state = 5},
  [4239] = {.lex_state = 309, .external_lex_state = 5},
  [4240] = {.lex_state = 309, .external_lex_state = 5},
  [4241] = {.lex_state = 309, .external_lex_state = 5},
  [4242] = {.lex_state = 309, .external_lex_state = 5},
  [4243] = {.lex_state = 240, .external_lex_state = 5},
  [4244] = {.lex_state = 240, .external_lex_state = 5},
  [4245] = {.lex_state = 240, .external_lex_state = 5},
  [4246] = {.lex_state = 240, .external_lex_state = 5},
  [4247] = {.lex_state = 240, .external_lex_state = 5},
  [4248] = {.lex_state = 240, .external_lex_state = 5},
  [4249] = {.lex_state = 240, .external_lex_state = 5},
  [4250] = {.lex_state = 309, .external_lex_state = 5},
  [4251] = {.lex_state = 309, .external_lex_state = 5},
  [4252] = {.lex_state = 309, .external_lex_state = 5},
  [4253] = {.lex_state = 289, .external_lex_state = 5},
  [4254] = {.lex_state = 289, .external_lex_state = 5},
  [4255] = {.lex_state = 309, .external_lex_state = 5},
  [4256] = {.lex_state = 240, .external_lex_state = 5},
  [4257] = {.lex_state = 240, .external_lex_state = 5},
  [4258] = {.lex_state = 240, .external_lex_state = 5},
  [4259] = {.lex_state = 240, .external_lex_state = 5},
  [4260] = {.lex_state = 240, .external_lex_state = 5},
  [4261] = {.lex_state = 240, .external_lex_state = 5},
  [4262] = {.lex_state = 240, .external_lex_state = 5},
  [4263] = {.lex_state = 309, .external_lex_state = 5},
  [4264] = {.lex_state = 240, .external_lex_state = 5},
  [4265] = {.lex_state = 240, .external_lex_state = 5},
  [4266] = {.lex_state = 240, .external_lex_state = 5},
  [4267] = {.lex_state = 240, .external_lex_state = 5},
  [4268] = {.lex_state = 240, .external_lex_state = 5},
  [4269] = {.lex_state = 240, .external_lex_state = 5},
  [4270] = {.lex_state = 240, .external_lex_state = 5},
  [4271] = {.lex_state = 240, .external_lex_state = 5},
  [4272] = {.lex_state = 240, .external_lex_state = 5},
  [4273] = {.lex_state = 240, .external_lex_state = 5},
  [4274] = {.lex_state = 240, .external_lex_state = 5},
  [4275] = {.lex_state = 240, .external_lex_state = 5},
  [4276] = {.lex_state = 240, .external_lex_state = 5},
  [4277] = {.lex_state = 240, .external_lex_state = 5},
  [4278] = {.lex_state = 240, .external_lex_state = 5},
  [4279] = {.lex_state = 240, .external_lex_state = 5},
  [4280] = {.lex_state = 240, .external_lex_state = 5},
  [4281] = {.lex_state = 240, .external_lex_state = 5},
  [4282] = {.lex_state = 240, .external_lex_state = 5},
  [4283] = {.lex_state = 240, .external_lex_state = 5},
  [4284] = {.lex_state = 240, .external_lex_state = 5},
  [4285] = {.lex_state = 240, .external_lex_state = 5},
  [4286] = {.lex_state = 240, .external_lex_state = 5},
  [4287] = {.lex_state = 240, .external_lex_state = 5},
  [4288] = {.lex_state = 240, .external_lex_state = 5},
  [4289] = {.lex_state = 240, .external_lex_state = 5},
  [4290] = {.lex_state = 240, .external_lex_state = 5},
  [4291] = {.lex_state = 240, .external_lex_state = 5},
  [4292] = {.lex_state = 240, .external_lex_state = 5},
  [4293] = {.lex_state = 240, .external_lex_state = 5},
  [4294] = {.lex_state = 240, .external_lex_state = 5},
  [4295] = {.lex_state = 240, .external_lex_state = 5},
  [4296] = {.lex_state = 240, .external_lex_state = 5},
  [4297] = {.lex_state = 240, .external_lex_state = 5},
  [4298] = {.lex_state = 240, .external_lex_state = 5},
  [4299] = {.lex_state = 309, .external_lex_state = 5},
  [4300] = {.lex_state = 289, .external_lex_state = 5},
  [4301] = {.lex_state = 289, .external_lex_state = 5},
  [4302] = {.lex_state = 289, .external_lex_state = 5},
  [4303] = {.lex_state = 309, .external_lex_state = 5},
  [4304] = {.lex_state = 240, .external_lex_state = 5},
  [4305] = {.lex_state = 309, .external_lex_state = 5},
  [4306] = {.lex_state = 240, .external_lex_state = 5},
  [4307] = {.lex_state = 240, .external_lex_state = 5},
  [4308] = {.lex_state = 309, .external_lex_state = 5},
  [4309] = {.lex_state = 309, .external_lex_state = 5},
  [4310] = {.lex_state = 309, .external_lex_state = 5},
  [4311] = {.lex_state = 309, .external_lex_state = 5},
  [4312] = {.lex_state = 309, .external_lex_state = 5},
  [4313] = {.lex_state = 289, .external_lex_state = 5},
  [4314] = {.lex_state = 309, .external_lex_state = 5},
  [4315] = {.lex_state = 309, .external_lex_state = 5},
  [4316] = {.lex_state = 309, .external_lex_state = 5},
  [4317] = {.lex_state = 309, .external_lex_state = 5},
  [4318] = {.lex_state = 309, .external_lex_state = 5},
  [4319] = {.lex_state = 309, .external_lex_state = 5},
  [4320] = {.lex_state = 309, .external_lex_state = 5},
  [4321] = {.lex_state = 309, .external_lex_state = 5},
  [4322] = {.lex_state = 309, .external_lex_state = 5},
  [4323] = {.lex_state = 309, .external_lex_state = 5},
  [4324] = {.lex_state = 309, .external_lex_state = 5},
  [4325] = {.lex_state = 249, .external_lex_state = 5},
  [4326] = {.lex_state = 309, .external_lex_state = 5},
  [4327] = {.lex_state = 309, .external_lex_state = 5},
  [4328] = {.lex_state = 289, .external_lex_state = 5},
  [4329] = {.lex_state = 309, .external_lex_state = 5},
  [4330] = {.lex_state = 309, .external_lex_state = 5},
  [4331] = {.lex_state = 309, .external_lex_state = 5},
  [4332] = {.lex_state = 309, .external_lex_state = 5},
  [4333] = {.lex_state = 309, .external_lex_state = 5},
  [4334] = {.lex_state = 309, .external_lex_state = 5},
  [4335] = {.lex_state = 309, .external_lex_state = 5},
  [4336] = {.lex_state = 309, .external_lex_state = 5},
  [4337] = {.lex_state = 309, .external_lex_state = 5},
  [4338] = {.lex_state = 309, .external_lex_state = 5},
  [4339] = {.lex_state = 309, .external_lex_state = 5},
  [4340] = {.lex_state = 309, .external_lex_state = 5},
  [4341] = {.lex_state = 309, .external_lex_state = 5},
  [4342] = {.lex_state = 309, .external_lex_state = 5},
  [4343] = {.lex_state = 289, .external_lex_state = 5},
  [4344] = {.lex_state = 309, .external_lex_state = 5},
  [4345] = {.lex_state = 309, .external_lex_state = 5},
  [4346] = {.lex_state = 309, .external_lex_state = 5},
  [4347] = {.lex_state = 309, .external_lex_state = 5},
  [4348] = {.lex_state = 309, .external_lex_state = 5},
  [4349] = {.lex_state = 309, .external_lex_state = 5},
  [4350] = {.lex_state = 309, .external_lex_state = 5},
  [4351] = {.lex_state = 309, .external_lex_state = 5},
  [4352] = {.lex_state = 309, .external_lex_state = 5},
  [4353] = {.lex_state = 309, .external_lex_state = 5},
  [4354] = {.lex_state = 309, .external_lex_state = 5},
  [4355] = {.lex_state = 309, .external_lex_state = 5},
  [4356] = {.lex_state = 309, .external_lex_state = 5},
  [4357] = {.lex_state = 309, .external_lex_state = 5},
  [4358] = {.lex_state = 309, .external_lex_state = 5},
  [4359] = {.lex_state = 309, .external_lex_state = 5},
  [4360] = {.lex_state = 309, .external_lex_state = 5},
  [4361] = {.lex_state = 309, .external_lex_state = 5},
  [4362] = {.lex_state = 309, .external_lex_state = 5},
  [4363] = {.lex_state = 309, .external_lex_state = 5},
  [4364] = {.lex_state = 309, .external_lex_state = 5},
  [4365] = {.lex_state = 309, .external_lex_state = 5},
  [4366] = {.lex_state = 309, .external_lex_state = 5},
  [4367] = {.lex_state = 309, .external_lex_state = 5},
  [4368] = {.lex_state = 309, .external_lex_state = 5},
  [4369] = {.lex_state = 309, .external_lex_state = 5},
  [4370] = {.lex_state = 309, .external_lex_state = 5},
  [4371] = {.lex_state = 289, .external_lex_state = 5},
  [4372] = {.lex_state = 309, .external_lex_state = 5},
  [4373] = {.lex_state = 309, .external_lex_state = 5},
  [4374] = {.lex_state = 309, .external_lex_state = 5},
  [4375] = {.lex_state = 309, .external_lex_state = 5},
  [4376] = {.lex_state = 309, .external_lex_state = 5},
  [4377] = {.lex_state = 309, .external_lex_state = 5},
  [4378] = {.lex_state = 309, .external_lex_state = 5},
  [4379] = {.lex_state = 309, .external_lex_state = 5},
  [4380] = {.lex_state = 309, .external_lex_state = 5},
  [4381] = {.lex_state = 309, .external_lex_state = 5},
  [4382] = {.lex_state = 309, .external_lex_state = 5},
  [4383] = {.lex_state = 309, .external_lex_state = 5},
  [4384] = {.lex_state = 309, .external_lex_state = 5},
  [4385] = {.lex_state = 309, .external_lex_state = 5},
  [4386] = {.lex_state = 309, .external_lex_state = 5},
  [4387] = {.lex_state = 309, .external_lex_state = 5},
  [4388] = {.lex_state = 309, .external_lex_state = 5},
  [4389] = {.lex_state = 309, .external_lex_state = 5},
  [4390] = {.lex_state = 309, .external_lex_state = 5},
  [4391] = {.lex_state = 309, .external_lex_state = 5},
  [4392] = {.lex_state = 309, .external_lex_state = 5},
  [4393] = {.lex_state = 309, .external_lex_state = 5},
  [4394] = {.lex_state = 309, .external_lex_state = 5},
  [4395] = {.lex_state = 309, .external_lex_state = 5},
  [4396] = {.lex_state = 309, .external_lex_state = 5},
  [4397] = {.lex_state = 309, .external_lex_state = 5},
  [4398] = {.lex_state = 309, .external_lex_state = 5},
  [4399] = {.lex_state = 309, .external_lex_state = 5},
  [4400] = {.lex_state = 309, .external_lex_state = 5},
  [4401] = {.lex_state = 309, .external_lex_state = 5},
  [4402] = {.lex_state = 309, .external_lex_state = 5},
  [4403] = {.lex_state = 309, .external_lex_state = 5},
  [4404] = {.lex_state = 309, .external_lex_state = 5},
  [4405] = {.lex_state = 309, .external_lex_state = 5},
  [4406] = {.lex_state = 309, .external_lex_state = 5},
  [4407] = {.lex_state = 309, .external_lex_state = 5},
  [4408] = {.lex_state = 309, .external_lex_state = 5},
  [4409] = {.lex_state = 309, .external_lex_state = 5},
  [4410] = {.lex_state = 309, .external_lex_state = 5},
  [4411] = {.lex_state = 309, .external_lex_state = 5},
  [4412] = {.lex_state = 309, .external_lex_state = 5},
  [4413] = {.lex_state = 309, .external_lex_state = 5},
  [4414] = {.lex_state = 309, .external_lex_state = 5},
  [4415] = {.lex_state = 289, .external_lex_state = 5},
  [4416] = {.lex_state = 247, .external_lex_state = 5},
  [4417] = {.lex_state = 289, .external_lex_state = 5},
  [4418] = {.lex_state = 289, .external_lex_state = 5},
  [4419] = {.lex_state = 289, .external_lex_state = 5},
  [4420] = {.lex_state = 247, .external_lex_state = 5},
  [4421] = {.lex_state = 289, .external_lex_state = 5},
  [4422] = {.lex_state = 289, .external_lex_state = 5},
  [4423] = {.lex_state = 289, .external_lex_state = 5},
  [4424] = {.lex_state = 247, .external_lex_state = 5},
  [4425] = {.lex_state = 299, .external_lex_state = 5},
  [4426] = {.lex_state = 299, .external_lex_state = 5},
  [4427] = {.lex_state = 299, .external_lex_state = 5},
  [4428] = {.lex_state = 293, .external_lex_state = 5},
  [4429] = {.lex_state = 240, .external_lex_state = 5},
  [4430] = {.lex_state = 240, .external_lex_state = 5},
  [4431] = {.lex_state = 240, .external_lex_state = 5},
  [4432] = {.lex_state = 289, .external_lex_state = 5},
  [4433] = {.lex_state = 289, .external_lex_state = 5},
  [4434] = {.lex_state = 289, .external_lex_state = 5},
  [4435] = {.lex_state = 289, .external_lex_state = 5},
  [4436] = {.lex_state = 289, .external_lex_state = 5},
  [4437] = {.lex_state = 291, .external_lex_state = 5},
  [4438] = {.lex_state = 289, .external_lex_state = 5},
  [4439] = {.lex_state = 289, .external_lex_state = 5},
  [4440] = {.lex_state = 289, .external_lex_state = 5},
  [4441] = {.lex_state = 289, .external_lex_state = 5},
  [4442] = {.lex_state = 289, .external_lex_state = 5},
  [4443] = {.lex_state = 291, .external_lex_state = 5},
  [4444] = {.lex_state = 291, .external_lex_state = 5},
  [4445] = {.lex_state = 291, .external_lex_state = 5},
  [4446] = {.lex_state = 291, .external_lex_state = 5},
  [4447] = {.lex_state = 289, .external_lex_state = 5},
  [4448] = {.lex_state = 289, .external_lex_state = 5},
  [4449] = {.lex_state = 289, .external_lex_state = 5},
  [4450] = {.lex_state = 289, .external_lex_state = 5},
  [4451] = {.lex_state = 298, .external_lex_state = 5},
  [4452] = {.lex_state = 298, .external_lex_state = 5},
  [4453] = {.lex_state = 292, .external_lex_state = 5},
  [4454] = {.lex_state = 292, .external_lex_state = 5},
  [4455] = {.lex_state = 292, .external_lex_state = 5},
  [4456] = {.lex_state = 306, .external_lex_state = 5},
  [4457] = {.lex_state = 306, .external_lex_state = 5},
  [4458] = {.lex_state = 306, .external_lex_state = 5},
  [4459] = {.lex_state = 279, .external_lex_state = 5},
  [4460] = {.lex_state = 287, .external_lex_state = 5},
  [4461] = {.lex_state = 306, .external_lex_state = 5},
  [4462] = {.lex_state = 287, .external_lex_state = 5},
  [4463] = {.lex_state = 287, .external_lex_state = 5},
  [4464] = {.lex_state = 248, .external_lex_state = 5},
  [4465] = {.lex_state = 287, .external_lex_state = 5},
  [4466] = {.lex_state = 287, .external_lex_state = 5},
  [4467] = {.lex_state = 251, .external_lex_state = 5},
  [4468] = {.lex_state = 289, .external_lex_state = 5},
  [4469] = {.lex_state = 289, .external_lex_state = 5},
  [4470] = {.lex_state = 282, .external_lex_state = 5},
  [4471] = {.lex_state = 283, .external_lex_state = 5},
  [4472] = {.lex_state = 282, .external_lex_state = 5},
  [4473] = {.lex_state = 287, .external_lex_state = 5},
  [4474] = {.lex_state = 289, .external_lex_state = 5},
  [4475] = {.lex_state = 287, .external_lex_state = 5},
  [4476] = {.lex_state = 283, .external_lex_state = 5},
  [4477] = {.lex_state = 283, .external_lex_state = 5},
  [4478] = {.lex_state = 287, .external_lex_state = 5},
  [4479] = {.lex_state = 287, .external_lex_state = 5},
  [4480] = {.lex_state = 287, .external_lex_state = 5},
  [4481] = {.lex_state = 251, .external_lex_state = 5},
  [4482] = {.lex_state = 282, .external_lex_state = 5},
  [4483] = {.lex_state = 279, .external_lex_state = 5},
  [4484] = {.lex_state = 248, .external_lex_state = 5},
  [4485] = {.lex_state = 284, .external_lex_state = 5},
  [4486] = {.lex_state = 287, .external_lex_state = 5},
  [4487] = {.lex_state = 248, .external_lex_state = 5},
  [4488] = {.lex_state = 289, .external_lex_state = 5},
  [4489] = {.lex_state = 251, .external_lex_state = 5},
  [4490] = {.lex_state = 287, .external_lex_state = 5},
  [4491] = {.lex_state = 287, .external_lex_state = 5},
  [4492] = {.lex_state = 284, .external_lex_state = 5},
  [4493] = {.lex_state = 289, .external_lex_state = 5},
  [4494] = {.lex_state = 279, .external_lex_state = 5},
  [4495] = {.lex_state = 287, .external_lex_state = 5},
  [4496] = {.lex_state = 284, .external_lex_state = 5},
  [4497] = {.lex_state = 299, .external_lex_state = 5},
  [4498] = {.lex_state = 299, .external_lex_state = 5},
  [4499] = {.lex_state = 299, .external_lex_state = 5},
  [4500] = {.lex_state = 287, .external_lex_state = 5},
  [4501] = {.lex_state = 280, .external_lex_state = 5},
  [4502] = {.lex_state = 280, .external_lex_state = 5},
  [4503] = {.lex_state = 280, .external_lex_state = 5},
  [4504] = {.lex_state = 280, .external_lex_state = 5},
  [4505] = {.lex_state = 280, .external_lex_state = 5},
  [4506] = {.lex_state = 280, .external_lex_state = 5},
  [4507] = {.lex_state = 280, .external_lex_state = 5},
  [4508] = {.lex_state = 280, .external_lex_state = 5},
  [4509] = {.lex_state = 280, .external_lex_state = 5},
  [4510] = {.lex_state = 280, .external_lex_state = 5},
  [4511] = {.lex_state = 280, .external_lex_state = 5},
  [4512] = {.lex_state = 280, .external_lex_state = 5},
  [4513] = {.lex_state = 280, .external_lex_state = 5},
  [4514] = {.lex_state = 280, .external_lex_state = 5},
  [4515] = {.lex_state = 280, .external_lex_state = 5},
  [4516] = {.lex_state = 280, .external_lex_state = 5},
  [4517] = {.lex_state = 280, .external_lex_state = 5},
  [4518] = {.lex_state = 280, .external_lex_state = 5},
  [4519] = {.lex_state = 280, .external_lex_state = 5},
  [4520] = {.lex_state = 280, .external_lex_state = 5},
  [4521] = {.lex_state = 280, .external_lex_state = 5},
  [4522] = {.lex_state = 280, .external_lex_state = 5},
  [4523] = {.lex_state = 280, .external_lex_state = 5},
  [4524] = {.lex_state = 280, .external_lex_state = 5},
  [4525] = {.lex_state = 280, .external_lex_state = 5},
  [4526] = {.lex_state = 280, .external_lex_state = 5},
  [4527] = {.lex_state = 280, .external_lex_state = 5},
  [4528] = {.lex_state = 280, .external_lex_state = 5},
  [4529] = {.lex_state = 298, .external_lex_state = 5},
  [4530] = {.lex_state = 280, .external_lex_state = 5},
  [4531] = {.lex_state = 287, .external_lex_state = 5},
  [4532] = {.lex_state = 287, .external_lex_state = 5},
  [4533] = {.lex_state = 287, .external_lex_state = 5},
  [4534] = {.lex_state = 298, .external_lex_state = 5},
  [4535] = {.lex_state = 298, .external_lex_state = 5},
  [4536] = {.lex_state = 298, .external_lex_state = 5},
  [4537] = {.lex_state = 298, .external_lex_state = 5},
  [4538] = {.lex_state = 298, .external_lex_state = 5},
  [4539] = {.lex_state = 298, .external_lex_state = 5},
  [4540] = {.lex_state = 298, .external_lex_state = 5},
  [4541] = {.lex_state = 298, .external_lex_state = 5},
  [4542] = {.lex_state = 298, .external_lex_state = 5},
  [4543] = {.lex_state = 298, .external_lex_state = 5},
  [4544] = {.lex_state = 298, .external_lex_state = 5},
  [4545] = {.lex_state = 298, .external_lex_state = 5},
  [4546] = {.lex_state = 298, .external_lex_state = 5},
  [4547] = {.lex_state = 298, .external_lex_state = 5},
  [4548] = {.lex_state = 298, .external_lex_state = 5},
  [4549] = {.lex_state = 298, .external_lex_state = 5},
  [4550] = {.lex_state = 298, .external_lex_state = 5},
  [4551] = {.lex_state = 298, .external_lex_state = 5},
  [4552] = {.lex_state = 298, .external_lex_state = 5},
  [4553] = {.lex_state = 298, .external_lex_state = 5},
  [4554] = {.lex_state = 320, .external_lex_state = 5},
  [4555] = {.lex_state = 249, .external_lex_state = 5},
  [4556] = {.lex_state = 289, .external_lex_state = 5},
  [4557] = {.lex_state = 317, .external_lex_state = 5},
  [4558] = {.lex_state = 249, .external_lex_state = 5},
  [4559] = {.lex_state = 317, .external_lex_state = 5},
  [4560] = {.lex_state = 249, .external_lex_state = 5},
  [4561] = {.lex_state = 249, .external_lex_state = 5},
  [4562] = {.lex_state = 317, .external_lex_state = 5},
  [4563] = {.lex_state = 317, .external_lex_state = 5},
  [4564] = {.lex_state = 317, .external_lex_state = 5},
  [4565] = {.lex_state = 249, .external_lex_state = 5},
  [4566] = {.lex_state = 249, .external_lex_state = 5},
  [4567] = {.lex_state = 249, .external_lex_state = 5},
  [4568] = {.lex_state = 249, .external_lex_state = 5},
  [4569] = {.lex_state = 289, .external_lex_state = 5},
  [4570] = {.lex_state = 317, .external_lex_state = 5},
  [4571] = {.lex_state = 317, .external_lex_state = 5},
  [4572] = {.lex_state = 317, .external_lex_state = 5},
  [4573] = {.lex_state = 317, .external_lex_state = 5},
  [4574] = {.lex_state = 317, .external_lex_state = 5},
  [4575] = {.lex_state = 277, .external_lex_state = 5},
  [4576] = {.lex_state = 317, .external_lex_state = 5},
  [4577] = {.lex_state = 317, .external_lex_state = 5},
  [4578] = {.lex_state = 319, .external_lex_state = 5},
  [4579] = {.lex_state = 317, .external_lex_state = 4},
  [4580] = {.lex_state = 319, .external_lex_state = 5},
  [4581] = {.lex_state = 319, .external_lex_state = 5},
  [4582] = {.lex_state = 289, .external_lex_state = 5},
  [4583] = {.lex_state = 317, .external_lex_state = 4},
  [4584] = {.lex_state = 289, .external_lex_state = 5},
  [4585] = {.lex_state = 317, .external_lex_state = 4},
  [4586] = {.lex_state = 278, .external_lex_state = 5},
  [4587] = {.lex_state = 319, .external_lex_state = 5},
  [4588] = {.lex_state = 278, .external_lex_state = 5},
  [4589] = {.lex_state = 317, .external_lex_state = 5},
  [4590] = {.lex_state = 317, .external_lex_state = 4},
  [4591] = {.lex_state = 278, .external_lex_state = 5},
  [4592] = {.lex_state = 278, .external_lex_state = 5},
  [4593] = {.lex_state = 289, .external_lex_state = 5},
  [4594] = {.lex_state = 317, .external_lex_state = 4},
  [4595] = {.lex_state = 289, .external_lex_state = 5},
  [4596] = {.lex_state = 278, .external_lex_state = 5},
  [4597] = {.lex_state = 319, .external_lex_state = 5},
  [4598] = {.lex_state = 278, .external_lex_state = 5},
  [4599] = {.lex_state = 317, .external_lex_state = 4},
  [4600] = {.lex_state = 317, .external_lex_state = 4},
  [4601] = {.lex_state = 317, .external_lex_state = 4},
  [4602] = {.lex_state = 317, .external_lex_state = 4},
  [4603] = {.lex_state = 317, .external_lex_state = 4},
  [4604] = {.lex_state = 317, .external_lex_state = 4},
  [4605] = {.lex_state = 317, .external_lex_state = 4},
  [4606] = {.lex_state = 317, .external_lex_state = 4},
  [4607] = {.lex_state = 317, .external_lex_state = 4},
  [4608] = {.lex_state = 317, .external_lex_state = 5},
  [4609] = {.lex_state = 319, .external_lex_state = 5},
  [4610] = {.lex_state = 289, .external_lex_state = 5},
  [4611] = {.lex_state = 289, .external_lex_state = 5},
  [4612] = {.lex_state = 319, .external_lex_state = 5},
  [4613] = {.lex_state = 319, .external_lex_state = 5},
  [4614] = {.lex_state = 317, .external_lex_state = 4},
  [4615] = {.lex_state = 278, .external_lex_state = 5},
  [4616] = {.lex_state = 319, .external_lex_state = 5},
  [4617] = {.lex_state = 319, .external_lex_state = 5},
  [4618] = {.lex_state = 278, .external_lex_state = 5},
  [4619] = {.lex_state = 278, .external_lex_state = 5},
  [4620] = {.lex_state = 278, .external_lex_state = 5},
  [4621] = {.lex_state = 289, .external_lex_state = 5},
  [4622] = {.lex_state = 278, .external_lex_state = 5},
  [4623] = {.lex_state = 289, .external_lex_state = 5},
  [4624] = {.lex_state = 289, .external_lex_state = 5},
  [4625] = {.lex_state = 317, .external_lex_state = 4},
  [4626] = {.lex_state = 289, .external_lex_state = 5},
  [4627] = {.lex_state = 317, .external_lex_state = 4},
  [4628] = {.lex_state = 319, .external_lex_state = 5},
  [4629] = {.lex_state = 289, .external_lex_state = 5},
  [4630] = {.lex_state = 289, .external_lex_state = 5},
  [4631] = {.lex_state = 319, .external_lex_state = 5},
  [4632] = {.lex_state = 319, .external_lex_state = 5},
  [4633] = {.lex_state = 319, .external_lex_state = 5},
  [4634] = {.lex_state = 319, .external_lex_state = 5},
  [4635] = {.lex_state = 319, .external_lex_state = 5},
  [4636] = {.lex_state = 319, .external_lex_state = 5},
  [4637] = {.lex_state = 319, .external_lex_state = 5},
  [4638] = {.lex_state = 319, .external_lex_state = 5},
  [4639] = {.lex_state = 319, .external_lex_state = 5},
  [4640] = {.lex_state = 319, .external_lex_state = 5},
  [4641] = {.lex_state = 319, .external_lex_state = 5},
  [4642] = {.lex_state = 319, .external_lex_state = 5},
  [4643] = {.lex_state = 278, .external_lex_state = 5},
  [4644] = {.lex_state = 319, .external_lex_state = 5},
  [4645] = {.lex_state = 319, .external_lex_state = 5},
  [4646] = {.lex_state = 319, .external_lex_state = 5},
  [4647] = {.lex_state = 319, .external_lex_state = 5},
  [4648] = {.lex_state = 289, .external_lex_state = 5},
  [4649] = {.lex_state = 319, .external_lex_state = 5},
  [4650] = {.lex_state = 319, .external_lex_state = 5},
  [4651] = {.lex_state = 319, .external_lex_state = 5},
  [4652] = {.lex_state = 287, .external_lex_state = 4},
  [4653] = {.lex_state = 317, .external_lex_state = 5},
  [4654] = {.lex_state = 247, .external_lex_state = 5},
  [4655] = {.lex_state = 317, .external_lex_state = 5},
  [4656] = {.lex_state = 317, .external_lex_state = 4},
  [4657] = {.lex_state = 324, .external_lex_state = 5},
  [4658] = {.lex_state = 247, .external_lex_state = 5},
  [4659] = {.lex_state = 249, .external_lex_state = 5},
  [4660] = {.lex_state = 317, .external_lex_state = 5},
  [4661] = {.lex_state = 249, .external_lex_state = 5},
  [4662] = {.lex_state = 249, .external_lex_state = 5},
  [4663] = {.lex_state = 247, .external_lex_state = 5},
  [4664] = {.lex_state = 249, .external_lex_state = 5},
  [4665] = {.lex_state = 249, .external_lex_state = 5},
  [4666] = {.lex_state = 249, .external_lex_state = 5},
  [4667] = {.lex_state = 249, .external_lex_state = 5},
  [4668] = {.lex_state = 249, .external_lex_state = 5},
  [4669] = {.lex_state = 249, .external_lex_state = 5},
  [4670] = {.lex_state = 249, .external_lex_state = 5},
  [4671] = {.lex_state = 249, .external_lex_state = 5},
  [4672] = {.lex_state = 317, .external_lex_state = 5},
  [4673] = {.lex_state = 249, .external_lex_state = 5},
  [4674] = {.lex_state = 249, .external_lex_state = 5},
  [4675] = {.lex_state = 247, .external_lex_state = 5},
  [4676] = {.lex_state = 249, .external_lex_state = 5},
  [4677] = {.lex_state = 249, .external_lex_state = 5},
  [4678] = {.lex_state = 249, .external_lex_state = 5},
  [4679] = {.lex_state = 317, .external_lex_state = 5},
  [4680] = {.lex_state = 249, .external_lex_state = 5},
  [4681] = {.lex_state = 247, .external_lex_state = 5},
  [4682] = {.lex_state = 249, .external_lex_state = 5},
  [4683] = {.lex_state = 249, .external_lex_state = 5},
  [4684] = {.lex_state = 249, .external_lex_state = 5},
  [4685] = {.lex_state = 249, .external_lex_state = 5},
  [4686] = {.lex_state = 249, .external_lex_state = 5},
  [4687] = {.lex_state = 287, .external_lex_state = 5},
  [4688] = {.lex_state = 317, .external_lex_state = 5},
  [4689] = {.lex_state = 317, .external_lex_state = 5},
  [4690] = {.lex_state = 317, .external_lex_state = 4},
  [4691] = {.lex_state = 249, .external_lex_state = 5},
  [4692] = {.lex_state = 249, .external_lex_state = 5},
  [4693] = {.lex_state = 249, .external_lex_state = 5},
  [4694] = {.lex_state = 247, .external_lex_state = 5},
  [4695] = {.lex_state = 317, .external_lex_state = 5},
  [4696] = {.lex_state = 247, .external_lex_state = 5},
  [4697] = {.lex_state = 249, .external_lex_state = 5},
  [4698] = {.lex_state = 249, .external_lex_state = 5},
  [4699] = {.lex_state = 249, .external_lex_state = 5},
  [4700] = {.lex_state = 317, .external_lex_state = 4},
  [4701] = {.lex_state = 247, .external_lex_state = 5},
  [4702] = {.lex_state = 287, .external_lex_state = 5},
  [4703] = {.lex_state = 249, .external_lex_state = 5},
  [4704] = {.lex_state = 249, .external_lex_state = 5},
  [4705] = {.lex_state = 249, .external_lex_state = 5},
  [4706] = {.lex_state = 319, .external_lex_state = 5},
  [4707] = {.lex_state = 319, .external_lex_state = 5},
  [4708] = {.lex_state = 249, .external_lex_state = 5},
  [4709] = {.lex_state = 249, .external_lex_state = 5},
  [4710] = {.lex_state = 319, .external_lex_state = 5},
  [4711] = {.lex_state = 319, .external_lex_state = 5},
  [4712] = {.lex_state = 287, .external_lex_state = 5},
  [4713] = {.lex_state = 317, .external_lex_state = 5},
  [4714] = {.lex_state = 287, .external_lex_state = 5},
  [4715] = {.lex_state = 317, .external_lex_state = 4},
  [4716] = {.lex_state = 287, .external_lex_state = 5},
  [4717] = {.lex_state = 249, .external_lex_state = 5},
  [4718] = {.lex_state = 319, .external_lex_state = 5},
  [4719] = {.lex_state = 317, .external_lex_state = 5},
  [4720] = {.lex_state = 287, .external_lex_state = 5},
  [4721] = {.lex_state = 317, .external_lex_state = 5},
  [4722] = {.lex_state = 249, .external_lex_state = 5},
  [4723] = {.lex_state = 249, .external_lex_state = 5},
  [4724] = {.lex_state = 324, .external_lex_state = 5},
  [4725] = {.lex_state = 319, .external_lex_state = 4},
  [4726] = {.lex_state = 287, .external_lex_state = 4},
  [4727] = {.lex_state = 317, .external_lex_state = 5},
  [4728] = {.lex_state = 247, .external_lex_state = 5},
  [4729] = {.lex_state = 287, .external_lex_state = 4},
  [4730] = {.lex_state = 317, .external_lex_state = 5},
  [4731] = {.lex_state = 287, .external_lex_state = 5},
  [4732] = {.lex_state = 249, .external_lex_state = 5},
  [4733] = {.lex_state = 249, .external_lex_state = 5},
  [4734] = {.lex_state = 249, .external_lex_state = 5},
  [4735] = {.lex_state = 249, .external_lex_state = 5},
  [4736] = {.lex_state = 249, .external_lex_state = 5},
  [4737] = {.lex_state = 287, .external_lex_state = 5},
  [4738] = {.lex_state = 249, .external_lex_state = 5},
  [4739] = {.lex_state = 249, .external_lex_state = 5},
  [4740] = {.lex_state = 249, .external_lex_state = 5},
  [4741] = {.lex_state = 287, .external_lex_state = 5},
  [4742] = {.lex_state = 319, .external_lex_state = 5},
  [4743] = {.lex_state = 317, .external_lex_state = 4},
  [4744] = {.lex_state = 319, .external_lex_state = 5},
  [4745] = {.lex_state = 249, .external_lex_state = 5},
  [4746] = {.lex_state = 249, .external_lex_state = 5},
  [4747] = {.lex_state = 249, .external_lex_state = 5},
  [4748] = {.lex_state = 249, .external_lex_state = 5},
  [4749] = {.lex_state = 249, .external_lex_state = 5},
  [4750] = {.lex_state = 287, .external_lex_state = 5},
  [4751] = {.lex_state = 319, .external_lex_state = 5},
  [4752] = {.lex_state = 287, .external_lex_state = 5},
  [4753] = {.lex_state = 319, .external_lex_state = 5},
  [4754] = {.lex_state = 287, .external_lex_state = 5},
  [4755] = {.lex_state = 319, .external_lex_state = 5},
  [4756] = {.lex_state = 249, .external_lex_state = 5},
  [4757] = {.lex_state = 317, .external_lex_state = 5},
  [4758] = {.lex_state = 249, .external_lex_state = 5},
  [4759] = {.lex_state = 249, .external_lex_state = 5},
  [4760] = {.lex_state = 287, .external_lex_state = 4},
  [4761] = {.lex_state = 287, .external_lex_state = 5},
  [4762] = {.lex_state = 287, .external_lex_state = 4},
  [4763] = {.lex_state = 298, .external_lex_state = 5},
  [4764] = {.lex_state = 298, .external_lex_state = 5},
  [4765] = {.lex_state = 298, .external_lex_state = 5},
  [4766] = {.lex_state = 298, .external_lex_state = 5},
  [4767] = {.lex_state = 298, .external_lex_state = 5},
  [4768] = {.lex_state = 317, .external_lex_state = 5},
  [4769] = {.lex_state = 298, .external_lex_state = 5},
  [4770] = {.lex_state = 317, .external_lex_state = 5},
  [4771] = {.lex_state = 287, .external_lex_state = 5},
  [4772] = {.lex_state = 317, .external_lex_state = 5},
  [4773] = {.lex_state = 249, .external_lex_state = 5},
  [4774] = {.lex_state = 249, .external_lex_state = 5},
  [4775] = {.lex_state = 249, .external_lex_state = 5},
  [4776] = {.lex_state = 287, .external_lex_state = 4},
  [4777] = {.lex_state = 317, .external_lex_state = 5},
  [4778] = {.lex_state = 249, .external_lex_state = 5},
  [4779] = {.lex_state = 247, .external_lex_state = 5},
  [4780] = {.lex_state = 247, .external_lex_state = 5},
  [4781] = {.lex_state = 247, .external_lex_state = 5},
  [4782] = {.lex_state = 317, .external_lex_state = 5},
  [4783] = {.lex_state = 249, .external_lex_state = 5},
  [4784] = {.lex_state = 249, .external_lex_state = 5},
  [4785] = {.lex_state = 317, .external_lex_state = 5},
  [4786] = {.lex_state = 249, .external_lex_state = 5},
  [4787] = {.lex_state = 249, .external_lex_state = 5},
  [4788] = {.lex_state = 249, .external_lex_state = 5},
  [4789] = {.lex_state = 317, .external_lex_state = 4},
  [4790] = {.lex_state = 317, .external_lex_state = 5},
  [4791] = {.lex_state = 317, .external_lex_state = 5},
  [4792] = {.lex_state = 317, .external_lex_state = 4},
  [4793] = {.lex_state = 247, .external_lex_state = 5},
  [4794] = {.lex_state = 287, .external_lex_state = 5},
  [4795] = {.lex_state = 247, .external_lex_state = 5},
  [4796] = {.lex_state = 247, .external_lex_state = 5},
  [4797] = {.lex_state = 317, .external_lex_state = 5},
  [4798] = {.lex_state = 317, .external_lex_state = 5},
  [4799] = {.lex_state = 247, .external_lex_state = 5},
  [4800] = {.lex_state = 317, .external_lex_state = 5},
  [4801] = {.lex_state = 317, .external_lex_state = 4},
  [4802] = {.lex_state = 247, .external_lex_state = 5},
  [4803] = {.lex_state = 317, .external_lex_state = 4},
  [4804] = {.lex_state = 247, .external_lex_state = 5},
  [4805] = {.lex_state = 317, .external_lex_state = 5},
  [4806] = {.lex_state = 247, .external_lex_state = 5},
  [4807] = {.lex_state = 317, .external_lex_state = 4},
  [4808] = {.lex_state = 317, .external_lex_state = 4},
  [4809] = {.lex_state = 317, .external_lex_state = 5},
  [4810] = {.lex_state = 247, .external_lex_state = 5},
  [4811] = {.lex_state = 317, .external_lex_state = 5},
  [4812] = {.lex_state = 247, .external_lex_state = 5},
  [4813] = {.lex_state = 247, .external_lex_state = 5},
  [4814] = {.lex_state = 247, .external_lex_state = 5},
  [4815] = {.lex_state = 317, .external_lex_state = 5},
  [4816] = {.lex_state = 248, .external_lex_state = 5},
  [4817] = {.lex_state = 324, .external_lex_state = 5},
  [4818] = {.lex_state = 287, .external_lex_state = 5},
  [4819] = {.lex_state = 317, .external_lex_state = 5},
  [4820] = {.lex_state = 317, .external_lex_state = 5},
  [4821] = {.lex_state = 317, .external_lex_state = 4},
  [4822] = {.lex_state = 324, .external_lex_state = 5},
  [4823] = {.lex_state = 287, .external_lex_state = 5},
  [4824] = {.lex_state = 287, .external_lex_state = 5},
  [4825] = {.lex_state = 317, .external_lex_state = 4},
  [4826] = {.lex_state = 324, .external_lex_state = 5},
  [4827] = {.lex_state = 324, .external_lex_state = 5},
  [4828] = {.lex_state = 324, .external_lex_state = 5},
  [4829] = {.lex_state = 324, .external_lex_state = 5},
  [4830] = {.lex_state = 324, .external_lex_state = 5},
  [4831] = {.lex_state = 324, .external_lex_state = 5},
  [4832] = {.lex_state = 324, .external_lex_state = 5},
  [4833] = {.lex_state = 324, .external_lex_state = 5},
  [4834] = {.lex_state = 324, .external_lex_state = 5},
  [4835] = {.lex_state = 287, .external_lex_state = 5},
  [4836] = {.lex_state = 287, .external_lex_state = 5},
  [4837] = {.lex_state = 247, .external_lex_state = 5},
  [4838] = {.lex_state = 247, .external_lex_state = 5},
  [4839] = {.lex_state = 247, .external_lex_state = 5},
  [4840] = {.lex_state = 247, .external_lex_state = 5},
  [4841] = {.lex_state = 247, .external_lex_state = 5},
  [4842] = {.lex_state = 247, .external_lex_state = 5},
  [4843] = {.lex_state = 247, .external_lex_state = 5},
  [4844] = {.lex_state = 317, .external_lex_state = 5},
  [4845] = {.lex_state = 247, .external_lex_state = 5},
  [4846] = {.lex_state = 287, .external_lex_state = 5},
  [4847] = {.lex_state = 287, .external_lex_state = 5},
  [4848] = {.lex_state = 287, .external_lex_state = 5},
  [4849] = {.lex_state = 247, .external_lex_state = 5},
  [4850] = {.lex_state = 247, .external_lex_state = 5},
  [4851] = {.lex_state = 247, .external_lex_state = 5},
  [4852] = {.lex_state = 324, .external_lex_state = 5},
  [4853] = {.lex_state = 247, .external_lex_state = 5},
  [4854] = {.lex_state = 247, .external_lex_state = 5},
  [4855] = {.lex_state = 247, .external_lex_state = 5},
  [4856] = {.lex_state = 247, .external_lex_state = 5},
  [4857] = {.lex_state = 247, .external_lex_state = 5},
  [4858] = {.lex_state = 247, .external_lex_state = 5},
  [4859] = {.lex_state = 247, .external_lex_state = 5},
  [4860] = {.lex_state = 247, .external_lex_state = 5},
  [4861] = {.lex_state = 287, .external_lex_state = 4},
  [4862] = {.lex_state = 247, .external_lex_state = 5},
  [4863] = {.lex_state = 247, .external_lex_state = 5},
  [4864] = {.lex_state = 247, .external_lex_state = 5},
  [4865] = {.lex_state = 317, .external_lex_state = 4},
  [4866] = {.lex_state = 247, .external_lex_state = 5},
  [4867] = {.lex_state = 247, .external_lex_state = 5},
  [4868] = {.lex_state = 247, .external_lex_state = 5},
  [4869] = {.lex_state = 247, .external_lex_state = 5},
  [4870] = {.lex_state = 247, .external_lex_state = 5},
  [4871] = {.lex_state = 247, .external_lex_state = 5},
  [4872] = {.lex_state = 247, .external_lex_state = 5},
  [4873] = {.lex_state = 247, .external_lex_state = 5},
  [4874] = {.lex_state = 247, .external_lex_state = 5},
  [4875] = {.lex_state = 247, .external_lex_state = 5},
  [4876] = {.lex_state = 247, .external_lex_state = 5},
  [4877] = {.lex_state = 287, .external_lex_state = 5},
  [4878] = {.lex_state = 247, .external_lex_state = 5},
  [4879] = {.lex_state = 317, .external_lex_state = 5},
  [4880] = {.lex_state = 317, .external_lex_state = 5},
  [4881] = {.lex_state = 317, .external_lex_state = 5},
  [4882] = {.lex_state = 317, .external_lex_state = 4},
  [4883] = {.lex_state = 317, .external_lex_state = 4},
  [4884] = {.lex_state = 247, .external_lex_state = 5},
  [4885] = {.lex_state = 317, .external_lex_state = 4},
  [4886] = {.lex_state = 324, .external_lex_state = 5},
  [4887] = {.lex_state = 317, .external_lex_state = 5},
  [4888] = {.lex_state = 247, .external_lex_state = 5},
  [4889] = {.lex_state = 247, .external_lex_state = 5},
  [4890] = {.lex_state = 287, .external_lex_state = 5},
  [4891] = {.lex_state = 317, .external_lex_state = 5},
  [4892] = {.lex_state = 247, .external_lex_state = 5},
  [4893] = {.lex_state = 247, .external_lex_state = 5},
  [4894] = {.lex_state = 247, .external_lex_state = 5},
  [4895] = {.lex_state = 287, .external_lex_state = 4},
  [4896] = {.lex_state = 319, .external_lex_state = 5},
  [4897] = {.lex_state = 317, .external_lex_state = 5},
  [4898] = {.lex_state = 247, .external_lex_state = 5},
  [4899] = {.lex_state = 317, .external_lex_state = 5},
  [4900] = {.lex_state = 319, .external_lex_state = 5},
  [4901] = {.lex_state = 319, .external_lex_state = 4},
  [4902] = {.lex_state = 317, .external_lex_state = 5},
  [4903] = {.lex_state = 319, .external_lex_state = 5},
  [4904] = {.lex_state = 317, .external_lex_state = 5},
  [4905] = {.lex_state = 319, .external_lex_state = 5},
  [4906] = {.lex_state = 319, .external_lex_state = 5},
  [4907] = {.lex_state = 319, .external_lex_state = 5},
  [4908] = {.lex_state = 317, .external_lex_state = 5},
  [4909] = {.lex_state = 319, .external_lex_state = 5},
  [4910] = {.lex_state = 287, .external_lex_state = 4},
  [4911] = {.lex_state = 317, .external_lex_state = 5},
  [4912] = {.lex_state = 317, .external_lex_state = 5},
  [4913] = {.lex_state = 317, .external_lex_state = 5},
  [4914] = {.lex_state = 317, .external_lex_state = 5},
  [4915] = {.lex_state = 317, .external_lex_state = 5},
  [4916] = {.lex_state = 287, .external_lex_state = 5},
  [4917] = {.lex_state = 287, .external_lex_state = 5},
  [4918] = {.lex_state = 287, .external_lex_state = 5},
  [4919] = {.lex_state = 317, .external_lex_state = 5},
  [4920] = {.lex_state = 319, .external_lex_state = 5},
  [4921] = {.lex_state = 317, .external_lex_state = 5},
  [4922] = {.lex_state = 317, .external_lex_state = 5},
  [4923] = {.lex_state = 319, .external_lex_state = 5},
  [4924] = {.lex_state = 317, .external_lex_state = 5},
  [4925] = {.lex_state = 317, .external_lex_state = 5},
  [4926] = {.lex_state = 319, .external_lex_state = 5},
  [4927] = {.lex_state = 317, .external_lex_state = 5},
  [4928] = {.lex_state = 324, .external_lex_state = 5},
  [4929] = {.lex_state = 287, .external_lex_state = 5},
  [4930] = {.lex_state = 287, .external_lex_state = 5},
  [4931] = {.lex_state = 287, .external_lex_state = 5},
  [4932] = {.lex_state = 287, .external_lex_state = 5},
  [4933] = {.lex_state = 287, .external_lex_state = 5},
  [4934] = {.lex_state = 287, .external_lex_state = 5},
  [4935] = {.lex_state = 287, .external_lex_state = 5},
  [4936] = {.lex_state = 287, .external_lex_state = 5},
  [4937] = {.lex_state = 320, .external_lex_state = 5},
  [4938] = {.lex_state = 287, .external_lex_state = 5},
  [4939] = {.lex_state = 287, .external_lex_state = 5},
  [4940] = {.lex_state = 287, .external_lex_state = 5},
  [4941] = {.lex_state = 287, .external_lex_state = 5},
  [4942] = {.lex_state = 287, .external_lex_state = 5},
  [4943] = {.lex_state = 287, .external_lex_state = 5},
  [4944] = {.lex_state = 287, .external_lex_state = 5},
  [4945] = {.lex_state = 317, .external_lex_state = 5},
  [4946] = {.lex_state = 287, .external_lex_state = 5},
  [4947] = {.lex_state = 287, .external_lex_state = 5},
  [4948] = {.lex_state = 287, .external_lex_state = 5},
  [4949] = {.lex_state = 319, .external_lex_state = 5},
  [4950] = {.lex_state = 287, .external_lex_state = 4},
  [4951] = {.lex_state = 320, .external_lex_state = 5},
  [4952] = {.lex_state = 324, .external_lex_state = 5},
  [4953] = {.lex_state = 287, .external_lex_state = 5},
  [4954] = {.lex_state = 287, .external_lex_state = 5},
  [4955] = {.lex_state = 287, .external_lex_state = 5},
  [4956] = {.lex_state = 319, .external_lex_state = 5},
  [4957] = {.lex_state = 287, .external_lex_state = 5},
  [4958] = {.lex_state = 287, .external_lex_state = 4},
  [4959] = {.lex_state = 317, .external_lex_state = 5},
  [4960] = {.lex_state = 319, .external_lex_state = 5},
  [4961] = {.lex_state = 240, .external_lex_state = 5},
  [4962] = {.lex_state = 287, .external_lex_state = 5},
  [4963] = {.lex_state = 287, .external_lex_state = 5},
  [4964] = {.lex_state = 249, .external_lex_state = 5},
  [4965] = {.lex_state = 287, .external_lex_state = 5},
  [4966] = {.lex_state = 287, .external_lex_state = 5},
  [4967] = {.lex_state = 306, .external_lex_state = 5},
  [4968] = {.lex_state = 317, .external_lex_state = 4},
  [4969] = {.lex_state = 317, .external_lex_state = 4},
  [4970] = {.lex_state = 249, .external_lex_state = 5},
  [4971] = {.lex_state = 287, .external_lex_state = 5},
  [4972] = {.lex_state = 320, .external_lex_state = 5},
  [4973] = {.lex_state = 317, .external_lex_state = 4},
  [4974] = {.lex_state = 317, .external_lex_state = 4},
  [4975] = {.lex_state = 317, .external_lex_state = 4},
  [4976] = {.lex_state = 306, .external_lex_state = 5},
  [4977] = {.lex_state = 317, .external_lex_state = 4},
  [4978] = {.lex_state = 317, .external_lex_state = 4},
  [4979] = {.lex_state = 317, .external_lex_state = 4},
  [4980] = {.lex_state = 317, .external_lex_state = 4},
  [4981] = {.lex_state = 317, .external_lex_state = 4},
  [4982] = {.lex_state = 287, .external_lex_state = 5},
  [4983] = {.lex_state = 287, .external_lex_state = 5},
  [4984] = {.lex_state = 317, .external_lex_state = 4},
  [4985] = {.lex_state = 317, .external_lex_state = 4},
  [4986] = {.lex_state = 317, .external_lex_state = 4},
  [4987] = {.lex_state = 319, .external_lex_state = 5},
  [4988] = {.lex_state = 317, .external_lex_state = 4},
  [4989] = {.lex_state = 287, .external_lex_state = 5},
  [4990] = {.lex_state = 287, .external_lex_state = 5},
  [4991] = {.lex_state = 306, .external_lex_state = 5},
  [4992] = {.lex_state = 319, .external_lex_state = 5},
  [4993] = {.lex_state = 317, .external_lex_state = 4},
  [4994] = {.lex_state = 317, .external_lex_state = 4},
  [4995] = {.lex_state = 287, .external_lex_state = 5},
  [4996] = {.lex_state = 317, .external_lex_state = 4},
  [4997] = {.lex_state = 306, .external_lex_state = 5},
  [4998] = {.lex_state = 317, .external_lex_state = 4},
  [4999] = {.lex_state = 306, .external_lex_state = 5},
  [5000] = {.lex_state = 317, .external_lex_state = 5},
  [5001] = {.lex_state = 317, .external_lex_state = 4},
  [5002] = {.lex_state = 287, .external_lex_state = 5},
  [5003] = {.lex_state = 306, .external_lex_state = 5},
  [5004] = {.lex_state = 317, .external_lex_state = 4},
  [5005] = {.lex_state = 317, .external_lex_state = 4},
  [5006] = {.lex_state = 306, .external_lex_state = 5},
  [5007] = {.lex_state = 306, .external_lex_state = 5},
  [5008] = {.lex_state = 320, .external_lex_state = 5},
  [5009] = {.lex_state = 287, .external_lex_state = 5},
  [5010] = {.lex_state = 317, .external_lex_state = 4},
  [5011] = {.lex_state = 320, .external_lex_state = 5},
  [5012] = {.lex_state = 319, .external_lex_state = 5},
  [5013] = {.lex_state = 319, .external_lex_state = 5},
  [5014] = {.lex_state = 287, .external_lex_state = 5},
  [5015] = {.lex_state = 306, .external_lex_state = 5},
  [5016] = {.lex_state = 317, .external_lex_state = 4},
  [5017] = {.lex_state = 306, .external_lex_state = 5},
  [5018] = {.lex_state = 249, .external_lex_state = 5},
  [5019] = {.lex_state = 317, .external_lex_state = 4},
  [5020] = {.lex_state = 306, .external_lex_state = 5},
  [5021] = {.lex_state = 317, .external_lex_state = 4},
  [5022] = {.lex_state = 319, .external_lex_state = 5},
  [5023] = {.lex_state = 306, .external_lex_state = 5},
  [5024] = {.lex_state = 317, .external_lex_state = 5},
  [5025] = {.lex_state = 306, .external_lex_state = 5},
  [5026] = {.lex_state = 306, .external_lex_state = 5},
  [5027] = {.lex_state = 306, .external_lex_state = 5},
  [5028] = {.lex_state = 306, .external_lex_state = 5},
  [5029] = {.lex_state = 306, .external_lex_state = 5},
  [5030] = {.lex_state = 284, .external_lex_state = 5},
  [5031] = {.lex_state = 287, .external_lex_state = 5},
  [5032] = {.lex_state = 284, .external_lex_state = 5},
  [5033] = {.lex_state = 284, .external_lex_state = 5},
  [5034] = {.lex_state = 306, .external_lex_state = 5},
  [5035] = {.lex_state = 279, .external_lex_state = 5},
  [5036] = {.lex_state = 317, .external_lex_state = 5},
  [5037] = {.lex_state = 306, .external_lex_state = 5},
  [5038] = {.lex_state = 306, .external_lex_state = 5},
  [5039] = {.lex_state = 287, .external_lex_state = 5},
  [5040] = {.lex_state = 319, .external_lex_state = 5},
  [5041] = {.lex_state = 306, .external_lex_state = 5},
  [5042] = {.lex_state = 279, .external_lex_state = 5},
  [5043] = {.lex_state = 306, .external_lex_state = 5},
  [5044] = {.lex_state = 279, .external_lex_state = 5},
  [5045] = {.lex_state = 306, .external_lex_state = 5},
  [5046] = {.lex_state = 287, .external_lex_state = 5},
  [5047] = {.lex_state = 306, .external_lex_state = 5},
  [5048] = {.lex_state = 317, .external_lex_state = 5},
  [5049] = {.lex_state = 285, .external_lex_state = 5},
  [5050] = {.lex_state = 279, .external_lex_state = 5},
  [5051] = {.lex_state = 287, .external_lex_state = 5},
  [5052] = {.lex_state = 306, .external_lex_state = 5},
  [5053] = {.lex_state = 286, .external_lex_state = 5},
  [5054] = {.lex_state = 287, .external_lex_state = 5},
  [5055] = {.lex_state = 306, .external_lex_state = 5},
  [5056] = {.lex_state = 306, .external_lex_state = 5},
  [5057] = {.lex_state = 286, .external_lex_state = 5},
  [5058] = {.lex_state = 279, .external_lex_state = 5},
  [5059] = {.lex_state = 287, .external_lex_state = 5},
  [5060] = {.lex_state = 282, .external_lex_state = 5},
  [5061] = {.lex_state = 286, .external_lex_state = 5},
  [5062] = {.lex_state = 286, .external_lex_state = 5},
  [5063] = {.lex_state = 285, .external_lex_state = 5},
  [5064] = {.lex_state = 286, .external_lex_state = 5},
  [5065] = {.lex_state = 286, .external_lex_state = 5},
  [5066] = {.lex_state = 286, .external_lex_state = 5},
  [5067] = {.lex_state = 286, .external_lex_state = 5},
  [5068] = {.lex_state = 306, .external_lex_state = 5},
  [5069] = {.lex_state = 282, .external_lex_state = 5},
  [5070] = {.lex_state = 282, .external_lex_state = 5},
  [5071] = {.lex_state = 282, .external_lex_state = 5},
  [5072] = {.lex_state = 317, .external_lex_state = 5},
  [5073] = {.lex_state = 282, .external_lex_state = 5},
  [5074] = {.lex_state = 282, .external_lex_state = 5},
  [5075] = {.lex_state = 282, .external_lex_state = 5},
  [5076] = {.lex_state = 282, .external_lex_state = 5},
  [5077] = {.lex_state = 279, .external_lex_state = 5},
  [5078] = {.lex_state = 319, .external_lex_state = 5},
  [5079] = {.lex_state = 282, .external_lex_state = 5},
  [5080] = {.lex_state = 279, .external_lex_state = 5},
  [5081] = {.lex_state = 282, .external_lex_state = 5},
  [5082] = {.lex_state = 306, .external_lex_state = 5},
  [5083] = {.lex_state = 284, .external_lex_state = 5},
  [5084] = {.lex_state = 284, .external_lex_state = 5},
  [5085] = {.lex_state = 282, .external_lex_state = 5},
  [5086] = {.lex_state = 284, .external_lex_state = 5},
  [5087] = {.lex_state = 284, .external_lex_state = 5},
  [5088] = {.lex_state = 317, .external_lex_state = 5},
  [5089] = {.lex_state = 282, .external_lex_state = 5},
  [5090] = {.lex_state = 306, .external_lex_state = 5},
  [5091] = {.lex_state = 287, .external_lex_state = 5},
  [5092] = {.lex_state = 279, .external_lex_state = 5},
  [5093] = {.lex_state = 306, .external_lex_state = 5},
  [5094] = {.lex_state = 287, .external_lex_state = 5},
  [5095] = {.lex_state = 287, .external_lex_state = 5},
  [5096] = {.lex_state = 285, .external_lex_state = 5},
  [5097] = {.lex_state = 306, .external_lex_state = 5},
  [5098] = {.lex_state = 306, .external_lex_state = 5},
  [5099] = {.lex_state = 297, .external_lex_state = 5},
  [5100] = {.lex_state = 285, .external_lex_state = 5},
  [5101] = {.lex_state = 306, .external_lex_state = 5},
  [5102] = {.lex_state = 306, .external_lex_state = 5},
  [5103] = {.lex_state = 287, .external_lex_state = 5},
  [5104] = {.lex_state = 317, .external_lex_state = 5},
  [5105] = {.lex_state = 306, .external_lex_state = 5},
  [5106] = {.lex_state = 287, .external_lex_state = 5},
  [5107] = {.lex_state = 283, .external_lex_state = 5},
  [5108] = {.lex_state = 287, .external_lex_state = 5},
  [5109] = {.lex_state = 306, .external_lex_state = 5},
  [5110] = {.lex_state = 306, .external_lex_state = 5},
  [5111] = {.lex_state = 283, .external_lex_state = 5},
  [5112] = {.lex_state = 306, .external_lex_state = 5},
  [5113] = {.lex_state = 306, .external_lex_state = 5},
  [5114] = {.lex_state = 306, .external_lex_state = 5},
  [5115] = {.lex_state = 306, .external_lex_state = 5},
  [5116] = {.lex_state = 306, .external_lex_state = 5},
  [5117] = {.lex_state = 287, .external_lex_state = 5},
  [5118] = {.lex_state = 317, .external_lex_state = 5},
  [5119] = {.lex_state = 285, .external_lex_state = 5},
  [5120] = {.lex_state = 317, .external_lex_state = 5},
  [5121] = {.lex_state = 306, .external_lex_state = 5},
  [5122] = {.lex_state = 306, .external_lex_state = 5},
  [5123] = {.lex_state = 283, .external_lex_state = 5},
  [5124] = {.lex_state = 285, .external_lex_state = 5},
  [5125] = {.lex_state = 285, .external_lex_state = 5},
  [5126] = {.lex_state = 306, .external_lex_state = 5},
  [5127] = {.lex_state = 306, .external_lex_state = 5},
  [5128] = {.lex_state = 306, .external_lex_state = 5},
  [5129] = {.lex_state = 284, .external_lex_state = 5},
  [5130] = {.lex_state = 317, .external_lex_state = 4},
  [5131] = {.lex_state = 284, .external_lex_state = 5},
  [5132] = {.lex_state = 306, .external_lex_state = 5},
  [5133] = {.lex_state = 287, .external_lex_state = 5},
  [5134] = {.lex_state = 279, .external_lex_state = 5},
  [5135] = {.lex_state = 284, .external_lex_state = 5},
  [5136] = {.lex_state = 285, .external_lex_state = 5},
  [5137] = {.lex_state = 279, .external_lex_state = 5},
  [5138] = {.lex_state = 285, .external_lex_state = 5},
  [5139] = {.lex_state = 286, .external_lex_state = 5},
  [5140] = {.lex_state = 317, .external_lex_state = 5},
  [5141] = {.lex_state = 285, .external_lex_state = 5},
  [5142] = {.lex_state = 297, .external_lex_state = 5},
  [5143] = {.lex_state = 283, .external_lex_state = 5},
  [5144] = {.lex_state = 279, .external_lex_state = 5},
  [5145] = {.lex_state = 279, .external_lex_state = 5},
  [5146] = {.lex_state = 287, .external_lex_state = 5},
  [5147] = {.lex_state = 283, .external_lex_state = 5},
  [5148] = {.lex_state = 283, .external_lex_state = 5},
  [5149] = {.lex_state = 287, .external_lex_state = 5},
  [5150] = {.lex_state = 283, .external_lex_state = 5},
  [5151] = {.lex_state = 285, .external_lex_state = 5},
  [5152] = {.lex_state = 285, .external_lex_state = 5},
  [5153] = {.lex_state = 324, .external_lex_state = 5},
  [5154] = {.lex_state = 283, .external_lex_state = 5},
  [5155] = {.lex_state = 283, .external_lex_state = 5},
  [5156] = {.lex_state = 283, .external_lex_state = 5},
  [5157] = {.lex_state = 284, .external_lex_state = 5},
  [5158] = {.lex_state = 306, .external_lex_state = 5},
  [5159] = {.lex_state = 283, .external_lex_state = 5},
  [5160] = {.lex_state = 317, .external_lex_state = 5},
  [5161] = {.lex_state = 284, .external_lex_state = 5},
  [5162] = {.lex_state = 306, .external_lex_state = 5},
  [5163] = {.lex_state = 287, .external_lex_state = 5},
  [5164] = {.lex_state = 317, .external_lex_state = 4},
  [5165] = {.lex_state = 287, .external_lex_state = 5},
  [5166] = {.lex_state = 317, .external_lex_state = 4},
  [5167] = {.lex_state = 306, .external_lex_state = 5},
  [5168] = {.lex_state = 317, .external_lex_state = 5},
  [5169] = {.lex_state = 286, .external_lex_state = 5},
  [5170] = {.lex_state = 286, .external_lex_state = 5},
  [5171] = {.lex_state = 286, .external_lex_state = 5},
  [5172] = {.lex_state = 306, .external_lex_state = 5},
  [5173] = {.lex_state = 306, .external_lex_state = 5},
  [5174] = {.lex_state = 287, .external_lex_state = 5},
  [5175] = {.lex_state = 317, .external_lex_state = 5},
  [5176] = {.lex_state = 287, .external_lex_state = 5},
  [5177] = {.lex_state = 287, .external_lex_state = 5},
  [5178] = {.lex_state = 287, .external_lex_state = 5},
  [5179] = {.lex_state = 306, .external_lex_state = 5},
  [5180] = {.lex_state = 287, .external_lex_state = 5},
  [5181] = {.lex_state = 306, .external_lex_state = 5},
  [5182] = {.lex_state = 306, .external_lex_state = 5},
  [5183] = {.lex_state = 287, .external_lex_state = 5},
  [5184] = {.lex_state = 306, .external_lex_state = 5},
  [5185] = {.lex_state = 283, .external_lex_state = 5},
  [5186] = {.lex_state = 283, .external_lex_state = 5},
  [5187] = {.lex_state = 248, .external_lex_state = 5},
  [5188] = {.lex_state = 279, .external_lex_state = 5},
  [5189] = {.lex_state = 317, .external_lex_state = 5},
  [5190] = {.lex_state = 248, .external_lex_state = 5},
  [5191] = {.lex_state = 317, .external_lex_state = 5},
  [5192] = {.lex_state = 317, .external_lex_state = 5},
  [5193] = {.lex_state = 248, .external_lex_state = 5},
  [5194] = {.lex_state = 284, .external_lex_state = 5},
  [5195] = {.lex_state = 284, .external_lex_state = 5},
  [5196] = {.lex_state = 317, .external_lex_state = 5},
  [5197] = {.lex_state = 284, .external_lex_state = 5},
  [5198] = {.lex_state = 284, .external_lex_state = 5},
  [5199] = {.lex_state = 317, .external_lex_state = 5},
  [5200] = {.lex_state = 284, .external_lex_state = 5},
  [5201] = {.lex_state = 289, .external_lex_state = 5},
  [5202] = {.lex_state = 284, .external_lex_state = 5},
  [5203] = {.lex_state = 248, .external_lex_state = 5},
  [5204] = {.lex_state = 317, .external_lex_state = 5},
  [5205] = {.lex_state = 284, .external_lex_state = 5},
  [5206] = {.lex_state = 284, .external_lex_state = 5},
  [5207] = {.lex_state = 284, .external_lex_state = 5},
  [5208] = {.lex_state = 284, .external_lex_state = 5},
  [5209] = {.lex_state = 284, .external_lex_state = 5},
  [5210] = {.lex_state = 284, .external_lex_state = 5},
  [5211] = {.lex_state = 324, .external_lex_state = 5},
  [5212] = {.lex_state = 284, .external_lex_state = 5},
  [5213] = {.lex_state = 284, .external_lex_state = 5},
  [5214] = {.lex_state = 284, .external_lex_state = 5},
  [5215] = {.lex_state = 284, .external_lex_state = 5},
  [5216] = {.lex_state = 248, .external_lex_state = 5},
  [5217] = {.lex_state = 248, .external_lex_state = 5},
  [5218] = {.lex_state = 248, .external_lex_state = 5},
  [5219] = {.lex_state = 251, .external_lex_state = 5},
  [5220] = {.lex_state = 251, .external_lex_state = 5},
  [5221] = {.lex_state = 251, .external_lex_state = 5},
  [5222] = {.lex_state = 251, .external_lex_state = 5},
  [5223] = {.lex_state = 251, .external_lex_state = 5},
  [5224] = {.lex_state = 251, .external_lex_state = 5},
  [5225] = {.lex_state = 251, .external_lex_state = 5},
  [5226] = {.lex_state = 284, .external_lex_state = 5},
  [5227] = {.lex_state = 284, .external_lex_state = 5},
  [5228] = {.lex_state = 284, .external_lex_state = 5},
  [5229] = {.lex_state = 284, .external_lex_state = 5},
  [5230] = {.lex_state = 284, .external_lex_state = 5},
  [5231] = {.lex_state = 284, .external_lex_state = 5},
  [5232] = {.lex_state = 284, .external_lex_state = 5},
  [5233] = {.lex_state = 317, .external_lex_state = 5},
  [5234] = {.lex_state = 317, .external_lex_state = 5},
  [5235] = {.lex_state = 289, .external_lex_state = 5},
  [5236] = {.lex_state = 248, .external_lex_state = 5},
  [5237] = {.lex_state = 289, .external_lex_state = 5},
  [5238] = {.lex_state = 289, .external_lex_state = 5},
  [5239] = {.lex_state = 317, .external_lex_state = 5},
  [5240] = {.lex_state = 289, .external_lex_state = 5},
  [5241] = {.lex_state = 283, .external_lex_state = 5},
  [5242] = {.lex_state = 289, .external_lex_state = 5},
  [5243] = {.lex_state = 283, .external_lex_state = 5},
  [5244] = {.lex_state = 283, .external_lex_state = 5},
  [5245] = {.lex_state = 283, .external_lex_state = 5},
  [5246] = {.lex_state = 283, .external_lex_state = 5},
  [5247] = {.lex_state = 283, .external_lex_state = 5},
  [5248] = {.lex_state = 283, .external_lex_state = 5},
  [5249] = {.lex_state = 283, .external_lex_state = 5},
  [5250] = {.lex_state = 279, .external_lex_state = 5},
  [5251] = {.lex_state = 279, .external_lex_state = 5},
  [5252] = {.lex_state = 279, .external_lex_state = 5},
  [5253] = {.lex_state = 279, .external_lex_state = 5},
  [5254] = {.lex_state = 279, .external_lex_state = 5},
  [5255] = {.lex_state = 279, .external_lex_state = 5},
  [5256] = {.lex_state = 279, .external_lex_state = 5},
  [5257] = {.lex_state = 289, .external_lex_state = 5},
  [5258] = {.lex_state = 289, .external_lex_state = 5},
  [5259] = {.lex_state = 317, .external_lex_state = 5},
  [5260] = {.lex_state = 317, .external_lex_state = 5},
  [5261] = {.lex_state = 283, .external_lex_state = 5},
  [5262] = {.lex_state = 283, .external_lex_state = 5},
  [5263] = {.lex_state = 283, .external_lex_state = 5},
  [5264] = {.lex_state = 282, .external_lex_state = 5},
  [5265] = {.lex_state = 282, .external_lex_state = 5},
  [5266] = {.lex_state = 282, .external_lex_state = 5},
  [5267] = {.lex_state = 282, .external_lex_state = 5},
  [5268] = {.lex_state = 282, .external_lex_state = 5},
  [5269] = {.lex_state = 282, .external_lex_state = 5},
  [5270] = {.lex_state = 282, .external_lex_state = 5},
  [5271] = {.lex_state = 283, .external_lex_state = 5},
  [5272] = {.lex_state = 283, .external_lex_state = 5},
  [5273] = {.lex_state = 283, .external_lex_state = 5},
  [5274] = {.lex_state = 283, .external_lex_state = 5},
  [5275] = {.lex_state = 282, .external_lex_state = 5},
  [5276] = {.lex_state = 283, .external_lex_state = 5},
  [5277] = {.lex_state = 283, .external_lex_state = 5},
  [5278] = {.lex_state = 282, .external_lex_state = 5},
  [5279] = {.lex_state = 282, .external_lex_state = 5},
  [5280] = {.lex_state = 282, .external_lex_state = 5},
  [5281] = {.lex_state = 282, .external_lex_state = 5},
  [5282] = {.lex_state = 283, .external_lex_state = 5},
  [5283] = {.lex_state = 283, .external_lex_state = 5},
  [5284] = {.lex_state = 282, .external_lex_state = 5},
  [5285] = {.lex_state = 282, .external_lex_state = 5},
  [5286] = {.lex_state = 282, .external_lex_state = 5},
  [5287] = {.lex_state = 282, .external_lex_state = 5},
  [5288] = {.lex_state = 282, .external_lex_state = 5},
  [5289] = {.lex_state = 283, .external_lex_state = 5},
  [5290] = {.lex_state = 282, .external_lex_state = 5},
  [5291] = {.lex_state = 282, .external_lex_state = 5},
  [5292] = {.lex_state = 283, .external_lex_state = 5},
  [5293] = {.lex_state = 282, .external_lex_state = 5},
  [5294] = {.lex_state = 282, .external_lex_state = 5},
  [5295] = {.lex_state = 283, .external_lex_state = 5},
  [5296] = {.lex_state = 282, .external_lex_state = 5},
  [5297] = {.lex_state = 282, .external_lex_state = 5},
  [5298] = {.lex_state = 283, .external_lex_state = 5},
  [5299] = {.lex_state = 282, .external_lex_state = 5},
  [5300] = {.lex_state = 282, .external_lex_state = 5},
  [5301] = {.lex_state = 282, .external_lex_state = 5},
  [5302] = {.lex_state = 282, .external_lex_state = 5},
  [5303] = {.lex_state = 283, .external_lex_state = 5},
  [5304] = {.lex_state = 283, .external_lex_state = 5},
  [5305] = {.lex_state = 283, .external_lex_state = 5},
  [5306] = {.lex_state = 282, .external_lex_state = 5},
  [5307] = {.lex_state = 251, .external_lex_state = 5},
  [5308] = {.lex_state = 283, .external_lex_state = 5},
  [5309] = {.lex_state = 248, .external_lex_state = 5},
  [5310] = {.lex_state = 251, .external_lex_state = 5},
  [5311] = {.lex_state = 251, .external_lex_state = 5},
  [5312] = {.lex_state = 251, .external_lex_state = 5},
  [5313] = {.lex_state = 251, .external_lex_state = 5},
  [5314] = {.lex_state = 251, .external_lex_state = 5},
  [5315] = {.lex_state = 248, .external_lex_state = 5},
  [5316] = {.lex_state = 248, .external_lex_state = 5},
  [5317] = {.lex_state = 248, .external_lex_state = 5},
  [5318] = {.lex_state = 248, .external_lex_state = 5},
  [5319] = {.lex_state = 251, .external_lex_state = 5},
  [5320] = {.lex_state = 251, .external_lex_state = 5},
  [5321] = {.lex_state = 248, .external_lex_state = 5},
  [5322] = {.lex_state = 251, .external_lex_state = 5},
  [5323] = {.lex_state = 251, .external_lex_state = 5},
  [5324] = {.lex_state = 248, .external_lex_state = 5},
  [5325] = {.lex_state = 248, .external_lex_state = 5},
  [5326] = {.lex_state = 251, .external_lex_state = 5},
  [5327] = {.lex_state = 248, .external_lex_state = 5},
  [5328] = {.lex_state = 251, .external_lex_state = 5},
  [5329] = {.lex_state = 251, .external_lex_state = 5},
  [5330] = {.lex_state = 251, .external_lex_state = 5},
  [5331] = {.lex_state = 251, .external_lex_state = 5},
  [5332] = {.lex_state = 289, .external_lex_state = 5},
  [5333] = {.lex_state = 283, .external_lex_state = 5},
  [5334] = {.lex_state = 283, .external_lex_state = 5},
  [5335] = {.lex_state = 289, .external_lex_state = 5},
  [5336] = {.lex_state = 289, .external_lex_state = 5},
  [5337] = {.lex_state = 283, .external_lex_state = 5},
  [5338] = {.lex_state = 283, .external_lex_state = 5},
  [5339] = {.lex_state = 283, .external_lex_state = 5},
  [5340] = {.lex_state = 283, .external_lex_state = 5},
  [5341] = {.lex_state = 251, .external_lex_state = 5},
  [5342] = {.lex_state = 251, .external_lex_state = 5},
  [5343] = {.lex_state = 251, .external_lex_state = 5},
  [5344] = {.lex_state = 251, .external_lex_state = 5},
  [5345] = {.lex_state = 251, .external_lex_state = 5},
  [5346] = {.lex_state = 251, .external_lex_state = 5},
  [5347] = {.lex_state = 283, .external_lex_state = 5},
  [5348] = {.lex_state = 283, .external_lex_state = 5},
  [5349] = {.lex_state = 283, .external_lex_state = 5},
  [5350] = {.lex_state = 283, .external_lex_state = 5},
  [5351] = {.lex_state = 283, .external_lex_state = 5},
  [5352] = {.lex_state = 283, .external_lex_state = 5},
  [5353] = {.lex_state = 251, .external_lex_state = 5},
  [5354] = {.lex_state = 283, .external_lex_state = 5},
  [5355] = {.lex_state = 283, .external_lex_state = 5},
  [5356] = {.lex_state = 283, .external_lex_state = 5},
  [5357] = {.lex_state = 283, .external_lex_state = 5},
  [5358] = {.lex_state = 251, .external_lex_state = 5},
  [5359] = {.lex_state = 251, .external_lex_state = 5},
  [5360] = {.lex_state = 251, .external_lex_state = 5},
  [5361] = {.lex_state = 248, .external_lex_state = 5},
  [5362] = {.lex_state = 251, .external_lex_state = 5},
  [5363] = {.lex_state = 284, .external_lex_state = 5},
  [5364] = {.lex_state = 295, .external_lex_state = 5},
  [5365] = {.lex_state = 295, .external_lex_state = 5},
  [5366] = {.lex_state = 295, .external_lex_state = 5},
  [5367] = {.lex_state = 295, .external_lex_state = 5},
  [5368] = {.lex_state = 295, .external_lex_state = 5},
  [5369] = {.lex_state = 284, .external_lex_state = 5},
  [5370] = {.lex_state = 279, .external_lex_state = 5},
  [5371] = {.lex_state = 324, .external_lex_state = 5},
  [5372] = {.lex_state = 324, .external_lex_state = 5},
  [5373] = {.lex_state = 324, .external_lex_state = 5},
  [5374] = {.lex_state = 324, .external_lex_state = 5},
  [5375] = {.lex_state = 279, .external_lex_state = 5},
  [5376] = {.lex_state = 317, .external_lex_state = 5},
  [5377] = {.lex_state = 279, .external_lex_state = 5},
  [5378] = {.lex_state = 279, .external_lex_state = 5},
  [5379] = {.lex_state = 251, .external_lex_state = 5},
  [5380] = {.lex_state = 279, .external_lex_state = 5},
  [5381] = {.lex_state = 324, .external_lex_state = 5},
  [5382] = {.lex_state = 317, .external_lex_state = 5},
  [5383] = {.lex_state = 279, .external_lex_state = 5},
  [5384] = {.lex_state = 279, .external_lex_state = 5},
  [5385] = {.lex_state = 324, .external_lex_state = 5},
  [5386] = {.lex_state = 279, .external_lex_state = 5},
  [5387] = {.lex_state = 279, .external_lex_state = 5},
  [5388] = {.lex_state = 279, .external_lex_state = 5},
  [5389] = {.lex_state = 279, .external_lex_state = 5},
  [5390] = {.lex_state = 279, .external_lex_state = 5},
  [5391] = {.lex_state = 279, .external_lex_state = 5},
  [5392] = {.lex_state = 279, .external_lex_state = 5},
  [5393] = {.lex_state = 279, .external_lex_state = 5},
  [5394] = {.lex_state = 324, .external_lex_state = 5},
  [5395] = {.lex_state = 324, .external_lex_state = 5},
  [5396] = {.lex_state = 324, .external_lex_state = 5},
  [5397] = {.lex_state = 248, .external_lex_state = 5},
  [5398] = {.lex_state = 251, .external_lex_state = 5},
  [5399] = {.lex_state = 251, .external_lex_state = 5},
  [5400] = {.lex_state = 251, .external_lex_state = 5},
  [5401] = {.lex_state = 251, .external_lex_state = 5},
  [5402] = {.lex_state = 324, .external_lex_state = 5},
  [5403] = {.lex_state = 251, .external_lex_state = 5},
  [5404] = {.lex_state = 251, .external_lex_state = 5},
  [5405] = {.lex_state = 324, .external_lex_state = 5},
  [5406] = {.lex_state = 279, .external_lex_state = 5},
  [5407] = {.lex_state = 251, .external_lex_state = 5},
  [5408] = {.lex_state = 251, .external_lex_state = 5},
  [5409] = {.lex_state = 251, .external_lex_state = 5},
  [5410] = {.lex_state = 251, .external_lex_state = 5},
  [5411] = {.lex_state = 279, .external_lex_state = 5},
  [5412] = {.lex_state = 279, .external_lex_state = 5},
  [5413] = {.lex_state = 279, .external_lex_state = 5},
  [5414] = {.lex_state = 248, .external_lex_state = 5},
  [5415] = {.lex_state = 317, .external_lex_state = 4},
  [5416] = {.lex_state = 248, .external_lex_state = 5},
  [5417] = {.lex_state = 324, .external_lex_state = 5},
  [5418] = {.lex_state = 324, .external_lex_state = 5},
  [5419] = {.lex_state = 289, .external_lex_state = 5},
  [5420] = {.lex_state = 289, .external_lex_state = 5},
  [5421] = {.lex_state = 283, .external_lex_state = 5},
  [5422] = {.lex_state = 324, .external_lex_state = 5},
  [5423] = {.lex_state = 289, .external_lex_state = 5},
  [5424] = {.lex_state = 279, .external_lex_state = 5},
  [5425] = {.lex_state = 279, .external_lex_state = 5},
  [5426] = {.lex_state = 284, .external_lex_state = 5},
  [5427] = {.lex_state = 324, .external_lex_state = 5},
  [5428] = {.lex_state = 283, .external_lex_state = 5},
  [5429] = {.lex_state = 248, .external_lex_state = 5},
  [5430] = {.lex_state = 324, .external_lex_state = 5},
  [5431] = {.lex_state = 279, .external_lex_state = 5},
  [5432] = {.lex_state = 279, .external_lex_state = 5},
  [5433] = {.lex_state = 282, .external_lex_state = 5},
  [5434] = {.lex_state = 282, .external_lex_state = 5},
  [5435] = {.lex_state = 282, .external_lex_state = 5},
  [5436] = {.lex_state = 282, .external_lex_state = 5},
  [5437] = {.lex_state = 282, .external_lex_state = 5},
  [5438] = {.lex_state = 282, .external_lex_state = 5},
  [5439] = {.lex_state = 279, .external_lex_state = 5},
  [5440] = {.lex_state = 282, .external_lex_state = 5},
  [5441] = {.lex_state = 282, .external_lex_state = 5},
  [5442] = {.lex_state = 284, .external_lex_state = 5},
  [5443] = {.lex_state = 282, .external_lex_state = 5},
  [5444] = {.lex_state = 282, .external_lex_state = 5},
  [5445] = {.lex_state = 284, .external_lex_state = 5},
  [5446] = {.lex_state = 284, .external_lex_state = 5},
  [5447] = {.lex_state = 282, .external_lex_state = 5},
  [5448] = {.lex_state = 282, .external_lex_state = 5},
  [5449] = {.lex_state = 279, .external_lex_state = 5},
  [5450] = {.lex_state = 248, .external_lex_state = 5},
  [5451] = {.lex_state = 248, .external_lex_state = 5},
  [5452] = {.lex_state = 282, .external_lex_state = 5},
  [5453] = {.lex_state = 282, .external_lex_state = 5},
  [5454] = {.lex_state = 282, .external_lex_state = 5},
  [5455] = {.lex_state = 282, .external_lex_state = 5},
  [5456] = {.lex_state = 248, .external_lex_state = 5},
  [5457] = {.lex_state = 248, .external_lex_state = 5},
  [5458] = {.lex_state = 279, .external_lex_state = 5},
  [5459] = {.lex_state = 248, .external_lex_state = 5},
  [5460] = {.lex_state = 248, .external_lex_state = 5},
  [5461] = {.lex_state = 289, .external_lex_state = 5},
  [5462] = {.lex_state = 279, .external_lex_state = 5},
  [5463] = {.lex_state = 279, .external_lex_state = 5},
  [5464] = {.lex_state = 279, .external_lex_state = 5},
  [5465] = {.lex_state = 279, .external_lex_state = 5},
  [5466] = {.lex_state = 279, .external_lex_state = 5},
  [5467] = {.lex_state = 284, .external_lex_state = 5},
  [5468] = {.lex_state = 279, .external_lex_state = 5},
  [5469] = {.lex_state = 284, .external_lex_state = 5},
  [5470] = {.lex_state = 284, .external_lex_state = 5},
  [5471] = {.lex_state = 279, .external_lex_state = 5},
  [5472] = {.lex_state = 284, .external_lex_state = 5},
  [5473] = {.lex_state = 284, .external_lex_state = 5},
  [5474] = {.lex_state = 284, .external_lex_state = 5},
  [5475] = {.lex_state = 248, .external_lex_state = 5},
  [5476] = {.lex_state = 279, .external_lex_state = 5},
  [5477] = {.lex_state = 248, .external_lex_state = 5},
  [5478] = {.lex_state = 317, .external_lex_state = 5},
  [5479] = {.lex_state = 279, .external_lex_state = 5},
  [5480] = {.lex_state = 248, .external_lex_state = 5},
  [5481] = {.lex_state = 248, .external_lex_state = 5},
  [5482] = {.lex_state = 248, .external_lex_state = 5},
  [5483] = {.lex_state = 284, .external_lex_state = 5},
  [5484] = {.lex_state = 248, .external_lex_state = 5},
  [5485] = {.lex_state = 284, .external_lex_state = 5},
  [5486] = {.lex_state = 248, .external_lex_state = 5},
  [5487] = {.lex_state = 248, .external_lex_state = 5},
  [5488] = {.lex_state = 248, .external_lex_state = 5},
  [5489] = {.lex_state = 284, .external_lex_state = 5},
  [5490] = {.lex_state = 284, .external_lex_state = 5},
  [5491] = {.lex_state = 284, .external_lex_state = 5},
  [5492] = {.lex_state = 284, .external_lex_state = 5},
  [5493] = {.lex_state = 279, .external_lex_state = 5},
  [5494] = {.lex_state = 279, .external_lex_state = 5},
  [5495] = {.lex_state = 248, .external_lex_state = 5},
  [5496] = {.lex_state = 282, .external_lex_state = 5},
  [5497] = {.lex_state = 282, .external_lex_state = 5},
  [5498] = {.lex_state = 317, .external_lex_state = 5},
  [5499] = {.lex_state = 284, .external_lex_state = 5},
  [5500] = {.lex_state = 284, .external_lex_state = 5},
  [5501] = {.lex_state = 248, .external_lex_state = 5},
  [5502] = {.lex_state = 284, .external_lex_state = 5},
  [5503] = {.lex_state = 248, .external_lex_state = 5},
  [5504] = {.lex_state = 248, .external_lex_state = 5},
  [5505] = {.lex_state = 248, .external_lex_state = 5},
  [5506] = {.lex_state = 317, .external_lex_state = 5},
  [5507] = {.lex_state = 284, .external_lex_state = 5},
  [5508] = {.lex_state = 248, .external_lex_state = 5},
  [5509] = {.lex_state = 248, .external_lex_state = 5},
  [5510] = {.lex_state = 317, .external_lex_state = 5},
  [5511] = {.lex_state = 317, .external_lex_state = 5},
  [5512] = {.lex_state = 324, .external_lex_state = 5},
  [5513] = {.lex_state = 284, .external_lex_state = 5},
  [5514] = {.lex_state = 279, .external_lex_state = 5},
  [5515] = {.lex_state = 280, .external_lex_state = 5},
  [5516] = {.lex_state = 317, .external_lex_state = 5},
  [5517] = {.lex_state = 317, .external_lex_state = 5},
  [5518] = {.lex_state = 280, .external_lex_state = 5},
  [5519] = {.lex_state = 317, .external_lex_state = 5},
  [5520] = {.lex_state = 317, .external_lex_state = 5},
  [5521] = {.lex_state = 280, .external_lex_state = 5},
  [5522] = {.lex_state = 317, .external_lex_state = 5},
  [5523] = {.lex_state = 280, .external_lex_state = 5},
  [5524] = {.lex_state = 317, .external_lex_state = 5},
  [5525] = {.lex_state = 280, .external_lex_state = 5},
  [5526] = {.lex_state = 280, .external_lex_state = 5},
  [5527] = {.lex_state = 280, .external_lex_state = 5},
  [5528] = {.lex_state = 280, .external_lex_state = 5},
  [5529] = {.lex_state = 317, .external_lex_state = 5},
  [5530] = {.lex_state = 280, .external_lex_state = 5},
  [5531] = {.lex_state = 317, .external_lex_state = 5},
  [5532] = {.lex_state = 317, .external_lex_state = 5},
  [5533] = {.lex_state = 317, .external_lex_state = 5},
  [5534] = {.lex_state = 317, .external_lex_state = 5},
  [5535] = {.lex_state = 280, .external_lex_state = 5},
  [5536] = {.lex_state = 280, .external_lex_state = 5},
  [5537] = {.lex_state = 280, .external_lex_state = 5},
  [5538] = {.lex_state = 280, .external_lex_state = 5},
  [5539] = {.lex_state = 280, .external_lex_state = 5},
  [5540] = {.lex_state = 280, .external_lex_state = 5},
  [5541] = {.lex_state = 280, .external_lex_state = 5},
  [5542] = {.lex_state = 280, .external_lex_state = 5},
  [5543] = {.lex_state = 280, .external_lex_state = 5},
  [5544] = {.lex_state = 280, .external_lex_state = 5},
  [5545] = {.lex_state = 280, .external_lex_state = 5},
  [5546] = {.lex_state = 280, .external_lex_state = 5},
  [5547] = {.lex_state = 280, .external_lex_state = 5},
  [5548] = {.lex_state = 280, .external_lex_state = 5},
  [5549] = {.lex_state = 280, .external_lex_state = 5},
  [5550] = {.lex_state = 280, .external_lex_state = 5},
  [5551] = {.lex_state = 280, .external_lex_state = 5},
  [5552] = {.lex_state = 280, .external_lex_state = 5},
  [5553] = {.lex_state = 280, .external_lex_state = 5},
  [5554] = {.lex_state = 280, .external_lex_state = 5},
  [5555] = {.lex_state = 280, .external_lex_state = 5},
  [5556] = {.lex_state = 280, .external_lex_state = 5},
  [5557] = {.lex_state = 280, .external_lex_state = 5},
  [5558] = {.lex_state = 280, .external_lex_state = 5},
  [5559] = {.lex_state = 280, .external_lex_state = 5},
  [5560] = {.lex_state = 280, .external_lex_state = 5},
  [5561] = {.lex_state = 280, .external_lex_state = 5},
  [5562] = {.lex_state = 280, .external_lex_state = 5},
  [5563] = {.lex_state = 280, .external_lex_state = 5},
  [5564] = {.lex_state = 280, .external_lex_state = 5},
  [5565] = {.lex_state = 280, .external_lex_state = 5},
  [5566] = {.lex_state = 280, .external_lex_state = 5},
  [5567] = {.lex_state = 280, .external_lex_state = 5},
  [5568] = {.lex_state = 280, .external_lex_state = 5},
  [5569] = {.lex_state = 280, .external_lex_state = 5},
  [5570] = {.lex_state = 280, .external_lex_state = 5},
  [5571] = {.lex_state = 280, .external_lex_state = 5},
  [5572] = {.lex_state = 280, .external_lex_state = 5},
  [5573] = {.lex_state = 280, .external_lex_state = 5},
  [5574] = {.lex_state = 280, .external_lex_state = 5},
  [5575] = {.lex_state = 280, .external_lex_state = 5},
  [5576] = {.lex_state = 280, .external_lex_state = 5},
  [5577] = {.lex_state = 280, .external_lex_state = 5},
  [5578] = {.lex_state = 280, .external_lex_state = 5},
  [5579] = {.lex_state = 280, .external_lex_state = 5},
  [5580] = {.lex_state = 280, .external_lex_state = 5},
  [5581] = {.lex_state = 289, .external_lex_state = 5},
  [5582] = {.lex_state = 287, .external_lex_state = 5},
  [5583] = {.lex_state = 287, .external_lex_state = 5},
  [5584] = {.lex_state = 287, .external_lex_state = 5},
  [5585] = {.lex_state = 281, .external_lex_state = 10},
  [5586] = {.lex_state = 281, .external_lex_state = 10},
  [5587] = {.lex_state = 281, .external_lex_state = 10},
  [5588] = {.lex_state = 289, .external_lex_state = 5},
  [5589] = {.lex_state = 281, .external_lex_state = 10},
  [5590] = {.lex_state = 289, .external_lex_state = 5},
  [5591] = {.lex_state = 289, .external_lex_state = 5},
  [5592] = {.lex_state = 287, .external_lex_state = 5},
  [5593] = {.lex_state = 289, .external_lex_state = 5},
  [5594] = {.lex_state = 289, .external_lex_state = 5},
  [5595] = {.lex_state = 289, .external_lex_state = 5},
  [5596] = {.lex_state = 289, .external_lex_state = 5},
  [5597] = {.lex_state = 289, .external_lex_state = 5},
  [5598] = {.lex_state = 297, .external_lex_state = 5},
  [5599] = {.lex_state = 281, .external_lex_state = 10},
  [5600] = {.lex_state = 289, .external_lex_state = 5},
  [5601] = {.lex_state = 289, .external_lex_state = 5},
  [5602] = {.lex_state = 289, .external_lex_state = 5},
  [5603] = {.lex_state = 289, .external_lex_state = 5},
  [5604] = {.lex_state = 287, .external_lex_state = 5},
  [5605] = {.lex_state = 289, .external_lex_state = 5},
  [5606] = {.lex_state = 287, .external_lex_state = 5},
  [5607] = {.lex_state = 287, .external_lex_state = 5},
  [5608] = {.lex_state = 287, .external_lex_state = 5},
  [5609] = {.lex_state = 287, .external_lex_state = 5},
  [5610] = {.lex_state = 99, .external_lex_state = 5},
  [5611] = {.lex_state = 289, .external_lex_state = 5},
  [5612] = {.lex_state = 289, .external_lex_state = 5},
  [5613] = {.lex_state = 289, .external_lex_state = 5},
  [5614] = {.lex_state = 289, .external_lex_state = 5},
  [5615] = {.lex_state = 238, .external_lex_state = 5},
  [5616] = {.lex_state = 289, .external_lex_state = 5},
  [5617] = {.lex_state = 289, .external_lex_state = 5},
  [5618] = {.lex_state = 287, .external_lex_state = 5},
  [5619] = {.lex_state = 238, .external_lex_state = 5},
  [5620] = {.lex_state = 99, .external_lex_state = 5},
  [5621] = {.lex_state = 287, .external_lex_state = 5},
  [5622] = {.lex_state = 281, .external_lex_state = 5},
  [5623] = {.lex_state = 287, .external_lex_state = 5},
  [5624] = {.lex_state = 287, .external_lex_state = 5},
  [5625] = {.lex_state = 287, .external_lex_state = 5},
  [5626] = {.lex_state = 287, .external_lex_state = 5},
  [5627] = {.lex_state = 287, .external_lex_state = 5},
  [5628] = {.lex_state = 287, .external_lex_state = 5},
  [5629] = {.lex_state = 238, .external_lex_state = 5},
  [5630] = {.lex_state = 287, .external_lex_state = 5},
  [5631] = {.lex_state = 281, .external_lex_state = 10},
  [5632] = {.lex_state = 238, .external_lex_state = 5},
  [5633] = {.lex_state = 287, .external_lex_state = 5},
  [5634] = {.lex_state = 287, .external_lex_state = 5},
  [5635] = {.lex_state = 281, .external_lex_state = 10},
  [5636] = {.lex_state = 287, .external_lex_state = 5},
  [5637] = {.lex_state = 287, .external_lex_state = 5},
  [5638] = {.lex_state = 281, .external_lex_state = 10},
  [5639] = {.lex_state = 97, .external_lex_state = 5},
  [5640] = {.lex_state = 281, .external_lex_state = 10},
  [5641] = {.lex_state = 99, .external_lex_state = 5},
  [5642] = {.lex_state = 99, .external_lex_state = 5},
  [5643] = {.lex_state = 99, .external_lex_state = 5},
  [5644] = {.lex_state = 287, .external_lex_state = 5},
  [5645] = {.lex_state = 287, .external_lex_state = 5},
  [5646] = {.lex_state = 99, .external_lex_state = 5},
  [5647] = {.lex_state = 99, .external_lex_state = 5},
  [5648] = {.lex_state = 281, .external_lex_state = 10},
  [5649] = {.lex_state = 97, .external_lex_state = 5},
  [5650] = {.lex_state = 287, .external_lex_state = 5},
  [5651] = {.lex_state = 281, .external_lex_state = 5},
  [5652] = {.lex_state = 238, .external_lex_state = 5},
  [5653] = {.lex_state = 298, .external_lex_state = 5},
  [5654] = {.lex_state = 238, .external_lex_state = 5},
  [5655] = {.lex_state = 287, .external_lex_state = 5},
  [5656] = {.lex_state = 287, .external_lex_state = 5},
  [5657] = {.lex_state = 287, .external_lex_state = 5},
  [5658] = {.lex_state = 289, .external_lex_state = 5},
  [5659] = {.lex_state = 289, .external_lex_state = 5},
  [5660] = {.lex_state = 298, .external_lex_state = 5},
  [5661] = {.lex_state = 281, .external_lex_state = 5},
  [5662] = {.lex_state = 297, .external_lex_state = 5},
  [5663] = {.lex_state = 298, .external_lex_state = 5},
  [5664] = {.lex_state = 297, .external_lex_state = 5},
  [5665] = {.lex_state = 297, .external_lex_state = 5},
  [5666] = {.lex_state = 297, .external_lex_state = 5},
  [5667] = {.lex_state = 297, .external_lex_state = 5},
  [5668] = {.lex_state = 238, .external_lex_state = 5},
  [5669] = {.lex_state = 238, .external_lex_state = 5},
  [5670] = {.lex_state = 238, .external_lex_state = 5},
  [5671] = {.lex_state = 238, .external_lex_state = 5},
  [5672] = {.lex_state = 238, .external_lex_state = 5},
  [5673] = {.lex_state = 281, .external_lex_state = 10},
  [5674] = {.lex_state = 287, .external_lex_state = 5},
  [5675] = {.lex_state = 297, .external_lex_state = 5},
  [5676] = {.lex_state = 287, .external_lex_state = 5},
  [5677] = {.lex_state = 281, .external_lex_state = 10},
  [5678] = {.lex_state = 287, .external_lex_state = 5},
  [5679] = {.lex_state = 238, .external_lex_state = 5},
  [5680] = {.lex_state = 99, .external_lex_state = 5},
  [5681] = {.lex_state = 281, .external_lex_state = 5},
  [5682] = {.lex_state = 99, .external_lex_state = 5},
  [5683] = {.lex_state = 99, .external_lex_state = 5},
  [5684] = {.lex_state = 99, .external_lex_state = 5},
  [5685] = {.lex_state = 238, .external_lex_state = 5},
  [5686] = {.lex_state = 99, .external_lex_state = 5},
  [5687] = {.lex_state = 99, .external_lex_state = 5},
  [5688] = {.lex_state = 99, .external_lex_state = 5},
  [5689] = {.lex_state = 238, .external_lex_state = 5},
  [5690] = {.lex_state = 99, .external_lex_state = 5},
  [5691] = {.lex_state = 238, .external_lex_state = 5},
  [5692] = {.lex_state = 238, .external_lex_state = 5},
  [5693] = {.lex_state = 97, .external_lex_state = 5},
  [5694] = {.lex_state = 99, .external_lex_state = 5},
  [5695] = {.lex_state = 99, .external_lex_state = 5},
  [5696] = {.lex_state = 99, .external_lex_state = 5},
  [5697] = {.lex_state = 99, .external_lex_state = 5},
  [5698] = {.lex_state = 99, .external_lex_state = 5},
  [5699] = {.lex_state = 289, .external_lex_state = 5},
  [5700] = {.lex_state = 99, .external_lex_state = 5},
  [5701] = {.lex_state = 238, .external_lex_state = 5},
  [5702] = {.lex_state = 99, .external_lex_state = 5},
  [5703] = {.lex_state = 289, .external_lex_state = 5},
  [5704] = {.lex_state = 289, .external_lex_state = 5},
  [5705] = {.lex_state = 99, .external_lex_state = 5},
  [5706] = {.lex_state = 99, .external_lex_state = 5},
  [5707] = {.lex_state = 99, .external_lex_state = 5},
  [5708] = {.lex_state = 99, .external_lex_state = 5},
  [5709] = {.lex_state = 99, .external_lex_state = 5},
  [5710] = {.lex_state = 99, .external_lex_state = 5},
  [5711] = {.lex_state = 99, .external_lex_state = 5},
  [5712] = {.lex_state = 99, .external_lex_state = 5},
  [5713] = {.lex_state = 99, .external_lex_state = 5},
  [5714] = {.lex_state = 238, .external_lex_state = 5},
  [5715] = {.lex_state = 99, .external_lex_state = 5},
  [5716] = {.lex_state = 99, .external_lex_state = 5},
  [5717] = {.lex_state = 99, .external_lex_state = 5},
  [5718] = {.lex_state = 99, .external_lex_state = 5},
  [5719] = {.lex_state = 99, .external_lex_state = 5},
  [5720] = {.lex_state = 99, .external_lex_state = 5},
  [5721] = {.lex_state = 99, .external_lex_state = 5},
  [5722] = {.lex_state = 99, .external_lex_state = 5},
  [5723] = {.lex_state = 99, .external_lex_state = 5},
  [5724] = {.lex_state = 99, .external_lex_state = 5},
  [5725] = {.lex_state = 289, .external_lex_state = 5},
  [5726] = {.lex_state = 99, .external_lex_state = 5},
  [5727] = {.lex_state = 99, .external_lex_state = 5},
  [5728] = {.lex_state = 97, .external_lex_state = 5},
  [5729] = {.lex_state = 99, .external_lex_state = 5},
  [5730] = {.lex_state = 99, .external_lex_state = 5},
  [5731] = {.lex_state = 97, .external_lex_state = 5},
  [5732] = {.lex_state = 99, .external_lex_state = 5},
  [5733] = {.lex_state = 99, .external_lex_state = 5},
  [5734] = {.lex_state = 238, .external_lex_state = 5},
  [5735] = {.lex_state = 99, .external_lex_state = 5},
  [5736] = {.lex_state = 99, .external_lex_state = 5},
  [5737] = {.lex_state = 99, .external_lex_state = 5},
  [5738] = {.lex_state = 99, .external_lex_state = 5},
  [5739] = {.lex_state = 289, .external_lex_state = 5},
  [5740] = {.lex_state = 99, .external_lex_state = 5},
  [5741] = {.lex_state = 99, .external_lex_state = 5},
  [5742] = {.lex_state = 99, .external_lex_state = 5},
  [5743] = {.lex_state = 99, .external_lex_state = 5},
  [5744] = {.lex_state = 238, .external_lex_state = 5},
  [5745] = {.lex_state = 238, .external_lex_state = 5},
  [5746] = {.lex_state = 238, .external_lex_state = 5},
  [5747] = {.lex_state = 99, .external_lex_state = 5},
  [5748] = {.lex_state = 99, .external_lex_state = 5},
  [5749] = {.lex_state = 99, .external_lex_state = 5},
  [5750] = {.lex_state = 238, .external_lex_state = 5},
  [5751] = {.lex_state = 238, .external_lex_state = 5},
  [5752] = {.lex_state = 99, .external_lex_state = 5},
  [5753] = {.lex_state = 99, .external_lex_state = 5},
  [5754] = {.lex_state = 238, .external_lex_state = 5},
  [5755] = {.lex_state = 99, .external_lex_state = 5},
  [5756] = {.lex_state = 99, .external_lex_state = 5},
  [5757] = {.lex_state = 99, .external_lex_state = 5},
  [5758] = {.lex_state = 99, .external_lex_state = 5},
  [5759] = {.lex_state = 99, .external_lex_state = 5},
  [5760] = {.lex_state = 99, .external_lex_state = 5},
  [5761] = {.lex_state = 99, .external_lex_state = 5},
  [5762] = {.lex_state = 99, .external_lex_state = 5},
  [5763] = {.lex_state = 289, .external_lex_state = 5},
  [5764] = {.lex_state = 99, .external_lex_state = 5},
  [5765] = {.lex_state = 99, .external_lex_state = 5},
  [5766] = {.lex_state = 238, .external_lex_state = 5},
  [5767] = {.lex_state = 99, .external_lex_state = 5},
  [5768] = {.lex_state = 238, .external_lex_state = 5},
  [5769] = {.lex_state = 99, .external_lex_state = 5},
  [5770] = {.lex_state = 99, .external_lex_state = 5},
  [5771] = {.lex_state = 99, .external_lex_state = 5},
  [5772] = {.lex_state = 99, .external_lex_state = 5},
  [5773] = {.lex_state = 99, .external_lex_state = 5},
  [5774] = {.lex_state = 99, .external_lex_state = 5},
  [5775] = {.lex_state = 99, .external_lex_state = 5},
  [5776] = {.lex_state = 99, .external_lex_state = 5},
  [5777] = {.lex_state = 238, .external_lex_state = 5},
  [5778] = {.lex_state = 238, .external_lex_state = 5},
  [5779] = {.lex_state = 238, .external_lex_state = 5},
  [5780] = {.lex_state = 238, .external_lex_state = 5},
  [5781] = {.lex_state = 99, .external_lex_state = 5},
  [5782] = {.lex_state = 238, .external_lex_state = 5},
  [5783] = {.lex_state = 99, .external_lex_state = 5},
  [5784] = {.lex_state = 238, .external_lex_state = 5},
  [5785] = {.lex_state = 238, .external_lex_state = 5},
  [5786] = {.lex_state = 238, .external_lex_state = 5},
  [5787] = {.lex_state = 97, .external_lex_state = 5},
  [5788] = {.lex_state = 97, .external_lex_state = 5},
  [5789] = {.lex_state = 97, .external_lex_state = 5},
  [5790] = {.lex_state = 99, .external_lex_state = 5},
  [5791] = {.lex_state = 97, .external_lex_state = 5},
  [5792] = {.lex_state = 97, .external_lex_state = 5},
  [5793] = {.lex_state = 97, .external_lex_state = 5},
  [5794] = {.lex_state = 97, .external_lex_state = 5},
  [5795] = {.lex_state = 97, .external_lex_state = 5},
  [5796] = {.lex_state = 97, .external_lex_state = 5},
  [5797] = {.lex_state = 97, .external_lex_state = 5},
  [5798] = {.lex_state = 97, .external_lex_state = 5},
  [5799] = {.lex_state = 97, .external_lex_state = 5},
  [5800] = {.lex_state = 97, .external_lex_state = 5},
  [5801] = {.lex_state = 97, .external_lex_state = 5},
  [5802] = {.lex_state = 97, .external_lex_state = 5},
  [5803] = {.lex_state = 97, .external_lex_state = 5},
  [5804] = {.lex_state = 97, .external_lex_state = 5},
  [5805] = {.lex_state = 97, .external_lex_state = 5},
  [5806] = {.lex_state = 97, .external_lex_state = 5},
  [5807] = {.lex_state = 97, .external_lex_state = 5},
  [5808] = {.lex_state = 97, .external_lex_state = 5},
  [5809] = {.lex_state = 97, .external_lex_state = 5},
  [5810] = {.lex_state = 281, .external_lex_state = 10},
  [5811] = {.lex_state = 97, .external_lex_state = 5},
  [5812] = {.lex_state = 97, .external_lex_state = 5},
  [5813] = {.lex_state = 97, .external_lex_state = 5},
  [5814] = {.lex_state = 97, .external_lex_state = 5},
  [5815] = {.lex_state = 97, .external_lex_state = 5},
  [5816] = {.lex_state = 97, .external_lex_state = 5},
  [5817] = {.lex_state = 97, .external_lex_state = 5},
  [5818] = {.lex_state = 97, .external_lex_state = 5},
  [5819] = {.lex_state = 97, .external_lex_state = 5},
  [5820] = {.lex_state = 298, .external_lex_state = 5},
  [5821] = {.lex_state = 97, .external_lex_state = 5},
  [5822] = {.lex_state = 97, .external_lex_state = 5},
  [5823] = {.lex_state = 97, .external_lex_state = 5},
  [5824] = {.lex_state = 97, .external_lex_state = 5},
  [5825] = {.lex_state = 281, .external_lex_state = 10},
  [5826] = {.lex_state = 97, .external_lex_state = 5},
  [5827] = {.lex_state = 97, .external_lex_state = 5},
  [5828] = {.lex_state = 97, .external_lex_state = 5},
  [5829] = {.lex_state = 97, .external_lex_state = 5},
  [5830] = {.lex_state = 97, .external_lex_state = 5},
  [5831] = {.lex_state = 97, .external_lex_state = 5},
  [5832] = {.lex_state = 97, .external_lex_state = 5},
  [5833] = {.lex_state = 97, .external_lex_state = 5},
  [5834] = {.lex_state = 97, .external_lex_state = 5},
  [5835] = {.lex_state = 238, .external_lex_state = 5},
  [5836] = {.lex_state = 97, .external_lex_state = 5},
  [5837] = {.lex_state = 238, .external_lex_state = 5},
  [5838] = {.lex_state = 97, .external_lex_state = 5},
  [5839] = {.lex_state = 238, .external_lex_state = 5},
  [5840] = {.lex_state = 97, .external_lex_state = 5},
  [5841] = {.lex_state = 97, .external_lex_state = 5},
  [5842] = {.lex_state = 298, .external_lex_state = 5},
  [5843] = {.lex_state = 97, .external_lex_state = 5},
  [5844] = {.lex_state = 97, .external_lex_state = 5},
  [5845] = {.lex_state = 97, .external_lex_state = 5},
  [5846] = {.lex_state = 97, .external_lex_state = 5},
  [5847] = {.lex_state = 97, .external_lex_state = 5},
  [5848] = {.lex_state = 97, .external_lex_state = 5},
  [5849] = {.lex_state = 97, .external_lex_state = 5},
  [5850] = {.lex_state = 287, .external_lex_state = 5},
  [5851] = {.lex_state = 287, .external_lex_state = 5},
  [5852] = {.lex_state = 287, .external_lex_state = 5},
  [5853] = {.lex_state = 287, .external_lex_state = 5},
  [5854] = {.lex_state = 287, .external_lex_state = 5},
  [5855] = {.lex_state = 287, .external_lex_state = 5},
  [5856] = {.lex_state = 287, .external_lex_state = 5},
  [5857] = {.lex_state = 287, .external_lex_state = 5},
  [5858] = {.lex_state = 287, .external_lex_state = 5},
  [5859] = {.lex_state = 287, .external_lex_state = 5},
  [5860] = {.lex_state = 287, .external_lex_state = 5},
  [5861] = {.lex_state = 287, .external_lex_state = 5},
  [5862] = {.lex_state = 287, .external_lex_state = 5},
  [5863] = {.lex_state = 287, .external_lex_state = 5},
  [5864] = {.lex_state = 281, .external_lex_state = 10},
  [5865] = {.lex_state = 281, .external_lex_state = 10},
  [5866] = {.lex_state = 281, .external_lex_state = 10},
  [5867] = {.lex_state = 281, .external_lex_state = 10},
  [5868] = {.lex_state = 281, .external_lex_state = 10},
  [5869] = {.lex_state = 281, .external_lex_state = 10},
  [5870] = {.lex_state = 281, .external_lex_state = 10},
  [5871] = {.lex_state = 249, .external_lex_state = 5},
  [5872] = {.lex_state = 281, .external_lex_state = 10},
  [5873] = {.lex_state = 249, .external_lex_state = 5},
  [5874] = {.lex_state = 281, .external_lex_state = 10},
  [5875] = {.lex_state = 249, .external_lex_state = 5},
  [5876] = {.lex_state = 281, .external_lex_state = 10},
  [5877] = {.lex_state = 281, .external_lex_state = 10},
  [5878] = {.lex_state = 281, .external_lex_state = 10},
  [5879] = {.lex_state = 281, .external_lex_state = 10},
  [5880] = {.lex_state = 249, .external_lex_state = 5},
  [5881] = {.lex_state = 281, .external_lex_state = 10},
  [5882] = {.lex_state = 249, .external_lex_state = 5},
  [5883] = {.lex_state = 249, .external_lex_state = 5},
  [5884] = {.lex_state = 281, .external_lex_state = 10},
  [5885] = {.lex_state = 249, .external_lex_state = 5},
  [5886] = {.lex_state = 297, .external_lex_state = 5},
  [5887] = {.lex_state = 298, .external_lex_state = 5},
  [5888] = {.lex_state = 298, .external_lex_state = 5},
  [5889] = {.lex_state = 298, .external_lex_state = 5},
  [5890] = {.lex_state = 281, .external_lex_state = 10},
  [5891] = {.lex_state = 297, .external_lex_state = 5},
  [5892] = {.lex_state = 297, .external_lex_state = 5},
  [5893] = {.lex_state = 281, .external_lex_state = 10},
  [5894] = {.lex_state = 297, .external_lex_state = 5},
  [5895] = {.lex_state = 281, .external_lex_state = 10},
  [5896] = {.lex_state = 297, .external_lex_state = 5},
  [5897] = {.lex_state = 281, .external_lex_state = 10},
  [5898] = {.lex_state = 297, .external_lex_state = 5},
  [5899] = {.lex_state = 297, .external_lex_state = 5},
  [5900] = {.lex_state = 297, .external_lex_state = 5},
  [5901] = {.lex_state = 297, .external_lex_state = 5},
  [5902] = {.lex_state = 297, .external_lex_state = 5},
  [5903] = {.lex_state = 297, .external_lex_state = 5},
  [5904] = {.lex_state = 294, .external_lex_state = 5},
  [5905] = {.lex_state = 297, .external_lex_state = 5},
  [5906] = {.lex_state = 294, .external_lex_state = 5},
  [5907] = {.lex_state = 294, .external_lex_state = 5},
  [5908] = {.lex_state = 297, .external_lex_state = 5},
  [5909] = {.lex_state = 297, .external_lex_state = 5},
  [5910] = {.lex_state = 294, .external_lex_state = 5},
  [5911] = {.lex_state = 281, .external_lex_state = 10},
  [5912] = {.lex_state = 294, .external_lex_state = 5},
  [5913] = {.lex_state = 297, .external_lex_state = 5},
  [5914] = {.lex_state = 294, .external_lex_state = 5},
  [5915] = {.lex_state = 294, .external_lex_state = 5},
  [5916] = {.lex_state = 297, .external_lex_state = 5},
  [5917] = {.lex_state = 297, .external_lex_state = 5},
  [5918] = {.lex_state = 294, .external_lex_state = 5},
  [5919] = {.lex_state = 297, .external_lex_state = 5},
  [5920] = {.lex_state = 294, .external_lex_state = 5},
  [5921] = {.lex_state = 298, .external_lex_state = 5},
  [5922] = {.lex_state = 298, .external_lex_state = 5},
  [5923] = {.lex_state = 294, .external_lex_state = 5},
  [5924] = {.lex_state = 297, .external_lex_state = 5},
  [5925] = {.lex_state = 294, .external_lex_state = 5},
  [5926] = {.lex_state = 294, .external_lex_state = 5},
  [5927] = {.lex_state = 294, .external_lex_state = 5},
  [5928] = {.lex_state = 294, .external_lex_state = 5},
  [5929] = {.lex_state = 294, .external_lex_state = 5},
  [5930] = {.lex_state = 297, .external_lex_state = 5},
  [5931] = {.lex_state = 297, .external_lex_state = 5},
  [5932] = {.lex_state = 297, .external_lex_state = 5},
  [5933] = {.lex_state = 298, .external_lex_state = 5},
  [5934] = {.lex_state = 297, .external_lex_state = 5},
  [5935] = {.lex_state = 297, .external_lex_state = 5},
  [5936] = {.lex_state = 297, .external_lex_state = 5},
  [5937] = {.lex_state = 298, .external_lex_state = 5},
  [5938] = {.lex_state = 297, .external_lex_state = 5},
  [5939] = {.lex_state = 297, .external_lex_state = 5},
  [5940] = {.lex_state = 298, .external_lex_state = 5},
  [5941] = {.lex_state = 294, .external_lex_state = 5},
  [5942] = {.lex_state = 297, .external_lex_state = 5},
  [5943] = {.lex_state = 297, .external_lex_state = 5},
  [5944] = {.lex_state = 297, .external_lex_state = 5},
  [5945] = {.lex_state = 297, .external_lex_state = 5},
  [5946] = {.lex_state = 294, .external_lex_state = 5},
  [5947] = {.lex_state = 294, .external_lex_state = 5},
  [5948] = {.lex_state = 298, .external_lex_state = 5},
  [5949] = {.lex_state = 287, .external_lex_state = 5},
  [5950] = {.lex_state = 281, .external_lex_state = 10},
  [5951] = {.lex_state = 294, .external_lex_state = 5},
  [5952] = {.lex_state = 294, .external_lex_state = 5},
  [5953] = {.lex_state = 294, .external_lex_state = 5},
  [5954] = {.lex_state = 281, .external_lex_state = 10},
  [5955] = {.lex_state = 294, .external_lex_state = 5},
  [5956] = {.lex_state = 281, .external_lex_state = 10},
  [5957] = {.lex_state = 297, .external_lex_state = 5},
  [5958] = {.lex_state = 294, .external_lex_state = 5},
  [5959] = {.lex_state = 294, .external_lex_state = 5},
  [5960] = {.lex_state = 294, .external_lex_state = 5},
  [5961] = {.lex_state = 298, .external_lex_state = 5},
  [5962] = {.lex_state = 298, .external_lex_state = 5},
  [5963] = {.lex_state = 298, .external_lex_state = 5},
  [5964] = {.lex_state = 298, .external_lex_state = 5},
  [5965] = {.lex_state = 298, .external_lex_state = 5},
  [5966] = {.lex_state = 289, .external_lex_state = 5},
  [5967] = {.lex_state = 298, .external_lex_state = 5},
  [5968] = {.lex_state = 298, .external_lex_state = 5},
  [5969] = {.lex_state = 298, .external_lex_state = 5},
  [5970] = {.lex_state = 298, .external_lex_state = 5},
  [5971] = {.lex_state = 320, .external_lex_state = 5},
  [5972] = {.lex_state = 298, .external_lex_state = 5},
  [5973] = {.lex_state = 298, .external_lex_state = 5},
  [5974] = {.lex_state = 298, .external_lex_state = 5},
  [5975] = {.lex_state = 289, .external_lex_state = 5},
  [5976] = {.lex_state = 298, .external_lex_state = 5},
  [5977] = {.lex_state = 298, .external_lex_state = 5},
  [5978] = {.lex_state = 298, .external_lex_state = 5},
  [5979] = {.lex_state = 298, .external_lex_state = 5},
  [5980] = {.lex_state = 298, .external_lex_state = 5},
  [5981] = {.lex_state = 298, .external_lex_state = 5},
  [5982] = {.lex_state = 298, .external_lex_state = 5},
  [5983] = {.lex_state = 298, .external_lex_state = 5},
  [5984] = {.lex_state = 298, .external_lex_state = 5},
  [5985] = {.lex_state = 298, .external_lex_state = 5},
  [5986] = {.lex_state = 298, .external_lex_state = 5},
  [5987] = {.lex_state = 298, .external_lex_state = 5},
  [5988] = {.lex_state = 339, .external_lex_state = 11},
  [5989] = {.lex_state = 287, .external_lex_state = 5},
  [5990] = {.lex_state = 339, .external_lex_state = 11},
  [5991] = {.lex_state = 289, .external_lex_state = 5},
  [5992] = {.lex_state = 320, .external_lex_state = 5},
  [5993] = {.lex_state = 287, .external_lex_state = 5},
  [5994] = {.lex_state = 317, .external_lex_state = 4},
  [5995] = {.lex_state = 287, .external_lex_state = 5},
  [5996] = {.lex_state = 339, .external_lex_state = 11},
  [5997] = {.lex_state = 294, .external_lex_state = 5},
  [5998] = {.lex_state = 294, .external_lex_state = 5},
  [5999] = {.lex_state = 281, .external_lex_state = 10},
  [6000] = {.lex_state = 294, .external_lex_state = 5},
  [6001] = {.lex_state = 281, .external_lex_state = 10},
  [6002] = {.lex_state = 294, .external_lex_state = 5},
  [6003] = {.lex_state = 294, .external_lex_state = 5},
  [6004] = {.lex_state = 294, .external_lex_state = 5},
  [6005] = {.lex_state = 294, .external_lex_state = 5},
  [6006] = {.lex_state = 294, .external_lex_state = 5},
  [6007] = {.lex_state = 294, .external_lex_state = 5},
  [6008] = {.lex_state = 294, .external_lex_state = 5},
  [6009] = {.lex_state = 294, .external_lex_state = 5},
  [6010] = {.lex_state = 294, .external_lex_state = 5},
  [6011] = {.lex_state = 294, .external_lex_state = 5},
  [6012] = {.lex_state = 281, .external_lex_state = 10},
  [6013] = {.lex_state = 287, .external_lex_state = 5},
  [6014] = {.lex_state = 281, .external_lex_state = 10},
  [6015] = {.lex_state = 294, .external_lex_state = 5},
  [6016] = {.lex_state = 281, .external_lex_state = 10},
  [6017] = {.lex_state = 281, .external_lex_state = 10},
  [6018] = {.lex_state = 294, .external_lex_state = 5},
  [6019] = {.lex_state = 281, .external_lex_state = 10},
  [6020] = {.lex_state = 294, .external_lex_state = 5},
  [6021] = {.lex_state = 294, .external_lex_state = 5},
  [6022] = {.lex_state = 281, .external_lex_state = 10},
  [6023] = {.lex_state = 281, .external_lex_state = 10},
  [6024] = {.lex_state = 281, .external_lex_state = 10},
  [6025] = {.lex_state = 294, .external_lex_state = 5},
  [6026] = {.lex_state = 294, .external_lex_state = 5},
  [6027] = {.lex_state = 298, .external_lex_state = 5},
  [6028] = {.lex_state = 281, .external_lex_state = 10},
  [6029] = {.lex_state = 294, .external_lex_state = 5},
  [6030] = {.lex_state = 294, .external_lex_state = 5},
  [6031] = {.lex_state = 294, .external_lex_state = 5},
  [6032] = {.lex_state = 294, .external_lex_state = 5},
  [6033] = {.lex_state = 294, .external_lex_state = 5},
  [6034] = {.lex_state = 294, .external_lex_state = 5},
  [6035] = {.lex_state = 281, .external_lex_state = 10},
  [6036] = {.lex_state = 294, .external_lex_state = 5},
  [6037] = {.lex_state = 294, .external_lex_state = 5},
  [6038] = {.lex_state = 294, .external_lex_state = 5},
  [6039] = {.lex_state = 281, .external_lex_state = 10},
  [6040] = {.lex_state = 281, .external_lex_state = 10},
  [6041] = {.lex_state = 281, .external_lex_state = 10},
  [6042] = {.lex_state = 294, .external_lex_state = 5},
  [6043] = {.lex_state = 287, .external_lex_state = 5},
  [6044] = {.lex_state = 294, .external_lex_state = 5},
  [6045] = {.lex_state = 281, .external_lex_state = 10},
  [6046] = {.lex_state = 294, .external_lex_state = 5},
  [6047] = {.lex_state = 294, .external_lex_state = 5},
  [6048] = {.lex_state = 294, .external_lex_state = 5},
  [6049] = {.lex_state = 294, .external_lex_state = 5},
  [6050] = {.lex_state = 294, .external_lex_state = 5},
  [6051] = {.lex_state = 294, .external_lex_state = 5},
  [6052] = {.lex_state = 294, .external_lex_state = 5},
  [6053] = {.lex_state = 294, .external_lex_state = 5},
  [6054] = {.lex_state = 281, .external_lex_state = 10},
  [6055] = {.lex_state = 350, .external_lex_state = 10},
  [6056] = {.lex_state = 281, .external_lex_state = 10},
  [6057] = {.lex_state = 287, .external_lex_state = 5},
  [6058] = {.lex_state = 350, .external_lex_state = 10},
  [6059] = {.lex_state = 281, .external_lex_state = 10},
  [6060] = {.lex_state = 339, .external_lex_state = 11},
  [6061] = {.lex_state = 281, .external_lex_state = 10},
  [6062] = {.lex_state = 281, .external_lex_state = 10},
  [6063] = {.lex_state = 281, .external_lex_state = 10},
  [6064] = {.lex_state = 287, .external_lex_state = 5},
  [6065] = {.lex_state = 281, .external_lex_state = 10},
  [6066] = {.lex_state = 281, .external_lex_state = 10},
  [6067] = {.lex_state = 281, .external_lex_state = 10},
  [6068] = {.lex_state = 281, .external_lex_state = 10},
  [6069] = {.lex_state = 281, .external_lex_state = 10},
  [6070] = {.lex_state = 281, .external_lex_state = 10},
  [6071] = {.lex_state = 281, .external_lex_state = 10},
  [6072] = {.lex_state = 287, .external_lex_state = 4},
  [6073] = {.lex_state = 287, .external_lex_state = 5},
  [6074] = {.lex_state = 350, .external_lex_state = 10},
  [6075] = {.lex_state = 287, .external_lex_state = 5},
  [6076] = {.lex_state = 339, .external_lex_state = 11},
  [6077] = {.lex_state = 281, .external_lex_state = 10},
  [6078] = {.lex_state = 350, .external_lex_state = 10},
  [6079] = {.lex_state = 287, .external_lex_state = 4},
  [6080] = {.lex_state = 287, .external_lex_state = 5},
  [6081] = {.lex_state = 281, .external_lex_state = 10},
  [6082] = {.lex_state = 287, .external_lex_state = 5},
  [6083] = {.lex_state = 281, .external_lex_state = 10},
  [6084] = {.lex_state = 287, .external_lex_state = 4},
  [6085] = {.lex_state = 287, .external_lex_state = 5},
  [6086] = {.lex_state = 287, .external_lex_state = 5},
  [6087] = {.lex_state = 287, .external_lex_state = 5},
  [6088] = {.lex_state = 287, .external_lex_state = 5},
  [6089] = {.lex_state = 339, .external_lex_state = 11},
  [6090] = {.lex_state = 287, .external_lex_state = 4},
  [6091] = {.lex_state = 287, .external_lex_state = 5},
  [6092] = {.lex_state = 287, .external_lex_state = 5},
  [6093] = {.lex_state = 287, .external_lex_state = 5},
  [6094] = {.lex_state = 287, .external_lex_state = 4},
  [6095] = {.lex_state = 287, .external_lex_state = 5},
  [6096] = {.lex_state = 287, .external_lex_state = 5},
  [6097] = {.lex_state = 287, .external_lex_state = 4},
  [6098] = {.lex_state = 287, .external_lex_state = 5},
  [6099] = {.lex_state = 294, .external_lex_state = 5},
  [6100] = {.lex_state = 294, .external_lex_state = 5},
  [6101] = {.lex_state = 281, .external_lex_state = 5},
  [6102] = {.lex_state = 294, .external_lex_state = 5},
  [6103] = {.lex_state = 294, .external_lex_state = 5},
  [6104] = {.lex_state = 294, .external_lex_state = 5},
  [6105] = {.lex_state = 294, .external_lex_state = 5},
  [6106] = {.lex_state = 294, .external_lex_state = 5},
  [6107] = {.lex_state = 294, .external_lex_state = 5},
  [6108] = {.lex_state = 294, .external_lex_state = 5},
  [6109] = {.lex_state = 294, .external_lex_state = 5},
  [6110] = {.lex_state = 294, .external_lex_state = 5},
  [6111] = {.lex_state = 294, .external_lex_state = 5},
  [6112] = {.lex_state = 294, .external_lex_state = 5},
  [6113] = {.lex_state = 294, .external_lex_state = 5},
  [6114] = {.lex_state = 294, .external_lex_state = 5},
  [6115] = {.lex_state = 294, .external_lex_state = 5},
  [6116] = {.lex_state = 294, .external_lex_state = 5},
  [6117] = {.lex_state = 294, .external_lex_state = 5},
  [6118] = {.lex_state = 294, .external_lex_state = 5},
  [6119] = {.lex_state = 281, .external_lex_state = 5},
  [6120] = {.lex_state = 294, .external_lex_state = 5},
  [6121] = {.lex_state = 294, .external_lex_state = 5},
  [6122] = {.lex_state = 294, .external_lex_state = 5},
  [6123] = {.lex_state = 294, .external_lex_state = 5},
  [6124] = {.lex_state = 294, .external_lex_state = 5},
  [6125] = {.lex_state = 294, .external_lex_state = 5},
  [6126] = {.lex_state = 294, .external_lex_state = 5},
  [6127] = {.lex_state = 294, .external_lex_state = 5},
  [6128] = {.lex_state = 294, .external_lex_state = 5},
  [6129] = {.lex_state = 294, .external_lex_state = 5},
  [6130] = {.lex_state = 294, .external_lex_state = 5},
  [6131] = {.lex_state = 294, .external_lex_state = 5},
  [6132] = {.lex_state = 294, .external_lex_state = 5},
  [6133] = {.lex_state = 294, .external_lex_state = 5},
  [6134] = {.lex_state = 294, .external_lex_state = 5},
  [6135] = {.lex_state = 294, .external_lex_state = 5},
  [6136] = {.lex_state = 294, .external_lex_state = 5},
  [6137] = {.lex_state = 294, .external_lex_state = 5},
  [6138] = {.lex_state = 294, .external_lex_state = 5},
  [6139] = {.lex_state = 317, .external_lex_state = 4},
  [6140] = {.lex_state = 294, .external_lex_state = 5},
  [6141] = {.lex_state = 294, .external_lex_state = 5},
  [6142] = {.lex_state = 294, .external_lex_state = 5},
  [6143] = {.lex_state = 294, .external_lex_state = 5},
  [6144] = {.lex_state = 294, .external_lex_state = 5},
  [6145] = {.lex_state = 294, .external_lex_state = 5},
  [6146] = {.lex_state = 294, .external_lex_state = 5},
  [6147] = {.lex_state = 294, .external_lex_state = 5},
  [6148] = {.lex_state = 294, .external_lex_state = 5},
  [6149] = {.lex_state = 294, .external_lex_state = 5},
  [6150] = {.lex_state = 294, .external_lex_state = 5},
  [6151] = {.lex_state = 294, .external_lex_state = 5},
  [6152] = {.lex_state = 294, .external_lex_state = 5},
  [6153] = {.lex_state = 294, .external_lex_state = 5},
  [6154] = {.lex_state = 294, .external_lex_state = 5},
  [6155] = {.lex_state = 294, .external_lex_state = 5},
  [6156] = {.lex_state = 294, .external_lex_state = 5},
  [6157] = {.lex_state = 294, .external_lex_state = 5},
  [6158] = {.lex_state = 294, .external_lex_state = 5},
  [6159] = {.lex_state = 294, .external_lex_state = 5},
  [6160] = {.lex_state = 294, .external_lex_state = 5},
  [6161] = {.lex_state = 281, .external_lex_state = 5},
  [6162] = {.lex_state = 294, .external_lex_state = 5},
  [6163] = {.lex_state = 294, .external_lex_state = 5},
  [6164] = {.lex_state = 294, .external_lex_state = 5},
  [6165] = {.lex_state = 294, .external_lex_state = 5},
  [6166] = {.lex_state = 294, .external_lex_state = 5},
  [6167] = {.lex_state = 294, .external_lex_state = 5},
  [6168] = {.lex_state = 294, .external_lex_state = 5},
  [6169] = {.lex_state = 294, .external_lex_state = 5},
  [6170] = {.lex_state = 294, .external_lex_state = 5},
  [6171] = {.lex_state = 294, .external_lex_state = 5},
  [6172] = {.lex_state = 294, .external_lex_state = 5},
  [6173] = {.lex_state = 294, .external_lex_state = 5},
  [6174] = {.lex_state = 294, .external_lex_state = 5},
  [6175] = {.lex_state = 294, .external_lex_state = 5},
  [6176] = {.lex_state = 294, .external_lex_state = 5},
  [6177] = {.lex_state = 294, .external_lex_state = 5},
  [6178] = {.lex_state = 294, .external_lex_state = 5},
  [6179] = {.lex_state = 294, .external_lex_state = 5},
  [6180] = {.lex_state = 294, .external_lex_state = 5},
  [6181] = {.lex_state = 294, .external_lex_state = 5},
  [6182] = {.lex_state = 294, .external_lex_state = 5},
  [6183] = {.lex_state = 294, .external_lex_state = 5},
  [6184] = {.lex_state = 294, .external_lex_state = 5},
  [6185] = {.lex_state = 294, .external_lex_state = 5},
  [6186] = {.lex_state = 294, .external_lex_state = 5},
  [6187] = {.lex_state = 294, .external_lex_state = 5},
  [6188] = {.lex_state = 294, .external_lex_state = 5},
  [6189] = {.lex_state = 294, .external_lex_state = 5},
  [6190] = {.lex_state = 294, .external_lex_state = 5},
  [6191] = {.lex_state = 294, .external_lex_state = 5},
  [6192] = {.lex_state = 294, .external_lex_state = 5},
  [6193] = {.lex_state = 294, .external_lex_state = 5},
  [6194] = {.lex_state = 294, .external_lex_state = 5},
  [6195] = {.lex_state = 294, .external_lex_state = 5},
  [6196] = {.lex_state = 294, .external_lex_state = 5},
  [6197] = {.lex_state = 294, .external_lex_state = 5},
  [6198] = {.lex_state = 294, .external_lex_state = 5},
  [6199] = {.lex_state = 294, .external_lex_state = 5},
  [6200] = {.lex_state = 294, .external_lex_state = 5},
  [6201] = {.lex_state = 294, .external_lex_state = 5},
  [6202] = {.lex_state = 294, .external_lex_state = 5},
  [6203] = {.lex_state = 294, .external_lex_state = 5},
  [6204] = {.lex_state = 294, .external_lex_state = 5},
  [6205] = {.lex_state = 294, .external_lex_state = 5},
  [6206] = {.lex_state = 294, .external_lex_state = 5},
  [6207] = {.lex_state = 294, .external_lex_state = 5},
  [6208] = {.lex_state = 294, .external_lex_state = 5},
  [6209] = {.lex_state = 339, .external_lex_state = 11},
  [6210] = {.lex_state = 339, .external_lex_state = 11},
  [6211] = {.lex_state = 294, .external_lex_state = 5},
  [6212] = {.lex_state = 294, .external_lex_state = 5},
  [6213] = {.lex_state = 294, .external_lex_state = 5},
  [6214] = {.lex_state = 294, .external_lex_state = 5},
  [6215] = {.lex_state = 294, .external_lex_state = 5},
  [6216] = {.lex_state = 294, .external_lex_state = 5},
  [6217] = {.lex_state = 294, .external_lex_state = 5},
  [6218] = {.lex_state = 294, .external_lex_state = 5},
  [6219] = {.lex_state = 294, .external_lex_state = 5},
  [6220] = {.lex_state = 294, .external_lex_state = 5},
  [6221] = {.lex_state = 294, .external_lex_state = 5},
  [6222] = {.lex_state = 294, .external_lex_state = 5},
  [6223] = {.lex_state = 294, .external_lex_state = 5},
  [6224] = {.lex_state = 294, .external_lex_state = 5},
  [6225] = {.lex_state = 294, .external_lex_state = 5},
  [6226] = {.lex_state = 294, .external_lex_state = 5},
  [6227] = {.lex_state = 294, .external_lex_state = 5},
  [6228] = {.lex_state = 294, .external_lex_state = 5},
  [6229] = {.lex_state = 294, .external_lex_state = 5},
  [6230] = {.lex_state = 294, .external_lex_state = 5},
  [6231] = {.lex_state = 294, .external_lex_state = 5},
  [6232] = {.lex_state = 294, .external_lex_state = 5},
  [6233] = {.lex_state = 294, .external_lex_state = 5},
  [6234] = {.lex_state = 294, .external_lex_state = 5},
  [6235] = {.lex_state = 294, .external_lex_state = 5},
  [6236] = {.lex_state = 294, .external_lex_state = 5},
  [6237] = {.lex_state = 294, .external_lex_state = 5},
  [6238] = {.lex_state = 294, .external_lex_state = 5},
  [6239] = {.lex_state = 294, .external_lex_state = 5},
  [6240] = {.lex_state = 294, .external_lex_state = 5},
  [6241] = {.lex_state = 294, .external_lex_state = 5},
  [6242] = {.lex_state = 294, .external_lex_state = 5},
  [6243] = {.lex_state = 294, .external_lex_state = 5},
  [6244] = {.lex_state = 294, .external_lex_state = 5},
  [6245] = {.lex_state = 294, .external_lex_state = 5},
  [6246] = {.lex_state = 294, .external_lex_state = 5},
  [6247] = {.lex_state = 294, .external_lex_state = 5},
  [6248] = {.lex_state = 294, .external_lex_state = 5},
  [6249] = {.lex_state = 294, .external_lex_state = 5},
  [6250] = {.lex_state = 294, .external_lex_state = 5},
  [6251] = {.lex_state = 294, .external_lex_state = 5},
  [6252] = {.lex_state = 294, .external_lex_state = 5},
  [6253] = {.lex_state = 294, .external_lex_state = 5},
  [6254] = {.lex_state = 294, .external_lex_state = 5},
  [6255] = {.lex_state = 294, .external_lex_state = 5},
  [6256] = {.lex_state = 294, .external_lex_state = 5},
  [6257] = {.lex_state = 294, .external_lex_state = 5},
  [6258] = {.lex_state = 294, .external_lex_state = 5},
  [6259] = {.lex_state = 294, .external_lex_state = 5},
  [6260] = {.lex_state = 294, .external_lex_state = 5},
  [6261] = {.lex_state = 294, .external_lex_state = 5},
  [6262] = {.lex_state = 339, .external_lex_state = 11},
  [6263] = {.lex_state = 294, .external_lex_state = 5},
  [6264] = {.lex_state = 294, .external_lex_state = 5},
  [6265] = {.lex_state = 294, .external_lex_state = 5},
  [6266] = {.lex_state = 294, .external_lex_state = 5},
  [6267] = {.lex_state = 294, .external_lex_state = 5},
  [6268] = {.lex_state = 294, .external_lex_state = 5},
  [6269] = {.lex_state = 294, .external_lex_state = 5},
  [6270] = {.lex_state = 294, .external_lex_state = 5},
  [6271] = {.lex_state = 294, .external_lex_state = 5},
  [6272] = {.lex_state = 294, .external_lex_state = 5},
  [6273] = {.lex_state = 294, .external_lex_state = 5},
  [6274] = {.lex_state = 294, .external_lex_state = 5},
  [6275] = {.lex_state = 294, .external_lex_state = 5},
  [6276] = {.lex_state = 339, .external_lex_state = 11},
  [6277] = {.lex_state = 294, .external_lex_state = 5},
  [6278] = {.lex_state = 294, .external_lex_state = 5},
  [6279] = {.lex_state = 294, .external_lex_state = 5},
  [6280] = {.lex_state = 294, .external_lex_state = 5},
  [6281] = {.lex_state = 294, .external_lex_state = 5},
  [6282] = {.lex_state = 294, .external_lex_state = 5},
  [6283] = {.lex_state = 294, .external_lex_state = 5},
  [6284] = {.lex_state = 294, .external_lex_state = 5},
  [6285] = {.lex_state = 294, .external_lex_state = 5},
  [6286] = {.lex_state = 294, .external_lex_state = 5},
  [6287] = {.lex_state = 294, .external_lex_state = 5},
  [6288] = {.lex_state = 294, .external_lex_state = 5},
  [6289] = {.lex_state = 294, .external_lex_state = 5},
  [6290] = {.lex_state = 294, .external_lex_state = 5},
  [6291] = {.lex_state = 339, .external_lex_state = 11},
  [6292] = {.lex_state = 294, .external_lex_state = 5},
  [6293] = {.lex_state = 294, .external_lex_state = 5},
  [6294] = {.lex_state = 294, .external_lex_state = 5},
  [6295] = {.lex_state = 294, .external_lex_state = 5},
  [6296] = {.lex_state = 294, .external_lex_state = 5},
  [6297] = {.lex_state = 294, .external_lex_state = 5},
  [6298] = {.lex_state = 294, .external_lex_state = 5},
  [6299] = {.lex_state = 294, .external_lex_state = 5},
  [6300] = {.lex_state = 294, .external_lex_state = 5},
  [6301] = {.lex_state = 294, .external_lex_state = 5},
  [6302] = {.lex_state = 294, .external_lex_state = 5},
  [6303] = {.lex_state = 294, .external_lex_state = 5},
  [6304] = {.lex_state = 294, .external_lex_state = 5},
  [6305] = {.lex_state = 294, .external_lex_state = 5},
  [6306] = {.lex_state = 294, .external_lex_state = 5},
  [6307] = {.lex_state = 294, .external_lex_state = 5},
  [6308] = {.lex_state = 294, .external_lex_state = 5},
  [6309] = {.lex_state = 294, .external_lex_state = 5},
  [6310] = {.lex_state = 294, .external_lex_state = 5},
  [6311] = {.lex_state = 294, .external_lex_state = 5},
  [6312] = {.lex_state = 294, .external_lex_state = 5},
  [6313] = {.lex_state = 294, .external_lex_state = 5},
  [6314] = {.lex_state = 294, .external_lex_state = 5},
  [6315] = {.lex_state = 294, .external_lex_state = 5},
  [6316] = {.lex_state = 294, .external_lex_state = 5},
  [6317] = {.lex_state = 294, .external_lex_state = 5},
  [6318] = {.lex_state = 294, .external_lex_state = 5},
  [6319] = {.lex_state = 294, .external_lex_state = 5},
  [6320] = {.lex_state = 287, .external_lex_state = 4},
  [6321] = {.lex_state = 287, .external_lex_state = 4},
  [6322] = {.lex_state = 287, .external_lex_state = 4},
  [6323] = {.lex_state = 355, .external_lex_state = 5},
  [6324] = {.lex_state = 281, .external_lex_state = 5},
  [6325] = {.lex_state = 287, .external_lex_state = 4},
  [6326] = {.lex_state = 317, .external_lex_state = 4},
  [6327] = {.lex_state = 281, .external_lex_state = 5},
  [6328] = {.lex_state = 287, .external_lex_state = 4},
  [6329] = {.lex_state = 287, .external_lex_state = 4},
  [6330] = {.lex_state = 281, .external_lex_state = 5},
  [6331] = {.lex_state = 287, .external_lex_state = 4},
  [6332] = {.lex_state = 281, .external_lex_state = 5},
  [6333] = {.lex_state = 355, .external_lex_state = 5},
  [6334] = {.lex_state = 287, .external_lex_state = 4},
  [6335] = {.lex_state = 281, .external_lex_state = 5},
  [6336] = {.lex_state = 287, .external_lex_state = 4},
  [6337] = {.lex_state = 287, .external_lex_state = 4},
  [6338] = {.lex_state = 281, .external_lex_state = 5},
  [6339] = {.lex_state = 287, .external_lex_state = 4},
  [6340] = {.lex_state = 350, .external_lex_state = 10},
  [6341] = {.lex_state = 287, .external_lex_state = 4},
  [6342] = {.lex_state = 281, .external_lex_state = 5},
  [6343] = {.lex_state = 317, .external_lex_state = 4},
  [6344] = {.lex_state = 287, .external_lex_state = 4},
  [6345] = {.lex_state = 287, .external_lex_state = 4},
  [6346] = {.lex_state = 355, .external_lex_state = 5},
  [6347] = {.lex_state = 287, .external_lex_state = 4},
  [6348] = {.lex_state = 287, .external_lex_state = 4},
  [6349] = {.lex_state = 287, .external_lex_state = 4},
  [6350] = {.lex_state = 287, .external_lex_state = 4},
  [6351] = {.lex_state = 287, .external_lex_state = 4},
  [6352] = {.lex_state = 287, .external_lex_state = 4},
  [6353] = {.lex_state = 287, .external_lex_state = 4},
  [6354] = {.lex_state = 287, .external_lex_state = 4},
  [6355] = {.lex_state = 287, .external_lex_state = 4},
  [6356] = {.lex_state = 289, .external_lex_state = 5},
  [6357] = {.lex_state = 289, .external_lex_state = 5},
  [6358] = {.lex_state = 317, .external_lex_state = 4},
  [6359] = {.lex_state = 289, .external_lex_state = 5},
  [6360] = {.lex_state = 289, .external_lex_state = 5},
  [6361] = {.lex_state = 289, .external_lex_state = 5},
  [6362] = {.lex_state = 317, .external_lex_state = 4},
  [6363] = {.lex_state = 317, .external_lex_state = 4},
  [6364] = {.lex_state = 289, .external_lex_state = 5},
  [6365] = {.lex_state = 289, .external_lex_state = 5},
  [6366] = {.lex_state = 289, .external_lex_state = 5},
  [6367] = {.lex_state = 289, .external_lex_state = 5},
  [6368] = {.lex_state = 317, .external_lex_state = 4},
  [6369] = {.lex_state = 281, .external_lex_state = 5},
  [6370] = {.lex_state = 281, .external_lex_state = 5},
  [6371] = {.lex_state = 289, .external_lex_state = 5},
  [6372] = {.lex_state = 281, .external_lex_state = 5},
  [6373] = {.lex_state = 289, .external_lex_state = 5},
  [6374] = {.lex_state = 317, .external_lex_state = 4},
  [6375] = {.lex_state = 317, .external_lex_state = 4},
  [6376] = {.lex_state = 289, .external_lex_state = 5},
  [6377] = {.lex_state = 289, .external_lex_state = 5},
  [6378] = {.lex_state = 289, .external_lex_state = 5},
  [6379] = {.lex_state = 289, .external_lex_state = 5},
  [6380] = {.lex_state = 281, .external_lex_state = 5},
  [6381] = {.lex_state = 355, .external_lex_state = 5},
  [6382] = {.lex_state = 289, .external_lex_state = 5},
  [6383] = {.lex_state = 317, .external_lex_state = 4},
  [6384] = {.lex_state = 289, .external_lex_state = 5},
  [6385] = {.lex_state = 289, .external_lex_state = 5},
  [6386] = {.lex_state = 289, .external_lex_state = 5},
  [6387] = {.lex_state = 289, .external_lex_state = 5},
  [6388] = {.lex_state = 317, .external_lex_state = 4},
  [6389] = {.lex_state = 1318, .external_lex_state = 4},
  [6390] = {.lex_state = 287, .external_lex_state = 5},
  [6391] = {.lex_state = 289, .external_lex_state = 5},
  [6392] = {.lex_state = 289, .external_lex_state = 5},
  [6393] = {.lex_state = 281, .external_lex_state = 5},
  [6394] = {.lex_state = 289, .external_lex_state = 5},
  [6395] = {.lex_state = 317, .external_lex_state = 5},
  [6396] = {.lex_state = 289, .external_lex_state = 5},
  [6397] = {.lex_state = 281, .external_lex_state = 5},
  [6398] = {.lex_state = 289, .external_lex_state = 5},
  [6399] = {.lex_state = 289, .external_lex_state = 5},
  [6400] = {.lex_state = 289, .external_lex_state = 5},
  [6401] = {.lex_state = 289, .external_lex_state = 5},
  [6402] = {.lex_state = 1318, .external_lex_state = 4},
  [6403] = {.lex_state = 1318, .external_lex_state = 4},
  [6404] = {.lex_state = 289, .external_lex_state = 5},
  [6405] = {.lex_state = 1318, .external_lex_state = 4},
  [6406] = {.lex_state = 287, .external_lex_state = 5},
  [6407] = {.lex_state = 1318, .external_lex_state = 4},
  [6408] = {.lex_state = 317, .external_lex_state = 5},
  [6409] = {.lex_state = 1318, .external_lex_state = 4},
  [6410] = {.lex_state = 317, .external_lex_state = 5},
  [6411] = {.lex_state = 317, .external_lex_state = 5},
  [6412] = {.lex_state = 1318, .external_lex_state = 4},
  [6413] = {.lex_state = 287, .external_lex_state = 5},
  [6414] = {.lex_state = 1318, .external_lex_state = 4},
  [6415] = {.lex_state = 1318, .external_lex_state = 4},
  [6416] = {.lex_state = 1318, .external_lex_state = 4},
  [6417] = {.lex_state = 1318, .external_lex_state = 4},
  [6418] = {.lex_state = 317, .external_lex_state = 4},
  [6419] = {.lex_state = 1318, .external_lex_state = 4},
  [6420] = {.lex_state = 350, .external_lex_state = 10},
  [6421] = {.lex_state = 317, .external_lex_state = 5},
  [6422] = {.lex_state = 317, .external_lex_state = 5},
  [6423] = {.lex_state = 1318, .external_lex_state = 4},
  [6424] = {.lex_state = 1318, .external_lex_state = 4},
  [6425] = {.lex_state = 1318, .external_lex_state = 4},
  [6426] = {.lex_state = 1318, .external_lex_state = 4},
  [6427] = {.lex_state = 1318, .external_lex_state = 4},
  [6428] = {.lex_state = 1318, .external_lex_state = 4},
  [6429] = {.lex_state = 1318, .external_lex_state = 4},
  [6430] = {.lex_state = 1318, .external_lex_state = 4},
  [6431] = {.lex_state = 1318, .external_lex_state = 4},
  [6432] = {.lex_state = 1318, .external_lex_state = 4},
  [6433] = {.lex_state = 1318, .external_lex_state = 4},
  [6434] = {.lex_state = 1318, .external_lex_state = 4},
  [6435] = {.lex_state = 287, .external_lex_state = 4},
  [6436] = {.lex_state = 1318, .external_lex_state = 4},
  [6437] = {.lex_state = 1318, .external_lex_state = 4},
  [6438] = {.lex_state = 1318, .external_lex_state = 12},
  [6439] = {.lex_state = 1318, .external_lex_state = 4},
  [6440] = {.lex_state = 1318, .external_lex_state = 4},
  [6441] = {.lex_state = 1318, .external_lex_state = 4},
  [6442] = {.lex_state = 1318, .external_lex_state = 4},
  [6443] = {.lex_state = 1318, .external_lex_state = 4},
  [6444] = {.lex_state = 1318, .external_lex_state = 4},
  [6445] = {.lex_state = 1318, .external_lex_state = 4},
  [6446] = {.lex_state = 287, .external_lex_state = 5},
  [6447] = {.lex_state = 1318, .external_lex_state = 4},
  [6448] = {.lex_state = 1318, .external_lex_state = 4},
  [6449] = {.lex_state = 1318, .external_lex_state = 4},
  [6450] = {.lex_state = 1318, .external_lex_state = 4},
  [6451] = {.lex_state = 1318, .external_lex_state = 4},
  [6452] = {.lex_state = 287, .external_lex_state = 5},
  [6453] = {.lex_state = 1318, .external_lex_state = 4},
  [6454] = {.lex_state = 287, .external_lex_state = 5},
  [6455] = {.lex_state = 1318, .external_lex_state = 4},
  [6456] = {.lex_state = 1318, .external_lex_state = 4},
  [6457] = {.lex_state = 1318, .external_lex_state = 4},
  [6458] = {.lex_state = 287, .external_lex_state = 5},
  [6459] = {.lex_state = 317, .external_lex_state = 5},
  [6460] = {.lex_state = 289, .external_lex_state = 5},
  [6461] = {.lex_state = 1318, .external_lex_state = 4},
  [6462] = {.lex_state = 1318, .external_lex_state = 4},
  [6463] = {.lex_state = 1318, .external_lex_state = 4},
  [6464] = {.lex_state = 1318, .external_lex_state = 4},
  [6465] = {.lex_state = 1318, .external_lex_state = 4},
  [6466] = {.lex_state = 1318, .external_lex_state = 4},
  [6467] = {.lex_state = 1318, .external_lex_state = 4},
  [6468] = {.lex_state = 1318, .external_lex_state = 4},
  [6469] = {.lex_state = 1318, .external_lex_state = 4},
  [6470] = {.lex_state = 1318, .external_lex_state = 4},
  [6471] = {.lex_state = 317, .external_lex_state = 5},
  [6472] = {.lex_state = 287, .external_lex_state = 5},
  [6473] = {.lex_state = 1318, .external_lex_state = 4},
  [6474] = {.lex_state = 1318, .external_lex_state = 4},
  [6475] = {.lex_state = 287, .external_lex_state = 5},
  [6476] = {.lex_state = 1318, .external_lex_state = 4},
  [6477] = {.lex_state = 1318, .external_lex_state = 4},
  [6478] = {.lex_state = 1318, .external_lex_state = 4},
  [6479] = {.lex_state = 1318, .external_lex_state = 4},
  [6480] = {.lex_state = 1318, .external_lex_state = 4},
  [6481] = {.lex_state = 350, .external_lex_state = 10},
  [6482] = {.lex_state = 289, .external_lex_state = 5},
  [6483] = {.lex_state = 1318, .external_lex_state = 4},
  [6484] = {.lex_state = 289, .external_lex_state = 5},
  [6485] = {.lex_state = 287, .external_lex_state = 5},
  [6486] = {.lex_state = 317, .external_lex_state = 5},
  [6487] = {.lex_state = 1318, .external_lex_state = 5},
  [6488] = {.lex_state = 1318, .external_lex_state = 4},
  [6489] = {.lex_state = 287, .external_lex_state = 5},
  [6490] = {.lex_state = 1318, .external_lex_state = 4},
  [6491] = {.lex_state = 317, .external_lex_state = 5},
  [6492] = {.lex_state = 1318, .external_lex_state = 4},
  [6493] = {.lex_state = 252, .external_lex_state = 4},
  [6494] = {.lex_state = 1318, .external_lex_state = 4},
  [6495] = {.lex_state = 317, .external_lex_state = 4},
  [6496] = {.lex_state = 1318, .external_lex_state = 4},
  [6497] = {.lex_state = 287, .external_lex_state = 5},
  [6498] = {.lex_state = 1318, .external_lex_state = 4},
  [6499] = {.lex_state = 1318, .external_lex_state = 4},
  [6500] = {.lex_state = 1318, .external_lex_state = 4},
  [6501] = {.lex_state = 287, .external_lex_state = 5},
  [6502] = {.lex_state = 1318, .external_lex_state = 4},
  [6503] = {.lex_state = 1318, .external_lex_state = 4},
  [6504] = {.lex_state = 1318, .external_lex_state = 4},
  [6505] = {.lex_state = 1318, .external_lex_state = 4},
  [6506] = {.lex_state = 1318, .external_lex_state = 4},
  [6507] = {.lex_state = 287, .external_lex_state = 5},
  [6508] = {.lex_state = 1318, .external_lex_state = 4},
  [6509] = {.lex_state = 287, .external_lex_state = 5},
  [6510] = {.lex_state = 1318, .external_lex_state = 4},
  [6511] = {.lex_state = 1318, .external_lex_state = 4},
  [6512] = {.lex_state = 317, .external_lex_state = 4},
  [6513] = {.lex_state = 1318, .external_lex_state = 4},
  [6514] = {.lex_state = 1318, .external_lex_state = 4},
  [6515] = {.lex_state = 1318, .external_lex_state = 4},
  [6516] = {.lex_state = 287, .external_lex_state = 5},
  [6517] = {.lex_state = 287, .external_lex_state = 5},
  [6518] = {.lex_state = 1318, .external_lex_state = 4},
  [6519] = {.lex_state = 1318, .external_lex_state = 4},
  [6520] = {.lex_state = 1318, .external_lex_state = 4},
  [6521] = {.lex_state = 1318, .external_lex_state = 4},
  [6522] = {.lex_state = 1318, .external_lex_state = 4},
  [6523] = {.lex_state = 287, .external_lex_state = 5},
  [6524] = {.lex_state = 287, .external_lex_state = 5},
  [6525] = {.lex_state = 1318, .external_lex_state = 4},
  [6526] = {.lex_state = 1318, .external_lex_state = 4},
  [6527] = {.lex_state = 1318, .external_lex_state = 4},
  [6528] = {.lex_state = 1318, .external_lex_state = 4},
  [6529] = {.lex_state = 287, .external_lex_state = 5},
  [6530] = {.lex_state = 317, .external_lex_state = 5},
  [6531] = {.lex_state = 1318, .external_lex_state = 4},
  [6532] = {.lex_state = 287, .external_lex_state = 5},
  [6533] = {.lex_state = 1318, .external_lex_state = 4},
  [6534] = {.lex_state = 1318, .external_lex_state = 4},
  [6535] = {.lex_state = 1318, .external_lex_state = 4},
  [6536] = {.lex_state = 287, .external_lex_state = 5},
  [6537] = {.lex_state = 1318, .external_lex_state = 4},
  [6538] = {.lex_state = 1318, .external_lex_state = 4},
  [6539] = {.lex_state = 287, .external_lex_state = 5},
  [6540] = {.lex_state = 1318, .external_lex_state = 4},
  [6541] = {.lex_state = 1318, .external_lex_state = 4},
  [6542] = {.lex_state = 1318, .external_lex_state = 4},
  [6543] = {.lex_state = 1318, .external_lex_state = 4},
  [6544] = {.lex_state = 1318, .external_lex_state = 4},
  [6545] = {.lex_state = 287, .external_lex_state = 5},
  [6546] = {.lex_state = 1318, .external_lex_state = 4},
  [6547] = {.lex_state = 1318, .external_lex_state = 4},
  [6548] = {.lex_state = 287, .external_lex_state = 5},
  [6549] = {.lex_state = 1318, .external_lex_state = 4},
  [6550] = {.lex_state = 1318, .external_lex_state = 4},
  [6551] = {.lex_state = 1318, .external_lex_state = 4},
  [6552] = {.lex_state = 1318, .external_lex_state = 4},
  [6553] = {.lex_state = 1318, .external_lex_state = 4},
  [6554] = {.lex_state = 287, .external_lex_state = 5},
  [6555] = {.lex_state = 1318, .external_lex_state = 4},
  [6556] = {.lex_state = 1318, .external_lex_state = 4},
  [6557] = {.lex_state = 287, .external_lex_state = 5},
  [6558] = {.lex_state = 1318, .external_lex_state = 4},
  [6559] = {.lex_state = 1318, .external_lex_state = 4},
  [6560] = {.lex_state = 1318, .external_lex_state = 4},
  [6561] = {.lex_state = 1318, .external_lex_state = 4},
  [6562] = {.lex_state = 350, .external_lex_state = 10},
  [6563] = {.lex_state = 1318, .external_lex_state = 4},
  [6564] = {.lex_state = 287, .external_lex_state = 5},
  [6565] = {.lex_state = 287, .external_lex_state = 5},
  [6566] = {.lex_state = 1318, .external_lex_state = 4},
  [6567] = {.lex_state = 289, .external_lex_state = 5},
  [6568] = {.lex_state = 1318, .external_lex_state = 4},
  [6569] = {.lex_state = 1318, .external_lex_state = 4},
  [6570] = {.lex_state = 1318, .external_lex_state = 4},
  [6571] = {.lex_state = 1318, .external_lex_state = 4},
  [6572] = {.lex_state = 1318, .external_lex_state = 4},
  [6573] = {.lex_state = 1318, .external_lex_state = 4},
  [6574] = {.lex_state = 1318, .external_lex_state = 4},
  [6575] = {.lex_state = 1318, .external_lex_state = 4},
  [6576] = {.lex_state = 1318, .external_lex_state = 4},
  [6577] = {.lex_state = 1318, .external_lex_state = 4},
  [6578] = {.lex_state = 1318, .external_lex_state = 4},
  [6579] = {.lex_state = 1318, .external_lex_state = 4},
  [6580] = {.lex_state = 1318, .external_lex_state = 4},
  [6581] = {.lex_state = 1318, .external_lex_state = 4},
  [6582] = {.lex_state = 289, .external_lex_state = 5},
  [6583] = {.lex_state = 1318, .external_lex_state = 4},
  [6584] = {.lex_state = 1318, .external_lex_state = 4},
  [6585] = {.lex_state = 1318, .external_lex_state = 4},
  [6586] = {.lex_state = 1318, .external_lex_state = 4},
  [6587] = {.lex_state = 1318, .external_lex_state = 4},
  [6588] = {.lex_state = 1318, .external_lex_state = 4},
  [6589] = {.lex_state = 287, .external_lex_state = 5},
  [6590] = {.lex_state = 1318, .external_lex_state = 4},
  [6591] = {.lex_state = 289, .external_lex_state = 5},
  [6592] = {.lex_state = 1318, .external_lex_state = 4},
  [6593] = {.lex_state = 1318, .external_lex_state = 4},
  [6594] = {.lex_state = 1318, .external_lex_state = 4},
  [6595] = {.lex_state = 1318, .external_lex_state = 4},
  [6596] = {.lex_state = 1318, .external_lex_state = 4},
  [6597] = {.lex_state = 1318, .external_lex_state = 4},
  [6598] = {.lex_state = 1318, .external_lex_state = 4},
  [6599] = {.lex_state = 289, .external_lex_state = 5},
  [6600] = {.lex_state = 1318, .external_lex_state = 4},
  [6601] = {.lex_state = 1318, .external_lex_state = 4},
  [6602] = {.lex_state = 1318, .external_lex_state = 4},
  [6603] = {.lex_state = 1318, .external_lex_state = 4},
  [6604] = {.lex_state = 1318, .external_lex_state = 4},
  [6605] = {.lex_state = 1318, .external_lex_state = 4},
  [6606] = {.lex_state = 1318, .external_lex_state = 4},
  [6607] = {.lex_state = 1318, .external_lex_state = 4},
  [6608] = {.lex_state = 1318, .external_lex_state = 4},
  [6609] = {.lex_state = 1318, .external_lex_state = 4},
  [6610] = {.lex_state = 1318, .external_lex_state = 4},
  [6611] = {.lex_state = 1318, .external_lex_state = 4},
  [6612] = {.lex_state = 1318, .external_lex_state = 4},
  [6613] = {.lex_state = 1318, .external_lex_state = 4},
  [6614] = {.lex_state = 317, .external_lex_state = 4},
  [6615] = {.lex_state = 1318, .external_lex_state = 4},
  [6616] = {.lex_state = 252, .external_lex_state = 4},
  [6617] = {.lex_state = 1318, .external_lex_state = 4},
  [6618] = {.lex_state = 1318, .external_lex_state = 4},
  [6619] = {.lex_state = 1318, .external_lex_state = 4},
  [6620] = {.lex_state = 1318, .external_lex_state = 4},
  [6621] = {.lex_state = 1318, .external_lex_state = 4},
  [6622] = {.lex_state = 1318, .external_lex_state = 4},
  [6623] = {.lex_state = 1318, .external_lex_state = 4},
  [6624] = {.lex_state = 317, .external_lex_state = 5},
  [6625] = {.lex_state = 317, .external_lex_state = 5},
  [6626] = {.lex_state = 1318, .external_lex_state = 4},
  [6627] = {.lex_state = 350, .external_lex_state = 10},
  [6628] = {.lex_state = 1318, .external_lex_state = 4},
  [6629] = {.lex_state = 1318, .external_lex_state = 4},
  [6630] = {.lex_state = 1318, .external_lex_state = 4},
  [6631] = {.lex_state = 1318, .external_lex_state = 5},
  [6632] = {.lex_state = 1318, .external_lex_state = 4},
  [6633] = {.lex_state = 1318, .external_lex_state = 4},
  [6634] = {.lex_state = 350, .external_lex_state = 10},
  [6635] = {.lex_state = 317, .external_lex_state = 5},
  [6636] = {.lex_state = 1318, .external_lex_state = 4},
  [6637] = {.lex_state = 317, .external_lex_state = 5},
  [6638] = {.lex_state = 1318, .external_lex_state = 4},
  [6639] = {.lex_state = 287, .external_lex_state = 5},
  [6640] = {.lex_state = 1318, .external_lex_state = 4},
  [6641] = {.lex_state = 1318, .external_lex_state = 4},
  [6642] = {.lex_state = 1318, .external_lex_state = 4},
  [6643] = {.lex_state = 1318, .external_lex_state = 4},
  [6644] = {.lex_state = 287, .external_lex_state = 4},
  [6645] = {.lex_state = 1318, .external_lex_state = 4},
  [6646] = {.lex_state = 1318, .external_lex_state = 4},
  [6647] = {.lex_state = 110, .external_lex_state = 5},
  [6648] = {.lex_state = 287, .external_lex_state = 5},
  [6649] = {.lex_state = 110, .external_lex_state = 5},
  [6650] = {.lex_state = 110, .external_lex_state = 5},
  [6651] = {.lex_state = 1318, .external_lex_state = 4},
  [6652] = {.lex_state = 287, .external_lex_state = 5},
  [6653] = {.lex_state = 287, .external_lex_state = 5},
  [6654] = {.lex_state = 110, .external_lex_state = 5},
  [6655] = {.lex_state = 110, .external_lex_state = 5},
  [6656] = {.lex_state = 1318, .external_lex_state = 4},
  [6657] = {.lex_state = 1318, .external_lex_state = 4},
  [6658] = {.lex_state = 1318, .external_lex_state = 5},
  [6659] = {.lex_state = 1318, .external_lex_state = 5},
  [6660] = {.lex_state = 1318, .external_lex_state = 4},
  [6661] = {.lex_state = 1318, .external_lex_state = 4},
  [6662] = {.lex_state = 317, .external_lex_state = 5},
  [6663] = {.lex_state = 110, .external_lex_state = 5},
  [6664] = {.lex_state = 1318, .external_lex_state = 4},
  [6665] = {.lex_state = 1318, .external_lex_state = 4},
  [6666] = {.lex_state = 287, .external_lex_state = 4},
  [6667] = {.lex_state = 1318, .external_lex_state = 4},
  [6668] = {.lex_state = 1318, .external_lex_state = 4},
  [6669] = {.lex_state = 110, .external_lex_state = 5},
  [6670] = {.lex_state = 110, .external_lex_state = 5},
  [6671] = {.lex_state = 317, .external_lex_state = 4},
  [6672] = {.lex_state = 1318, .external_lex_state = 4},
  [6673] = {.lex_state = 110, .external_lex_state = 5},
  [6674] = {.lex_state = 1318, .external_lex_state = 4},
  [6675] = {.lex_state = 110, .external_lex_state = 5},
  [6676] = {.lex_state = 1318, .external_lex_state = 4},
  [6677] = {.lex_state = 297, .external_lex_state = 5},
  [6678] = {.lex_state = 1318, .external_lex_state = 4},
  [6679] = {.lex_state = 110, .external_lex_state = 5},
  [6680] = {.lex_state = 1318, .external_lex_state = 4},
  [6681] = {.lex_state = 317, .external_lex_state = 5},
  [6682] = {.lex_state = 1318, .external_lex_state = 4},
  [6683] = {.lex_state = 1318, .external_lex_state = 4},
  [6684] = {.lex_state = 287, .external_lex_state = 4},
  [6685] = {.lex_state = 252, .external_lex_state = 5},
  [6686] = {.lex_state = 287, .external_lex_state = 5},
  [6687] = {.lex_state = 110, .external_lex_state = 5},
  [6688] = {.lex_state = 110, .external_lex_state = 5},
  [6689] = {.lex_state = 1318, .external_lex_state = 4},
  [6690] = {.lex_state = 1318, .external_lex_state = 4},
  [6691] = {.lex_state = 110, .external_lex_state = 5},
  [6692] = {.lex_state = 1318, .external_lex_state = 4},
  [6693] = {.lex_state = 287, .external_lex_state = 4},
  [6694] = {.lex_state = 1318, .external_lex_state = 4},
  [6695] = {.lex_state = 289, .external_lex_state = 5},
  [6696] = {.lex_state = 297, .external_lex_state = 5},
  [6697] = {.lex_state = 287, .external_lex_state = 5},
  [6698] = {.lex_state = 287, .external_lex_state = 5},
  [6699] = {.lex_state = 1318, .external_lex_state = 4},
  [6700] = {.lex_state = 110, .external_lex_state = 5},
  [6701] = {.lex_state = 1318, .external_lex_state = 4},
  [6702] = {.lex_state = 1318, .external_lex_state = 4},
  [6703] = {.lex_state = 297, .external_lex_state = 5},
  [6704] = {.lex_state = 297, .external_lex_state = 5},
  [6705] = {.lex_state = 110, .external_lex_state = 5},
  [6706] = {.lex_state = 1318, .external_lex_state = 4},
  [6707] = {.lex_state = 110, .external_lex_state = 5},
  [6708] = {.lex_state = 110, .external_lex_state = 5},
  [6709] = {.lex_state = 317, .external_lex_state = 5},
  [6710] = {.lex_state = 110, .external_lex_state = 5},
  [6711] = {.lex_state = 1318, .external_lex_state = 4},
  [6712] = {.lex_state = 1318, .external_lex_state = 4},
  [6713] = {.lex_state = 110, .external_lex_state = 5},
  [6714] = {.lex_state = 110, .external_lex_state = 5},
  [6715] = {.lex_state = 110, .external_lex_state = 5},
  [6716] = {.lex_state = 1318, .external_lex_state = 4},
  [6717] = {.lex_state = 110, .external_lex_state = 5},
  [6718] = {.lex_state = 1318, .external_lex_state = 4},
  [6719] = {.lex_state = 287, .external_lex_state = 5},
  [6720] = {.lex_state = 110, .external_lex_state = 5},
  [6721] = {.lex_state = 317, .external_lex_state = 5},
  [6722] = {.lex_state = 1318, .external_lex_state = 4},
  [6723] = {.lex_state = 110, .external_lex_state = 5},
  [6724] = {.lex_state = 1318, .external_lex_state = 4},
  [6725] = {.lex_state = 110, .external_lex_state = 5},
  [6726] = {.lex_state = 110, .external_lex_state = 5},
  [6727] = {.lex_state = 1318, .external_lex_state = 4},
  [6728] = {.lex_state = 1318, .external_lex_state = 4},
  [6729] = {.lex_state = 1318, .external_lex_state = 4},
  [6730] = {.lex_state = 1318, .external_lex_state = 4},
  [6731] = {.lex_state = 1318, .external_lex_state = 4},
  [6732] = {.lex_state = 110, .external_lex_state = 5},
  [6733] = {.lex_state = 1318, .external_lex_state = 4},
  [6734] = {.lex_state = 1318, .external_lex_state = 4},
  [6735] = {.lex_state = 287, .external_lex_state = 5},
  [6736] = {.lex_state = 287, .external_lex_state = 4},
  [6737] = {.lex_state = 1318, .external_lex_state = 4},
  [6738] = {.lex_state = 110, .external_lex_state = 5},
  [6739] = {.lex_state = 1318, .external_lex_state = 8},
  [6740] = {.lex_state = 1318, .external_lex_state = 4},
  [6741] = {.lex_state = 287, .external_lex_state = 4},
  [6742] = {.lex_state = 1318, .external_lex_state = 4},
  [6743] = {.lex_state = 1318, .external_lex_state = 4},
  [6744] = {.lex_state = 1318, .external_lex_state = 4},
  [6745] = {.lex_state = 1318, .external_lex_state = 4},
  [6746] = {.lex_state = 344, .external_lex_state = 5},
  [6747] = {.lex_state = 1318, .external_lex_state = 4},
  [6748] = {.lex_state = 1318, .external_lex_state = 4},
  [6749] = {.lex_state = 1318, .external_lex_state = 4},
  [6750] = {.lex_state = 287, .external_lex_state = 5},
  [6751] = {.lex_state = 110, .external_lex_state = 5},
  [6752] = {.lex_state = 110, .external_lex_state = 5},
  [6753] = {.lex_state = 110, .external_lex_state = 5},
  [6754] = {.lex_state = 1318, .external_lex_state = 4},
  [6755] = {.lex_state = 1318, .external_lex_state = 4},
  [6756] = {.lex_state = 110, .external_lex_state = 5},
  [6757] = {.lex_state = 110, .external_lex_state = 5},
  [6758] = {.lex_state = 110, .external_lex_state = 5},
  [6759] = {.lex_state = 110, .external_lex_state = 5},
  [6760] = {.lex_state = 110, .external_lex_state = 5},
  [6761] = {.lex_state = 110, .external_lex_state = 5},
  [6762] = {.lex_state = 1318, .external_lex_state = 4},
  [6763] = {.lex_state = 110, .external_lex_state = 5},
  [6764] = {.lex_state = 110, .external_lex_state = 5},
  [6765] = {.lex_state = 110, .external_lex_state = 5},
  [6766] = {.lex_state = 110, .external_lex_state = 5},
  [6767] = {.lex_state = 110, .external_lex_state = 5},
  [6768] = {.lex_state = 1318, .external_lex_state = 4},
  [6769] = {.lex_state = 110, .external_lex_state = 5},
  [6770] = {.lex_state = 110, .external_lex_state = 5},
  [6771] = {.lex_state = 1318, .external_lex_state = 5},
  [6772] = {.lex_state = 110, .external_lex_state = 5},
  [6773] = {.lex_state = 110, .external_lex_state = 5},
  [6774] = {.lex_state = 110, .external_lex_state = 5},
  [6775] = {.lex_state = 1318, .external_lex_state = 4},
  [6776] = {.lex_state = 110, .external_lex_state = 5},
  [6777] = {.lex_state = 1318, .external_lex_state = 5},
  [6778] = {.lex_state = 1318, .external_lex_state = 4},
  [6779] = {.lex_state = 1318, .external_lex_state = 5},
  [6780] = {.lex_state = 1318, .external_lex_state = 4},
  [6781] = {.lex_state = 1318, .external_lex_state = 4},
  [6782] = {.lex_state = 282, .external_lex_state = 5},
  [6783] = {.lex_state = 1318, .external_lex_state = 5},
  [6784] = {.lex_state = 1318, .external_lex_state = 5},
  [6785] = {.lex_state = 1318, .external_lex_state = 4},
  [6786] = {.lex_state = 1318, .external_lex_state = 5},
  [6787] = {.lex_state = 1318, .external_lex_state = 5},
  [6788] = {.lex_state = 247, .external_lex_state = 5},
  [6789] = {.lex_state = 1318, .external_lex_state = 4},
  [6790] = {.lex_state = 282, .external_lex_state = 5},
  [6791] = {.lex_state = 1318, .external_lex_state = 4},
  [6792] = {.lex_state = 1318, .external_lex_state = 5},
  [6793] = {.lex_state = 1318, .external_lex_state = 4},
  [6794] = {.lex_state = 1318, .external_lex_state = 4},
  [6795] = {.lex_state = 1318, .external_lex_state = 4},
  [6796] = {.lex_state = 1318, .external_lex_state = 4},
  [6797] = {.lex_state = 249, .external_lex_state = 5},
  [6798] = {.lex_state = 1318, .external_lex_state = 4},
  [6799] = {.lex_state = 1318, .external_lex_state = 4},
  [6800] = {.lex_state = 1318, .external_lex_state = 4},
  [6801] = {.lex_state = 1318, .external_lex_state = 5},
  [6802] = {.lex_state = 1318, .external_lex_state = 4},
  [6803] = {.lex_state = 1318, .external_lex_state = 4},
  [6804] = {.lex_state = 1318, .external_lex_state = 4},
  [6805] = {.lex_state = 283, .external_lex_state = 5},
  [6806] = {.lex_state = 1318, .external_lex_state = 5},
  [6807] = {.lex_state = 1318, .external_lex_state = 5},
  [6808] = {.lex_state = 279, .external_lex_state = 5},
  [6809] = {.lex_state = 1318, .external_lex_state = 5},
  [6810] = {.lex_state = 1318, .external_lex_state = 4},
  [6811] = {.lex_state = 283, .external_lex_state = 5},
  [6812] = {.lex_state = 1318, .external_lex_state = 5},
  [6813] = {.lex_state = 1318, .external_lex_state = 4},
  [6814] = {.lex_state = 279, .external_lex_state = 5},
  [6815] = {.lex_state = 1318, .external_lex_state = 4},
  [6816] = {.lex_state = 283, .external_lex_state = 5},
  [6817] = {.lex_state = 1318, .external_lex_state = 4},
  [6818] = {.lex_state = 279, .external_lex_state = 5},
  [6819] = {.lex_state = 1318, .external_lex_state = 5},
  [6820] = {.lex_state = 1318, .external_lex_state = 4},
  [6821] = {.lex_state = 1318, .external_lex_state = 4},
  [6822] = {.lex_state = 1318, .external_lex_state = 9},
  [6823] = {.lex_state = 1318, .external_lex_state = 4},
  [6824] = {.lex_state = 1318, .external_lex_state = 4},
  [6825] = {.lex_state = 1318, .external_lex_state = 4},
  [6826] = {.lex_state = 252, .external_lex_state = 5},
  [6827] = {.lex_state = 1318, .external_lex_state = 4},
  [6828] = {.lex_state = 1318, .external_lex_state = 4},
  [6829] = {.lex_state = 119, .external_lex_state = 5},
  [6830] = {.lex_state = 1318, .external_lex_state = 5},
  [6831] = {.lex_state = 251, .external_lex_state = 5},
  [6832] = {.lex_state = 317, .external_lex_state = 4},
  [6833] = {.lex_state = 1318, .external_lex_state = 5},
  [6834] = {.lex_state = 1318, .external_lex_state = 4},
  [6835] = {.lex_state = 1318, .external_lex_state = 5},
  [6836] = {.lex_state = 298, .external_lex_state = 5},
  [6837] = {.lex_state = 1318, .external_lex_state = 4},
  [6838] = {.lex_state = 1318, .external_lex_state = 4},
  [6839] = {.lex_state = 1318, .external_lex_state = 4},
  [6840] = {.lex_state = 1318, .external_lex_state = 4},
  [6841] = {.lex_state = 1318, .external_lex_state = 10},
  [6842] = {.lex_state = 1318, .external_lex_state = 5},
  [6843] = {.lex_state = 284, .external_lex_state = 5},
  [6844] = {.lex_state = 1318, .external_lex_state = 5},
  [6845] = {.lex_state = 1318, .external_lex_state = 5},
  [6846] = {.lex_state = 1318, .external_lex_state = 4},
  [6847] = {.lex_state = 119, .external_lex_state = 5},
  [6848] = {.lex_state = 1318, .external_lex_state = 4},
  [6849] = {.lex_state = 298, .external_lex_state = 5},
  [6850] = {.lex_state = 1318, .external_lex_state = 4},
  [6851] = {.lex_state = 1318, .external_lex_state = 4},
  [6852] = {.lex_state = 1318, .external_lex_state = 4},
  [6853] = {.lex_state = 1318, .external_lex_state = 5},
  [6854] = {.lex_state = 1318, .external_lex_state = 5},
  [6855] = {.lex_state = 1318, .external_lex_state = 5},
  [6856] = {.lex_state = 1318, .external_lex_state = 5},
  [6857] = {.lex_state = 1318, .external_lex_state = 5},
  [6858] = {.lex_state = 1318, .external_lex_state = 4},
  [6859] = {.lex_state = 1318, .external_lex_state = 4},
  [6860] = {.lex_state = 1318, .external_lex_state = 4},
  [6861] = {.lex_state = 1318, .external_lex_state = 4},
  [6862] = {.lex_state = 1318, .external_lex_state = 5},
  [6863] = {.lex_state = 1318, .external_lex_state = 5},
  [6864] = {.lex_state = 1318, .external_lex_state = 4},
  [6865] = {.lex_state = 1318, .external_lex_state = 5},
  [6866] = {.lex_state = 1318, .external_lex_state = 5},
  [6867] = {.lex_state = 1318, .external_lex_state = 5},
  [6868] = {.lex_state = 282, .external_lex_state = 5},
  [6869] = {.lex_state = 1318, .external_lex_state = 4},
  [6870] = {.lex_state = 1318, .external_lex_state = 4},
  [6871] = {.lex_state = 1318, .external_lex_state = 5},
  [6872] = {.lex_state = 1318, .external_lex_state = 5},
  [6873] = {.lex_state = 1318, .external_lex_state = 4},
  [6874] = {.lex_state = 282, .external_lex_state = 5},
  [6875] = {.lex_state = 1318, .external_lex_state = 4},
  [6876] = {.lex_state = 1318, .external_lex_state = 4},
  [6877] = {.lex_state = 247, .external_lex_state = 5},
  [6878] = {.lex_state = 1318, .external_lex_state = 5},
  [6879] = {.lex_state = 1318, .external_lex_state = 4},
  [6880] = {.lex_state = 282, .external_lex_state = 5},
  [6881] = {.lex_state = 1318, .external_lex_state = 4},
  [6882] = {.lex_state = 1318, .external_lex_state = 4},
  [6883] = {.lex_state = 1318, .external_lex_state = 5},
  [6884] = {.lex_state = 1318, .external_lex_state = 4},
  [6885] = {.lex_state = 1318, .external_lex_state = 4},
  [6886] = {.lex_state = 1318, .external_lex_state = 4},
  [6887] = {.lex_state = 283, .external_lex_state = 5},
  [6888] = {.lex_state = 283, .external_lex_state = 5},
  [6889] = {.lex_state = 1318, .external_lex_state = 4},
  [6890] = {.lex_state = 279, .external_lex_state = 5},
  [6891] = {.lex_state = 1318, .external_lex_state = 5},
  [6892] = {.lex_state = 1318, .external_lex_state = 4},
  [6893] = {.lex_state = 283, .external_lex_state = 5},
  [6894] = {.lex_state = 1318, .external_lex_state = 4},
  [6895] = {.lex_state = 279, .external_lex_state = 5},
  [6896] = {.lex_state = 1318, .external_lex_state = 4},
  [6897] = {.lex_state = 1318, .external_lex_state = 4},
  [6898] = {.lex_state = 283, .external_lex_state = 5},
  [6899] = {.lex_state = 1318, .external_lex_state = 4},
  [6900] = {.lex_state = 279, .external_lex_state = 5},
  [6901] = {.lex_state = 1318, .external_lex_state = 9},
  [6902] = {.lex_state = 1318, .external_lex_state = 4},
  [6903] = {.lex_state = 1318, .external_lex_state = 4},
  [6904] = {.lex_state = 1318, .external_lex_state = 4},
  [6905] = {.lex_state = 1318, .external_lex_state = 4},
  [6906] = {.lex_state = 1318, .external_lex_state = 4},
  [6907] = {.lex_state = 119, .external_lex_state = 5},
  [6908] = {.lex_state = 1318, .external_lex_state = 4},
  [6909] = {.lex_state = 1318, .external_lex_state = 5},
  [6910] = {.lex_state = 1318, .external_lex_state = 5},
  [6911] = {.lex_state = 1318, .external_lex_state = 5},
  [6912] = {.lex_state = 1318, .external_lex_state = 5},
  [6913] = {.lex_state = 298, .external_lex_state = 5},
  [6914] = {.lex_state = 1318, .external_lex_state = 4},
  [6915] = {.lex_state = 1318, .external_lex_state = 4},
  [6916] = {.lex_state = 1318, .external_lex_state = 4},
  [6917] = {.lex_state = 1318, .external_lex_state = 4},
  [6918] = {.lex_state = 1318, .external_lex_state = 5},
  [6919] = {.lex_state = 1318, .external_lex_state = 4},
  [6920] = {.lex_state = 1318, .external_lex_state = 5},
  [6921] = {.lex_state = 1318, .external_lex_state = 5},
  [6922] = {.lex_state = 1318, .external_lex_state = 5},
  [6923] = {.lex_state = 1318, .external_lex_state = 4},
  [6924] = {.lex_state = 1318, .external_lex_state = 4},
  [6925] = {.lex_state = 1318, .external_lex_state = 4},
  [6926] = {.lex_state = 298, .external_lex_state = 5},
  [6927] = {.lex_state = 1318, .external_lex_state = 4},
  [6928] = {.lex_state = 1318, .external_lex_state = 4},
  [6929] = {.lex_state = 320, .external_lex_state = 5},
  [6930] = {.lex_state = 1318, .external_lex_state = 5},
  [6931] = {.lex_state = 1318, .external_lex_state = 4},
  [6932] = {.lex_state = 1318, .external_lex_state = 5},
  [6933] = {.lex_state = 1318, .external_lex_state = 5},
  [6934] = {.lex_state = 1318, .external_lex_state = 5},
  [6935] = {.lex_state = 1318, .external_lex_state = 4},
  [6936] = {.lex_state = 1318, .external_lex_state = 4},
  [6937] = {.lex_state = 1318, .external_lex_state = 4},
  [6938] = {.lex_state = 1318, .external_lex_state = 5},
  [6939] = {.lex_state = 279, .external_lex_state = 5},
  [6940] = {.lex_state = 282, .external_lex_state = 5},
  [6941] = {.lex_state = 247, .external_lex_state = 5},
  [6942] = {.lex_state = 1318, .external_lex_state = 5},
  [6943] = {.lex_state = 1318, .external_lex_state = 5},
  [6944] = {.lex_state = 1318, .external_lex_state = 5},
  [6945] = {.lex_state = 1318, .external_lex_state = 5},
  [6946] = {.lex_state = 1318, .external_lex_state = 4},
  [6947] = {.lex_state = 1318, .external_lex_state = 5},
  [6948] = {.lex_state = 282, .external_lex_state = 5},
  [6949] = {.lex_state = 281, .external_lex_state = 5},
  [6950] = {.lex_state = 1318, .external_lex_state = 5},
  [6951] = {.lex_state = 1318, .external_lex_state = 5},
  [6952] = {.lex_state = 1318, .external_lex_state = 4},
  [6953] = {.lex_state = 282, .external_lex_state = 5},
  [6954] = {.lex_state = 1318, .external_lex_state = 5},
  [6955] = {.lex_state = 1318, .external_lex_state = 4},
  [6956] = {.lex_state = 1318, .external_lex_state = 4},
  [6957] = {.lex_state = 283, .external_lex_state = 5},
  [6958] = {.lex_state = 279, .external_lex_state = 5},
  [6959] = {.lex_state = 1318, .external_lex_state = 4},
  [6960] = {.lex_state = 1318, .external_lex_state = 4},
  [6961] = {.lex_state = 1318, .external_lex_state = 4},
  [6962] = {.lex_state = 1318, .external_lex_state = 4},
  [6963] = {.lex_state = 283, .external_lex_state = 5},
  [6964] = {.lex_state = 1318, .external_lex_state = 4},
  [6965] = {.lex_state = 281, .external_lex_state = 5},
  [6966] = {.lex_state = 1318, .external_lex_state = 4},
  [6967] = {.lex_state = 279, .external_lex_state = 5},
  [6968] = {.lex_state = 1318, .external_lex_state = 4},
  [6969] = {.lex_state = 283, .external_lex_state = 5},
  [6970] = {.lex_state = 1318, .external_lex_state = 4},
  [6971] = {.lex_state = 279, .external_lex_state = 5},
  [6972] = {.lex_state = 1318, .external_lex_state = 4},
  [6973] = {.lex_state = 1318, .external_lex_state = 9},
  [6974] = {.lex_state = 1318, .external_lex_state = 4},
  [6975] = {.lex_state = 1318, .external_lex_state = 4},
  [6976] = {.lex_state = 1318, .external_lex_state = 4},
  [6977] = {.lex_state = 1318, .external_lex_state = 5},
  [6978] = {.lex_state = 1318, .external_lex_state = 4},
  [6979] = {.lex_state = 1318, .external_lex_state = 4},
  [6980] = {.lex_state = 119, .external_lex_state = 5},
  [6981] = {.lex_state = 248, .external_lex_state = 5},
  [6982] = {.lex_state = 1318, .external_lex_state = 5},
  [6983] = {.lex_state = 1318, .external_lex_state = 4},
  [6984] = {.lex_state = 247, .external_lex_state = 5},
  [6985] = {.lex_state = 1318, .external_lex_state = 5},
  [6986] = {.lex_state = 281, .external_lex_state = 5},
  [6987] = {.lex_state = 320, .external_lex_state = 5},
  [6988] = {.lex_state = 298, .external_lex_state = 5},
  [6989] = {.lex_state = 1318, .external_lex_state = 4},
  [6990] = {.lex_state = 1318, .external_lex_state = 4},
  [6991] = {.lex_state = 1318, .external_lex_state = 4},
  [6992] = {.lex_state = 1318, .external_lex_state = 4},
  [6993] = {.lex_state = 1318, .external_lex_state = 4},
  [6994] = {.lex_state = 251, .external_lex_state = 5},
  [6995] = {.lex_state = 1318, .external_lex_state = 4},
  [6996] = {.lex_state = 1318, .external_lex_state = 4},
  [6997] = {.lex_state = 1318, .external_lex_state = 5},
  [6998] = {.lex_state = 1318, .external_lex_state = 5},
  [6999] = {.lex_state = 1318, .external_lex_state = 5},
  [7000] = {.lex_state = 1318, .external_lex_state = 4},
  [7001] = {.lex_state = 1318, .external_lex_state = 4},
  [7002] = {.lex_state = 298, .external_lex_state = 5},
  [7003] = {.lex_state = 1318, .external_lex_state = 4},
  [7004] = {.lex_state = 1318, .external_lex_state = 4},
  [7005] = {.lex_state = 284, .external_lex_state = 5},
  [7006] = {.lex_state = 1318, .external_lex_state = 5},
  [7007] = {.lex_state = 1318, .external_lex_state = 5},
  [7008] = {.lex_state = 1318, .external_lex_state = 4},
  [7009] = {.lex_state = 1318, .external_lex_state = 4},
  [7010] = {.lex_state = 1318, .external_lex_state = 4},
  [7011] = {.lex_state = 1318, .external_lex_state = 4},
  [7012] = {.lex_state = 1318, .external_lex_state = 5},
  [7013] = {.lex_state = 1318, .external_lex_state = 10},
  [7014] = {.lex_state = 282, .external_lex_state = 5},
  [7015] = {.lex_state = 1318, .external_lex_state = 5},
  [7016] = {.lex_state = 1318, .external_lex_state = 4},
  [7017] = {.lex_state = 282, .external_lex_state = 5},
  [7018] = {.lex_state = 1318, .external_lex_state = 4},
  [7019] = {.lex_state = 1318, .external_lex_state = 5},
  [7020] = {.lex_state = 1318, .external_lex_state = 5},
  [7021] = {.lex_state = 1318, .external_lex_state = 10},
  [7022] = {.lex_state = 1318, .external_lex_state = 5},
  [7023] = {.lex_state = 1318, .external_lex_state = 5},
  [7024] = {.lex_state = 1318, .external_lex_state = 5},
  [7025] = {.lex_state = 1318, .external_lex_state = 4},
  [7026] = {.lex_state = 1318, .external_lex_state = 5},
  [7027] = {.lex_state = 282, .external_lex_state = 5},
  [7028] = {.lex_state = 110, .external_lex_state = 5},
  [7029] = {.lex_state = 1318, .external_lex_state = 5},
  [7030] = {.lex_state = 317, .external_lex_state = 4},
  [7031] = {.lex_state = 1318, .external_lex_state = 4},
  [7032] = {.lex_state = 282, .external_lex_state = 5},
  [7033] = {.lex_state = 283, .external_lex_state = 5},
  [7034] = {.lex_state = 1318, .external_lex_state = 4},
  [7035] = {.lex_state = 1318, .external_lex_state = 4},
  [7036] = {.lex_state = 1318, .external_lex_state = 4},
  [7037] = {.lex_state = 1318, .external_lex_state = 5},
  [7038] = {.lex_state = 283, .external_lex_state = 5},
  [7039] = {.lex_state = 279, .external_lex_state = 5},
  [7040] = {.lex_state = 1318, .external_lex_state = 5},
  [7041] = {.lex_state = 279, .external_lex_state = 5},
  [7042] = {.lex_state = 1318, .external_lex_state = 5},
  [7043] = {.lex_state = 1318, .external_lex_state = 4},
  [7044] = {.lex_state = 283, .external_lex_state = 5},
  [7045] = {.lex_state = 1318, .external_lex_state = 4},
  [7046] = {.lex_state = 279, .external_lex_state = 5},
  [7047] = {.lex_state = 1318, .external_lex_state = 5},
  [7048] = {.lex_state = 1318, .external_lex_state = 4},
  [7049] = {.lex_state = 283, .external_lex_state = 5},
  [7050] = {.lex_state = 1318, .external_lex_state = 4},
  [7051] = {.lex_state = 279, .external_lex_state = 5},
  [7052] = {.lex_state = 1318, .external_lex_state = 9},
  [7053] = {.lex_state = 1318, .external_lex_state = 4},
  [7054] = {.lex_state = 1318, .external_lex_state = 4},
  [7055] = {.lex_state = 298, .external_lex_state = 5},
  [7056] = {.lex_state = 1318, .external_lex_state = 4},
  [7057] = {.lex_state = 1318, .external_lex_state = 4},
  [7058] = {.lex_state = 119, .external_lex_state = 5},
  [7059] = {.lex_state = 248, .external_lex_state = 5},
  [7060] = {.lex_state = 1318, .external_lex_state = 4},
  [7061] = {.lex_state = 1318, .external_lex_state = 5},
  [7062] = {.lex_state = 1318, .external_lex_state = 5},
  [7063] = {.lex_state = 298, .external_lex_state = 5},
  [7064] = {.lex_state = 1318, .external_lex_state = 4},
  [7065] = {.lex_state = 1318, .external_lex_state = 4},
  [7066] = {.lex_state = 1318, .external_lex_state = 4},
  [7067] = {.lex_state = 1318, .external_lex_state = 4},
  [7068] = {.lex_state = 1318, .external_lex_state = 4},
  [7069] = {.lex_state = 1318, .external_lex_state = 4},
  [7070] = {.lex_state = 1318, .external_lex_state = 5},
  [7071] = {.lex_state = 1318, .external_lex_state = 5},
  [7072] = {.lex_state = 1318, .external_lex_state = 4},
  [7073] = {.lex_state = 1318, .external_lex_state = 4},
  [7074] = {.lex_state = 298, .external_lex_state = 5},
  [7075] = {.lex_state = 1318, .external_lex_state = 4},
  [7076] = {.lex_state = 1318, .external_lex_state = 4},
  [7077] = {.lex_state = 241, .external_lex_state = 5},
  [7078] = {.lex_state = 1318, .external_lex_state = 4},
  [7079] = {.lex_state = 1318, .external_lex_state = 5},
  [7080] = {.lex_state = 1318, .external_lex_state = 4},
  [7081] = {.lex_state = 1318, .external_lex_state = 5},
  [7082] = {.lex_state = 241, .external_lex_state = 5},
  [7083] = {.lex_state = 1318, .external_lex_state = 4},
  [7084] = {.lex_state = 1318, .external_lex_state = 5},
  [7085] = {.lex_state = 1318, .external_lex_state = 5},
  [7086] = {.lex_state = 282, .external_lex_state = 5},
  [7087] = {.lex_state = 1318, .external_lex_state = 10},
  [7088] = {.lex_state = 1318, .external_lex_state = 5},
  [7089] = {.lex_state = 350, .external_lex_state = 5},
  [7090] = {.lex_state = 1318, .external_lex_state = 4},
  [7091] = {.lex_state = 282, .external_lex_state = 5},
  [7092] = {.lex_state = 1318, .external_lex_state = 5},
  [7093] = {.lex_state = 1318, .external_lex_state = 4},
  [7094] = {.lex_state = 1318, .external_lex_state = 4},
  [7095] = {.lex_state = 1318, .external_lex_state = 4},
  [7096] = {.lex_state = 282, .external_lex_state = 5},
  [7097] = {.lex_state = 1318, .external_lex_state = 5},
  [7098] = {.lex_state = 1318, .external_lex_state = 4},
  [7099] = {.lex_state = 1318, .external_lex_state = 4},
  [7100] = {.lex_state = 1318, .external_lex_state = 5},
  [7101] = {.lex_state = 283, .external_lex_state = 5},
  [7102] = {.lex_state = 279, .external_lex_state = 5},
  [7103] = {.lex_state = 1318, .external_lex_state = 4},
  [7104] = {.lex_state = 283, .external_lex_state = 5},
  [7105] = {.lex_state = 281, .external_lex_state = 5},
  [7106] = {.lex_state = 1318, .external_lex_state = 4},
  [7107] = {.lex_state = 279, .external_lex_state = 5},
  [7108] = {.lex_state = 1318, .external_lex_state = 4},
  [7109] = {.lex_state = 283, .external_lex_state = 5},
  [7110] = {.lex_state = 1318, .external_lex_state = 4},
  [7111] = {.lex_state = 279, .external_lex_state = 5},
  [7112] = {.lex_state = 281, .external_lex_state = 5},
  [7113] = {.lex_state = 1318, .external_lex_state = 9},
  [7114] = {.lex_state = 1318, .external_lex_state = 4},
  [7115] = {.lex_state = 1318, .external_lex_state = 4},
  [7116] = {.lex_state = 1318, .external_lex_state = 4},
  [7117] = {.lex_state = 1318, .external_lex_state = 4},
  [7118] = {.lex_state = 119, .external_lex_state = 5},
  [7119] = {.lex_state = 1318, .external_lex_state = 4},
  [7120] = {.lex_state = 298, .external_lex_state = 5},
  [7121] = {.lex_state = 1318, .external_lex_state = 4},
  [7122] = {.lex_state = 1318, .external_lex_state = 4},
  [7123] = {.lex_state = 1318, .external_lex_state = 4},
  [7124] = {.lex_state = 1318, .external_lex_state = 4},
  [7125] = {.lex_state = 1318, .external_lex_state = 4},
  [7126] = {.lex_state = 1318, .external_lex_state = 4},
  [7127] = {.lex_state = 298, .external_lex_state = 5},
  [7128] = {.lex_state = 1318, .external_lex_state = 4},
  [7129] = {.lex_state = 1318, .external_lex_state = 4},
  [7130] = {.lex_state = 1318, .external_lex_state = 5},
  [7131] = {.lex_state = 1318, .external_lex_state = 4},
  [7132] = {.lex_state = 1318, .external_lex_state = 9},
  [7133] = {.lex_state = 1318, .external_lex_state = 4},
  [7134] = {.lex_state = 1318, .external_lex_state = 5},
  [7135] = {.lex_state = 282, .external_lex_state = 5},
  [7136] = {.lex_state = 248, .external_lex_state = 5},
  [7137] = {.lex_state = 1318, .external_lex_state = 4},
  [7138] = {.lex_state = 1318, .external_lex_state = 4},
  [7139] = {.lex_state = 1318, .external_lex_state = 5},
  [7140] = {.lex_state = 289, .external_lex_state = 5},
  [7141] = {.lex_state = 1318, .external_lex_state = 5},
  [7142] = {.lex_state = 1318, .external_lex_state = 4},
  [7143] = {.lex_state = 1318, .external_lex_state = 4},
  [7144] = {.lex_state = 1318, .external_lex_state = 4},
  [7145] = {.lex_state = 1318, .external_lex_state = 4},
  [7146] = {.lex_state = 282, .external_lex_state = 5},
  [7147] = {.lex_state = 287, .external_lex_state = 5},
  [7148] = {.lex_state = 1318, .external_lex_state = 4},
  [7149] = {.lex_state = 1318, .external_lex_state = 4},
  [7150] = {.lex_state = 1318, .external_lex_state = 4},
  [7151] = {.lex_state = 282, .external_lex_state = 5},
  [7152] = {.lex_state = 1318, .external_lex_state = 4},
  [7153] = {.lex_state = 1318, .external_lex_state = 4},
  [7154] = {.lex_state = 1318, .external_lex_state = 5},
  [7155] = {.lex_state = 283, .external_lex_state = 5},
  [7156] = {.lex_state = 283, .external_lex_state = 5},
  [7157] = {.lex_state = 119, .external_lex_state = 5},
  [7158] = {.lex_state = 1318, .external_lex_state = 5},
  [7159] = {.lex_state = 279, .external_lex_state = 5},
  [7160] = {.lex_state = 279, .external_lex_state = 5},
  [7161] = {.lex_state = 1318, .external_lex_state = 4},
  [7162] = {.lex_state = 283, .external_lex_state = 5},
  [7163] = {.lex_state = 1318, .external_lex_state = 4},
  [7164] = {.lex_state = 279, .external_lex_state = 5},
  [7165] = {.lex_state = 1318, .external_lex_state = 4},
  [7166] = {.lex_state = 283, .external_lex_state = 5},
  [7167] = {.lex_state = 1318, .external_lex_state = 4},
  [7168] = {.lex_state = 279, .external_lex_state = 5},
  [7169] = {.lex_state = 1318, .external_lex_state = 9},
  [7170] = {.lex_state = 1318, .external_lex_state = 4},
  [7171] = {.lex_state = 1318, .external_lex_state = 4},
  [7172] = {.lex_state = 1318, .external_lex_state = 4},
  [7173] = {.lex_state = 119, .external_lex_state = 5},
  [7174] = {.lex_state = 1318, .external_lex_state = 4},
  [7175] = {.lex_state = 1318, .external_lex_state = 4},
  [7176] = {.lex_state = 249, .external_lex_state = 5},
  [7177] = {.lex_state = 1318, .external_lex_state = 4},
  [7178] = {.lex_state = 1318, .external_lex_state = 4},
  [7179] = {.lex_state = 298, .external_lex_state = 5},
  [7180] = {.lex_state = 1318, .external_lex_state = 4},
  [7181] = {.lex_state = 1318, .external_lex_state = 4},
  [7182] = {.lex_state = 1318, .external_lex_state = 4},
  [7183] = {.lex_state = 1318, .external_lex_state = 4},
  [7184] = {.lex_state = 248, .external_lex_state = 5},
  [7185] = {.lex_state = 1318, .external_lex_state = 4},
  [7186] = {.lex_state = 1318, .external_lex_state = 4},
  [7187] = {.lex_state = 1318, .external_lex_state = 4},
  [7188] = {.lex_state = 298, .external_lex_state = 5},
  [7189] = {.lex_state = 1318, .external_lex_state = 4},
  [7190] = {.lex_state = 1318, .external_lex_state = 4},
  [7191] = {.lex_state = 1318, .external_lex_state = 10},
  [7192] = {.lex_state = 1318, .external_lex_state = 4},
  [7193] = {.lex_state = 1318, .external_lex_state = 5},
  [7194] = {.lex_state = 1318, .external_lex_state = 4},
  [7195] = {.lex_state = 1318, .external_lex_state = 5},
  [7196] = {.lex_state = 298, .external_lex_state = 5},
  [7197] = {.lex_state = 248, .external_lex_state = 5},
  [7198] = {.lex_state = 1318, .external_lex_state = 4},
  [7199] = {.lex_state = 1318, .external_lex_state = 4},
  [7200] = {.lex_state = 1318, .external_lex_state = 4},
  [7201] = {.lex_state = 1318, .external_lex_state = 4},
  [7202] = {.lex_state = 1318, .external_lex_state = 4},
  [7203] = {.lex_state = 1318, .external_lex_state = 4},
  [7204] = {.lex_state = 1318, .external_lex_state = 4},
  [7205] = {.lex_state = 283, .external_lex_state = 5},
  [7206] = {.lex_state = 1318, .external_lex_state = 4},
  [7207] = {.lex_state = 279, .external_lex_state = 5},
  [7208] = {.lex_state = 1318, .external_lex_state = 4},
  [7209] = {.lex_state = 1318, .external_lex_state = 4},
  [7210] = {.lex_state = 283, .external_lex_state = 5},
  [7211] = {.lex_state = 1318, .external_lex_state = 4},
  [7212] = {.lex_state = 279, .external_lex_state = 5},
  [7213] = {.lex_state = 1318, .external_lex_state = 4},
  [7214] = {.lex_state = 283, .external_lex_state = 5},
  [7215] = {.lex_state = 1318, .external_lex_state = 4},
  [7216] = {.lex_state = 279, .external_lex_state = 5},
  [7217] = {.lex_state = 1318, .external_lex_state = 4},
  [7218] = {.lex_state = 1318, .external_lex_state = 4},
  [7219] = {.lex_state = 1318, .external_lex_state = 4},
  [7220] = {.lex_state = 119, .external_lex_state = 5},
  [7221] = {.lex_state = 1318, .external_lex_state = 4},
  [7222] = {.lex_state = 1318, .external_lex_state = 5},
  [7223] = {.lex_state = 1318, .external_lex_state = 4},
  [7224] = {.lex_state = 1318, .external_lex_state = 4},
  [7225] = {.lex_state = 1318, .external_lex_state = 4},
  [7226] = {.lex_state = 298, .external_lex_state = 5},
  [7227] = {.lex_state = 1318, .external_lex_state = 4},
  [7228] = {.lex_state = 1318, .external_lex_state = 4},
  [7229] = {.lex_state = 1318, .external_lex_state = 4},
  [7230] = {.lex_state = 1318, .external_lex_state = 4},
  [7231] = {.lex_state = 283, .external_lex_state = 5},
  [7232] = {.lex_state = 1318, .external_lex_state = 4},
  [7233] = {.lex_state = 1318, .external_lex_state = 4},
  [7234] = {.lex_state = 298, .external_lex_state = 5},
  [7235] = {.lex_state = 1318, .external_lex_state = 4},
  [7236] = {.lex_state = 1318, .external_lex_state = 4},
  [7237] = {.lex_state = 1318, .external_lex_state = 4},
  [7238] = {.lex_state = 350, .external_lex_state = 5},
  [7239] = {.lex_state = 1318, .external_lex_state = 4},
  [7240] = {.lex_state = 289, .external_lex_state = 5},
  [7241] = {.lex_state = 1318, .external_lex_state = 5},
  [7242] = {.lex_state = 1318, .external_lex_state = 4},
  [7243] = {.lex_state = 1318, .external_lex_state = 5},
  [7244] = {.lex_state = 282, .external_lex_state = 5},
  [7245] = {.lex_state = 1318, .external_lex_state = 4},
  [7246] = {.lex_state = 1318, .external_lex_state = 4},
  [7247] = {.lex_state = 1318, .external_lex_state = 5},
  [7248] = {.lex_state = 283, .external_lex_state = 5},
  [7249] = {.lex_state = 1318, .external_lex_state = 5},
  [7250] = {.lex_state = 279, .external_lex_state = 5},
  [7251] = {.lex_state = 1318, .external_lex_state = 5},
  [7252] = {.lex_state = 1318, .external_lex_state = 4},
  [7253] = {.lex_state = 1318, .external_lex_state = 5},
  [7254] = {.lex_state = 283, .external_lex_state = 5},
  [7255] = {.lex_state = 1318, .external_lex_state = 4},
  [7256] = {.lex_state = 1318, .external_lex_state = 4},
  [7257] = {.lex_state = 1318, .external_lex_state = 4},
  [7258] = {.lex_state = 279, .external_lex_state = 5},
  [7259] = {.lex_state = 1318, .external_lex_state = 4},
  [7260] = {.lex_state = 1318, .external_lex_state = 4},
  [7261] = {.lex_state = 283, .external_lex_state = 5},
  [7262] = {.lex_state = 1318, .external_lex_state = 4},
  [7263] = {.lex_state = 279, .external_lex_state = 5},
  [7264] = {.lex_state = 1318, .external_lex_state = 4},
  [7265] = {.lex_state = 1318, .external_lex_state = 4},
  [7266] = {.lex_state = 1318, .external_lex_state = 5},
  [7267] = {.lex_state = 1318, .external_lex_state = 4},
  [7268] = {.lex_state = 1318, .external_lex_state = 4},
  [7269] = {.lex_state = 1318, .external_lex_state = 4},
  [7270] = {.lex_state = 119, .external_lex_state = 5},
  [7271] = {.lex_state = 1318, .external_lex_state = 4},
  [7272] = {.lex_state = 287, .external_lex_state = 4},
  [7273] = {.lex_state = 1318, .external_lex_state = 4},
  [7274] = {.lex_state = 1318, .external_lex_state = 4},
  [7275] = {.lex_state = 298, .external_lex_state = 5},
  [7276] = {.lex_state = 298, .external_lex_state = 5},
  [7277] = {.lex_state = 317, .external_lex_state = 5},
  [7278] = {.lex_state = 1318, .external_lex_state = 4},
  [7279] = {.lex_state = 1318, .external_lex_state = 4},
  [7280] = {.lex_state = 1318, .external_lex_state = 4},
  [7281] = {.lex_state = 1318, .external_lex_state = 4},
  [7282] = {.lex_state = 279, .external_lex_state = 5},
  [7283] = {.lex_state = 1318, .external_lex_state = 4},
  [7284] = {.lex_state = 1318, .external_lex_state = 4},
  [7285] = {.lex_state = 1318, .external_lex_state = 4},
  [7286] = {.lex_state = 298, .external_lex_state = 5},
  [7287] = {.lex_state = 1318, .external_lex_state = 4},
  [7288] = {.lex_state = 1318, .external_lex_state = 4},
  [7289] = {.lex_state = 1318, .external_lex_state = 4},
  [7290] = {.lex_state = 1318, .external_lex_state = 4},
  [7291] = {.lex_state = 1318, .external_lex_state = 4},
  [7292] = {.lex_state = 1318, .external_lex_state = 4},
  [7293] = {.lex_state = 283, .external_lex_state = 5},
  [7294] = {.lex_state = 1318, .external_lex_state = 4},
  [7295] = {.lex_state = 1318, .external_lex_state = 4},
  [7296] = {.lex_state = 1318, .external_lex_state = 4},
  [7297] = {.lex_state = 1318, .external_lex_state = 4},
  [7298] = {.lex_state = 283, .external_lex_state = 5},
  [7299] = {.lex_state = 279, .external_lex_state = 5},
  [7300] = {.lex_state = 283, .external_lex_state = 5},
  [7301] = {.lex_state = 279, .external_lex_state = 5},
  [7302] = {.lex_state = 1318, .external_lex_state = 4},
  [7303] = {.lex_state = 1318, .external_lex_state = 4},
  [7304] = {.lex_state = 283, .external_lex_state = 5},
  [7305] = {.lex_state = 1318, .external_lex_state = 4},
  [7306] = {.lex_state = 279, .external_lex_state = 5},
  [7307] = {.lex_state = 1318, .external_lex_state = 4},
  [7308] = {.lex_state = 283, .external_lex_state = 5},
  [7309] = {.lex_state = 1318, .external_lex_state = 4},
  [7310] = {.lex_state = 279, .external_lex_state = 5},
  [7311] = {.lex_state = 279, .external_lex_state = 5},
  [7312] = {.lex_state = 1318, .external_lex_state = 4},
  [7313] = {.lex_state = 317, .external_lex_state = 5},
  [7314] = {.lex_state = 1318, .external_lex_state = 4},
  [7315] = {.lex_state = 119, .external_lex_state = 5},
  [7316] = {.lex_state = 1318, .external_lex_state = 5},
  [7317] = {.lex_state = 298, .external_lex_state = 5},
  [7318] = {.lex_state = 1318, .external_lex_state = 4},
  [7319] = {.lex_state = 1318, .external_lex_state = 4},
  [7320] = {.lex_state = 1318, .external_lex_state = 4},
  [7321] = {.lex_state = 1318, .external_lex_state = 4},
  [7322] = {.lex_state = 1318, .external_lex_state = 4},
  [7323] = {.lex_state = 298, .external_lex_state = 5},
  [7324] = {.lex_state = 1318, .external_lex_state = 4},
  [7325] = {.lex_state = 1318, .external_lex_state = 4},
  [7326] = {.lex_state = 248, .external_lex_state = 5},
  [7327] = {.lex_state = 110, .external_lex_state = 5},
  [7328] = {.lex_state = 1318, .external_lex_state = 4},
  [7329] = {.lex_state = 1318, .external_lex_state = 4},
  [7330] = {.lex_state = 282, .external_lex_state = 5},
  [7331] = {.lex_state = 1318, .external_lex_state = 4},
  [7332] = {.lex_state = 1318, .external_lex_state = 4},
  [7333] = {.lex_state = 1318, .external_lex_state = 5},
  [7334] = {.lex_state = 1318, .external_lex_state = 4},
  [7335] = {.lex_state = 1318, .external_lex_state = 5},
  [7336] = {.lex_state = 1318, .external_lex_state = 4},
  [7337] = {.lex_state = 1318, .external_lex_state = 4},
  [7338] = {.lex_state = 119, .external_lex_state = 5},
  [7339] = {.lex_state = 1318, .external_lex_state = 5},
  [7340] = {.lex_state = 298, .external_lex_state = 5},
  [7341] = {.lex_state = 1318, .external_lex_state = 4},
  [7342] = {.lex_state = 1318, .external_lex_state = 4},
  [7343] = {.lex_state = 1318, .external_lex_state = 4},
  [7344] = {.lex_state = 247, .external_lex_state = 5},
  [7345] = {.lex_state = 1318, .external_lex_state = 4},
  [7346] = {.lex_state = 241, .external_lex_state = 5},
  [7347] = {.lex_state = 1318, .external_lex_state = 4},
  [7348] = {.lex_state = 1318, .external_lex_state = 4},
  [7349] = {.lex_state = 298, .external_lex_state = 5},
  [7350] = {.lex_state = 1318, .external_lex_state = 4},
  [7351] = {.lex_state = 1318, .external_lex_state = 4},
  [7352] = {.lex_state = 1318, .external_lex_state = 4},
  [7353] = {.lex_state = 1318, .external_lex_state = 4},
  [7354] = {.lex_state = 1318, .external_lex_state = 4},
  [7355] = {.lex_state = 252, .external_lex_state = 5},
  [7356] = {.lex_state = 1318, .external_lex_state = 5},
  [7357] = {.lex_state = 1318, .external_lex_state = 4},
  [7358] = {.lex_state = 1318, .external_lex_state = 4},
  [7359] = {.lex_state = 1318, .external_lex_state = 5},
  [7360] = {.lex_state = 1318, .external_lex_state = 4},
  [7361] = {.lex_state = 1318, .external_lex_state = 4},
  [7362] = {.lex_state = 1318, .external_lex_state = 4},
  [7363] = {.lex_state = 119, .external_lex_state = 5},
  [7364] = {.lex_state = 1318, .external_lex_state = 4},
  [7365] = {.lex_state = 298, .external_lex_state = 5},
  [7366] = {.lex_state = 1318, .external_lex_state = 4},
  [7367] = {.lex_state = 1318, .external_lex_state = 4},
  [7368] = {.lex_state = 1318, .external_lex_state = 4},
  [7369] = {.lex_state = 1318, .external_lex_state = 4},
  [7370] = {.lex_state = 298, .external_lex_state = 5},
  [7371] = {.lex_state = 1318, .external_lex_state = 4},
  [7372] = {.lex_state = 1318, .external_lex_state = 4},
  [7373] = {.lex_state = 1318, .external_lex_state = 5},
  [7374] = {.lex_state = 1318, .external_lex_state = 4},
  [7375] = {.lex_state = 1318, .external_lex_state = 4},
  [7376] = {.lex_state = 1318, .external_lex_state = 4},
  [7377] = {.lex_state = 1318, .external_lex_state = 4},
  [7378] = {.lex_state = 283, .external_lex_state = 5},
  [7379] = {.lex_state = 1318, .external_lex_state = 4},
  [7380] = {.lex_state = 1318, .external_lex_state = 4},
  [7381] = {.lex_state = 1318, .external_lex_state = 4},
  [7382] = {.lex_state = 1318, .external_lex_state = 4},
  [7383] = {.lex_state = 1318, .external_lex_state = 4},
  [7384] = {.lex_state = 119, .external_lex_state = 5},
  [7385] = {.lex_state = 1318, .external_lex_state = 4},
  [7386] = {.lex_state = 1318, .external_lex_state = 5},
  [7387] = {.lex_state = 1318, .external_lex_state = 5},
  [7388] = {.lex_state = 279, .external_lex_state = 5},
  [7389] = {.lex_state = 1318, .external_lex_state = 5},
  [7390] = {.lex_state = 1318, .external_lex_state = 4},
  [7391] = {.lex_state = 282, .external_lex_state = 5},
  [7392] = {.lex_state = 1318, .external_lex_state = 4},
  [7393] = {.lex_state = 119, .external_lex_state = 5},
  [7394] = {.lex_state = 1318, .external_lex_state = 4},
  [7395] = {.lex_state = 1318, .external_lex_state = 4},
  [7396] = {.lex_state = 251, .external_lex_state = 5},
  [7397] = {.lex_state = 1318, .external_lex_state = 5},
  [7398] = {.lex_state = 1318, .external_lex_state = 5},
  [7399] = {.lex_state = 1318, .external_lex_state = 4},
  [7400] = {.lex_state = 119, .external_lex_state = 5},
  [7401] = {.lex_state = 281, .external_lex_state = 5},
  [7402] = {.lex_state = 1318, .external_lex_state = 4},
  [7403] = {.lex_state = 241, .external_lex_state = 5},
  [7404] = {.lex_state = 1318, .external_lex_state = 4},
  [7405] = {.lex_state = 1318, .external_lex_state = 4},
  [7406] = {.lex_state = 1318, .external_lex_state = 4},
  [7407] = {.lex_state = 350, .external_lex_state = 5},
  [7408] = {.lex_state = 1318, .external_lex_state = 4},
  [7409] = {.lex_state = 119, .external_lex_state = 5},
  [7410] = {.lex_state = 1318, .external_lex_state = 4},
  [7411] = {.lex_state = 317, .external_lex_state = 4},
  [7412] = {.lex_state = 281, .external_lex_state = 5},
  [7413] = {.lex_state = 1318, .external_lex_state = 4},
  [7414] = {.lex_state = 1318, .external_lex_state = 4},
  [7415] = {.lex_state = 1318, .external_lex_state = 4},
  [7416] = {.lex_state = 119, .external_lex_state = 5},
  [7417] = {.lex_state = 281, .external_lex_state = 5},
  [7418] = {.lex_state = 1318, .external_lex_state = 4},
  [7419] = {.lex_state = 1318, .external_lex_state = 4},
  [7420] = {.lex_state = 282, .external_lex_state = 5},
  [7421] = {.lex_state = 1318, .external_lex_state = 5},
  [7422] = {.lex_state = 1318, .external_lex_state = 4},
  [7423] = {.lex_state = 1318, .external_lex_state = 4},
  [7424] = {.lex_state = 119, .external_lex_state = 5},
  [7425] = {.lex_state = 119, .external_lex_state = 5},
  [7426] = {.lex_state = 119, .external_lex_state = 5},
  [7427] = {.lex_state = 1318, .external_lex_state = 5},
  [7428] = {.lex_state = 119, .external_lex_state = 5},
  [7429] = {.lex_state = 1318, .external_lex_state = 5},
  [7430] = {.lex_state = 119, .external_lex_state = 5},
  [7431] = {.lex_state = 119, .external_lex_state = 5},
  [7432] = {.lex_state = 119, .external_lex_state = 5},
  [7433] = {.lex_state = 119, .external_lex_state = 5},
  [7434] = {.lex_state = 119, .external_lex_state = 5},
  [7435] = {.lex_state = 119, .external_lex_state = 5},
  [7436] = {.lex_state = 119, .external_lex_state = 5},
  [7437] = {.lex_state = 119, .external_lex_state = 5},
  [7438] = {.lex_state = 119, .external_lex_state = 5},
  [7439] = {.lex_state = 1318, .external_lex_state = 5},
  [7440] = {.lex_state = 119, .external_lex_state = 5},
  [7441] = {.lex_state = 119, .external_lex_state = 5},
  [7442] = {.lex_state = 119, .external_lex_state = 5},
  [7443] = {.lex_state = 119, .external_lex_state = 5},
  [7444] = {.lex_state = 119, .external_lex_state = 5},
  [7445] = {.lex_state = 119, .external_lex_state = 5},
  [7446] = {.lex_state = 119, .external_lex_state = 5},
  [7447] = {.lex_state = 119, .external_lex_state = 5},
  [7448] = {.lex_state = 119, .external_lex_state = 5},
  [7449] = {.lex_state = 119, .external_lex_state = 5},
  [7450] = {.lex_state = 119, .external_lex_state = 5},
  [7451] = {.lex_state = 119, .external_lex_state = 5},
  [7452] = {.lex_state = 119, .external_lex_state = 5},
  [7453] = {.lex_state = 119, .external_lex_state = 5},
  [7454] = {.lex_state = 119, .external_lex_state = 5},
  [7455] = {.lex_state = 1318, .external_lex_state = 4},
  [7456] = {.lex_state = 119, .external_lex_state = 5},
  [7457] = {.lex_state = 282, .external_lex_state = 5},
  [7458] = {.lex_state = 289, .external_lex_state = 5},
  [7459] = {.lex_state = 1318, .external_lex_state = 4},
  [7460] = {.lex_state = 1318, .external_lex_state = 4},
  [7461] = {.lex_state = 1318, .external_lex_state = 4},
  [7462] = {.lex_state = 1318, .external_lex_state = 4},
  [7463] = {.lex_state = 284, .external_lex_state = 5},
  [7464] = {.lex_state = 1318, .external_lex_state = 4},
  [7465] = {.lex_state = 1318, .external_lex_state = 4},
  [7466] = {.lex_state = 1318, .external_lex_state = 4},
  [7467] = {.lex_state = 1318, .external_lex_state = 4},
  [7468] = {.lex_state = 320, .external_lex_state = 5},
  [7469] = {.lex_state = 1318, .external_lex_state = 4},
  [7470] = {.lex_state = 287, .external_lex_state = 5},
  [7471] = {.lex_state = 1318, .external_lex_state = 4},
  [7472] = {.lex_state = 1318, .external_lex_state = 4},
  [7473] = {.lex_state = 1318, .external_lex_state = 4},
  [7474] = {.lex_state = 247, .external_lex_state = 5},
  [7475] = {.lex_state = 1318, .external_lex_state = 4},
  [7476] = {.lex_state = 1318, .external_lex_state = 5},
  [7477] = {.lex_state = 1318, .external_lex_state = 4},
  [7478] = {.lex_state = 1318, .external_lex_state = 4},
  [7479] = {.lex_state = 251, .external_lex_state = 5},
  [7480] = {.lex_state = 284, .external_lex_state = 5},
  [7481] = {.lex_state = 1318, .external_lex_state = 4},
  [7482] = {.lex_state = 283, .external_lex_state = 5},
  [7483] = {.lex_state = 1318, .external_lex_state = 4},
  [7484] = {.lex_state = 1318, .external_lex_state = 4},
  [7485] = {.lex_state = 1318, .external_lex_state = 5},
  [7486] = {.lex_state = 248, .external_lex_state = 5},
  [7487] = {.lex_state = 1318, .external_lex_state = 4},
  [7488] = {.lex_state = 251, .external_lex_state = 5},
  [7489] = {.lex_state = 279, .external_lex_state = 5},
  [7490] = {.lex_state = 1318, .external_lex_state = 4},
  [7491] = {.lex_state = 1318, .external_lex_state = 4},
  [7492] = {.lex_state = 284, .external_lex_state = 5},
  [7493] = {.lex_state = 1318, .external_lex_state = 5},
  [7494] = {.lex_state = 1318, .external_lex_state = 4},
  [7495] = {.lex_state = 1318, .external_lex_state = 4},
  [7496] = {.lex_state = 248, .external_lex_state = 5},
  [7497] = {.lex_state = 1318, .external_lex_state = 4},
  [7498] = {.lex_state = 1318, .external_lex_state = 4},
  [7499] = {.lex_state = 1318, .external_lex_state = 4},
  [7500] = {.lex_state = 1318, .external_lex_state = 4},
  [7501] = {.lex_state = 1318, .external_lex_state = 5},
  [7502] = {.lex_state = 1318, .external_lex_state = 4},
  [7503] = {.lex_state = 287, .external_lex_state = 4},
  [7504] = {.lex_state = 1318, .external_lex_state = 4},
  [7505] = {.lex_state = 1318, .external_lex_state = 4},
  [7506] = {.lex_state = 317, .external_lex_state = 5},
  [7507] = {.lex_state = 1318, .external_lex_state = 4},
  [7508] = {.lex_state = 1318, .external_lex_state = 5},
  [7509] = {.lex_state = 1318, .external_lex_state = 4},
  [7510] = {.lex_state = 283, .external_lex_state = 5},
  [7511] = {.lex_state = 317, .external_lex_state = 5},
  [7512] = {.lex_state = 1318, .external_lex_state = 4},
  [7513] = {.lex_state = 287, .external_lex_state = 5},
  [7514] = {.lex_state = 1318, .external_lex_state = 4},
  [7515] = {.lex_state = 287, .external_lex_state = 5},
  [7516] = {.lex_state = 279, .external_lex_state = 5},
  [7517] = {.lex_state = 1318, .external_lex_state = 4},
  [7518] = {.lex_state = 283, .external_lex_state = 5},
  [7519] = {.lex_state = 1318, .external_lex_state = 4},
  [7520] = {.lex_state = 1318, .external_lex_state = 4},
  [7521] = {.lex_state = 283, .external_lex_state = 5},
  [7522] = {.lex_state = 1318, .external_lex_state = 4},
  [7523] = {.lex_state = 279, .external_lex_state = 5},
  [7524] = {.lex_state = 1318, .external_lex_state = 4},
  [7525] = {.lex_state = 283, .external_lex_state = 5},
  [7526] = {.lex_state = 1318, .external_lex_state = 4},
  [7527] = {.lex_state = 279, .external_lex_state = 5},
  [7528] = {.lex_state = 287, .external_lex_state = 5},
  [7529] = {.lex_state = 1318, .external_lex_state = 5},
  [7530] = {.lex_state = 1318, .external_lex_state = 4},
  [7531] = {.lex_state = 1318, .external_lex_state = 4},
  [7532] = {.lex_state = 1318, .external_lex_state = 5},
  [7533] = {.lex_state = 1318, .external_lex_state = 9},
  [7534] = {.lex_state = 1318, .external_lex_state = 4},
  [7535] = {.lex_state = 287, .external_lex_state = 5},
  [7536] = {.lex_state = 248, .external_lex_state = 5},
  [7537] = {.lex_state = 252, .external_lex_state = 5},
  [7538] = {.lex_state = 248, .external_lex_state = 5},
  [7539] = {.lex_state = 1318, .external_lex_state = 4},
  [7540] = {.lex_state = 1318, .external_lex_state = 4},
  [7541] = {.lex_state = 1318, .external_lex_state = 4},
  [7542] = {.lex_state = 1318, .external_lex_state = 4},
  [7543] = {.lex_state = 1318, .external_lex_state = 4},
  [7544] = {.lex_state = 1318, .external_lex_state = 4},
  [7545] = {.lex_state = 279, .external_lex_state = 5},
  [7546] = {.lex_state = 1318, .external_lex_state = 5},
  [7547] = {.lex_state = 1318, .external_lex_state = 4},
  [7548] = {.lex_state = 1318, .external_lex_state = 4},
  [7549] = {.lex_state = 119, .external_lex_state = 5},
  [7550] = {.lex_state = 287, .external_lex_state = 5},
  [7551] = {.lex_state = 1318, .external_lex_state = 4},
  [7552] = {.lex_state = 249, .external_lex_state = 5},
  [7553] = {.lex_state = 1318, .external_lex_state = 5},
  [7554] = {.lex_state = 1318, .external_lex_state = 4},
  [7555] = {.lex_state = 1318, .external_lex_state = 4},
  [7556] = {.lex_state = 248, .external_lex_state = 5},
  [7557] = {.lex_state = 1318, .external_lex_state = 4},
  [7558] = {.lex_state = 1318, .external_lex_state = 4},
  [7559] = {.lex_state = 1318, .external_lex_state = 4},
  [7560] = {.lex_state = 287, .external_lex_state = 5},
  [7561] = {.lex_state = 298, .external_lex_state = 5},
  [7562] = {.lex_state = 1318, .external_lex_state = 4},
  [7563] = {.lex_state = 1318, .external_lex_state = 4},
  [7564] = {.lex_state = 1318, .external_lex_state = 4},
  [7565] = {.lex_state = 1318, .external_lex_state = 4},
  [7566] = {.lex_state = 1318, .external_lex_state = 4},
  [7567] = {.lex_state = 1318, .external_lex_state = 4},
  [7568] = {.lex_state = 1318, .external_lex_state = 4},
  [7569] = {.lex_state = 252, .external_lex_state = 5},
  [7570] = {.lex_state = 1318, .external_lex_state = 5},
  [7571] = {.lex_state = 1318, .external_lex_state = 4},
  [7572] = {.lex_state = 287, .external_lex_state = 5},
  [7573] = {.lex_state = 252, .external_lex_state = 5},
  [7574] = {.lex_state = 1318, .external_lex_state = 5},
  [7575] = {.lex_state = 1318, .external_lex_state = 4},
  [7576] = {.lex_state = 1318, .external_lex_state = 4},
  [7577] = {.lex_state = 1318, .external_lex_state = 4},
  [7578] = {.lex_state = 1318, .external_lex_state = 5},
  [7579] = {.lex_state = 1318, .external_lex_state = 4},
  [7580] = {.lex_state = 287, .external_lex_state = 5},
  [7581] = {.lex_state = 1318, .external_lex_state = 5},
  [7582] = {.lex_state = 1318, .external_lex_state = 5},
  [7583] = {.lex_state = 1318, .external_lex_state = 4},
  [7584] = {.lex_state = 1318, .external_lex_state = 5},
  [7585] = {.lex_state = 1318, .external_lex_state = 5},
  [7586] = {.lex_state = 1318, .external_lex_state = 4},
  [7587] = {.lex_state = 1318, .external_lex_state = 4},
  [7588] = {.lex_state = 287, .external_lex_state = 5},
  [7589] = {.lex_state = 1318, .external_lex_state = 5},
  [7590] = {.lex_state = 1318, .external_lex_state = 4},
  [7591] = {.lex_state = 1318, .external_lex_state = 4},
  [7592] = {.lex_state = 1318, .external_lex_state = 4},
  [7593] = {.lex_state = 287, .external_lex_state = 5},
  [7594] = {.lex_state = 1318, .external_lex_state = 4},
  [7595] = {.lex_state = 1318, .external_lex_state = 5},
  [7596] = {.lex_state = 1318, .external_lex_state = 4},
  [7597] = {.lex_state = 1318, .external_lex_state = 4},
  [7598] = {.lex_state = 1318, .external_lex_state = 5},
  [7599] = {.lex_state = 1318, .external_lex_state = 5},
  [7600] = {.lex_state = 1318, .external_lex_state = 5},
  [7601] = {.lex_state = 287, .external_lex_state = 5},
  [7602] = {.lex_state = 1318, .external_lex_state = 5},
  [7603] = {.lex_state = 1318, .external_lex_state = 4},
  [7604] = {.lex_state = 251, .external_lex_state = 5},
  [7605] = {.lex_state = 287, .external_lex_state = 4},
  [7606] = {.lex_state = 1318, .external_lex_state = 4},
  [7607] = {.lex_state = 1318, .external_lex_state = 4},
  [7608] = {.lex_state = 1318, .external_lex_state = 4},
  [7609] = {.lex_state = 1318, .external_lex_state = 5},
  [7610] = {.lex_state = 1318, .external_lex_state = 4},
  [7611] = {.lex_state = 298, .external_lex_state = 5},
  [7612] = {.lex_state = 287, .external_lex_state = 5},
  [7613] = {.lex_state = 1318, .external_lex_state = 4},
  [7614] = {.lex_state = 1318, .external_lex_state = 4},
  [7615] = {.lex_state = 1318, .external_lex_state = 5},
  [7616] = {.lex_state = 1318, .external_lex_state = 5},
  [7617] = {.lex_state = 1318, .external_lex_state = 4},
  [7618] = {.lex_state = 1318, .external_lex_state = 4},
  [7619] = {.lex_state = 1318, .external_lex_state = 4},
  [7620] = {.lex_state = 287, .external_lex_state = 5},
  [7621] = {.lex_state = 281, .external_lex_state = 5},
  [7622] = {.lex_state = 350, .external_lex_state = 5},
  [7623] = {.lex_state = 298, .external_lex_state = 5},
  [7624] = {.lex_state = 1318, .external_lex_state = 4},
  [7625] = {.lex_state = 281, .external_lex_state = 5},
  [7626] = {.lex_state = 252, .external_lex_state = 5},
  [7627] = {.lex_state = 317, .external_lex_state = 5},
  [7628] = {.lex_state = 1318, .external_lex_state = 9},
  [7629] = {.lex_state = 1318, .external_lex_state = 5},
  [7630] = {.lex_state = 1318, .external_lex_state = 5},
  [7631] = {.lex_state = 1318, .external_lex_state = 5},
  [7632] = {.lex_state = 1318, .external_lex_state = 5},
  [7633] = {.lex_state = 1318, .external_lex_state = 5},
  [7634] = {.lex_state = 1318, .external_lex_state = 5},
  [7635] = {.lex_state = 1318, .external_lex_state = 4},
  [7636] = {.lex_state = 1318, .external_lex_state = 5},
  [7637] = {.lex_state = 1318, .external_lex_state = 4},
  [7638] = {.lex_state = 1318, .external_lex_state = 4},
  [7639] = {.lex_state = 1318, .external_lex_state = 5},
  [7640] = {.lex_state = 284, .external_lex_state = 5},
  [7641] = {.lex_state = 1318, .external_lex_state = 5},
  [7642] = {.lex_state = 1318, .external_lex_state = 4},
  [7643] = {.lex_state = 1318, .external_lex_state = 5},
  [7644] = {.lex_state = 1318, .external_lex_state = 4},
  [7645] = {.lex_state = 1318, .external_lex_state = 5},
  [7646] = {.lex_state = 1318, .external_lex_state = 5},
  [7647] = {.lex_state = 1318, .external_lex_state = 4},
  [7648] = {.lex_state = 1318, .external_lex_state = 5},
  [7649] = {.lex_state = 1318, .external_lex_state = 5},
  [7650] = {.lex_state = 1318, .external_lex_state = 4},
  [7651] = {.lex_state = 1318, .external_lex_state = 4},
  [7652] = {.lex_state = 241, .external_lex_state = 5},
  [7653] = {.lex_state = 1318, .external_lex_state = 5},
  [7654] = {.lex_state = 1318, .external_lex_state = 5},
  [7655] = {.lex_state = 1318, .external_lex_state = 5},
  [7656] = {.lex_state = 248, .external_lex_state = 5},
  [7657] = {.lex_state = 282, .external_lex_state = 5},
  [7658] = {.lex_state = 1318, .external_lex_state = 4},
  [7659] = {.lex_state = 1318, .external_lex_state = 5},
  [7660] = {.lex_state = 317, .external_lex_state = 4},
  [7661] = {.lex_state = 1318, .external_lex_state = 9},
  [7662] = {.lex_state = 350, .external_lex_state = 5},
  [7663] = {.lex_state = 281, .external_lex_state = 5},
  [7664] = {.lex_state = 1318, .external_lex_state = 5},
  [7665] = {.lex_state = 1318, .external_lex_state = 5},
  [7666] = {.lex_state = 1318, .external_lex_state = 5},
  [7667] = {.lex_state = 1318, .external_lex_state = 4},
  [7668] = {.lex_state = 1318, .external_lex_state = 5},
  [7669] = {.lex_state = 1318, .external_lex_state = 5},
  [7670] = {.lex_state = 1318, .external_lex_state = 4},
  [7671] = {.lex_state = 1318, .external_lex_state = 4},
  [7672] = {.lex_state = 1318, .external_lex_state = 5},
  [7673] = {.lex_state = 1318, .external_lex_state = 5},
  [7674] = {.lex_state = 1318, .external_lex_state = 5},
  [7675] = {.lex_state = 110, .external_lex_state = 5},
  [7676] = {.lex_state = 252, .external_lex_state = 5},
  [7677] = {.lex_state = 110, .external_lex_state = 5},
  [7678] = {.lex_state = 110, .external_lex_state = 5},
  [7679] = {.lex_state = 1318, .external_lex_state = 4},
  [7680] = {.lex_state = 1318, .external_lex_state = 4},
  [7681] = {.lex_state = 1318, .external_lex_state = 5},
  [7682] = {.lex_state = 111, .external_lex_state = 5},
  [7683] = {.lex_state = 111, .external_lex_state = 5},
  [7684] = {.lex_state = 1318, .external_lex_state = 4},
  [7685] = {.lex_state = 111, .external_lex_state = 5},
  [7686] = {.lex_state = 111, .external_lex_state = 5},
  [7687] = {.lex_state = 1318, .external_lex_state = 4},
  [7688] = {.lex_state = 111, .external_lex_state = 5},
  [7689] = {.lex_state = 111, .external_lex_state = 5},
  [7690] = {.lex_state = 352, .external_lex_state = 5},
  [7691] = {.lex_state = 352, .external_lex_state = 5},
  [7692] = {.lex_state = 111, .external_lex_state = 5},
  [7693] = {.lex_state = 111, .external_lex_state = 5},
  [7694] = {.lex_state = 352, .external_lex_state = 5},
  [7695] = {.lex_state = 111, .external_lex_state = 5},
  [7696] = {.lex_state = 111, .external_lex_state = 5},
  [7697] = {.lex_state = 111, .external_lex_state = 5},
  [7698] = {.lex_state = 111, .external_lex_state = 5},
  [7699] = {.lex_state = 111, .external_lex_state = 5},
  [7700] = {.lex_state = 287, .external_lex_state = 5},
  [7701] = {.lex_state = 111, .external_lex_state = 5},
  [7702] = {.lex_state = 111, .external_lex_state = 5},
  [7703] = {.lex_state = 1318, .external_lex_state = 5},
  [7704] = {.lex_state = 111, .external_lex_state = 5},
  [7705] = {.lex_state = 111, .external_lex_state = 5},
  [7706] = {.lex_state = 111, .external_lex_state = 5},
  [7707] = {.lex_state = 111, .external_lex_state = 5},
  [7708] = {.lex_state = 111, .external_lex_state = 5},
  [7709] = {.lex_state = 1318, .external_lex_state = 4},
  [7710] = {.lex_state = 1318, .external_lex_state = 4},
  [7711] = {.lex_state = 111, .external_lex_state = 5},
  [7712] = {.lex_state = 111, .external_lex_state = 5},
  [7713] = {.lex_state = 1318, .external_lex_state = 4},
  [7714] = {.lex_state = 1318, .external_lex_state = 4},
  [7715] = {.lex_state = 111, .external_lex_state = 5},
  [7716] = {.lex_state = 111, .external_lex_state = 5},
  [7717] = {.lex_state = 287, .external_lex_state = 5},
  [7718] = {.lex_state = 111, .external_lex_state = 5},
  [7719] = {.lex_state = 111, .external_lex_state = 5},
  [7720] = {.lex_state = 352, .external_lex_state = 5},
  [7721] = {.lex_state = 111, .external_lex_state = 5},
  [7722] = {.lex_state = 111, .external_lex_state = 5},
  [7723] = {.lex_state = 1318, .external_lex_state = 4},
  [7724] = {.lex_state = 1318, .external_lex_state = 4},
  [7725] = {.lex_state = 111, .external_lex_state = 5},
  [7726] = {.lex_state = 111, .external_lex_state = 5},
  [7727] = {.lex_state = 1318, .external_lex_state = 4},
  [7728] = {.lex_state = 317, .external_lex_state = 5},
  [7729] = {.lex_state = 111, .external_lex_state = 5},
  [7730] = {.lex_state = 111, .external_lex_state = 5},
  [7731] = {.lex_state = 1318, .external_lex_state = 4},
  [7732] = {.lex_state = 111, .external_lex_state = 5},
  [7733] = {.lex_state = 111, .external_lex_state = 5},
  [7734] = {.lex_state = 1318, .external_lex_state = 4},
  [7735] = {.lex_state = 1318, .external_lex_state = 4},
  [7736] = {.lex_state = 111, .external_lex_state = 5},
  [7737] = {.lex_state = 111, .external_lex_state = 5},
  [7738] = {.lex_state = 1318, .external_lex_state = 4},
  [7739] = {.lex_state = 111, .external_lex_state = 5},
  [7740] = {.lex_state = 111, .external_lex_state = 5},
  [7741] = {.lex_state = 1318, .external_lex_state = 4},
  [7742] = {.lex_state = 287, .external_lex_state = 5},
  [7743] = {.lex_state = 111, .external_lex_state = 5},
  [7744] = {.lex_state = 111, .external_lex_state = 5},
  [7745] = {.lex_state = 1318, .external_lex_state = 5},
  [7746] = {.lex_state = 287, .external_lex_state = 5},
  [7747] = {.lex_state = 111, .external_lex_state = 5},
  [7748] = {.lex_state = 1318, .external_lex_state = 4},
  [7749] = {.lex_state = 1318, .external_lex_state = 4},
  [7750] = {.lex_state = 1318, .external_lex_state = 4},
  [7751] = {.lex_state = 1318, .external_lex_state = 5},
  [7752] = {.lex_state = 249, .external_lex_state = 5},
  [7753] = {.lex_state = 1318, .external_lex_state = 4},
  [7754] = {.lex_state = 1318, .external_lex_state = 5},
  [7755] = {.lex_state = 1318, .external_lex_state = 4},
  [7756] = {.lex_state = 1318, .external_lex_state = 4},
  [7757] = {.lex_state = 1318, .external_lex_state = 4},
  [7758] = {.lex_state = 1318, .external_lex_state = 4},
  [7759] = {.lex_state = 111, .external_lex_state = 5},
  [7760] = {.lex_state = 1318, .external_lex_state = 4},
  [7761] = {.lex_state = 287, .external_lex_state = 5},
  [7762] = {.lex_state = 1318, .external_lex_state = 5},
  [7763] = {.lex_state = 317, .external_lex_state = 5},
  [7764] = {.lex_state = 111, .external_lex_state = 5},
  [7765] = {.lex_state = 249, .external_lex_state = 5},
  [7766] = {.lex_state = 1318, .external_lex_state = 4},
  [7767] = {.lex_state = 317, .external_lex_state = 5},
  [7768] = {.lex_state = 1318, .external_lex_state = 4},
  [7769] = {.lex_state = 1318, .external_lex_state = 4},
  [7770] = {.lex_state = 1318, .external_lex_state = 4},
  [7771] = {.lex_state = 1318, .external_lex_state = 4},
  [7772] = {.lex_state = 287, .external_lex_state = 5},
  [7773] = {.lex_state = 287, .external_lex_state = 5},
  [7774] = {.lex_state = 287, .external_lex_state = 5},
  [7775] = {.lex_state = 287, .external_lex_state = 5},
  [7776] = {.lex_state = 1318, .external_lex_state = 4},
  [7777] = {.lex_state = 1318, .external_lex_state = 4},
  [7778] = {.lex_state = 111, .external_lex_state = 5},
  [7779] = {.lex_state = 1318, .external_lex_state = 4},
  [7780] = {.lex_state = 1318, .external_lex_state = 4},
  [7781] = {.lex_state = 1318, .external_lex_state = 4},
  [7782] = {.lex_state = 1318, .external_lex_state = 4},
  [7783] = {.lex_state = 1318, .external_lex_state = 4},
  [7784] = {.lex_state = 1318, .external_lex_state = 5},
  [7785] = {.lex_state = 111, .external_lex_state = 5},
  [7786] = {.lex_state = 1318, .external_lex_state = 4},
  [7787] = {.lex_state = 1318, .external_lex_state = 5},
  [7788] = {.lex_state = 1318, .external_lex_state = 4},
  [7789] = {.lex_state = 317, .external_lex_state = 5},
  [7790] = {.lex_state = 1318, .external_lex_state = 4},
  [7791] = {.lex_state = 317, .external_lex_state = 5},
  [7792] = {.lex_state = 111, .external_lex_state = 5},
  [7793] = {.lex_state = 317, .external_lex_state = 5},
  [7794] = {.lex_state = 1318, .external_lex_state = 4},
  [7795] = {.lex_state = 111, .external_lex_state = 5},
  [7796] = {.lex_state = 1318, .external_lex_state = 4},
  [7797] = {.lex_state = 241, .external_lex_state = 5},
  [7798] = {.lex_state = 350, .external_lex_state = 5},
  [7799] = {.lex_state = 1318, .external_lex_state = 4},
  [7800] = {.lex_state = 1318, .external_lex_state = 4},
  [7801] = {.lex_state = 1318, .external_lex_state = 4},
  [7802] = {.lex_state = 111, .external_lex_state = 5},
  [7803] = {.lex_state = 1318, .external_lex_state = 5},
  [7804] = {.lex_state = 1318, .external_lex_state = 4},
  [7805] = {.lex_state = 1318, .external_lex_state = 4},
  [7806] = {.lex_state = 1318, .external_lex_state = 4},
  [7807] = {.lex_state = 111, .external_lex_state = 5},
  [7808] = {.lex_state = 1318, .external_lex_state = 4},
  [7809] = {.lex_state = 1318, .external_lex_state = 4},
  [7810] = {.lex_state = 317, .external_lex_state = 5},
  [7811] = {.lex_state = 111, .external_lex_state = 5},
  [7812] = {.lex_state = 317, .external_lex_state = 5},
  [7813] = {.lex_state = 1318, .external_lex_state = 4},
  [7814] = {.lex_state = 1318, .external_lex_state = 4},
  [7815] = {.lex_state = 287, .external_lex_state = 5},
  [7816] = {.lex_state = 1318, .external_lex_state = 4},
  [7817] = {.lex_state = 1318, .external_lex_state = 5},
  [7818] = {.lex_state = 1318, .external_lex_state = 4},
  [7819] = {.lex_state = 1318, .external_lex_state = 5},
  [7820] = {.lex_state = 1318, .external_lex_state = 4},
  [7821] = {.lex_state = 1318, .external_lex_state = 4},
  [7822] = {.lex_state = 1318, .external_lex_state = 4},
  [7823] = {.lex_state = 287, .external_lex_state = 5},
  [7824] = {.lex_state = 1318, .external_lex_state = 4},
  [7825] = {.lex_state = 111, .external_lex_state = 5},
  [7826] = {.lex_state = 1318, .external_lex_state = 4},
  [7827] = {.lex_state = 1318, .external_lex_state = 4},
  [7828] = {.lex_state = 111, .external_lex_state = 5},
  [7829] = {.lex_state = 287, .external_lex_state = 5},
  [7830] = {.lex_state = 1318, .external_lex_state = 4},
  [7831] = {.lex_state = 1318, .external_lex_state = 4},
  [7832] = {.lex_state = 1318, .external_lex_state = 5},
  [7833] = {.lex_state = 287, .external_lex_state = 5},
  [7834] = {.lex_state = 1318, .external_lex_state = 4},
  [7835] = {.lex_state = 1318, .external_lex_state = 4},
  [7836] = {.lex_state = 1318, .external_lex_state = 4},
  [7837] = {.lex_state = 287, .external_lex_state = 5},
  [7838] = {.lex_state = 287, .external_lex_state = 5},
  [7839] = {.lex_state = 287, .external_lex_state = 5},
  [7840] = {.lex_state = 287, .external_lex_state = 5},
  [7841] = {.lex_state = 1318, .external_lex_state = 4},
  [7842] = {.lex_state = 119, .external_lex_state = 5},
  [7843] = {.lex_state = 1318, .external_lex_state = 4},
  [7844] = {.lex_state = 1318, .external_lex_state = 4},
  [7845] = {.lex_state = 111, .external_lex_state = 5},
  [7846] = {.lex_state = 317, .external_lex_state = 5},
  [7847] = {.lex_state = 1318, .external_lex_state = 4},
  [7848] = {.lex_state = 1318, .external_lex_state = 4},
  [7849] = {.lex_state = 111, .external_lex_state = 5},
  [7850] = {.lex_state = 281, .external_lex_state = 5},
  [7851] = {.lex_state = 1318, .external_lex_state = 4},
  [7852] = {.lex_state = 111, .external_lex_state = 5},
  [7853] = {.lex_state = 1318, .external_lex_state = 4},
  [7854] = {.lex_state = 1318, .external_lex_state = 4},
  [7855] = {.lex_state = 1318, .external_lex_state = 4},
  [7856] = {.lex_state = 1318, .external_lex_state = 4},
  [7857] = {.lex_state = 1318, .external_lex_state = 4},
  [7858] = {.lex_state = 287, .external_lex_state = 5},
  [7859] = {.lex_state = 1318, .external_lex_state = 4},
  [7860] = {.lex_state = 1318, .external_lex_state = 4},
  [7861] = {.lex_state = 353, .external_lex_state = 5},
  [7862] = {.lex_state = 1318, .external_lex_state = 4},
  [7863] = {.lex_state = 1318, .external_lex_state = 4},
  [7864] = {.lex_state = 287, .external_lex_state = 5},
  [7865] = {.lex_state = 1318, .external_lex_state = 5},
  [7866] = {.lex_state = 1318, .external_lex_state = 4},
  [7867] = {.lex_state = 111, .external_lex_state = 5},
  [7868] = {.lex_state = 352, .external_lex_state = 5},
  [7869] = {.lex_state = 1318, .external_lex_state = 4},
  [7870] = {.lex_state = 111, .external_lex_state = 5},
  [7871] = {.lex_state = 1318, .external_lex_state = 4},
  [7872] = {.lex_state = 1318, .external_lex_state = 4},
  [7873] = {.lex_state = 1318, .external_lex_state = 5},
  [7874] = {.lex_state = 317, .external_lex_state = 5},
  [7875] = {.lex_state = 1318, .external_lex_state = 4},
  [7876] = {.lex_state = 287, .external_lex_state = 5},
  [7877] = {.lex_state = 1318, .external_lex_state = 4},
  [7878] = {.lex_state = 317, .external_lex_state = 5},
  [7879] = {.lex_state = 1318, .external_lex_state = 4},
  [7880] = {.lex_state = 1318, .external_lex_state = 4},
  [7881] = {.lex_state = 287, .external_lex_state = 5},
  [7882] = {.lex_state = 111, .external_lex_state = 5},
  [7883] = {.lex_state = 1318, .external_lex_state = 4},
  [7884] = {.lex_state = 1318, .external_lex_state = 4},
  [7885] = {.lex_state = 287, .external_lex_state = 5},
  [7886] = {.lex_state = 241, .external_lex_state = 5},
  [7887] = {.lex_state = 111, .external_lex_state = 5},
  [7888] = {.lex_state = 1318, .external_lex_state = 4},
  [7889] = {.lex_state = 1318, .external_lex_state = 4},
  [7890] = {.lex_state = 1318, .external_lex_state = 4},
  [7891] = {.lex_state = 1318, .external_lex_state = 4},
  [7892] = {.lex_state = 111, .external_lex_state = 5},
  [7893] = {.lex_state = 317, .external_lex_state = 5},
  [7894] = {.lex_state = 1318, .external_lex_state = 4},
  [7895] = {.lex_state = 1318, .external_lex_state = 4},
  [7896] = {.lex_state = 1318, .external_lex_state = 4},
  [7897] = {.lex_state = 111, .external_lex_state = 5},
  [7898] = {.lex_state = 1318, .external_lex_state = 5},
  [7899] = {.lex_state = 1318, .external_lex_state = 4},
  [7900] = {.lex_state = 111, .external_lex_state = 5},
  [7901] = {.lex_state = 287, .external_lex_state = 5},
  [7902] = {.lex_state = 1318, .external_lex_state = 4},
  [7903] = {.lex_state = 1318, .external_lex_state = 5},
  [7904] = {.lex_state = 287, .external_lex_state = 5},
  [7905] = {.lex_state = 1318, .external_lex_state = 4},
  [7906] = {.lex_state = 1318, .external_lex_state = 4},
  [7907] = {.lex_state = 1318, .external_lex_state = 4},
  [7908] = {.lex_state = 1318, .external_lex_state = 4},
  [7909] = {.lex_state = 1318, .external_lex_state = 5},
  [7910] = {.lex_state = 1318, .external_lex_state = 4},
  [7911] = {.lex_state = 111, .external_lex_state = 5},
  [7912] = {.lex_state = 111, .external_lex_state = 5},
  [7913] = {.lex_state = 1318, .external_lex_state = 4},
  [7914] = {.lex_state = 317, .external_lex_state = 5},
  [7915] = {.lex_state = 111, .external_lex_state = 5},
  [7916] = {.lex_state = 111, .external_lex_state = 5},
  [7917] = {.lex_state = 1318, .external_lex_state = 5},
  [7918] = {.lex_state = 1318, .external_lex_state = 4},
  [7919] = {.lex_state = 1318, .external_lex_state = 4},
  [7920] = {.lex_state = 287, .external_lex_state = 5},
  [7921] = {.lex_state = 1318, .external_lex_state = 4},
  [7922] = {.lex_state = 1318, .external_lex_state = 4},
  [7923] = {.lex_state = 1318, .external_lex_state = 4},
  [7924] = {.lex_state = 1318, .external_lex_state = 4},
  [7925] = {.lex_state = 1318, .external_lex_state = 5},
  [7926] = {.lex_state = 111, .external_lex_state = 5},
  [7927] = {.lex_state = 1318, .external_lex_state = 4},
  [7928] = {.lex_state = 1318, .external_lex_state = 4},
  [7929] = {.lex_state = 1318, .external_lex_state = 4},
  [7930] = {.lex_state = 1318, .external_lex_state = 4},
  [7931] = {.lex_state = 1318, .external_lex_state = 5},
  [7932] = {.lex_state = 1318, .external_lex_state = 5},
  [7933] = {.lex_state = 1318, .external_lex_state = 4},
  [7934] = {.lex_state = 119, .external_lex_state = 5},
  [7935] = {.lex_state = 1318, .external_lex_state = 4},
  [7936] = {.lex_state = 1318, .external_lex_state = 4},
  [7937] = {.lex_state = 287, .external_lex_state = 5},
  [7938] = {.lex_state = 1318, .external_lex_state = 4},
  [7939] = {.lex_state = 1318, .external_lex_state = 4},
  [7940] = {.lex_state = 1318, .external_lex_state = 4},
  [7941] = {.lex_state = 317, .external_lex_state = 5},
  [7942] = {.lex_state = 1318, .external_lex_state = 4},
  [7943] = {.lex_state = 111, .external_lex_state = 5},
  [7944] = {.lex_state = 1318, .external_lex_state = 4},
  [7945] = {.lex_state = 1318, .external_lex_state = 5},
  [7946] = {.lex_state = 1318, .external_lex_state = 4},
  [7947] = {.lex_state = 111, .external_lex_state = 5},
  [7948] = {.lex_state = 1318, .external_lex_state = 4},
  [7949] = {.lex_state = 1318, .external_lex_state = 4},
  [7950] = {.lex_state = 1318, .external_lex_state = 4},
  [7951] = {.lex_state = 352, .external_lex_state = 5},
  [7952] = {.lex_state = 1318, .external_lex_state = 4},
  [7953] = {.lex_state = 111, .external_lex_state = 5},
  [7954] = {.lex_state = 111, .external_lex_state = 5},
  [7955] = {.lex_state = 111, .external_lex_state = 5},
  [7956] = {.lex_state = 1318, .external_lex_state = 4},
  [7957] = {.lex_state = 1318, .external_lex_state = 4},
  [7958] = {.lex_state = 1318, .external_lex_state = 4},
  [7959] = {.lex_state = 1318, .external_lex_state = 4},
  [7960] = {.lex_state = 111, .external_lex_state = 5},
  [7961] = {.lex_state = 1318, .external_lex_state = 4},
  [7962] = {.lex_state = 287, .external_lex_state = 5},
  [7963] = {.lex_state = 1318, .external_lex_state = 4},
  [7964] = {.lex_state = 1318, .external_lex_state = 4},
  [7965] = {.lex_state = 1318, .external_lex_state = 5},
  [7966] = {.lex_state = 1318, .external_lex_state = 4},
  [7967] = {.lex_state = 1318, .external_lex_state = 4},
  [7968] = {.lex_state = 1318, .external_lex_state = 4},
  [7969] = {.lex_state = 317, .external_lex_state = 5},
  [7970] = {.lex_state = 1318, .external_lex_state = 4},
  [7971] = {.lex_state = 287, .external_lex_state = 5},
  [7972] = {.lex_state = 353, .external_lex_state = 5},
  [7973] = {.lex_state = 1318, .external_lex_state = 4},
  [7974] = {.lex_state = 111, .external_lex_state = 5},
  [7975] = {.lex_state = 1318, .external_lex_state = 4},
  [7976] = {.lex_state = 317, .external_lex_state = 5},
  [7977] = {.lex_state = 1318, .external_lex_state = 4},
  [7978] = {.lex_state = 1318, .external_lex_state = 4},
  [7979] = {.lex_state = 1318, .external_lex_state = 4},
  [7980] = {.lex_state = 111, .external_lex_state = 5},
  [7981] = {.lex_state = 1318, .external_lex_state = 5},
  [7982] = {.lex_state = 1318, .external_lex_state = 4},
  [7983] = {.lex_state = 1318, .external_lex_state = 4},
  [7984] = {.lex_state = 1318, .external_lex_state = 4},
  [7985] = {.lex_state = 1318, .external_lex_state = 4},
  [7986] = {.lex_state = 352, .external_lex_state = 5},
  [7987] = {.lex_state = 1318, .external_lex_state = 5},
  [7988] = {.lex_state = 1318, .external_lex_state = 4},
  [7989] = {.lex_state = 1318, .external_lex_state = 4},
  [7990] = {.lex_state = 1318, .external_lex_state = 5},
  [7991] = {.lex_state = 1318, .external_lex_state = 4},
  [7992] = {.lex_state = 1318, .external_lex_state = 4},
  [7993] = {.lex_state = 111, .external_lex_state = 5},
  [7994] = {.lex_state = 1318, .external_lex_state = 4},
  [7995] = {.lex_state = 1318, .external_lex_state = 5},
  [7996] = {.lex_state = 1318, .external_lex_state = 4},
  [7997] = {.lex_state = 1318, .external_lex_state = 5},
  [7998] = {.lex_state = 287, .external_lex_state = 5},
  [7999] = {.lex_state = 1318, .external_lex_state = 4},
  [8000] = {.lex_state = 1318, .external_lex_state = 4},
  [8001] = {.lex_state = 111, .external_lex_state = 5},
  [8002] = {.lex_state = 1318, .external_lex_state = 4},
  [8003] = {.lex_state = 287, .external_lex_state = 5},
  [8004] = {.lex_state = 1318, .external_lex_state = 4},
  [8005] = {.lex_state = 1318, .external_lex_state = 4},
  [8006] = {.lex_state = 1318, .external_lex_state = 4},
  [8007] = {.lex_state = 1318, .external_lex_state = 4},
  [8008] = {.lex_state = 287, .external_lex_state = 5},
  [8009] = {.lex_state = 1318, .external_lex_state = 4},
  [8010] = {.lex_state = 111, .external_lex_state = 5},
  [8011] = {.lex_state = 1318, .external_lex_state = 4},
  [8012] = {.lex_state = 1318, .external_lex_state = 4},
  [8013] = {.lex_state = 1318, .external_lex_state = 4},
  [8014] = {.lex_state = 1318, .external_lex_state = 5},
  [8015] = {.lex_state = 1318, .external_lex_state = 4},
  [8016] = {.lex_state = 1318, .external_lex_state = 4},
  [8017] = {.lex_state = 1318, .external_lex_state = 5},
  [8018] = {.lex_state = 353, .external_lex_state = 5},
  [8019] = {.lex_state = 1318, .external_lex_state = 5},
  [8020] = {.lex_state = 287, .external_lex_state = 5},
  [8021] = {.lex_state = 111, .external_lex_state = 5},
  [8022] = {.lex_state = 1318, .external_lex_state = 4},
  [8023] = {.lex_state = 111, .external_lex_state = 5},
  [8024] = {.lex_state = 317, .external_lex_state = 5},
  [8025] = {.lex_state = 241, .external_lex_state = 5},
  [8026] = {.lex_state = 111, .external_lex_state = 5},
  [8027] = {.lex_state = 241, .external_lex_state = 5},
  [8028] = {.lex_state = 317, .external_lex_state = 5},
  [8029] = {.lex_state = 111, .external_lex_state = 5},
  [8030] = {.lex_state = 1318, .external_lex_state = 5},
  [8031] = {.lex_state = 1318, .external_lex_state = 4},
  [8032] = {.lex_state = 287, .external_lex_state = 5},
  [8033] = {.lex_state = 111, .external_lex_state = 5},
  [8034] = {.lex_state = 111, .external_lex_state = 5},
  [8035] = {.lex_state = 320, .external_lex_state = 5},
  [8036] = {.lex_state = 1318, .external_lex_state = 4},
  [8037] = {.lex_state = 111, .external_lex_state = 5},
  [8038] = {.lex_state = 111, .external_lex_state = 5},
  [8039] = {.lex_state = 1318, .external_lex_state = 4},
  [8040] = {.lex_state = 111, .external_lex_state = 5},
  [8041] = {.lex_state = 1318, .external_lex_state = 4},
  [8042] = {.lex_state = 119, .external_lex_state = 5},
  [8043] = {.lex_state = 1318, .external_lex_state = 4},
  [8044] = {.lex_state = 111, .external_lex_state = 5},
  [8045] = {.lex_state = 111, .external_lex_state = 5},
  [8046] = {.lex_state = 119, .external_lex_state = 5},
  [8047] = {.lex_state = 1318, .external_lex_state = 4},
  [8048] = {.lex_state = 1318, .external_lex_state = 5},
  [8049] = {.lex_state = 1318, .external_lex_state = 4},
  [8050] = {.lex_state = 1318, .external_lex_state = 4},
  [8051] = {.lex_state = 1318, .external_lex_state = 4},
  [8052] = {.lex_state = 1318, .external_lex_state = 5},
  [8053] = {.lex_state = 111, .external_lex_state = 5},
  [8054] = {.lex_state = 1318, .external_lex_state = 4},
  [8055] = {.lex_state = 119, .external_lex_state = 5},
  [8056] = {.lex_state = 111, .external_lex_state = 5},
  [8057] = {.lex_state = 1318, .external_lex_state = 5},
  [8058] = {.lex_state = 1318, .external_lex_state = 4},
  [8059] = {.lex_state = 1318, .external_lex_state = 4},
  [8060] = {.lex_state = 119, .external_lex_state = 5},
  [8061] = {.lex_state = 1318, .external_lex_state = 5},
  [8062] = {.lex_state = 111, .external_lex_state = 5},
  [8063] = {.lex_state = 111, .external_lex_state = 5},
  [8064] = {.lex_state = 111, .external_lex_state = 5},
  [8065] = {.lex_state = 1318, .external_lex_state = 4},
  [8066] = {.lex_state = 317, .external_lex_state = 5},
  [8067] = {.lex_state = 111, .external_lex_state = 5},
  [8068] = {.lex_state = 111, .external_lex_state = 5},
  [8069] = {.lex_state = 241, .external_lex_state = 5},
  [8070] = {.lex_state = 111, .external_lex_state = 5},
  [8071] = {.lex_state = 111, .external_lex_state = 5},
  [8072] = {.lex_state = 1318, .external_lex_state = 4},
  [8073] = {.lex_state = 1318, .external_lex_state = 5},
  [8074] = {.lex_state = 1318, .external_lex_state = 4},
  [8075] = {.lex_state = 1318, .external_lex_state = 4},
  [8076] = {.lex_state = 111, .external_lex_state = 5},
  [8077] = {.lex_state = 287, .external_lex_state = 5},
  [8078] = {.lex_state = 287, .external_lex_state = 5},
  [8079] = {.lex_state = 1318, .external_lex_state = 5},
  [8080] = {.lex_state = 317, .external_lex_state = 5},
  [8081] = {.lex_state = 294, .external_lex_state = 5},
  [8082] = {.lex_state = 287, .external_lex_state = 5},
  [8083] = {.lex_state = 317, .external_lex_state = 5},
  [8084] = {.lex_state = 294, .external_lex_state = 5},
  [8085] = {.lex_state = 294, .external_lex_state = 5},
  [8086] = {.lex_state = 294, .external_lex_state = 5},
  [8087] = {.lex_state = 1318, .external_lex_state = 5},
  [8088] = {.lex_state = 317, .external_lex_state = 5},
  [8089] = {.lex_state = 294, .external_lex_state = 5},
  [8090] = {.lex_state = 294, .external_lex_state = 5},
  [8091] = {.lex_state = 294, .external_lex_state = 5},
  [8092] = {.lex_state = 294, .external_lex_state = 5},
  [8093] = {.lex_state = 294, .external_lex_state = 5},
  [8094] = {.lex_state = 1318, .external_lex_state = 13},
  [8095] = {.lex_state = 119, .external_lex_state = 5},
  [8096] = {.lex_state = 287, .external_lex_state = 5},
  [8097] = {.lex_state = 317, .external_lex_state = 5},
  [8098] = {.lex_state = 112, .external_lex_state = 5},
  [8099] = {.lex_state = 317, .external_lex_state = 5},
  [8100] = {.lex_state = 294, .external_lex_state = 5},
  [8101] = {.lex_state = 294, .external_lex_state = 5},
  [8102] = {.lex_state = 112, .external_lex_state = 5},
  [8103] = {.lex_state = 294, .external_lex_state = 5},
  [8104] = {.lex_state = 294, .external_lex_state = 5},
  [8105] = {.lex_state = 1318, .external_lex_state = 5},
  [8106] = {.lex_state = 101, .external_lex_state = 5},
  [8107] = {.lex_state = 294, .external_lex_state = 5},
  [8108] = {.lex_state = 294, .external_lex_state = 5},
  [8109] = {.lex_state = 294, .external_lex_state = 5},
  [8110] = {.lex_state = 112, .external_lex_state = 5},
  [8111] = {.lex_state = 294, .external_lex_state = 5},
  [8112] = {.lex_state = 294, .external_lex_state = 5},
  [8113] = {.lex_state = 294, .external_lex_state = 5},
  [8114] = {.lex_state = 294, .external_lex_state = 5},
  [8115] = {.lex_state = 112, .external_lex_state = 5},
  [8116] = {.lex_state = 294, .external_lex_state = 5},
  [8117] = {.lex_state = 1318, .external_lex_state = 5},
  [8118] = {.lex_state = 294, .external_lex_state = 5},
  [8119] = {.lex_state = 294, .external_lex_state = 5},
  [8120] = {.lex_state = 294, .external_lex_state = 5},
  [8121] = {.lex_state = 317, .external_lex_state = 5},
  [8122] = {.lex_state = 294, .external_lex_state = 5},
  [8123] = {.lex_state = 317, .external_lex_state = 5},
  [8124] = {.lex_state = 1318, .external_lex_state = 5},
  [8125] = {.lex_state = 294, .external_lex_state = 5},
  [8126] = {.lex_state = 294, .external_lex_state = 5},
  [8127] = {.lex_state = 294, .external_lex_state = 5},
  [8128] = {.lex_state = 1318, .external_lex_state = 5},
  [8129] = {.lex_state = 241, .external_lex_state = 5},
  [8130] = {.lex_state = 1318, .external_lex_state = 5},
  [8131] = {.lex_state = 294, .external_lex_state = 5},
  [8132] = {.lex_state = 1318, .external_lex_state = 5},
  [8133] = {.lex_state = 294, .external_lex_state = 5},
  [8134] = {.lex_state = 294, .external_lex_state = 5},
  [8135] = {.lex_state = 119, .external_lex_state = 5},
  [8136] = {.lex_state = 294, .external_lex_state = 5},
  [8137] = {.lex_state = 294, .external_lex_state = 5},
  [8138] = {.lex_state = 112, .external_lex_state = 5},
  [8139] = {.lex_state = 294, .external_lex_state = 5},
  [8140] = {.lex_state = 112, .external_lex_state = 5},
  [8141] = {.lex_state = 294, .external_lex_state = 5},
  [8142] = {.lex_state = 294, .external_lex_state = 5},
  [8143] = {.lex_state = 294, .external_lex_state = 5},
  [8144] = {.lex_state = 112, .external_lex_state = 5},
  [8145] = {.lex_state = 294, .external_lex_state = 5},
  [8146] = {.lex_state = 294, .external_lex_state = 5},
  [8147] = {.lex_state = 287, .external_lex_state = 5},
  [8148] = {.lex_state = 112, .external_lex_state = 5},
  [8149] = {.lex_state = 294, .external_lex_state = 5},
  [8150] = {.lex_state = 294, .external_lex_state = 5},
  [8151] = {.lex_state = 294, .external_lex_state = 5},
  [8152] = {.lex_state = 294, .external_lex_state = 5},
  [8153] = {.lex_state = 294, .external_lex_state = 5},
  [8154] = {.lex_state = 287, .external_lex_state = 5},
  [8155] = {.lex_state = 317, .external_lex_state = 5},
  [8156] = {.lex_state = 1318, .external_lex_state = 5},
  [8157] = {.lex_state = 294, .external_lex_state = 5},
  [8158] = {.lex_state = 294, .external_lex_state = 5},
  [8159] = {.lex_state = 294, .external_lex_state = 5},
  [8160] = {.lex_state = 294, .external_lex_state = 5},
  [8161] = {.lex_state = 354, .external_lex_state = 5},
  [8162] = {.lex_state = 294, .external_lex_state = 5},
  [8163] = {.lex_state = 294, .external_lex_state = 5},
  [8164] = {.lex_state = 1318, .external_lex_state = 5},
  [8165] = {.lex_state = 294, .external_lex_state = 5},
  [8166] = {.lex_state = 294, .external_lex_state = 5},
  [8167] = {.lex_state = 119, .external_lex_state = 5},
  [8168] = {.lex_state = 294, .external_lex_state = 5},
  [8169] = {.lex_state = 294, .external_lex_state = 5},
  [8170] = {.lex_state = 112, .external_lex_state = 5},
  [8171] = {.lex_state = 1318, .external_lex_state = 13},
  [8172] = {.lex_state = 112, .external_lex_state = 5},
  [8173] = {.lex_state = 294, .external_lex_state = 5},
  [8174] = {.lex_state = 294, .external_lex_state = 5},
  [8175] = {.lex_state = 1318, .external_lex_state = 5},
  [8176] = {.lex_state = 112, .external_lex_state = 5},
  [8177] = {.lex_state = 294, .external_lex_state = 5},
  [8178] = {.lex_state = 294, .external_lex_state = 5},
  [8179] = {.lex_state = 294, .external_lex_state = 5},
  [8180] = {.lex_state = 1318, .external_lex_state = 5},
  [8181] = {.lex_state = 294, .external_lex_state = 5},
  [8182] = {.lex_state = 294, .external_lex_state = 5},
  [8183] = {.lex_state = 294, .external_lex_state = 5},
  [8184] = {.lex_state = 294, .external_lex_state = 5},
  [8185] = {.lex_state = 119, .external_lex_state = 5},
  [8186] = {.lex_state = 294, .external_lex_state = 5},
  [8187] = {.lex_state = 294, .external_lex_state = 5},
  [8188] = {.lex_state = 294, .external_lex_state = 5},
  [8189] = {.lex_state = 294, .external_lex_state = 5},
  [8190] = {.lex_state = 294, .external_lex_state = 5},
  [8191] = {.lex_state = 294, .external_lex_state = 5},
  [8192] = {.lex_state = 294, .external_lex_state = 5},
  [8193] = {.lex_state = 287, .external_lex_state = 5},
  [8194] = {.lex_state = 294, .external_lex_state = 5},
  [8195] = {.lex_state = 294, .external_lex_state = 5},
  [8196] = {.lex_state = 294, .external_lex_state = 5},
  [8197] = {.lex_state = 294, .external_lex_state = 5},
  [8198] = {.lex_state = 294, .external_lex_state = 5},
  [8199] = {.lex_state = 119, .external_lex_state = 5},
  [8200] = {.lex_state = 1318, .external_lex_state = 5},
  [8201] = {.lex_state = 112, .external_lex_state = 5},
  [8202] = {.lex_state = 112, .external_lex_state = 5},
  [8203] = {.lex_state = 294, .external_lex_state = 5},
  [8204] = {.lex_state = 112, .external_lex_state = 5},
  [8205] = {.lex_state = 294, .external_lex_state = 5},
  [8206] = {.lex_state = 294, .external_lex_state = 5},
  [8207] = {.lex_state = 294, .external_lex_state = 5},
  [8208] = {.lex_state = 112, .external_lex_state = 5},
  [8209] = {.lex_state = 294, .external_lex_state = 5},
  [8210] = {.lex_state = 294, .external_lex_state = 5},
  [8211] = {.lex_state = 294, .external_lex_state = 5},
  [8212] = {.lex_state = 294, .external_lex_state = 5},
  [8213] = {.lex_state = 241, .external_lex_state = 5},
  [8214] = {.lex_state = 294, .external_lex_state = 5},
  [8215] = {.lex_state = 294, .external_lex_state = 5},
  [8216] = {.lex_state = 294, .external_lex_state = 5},
  [8217] = {.lex_state = 294, .external_lex_state = 5},
  [8218] = {.lex_state = 101, .external_lex_state = 5},
  [8219] = {.lex_state = 252, .external_lex_state = 5},
  [8220] = {.lex_state = 287, .external_lex_state = 5},
  [8221] = {.lex_state = 1318, .external_lex_state = 5},
  [8222] = {.lex_state = 294, .external_lex_state = 5},
  [8223] = {.lex_state = 294, .external_lex_state = 5},
  [8224] = {.lex_state = 294, .external_lex_state = 5},
  [8225] = {.lex_state = 101, .external_lex_state = 5},
  [8226] = {.lex_state = 294, .external_lex_state = 5},
  [8227] = {.lex_state = 294, .external_lex_state = 5},
  [8228] = {.lex_state = 294, .external_lex_state = 5},
  [8229] = {.lex_state = 294, .external_lex_state = 5},
  [8230] = {.lex_state = 119, .external_lex_state = 5},
  [8231] = {.lex_state = 294, .external_lex_state = 5},
  [8232] = {.lex_state = 294, .external_lex_state = 5},
  [8233] = {.lex_state = 112, .external_lex_state = 5},
  [8234] = {.lex_state = 112, .external_lex_state = 5},
  [8235] = {.lex_state = 294, .external_lex_state = 5},
  [8236] = {.lex_state = 294, .external_lex_state = 5},
  [8237] = {.lex_state = 112, .external_lex_state = 5},
  [8238] = {.lex_state = 294, .external_lex_state = 5},
  [8239] = {.lex_state = 294, .external_lex_state = 5},
  [8240] = {.lex_state = 294, .external_lex_state = 5},
  [8241] = {.lex_state = 294, .external_lex_state = 5},
  [8242] = {.lex_state = 294, .external_lex_state = 5},
  [8243] = {.lex_state = 294, .external_lex_state = 5},
  [8244] = {.lex_state = 294, .external_lex_state = 5},
  [8245] = {.lex_state = 294, .external_lex_state = 5},
  [8246] = {.lex_state = 119, .external_lex_state = 5},
  [8247] = {.lex_state = 294, .external_lex_state = 5},
  [8248] = {.lex_state = 294, .external_lex_state = 5},
  [8249] = {.lex_state = 112, .external_lex_state = 5},
  [8250] = {.lex_state = 112, .external_lex_state = 5},
  [8251] = {.lex_state = 294, .external_lex_state = 5},
  [8252] = {.lex_state = 294, .external_lex_state = 5},
  [8253] = {.lex_state = 112, .external_lex_state = 5},
  [8254] = {.lex_state = 294, .external_lex_state = 5},
  [8255] = {.lex_state = 294, .external_lex_state = 5},
  [8256] = {.lex_state = 294, .external_lex_state = 5},
  [8257] = {.lex_state = 294, .external_lex_state = 5},
  [8258] = {.lex_state = 294, .external_lex_state = 5},
  [8259] = {.lex_state = 294, .external_lex_state = 5},
  [8260] = {.lex_state = 294, .external_lex_state = 5},
  [8261] = {.lex_state = 294, .external_lex_state = 5},
  [8262] = {.lex_state = 119, .external_lex_state = 5},
  [8263] = {.lex_state = 357, .external_lex_state = 5},
  [8264] = {.lex_state = 294, .external_lex_state = 5},
  [8265] = {.lex_state = 112, .external_lex_state = 5},
  [8266] = {.lex_state = 112, .external_lex_state = 5},
  [8267] = {.lex_state = 112, .external_lex_state = 5},
  [8268] = {.lex_state = 294, .external_lex_state = 5},
  [8269] = {.lex_state = 112, .external_lex_state = 5},
  [8270] = {.lex_state = 294, .external_lex_state = 5},
  [8271] = {.lex_state = 294, .external_lex_state = 5},
  [8272] = {.lex_state = 294, .external_lex_state = 5},
  [8273] = {.lex_state = 294, .external_lex_state = 5},
  [8274] = {.lex_state = 294, .external_lex_state = 5},
  [8275] = {.lex_state = 294, .external_lex_state = 5},
  [8276] = {.lex_state = 294, .external_lex_state = 5},
  [8277] = {.lex_state = 112, .external_lex_state = 5},
  [8278] = {.lex_state = 119, .external_lex_state = 5},
  [8279] = {.lex_state = 1318, .external_lex_state = 5},
  [8280] = {.lex_state = 294, .external_lex_state = 5},
  [8281] = {.lex_state = 112, .external_lex_state = 5},
  [8282] = {.lex_state = 112, .external_lex_state = 5},
  [8283] = {.lex_state = 294, .external_lex_state = 5},
  [8284] = {.lex_state = 112, .external_lex_state = 5},
  [8285] = {.lex_state = 294, .external_lex_state = 5},
  [8286] = {.lex_state = 119, .external_lex_state = 5},
  [8287] = {.lex_state = 1318, .external_lex_state = 13},
  [8288] = {.lex_state = 294, .external_lex_state = 5},
  [8289] = {.lex_state = 112, .external_lex_state = 5},
  [8290] = {.lex_state = 112, .external_lex_state = 5},
  [8291] = {.lex_state = 294, .external_lex_state = 5},
  [8292] = {.lex_state = 112, .external_lex_state = 5},
  [8293] = {.lex_state = 294, .external_lex_state = 5},
  [8294] = {.lex_state = 119, .external_lex_state = 5},
  [8295] = {.lex_state = 294, .external_lex_state = 5},
  [8296] = {.lex_state = 287, .external_lex_state = 5},
  [8297] = {.lex_state = 112, .external_lex_state = 5},
  [8298] = {.lex_state = 112, .external_lex_state = 5},
  [8299] = {.lex_state = 294, .external_lex_state = 5},
  [8300] = {.lex_state = 112, .external_lex_state = 5},
  [8301] = {.lex_state = 294, .external_lex_state = 5},
  [8302] = {.lex_state = 119, .external_lex_state = 5},
  [8303] = {.lex_state = 112, .external_lex_state = 5},
  [8304] = {.lex_state = 294, .external_lex_state = 5},
  [8305] = {.lex_state = 112, .external_lex_state = 5},
  [8306] = {.lex_state = 112, .external_lex_state = 5},
  [8307] = {.lex_state = 294, .external_lex_state = 5},
  [8308] = {.lex_state = 112, .external_lex_state = 5},
  [8309] = {.lex_state = 294, .external_lex_state = 5},
  [8310] = {.lex_state = 119, .external_lex_state = 5},
  [8311] = {.lex_state = 294, .external_lex_state = 5},
  [8312] = {.lex_state = 294, .external_lex_state = 5},
  [8313] = {.lex_state = 112, .external_lex_state = 5},
  [8314] = {.lex_state = 112, .external_lex_state = 5},
  [8315] = {.lex_state = 317, .external_lex_state = 5},
  [8316] = {.lex_state = 112, .external_lex_state = 5},
  [8317] = {.lex_state = 1318, .external_lex_state = 13},
  [8318] = {.lex_state = 119, .external_lex_state = 5},
  [8319] = {.lex_state = 119, .external_lex_state = 5},
  [8320] = {.lex_state = 1318, .external_lex_state = 5},
  [8321] = {.lex_state = 112, .external_lex_state = 5},
  [8322] = {.lex_state = 112, .external_lex_state = 5},
  [8323] = {.lex_state = 294, .external_lex_state = 5},
  [8324] = {.lex_state = 112, .external_lex_state = 5},
  [8325] = {.lex_state = 112, .external_lex_state = 5},
  [8326] = {.lex_state = 119, .external_lex_state = 5},
  [8327] = {.lex_state = 294, .external_lex_state = 5},
  [8328] = {.lex_state = 294, .external_lex_state = 5},
  [8329] = {.lex_state = 112, .external_lex_state = 5},
  [8330] = {.lex_state = 112, .external_lex_state = 5},
  [8331] = {.lex_state = 112, .external_lex_state = 5},
  [8332] = {.lex_state = 112, .external_lex_state = 5},
  [8333] = {.lex_state = 287, .external_lex_state = 5},
  [8334] = {.lex_state = 119, .external_lex_state = 5},
  [8335] = {.lex_state = 294, .external_lex_state = 5},
  [8336] = {.lex_state = 294, .external_lex_state = 5},
  [8337] = {.lex_state = 112, .external_lex_state = 5},
  [8338] = {.lex_state = 112, .external_lex_state = 5},
  [8339] = {.lex_state = 294, .external_lex_state = 5},
  [8340] = {.lex_state = 112, .external_lex_state = 5},
  [8341] = {.lex_state = 294, .external_lex_state = 5},
  [8342] = {.lex_state = 119, .external_lex_state = 5},
  [8343] = {.lex_state = 294, .external_lex_state = 5},
  [8344] = {.lex_state = 1318, .external_lex_state = 5},
  [8345] = {.lex_state = 112, .external_lex_state = 5},
  [8346] = {.lex_state = 112, .external_lex_state = 5},
  [8347] = {.lex_state = 317, .external_lex_state = 5},
  [8348] = {.lex_state = 112, .external_lex_state = 5},
  [8349] = {.lex_state = 294, .external_lex_state = 5},
  [8350] = {.lex_state = 119, .external_lex_state = 5},
  [8351] = {.lex_state = 294, .external_lex_state = 5},
  [8352] = {.lex_state = 119, .external_lex_state = 5},
  [8353] = {.lex_state = 112, .external_lex_state = 5},
  [8354] = {.lex_state = 112, .external_lex_state = 5},
  [8355] = {.lex_state = 294, .external_lex_state = 5},
  [8356] = {.lex_state = 112, .external_lex_state = 5},
  [8357] = {.lex_state = 112, .external_lex_state = 5},
  [8358] = {.lex_state = 119, .external_lex_state = 5},
  [8359] = {.lex_state = 294, .external_lex_state = 5},
  [8360] = {.lex_state = 294, .external_lex_state = 5},
  [8361] = {.lex_state = 112, .external_lex_state = 5},
  [8362] = {.lex_state = 112, .external_lex_state = 5},
  [8363] = {.lex_state = 294, .external_lex_state = 5},
  [8364] = {.lex_state = 112, .external_lex_state = 5},
  [8365] = {.lex_state = 294, .external_lex_state = 5},
  [8366] = {.lex_state = 119, .external_lex_state = 5},
  [8367] = {.lex_state = 294, .external_lex_state = 5},
  [8368] = {.lex_state = 294, .external_lex_state = 5},
  [8369] = {.lex_state = 112, .external_lex_state = 5},
  [8370] = {.lex_state = 112, .external_lex_state = 5},
  [8371] = {.lex_state = 294, .external_lex_state = 5},
  [8372] = {.lex_state = 112, .external_lex_state = 5},
  [8373] = {.lex_state = 294, .external_lex_state = 5},
  [8374] = {.lex_state = 119, .external_lex_state = 5},
  [8375] = {.lex_state = 294, .external_lex_state = 5},
  [8376] = {.lex_state = 294, .external_lex_state = 5},
  [8377] = {.lex_state = 112, .external_lex_state = 5},
  [8378] = {.lex_state = 112, .external_lex_state = 5},
  [8379] = {.lex_state = 317, .external_lex_state = 5},
  [8380] = {.lex_state = 112, .external_lex_state = 5},
  [8381] = {.lex_state = 294, .external_lex_state = 5},
  [8382] = {.lex_state = 119, .external_lex_state = 5},
  [8383] = {.lex_state = 294, .external_lex_state = 5},
  [8384] = {.lex_state = 294, .external_lex_state = 5},
  [8385] = {.lex_state = 112, .external_lex_state = 5},
  [8386] = {.lex_state = 112, .external_lex_state = 5},
  [8387] = {.lex_state = 294, .external_lex_state = 5},
  [8388] = {.lex_state = 112, .external_lex_state = 5},
  [8389] = {.lex_state = 294, .external_lex_state = 5},
  [8390] = {.lex_state = 119, .external_lex_state = 5},
  [8391] = {.lex_state = 119, .external_lex_state = 5},
  [8392] = {.lex_state = 294, .external_lex_state = 5},
  [8393] = {.lex_state = 112, .external_lex_state = 5},
  [8394] = {.lex_state = 112, .external_lex_state = 5},
  [8395] = {.lex_state = 112, .external_lex_state = 5},
  [8396] = {.lex_state = 112, .external_lex_state = 5},
  [8397] = {.lex_state = 294, .external_lex_state = 5},
  [8398] = {.lex_state = 119, .external_lex_state = 5},
  [8399] = {.lex_state = 294, .external_lex_state = 5},
  [8400] = {.lex_state = 294, .external_lex_state = 5},
  [8401] = {.lex_state = 112, .external_lex_state = 5},
  [8402] = {.lex_state = 112, .external_lex_state = 5},
  [8403] = {.lex_state = 294, .external_lex_state = 5},
  [8404] = {.lex_state = 112, .external_lex_state = 5},
  [8405] = {.lex_state = 287, .external_lex_state = 5},
  [8406] = {.lex_state = 119, .external_lex_state = 5},
  [8407] = {.lex_state = 294, .external_lex_state = 5},
  [8408] = {.lex_state = 294, .external_lex_state = 5},
  [8409] = {.lex_state = 112, .external_lex_state = 5},
  [8410] = {.lex_state = 112, .external_lex_state = 5},
  [8411] = {.lex_state = 1318, .external_lex_state = 5},
  [8412] = {.lex_state = 112, .external_lex_state = 5},
  [8413] = {.lex_state = 1318, .external_lex_state = 5},
  [8414] = {.lex_state = 119, .external_lex_state = 5},
  [8415] = {.lex_state = 294, .external_lex_state = 5},
  [8416] = {.lex_state = 294, .external_lex_state = 5},
  [8417] = {.lex_state = 112, .external_lex_state = 5},
  [8418] = {.lex_state = 112, .external_lex_state = 5},
  [8419] = {.lex_state = 294, .external_lex_state = 5},
  [8420] = {.lex_state = 112, .external_lex_state = 5},
  [8421] = {.lex_state = 294, .external_lex_state = 5},
  [8422] = {.lex_state = 119, .external_lex_state = 5},
  [8423] = {.lex_state = 287, .external_lex_state = 5},
  [8424] = {.lex_state = 294, .external_lex_state = 5},
  [8425] = {.lex_state = 112, .external_lex_state = 5},
  [8426] = {.lex_state = 112, .external_lex_state = 5},
  [8427] = {.lex_state = 317, .external_lex_state = 5},
  [8428] = {.lex_state = 112, .external_lex_state = 5},
  [8429] = {.lex_state = 1318, .external_lex_state = 5},
  [8430] = {.lex_state = 119, .external_lex_state = 5},
  [8431] = {.lex_state = 294, .external_lex_state = 5},
  [8432] = {.lex_state = 294, .external_lex_state = 5},
  [8433] = {.lex_state = 112, .external_lex_state = 5},
  [8434] = {.lex_state = 112, .external_lex_state = 5},
  [8435] = {.lex_state = 294, .external_lex_state = 5},
  [8436] = {.lex_state = 112, .external_lex_state = 5},
  [8437] = {.lex_state = 294, .external_lex_state = 5},
  [8438] = {.lex_state = 119, .external_lex_state = 5},
  [8439] = {.lex_state = 101, .external_lex_state = 5},
  [8440] = {.lex_state = 294, .external_lex_state = 5},
  [8441] = {.lex_state = 112, .external_lex_state = 5},
  [8442] = {.lex_state = 112, .external_lex_state = 5},
  [8443] = {.lex_state = 294, .external_lex_state = 5},
  [8444] = {.lex_state = 112, .external_lex_state = 5},
  [8445] = {.lex_state = 1318, .external_lex_state = 5},
  [8446] = {.lex_state = 119, .external_lex_state = 5},
  [8447] = {.lex_state = 1318, .external_lex_state = 5},
  [8448] = {.lex_state = 294, .external_lex_state = 5},
  [8449] = {.lex_state = 112, .external_lex_state = 5},
  [8450] = {.lex_state = 112, .external_lex_state = 5},
  [8451] = {.lex_state = 1318, .external_lex_state = 5},
  [8452] = {.lex_state = 112, .external_lex_state = 5},
  [8453] = {.lex_state = 1318, .external_lex_state = 5},
  [8454] = {.lex_state = 119, .external_lex_state = 5},
  [8455] = {.lex_state = 294, .external_lex_state = 5},
  [8456] = {.lex_state = 294, .external_lex_state = 5},
  [8457] = {.lex_state = 112, .external_lex_state = 5},
  [8458] = {.lex_state = 112, .external_lex_state = 5},
  [8459] = {.lex_state = 294, .external_lex_state = 5},
  [8460] = {.lex_state = 112, .external_lex_state = 5},
  [8461] = {.lex_state = 1318, .external_lex_state = 5},
  [8462] = {.lex_state = 119, .external_lex_state = 5},
  [8463] = {.lex_state = 1318, .external_lex_state = 5},
  [8464] = {.lex_state = 294, .external_lex_state = 5},
  [8465] = {.lex_state = 112, .external_lex_state = 5},
  [8466] = {.lex_state = 112, .external_lex_state = 5},
  [8467] = {.lex_state = 1318, .external_lex_state = 5},
  [8468] = {.lex_state = 112, .external_lex_state = 5},
  [8469] = {.lex_state = 294, .external_lex_state = 5},
  [8470] = {.lex_state = 119, .external_lex_state = 5},
  [8471] = {.lex_state = 1318, .external_lex_state = 5},
  [8472] = {.lex_state = 1318, .external_lex_state = 5},
  [8473] = {.lex_state = 112, .external_lex_state = 5},
  [8474] = {.lex_state = 112, .external_lex_state = 5},
  [8475] = {.lex_state = 112, .external_lex_state = 5},
  [8476] = {.lex_state = 112, .external_lex_state = 5},
  [8477] = {.lex_state = 1318, .external_lex_state = 5},
  [8478] = {.lex_state = 119, .external_lex_state = 5},
  [8479] = {.lex_state = 294, .external_lex_state = 5},
  [8480] = {.lex_state = 1318, .external_lex_state = 5},
  [8481] = {.lex_state = 112, .external_lex_state = 5},
  [8482] = {.lex_state = 112, .external_lex_state = 5},
  [8483] = {.lex_state = 1318, .external_lex_state = 5},
  [8484] = {.lex_state = 112, .external_lex_state = 5},
  [8485] = {.lex_state = 287, .external_lex_state = 5},
  [8486] = {.lex_state = 294, .external_lex_state = 5},
  [8487] = {.lex_state = 1318, .external_lex_state = 5},
  [8488] = {.lex_state = 294, .external_lex_state = 5},
  [8489] = {.lex_state = 294, .external_lex_state = 5},
  [8490] = {.lex_state = 294, .external_lex_state = 5},
  [8491] = {.lex_state = 1318, .external_lex_state = 5},
  [8492] = {.lex_state = 294, .external_lex_state = 5},
  [8493] = {.lex_state = 294, .external_lex_state = 5},
  [8494] = {.lex_state = 317, .external_lex_state = 5},
  [8495] = {.lex_state = 294, .external_lex_state = 5},
  [8496] = {.lex_state = 294, .external_lex_state = 5},
  [8497] = {.lex_state = 294, .external_lex_state = 5},
  [8498] = {.lex_state = 294, .external_lex_state = 5},
  [8499] = {.lex_state = 294, .external_lex_state = 5},
  [8500] = {.lex_state = 294, .external_lex_state = 5},
  [8501] = {.lex_state = 317, .external_lex_state = 5},
  [8502] = {.lex_state = 294, .external_lex_state = 5},
  [8503] = {.lex_state = 294, .external_lex_state = 5},
  [8504] = {.lex_state = 1318, .external_lex_state = 5},
  [8505] = {.lex_state = 294, .external_lex_state = 5},
  [8506] = {.lex_state = 294, .external_lex_state = 5},
  [8507] = {.lex_state = 1318, .external_lex_state = 5},
  [8508] = {.lex_state = 1318, .external_lex_state = 5},
  [8509] = {.lex_state = 294, .external_lex_state = 5},
  [8510] = {.lex_state = 294, .external_lex_state = 5},
  [8511] = {.lex_state = 317, .external_lex_state = 5},
  [8512] = {.lex_state = 1318, .external_lex_state = 5},
  [8513] = {.lex_state = 287, .external_lex_state = 5},
  [8514] = {.lex_state = 294, .external_lex_state = 5},
  [8515] = {.lex_state = 294, .external_lex_state = 5},
  [8516] = {.lex_state = 294, .external_lex_state = 5},
  [8517] = {.lex_state = 294, .external_lex_state = 5},
  [8518] = {.lex_state = 1318, .external_lex_state = 5},
  [8519] = {.lex_state = 119, .external_lex_state = 5},
  [8520] = {.lex_state = 317, .external_lex_state = 5},
  [8521] = {.lex_state = 101, .external_lex_state = 5},
  [8522] = {.lex_state = 294, .external_lex_state = 5},
  [8523] = {.lex_state = 294, .external_lex_state = 5},
  [8524] = {.lex_state = 1318, .external_lex_state = 5},
  [8525] = {.lex_state = 357, .external_lex_state = 5},
  [8526] = {.lex_state = 287, .external_lex_state = 5},
  [8527] = {.lex_state = 1318, .external_lex_state = 5},
  [8528] = {.lex_state = 294, .external_lex_state = 5},
  [8529] = {.lex_state = 1318, .external_lex_state = 13},
  [8530] = {.lex_state = 294, .external_lex_state = 5},
  [8531] = {.lex_state = 1318, .external_lex_state = 13},
  [8532] = {.lex_state = 1318, .external_lex_state = 5},
  [8533] = {.lex_state = 294, .external_lex_state = 5},
  [8534] = {.lex_state = 119, .external_lex_state = 5},
  [8535] = {.lex_state = 119, .external_lex_state = 5},
  [8536] = {.lex_state = 1318, .external_lex_state = 5},
  [8537] = {.lex_state = 294, .external_lex_state = 5},
  [8538] = {.lex_state = 112, .external_lex_state = 5},
  [8539] = {.lex_state = 294, .external_lex_state = 5},
  [8540] = {.lex_state = 294, .external_lex_state = 5},
  [8541] = {.lex_state = 1318, .external_lex_state = 5},
  [8542] = {.lex_state = 101, .external_lex_state = 5},
  [8543] = {.lex_state = 1318, .external_lex_state = 5},
  [8544] = {.lex_state = 1318, .external_lex_state = 5},
  [8545] = {.lex_state = 1318, .external_lex_state = 5},
  [8546] = {.lex_state = 287, .external_lex_state = 5},
  [8547] = {.lex_state = 112, .external_lex_state = 5},
  [8548] = {.lex_state = 101, .external_lex_state = 5},
  [8549] = {.lex_state = 294, .external_lex_state = 5},
  [8550] = {.lex_state = 101, .external_lex_state = 5},
  [8551] = {.lex_state = 294, .external_lex_state = 5},
  [8552] = {.lex_state = 294, .external_lex_state = 5},
  [8553] = {.lex_state = 101, .external_lex_state = 5},
  [8554] = {.lex_state = 294, .external_lex_state = 5},
  [8555] = {.lex_state = 1318, .external_lex_state = 5},
  [8556] = {.lex_state = 294, .external_lex_state = 5},
  [8557] = {.lex_state = 287, .external_lex_state = 5},
  [8558] = {.lex_state = 1318, .external_lex_state = 5},
  [8559] = {.lex_state = 112, .external_lex_state = 5},
  [8560] = {.lex_state = 294, .external_lex_state = 5},
  [8561] = {.lex_state = 101, .external_lex_state = 5},
  [8562] = {.lex_state = 294, .external_lex_state = 5},
  [8563] = {.lex_state = 101, .external_lex_state = 5},
  [8564] = {.lex_state = 1318, .external_lex_state = 5},
  [8565] = {.lex_state = 1318, .external_lex_state = 5},
  [8566] = {.lex_state = 1318, .external_lex_state = 5},
  [8567] = {.lex_state = 1318, .external_lex_state = 5},
  [8568] = {.lex_state = 101, .external_lex_state = 5},
  [8569] = {.lex_state = 294, .external_lex_state = 5},
  [8570] = {.lex_state = 101, .external_lex_state = 5},
  [8571] = {.lex_state = 1318, .external_lex_state = 5},
  [8572] = {.lex_state = 1318, .external_lex_state = 5},
  [8573] = {.lex_state = 1318, .external_lex_state = 13},
  [8574] = {.lex_state = 119, .external_lex_state = 5},
  [8575] = {.lex_state = 119, .external_lex_state = 5},
  [8576] = {.lex_state = 294, .external_lex_state = 5},
  [8577] = {.lex_state = 1318, .external_lex_state = 5},
  [8578] = {.lex_state = 1318, .external_lex_state = 5},
  [8579] = {.lex_state = 317, .external_lex_state = 5},
  [8580] = {.lex_state = 294, .external_lex_state = 5},
  [8581] = {.lex_state = 112, .external_lex_state = 5},
  [8582] = {.lex_state = 294, .external_lex_state = 5},
  [8583] = {.lex_state = 294, .external_lex_state = 5},
  [8584] = {.lex_state = 101, .external_lex_state = 5},
  [8585] = {.lex_state = 112, .external_lex_state = 5},
  [8586] = {.lex_state = 112, .external_lex_state = 5},
  [8587] = {.lex_state = 294, .external_lex_state = 5},
  [8588] = {.lex_state = 294, .external_lex_state = 5},
  [8589] = {.lex_state = 287, .external_lex_state = 5},
  [8590] = {.lex_state = 287, .external_lex_state = 5},
  [8591] = {.lex_state = 294, .external_lex_state = 5},
  [8592] = {.lex_state = 294, .external_lex_state = 5},
  [8593] = {.lex_state = 294, .external_lex_state = 5},
  [8594] = {.lex_state = 294, .external_lex_state = 5},
  [8595] = {.lex_state = 294, .external_lex_state = 5},
  [8596] = {.lex_state = 252, .external_lex_state = 5},
  [8597] = {.lex_state = 287, .external_lex_state = 5},
  [8598] = {.lex_state = 1318, .external_lex_state = 5},
  [8599] = {.lex_state = 294, .external_lex_state = 5},
  [8600] = {.lex_state = 294, .external_lex_state = 5},
  [8601] = {.lex_state = 317, .external_lex_state = 5},
  [8602] = {.lex_state = 294, .external_lex_state = 5},
  [8603] = {.lex_state = 287, .external_lex_state = 5},
  [8604] = {.lex_state = 1318, .external_lex_state = 5},
  [8605] = {.lex_state = 294, .external_lex_state = 5},
  [8606] = {.lex_state = 294, .external_lex_state = 5},
  [8607] = {.lex_state = 294, .external_lex_state = 5},
  [8608] = {.lex_state = 294, .external_lex_state = 5},
  [8609] = {.lex_state = 317, .external_lex_state = 5},
  [8610] = {.lex_state = 294, .external_lex_state = 5},
  [8611] = {.lex_state = 294, .external_lex_state = 5},
  [8612] = {.lex_state = 294, .external_lex_state = 5},
  [8613] = {.lex_state = 317, .external_lex_state = 5},
  [8614] = {.lex_state = 294, .external_lex_state = 5},
  [8615] = {.lex_state = 317, .external_lex_state = 5},
  [8616] = {.lex_state = 1318, .external_lex_state = 13},
  [8617] = {.lex_state = 1318, .external_lex_state = 5},
  [8618] = {.lex_state = 317, .external_lex_state = 5},
  [8619] = {.lex_state = 119, .external_lex_state = 5},
  [8620] = {.lex_state = 1318, .external_lex_state = 5},
  [8621] = {.lex_state = 287, .external_lex_state = 5},
  [8622] = {.lex_state = 317, .external_lex_state = 5},
  [8623] = {.lex_state = 294, .external_lex_state = 5},
  [8624] = {.lex_state = 112, .external_lex_state = 5},
  [8625] = {.lex_state = 294, .external_lex_state = 5},
  [8626] = {.lex_state = 101, .external_lex_state = 5},
  [8627] = {.lex_state = 294, .external_lex_state = 5},
  [8628] = {.lex_state = 294, .external_lex_state = 5},
  [8629] = {.lex_state = 294, .external_lex_state = 5},
  [8630] = {.lex_state = 294, .external_lex_state = 5},
  [8631] = {.lex_state = 294, .external_lex_state = 5},
  [8632] = {.lex_state = 294, .external_lex_state = 5},
  [8633] = {.lex_state = 1318, .external_lex_state = 5},
  [8634] = {.lex_state = 294, .external_lex_state = 5},
  [8635] = {.lex_state = 1318, .external_lex_state = 5},
  [8636] = {.lex_state = 287, .external_lex_state = 5},
  [8637] = {.lex_state = 294, .external_lex_state = 5},
  [8638] = {.lex_state = 294, .external_lex_state = 5},
  [8639] = {.lex_state = 112, .external_lex_state = 5},
  [8640] = {.lex_state = 294, .external_lex_state = 5},
  [8641] = {.lex_state = 1318, .external_lex_state = 5},
  [8642] = {.lex_state = 1318, .external_lex_state = 5},
  [8643] = {.lex_state = 101, .external_lex_state = 5},
  [8644] = {.lex_state = 1318, .external_lex_state = 5},
  [8645] = {.lex_state = 1318, .external_lex_state = 5},
  [8646] = {.lex_state = 294, .external_lex_state = 5},
  [8647] = {.lex_state = 101, .external_lex_state = 5},
  [8648] = {.lex_state = 112, .external_lex_state = 5},
  [8649] = {.lex_state = 294, .external_lex_state = 5},
  [8650] = {.lex_state = 101, .external_lex_state = 5},
  [8651] = {.lex_state = 287, .external_lex_state = 5},
  [8652] = {.lex_state = 101, .external_lex_state = 5},
  [8653] = {.lex_state = 1318, .external_lex_state = 5},
  [8654] = {.lex_state = 1318, .external_lex_state = 5},
  [8655] = {.lex_state = 1318, .external_lex_state = 5},
  [8656] = {.lex_state = 1318, .external_lex_state = 5},
  [8657] = {.lex_state = 101, .external_lex_state = 5},
  [8658] = {.lex_state = 1318, .external_lex_state = 5},
  [8659] = {.lex_state = 1318, .external_lex_state = 5},
  [8660] = {.lex_state = 294, .external_lex_state = 5},
  [8661] = {.lex_state = 287, .external_lex_state = 5},
  [8662] = {.lex_state = 294, .external_lex_state = 5},
  [8663] = {.lex_state = 294, .external_lex_state = 5},
  [8664] = {.lex_state = 112, .external_lex_state = 5},
  [8665] = {.lex_state = 294, .external_lex_state = 5},
  [8666] = {.lex_state = 317, .external_lex_state = 5},
  [8667] = {.lex_state = 294, .external_lex_state = 5},
  [8668] = {.lex_state = 112, .external_lex_state = 5},
  [8669] = {.lex_state = 294, .external_lex_state = 5},
  [8670] = {.lex_state = 294, .external_lex_state = 5},
  [8671] = {.lex_state = 294, .external_lex_state = 5},
  [8672] = {.lex_state = 294, .external_lex_state = 5},
  [8673] = {.lex_state = 294, .external_lex_state = 5},
  [8674] = {.lex_state = 294, .external_lex_state = 5},
  [8675] = {.lex_state = 294, .external_lex_state = 5},
  [8676] = {.lex_state = 294, .external_lex_state = 5},
  [8677] = {.lex_state = 294, .external_lex_state = 5},
  [8678] = {.lex_state = 294, .external_lex_state = 5},
  [8679] = {.lex_state = 294, .external_lex_state = 5},
  [8680] = {.lex_state = 294, .external_lex_state = 5},
  [8681] = {.lex_state = 294, .external_lex_state = 5},
  [8682] = {.lex_state = 1318, .external_lex_state = 5},
  [8683] = {.lex_state = 101, .external_lex_state = 5},
  [8684] = {.lex_state = 1318, .external_lex_state = 5},
  [8685] = {.lex_state = 101, .external_lex_state = 5},
  [8686] = {.lex_state = 1318, .external_lex_state = 13},
  [8687] = {.lex_state = 119, .external_lex_state = 5},
  [8688] = {.lex_state = 317, .external_lex_state = 5},
  [8689] = {.lex_state = 294, .external_lex_state = 5},
  [8690] = {.lex_state = 112, .external_lex_state = 5},
  [8691] = {.lex_state = 294, .external_lex_state = 5},
  [8692] = {.lex_state = 294, .external_lex_state = 5},
  [8693] = {.lex_state = 119, .external_lex_state = 5},
  [8694] = {.lex_state = 101, .external_lex_state = 5},
  [8695] = {.lex_state = 294, .external_lex_state = 5},
  [8696] = {.lex_state = 294, .external_lex_state = 5},
  [8697] = {.lex_state = 101, .external_lex_state = 5},
  [8698] = {.lex_state = 287, .external_lex_state = 5},
  [8699] = {.lex_state = 287, .external_lex_state = 5},
  [8700] = {.lex_state = 294, .external_lex_state = 5},
  [8701] = {.lex_state = 294, .external_lex_state = 5},
  [8702] = {.lex_state = 317, .external_lex_state = 5},
  [8703] = {.lex_state = 101, .external_lex_state = 5},
  [8704] = {.lex_state = 294, .external_lex_state = 5},
  [8705] = {.lex_state = 294, .external_lex_state = 5},
  [8706] = {.lex_state = 1318, .external_lex_state = 13},
  [8707] = {.lex_state = 119, .external_lex_state = 5},
  [8708] = {.lex_state = 294, .external_lex_state = 5},
  [8709] = {.lex_state = 294, .external_lex_state = 5},
  [8710] = {.lex_state = 1318, .external_lex_state = 5},
  [8711] = {.lex_state = 1318, .external_lex_state = 5},
  [8712] = {.lex_state = 112, .external_lex_state = 5},
  [8713] = {.lex_state = 112, .external_lex_state = 5},
  [8714] = {.lex_state = 112, .external_lex_state = 5},
  [8715] = {.lex_state = 112, .external_lex_state = 5},
  [8716] = {.lex_state = 294, .external_lex_state = 5},
  [8717] = {.lex_state = 294, .external_lex_state = 5},
  [8718] = {.lex_state = 101, .external_lex_state = 5},
  [8719] = {.lex_state = 1318, .external_lex_state = 5},
  [8720] = {.lex_state = 294, .external_lex_state = 5},
  [8721] = {.lex_state = 294, .external_lex_state = 5},
  [8722] = {.lex_state = 294, .external_lex_state = 5},
  [8723] = {.lex_state = 294, .external_lex_state = 5},
  [8724] = {.lex_state = 101, .external_lex_state = 5},
  [8725] = {.lex_state = 1318, .external_lex_state = 5},
  [8726] = {.lex_state = 101, .external_lex_state = 5},
  [8727] = {.lex_state = 1318, .external_lex_state = 5},
  [8728] = {.lex_state = 287, .external_lex_state = 5},
  [8729] = {.lex_state = 1318, .external_lex_state = 5},
  [8730] = {.lex_state = 1318, .external_lex_state = 5},
  [8731] = {.lex_state = 294, .external_lex_state = 5},
  [8732] = {.lex_state = 294, .external_lex_state = 5},
  [8733] = {.lex_state = 1318, .external_lex_state = 5},
  [8734] = {.lex_state = 1318, .external_lex_state = 5},
  [8735] = {.lex_state = 294, .external_lex_state = 5},
  [8736] = {.lex_state = 287, .external_lex_state = 5},
  [8737] = {.lex_state = 317, .external_lex_state = 5},
  [8738] = {.lex_state = 294, .external_lex_state = 5},
  [8739] = {.lex_state = 287, .external_lex_state = 5},
  [8740] = {.lex_state = 112, .external_lex_state = 5},
  [8741] = {.lex_state = 294, .external_lex_state = 5},
  [8742] = {.lex_state = 294, .external_lex_state = 5},
  [8743] = {.lex_state = 1318, .external_lex_state = 5},
  [8744] = {.lex_state = 294, .external_lex_state = 5},
  [8745] = {.lex_state = 294, .external_lex_state = 5},
  [8746] = {.lex_state = 294, .external_lex_state = 5},
  [8747] = {.lex_state = 294, .external_lex_state = 5},
  [8748] = {.lex_state = 101, .external_lex_state = 5},
  [8749] = {.lex_state = 1318, .external_lex_state = 5},
  [8750] = {.lex_state = 101, .external_lex_state = 5},
  [8751] = {.lex_state = 1318, .external_lex_state = 5},
  [8752] = {.lex_state = 287, .external_lex_state = 5},
  [8753] = {.lex_state = 294, .external_lex_state = 5},
  [8754] = {.lex_state = 294, .external_lex_state = 5},
  [8755] = {.lex_state = 294, .external_lex_state = 5},
  [8756] = {.lex_state = 294, .external_lex_state = 5},
  [8757] = {.lex_state = 1318, .external_lex_state = 5},
  [8758] = {.lex_state = 1318, .external_lex_state = 5},
  [8759] = {.lex_state = 294, .external_lex_state = 5},
  [8760] = {.lex_state = 1318, .external_lex_state = 5},
  [8761] = {.lex_state = 1318, .external_lex_state = 5},
  [8762] = {.lex_state = 294, .external_lex_state = 5},
  [8763] = {.lex_state = 294, .external_lex_state = 5},
  [8764] = {.lex_state = 1318, .external_lex_state = 5},
  [8765] = {.lex_state = 317, .external_lex_state = 5},
  [8766] = {.lex_state = 294, .external_lex_state = 5},
  [8767] = {.lex_state = 101, .external_lex_state = 5},
  [8768] = {.lex_state = 112, .external_lex_state = 5},
  [8769] = {.lex_state = 101, .external_lex_state = 5},
  [8770] = {.lex_state = 101, .external_lex_state = 5},
  [8771] = {.lex_state = 294, .external_lex_state = 5},
  [8772] = {.lex_state = 287, .external_lex_state = 5},
  [8773] = {.lex_state = 317, .external_lex_state = 5},
  [8774] = {.lex_state = 1318, .external_lex_state = 5},
  [8775] = {.lex_state = 294, .external_lex_state = 5},
  [8776] = {.lex_state = 1318, .external_lex_state = 5},
  [8777] = {.lex_state = 294, .external_lex_state = 5},
  [8778] = {.lex_state = 294, .external_lex_state = 5},
  [8779] = {.lex_state = 317, .external_lex_state = 5},
  [8780] = {.lex_state = 1318, .external_lex_state = 5},
  [8781] = {.lex_state = 294, .external_lex_state = 5},
  [8782] = {.lex_state = 294, .external_lex_state = 5},
  [8783] = {.lex_state = 294, .external_lex_state = 5},
  [8784] = {.lex_state = 294, .external_lex_state = 5},
  [8785] = {.lex_state = 1318, .external_lex_state = 5},
  [8786] = {.lex_state = 1318, .external_lex_state = 5},
  [8787] = {.lex_state = 1318, .external_lex_state = 13},
  [8788] = {.lex_state = 1318, .external_lex_state = 5},
  [8789] = {.lex_state = 101, .external_lex_state = 5},
  [8790] = {.lex_state = 101, .external_lex_state = 5},
  [8791] = {.lex_state = 119, .external_lex_state = 5},
  [8792] = {.lex_state = 287, .external_lex_state = 5},
  [8793] = {.lex_state = 294, .external_lex_state = 5},
  [8794] = {.lex_state = 1318, .external_lex_state = 5},
  [8795] = {.lex_state = 294, .external_lex_state = 5},
  [8796] = {.lex_state = 294, .external_lex_state = 5},
  [8797] = {.lex_state = 294, .external_lex_state = 5},
  [8798] = {.lex_state = 294, .external_lex_state = 5},
  [8799] = {.lex_state = 294, .external_lex_state = 5},
  [8800] = {.lex_state = 317, .external_lex_state = 5},
  [8801] = {.lex_state = 112, .external_lex_state = 5},
  [8802] = {.lex_state = 112, .external_lex_state = 5},
  [8803] = {.lex_state = 294, .external_lex_state = 5},
  [8804] = {.lex_state = 294, .external_lex_state = 5},
  [8805] = {.lex_state = 1318, .external_lex_state = 5},
  [8806] = {.lex_state = 101, .external_lex_state = 5},
  [8807] = {.lex_state = 294, .external_lex_state = 5},
  [8808] = {.lex_state = 287, .external_lex_state = 5},
  [8809] = {.lex_state = 294, .external_lex_state = 5},
  [8810] = {.lex_state = 287, .external_lex_state = 5},
  [8811] = {.lex_state = 294, .external_lex_state = 5},
  [8812] = {.lex_state = 101, .external_lex_state = 5},
  [8813] = {.lex_state = 294, .external_lex_state = 5},
  [8814] = {.lex_state = 294, .external_lex_state = 5},
  [8815] = {.lex_state = 294, .external_lex_state = 5},
  [8816] = {.lex_state = 1318, .external_lex_state = 5},
  [8817] = {.lex_state = 294, .external_lex_state = 5},
  [8818] = {.lex_state = 294, .external_lex_state = 5},
  [8819] = {.lex_state = 287, .external_lex_state = 5},
  [8820] = {.lex_state = 294, .external_lex_state = 5},
  [8821] = {.lex_state = 294, .external_lex_state = 5},
  [8822] = {.lex_state = 101, .external_lex_state = 5},
  [8823] = {.lex_state = 112, .external_lex_state = 5},
  [8824] = {.lex_state = 287, .external_lex_state = 5},
  [8825] = {.lex_state = 294, .external_lex_state = 5},
  [8826] = {.lex_state = 1318, .external_lex_state = 5},
  [8827] = {.lex_state = 294, .external_lex_state = 5},
  [8828] = {.lex_state = 294, .external_lex_state = 5},
  [8829] = {.lex_state = 294, .external_lex_state = 5},
  [8830] = {.lex_state = 294, .external_lex_state = 5},
  [8831] = {.lex_state = 1318, .external_lex_state = 5},
  [8832] = {.lex_state = 294, .external_lex_state = 5},
  [8833] = {.lex_state = 1318, .external_lex_state = 5},
  [8834] = {.lex_state = 294, .external_lex_state = 5},
  [8835] = {.lex_state = 1318, .external_lex_state = 5},
  [8836] = {.lex_state = 294, .external_lex_state = 5},
  [8837] = {.lex_state = 294, .external_lex_state = 5},
  [8838] = {.lex_state = 101, .external_lex_state = 5},
  [8839] = {.lex_state = 294, .external_lex_state = 5},
  [8840] = {.lex_state = 287, .external_lex_state = 5},
  [8841] = {.lex_state = 294, .external_lex_state = 5},
  [8842] = {.lex_state = 294, .external_lex_state = 5},
  [8843] = {.lex_state = 294, .external_lex_state = 5},
  [8844] = {.lex_state = 112, .external_lex_state = 5},
  [8845] = {.lex_state = 294, .external_lex_state = 5},
  [8846] = {.lex_state = 294, .external_lex_state = 5},
  [8847] = {.lex_state = 294, .external_lex_state = 5},
  [8848] = {.lex_state = 287, .external_lex_state = 5},
  [8849] = {.lex_state = 1318, .external_lex_state = 5},
  [8850] = {.lex_state = 1318, .external_lex_state = 5},
  [8851] = {.lex_state = 294, .external_lex_state = 5},
  [8852] = {.lex_state = 294, .external_lex_state = 5},
  [8853] = {.lex_state = 294, .external_lex_state = 5},
  [8854] = {.lex_state = 101, .external_lex_state = 5},
  [8855] = {.lex_state = 294, .external_lex_state = 5},
  [8856] = {.lex_state = 287, .external_lex_state = 5},
  [8857] = {.lex_state = 294, .external_lex_state = 5},
  [8858] = {.lex_state = 294, .external_lex_state = 5},
  [8859] = {.lex_state = 294, .external_lex_state = 5},
  [8860] = {.lex_state = 1318, .external_lex_state = 5},
  [8861] = {.lex_state = 287, .external_lex_state = 5},
  [8862] = {.lex_state = 294, .external_lex_state = 5},
  [8863] = {.lex_state = 1318, .external_lex_state = 5},
  [8864] = {.lex_state = 1318, .external_lex_state = 13},
  [8865] = {.lex_state = 294, .external_lex_state = 5},
  [8866] = {.lex_state = 294, .external_lex_state = 5},
  [8867] = {.lex_state = 1318, .external_lex_state = 5},
  [8868] = {.lex_state = 294, .external_lex_state = 5},
  [8869] = {.lex_state = 101, .external_lex_state = 5},
  [8870] = {.lex_state = 294, .external_lex_state = 5},
  [8871] = {.lex_state = 287, .external_lex_state = 5},
  [8872] = {.lex_state = 294, .external_lex_state = 5},
  [8873] = {.lex_state = 112, .external_lex_state = 5},
  [8874] = {.lex_state = 1318, .external_lex_state = 5},
  [8875] = {.lex_state = 294, .external_lex_state = 5},
  [8876] = {.lex_state = 294, .external_lex_state = 5},
  [8877] = {.lex_state = 294, .external_lex_state = 5},
  [8878] = {.lex_state = 294, .external_lex_state = 5},
  [8879] = {.lex_state = 294, .external_lex_state = 5},
  [8880] = {.lex_state = 294, .external_lex_state = 5},
  [8881] = {.lex_state = 1318, .external_lex_state = 5},
  [8882] = {.lex_state = 101, .external_lex_state = 5},
  [8883] = {.lex_state = 294, .external_lex_state = 5},
  [8884] = {.lex_state = 287, .external_lex_state = 5},
  [8885] = {.lex_state = 294, .external_lex_state = 5},
  [8886] = {.lex_state = 294, .external_lex_state = 5},
  [8887] = {.lex_state = 287, .external_lex_state = 5},
  [8888] = {.lex_state = 294, .external_lex_state = 5},
  [8889] = {.lex_state = 294, .external_lex_state = 5},
  [8890] = {.lex_state = 294, .external_lex_state = 5},
  [8891] = {.lex_state = 101, .external_lex_state = 5},
  [8892] = {.lex_state = 294, .external_lex_state = 5},
  [8893] = {.lex_state = 287, .external_lex_state = 5},
  [8894] = {.lex_state = 294, .external_lex_state = 5},
  [8895] = {.lex_state = 294, .external_lex_state = 5},
  [8896] = {.lex_state = 1318, .external_lex_state = 5},
  [8897] = {.lex_state = 294, .external_lex_state = 5},
  [8898] = {.lex_state = 294, .external_lex_state = 5},
  [8899] = {.lex_state = 294, .external_lex_state = 5},
  [8900] = {.lex_state = 101, .external_lex_state = 5},
  [8901] = {.lex_state = 294, .external_lex_state = 5},
  [8902] = {.lex_state = 294, .external_lex_state = 5},
  [8903] = {.lex_state = 294, .external_lex_state = 5},
  [8904] = {.lex_state = 1318, .external_lex_state = 5},
  [8905] = {.lex_state = 1318, .external_lex_state = 5},
  [8906] = {.lex_state = 101, .external_lex_state = 5},
  [8907] = {.lex_state = 317, .external_lex_state = 5},
  [8908] = {.lex_state = 1318, .external_lex_state = 5},
  [8909] = {.lex_state = 1318, .external_lex_state = 5},
  [8910] = {.lex_state = 1318, .external_lex_state = 5},
  [8911] = {.lex_state = 294, .external_lex_state = 5},
  [8912] = {.lex_state = 101, .external_lex_state = 5},
  [8913] = {.lex_state = 241, .external_lex_state = 5},
  [8914] = {.lex_state = 1318, .external_lex_state = 5},
  [8915] = {.lex_state = 1318, .external_lex_state = 5},
  [8916] = {.lex_state = 1318, .external_lex_state = 13},
  [8917] = {.lex_state = 101, .external_lex_state = 5},
  [8918] = {.lex_state = 119, .external_lex_state = 5},
  [8919] = {.lex_state = 119, .external_lex_state = 5},
  [8920] = {.lex_state = 294, .external_lex_state = 5},
  [8921] = {.lex_state = 294, .external_lex_state = 5},
  [8922] = {.lex_state = 294, .external_lex_state = 5},
  [8923] = {.lex_state = 294, .external_lex_state = 5},
  [8924] = {.lex_state = 112, .external_lex_state = 5},
  [8925] = {.lex_state = 294, .external_lex_state = 5},
  [8926] = {.lex_state = 294, .external_lex_state = 5},
  [8927] = {.lex_state = 287, .external_lex_state = 5},
  [8928] = {.lex_state = 294, .external_lex_state = 5},
  [8929] = {.lex_state = 294, .external_lex_state = 5},
  [8930] = {.lex_state = 119, .external_lex_state = 5},
  [8931] = {.lex_state = 294, .external_lex_state = 5},
  [8932] = {.lex_state = 294, .external_lex_state = 5},
  [8933] = {.lex_state = 1318, .external_lex_state = 5},
  [8934] = {.lex_state = 294, .external_lex_state = 5},
  [8935] = {.lex_state = 294, .external_lex_state = 5},
  [8936] = {.lex_state = 294, .external_lex_state = 5},
  [8937] = {.lex_state = 294, .external_lex_state = 5},
  [8938] = {.lex_state = 317, .external_lex_state = 5},
  [8939] = {.lex_state = 112, .external_lex_state = 5},
  [8940] = {.lex_state = 294, .external_lex_state = 5},
  [8941] = {.lex_state = 294, .external_lex_state = 5},
  [8942] = {.lex_state = 294, .external_lex_state = 5},
  [8943] = {.lex_state = 294, .external_lex_state = 5},
  [8944] = {.lex_state = 294, .external_lex_state = 5},
  [8945] = {.lex_state = 294, .external_lex_state = 5},
  [8946] = {.lex_state = 294, .external_lex_state = 5},
  [8947] = {.lex_state = 294, .external_lex_state = 5},
  [8948] = {.lex_state = 294, .external_lex_state = 5},
  [8949] = {.lex_state = 294, .external_lex_state = 5},
  [8950] = {.lex_state = 1318, .external_lex_state = 5},
  [8951] = {.lex_state = 353, .external_lex_state = 5},
  [8952] = {.lex_state = 1318, .external_lex_state = 5},
  [8953] = {.lex_state = 294, .external_lex_state = 5},
  [8954] = {.lex_state = 294, .external_lex_state = 5},
  [8955] = {.lex_state = 294, .external_lex_state = 5},
  [8956] = {.lex_state = 294, .external_lex_state = 5},
  [8957] = {.lex_state = 294, .external_lex_state = 5},
  [8958] = {.lex_state = 287, .external_lex_state = 5},
  [8959] = {.lex_state = 112, .external_lex_state = 5},
  [8960] = {.lex_state = 1318, .external_lex_state = 5},
  [8961] = {.lex_state = 1318, .external_lex_state = 5},
  [8962] = {.lex_state = 112, .external_lex_state = 5},
  [8963] = {.lex_state = 294, .external_lex_state = 5},
  [8964] = {.lex_state = 1318, .external_lex_state = 5},
  [8965] = {.lex_state = 1318, .external_lex_state = 5},
  [8966] = {.lex_state = 294, .external_lex_state = 5},
  [8967] = {.lex_state = 119, .external_lex_state = 5},
  [8968] = {.lex_state = 1318, .external_lex_state = 5},
  [8969] = {.lex_state = 287, .external_lex_state = 5},
  [8970] = {.lex_state = 294, .external_lex_state = 5},
  [8971] = {.lex_state = 294, .external_lex_state = 5},
  [8972] = {.lex_state = 294, .external_lex_state = 5},
  [8973] = {.lex_state = 101, .external_lex_state = 5},
  [8974] = {.lex_state = 112, .external_lex_state = 5},
  [8975] = {.lex_state = 1318, .external_lex_state = 5},
  [8976] = {.lex_state = 294, .external_lex_state = 5},
  [8977] = {.lex_state = 317, .external_lex_state = 5},
  [8978] = {.lex_state = 294, .external_lex_state = 5},
  [8979] = {.lex_state = 317, .external_lex_state = 5},
  [8980] = {.lex_state = 317, .external_lex_state = 5},
  [8981] = {.lex_state = 317, .external_lex_state = 5},
  [8982] = {.lex_state = 294, .external_lex_state = 5},
  [8983] = {.lex_state = 317, .external_lex_state = 5},
  [8984] = {.lex_state = 317, .external_lex_state = 5},
  [8985] = {.lex_state = 101, .external_lex_state = 5},
  [8986] = {.lex_state = 101, .external_lex_state = 5},
  [8987] = {.lex_state = 294, .external_lex_state = 5},
  [8988] = {.lex_state = 1318, .external_lex_state = 13},
  [8989] = {.lex_state = 294, .external_lex_state = 5},
  [8990] = {.lex_state = 294, .external_lex_state = 5},
  [8991] = {.lex_state = 294, .external_lex_state = 5},
  [8992] = {.lex_state = 1318, .external_lex_state = 5},
  [8993] = {.lex_state = 294, .external_lex_state = 5},
  [8994] = {.lex_state = 1318, .external_lex_state = 5},
  [8995] = {.lex_state = 1318, .external_lex_state = 5},
  [8996] = {.lex_state = 252, .external_lex_state = 5},
  [8997] = {.lex_state = 294, .external_lex_state = 5},
  [8998] = {.lex_state = 1318, .external_lex_state = 5},
  [8999] = {.lex_state = 287, .external_lex_state = 5},
  [9000] = {.lex_state = 276, .external_lex_state = 5},
  [9001] = {.lex_state = 1318, .external_lex_state = 5},
  [9002] = {.lex_state = 294, .external_lex_state = 5},
  [9003] = {.lex_state = 294, .external_lex_state = 5},
  [9004] = {.lex_state = 112, .external_lex_state = 5},
  [9005] = {.lex_state = 294, .external_lex_state = 5},
  [9006] = {.lex_state = 119, .external_lex_state = 5},
  [9007] = {.lex_state = 1318, .external_lex_state = 5},
  [9008] = {.lex_state = 294, .external_lex_state = 5},
  [9009] = {.lex_state = 287, .external_lex_state = 5},
  [9010] = {.lex_state = 294, .external_lex_state = 5},
  [9011] = {.lex_state = 294, .external_lex_state = 5},
  [9012] = {.lex_state = 252, .external_lex_state = 5},
  [9013] = {.lex_state = 294, .external_lex_state = 5},
  [9014] = {.lex_state = 1318, .external_lex_state = 5},
  [9015] = {.lex_state = 294, .external_lex_state = 5},
  [9016] = {.lex_state = 294, .external_lex_state = 5},
  [9017] = {.lex_state = 294, .external_lex_state = 5},
  [9018] = {.lex_state = 1318, .external_lex_state = 5},
  [9019] = {.lex_state = 1318, .external_lex_state = 5},
  [9020] = {.lex_state = 241, .external_lex_state = 5},
  [9021] = {.lex_state = 317, .external_lex_state = 5},
  [9022] = {.lex_state = 317, .external_lex_state = 5},
  [9023] = {.lex_state = 1318, .external_lex_state = 5},
  [9024] = {.lex_state = 294, .external_lex_state = 5},
  [9025] = {.lex_state = 294, .external_lex_state = 5},
  [9026] = {.lex_state = 1318, .external_lex_state = 13},
  [9027] = {.lex_state = 119, .external_lex_state = 5},
  [9028] = {.lex_state = 294, .external_lex_state = 5},
  [9029] = {.lex_state = 112, .external_lex_state = 5},
  [9030] = {.lex_state = 101, .external_lex_state = 5},
  [9031] = {.lex_state = 112, .external_lex_state = 5},
  [9032] = {.lex_state = 294, .external_lex_state = 5},
  [9033] = {.lex_state = 1318, .external_lex_state = 5},
  [9034] = {.lex_state = 294, .external_lex_state = 5},
  [9035] = {.lex_state = 101, .external_lex_state = 5},
  [9036] = {.lex_state = 294, .external_lex_state = 5},
  [9037] = {.lex_state = 294, .external_lex_state = 5},
  [9038] = {.lex_state = 287, .external_lex_state = 5},
  [9039] = {.lex_state = 317, .external_lex_state = 5},
  [9040] = {.lex_state = 1318, .external_lex_state = 13},
  [9041] = {.lex_state = 112, .external_lex_state = 5},
  [9042] = {.lex_state = 119, .external_lex_state = 5},
  [9043] = {.lex_state = 294, .external_lex_state = 5},
  [9044] = {.lex_state = 317, .external_lex_state = 5},
  [9045] = {.lex_state = 294, .external_lex_state = 5},
  [9046] = {.lex_state = 294, .external_lex_state = 5},
  [9047] = {.lex_state = 294, .external_lex_state = 5},
  [9048] = {.lex_state = 294, .external_lex_state = 5},
  [9049] = {.lex_state = 294, .external_lex_state = 5},
  [9050] = {.lex_state = 294, .external_lex_state = 5},
  [9051] = {.lex_state = 112, .external_lex_state = 5},
  [9052] = {.lex_state = 287, .external_lex_state = 5},
  [9053] = {.lex_state = 1318, .external_lex_state = 5},
  [9054] = {.lex_state = 294, .external_lex_state = 5},
  [9055] = {.lex_state = 112, .external_lex_state = 5},
  [9056] = {.lex_state = 294, .external_lex_state = 5},
  [9057] = {.lex_state = 294, .external_lex_state = 5},
  [9058] = {.lex_state = 294, .external_lex_state = 5},
  [9059] = {.lex_state = 294, .external_lex_state = 5},
  [9060] = {.lex_state = 1318, .external_lex_state = 5},
  [9061] = {.lex_state = 320, .external_lex_state = 5},
  [9062] = {.lex_state = 287, .external_lex_state = 5},
  [9063] = {.lex_state = 287, .external_lex_state = 5},
  [9064] = {.lex_state = 294, .external_lex_state = 5},
  [9065] = {.lex_state = 294, .external_lex_state = 5},
  [9066] = {.lex_state = 317, .external_lex_state = 5},
  [9067] = {.lex_state = 317, .external_lex_state = 5},
  [9068] = {.lex_state = 317, .external_lex_state = 5},
  [9069] = {.lex_state = 317, .external_lex_state = 5},
  [9070] = {.lex_state = 294, .external_lex_state = 5},
  [9071] = {.lex_state = 294, .external_lex_state = 5},
  [9072] = {.lex_state = 317, .external_lex_state = 5},
  [9073] = {.lex_state = 317, .external_lex_state = 5},
  [9074] = {.lex_state = 317, .external_lex_state = 5},
  [9075] = {.lex_state = 287, .external_lex_state = 5},
  [9076] = {.lex_state = 294, .external_lex_state = 5},
  [9077] = {.lex_state = 287, .external_lex_state = 5},
  [9078] = {.lex_state = 294, .external_lex_state = 5},
  [9079] = {.lex_state = 294, .external_lex_state = 5},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [sym_preproc_comment] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [aux_sym_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token2] = ACTIONS(1),
    [aux_sym_module_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_statement_token1] = ACTIONS(1),
    [aux_sym_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_interface_statement_token1] = ACTIONS(1),
    [aux_sym_end_interface_statement_token1] = ACTIONS(1),
    [aux_sym_block_data_statement_token1] = ACTIONS(1),
    [aux_sym_block_data_statement_token2] = ACTIONS(1),
    [aux_sym_block_data_statement_token3] = ACTIONS(1),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(1),
    [aux_sym_assignment_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_operator_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token4] = ACTIONS(1),
    [aux_sym_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_language_binding_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token2] = ACTIONS(1),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1),
    [aux_sym_procedure_attributes_token4] = ACTIONS(1),
    [aux_sym_procedure_attributes_token5] = ACTIONS(1),
    [aux_sym_end_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_result_token1] = ACTIONS(1),
    [aux_sym_contains_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token2] = ACTIONS(1),
    [aux_sym_use_statement_token3] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_included_items_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_implicit_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_statement_token2] = ACTIONS(1),
    [aux_sym_implicit_statement_token3] = ACTIONS(1),
    [aux_sym_implicit_statement_token4] = ACTIONS(1),
    [aux_sym_save_statement_token1] = ACTIONS(1),
    [aux_sym_private_statement_token1] = ACTIONS(1),
    [aux_sym_public_statement_token1] = ACTIONS(1),
    [aux_sym_namelist_statement_token1] = ACTIONS(1),
    [aux_sym_common_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_range_token1] = ACTIONS(1),
    [aux_sym_import_statement_token1] = ACTIONS(1),
    [aux_sym__import_names_token1] = ACTIONS(1),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1),
    [aux_sym_base_type_specifier_token1] = ACTIONS(1),
    [aux_sym_end_type_statement_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token2] = ACTIONS(1),
    [aux_sym_procedure_kind_token3] = ACTIONS(1),
    [aux_sym_procedure_kind_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token1] = ACTIONS(1),
    [aux_sym_procedure_attribute_token2] = ACTIONS(1),
    [aux_sym_procedure_attribute_token3] = ACTIONS(1),
    [aux_sym_procedure_attribute_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token5] = ACTIONS(1),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1),
    [aux_sym_variable_attributes_token1] = ACTIONS(1),
    [aux_sym_variable_attributes_token2] = ACTIONS(1),
    [aux_sym_variable_attributes_token3] = ACTIONS(1),
    [aux_sym_variable_attributes_token4] = ACTIONS(1),
    [aux_sym_variable_attributes_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1),
    [aux_sym__intrinsic_type_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1),
    [aux_sym_derived_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token2] = ACTIONS(1),
    [aux_sym_kind_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token7] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token8] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1),
    [aux_sym_type_qualifier_token1] = ACTIONS(1),
    [aux_sym_type_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(1),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token2] = ACTIONS(1),
    [aux_sym_stop_statement_token3] = ACTIONS(1),
    [aux_sym_subroutine_call_token1] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [aux_sym_keyword_statement_token1] = ACTIONS(1),
    [aux_sym_keyword_statement_token2] = ACTIONS(1),
    [aux_sym_keyword_statement_token3] = ACTIONS(1),
    [aux_sym_keyword_statement_token4] = ACTIONS(1),
    [aux_sym_keyword_statement_token5] = ACTIONS(1),
    [aux_sym_keyword_statement_token6] = ACTIONS(1),
    [aux_sym_keyword_statement_token7] = ACTIONS(1),
    [aux_sym_include_statement_token1] = ACTIONS(1),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_concurrent_header_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token2] = ACTIONS(1),
    [aux_sym_concurrent_locality_token3] = ACTIONS(1),
    [aux_sym_concurrent_locality_token4] = ACTIONS(1),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1),
    [aux_sym__block_if_statement_token1] = ACTIONS(1),
    [aux_sym_end_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token2] = ACTIONS(1),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1),
    [aux_sym_end_where_statement_token1] = ACTIONS(1),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1),
    [aux_sym_end_forall_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token2] = ACTIONS(1),
    [aux_sym_select_case_statement_token3] = ACTIONS(1),
    [aux_sym_select_type_statement_token1] = ACTIONS(1),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1),
    [aux_sym_end_select_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token2] = ACTIONS(1),
    [aux_sym_type_statement_token3] = ACTIONS(1),
    [aux_sym__class_default_token1] = ACTIONS(1),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1),
    [aux_sym_associate_statement_token1] = ACTIONS(1),
    [aux_sym_end_associate_statement_token1] = ACTIONS(1),
    [aux_sym_format_statement_token1] = ACTIONS(1),
    [aux_sym_print_statement_token1] = ACTIONS(1),
    [aux_sym_open_statement_token1] = ACTIONS(1),
    [aux_sym_close_statement_token1] = ACTIONS(1),
    [aux_sym_inquire_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1),
    [aux_sym_enumerator_statement_token1] = ACTIONS(1),
    [aux_sym_end_enum_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token2] = ACTIONS(1),
    [aux_sym_file_position_statement_token3] = ACTIONS(1),
    [aux_sym_file_position_statement_token4] = ACTIONS(1),
    [aux_sym_allocate_statement_token1] = ACTIONS(1),
    [aux_sym_entry_statement_token1] = ACTIONS(1),
    [aux_sym_assign_statement_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_logical_expression_token4] = ACTIONS(1),
    [aux_sym_logical_expression_token5] = ACTIONS(1),
    [aux_sym_relational_expression_token1] = ACTIONS(1),
    [aux_sym_relational_expression_token2] = ACTIONS(1),
    [aux_sym_relational_expression_token3] = ACTIONS(1),
    [aux_sym_relational_expression_token4] = ACTIONS(1),
    [aux_sym_relational_expression_token5] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [aux_sym_relational_expression_token6] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_assumed_rank] = ACTIONS(1),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_boolean_literal_token1] = ACTIONS(1),
    [aux_sym_boolean_literal_token2] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [aux_sym__kind_token2] = ACTIONS(1),
    [aux_sym_null_literal_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token2] = ACTIONS(1),
    [aux_sym_coarray_statement_token3] = ACTIONS(1),
    [aux_sym_coarray_statement_token4] = ACTIONS(1),
    [aux_sym_coarray_statement_token5] = ACTIONS(1),
    [aux_sym_coarray_statement_token6] = ACTIONS(1),
    [aux_sym_coarray_statement_token7] = ACTIONS(1),
    [aux_sym_coarray_statement_token8] = ACTIONS(1),
    [aux_sym_coarray_statement_token9] = ACTIONS(1),
    [aux_sym_coarray_statement_token10] = ACTIONS(1),
    [aux_sym_coarray_statement_token11] = ACTIONS(1),
    [aux_sym_coarray_statement_token12] = ACTIONS(1),
    [aux_sym_coarray_statement_token13] = ACTIONS(1),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [aux_sym_nil_literal_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__integer_literal] = ACTIONS(1),
    [sym__float_literal] = ACTIONS(1),
    [sym__boz_literal] = ACTIONS(1),
    [sym__string_literal] = ACTIONS(1),
    [sym__string_literal_kind] = ACTIONS(1),
    [sym__external_end_of_statement] = ACTIONS(1),
    [sym__preproc_unary_operator] = ACTIONS(1),
    [sym_hollerith_constant] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9014),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(640),
    [sym_preproc_ifdef_in_statements] = STATE(640),
    [sym_program] = STATE(52),
    [sym_program_statement] = STATE(189),
    [sym_end_program_statement] = STATE(1070),
    [sym_module] = STATE(52),
    [sym_module_statement] = STATE(598),
    [sym_submodule] = STATE(52),
    [sym_submodule_statement] = STATE(610),
    [sym_interface] = STATE(52),
    [sym_interface_statement] = STATE(4150),
    [sym_block_data] = STATE(52),
    [sym_block_data_statement] = STATE(693),
    [sym_subroutine] = STATE(52),
    [sym_subroutine_statement] = STATE(6924),
    [sym_function] = STATE(52),
    [sym_function_statement] = STATE(6995),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7059),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6875),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(640),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(8934),
    [sym_preproc_elif] = STATE(8934),
    [sym_preproc_elifdef] = STATE(8934),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(243),
    [sym_preproc_ifdef_in_statements] = STATE(243),
    [sym_preproc_else_in_statements] = STATE(8993),
    [sym_preproc_elif_in_statements] = STATE(8993),
    [sym_preproc_elifdef_in_statements] = STATE(8993),
    [sym_program] = STATE(40),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(40),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(40),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(40),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(40),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(40),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(40),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(40),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(243),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(223),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8181),
    [sym_preproc_elif] = STATE(8181),
    [sym_preproc_elifdef] = STATE(8181),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8186),
    [sym_preproc_elif_in_specification_part] = STATE(8186),
    [sym_preproc_elifdef_in_specification_part] = STATE(8186),
    [sym_preproc_if_in_statements] = STATE(244),
    [sym_preproc_ifdef_in_statements] = STATE(244),
    [sym_preproc_else_in_statements] = STATE(8188),
    [sym_preproc_elif_in_statements] = STATE(8188),
    [sym_preproc_elifdef_in_statements] = STATE(8188),
    [sym_program] = STATE(41),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(41),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(41),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(41),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(41),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(41),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(41),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5908),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(41),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(107),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(244),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [4] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(8349),
    [sym_preproc_elif] = STATE(8349),
    [sym_preproc_elifdef] = STATE(8349),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(236),
    [sym_preproc_ifdef_in_statements] = STATE(236),
    [sym_preproc_else_in_statements] = STATE(8367),
    [sym_preproc_elif_in_statements] = STATE(8367),
    [sym_preproc_elifdef_in_statements] = STATE(8367),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(45),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5957),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(236),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [5] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8797),
    [sym_preproc_elif] = STATE(8797),
    [sym_preproc_elifdef] = STATE(8797),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(241),
    [sym_preproc_ifdef_in_statements] = STATE(241),
    [sym_preproc_else_in_statements] = STATE(8118),
    [sym_preproc_elif_in_statements] = STATE(8118),
    [sym_preproc_elifdef_in_statements] = STATE(8118),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(34),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5924),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(241),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [6] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(8349),
    [sym_preproc_elif] = STATE(8349),
    [sym_preproc_elifdef] = STATE(8349),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(243),
    [sym_preproc_ifdef_in_statements] = STATE(243),
    [sym_preproc_else_in_statements] = STATE(8993),
    [sym_preproc_elif_in_statements] = STATE(8993),
    [sym_preproc_elifdef_in_statements] = STATE(8993),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(45),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(243),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [7] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8797),
    [sym_preproc_elif] = STATE(8797),
    [sym_preproc_elifdef] = STATE(8797),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(243),
    [sym_preproc_ifdef_in_statements] = STATE(243),
    [sym_preproc_else_in_statements] = STATE(8993),
    [sym_preproc_elif_in_statements] = STATE(8993),
    [sym_preproc_elifdef_in_statements] = STATE(8993),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(34),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(243),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [8] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8701),
    [sym_preproc_elif] = STATE(8701),
    [sym_preproc_elifdef] = STATE(8701),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(238),
    [sym_preproc_ifdef_in_statements] = STATE(238),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(30),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5944),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(238),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [9] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(8886),
    [sym_preproc_elif] = STATE(8886),
    [sym_preproc_elifdef] = STATE(8886),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(238),
    [sym_preproc_ifdef_in_statements] = STATE(238),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_program] = STATE(37),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(37),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(37),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(37),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(37),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(37),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(37),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5944),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(37),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(238),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [10] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8675),
    [sym_preproc_elif] = STATE(8675),
    [sym_preproc_elifdef] = STATE(8675),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(239),
    [sym_preproc_ifdef_in_statements] = STATE(239),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(29),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5939),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(239),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [11] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(8691),
    [sym_preproc_elif] = STATE(8691),
    [sym_preproc_elifdef] = STATE(8691),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(235),
    [sym_preproc_ifdef_in_statements] = STATE(235),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_program] = STATE(32),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(32),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(32),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(32),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(32),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(32),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(32),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5942),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(32),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(235),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [12] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8605),
    [sym_preproc_elif] = STATE(8605),
    [sym_preproc_elifdef] = STATE(8605),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8646),
    [sym_preproc_elif_in_specification_part] = STATE(8646),
    [sym_preproc_elifdef_in_specification_part] = STATE(8646),
    [sym_preproc_if_in_statements] = STATE(247),
    [sym_preproc_ifdef_in_statements] = STATE(247),
    [sym_preproc_else_in_statements] = STATE(8731),
    [sym_preproc_elif_in_statements] = STATE(8731),
    [sym_preproc_elifdef_in_statements] = STATE(8731),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(38),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5896),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(106),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(247),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [13] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_else] = STATE(8168),
    [sym_preproc_elif] = STATE(8168),
    [sym_preproc_elifdef] = STATE(8168),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(8301),
    [sym_preproc_elif_in_statements] = STATE(8301),
    [sym_preproc_elifdef_in_statements] = STATE(8301),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(42),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5913),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [14] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8649),
    [sym_preproc_elif] = STATE(8649),
    [sym_preproc_elifdef] = STATE(8649),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(232),
    [sym_preproc_ifdef_in_statements] = STATE(232),
    [sym_preproc_else_in_statements] = STATE(8673),
    [sym_preproc_elif_in_statements] = STATE(8673),
    [sym_preproc_elifdef_in_statements] = STATE(8673),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(28),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5891),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(232),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [15] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8701),
    [sym_preproc_elif] = STATE(8701),
    [sym_preproc_elifdef] = STATE(8701),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(240),
    [sym_preproc_ifdef_in_statements] = STATE(240),
    [sym_preproc_else_in_statements] = STATE(8708),
    [sym_preproc_elif_in_statements] = STATE(8708),
    [sym_preproc_elifdef_in_statements] = STATE(8708),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(30),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5892),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(240),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [16] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8885),
    [sym_preproc_elif] = STATE(8885),
    [sym_preproc_elifdef] = STATE(8885),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(237),
    [sym_preproc_ifdef_in_statements] = STATE(237),
    [sym_preproc_else_in_statements] = STATE(8883),
    [sym_preproc_elif_in_statements] = STATE(8883),
    [sym_preproc_elifdef_in_statements] = STATE(8883),
    [sym_program] = STATE(31),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(31),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(31),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(31),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(31),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(31),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(31),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5900),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(31),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(237),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [17] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(8875),
    [sym_preproc_elif] = STATE(8875),
    [sym_preproc_elifdef] = STATE(8875),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(242),
    [sym_preproc_ifdef_in_statements] = STATE(242),
    [sym_preproc_else_in_statements] = STATE(8149),
    [sym_preproc_elif_in_statements] = STATE(8149),
    [sym_preproc_elifdef_in_statements] = STATE(8149),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(35),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5930),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(242),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [18] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(8886),
    [sym_preproc_elif] = STATE(8886),
    [sym_preproc_elifdef] = STATE(8886),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(245),
    [sym_preproc_ifdef_in_statements] = STATE(245),
    [sym_preproc_else_in_statements] = STATE(8150),
    [sym_preproc_elif_in_statements] = STATE(8150),
    [sym_preproc_elifdef_in_statements] = STATE(8150),
    [sym_program] = STATE(37),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(37),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(37),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(37),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(37),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(37),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(37),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5931),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(37),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(245),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [19] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8943),
    [sym_preproc_elif] = STATE(8943),
    [sym_preproc_elifdef] = STATE(8943),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(246),
    [sym_preproc_ifdef_in_statements] = STATE(246),
    [sym_preproc_else_in_statements] = STATE(8173),
    [sym_preproc_elif_in_statements] = STATE(8173),
    [sym_preproc_elifdef_in_statements] = STATE(8173),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(43),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5935),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(246),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [20] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8293),
    [sym_preproc_elif] = STATE(8293),
    [sym_preproc_elifdef] = STATE(8293),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(238),
    [sym_preproc_ifdef_in_statements] = STATE(238),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_program] = STATE(27),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(27),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(27),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(27),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(27),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(27),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(27),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5944),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(27),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(238),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [21] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8649),
    [sym_preproc_elif] = STATE(8649),
    [sym_preproc_elifdef] = STATE(8649),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(8301),
    [sym_preproc_elif_in_statements] = STATE(8301),
    [sym_preproc_elifdef_in_statements] = STATE(8301),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(28),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5913),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [22] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8885),
    [sym_preproc_elif] = STATE(8885),
    [sym_preproc_elifdef] = STATE(8885),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(234),
    [sym_preproc_ifdef_in_statements] = STATE(234),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_program] = STATE(31),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(31),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(31),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(31),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(31),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(31),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(31),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5903),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(31),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(234),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [23] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_preproc_else] = STATE(8921),
    [sym_preproc_elif] = STATE(8921),
    [sym_preproc_elifdef] = STATE(8921),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(234),
    [sym_preproc_ifdef_in_statements] = STATE(234),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_program] = STATE(44),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(44),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(44),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(44),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(44),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(44),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(44),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5903),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(234),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [24] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(8875),
    [sym_preproc_elif] = STATE(8875),
    [sym_preproc_elifdef] = STATE(8875),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(8301),
    [sym_preproc_elif_in_statements] = STATE(8301),
    [sym_preproc_elifdef_in_statements] = STATE(8301),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(35),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5913),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [25] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8943),
    [sym_preproc_elif] = STATE(8943),
    [sym_preproc_elifdef] = STATE(8943),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(234),
    [sym_preproc_ifdef_in_statements] = STATE(234),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(43),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(5903),
    [sym_contains_statement] = STATE(6824),
    [sym__specification_part] = STATE(1185),
    [sym_use_statement] = STATE(6904),
    [sym_implicit_statement] = STATE(6904),
    [sym_save_statement] = STATE(6904),
    [sym_private_statement] = STATE(1185),
    [sym_public_statement] = STATE(1185),
    [sym_namelist_statement] = STATE(6904),
    [sym_common_statement] = STATE(6904),
    [sym_import_statement] = STATE(6904),
    [sym_derived_type_definition] = STATE(1185),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4510),
    [sym_variable_declaration] = STATE(6904),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6904),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(6904),
    [sym_equivalence_statement] = STATE(6904),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(845),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7143),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(6904),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_enum] = STATE(1185),
    [sym_enum_statement] = STATE(6357),
    [sym_enumeration_type] = STATE(1185),
    [sym_enumeration_type_statement] = STATE(6485),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(234),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [26] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8181),
    [sym_preproc_elif] = STATE(8181),
    [sym_preproc_elifdef] = STATE(8181),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(41),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(41),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(41),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(41),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(41),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(41),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(41),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(41),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [27] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8490),
    [sym_preproc_elif] = STATE(8490),
    [sym_preproc_elifdef] = STATE(8490),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [28] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8885),
    [sym_preproc_elif] = STATE(8885),
    [sym_preproc_elifdef] = STATE(8885),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [29] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8323),
    [sym_preproc_elif] = STATE(8323),
    [sym_preproc_elifdef] = STATE(8323),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [30] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8931),
    [sym_preproc_elif] = STATE(8931),
    [sym_preproc_elifdef] = STATE(8931),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [31] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8114),
    [sym_preproc_elif] = STATE(8114),
    [sym_preproc_elifdef] = STATE(8114),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [32] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8721),
    [sym_preproc_elif] = STATE(8721),
    [sym_preproc_elifdef] = STATE(8721),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [33] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8675),
    [sym_preproc_elif] = STATE(8675),
    [sym_preproc_elifdef] = STATE(8675),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(29),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [34] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8886),
    [sym_preproc_elif] = STATE(8886),
    [sym_preproc_elifdef] = STATE(8886),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [35] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8943),
    [sym_preproc_elif] = STATE(8943),
    [sym_preproc_elifdef] = STATE(8943),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [36] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(8691),
    [sym_preproc_elif] = STATE(8691),
    [sym_preproc_elifdef] = STATE(8691),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(32),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(32),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(32),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(32),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(32),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(32),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(32),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(32),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [37] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8957),
    [sym_preproc_elif] = STATE(8957),
    [sym_preproc_elifdef] = STATE(8957),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [38] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8632),
    [sym_preproc_elif] = STATE(8632),
    [sym_preproc_elifdef] = STATE(8632),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [39] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8605),
    [sym_preproc_elif] = STATE(8605),
    [sym_preproc_elifdef] = STATE(8605),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(38),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [40] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8293),
    [sym_preproc_elif] = STATE(8293),
    [sym_preproc_elifdef] = STATE(8293),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [41] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8691),
    [sym_preproc_elif] = STATE(8691),
    [sym_preproc_elifdef] = STATE(8691),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [42] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8921),
    [sym_preproc_elif] = STATE(8921),
    [sym_preproc_elifdef] = STATE(8921),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [43] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9037),
    [sym_preproc_elif] = STATE(9037),
    [sym_preproc_elifdef] = STATE(9037),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [44] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9079),
    [sym_preproc_elif] = STATE(9079),
    [sym_preproc_elifdef] = STATE(9079),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [45] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8701),
    [sym_preproc_elif] = STATE(8701),
    [sym_preproc_elifdef] = STATE(8701),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(291),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(295),
    [aux_sym_preproc_else_token1] = ACTIONS(297),
    [aux_sym_preproc_elif_token1] = ACTIONS(299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(301),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(305),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [46] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(942),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(608),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(609),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4170),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(704),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7504),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7505),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7136),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7145),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(343),
    [aux_sym_preproc_def_token1] = ACTIONS(346),
    [aux_sym_preproc_if_token1] = ACTIONS(349),
    [aux_sym_preproc_if_token2] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(354),
    [aux_sym_preproc_else_token1] = ACTIONS(352),
    [aux_sym_preproc_elif_token1] = ACTIONS(352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(352),
    [sym_preproc_directive] = ACTIONS(357),
    [anon_sym_LPAREN2] = ACTIONS(360),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(366),
    [aux_sym_end_program_statement_token1] = ACTIONS(369),
    [aux_sym_end_program_statement_token2] = ACTIONS(372),
    [aux_sym_module_statement_token1] = ACTIONS(375),
    [aux_sym_submodule_statement_token1] = ACTIONS(378),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_interface_statement_token1] = ACTIONS(384),
    [aux_sym_block_data_statement_token1] = ACTIONS(387),
    [aux_sym_block_data_statement_token2] = ACTIONS(390),
    [aux_sym_block_data_statement_token3] = ACTIONS(393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(405),
    [aux_sym_function_statement_token1] = ACTIONS(408),
    [aux_sym_language_binding_token1] = ACTIONS(411),
    [aux_sym_procedure_attributes_token1] = ACTIONS(414),
    [aux_sym_procedure_attributes_token3] = ACTIONS(417),
    [aux_sym_contains_statement_token1] = ACTIONS(420),
    [aux_sym_use_statement_token1] = ACTIONS(423),
    [aux_sym_use_statement_token2] = ACTIONS(417),
    [aux_sym_implicit_statement_token1] = ACTIONS(426),
    [aux_sym_implicit_statement_token3] = ACTIONS(429),
    [aux_sym_implicit_statement_token4] = ACTIONS(417),
    [aux_sym_save_statement_token1] = ACTIONS(432),
    [aux_sym_private_statement_token1] = ACTIONS(435),
    [aux_sym_public_statement_token1] = ACTIONS(438),
    [aux_sym_namelist_statement_token1] = ACTIONS(441),
    [aux_sym_common_statement_token1] = ACTIONS(444),
    [aux_sym_import_statement_token1] = ACTIONS(447),
    [aux_sym_derived_type_definition_token1] = ACTIONS(417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(450),
    [aux_sym_procedure_attribute_token6] = ACTIONS(417),
    [aux_sym_variable_attributes_token1] = ACTIONS(453),
    [aux_sym_variable_attributes_token2] = ACTIONS(417),
    [aux_sym_variable_attributes_token3] = ACTIONS(417),
    [aux_sym_variable_attributes_token4] = ACTIONS(453),
    [aux_sym_variable_attributes_token5] = ACTIONS(417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(456),
    [aux_sym__intrinsic_type_token2] = ACTIONS(459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(462),
    [aux_sym__intrinsic_type_token6] = ACTIONS(459),
    [aux_sym__intrinsic_type_token7] = ACTIONS(459),
    [aux_sym__intrinsic_type_token8] = ACTIONS(465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(459),
    [aux_sym__intrinsic_type_token10] = ACTIONS(459),
    [aux_sym_derived_type_token1] = ACTIONS(468),
    [aux_sym_declared_type_token1] = ACTIONS(471),
    [aux_sym_declared_type_token2] = ACTIONS(471),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(474),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(480),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(453),
    [aux_sym_type_qualifier_token1] = ACTIONS(489),
    [aux_sym_type_qualifier_token2] = ACTIONS(489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(492),
    [aux_sym_equivalence_statement_token1] = ACTIONS(495),
    [aux_sym_stop_statement_token1] = ACTIONS(498),
    [aux_sym_stop_statement_token2] = ACTIONS(501),
    [aux_sym_subroutine_call_token1] = ACTIONS(504),
    [aux_sym_keyword_statement_token1] = ACTIONS(507),
    [aux_sym_keyword_statement_token2] = ACTIONS(510),
    [aux_sym_keyword_statement_token3] = ACTIONS(510),
    [aux_sym_keyword_statement_token4] = ACTIONS(513),
    [aux_sym_keyword_statement_token6] = ACTIONS(516),
    [aux_sym_keyword_statement_token7] = ACTIONS(519),
    [aux_sym_include_statement_token1] = ACTIONS(522),
    [aux_sym_do_loop_statement_token1] = ACTIONS(525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(528),
    [aux_sym_end_if_statement_token1] = ACTIONS(489),
    [aux_sym_elseif_clause_token2] = ACTIONS(489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(531),
    [aux_sym__forall_control_expression_token1] = ACTIONS(534),
    [aux_sym_select_case_statement_token1] = ACTIONS(537),
    [aux_sym_select_case_statement_token3] = ACTIONS(540),
    [aux_sym_select_type_statement_token1] = ACTIONS(543),
    [aux_sym_select_rank_statement_token1] = ACTIONS(546),
    [aux_sym_associate_statement_token1] = ACTIONS(549),
    [aux_sym_format_statement_token1] = ACTIONS(552),
    [aux_sym_print_statement_token1] = ACTIONS(555),
    [aux_sym_open_statement_token1] = ACTIONS(558),
    [aux_sym_close_statement_token1] = ACTIONS(561),
    [aux_sym_inquire_statement_token1] = ACTIONS(564),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(570),
    [aux_sym_file_position_statement_token1] = ACTIONS(573),
    [aux_sym_file_position_statement_token2] = ACTIONS(573),
    [aux_sym_file_position_statement_token3] = ACTIONS(573),
    [aux_sym_file_position_statement_token4] = ACTIONS(576),
    [aux_sym_allocate_statement_token1] = ACTIONS(579),
    [aux_sym_entry_statement_token1] = ACTIONS(582),
    [aux_sym_assign_statement_token1] = ACTIONS(585),
    [aux_sym_logical_expression_token5] = ACTIONS(588),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_LPAREN_SLASH] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(597),
    [aux_sym_boolean_literal_token1] = ACTIONS(600),
    [aux_sym_boolean_literal_token2] = ACTIONS(600),
    [aux_sym_null_literal_token1] = ACTIONS(603),
    [aux_sym_coarray_statement_token1] = ACTIONS(606),
    [aux_sym_coarray_statement_token2] = ACTIONS(606),
    [aux_sym_coarray_statement_token6] = ACTIONS(609),
    [aux_sym_coarray_statement_token8] = ACTIONS(612),
    [aux_sym_coarray_statement_token11] = ACTIONS(615),
    [aux_sym_coarray_statement_token12] = ACTIONS(615),
    [aux_sym_coarray_statement_token13] = ACTIONS(618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(624),
    [aux_sym_identifier_token1] = ACTIONS(489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(627),
    [sym__float_literal] = ACTIONS(630),
    [sym__boz_literal] = ACTIONS(630),
    [sym__string_literal] = ACTIONS(633),
    [sym__string_literal_kind] = ACTIONS(636),
  },
  [47] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(582),
    [sym_preproc_ifdef_in_statements] = STATE(582),
    [sym_program] = STATE(51),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(51),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(51),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(51),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(51),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(51),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(51),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(6677),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(1258),
    [sym_use_statement] = STATE(7170),
    [sym_implicit_statement] = STATE(7170),
    [sym_save_statement] = STATE(7170),
    [sym_private_statement] = STATE(1258),
    [sym_public_statement] = STATE(1258),
    [sym_namelist_statement] = STATE(7170),
    [sym_common_statement] = STATE(7170),
    [sym_import_statement] = STATE(7170),
    [sym_derived_type_definition] = STATE(1258),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4526),
    [sym_variable_declaration] = STATE(7170),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7170),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7170),
    [sym_equivalence_statement] = STATE(7170),
    [sym__statements] = STATE(7056),
    [sym_statement_label] = STATE(849),
    [sym_stop_statement] = STATE(7056),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(7056),
    [sym_subroutine_call] = STATE(7056),
    [sym_keyword_statement] = STATE(7056),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7170),
    [sym_do_loop_statement] = STATE(7056),
    [sym_do_label_statement] = STATE(7056),
    [sym_end_do_label_statement] = STATE(7056),
    [sym_if_statement] = STATE(7056),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7056),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7056),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7056),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7056),
    [sym_select_type_statement] = STATE(7056),
    [sym_select_rank_statement] = STATE(7056),
    [sym_block_construct] = STATE(7056),
    [sym_associate_statement] = STATE(7056),
    [sym_format_statement] = STATE(7056),
    [sym_read_statement] = STATE(7056),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7056),
    [sym_open_statement] = STATE(7056),
    [sym_close_statement] = STATE(7056),
    [sym_write_statement] = STATE(7056),
    [sym_inquire_statement] = STATE(7056),
    [sym_enum] = STATE(1258),
    [sym_enum_statement] = STATE(6392),
    [sym_enumeration_type] = STATE(1258),
    [sym_enumeration_type_statement] = STATE(6523),
    [sym_file_position_statement] = STATE(7056),
    [sym_allocate_statement] = STATE(7056),
    [sym_entry_statement] = STATE(7056),
    [sym_assign_statement] = STATE(7056),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7056),
    [sym_coarray_team_statement] = STATE(7056),
    [sym_coarray_critical_statement] = STATE(7056),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(51),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(582),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token2] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(647),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(657),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(659),
    [aux_sym_public_statement_token1] = ACTIONS(661),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [48] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_program] = STATE(51),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(51),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(51),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(51),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(51),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(51),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(51),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7538),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(51),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(668),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(663),
    [aux_sym_preproc_if_token2] = ACTIONS(665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(667),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(671),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [49] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(594),
    [sym_preproc_ifdef_in_statements] = STATE(594),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(50),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(6704),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(1258),
    [sym_use_statement] = STATE(7170),
    [sym_implicit_statement] = STATE(7170),
    [sym_save_statement] = STATE(7170),
    [sym_private_statement] = STATE(1258),
    [sym_public_statement] = STATE(1258),
    [sym_namelist_statement] = STATE(7170),
    [sym_common_statement] = STATE(7170),
    [sym_import_statement] = STATE(7170),
    [sym_derived_type_definition] = STATE(1258),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4526),
    [sym_variable_declaration] = STATE(7170),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7170),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7170),
    [sym_equivalence_statement] = STATE(7170),
    [sym__statements] = STATE(7056),
    [sym_statement_label] = STATE(849),
    [sym_stop_statement] = STATE(7056),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(7056),
    [sym_subroutine_call] = STATE(7056),
    [sym_keyword_statement] = STATE(7056),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7170),
    [sym_do_loop_statement] = STATE(7056),
    [sym_do_label_statement] = STATE(7056),
    [sym_end_do_label_statement] = STATE(7056),
    [sym_if_statement] = STATE(7056),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7056),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7056),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7056),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7056),
    [sym_select_type_statement] = STATE(7056),
    [sym_select_rank_statement] = STATE(7056),
    [sym_block_construct] = STATE(7056),
    [sym_associate_statement] = STATE(7056),
    [sym_format_statement] = STATE(7056),
    [sym_read_statement] = STATE(7056),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7056),
    [sym_open_statement] = STATE(7056),
    [sym_close_statement] = STATE(7056),
    [sym_write_statement] = STATE(7056),
    [sym_inquire_statement] = STATE(7056),
    [sym_enum] = STATE(1258),
    [sym_enum_statement] = STATE(6392),
    [sym_enumeration_type] = STATE(1258),
    [sym_enumeration_type_statement] = STATE(6523),
    [sym_file_position_statement] = STATE(7056),
    [sym_allocate_statement] = STATE(7056),
    [sym_entry_statement] = STATE(7056),
    [sym_assign_statement] = STATE(7056),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7056),
    [sym_coarray_team_statement] = STATE(7056),
    [sym_coarray_critical_statement] = STATE(7056),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(203),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(594),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(647),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(657),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(659),
    [aux_sym_public_statement_token1] = ACTIONS(661),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [50] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(53),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7538),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(668),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(663),
    [aux_sym_preproc_if_token2] = ACTIONS(675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(667),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(671),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [51] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(53),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7538),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(668),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(663),
    [aux_sym_preproc_if_token2] = ACTIONS(677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(667),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(671),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [52] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(640),
    [sym_preproc_ifdef_in_statements] = STATE(640),
    [sym_program] = STATE(54),
    [sym_program_statement] = STATE(189),
    [sym_end_program_statement] = STATE(1070),
    [sym_module] = STATE(54),
    [sym_module_statement] = STATE(598),
    [sym_submodule] = STATE(54),
    [sym_submodule_statement] = STATE(610),
    [sym_interface] = STATE(54),
    [sym_interface_statement] = STATE(4150),
    [sym_block_data] = STATE(54),
    [sym_block_data_statement] = STATE(693),
    [sym_subroutine] = STATE(54),
    [sym_subroutine_statement] = STATE(6924),
    [sym_function] = STATE(54),
    [sym_function_statement] = STATE(6995),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7059),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6875),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(54),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(640),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [ts_builtin_sym_end] = ACTIONS(679),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(53),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7538),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(668),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(681),
    [aux_sym_preproc_def_token1] = ACTIONS(684),
    [aux_sym_preproc_if_token1] = ACTIONS(687),
    [aux_sym_preproc_if_token2] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(690),
    [sym_preproc_directive] = ACTIONS(693),
    [anon_sym_LPAREN2] = ACTIONS(360),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(366),
    [aux_sym_end_program_statement_token1] = ACTIONS(696),
    [aux_sym_end_program_statement_token2] = ACTIONS(699),
    [aux_sym_module_statement_token1] = ACTIONS(375),
    [aux_sym_submodule_statement_token1] = ACTIONS(378),
    [anon_sym_SEMI] = ACTIONS(702),
    [aux_sym_interface_statement_token1] = ACTIONS(384),
    [aux_sym_block_data_statement_token1] = ACTIONS(387),
    [aux_sym_block_data_statement_token2] = ACTIONS(390),
    [aux_sym_block_data_statement_token3] = ACTIONS(393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(405),
    [aux_sym_function_statement_token1] = ACTIONS(408),
    [aux_sym_language_binding_token1] = ACTIONS(411),
    [aux_sym_procedure_attributes_token1] = ACTIONS(414),
    [aux_sym_procedure_attributes_token3] = ACTIONS(417),
    [aux_sym_contains_statement_token1] = ACTIONS(420),
    [aux_sym_use_statement_token1] = ACTIONS(423),
    [aux_sym_use_statement_token2] = ACTIONS(417),
    [aux_sym_implicit_statement_token1] = ACTIONS(426),
    [aux_sym_implicit_statement_token3] = ACTIONS(429),
    [aux_sym_implicit_statement_token4] = ACTIONS(417),
    [aux_sym_save_statement_token1] = ACTIONS(432),
    [aux_sym_private_statement_token1] = ACTIONS(435),
    [aux_sym_public_statement_token1] = ACTIONS(438),
    [aux_sym_namelist_statement_token1] = ACTIONS(441),
    [aux_sym_common_statement_token1] = ACTIONS(444),
    [aux_sym_import_statement_token1] = ACTIONS(447),
    [aux_sym_derived_type_definition_token1] = ACTIONS(417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(450),
    [aux_sym_procedure_attribute_token6] = ACTIONS(417),
    [aux_sym_variable_attributes_token1] = ACTIONS(453),
    [aux_sym_variable_attributes_token2] = ACTIONS(417),
    [aux_sym_variable_attributes_token3] = ACTIONS(417),
    [aux_sym_variable_attributes_token4] = ACTIONS(453),
    [aux_sym_variable_attributes_token5] = ACTIONS(417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(456),
    [aux_sym__intrinsic_type_token2] = ACTIONS(459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(462),
    [aux_sym__intrinsic_type_token6] = ACTIONS(459),
    [aux_sym__intrinsic_type_token7] = ACTIONS(459),
    [aux_sym__intrinsic_type_token8] = ACTIONS(465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(459),
    [aux_sym__intrinsic_type_token10] = ACTIONS(459),
    [aux_sym_derived_type_token1] = ACTIONS(468),
    [aux_sym_declared_type_token1] = ACTIONS(471),
    [aux_sym_declared_type_token2] = ACTIONS(471),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(474),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(480),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(453),
    [aux_sym_type_qualifier_token1] = ACTIONS(489),
    [aux_sym_type_qualifier_token2] = ACTIONS(489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(492),
    [aux_sym_equivalence_statement_token1] = ACTIONS(495),
    [aux_sym_stop_statement_token1] = ACTIONS(498),
    [aux_sym_stop_statement_token2] = ACTIONS(501),
    [aux_sym_subroutine_call_token1] = ACTIONS(504),
    [aux_sym_keyword_statement_token1] = ACTIONS(507),
    [aux_sym_keyword_statement_token2] = ACTIONS(510),
    [aux_sym_keyword_statement_token3] = ACTIONS(510),
    [aux_sym_keyword_statement_token4] = ACTIONS(513),
    [aux_sym_keyword_statement_token6] = ACTIONS(516),
    [aux_sym_keyword_statement_token7] = ACTIONS(519),
    [aux_sym_include_statement_token1] = ACTIONS(522),
    [aux_sym_do_loop_statement_token1] = ACTIONS(525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(528),
    [aux_sym_end_if_statement_token1] = ACTIONS(489),
    [aux_sym_elseif_clause_token2] = ACTIONS(489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(531),
    [aux_sym__forall_control_expression_token1] = ACTIONS(534),
    [aux_sym_select_case_statement_token1] = ACTIONS(537),
    [aux_sym_select_case_statement_token3] = ACTIONS(540),
    [aux_sym_select_type_statement_token1] = ACTIONS(543),
    [aux_sym_select_rank_statement_token1] = ACTIONS(546),
    [aux_sym_associate_statement_token1] = ACTIONS(549),
    [aux_sym_format_statement_token1] = ACTIONS(552),
    [aux_sym_print_statement_token1] = ACTIONS(555),
    [aux_sym_open_statement_token1] = ACTIONS(558),
    [aux_sym_close_statement_token1] = ACTIONS(561),
    [aux_sym_inquire_statement_token1] = ACTIONS(564),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(570),
    [aux_sym_file_position_statement_token1] = ACTIONS(573),
    [aux_sym_file_position_statement_token2] = ACTIONS(573),
    [aux_sym_file_position_statement_token3] = ACTIONS(573),
    [aux_sym_file_position_statement_token4] = ACTIONS(576),
    [aux_sym_allocate_statement_token1] = ACTIONS(579),
    [aux_sym_entry_statement_token1] = ACTIONS(582),
    [aux_sym_assign_statement_token1] = ACTIONS(585),
    [aux_sym_logical_expression_token5] = ACTIONS(588),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_LPAREN_SLASH] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(597),
    [aux_sym_boolean_literal_token1] = ACTIONS(600),
    [aux_sym_boolean_literal_token2] = ACTIONS(600),
    [aux_sym_null_literal_token1] = ACTIONS(603),
    [aux_sym_coarray_statement_token1] = ACTIONS(606),
    [aux_sym_coarray_statement_token2] = ACTIONS(606),
    [aux_sym_coarray_statement_token6] = ACTIONS(609),
    [aux_sym_coarray_statement_token8] = ACTIONS(612),
    [aux_sym_coarray_statement_token11] = ACTIONS(615),
    [aux_sym_coarray_statement_token12] = ACTIONS(615),
    [aux_sym_coarray_statement_token13] = ACTIONS(618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(624),
    [aux_sym_identifier_token1] = ACTIONS(489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(627),
    [sym__float_literal] = ACTIONS(630),
    [sym__boz_literal] = ACTIONS(630),
    [sym__string_literal] = ACTIONS(633),
    [sym__string_literal_kind] = ACTIONS(636),
  },
  [54] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(640),
    [sym_preproc_ifdef_in_statements] = STATE(640),
    [sym_program] = STATE(54),
    [sym_program_statement] = STATE(189),
    [sym_end_program_statement] = STATE(1070),
    [sym_module] = STATE(54),
    [sym_module_statement] = STATE(598),
    [sym_submodule] = STATE(54),
    [sym_submodule_statement] = STATE(610),
    [sym_interface] = STATE(54),
    [sym_interface_statement] = STATE(4150),
    [sym_block_data] = STATE(54),
    [sym_block_data_statement] = STATE(693),
    [sym_subroutine] = STATE(54),
    [sym_subroutine_statement] = STATE(6924),
    [sym_function] = STATE(54),
    [sym_function_statement] = STATE(6995),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7059),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6875),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(54),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(640),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [ts_builtin_sym_end] = ACTIONS(705),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(710),
    [aux_sym_preproc_if_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(716),
    [sym_preproc_directive] = ACTIONS(719),
    [anon_sym_LPAREN2] = ACTIONS(360),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(366),
    [aux_sym_end_program_statement_token1] = ACTIONS(722),
    [aux_sym_end_program_statement_token2] = ACTIONS(725),
    [aux_sym_module_statement_token1] = ACTIONS(375),
    [aux_sym_submodule_statement_token1] = ACTIONS(378),
    [anon_sym_SEMI] = ACTIONS(728),
    [aux_sym_interface_statement_token1] = ACTIONS(384),
    [aux_sym_block_data_statement_token1] = ACTIONS(387),
    [aux_sym_block_data_statement_token2] = ACTIONS(390),
    [aux_sym_block_data_statement_token3] = ACTIONS(393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(405),
    [aux_sym_function_statement_token1] = ACTIONS(408),
    [aux_sym_language_binding_token1] = ACTIONS(411),
    [aux_sym_procedure_attributes_token1] = ACTIONS(414),
    [aux_sym_procedure_attributes_token3] = ACTIONS(417),
    [aux_sym_contains_statement_token1] = ACTIONS(420),
    [aux_sym_use_statement_token1] = ACTIONS(423),
    [aux_sym_use_statement_token2] = ACTIONS(417),
    [aux_sym_implicit_statement_token1] = ACTIONS(426),
    [aux_sym_implicit_statement_token3] = ACTIONS(429),
    [aux_sym_implicit_statement_token4] = ACTIONS(417),
    [aux_sym_save_statement_token1] = ACTIONS(432),
    [aux_sym_private_statement_token1] = ACTIONS(435),
    [aux_sym_public_statement_token1] = ACTIONS(438),
    [aux_sym_namelist_statement_token1] = ACTIONS(441),
    [aux_sym_common_statement_token1] = ACTIONS(444),
    [aux_sym_import_statement_token1] = ACTIONS(447),
    [aux_sym_derived_type_definition_token1] = ACTIONS(417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(450),
    [aux_sym_procedure_attribute_token6] = ACTIONS(417),
    [aux_sym_variable_attributes_token1] = ACTIONS(453),
    [aux_sym_variable_attributes_token2] = ACTIONS(417),
    [aux_sym_variable_attributes_token3] = ACTIONS(417),
    [aux_sym_variable_attributes_token4] = ACTIONS(453),
    [aux_sym_variable_attributes_token5] = ACTIONS(417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(456),
    [aux_sym__intrinsic_type_token2] = ACTIONS(459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(462),
    [aux_sym__intrinsic_type_token6] = ACTIONS(459),
    [aux_sym__intrinsic_type_token7] = ACTIONS(459),
    [aux_sym__intrinsic_type_token8] = ACTIONS(465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(459),
    [aux_sym__intrinsic_type_token10] = ACTIONS(459),
    [aux_sym_derived_type_token1] = ACTIONS(468),
    [aux_sym_declared_type_token1] = ACTIONS(471),
    [aux_sym_declared_type_token2] = ACTIONS(471),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(474),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(480),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(453),
    [aux_sym_type_qualifier_token1] = ACTIONS(489),
    [aux_sym_type_qualifier_token2] = ACTIONS(489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(492),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(492),
    [aux_sym_equivalence_statement_token1] = ACTIONS(495),
    [aux_sym_stop_statement_token1] = ACTIONS(498),
    [aux_sym_stop_statement_token2] = ACTIONS(501),
    [aux_sym_subroutine_call_token1] = ACTIONS(504),
    [aux_sym_keyword_statement_token1] = ACTIONS(507),
    [aux_sym_keyword_statement_token2] = ACTIONS(510),
    [aux_sym_keyword_statement_token3] = ACTIONS(510),
    [aux_sym_keyword_statement_token4] = ACTIONS(513),
    [aux_sym_keyword_statement_token6] = ACTIONS(516),
    [aux_sym_keyword_statement_token7] = ACTIONS(519),
    [aux_sym_include_statement_token1] = ACTIONS(522),
    [aux_sym_do_loop_statement_token1] = ACTIONS(525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(528),
    [aux_sym_end_if_statement_token1] = ACTIONS(489),
    [aux_sym_elseif_clause_token2] = ACTIONS(489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(531),
    [aux_sym__forall_control_expression_token1] = ACTIONS(534),
    [aux_sym_select_case_statement_token1] = ACTIONS(537),
    [aux_sym_select_case_statement_token3] = ACTIONS(540),
    [aux_sym_select_type_statement_token1] = ACTIONS(543),
    [aux_sym_select_rank_statement_token1] = ACTIONS(546),
    [aux_sym_associate_statement_token1] = ACTIONS(549),
    [aux_sym_format_statement_token1] = ACTIONS(552),
    [aux_sym_print_statement_token1] = ACTIONS(555),
    [aux_sym_open_statement_token1] = ACTIONS(558),
    [aux_sym_close_statement_token1] = ACTIONS(561),
    [aux_sym_inquire_statement_token1] = ACTIONS(564),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(570),
    [aux_sym_file_position_statement_token1] = ACTIONS(573),
    [aux_sym_file_position_statement_token2] = ACTIONS(573),
    [aux_sym_file_position_statement_token3] = ACTIONS(573),
    [aux_sym_file_position_statement_token4] = ACTIONS(576),
    [aux_sym_allocate_statement_token1] = ACTIONS(579),
    [aux_sym_entry_statement_token1] = ACTIONS(582),
    [aux_sym_assign_statement_token1] = ACTIONS(585),
    [aux_sym_logical_expression_token5] = ACTIONS(588),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_LPAREN_SLASH] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(597),
    [aux_sym_boolean_literal_token1] = ACTIONS(600),
    [aux_sym_boolean_literal_token2] = ACTIONS(600),
    [aux_sym_null_literal_token1] = ACTIONS(603),
    [aux_sym_coarray_statement_token1] = ACTIONS(606),
    [aux_sym_coarray_statement_token2] = ACTIONS(606),
    [aux_sym_coarray_statement_token6] = ACTIONS(609),
    [aux_sym_coarray_statement_token8] = ACTIONS(612),
    [aux_sym_coarray_statement_token11] = ACTIONS(615),
    [aux_sym_coarray_statement_token12] = ACTIONS(615),
    [aux_sym_coarray_statement_token13] = ACTIONS(618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(624),
    [aux_sym_identifier_token1] = ACTIONS(489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(627),
    [sym__float_literal] = ACTIONS(630),
    [sym__boz_literal] = ACTIONS(630),
    [sym__string_literal] = ACTIONS(633),
    [sym__string_literal_kind] = ACTIONS(636),
  },
  [55] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(188),
    [sym_end_program_statement] = STATE(1080),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(583),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(584),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(4110),
    [sym_block_data] = STATE(50),
    [sym_block_data_statement] = STATE(690),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(7547),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(7548),
    [sym_language_binding] = STATE(3372),
    [aux_sym__callable_interface_qualifers] = STATE(5583),
    [sym_procedure_attributes] = STATE(5583),
    [sym_internal_procedures] = STATE(7538),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3350),
    [sym_intrinsic_type] = STATE(3349),
    [sym_derived_type] = STATE(3349),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_procedure_qualifier] = STATE(5583),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(7544),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(668),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(639),
    [aux_sym_preproc_def_token1] = ACTIONS(641),
    [aux_sym_preproc_if_token1] = ACTIONS(663),
    [aux_sym_preproc_if_token2] = ACTIONS(677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(667),
    [sym_preproc_directive] = ACTIONS(649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(671),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [56] = {
    [sym_preproc_include] = STATE(107),
    [sym_preproc_def] = STATE(107),
    [sym_preproc_function_def] = STATE(107),
    [sym_preproc_call] = STATE(107),
    [sym_preproc_else_in_specification_part] = STATE(8186),
    [sym_preproc_elif_in_specification_part] = STATE(8186),
    [sym_preproc_elifdef_in_specification_part] = STATE(8186),
    [sym_preproc_if_in_statements] = STATE(221),
    [sym_preproc_ifdef_in_statements] = STATE(221),
    [sym_preproc_else_in_statements] = STATE(8188),
    [sym_preproc_elif_in_statements] = STATE(8188),
    [sym_preproc_elifdef_in_statements] = STATE(8188),
    [sym_preproc_else_in_procedure_statements] = STATE(8291),
    [sym_preproc_elif_in_procedure_statements] = STATE(8291),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8291),
    [sym_interface] = STATE(107),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5928),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(107),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(107),
    [sym_public_statement] = STATE(107),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(107),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(107),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(107),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(107),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(221),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [57] = {
    [sym_preproc_include] = STATE(108),
    [sym_preproc_def] = STATE(108),
    [sym_preproc_function_def] = STATE(108),
    [sym_preproc_call] = STATE(108),
    [sym_preproc_else_in_specification_part] = STATE(8841),
    [sym_preproc_elif_in_specification_part] = STATE(8841),
    [sym_preproc_elifdef_in_specification_part] = STATE(8841),
    [sym_preproc_if_in_statements] = STATE(216),
    [sym_preproc_ifdef_in_statements] = STATE(216),
    [sym_preproc_else_in_statements] = STATE(9046),
    [sym_preproc_elif_in_statements] = STATE(9046),
    [sym_preproc_elifdef_in_statements] = STATE(9046),
    [sym_preproc_else_in_procedure_statements] = STATE(8991),
    [sym_preproc_elif_in_procedure_statements] = STATE(8991),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8991),
    [sym_interface] = STATE(108),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5941),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(108),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(108),
    [sym_public_statement] = STATE(108),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(108),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(108),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(108),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(108),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(216),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(777),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [58] = {
    [sym_preproc_include] = STATE(102),
    [sym_preproc_def] = STATE(102),
    [sym_preproc_function_def] = STATE(102),
    [sym_preproc_call] = STATE(102),
    [sym_preproc_else_in_specification_part] = STATE(8365),
    [sym_preproc_elif_in_specification_part] = STATE(8365),
    [sym_preproc_elifdef_in_specification_part] = STATE(8365),
    [sym_preproc_if_in_statements] = STATE(231),
    [sym_preproc_ifdef_in_statements] = STATE(231),
    [sym_preproc_else_in_statements] = STATE(8593),
    [sym_preproc_elif_in_statements] = STATE(8593),
    [sym_preproc_elifdef_in_statements] = STATE(8593),
    [sym_preproc_else_in_procedure_statements] = STATE(8602),
    [sym_preproc_elif_in_procedure_statements] = STATE(8602),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8602),
    [sym_interface] = STATE(102),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5918),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(102),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(102),
    [sym_public_statement] = STATE(102),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(102),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(102),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(102),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(102),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(231),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(783),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [59] = {
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_else_in_specification_part] = STATE(8798),
    [sym_preproc_elif_in_specification_part] = STATE(8798),
    [sym_preproc_elifdef_in_specification_part] = STATE(8798),
    [sym_preproc_if_in_statements] = STATE(223),
    [sym_preproc_ifdef_in_statements] = STATE(223),
    [sym_preproc_else_in_statements] = STATE(8283),
    [sym_preproc_elif_in_statements] = STATE(8283),
    [sym_preproc_elifdef_in_statements] = STATE(8283),
    [sym_preproc_else_in_procedure_statements] = STATE(9048),
    [sym_preproc_elif_in_procedure_statements] = STATE(9048),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9048),
    [sym_interface] = STATE(91),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5904),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(91),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(91),
    [sym_public_statement] = STATE(91),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(91),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(91),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(91),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(91),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(223),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(789),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [60] = {
    [sym_preproc_include] = STATE(116),
    [sym_preproc_def] = STATE(116),
    [sym_preproc_function_def] = STATE(116),
    [sym_preproc_call] = STATE(116),
    [sym_preproc_else_in_specification_part] = STATE(8879),
    [sym_preproc_elif_in_specification_part] = STATE(8879),
    [sym_preproc_elifdef_in_specification_part] = STATE(8879),
    [sym_preproc_if_in_statements] = STATE(217),
    [sym_preproc_ifdef_in_statements] = STATE(217),
    [sym_preproc_else_in_statements] = STATE(8738),
    [sym_preproc_elif_in_statements] = STATE(8738),
    [sym_preproc_elifdef_in_statements] = STATE(8738),
    [sym_preproc_else_in_procedure_statements] = STATE(9015),
    [sym_preproc_elif_in_procedure_statements] = STATE(9015),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9015),
    [sym_interface] = STATE(116),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5923),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(116),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(116),
    [sym_public_statement] = STATE(116),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(116),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(116),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(116),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(116),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(217),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(793),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [61] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_else_in_specification_part] = STATE(8877),
    [sym_preproc_elif_in_specification_part] = STATE(8877),
    [sym_preproc_elifdef_in_specification_part] = STATE(8877),
    [sym_preproc_if_in_statements] = STATE(227),
    [sym_preproc_ifdef_in_statements] = STATE(227),
    [sym_preproc_else_in_statements] = STATE(8335),
    [sym_preproc_elif_in_statements] = STATE(8335),
    [sym_preproc_elifdef_in_statements] = STATE(8335),
    [sym_preproc_else_in_procedure_statements] = STATE(8169),
    [sym_preproc_elif_in_procedure_statements] = STATE(8169),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8169),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5906),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(93),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(227),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [62] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_else_in_specification_part] = STATE(8888),
    [sym_preproc_elif_in_specification_part] = STATE(8888),
    [sym_preproc_elifdef_in_specification_part] = STATE(8888),
    [sym_preproc_if_in_statements] = STATE(224),
    [sym_preproc_ifdef_in_statements] = STATE(224),
    [sym_preproc_else_in_statements] = STATE(8339),
    [sym_preproc_elif_in_statements] = STATE(8339),
    [sym_preproc_elifdef_in_statements] = STATE(8339),
    [sym_preproc_else_in_procedure_statements] = STATE(8182),
    [sym_preproc_elif_in_procedure_statements] = STATE(8182),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8182),
    [sym_interface] = STATE(96),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5907),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(96),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(96),
    [sym_public_statement] = STATE(96),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(96),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(96),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(96),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(96),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(224),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [63] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_else_in_specification_part] = STATE(8941),
    [sym_preproc_elif_in_specification_part] = STATE(8941),
    [sym_preproc_elifdef_in_specification_part] = STATE(8941),
    [sym_preproc_if_in_statements] = STATE(226),
    [sym_preproc_ifdef_in_statements] = STATE(226),
    [sym_preproc_else_in_statements] = STATE(8383),
    [sym_preproc_elif_in_statements] = STATE(8383),
    [sym_preproc_elifdef_in_statements] = STATE(8383),
    [sym_preproc_else_in_procedure_statements] = STATE(8368),
    [sym_preproc_elif_in_procedure_statements] = STATE(8368),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8368),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5912),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(100),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(226),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(805),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [64] = {
    [sym_preproc_include] = STATE(106),
    [sym_preproc_def] = STATE(106),
    [sym_preproc_function_def] = STATE(106),
    [sym_preproc_call] = STATE(106),
    [sym_preproc_else_in_specification_part] = STATE(8646),
    [sym_preproc_elif_in_specification_part] = STATE(8646),
    [sym_preproc_elifdef_in_specification_part] = STATE(8646),
    [sym_preproc_if_in_statements] = STATE(230),
    [sym_preproc_ifdef_in_statements] = STATE(230),
    [sym_preproc_else_in_statements] = STATE(8731),
    [sym_preproc_elif_in_statements] = STATE(8731),
    [sym_preproc_elifdef_in_statements] = STATE(8731),
    [sym_preproc_else_in_procedure_statements] = STATE(8194),
    [sym_preproc_elif_in_procedure_statements] = STATE(8194),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8194),
    [sym_interface] = STATE(106),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5958),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(106),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(106),
    [sym_public_statement] = STATE(106),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(106),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(106),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(106),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(106),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(230),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [65] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(225),
    [sym_preproc_ifdef_in_statements] = STATE(225),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_preproc_else_in_procedure_statements] = STATE(8855),
    [sym_preproc_elif_in_procedure_statements] = STATE(8855),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8855),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5927),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(111),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(225),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(809),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [66] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(222),
    [sym_preproc_ifdef_in_statements] = STATE(222),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_preproc_else_in_procedure_statements] = STATE(8821),
    [sym_preproc_elif_in_procedure_statements] = STATE(8821),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8821),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5926),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(104),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(222),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(811),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [67] = {
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_else_in_specification_part] = STATE(8663),
    [sym_preproc_elif_in_specification_part] = STATE(8663),
    [sym_preproc_elifdef_in_specification_part] = STATE(8663),
    [sym_preproc_if_in_statements] = STATE(228),
    [sym_preproc_ifdef_in_statements] = STATE(228),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_preproc_else_in_procedure_statements] = STATE(8630),
    [sym_preproc_elif_in_procedure_statements] = STATE(8630),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8630),
    [sym_interface] = STATE(105),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5920),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(105),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(105),
    [sym_public_statement] = STATE(105),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(105),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(105),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(105),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(105),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(228),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [68] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_else_in_specification_part] = STATE(8381),
    [sym_preproc_elif_in_specification_part] = STATE(8381),
    [sym_preproc_elifdef_in_specification_part] = STATE(8381),
    [sym_preproc_if_in_statements] = STATE(220),
    [sym_preproc_ifdef_in_statements] = STATE(220),
    [sym_preproc_else_in_statements] = STATE(9058),
    [sym_preproc_elif_in_statements] = STATE(9058),
    [sym_preproc_elifdef_in_statements] = STATE(9058),
    [sym_preproc_else_in_procedure_statements] = STATE(9065),
    [sym_preproc_elif_in_procedure_statements] = STATE(9065),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9065),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5947),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(85),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(220),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(819),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [69] = {
    [sym_preproc_include] = STATE(113),
    [sym_preproc_def] = STATE(113),
    [sym_preproc_function_def] = STATE(113),
    [sym_preproc_call] = STATE(113),
    [sym_preproc_else_in_specification_part] = STATE(8552),
    [sym_preproc_elif_in_specification_part] = STATE(8552),
    [sym_preproc_elifdef_in_specification_part] = STATE(8552),
    [sym_preproc_if_in_statements] = STATE(219),
    [sym_preproc_ifdef_in_statements] = STATE(219),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8537),
    [sym_preproc_elif_in_procedure_statements] = STATE(8537),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8537),
    [sym_interface] = STATE(113),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5951),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(113),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(113),
    [sym_public_statement] = STATE(113),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(113),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(113),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(113),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(113),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(219),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [70] = {
    [sym_preproc_include] = STATE(110),
    [sym_preproc_def] = STATE(110),
    [sym_preproc_function_def] = STATE(110),
    [sym_preproc_call] = STATE(110),
    [sym_preproc_else_in_specification_part] = STATE(8704),
    [sym_preproc_elif_in_specification_part] = STATE(8704),
    [sym_preproc_elifdef_in_specification_part] = STATE(8704),
    [sym_preproc_if_in_statements] = STATE(229),
    [sym_preproc_ifdef_in_statements] = STATE(229),
    [sym_preproc_else_in_statements] = STATE(8669),
    [sym_preproc_elif_in_statements] = STATE(8669),
    [sym_preproc_elifdef_in_statements] = STATE(8669),
    [sym_preproc_else_in_procedure_statements] = STATE(8360),
    [sym_preproc_elif_in_procedure_statements] = STATE(8360),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8360),
    [sym_interface] = STATE(110),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5910),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(110),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(110),
    [sym_public_statement] = STATE(110),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(110),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(110),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(110),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(110),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(229),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(827),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [71] = {
    [sym_preproc_include] = STATE(109),
    [sym_preproc_def] = STATE(109),
    [sym_preproc_function_def] = STATE(109),
    [sym_preproc_call] = STATE(109),
    [sym_preproc_else_in_specification_part] = STATE(8343),
    [sym_preproc_elif_in_specification_part] = STATE(8343),
    [sym_preproc_elifdef_in_specification_part] = STATE(8343),
    [sym_preproc_if_in_statements] = STATE(218),
    [sym_preproc_ifdef_in_statements] = STATE(218),
    [sym_preproc_else_in_statements] = STATE(9056),
    [sym_preproc_elif_in_statements] = STATE(9056),
    [sym_preproc_elifdef_in_statements] = STATE(9056),
    [sym_preproc_else_in_procedure_statements] = STATE(9057),
    [sym_preproc_elif_in_procedure_statements] = STATE(9057),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9057),
    [sym_interface] = STATE(109),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5946),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(109),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(109),
    [sym_public_statement] = STATE(109),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(109),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(109),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(109),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(109),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(218),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(831),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [72] = {
    [sym_preproc_include] = STATE(107),
    [sym_preproc_def] = STATE(107),
    [sym_preproc_function_def] = STATE(107),
    [sym_preproc_call] = STATE(107),
    [sym_preproc_else_in_specification_part] = STATE(8186),
    [sym_preproc_elif_in_specification_part] = STATE(8186),
    [sym_preproc_elifdef_in_specification_part] = STATE(8186),
    [sym_preproc_if_in_statements] = STATE(287),
    [sym_preproc_ifdef_in_statements] = STATE(287),
    [sym_preproc_else_in_statements] = STATE(8188),
    [sym_preproc_elif_in_statements] = STATE(8188),
    [sym_preproc_elifdef_in_statements] = STATE(8188),
    [sym_interface] = STATE(107),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6026),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(107),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(107),
    [sym_public_statement] = STATE(107),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(107),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(107),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(107),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(107),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(287),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [73] = {
    [sym_preproc_include] = STATE(117),
    [sym_preproc_def] = STATE(117),
    [sym_preproc_function_def] = STATE(117),
    [sym_preproc_call] = STATE(117),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(272),
    [sym_preproc_ifdef_in_statements] = STATE(272),
    [sym_preproc_else_in_statements] = STATE(8993),
    [sym_preproc_elif_in_statements] = STATE(8993),
    [sym_preproc_elifdef_in_statements] = STATE(8993),
    [sym_interface] = STATE(117),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(5998),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(117),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(117),
    [sym_public_statement] = STATE(117),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(117),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(117),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(117),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(845),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [74] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(257),
    [sym_preproc_ifdef_in_statements] = STATE(257),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_interface] = STATE(99),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6046),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(99),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(99),
    [sym_public_statement] = STATE(99),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(99),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(99),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(99),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(257),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [75] = {
    [sym_preproc_include] = STATE(106),
    [sym_preproc_def] = STATE(106),
    [sym_preproc_function_def] = STATE(106),
    [sym_preproc_call] = STATE(106),
    [sym_preproc_else_in_specification_part] = STATE(8646),
    [sym_preproc_elif_in_specification_part] = STATE(8646),
    [sym_preproc_elifdef_in_specification_part] = STATE(8646),
    [sym_preproc_if_in_statements] = STATE(274),
    [sym_preproc_ifdef_in_statements] = STATE(274),
    [sym_preproc_else_in_statements] = STATE(8731),
    [sym_preproc_elif_in_statements] = STATE(8731),
    [sym_preproc_elifdef_in_statements] = STATE(8731),
    [sym_interface] = STATE(106),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6007),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(106),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(106),
    [sym_public_statement] = STATE(106),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(106),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(106),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(106),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(106),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(274),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [76] = {
    [sym_preproc_include] = STATE(115),
    [sym_preproc_def] = STATE(115),
    [sym_preproc_function_def] = STATE(115),
    [sym_preproc_call] = STATE(115),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(275),
    [sym_preproc_ifdef_in_statements] = STATE(275),
    [sym_preproc_else_in_statements] = STATE(8301),
    [sym_preproc_elif_in_statements] = STATE(8301),
    [sym_preproc_elifdef_in_statements] = STATE(8301),
    [sym_interface] = STATE(115),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6002),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(115),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(115),
    [sym_public_statement] = STATE(115),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(115),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(115),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(115),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(275),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(851),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(853),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [77] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(253),
    [sym_preproc_ifdef_in_statements] = STATE(253),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6004),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(104),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(253),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(811),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [78] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(252),
    [sym_preproc_ifdef_in_statements] = STATE(252),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6005),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(111),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(252),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(809),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [79] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(276),
    [sym_preproc_ifdef_in_statements] = STATE(276),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_interface] = STATE(98),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6009),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(98),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(98),
    [sym_public_statement] = STATE(98),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(98),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(98),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(98),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(857),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [80] = {
    [sym_preproc_include] = STATE(107),
    [sym_preproc_def] = STATE(107),
    [sym_preproc_function_def] = STATE(107),
    [sym_preproc_call] = STATE(107),
    [sym_preproc_else_in_specification_part] = STATE(8186),
    [sym_preproc_elif_in_specification_part] = STATE(8186),
    [sym_preproc_elifdef_in_specification_part] = STATE(8186),
    [sym_preproc_if_in_statements] = STATE(333),
    [sym_preproc_ifdef_in_statements] = STATE(333),
    [sym_interface] = STATE(107),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6281),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(107),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(107),
    [sym_public_statement] = STATE(107),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(107),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(107),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(107),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(107),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(333),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [81] = {
    [sym_preproc_include] = STATE(102),
    [sym_preproc_def] = STATE(102),
    [sym_preproc_function_def] = STATE(102),
    [sym_preproc_call] = STATE(102),
    [sym_preproc_else_in_specification_part] = STATE(8365),
    [sym_preproc_elif_in_specification_part] = STATE(8365),
    [sym_preproc_elifdef_in_specification_part] = STATE(8365),
    [sym_preproc_if_in_statements] = STATE(309),
    [sym_preproc_ifdef_in_statements] = STATE(309),
    [sym_interface] = STATE(102),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6160),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(102),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(102),
    [sym_public_statement] = STATE(102),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(102),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(102),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(102),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(102),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(309),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(783),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [82] = {
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_else_in_specification_part] = STATE(8798),
    [sym_preproc_elif_in_specification_part] = STATE(8798),
    [sym_preproc_elifdef_in_specification_part] = STATE(8798),
    [sym_preproc_if_in_statements] = STATE(311),
    [sym_preproc_ifdef_in_statements] = STATE(311),
    [sym_interface] = STATE(91),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6179),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(91),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(91),
    [sym_public_statement] = STATE(91),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(91),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(91),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(91),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(91),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(311),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(789),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [83] = {
    [sym_preproc_include] = STATE(117),
    [sym_preproc_def] = STATE(117),
    [sym_preproc_function_def] = STATE(117),
    [sym_preproc_call] = STATE(117),
    [sym_preproc_else_in_specification_part] = STATE(8982),
    [sym_preproc_elif_in_specification_part] = STATE(8982),
    [sym_preproc_elifdef_in_specification_part] = STATE(8982),
    [sym_preproc_if_in_statements] = STATE(320),
    [sym_preproc_ifdef_in_statements] = STATE(320),
    [sym_interface] = STATE(117),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6223),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(117),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(117),
    [sym_public_statement] = STATE(117),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(117),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(117),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(117),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(117),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(320),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(845),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [84] = {
    [sym_preproc_include] = STATE(108),
    [sym_preproc_def] = STATE(108),
    [sym_preproc_function_def] = STATE(108),
    [sym_preproc_call] = STATE(108),
    [sym_preproc_else_in_specification_part] = STATE(8841),
    [sym_preproc_elif_in_specification_part] = STATE(8841),
    [sym_preproc_elifdef_in_specification_part] = STATE(8841),
    [sym_preproc_if_in_statements] = STATE(313),
    [sym_preproc_ifdef_in_statements] = STATE(313),
    [sym_interface] = STATE(108),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6237),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(108),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(108),
    [sym_public_statement] = STATE(108),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(108),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(108),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(108),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(108),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(313),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(777),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [85] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8582),
    [sym_preproc_elif_in_specification_part] = STATE(8582),
    [sym_preproc_elifdef_in_specification_part] = STATE(8582),
    [sym_preproc_if_in_statements] = STATE(362),
    [sym_preproc_ifdef_in_statements] = STATE(362),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6298),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(362),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [86] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_interface] = STATE(98),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6229),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(98),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(98),
    [sym_public_statement] = STATE(98),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(98),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(98),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(98),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(98),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(318),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(857),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [87] = {
    [sym_preproc_include] = STATE(110),
    [sym_preproc_def] = STATE(110),
    [sym_preproc_function_def] = STATE(110),
    [sym_preproc_call] = STATE(110),
    [sym_preproc_else_in_specification_part] = STATE(8704),
    [sym_preproc_elif_in_specification_part] = STATE(8704),
    [sym_preproc_elifdef_in_specification_part] = STATE(8704),
    [sym_preproc_if_in_statements] = STATE(319),
    [sym_preproc_ifdef_in_statements] = STATE(319),
    [sym_interface] = STATE(110),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(110),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(110),
    [sym_public_statement] = STATE(110),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(110),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(110),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(110),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(110),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(319),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(827),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [88] = {
    [sym_preproc_include] = STATE(116),
    [sym_preproc_def] = STATE(116),
    [sym_preproc_function_def] = STATE(116),
    [sym_preproc_call] = STATE(116),
    [sym_preproc_else_in_specification_part] = STATE(8879),
    [sym_preproc_elif_in_specification_part] = STATE(8879),
    [sym_preproc_elifdef_in_specification_part] = STATE(8879),
    [sym_preproc_if_in_statements] = STATE(325),
    [sym_preproc_ifdef_in_statements] = STATE(325),
    [sym_interface] = STATE(116),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6212),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(116),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(116),
    [sym_public_statement] = STATE(116),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(116),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(116),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(116),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(116),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(325),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(793),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [89] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(356),
    [sym_preproc_ifdef_in_statements] = STATE(356),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6259),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(104),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(356),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(811),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [90] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_else_in_specification_part] = STATE(8888),
    [sym_preproc_elif_in_specification_part] = STATE(8888),
    [sym_preproc_elifdef_in_specification_part] = STATE(8888),
    [sym_preproc_if_in_statements] = STATE(334),
    [sym_preproc_ifdef_in_statements] = STATE(334),
    [sym_interface] = STATE(96),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6230),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(96),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(96),
    [sym_public_statement] = STATE(96),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(96),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(96),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(96),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(96),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(334),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [91] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8888),
    [sym_preproc_elif_in_specification_part] = STATE(8888),
    [sym_preproc_elifdef_in_specification_part] = STATE(8888),
    [sym_preproc_if_in_statements] = STATE(334),
    [sym_preproc_ifdef_in_statements] = STATE(334),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6230),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(334),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [92] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_else_in_specification_part] = STATE(8941),
    [sym_preproc_elif_in_specification_part] = STATE(8941),
    [sym_preproc_elifdef_in_specification_part] = STATE(8941),
    [sym_preproc_if_in_statements] = STATE(338),
    [sym_preproc_ifdef_in_statements] = STATE(338),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6239),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(100),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(338),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(805),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [93] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8941),
    [sym_preproc_elif_in_specification_part] = STATE(8941),
    [sym_preproc_elifdef_in_specification_part] = STATE(8941),
    [sym_preproc_if_in_statements] = STATE(338),
    [sym_preproc_ifdef_in_statements] = STATE(338),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6239),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(338),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [94] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_else_in_specification_part] = STATE(8381),
    [sym_preproc_elif_in_specification_part] = STATE(8381),
    [sym_preproc_elifdef_in_specification_part] = STATE(8381),
    [sym_preproc_if_in_statements] = STATE(357),
    [sym_preproc_ifdef_in_statements] = STATE(357),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6293),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(85),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(357),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(819),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [95] = {
    [sym_preproc_include] = STATE(113),
    [sym_preproc_def] = STATE(113),
    [sym_preproc_function_def] = STATE(113),
    [sym_preproc_call] = STATE(113),
    [sym_preproc_else_in_specification_part] = STATE(8552),
    [sym_preproc_elif_in_specification_part] = STATE(8552),
    [sym_preproc_elifdef_in_specification_part] = STATE(8552),
    [sym_preproc_if_in_statements] = STATE(361),
    [sym_preproc_ifdef_in_statements] = STATE(361),
    [sym_interface] = STATE(113),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6297),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(113),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(113),
    [sym_public_statement] = STATE(113),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(113),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(113),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(113),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(113),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [96] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8953),
    [sym_preproc_elif_in_specification_part] = STATE(8953),
    [sym_preproc_elifdef_in_specification_part] = STATE(8953),
    [sym_preproc_if_in_statements] = STATE(339),
    [sym_preproc_ifdef_in_statements] = STATE(339),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6240),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(339),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [97] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(330),
    [sym_preproc_ifdef_in_statements] = STATE(330),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6245),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(111),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(330),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(809),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [98] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(408),
    [sym_preproc_ifdef_in_statements] = STATE(408),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6120),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(408),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [99] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(324),
    [sym_preproc_ifdef_in_statements] = STATE(324),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6235),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(324),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [100] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(9034),
    [sym_preproc_elif_in_specification_part] = STATE(9034),
    [sym_preproc_elifdef_in_specification_part] = STATE(9034),
    [sym_preproc_if_in_statements] = STATE(344),
    [sym_preproc_ifdef_in_statements] = STATE(344),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6253),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(344),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [101] = {
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_else_in_specification_part] = STATE(8663),
    [sym_preproc_elif_in_specification_part] = STATE(8663),
    [sym_preproc_elifdef_in_specification_part] = STATE(8663),
    [sym_preproc_if_in_statements] = STATE(310),
    [sym_preproc_ifdef_in_statements] = STATE(310),
    [sym_interface] = STATE(105),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6236),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(105),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(105),
    [sym_public_statement] = STATE(105),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(105),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(105),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(105),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(105),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(310),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [102] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8704),
    [sym_preproc_elif_in_specification_part] = STATE(8704),
    [sym_preproc_elifdef_in_specification_part] = STATE(8704),
    [sym_preproc_if_in_statements] = STATE(319),
    [sym_preproc_ifdef_in_statements] = STATE(319),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(319),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [103] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_else_in_specification_part] = STATE(8877),
    [sym_preproc_elif_in_specification_part] = STATE(8877),
    [sym_preproc_elifdef_in_specification_part] = STATE(8877),
    [sym_preproc_if_in_statements] = STATE(312),
    [sym_preproc_ifdef_in_statements] = STATE(312),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6224),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(93),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(312),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [104] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8251),
    [sym_preproc_elif_in_specification_part] = STATE(8251),
    [sym_preproc_elifdef_in_specification_part] = STATE(8251),
    [sym_preproc_if_in_statements] = STATE(352),
    [sym_preproc_ifdef_in_statements] = STATE(352),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6287),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(352),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [105] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8879),
    [sym_preproc_elif_in_specification_part] = STATE(8879),
    [sym_preproc_elifdef_in_specification_part] = STATE(8879),
    [sym_preproc_if_in_statements] = STATE(325),
    [sym_preproc_ifdef_in_statements] = STATE(325),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6212),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(325),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [106] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8625),
    [sym_preproc_elif_in_specification_part] = STATE(8625),
    [sym_preproc_elifdef_in_specification_part] = STATE(8625),
    [sym_preproc_if_in_statements] = STATE(385),
    [sym_preproc_ifdef_in_statements] = STATE(385),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6172),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [107] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(330),
    [sym_preproc_ifdef_in_statements] = STATE(330),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6245),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(330),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [108] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8381),
    [sym_preproc_elif_in_specification_part] = STATE(8381),
    [sym_preproc_elifdef_in_specification_part] = STATE(8381),
    [sym_preproc_if_in_statements] = STATE(357),
    [sym_preproc_ifdef_in_statements] = STATE(357),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6293),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(357),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [109] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8552),
    [sym_preproc_elif_in_specification_part] = STATE(8552),
    [sym_preproc_elifdef_in_specification_part] = STATE(8552),
    [sym_preproc_if_in_statements] = STATE(361),
    [sym_preproc_ifdef_in_statements] = STATE(361),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6297),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [110] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8928),
    [sym_preproc_elif_in_specification_part] = STATE(8928),
    [sym_preproc_elifdef_in_specification_part] = STATE(8928),
    [sym_preproc_if_in_statements] = STATE(326),
    [sym_preproc_ifdef_in_statements] = STATE(326),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6217),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(326),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [111] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8695),
    [sym_preproc_elif_in_specification_part] = STATE(8695),
    [sym_preproc_elifdef_in_specification_part] = STATE(8695),
    [sym_preproc_if_in_statements] = STATE(353),
    [sym_preproc_ifdef_in_statements] = STATE(353),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6115),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(353),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [112] = {
    [sym_preproc_include] = STATE(106),
    [sym_preproc_def] = STATE(106),
    [sym_preproc_function_def] = STATE(106),
    [sym_preproc_call] = STATE(106),
    [sym_preproc_else_in_specification_part] = STATE(8646),
    [sym_preproc_elif_in_specification_part] = STATE(8646),
    [sym_preproc_elifdef_in_specification_part] = STATE(8646),
    [sym_preproc_if_in_statements] = STATE(386),
    [sym_preproc_ifdef_in_statements] = STATE(386),
    [sym_interface] = STATE(106),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6244),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(106),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(106),
    [sym_public_statement] = STATE(106),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(106),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(106),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(106),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(106),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(386),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [113] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8777),
    [sym_preproc_elif_in_specification_part] = STATE(8777),
    [sym_preproc_elifdef_in_specification_part] = STATE(8777),
    [sym_preproc_if_in_statements] = STATE(366),
    [sym_preproc_ifdef_in_statements] = STATE(366),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6309),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(366),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [114] = {
    [sym_preproc_include] = STATE(109),
    [sym_preproc_def] = STATE(109),
    [sym_preproc_function_def] = STATE(109),
    [sym_preproc_call] = STATE(109),
    [sym_preproc_else_in_specification_part] = STATE(8343),
    [sym_preproc_elif_in_specification_part] = STATE(8343),
    [sym_preproc_elifdef_in_specification_part] = STATE(8343),
    [sym_preproc_if_in_statements] = STATE(314),
    [sym_preproc_ifdef_in_statements] = STATE(314),
    [sym_interface] = STATE(109),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6121),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(109),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(109),
    [sym_public_statement] = STATE(109),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(109),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(109),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(109),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(109),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(314),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(831),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [115] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(355),
    [sym_preproc_ifdef_in_statements] = STATE(355),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6215),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [116] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8107),
    [sym_preproc_elif_in_specification_part] = STATE(8107),
    [sym_preproc_elifdef_in_specification_part] = STATE(8107),
    [sym_preproc_if_in_statements] = STATE(331),
    [sym_preproc_ifdef_in_statements] = STATE(331),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6280),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(331),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [117] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6229),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(318),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [118] = {
    [sym_preproc_include] = STATE(115),
    [sym_preproc_def] = STATE(115),
    [sym_preproc_function_def] = STATE(115),
    [sym_preproc_call] = STATE(115),
    [sym_preproc_else_in_specification_part] = STATE(8359),
    [sym_preproc_elif_in_specification_part] = STATE(8359),
    [sym_preproc_elifdef_in_specification_part] = STATE(8359),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_interface] = STATE(115),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6222),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(115),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(115),
    [sym_public_statement] = STATE(115),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(115),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(115),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(115),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(115),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(348),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(853),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [119] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(355),
    [sym_preproc_ifdef_in_statements] = STATE(355),
    [sym_interface] = STATE(99),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6215),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(99),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(99),
    [sym_public_statement] = STATE(99),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(99),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(850),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7057),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7057),
    [sym_data_statement] = STATE(7218),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_enum] = STATE(99),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(99),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(731),
    [aux_sym_preproc_def_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(759),
    [aux_sym_public_statement_token1] = ACTIONS(761),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [120] = {
    [sym_preproc_include] = STATE(166),
    [sym_preproc_def] = STATE(166),
    [sym_preproc_function_def] = STATE(166),
    [sym_preproc_call] = STATE(166),
    [sym_preproc_if_in_specification_part] = STATE(166),
    [sym_preproc_ifdef_in_specification_part] = STATE(166),
    [sym_preproc_if_in_statements] = STATE(555),
    [sym_preproc_ifdef_in_statements] = STATE(555),
    [sym_preproc_if_in_procedure_statements] = STATE(555),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(555),
    [sym_interface] = STATE(166),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4860),
    [sym_internal_procedures] = STATE(7102),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(166),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(166),
    [sym_public_statement] = STATE(166),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(166),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(166),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(166),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(166),
    [aux_sym_subroutine_repeat1] = STATE(555),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(945),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [121] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(506),
    [sym_preproc_ifdef_in_statements] = STATE(506),
    [sym_preproc_if_in_procedure_statements] = STATE(506),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(506),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(1009),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6888),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(506),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(965),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [122] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(511),
    [sym_preproc_ifdef_in_statements] = STATE(511),
    [sym_preproc_if_in_procedure_statements] = STATE(511),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(511),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4662),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7231),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(511),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(973),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [123] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(512),
    [sym_preproc_ifdef_in_statements] = STATE(512),
    [sym_preproc_if_in_procedure_statements] = STATE(512),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(512),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4667),
    [sym_internal_procedures] = STATE(7282),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(512),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(979),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [124] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(550),
    [sym_preproc_ifdef_in_statements] = STATE(550),
    [sym_preproc_if_in_procedure_statements] = STATE(550),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(550),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(952),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7293),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(550),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(983),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [125] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(551),
    [sym_preproc_ifdef_in_statements] = STATE(551),
    [sym_preproc_if_in_procedure_statements] = STATE(551),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(551),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(954),
    [sym_internal_procedures] = STATE(7299),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(551),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(987),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [126] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(516),
    [sym_preproc_ifdef_in_statements] = STATE(516),
    [sym_preproc_if_in_procedure_statements] = STATE(516),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(516),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5217),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7014),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(516),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1003),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [127] = {
    [sym_preproc_include] = STATE(122),
    [sym_preproc_def] = STATE(122),
    [sym_preproc_function_def] = STATE(122),
    [sym_preproc_call] = STATE(122),
    [sym_preproc_if_in_specification_part] = STATE(122),
    [sym_preproc_ifdef_in_specification_part] = STATE(122),
    [sym_preproc_if_in_statements] = STATE(494),
    [sym_preproc_ifdef_in_statements] = STATE(494),
    [sym_preproc_if_in_procedure_statements] = STATE(494),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(494),
    [sym_interface] = STATE(122),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4668),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7033),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(122),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(122),
    [sym_public_statement] = STATE(122),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(122),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(122),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(122),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(122),
    [aux_sym_subroutine_repeat1] = STATE(494),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(973),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [128] = {
    [sym_preproc_include] = STATE(123),
    [sym_preproc_def] = STATE(123),
    [sym_preproc_function_def] = STATE(123),
    [sym_preproc_call] = STATE(123),
    [sym_preproc_if_in_specification_part] = STATE(123),
    [sym_preproc_ifdef_in_specification_part] = STATE(123),
    [sym_preproc_if_in_statements] = STATE(502),
    [sym_preproc_ifdef_in_statements] = STATE(502),
    [sym_preproc_if_in_procedure_statements] = STATE(502),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(502),
    [sym_interface] = STATE(123),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4678),
    [sym_internal_procedures] = STATE(7039),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(123),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(123),
    [sym_public_statement] = STATE(123),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(123),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(123),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(123),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(123),
    [aux_sym_subroutine_repeat1] = STATE(502),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(979),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [129] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(507),
    [sym_preproc_ifdef_in_statements] = STATE(507),
    [sym_preproc_if_in_procedure_statements] = STATE(507),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(507),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(1022),
    [sym_internal_procedures] = STATE(6939),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(507),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1015),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [130] = {
    [sym_preproc_include] = STATE(126),
    [sym_preproc_def] = STATE(126),
    [sym_preproc_function_def] = STATE(126),
    [sym_preproc_call] = STATE(126),
    [sym_preproc_if_in_specification_part] = STATE(126),
    [sym_preproc_ifdef_in_specification_part] = STATE(126),
    [sym_preproc_if_in_statements] = STATE(578),
    [sym_preproc_ifdef_in_statements] = STATE(578),
    [sym_preproc_if_in_procedure_statements] = STATE(578),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(578),
    [sym_interface] = STATE(126),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5416),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7330),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(126),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(126),
    [sym_public_statement] = STATE(126),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(126),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(126),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(126),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(126),
    [aux_sym_subroutine_repeat1] = STATE(578),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(1017),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1003),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [131] = {
    [sym_preproc_include] = STATE(133),
    [sym_preproc_def] = STATE(133),
    [sym_preproc_function_def] = STATE(133),
    [sym_preproc_call] = STATE(133),
    [sym_preproc_if_in_specification_part] = STATE(133),
    [sym_preproc_ifdef_in_specification_part] = STATE(133),
    [sym_preproc_if_in_statements] = STATE(489),
    [sym_preproc_ifdef_in_statements] = STATE(489),
    [sym_preproc_if_in_procedure_statements] = STATE(489),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(489),
    [sym_interface] = STATE(133),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5307),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7391),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(133),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(133),
    [sym_public_statement] = STATE(133),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(133),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(133),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(133),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(133),
    [aux_sym_subroutine_repeat1] = STATE(489),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1021),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1023),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [132] = {
    [sym_preproc_include] = STATE(121),
    [sym_preproc_def] = STATE(121),
    [sym_preproc_function_def] = STATE(121),
    [sym_preproc_call] = STATE(121),
    [sym_preproc_if_in_specification_part] = STATE(121),
    [sym_preproc_ifdef_in_specification_part] = STATE(121),
    [sym_preproc_if_in_statements] = STATE(532),
    [sym_preproc_ifdef_in_statements] = STATE(532),
    [sym_preproc_if_in_procedure_statements] = STATE(532),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(532),
    [sym_interface] = STATE(121),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(1110),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7521),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(121),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(121),
    [sym_public_statement] = STATE(121),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(121),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(121),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(121),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(121),
    [aux_sym_subroutine_repeat1] = STATE(532),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(965),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [133] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(493),
    [sym_preproc_ifdef_in_statements] = STATE(493),
    [sym_preproc_if_in_procedure_statements] = STATE(493),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(493),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5314),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7420),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(493),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1023),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [134] = {
    [sym_preproc_include] = STATE(129),
    [sym_preproc_def] = STATE(129),
    [sym_preproc_function_def] = STATE(129),
    [sym_preproc_call] = STATE(129),
    [sym_preproc_if_in_specification_part] = STATE(129),
    [sym_preproc_ifdef_in_specification_part] = STATE(129),
    [sym_preproc_if_in_statements] = STATE(533),
    [sym_preproc_ifdef_in_statements] = STATE(533),
    [sym_preproc_if_in_procedure_statements] = STATE(533),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(533),
    [sym_interface] = STATE(129),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(1137),
    [sym_internal_procedures] = STATE(7545),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(129),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(129),
    [sym_public_statement] = STATE(129),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(129),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(129),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(129),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(129),
    [aux_sym_subroutine_repeat1] = STATE(533),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1015),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [135] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(499),
    [sym_preproc_ifdef_in_statements] = STATE(499),
    [sym_preproc_if_in_procedure_statements] = STATE(499),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(499),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5475),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7518),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(499),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1031),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [136] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(500),
    [sym_preproc_ifdef_in_statements] = STATE(500),
    [sym_preproc_if_in_procedure_statements] = STATE(500),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(500),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5495),
    [sym_internal_procedures] = STATE(7523),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(500),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1035),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [137] = {
    [sym_preproc_include] = STATE(124),
    [sym_preproc_def] = STATE(124),
    [sym_preproc_function_def] = STATE(124),
    [sym_preproc_call] = STATE(124),
    [sym_preproc_if_in_specification_part] = STATE(124),
    [sym_preproc_ifdef_in_specification_part] = STATE(124),
    [sym_preproc_if_in_statements] = STATE(542),
    [sym_preproc_ifdef_in_statements] = STATE(542),
    [sym_preproc_if_in_procedure_statements] = STATE(542),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(542),
    [sym_interface] = STATE(124),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(949),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7156),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(124),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(124),
    [sym_public_statement] = STATE(124),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(124),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(124),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(124),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(124),
    [aux_sym_subroutine_repeat1] = STATE(542),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(983),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [138] = {
    [sym_preproc_include] = STATE(125),
    [sym_preproc_def] = STATE(125),
    [sym_preproc_function_def] = STATE(125),
    [sym_preproc_call] = STATE(125),
    [sym_preproc_if_in_specification_part] = STATE(125),
    [sym_preproc_ifdef_in_specification_part] = STATE(125),
    [sym_preproc_if_in_statements] = STATE(548),
    [sym_preproc_ifdef_in_statements] = STATE(548),
    [sym_preproc_if_in_procedure_statements] = STATE(548),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(548),
    [sym_interface] = STATE(125),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(950),
    [sym_internal_procedures] = STATE(7160),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(125),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(125),
    [sym_public_statement] = STATE(125),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(125),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(125),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(125),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(125),
    [aux_sym_subroutine_repeat1] = STATE(548),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(987),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [139] = {
    [sym_preproc_include] = STATE(140),
    [sym_preproc_def] = STATE(140),
    [sym_preproc_function_def] = STATE(140),
    [sym_preproc_call] = STATE(140),
    [sym_preproc_if_in_specification_part] = STATE(140),
    [sym_preproc_ifdef_in_specification_part] = STATE(140),
    [sym_preproc_if_in_statements] = STATE(517),
    [sym_preproc_ifdef_in_statements] = STATE(517),
    [sym_preproc_if_in_procedure_statements] = STATE(517),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(517),
    [sym_interface] = STATE(140),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5426),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7657),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(140),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(140),
    [sym_public_statement] = STATE(140),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(140),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(140),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(140),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(140),
    [aux_sym_subroutine_repeat1] = STATE(517),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1045),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [140] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(519),
    [sym_preproc_ifdef_in_statements] = STATE(519),
    [sym_preproc_if_in_procedure_statements] = STATE(519),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(519),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5446),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6782),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(519),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1045),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [141] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(483),
    [sym_preproc_ifdef_in_statements] = STATE(483),
    [sym_preproc_if_in_procedure_statements] = STATE(483),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(483),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(1126),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6811),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(483),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1049),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [142] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(522),
    [sym_preproc_ifdef_in_statements] = STATE(522),
    [sym_preproc_if_in_procedure_statements] = STATE(522),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(522),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(1132),
    [sym_internal_procedures] = STATE(6814),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(522),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1053),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [143] = {
    [sym_preproc_include] = STATE(135),
    [sym_preproc_def] = STATE(135),
    [sym_preproc_function_def] = STATE(135),
    [sym_preproc_call] = STATE(135),
    [sym_preproc_if_in_specification_part] = STATE(135),
    [sym_preproc_ifdef_in_specification_part] = STATE(135),
    [sym_preproc_if_in_statements] = STATE(497),
    [sym_preproc_ifdef_in_statements] = STATE(497),
    [sym_preproc_if_in_procedure_statements] = STATE(497),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(497),
    [sym_interface] = STATE(135),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5218),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7510),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(135),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(135),
    [sym_public_statement] = STATE(135),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(135),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(135),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(135),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(135),
    [aux_sym_subroutine_repeat1] = STATE(497),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1055),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1031),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [144] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_if_in_specification_part] = STATE(136),
    [sym_preproc_ifdef_in_specification_part] = STATE(136),
    [sym_preproc_if_in_statements] = STATE(498),
    [sym_preproc_ifdef_in_statements] = STATE(498),
    [sym_preproc_if_in_procedure_statements] = STATE(498),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(498),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5236),
    [sym_internal_procedures] = STATE(7516),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(136),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(136),
    [aux_sym_subroutine_repeat1] = STATE(498),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1035),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [145] = {
    [sym_preproc_include] = STATE(146),
    [sym_preproc_def] = STATE(146),
    [sym_preproc_function_def] = STATE(146),
    [sym_preproc_call] = STATE(146),
    [sym_preproc_if_in_specification_part] = STATE(146),
    [sym_preproc_ifdef_in_specification_part] = STATE(146),
    [sym_preproc_if_in_statements] = STATE(523),
    [sym_preproc_ifdef_in_statements] = STATE(523),
    [sym_preproc_if_in_procedure_statements] = STATE(523),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(523),
    [sym_interface] = STATE(146),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(4796),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6868),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(146),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(146),
    [sym_public_statement] = STATE(146),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(146),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(146),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(146),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(146),
    [aux_sym_subroutine_repeat1] = STATE(523),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1061),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1063),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [146] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_if_in_procedure_statements] = STATE(524),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(524),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(4854),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6874),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(524),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1063),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [147] = {
    [sym_preproc_include] = STATE(183),
    [sym_preproc_def] = STATE(183),
    [sym_preproc_function_def] = STATE(183),
    [sym_preproc_call] = STATE(183),
    [sym_preproc_if_in_specification_part] = STATE(183),
    [sym_preproc_ifdef_in_specification_part] = STATE(183),
    [sym_preproc_if_in_statements] = STATE(574),
    [sym_preproc_ifdef_in_statements] = STATE(574),
    [sym_preproc_if_in_procedure_statements] = STATE(574),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(574),
    [sym_interface] = STATE(183),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5434),
    [sym_internal_procedures] = STATE(7301),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(183),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(183),
    [sym_public_statement] = STATE(183),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(183),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(183),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(183),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(183),
    [aux_sym_subroutine_repeat1] = STATE(574),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(1067),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1069),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [148] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(529),
    [sym_preproc_ifdef_in_statements] = STATE(529),
    [sym_preproc_if_in_procedure_statements] = STATE(529),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(529),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5353),
    [sym_internal_procedures] = STATE(6895),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(529),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1073),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [149] = {
    [sym_preproc_include] = STATE(141),
    [sym_preproc_def] = STATE(141),
    [sym_preproc_function_def] = STATE(141),
    [sym_preproc_call] = STATE(141),
    [sym_preproc_if_in_specification_part] = STATE(141),
    [sym_preproc_ifdef_in_specification_part] = STATE(141),
    [sym_preproc_if_in_statements] = STATE(520),
    [sym_preproc_ifdef_in_statements] = STATE(520),
    [sym_preproc_if_in_procedure_statements] = STATE(520),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(520),
    [sym_interface] = STATE(141),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(1111),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6805),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(141),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(141),
    [sym_public_statement] = STATE(141),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(141),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(141),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(141),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(141),
    [aux_sym_subroutine_repeat1] = STATE(520),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1049),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [150] = {
    [sym_preproc_include] = STATE(142),
    [sym_preproc_def] = STATE(142),
    [sym_preproc_function_def] = STATE(142),
    [sym_preproc_call] = STATE(142),
    [sym_preproc_if_in_specification_part] = STATE(142),
    [sym_preproc_ifdef_in_specification_part] = STATE(142),
    [sym_preproc_if_in_statements] = STATE(521),
    [sym_preproc_ifdef_in_statements] = STATE(521),
    [sym_preproc_if_in_procedure_statements] = STATE(521),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(521),
    [sym_interface] = STATE(142),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(1112),
    [sym_internal_procedures] = STATE(6808),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(142),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(142),
    [sym_public_statement] = STATE(142),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(142),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(142),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(142),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(142),
    [aux_sym_subroutine_repeat1] = STATE(521),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(1077),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1053),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [151] = {
    [sym_preproc_include] = STATE(152),
    [sym_preproc_def] = STATE(152),
    [sym_preproc_function_def] = STATE(152),
    [sym_preproc_call] = STATE(152),
    [sym_preproc_if_in_specification_part] = STATE(152),
    [sym_preproc_ifdef_in_specification_part] = STATE(152),
    [sym_preproc_if_in_statements] = STATE(534),
    [sym_preproc_ifdef_in_statements] = STATE(534),
    [sym_preproc_if_in_procedure_statements] = STATE(534),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(534),
    [sym_interface] = STATE(152),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5241),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6940),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(152),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(152),
    [sym_public_statement] = STATE(152),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(152),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(152),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(152),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(152),
    [aux_sym_subroutine_repeat1] = STATE(534),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1081),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1083),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [152] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(535),
    [sym_preproc_ifdef_in_statements] = STATE(535),
    [sym_preproc_if_in_procedure_statements] = STATE(535),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(535),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5263),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6948),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(535),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1083),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [153] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(538),
    [sym_preproc_ifdef_in_statements] = STATE(538),
    [sym_preproc_if_in_procedure_statements] = STATE(538),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(538),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5198),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6963),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(538),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1087),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [154] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(539),
    [sym_preproc_ifdef_in_statements] = STATE(539),
    [sym_preproc_if_in_procedure_statements] = STATE(539),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(539),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5202),
    [sym_internal_procedures] = STATE(6967),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(539),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1091),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [155] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(525),
    [sym_preproc_ifdef_in_statements] = STATE(525),
    [sym_preproc_if_in_procedure_statements] = STATE(525),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(525),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5310),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6887),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(187),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(525),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1095),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1097),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [156] = {
    [sym_preproc_include] = STATE(148),
    [sym_preproc_def] = STATE(148),
    [sym_preproc_function_def] = STATE(148),
    [sym_preproc_call] = STATE(148),
    [sym_preproc_if_in_specification_part] = STATE(148),
    [sym_preproc_ifdef_in_specification_part] = STATE(148),
    [sym_preproc_if_in_statements] = STATE(527),
    [sym_preproc_ifdef_in_statements] = STATE(527),
    [sym_preproc_if_in_procedure_statements] = STATE(527),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(527),
    [sym_interface] = STATE(148),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5311),
    [sym_internal_procedures] = STATE(6890),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(148),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(148),
    [sym_public_statement] = STATE(148),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(148),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(148),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(148),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(148),
    [aux_sym_subroutine_repeat1] = STATE(527),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1099),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1073),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [157] = {
    [sym_preproc_include] = STATE(158),
    [sym_preproc_def] = STATE(158),
    [sym_preproc_function_def] = STATE(158),
    [sym_preproc_call] = STATE(158),
    [sym_preproc_if_in_specification_part] = STATE(158),
    [sym_preproc_ifdef_in_specification_part] = STATE(158),
    [sym_preproc_if_in_statements] = STATE(540),
    [sym_preproc_ifdef_in_statements] = STATE(540),
    [sym_preproc_if_in_procedure_statements] = STATE(540),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(540),
    [sym_interface] = STATE(158),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5406),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7017),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(158),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(158),
    [sym_public_statement] = STATE(158),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(158),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(158),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(158),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(158),
    [aux_sym_subroutine_repeat1] = STATE(540),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1103),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1105),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [158] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(541),
    [sym_preproc_ifdef_in_statements] = STATE(541),
    [sym_preproc_if_in_procedure_statements] = STATE(541),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(541),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5413),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7027),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(541),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1105),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [159] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(546),
    [sym_preproc_ifdef_in_statements] = STATE(546),
    [sym_preproc_if_in_procedure_statements] = STATE(546),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(546),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4932),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7044),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(546),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1109),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [160] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(547),
    [sym_preproc_ifdef_in_statements] = STATE(547),
    [sym_preproc_if_in_procedure_statements] = STATE(547),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(547),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4934),
    [sym_internal_procedures] = STATE(7046),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(547),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1113),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [161] = {
    [sym_preproc_include] = STATE(153),
    [sym_preproc_def] = STATE(153),
    [sym_preproc_function_def] = STATE(153),
    [sym_preproc_call] = STATE(153),
    [sym_preproc_if_in_specification_part] = STATE(153),
    [sym_preproc_ifdef_in_specification_part] = STATE(153),
    [sym_preproc_if_in_statements] = STATE(536),
    [sym_preproc_ifdef_in_statements] = STATE(536),
    [sym_preproc_if_in_procedure_statements] = STATE(536),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(536),
    [sym_interface] = STATE(153),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5194),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6957),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(153),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(153),
    [sym_public_statement] = STATE(153),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(153),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(153),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(153),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(153),
    [aux_sym_subroutine_repeat1] = STATE(536),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1115),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1087),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [162] = {
    [sym_preproc_include] = STATE(154),
    [sym_preproc_def] = STATE(154),
    [sym_preproc_function_def] = STATE(154),
    [sym_preproc_call] = STATE(154),
    [sym_preproc_if_in_specification_part] = STATE(154),
    [sym_preproc_ifdef_in_specification_part] = STATE(154),
    [sym_preproc_if_in_statements] = STATE(537),
    [sym_preproc_ifdef_in_statements] = STATE(537),
    [sym_preproc_if_in_procedure_statements] = STATE(537),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(537),
    [sym_interface] = STATE(154),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5195),
    [sym_internal_procedures] = STATE(6958),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(154),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(154),
    [sym_public_statement] = STATE(154),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(154),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(154),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(154),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(154),
    [aux_sym_subroutine_repeat1] = STATE(537),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1117),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1091),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [163] = {
    [sym_preproc_include] = STATE(164),
    [sym_preproc_def] = STATE(164),
    [sym_preproc_function_def] = STATE(164),
    [sym_preproc_call] = STATE(164),
    [sym_preproc_if_in_specification_part] = STATE(164),
    [sym_preproc_ifdef_in_specification_part] = STATE(164),
    [sym_preproc_if_in_statements] = STATE(552),
    [sym_preproc_ifdef_in_statements] = STATE(552),
    [sym_preproc_if_in_procedure_statements] = STATE(552),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(552),
    [sym_interface] = STATE(164),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5045),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7086),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(164),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(164),
    [sym_public_statement] = STATE(164),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(164),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(164),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(164),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(164),
    [aux_sym_subroutine_repeat1] = STATE(552),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1121),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1123),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [164] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(553),
    [sym_preproc_ifdef_in_statements] = STATE(553),
    [sym_preproc_if_in_procedure_statements] = STATE(553),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(553),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5056),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7091),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(553),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1123),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [165] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(556),
    [sym_preproc_ifdef_in_statements] = STATE(556),
    [sym_preproc_if_in_procedure_statements] = STATE(556),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(556),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4863),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7104),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(556),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1127),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [166] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(557),
    [sym_preproc_ifdef_in_statements] = STATE(557),
    [sym_preproc_if_in_procedure_statements] = STATE(557),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(557),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4866),
    [sym_internal_procedures] = STATE(7107),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(557),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(945),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [167] = {
    [sym_preproc_include] = STATE(159),
    [sym_preproc_def] = STATE(159),
    [sym_preproc_function_def] = STATE(159),
    [sym_preproc_call] = STATE(159),
    [sym_preproc_if_in_specification_part] = STATE(159),
    [sym_preproc_ifdef_in_specification_part] = STATE(159),
    [sym_preproc_if_in_statements] = STATE(543),
    [sym_preproc_ifdef_in_statements] = STATE(543),
    [sym_preproc_if_in_procedure_statements] = STATE(543),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(543),
    [sym_interface] = STATE(159),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4929),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7038),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(159),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(159),
    [sym_public_statement] = STATE(159),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(159),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(159),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(159),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(159),
    [aux_sym_subroutine_repeat1] = STATE(543),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1129),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1109),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [168] = {
    [sym_preproc_include] = STATE(160),
    [sym_preproc_def] = STATE(160),
    [sym_preproc_function_def] = STATE(160),
    [sym_preproc_call] = STATE(160),
    [sym_preproc_if_in_specification_part] = STATE(160),
    [sym_preproc_ifdef_in_specification_part] = STATE(160),
    [sym_preproc_if_in_statements] = STATE(545),
    [sym_preproc_ifdef_in_statements] = STATE(545),
    [sym_preproc_if_in_procedure_statements] = STATE(545),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(545),
    [sym_interface] = STATE(160),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(4930),
    [sym_internal_procedures] = STATE(7041),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(160),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(160),
    [sym_public_statement] = STATE(160),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(160),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(160),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(160),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(160),
    [aux_sym_subroutine_repeat1] = STATE(545),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1113),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [169] = {
    [sym_preproc_include] = STATE(170),
    [sym_preproc_def] = STATE(170),
    [sym_preproc_function_def] = STATE(170),
    [sym_preproc_call] = STATE(170),
    [sym_preproc_if_in_specification_part] = STATE(170),
    [sym_preproc_ifdef_in_specification_part] = STATE(170),
    [sym_preproc_if_in_statements] = STATE(558),
    [sym_preproc_ifdef_in_statements] = STATE(558),
    [sym_preproc_if_in_procedure_statements] = STATE(558),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(558),
    [sym_interface] = STATE(170),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5275),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7135),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(170),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(170),
    [sym_public_statement] = STATE(170),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(170),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(170),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(170),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(170),
    [aux_sym_subroutine_repeat1] = STATE(558),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1135),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1137),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [170] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(559),
    [sym_preproc_ifdef_in_statements] = STATE(559),
    [sym_preproc_if_in_procedure_statements] = STATE(559),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(559),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_end_module_procedure_statement] = STATE(5280),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7146),
    [sym_contains_statement] = STATE(7114),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(848),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7172),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7172),
    [sym_data_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(559),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(989),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1137),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1005),
    [aux_sym_public_statement_token1] = ACTIONS(1007),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [171] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(562),
    [sym_preproc_ifdef_in_statements] = STATE(562),
    [sym_preproc_if_in_procedure_statements] = STATE(562),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(562),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5338),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7162),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(562),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1141),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [172] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym_preproc_if_in_procedure_statements] = STATE(563),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(563),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5340),
    [sym_internal_procedures] = STATE(7164),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(563),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1145),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [173] = {
    [sym_preproc_include] = STATE(165),
    [sym_preproc_def] = STATE(165),
    [sym_preproc_function_def] = STATE(165),
    [sym_preproc_call] = STATE(165),
    [sym_preproc_if_in_specification_part] = STATE(165),
    [sym_preproc_ifdef_in_specification_part] = STATE(165),
    [sym_preproc_if_in_statements] = STATE(554),
    [sym_preproc_ifdef_in_statements] = STATE(554),
    [sym_preproc_if_in_procedure_statements] = STATE(554),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(554),
    [sym_interface] = STATE(165),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(4859),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7101),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(165),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(165),
    [sym_public_statement] = STATE(165),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(165),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(165),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(165),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(165),
    [aux_sym_subroutine_repeat1] = STATE(554),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1147),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1127),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [174] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(567),
    [sym_preproc_ifdef_in_statements] = STATE(567),
    [sym_preproc_if_in_procedure_statements] = STATE(567),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(567),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5378),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7210),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(567),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1151),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [175] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(568),
    [sym_preproc_ifdef_in_statements] = STATE(568),
    [sym_preproc_if_in_procedure_statements] = STATE(568),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(568),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5380),
    [sym_internal_procedures] = STATE(7212),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(568),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1155),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [176] = {
    [sym_preproc_include] = STATE(171),
    [sym_preproc_def] = STATE(171),
    [sym_preproc_function_def] = STATE(171),
    [sym_preproc_call] = STATE(171),
    [sym_preproc_if_in_specification_part] = STATE(171),
    [sym_preproc_ifdef_in_specification_part] = STATE(171),
    [sym_preproc_if_in_statements] = STATE(560),
    [sym_preproc_ifdef_in_statements] = STATE(560),
    [sym_preproc_if_in_procedure_statements] = STATE(560),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(560),
    [sym_interface] = STATE(171),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5333),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7155),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(171),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(171),
    [sym_public_statement] = STATE(171),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(171),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(171),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(171),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(171),
    [aux_sym_subroutine_repeat1] = STATE(560),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1157),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1141),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [177] = {
    [sym_preproc_include] = STATE(172),
    [sym_preproc_def] = STATE(172),
    [sym_preproc_function_def] = STATE(172),
    [sym_preproc_call] = STATE(172),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_if_in_procedure_statements] = STATE(561),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(561),
    [sym_interface] = STATE(172),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5334),
    [sym_internal_procedures] = STATE(7159),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(172),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_subroutine_repeat1] = STATE(561),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1159),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1145),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [178] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(571),
    [sym_preproc_ifdef_in_statements] = STATE(571),
    [sym_preproc_if_in_procedure_statements] = STATE(571),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(571),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5047),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7254),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(571),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1163),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [179] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(572),
    [sym_preproc_ifdef_in_statements] = STATE(572),
    [sym_preproc_if_in_procedure_statements] = STATE(572),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(572),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5102),
    [sym_internal_procedures] = STATE(7258),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(572),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1167),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [180] = {
    [sym_preproc_include] = STATE(174),
    [sym_preproc_def] = STATE(174),
    [sym_preproc_function_def] = STATE(174),
    [sym_preproc_call] = STATE(174),
    [sym_preproc_if_in_specification_part] = STATE(174),
    [sym_preproc_ifdef_in_specification_part] = STATE(174),
    [sym_preproc_if_in_statements] = STATE(565),
    [sym_preproc_ifdef_in_statements] = STATE(565),
    [sym_preproc_if_in_procedure_statements] = STATE(565),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(565),
    [sym_interface] = STATE(174),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5370),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7205),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(174),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(174),
    [sym_public_statement] = STATE(174),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(174),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(174),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(174),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(174),
    [aux_sym_subroutine_repeat1] = STATE(565),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1169),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1151),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [181] = {
    [sym_preproc_include] = STATE(175),
    [sym_preproc_def] = STATE(175),
    [sym_preproc_function_def] = STATE(175),
    [sym_preproc_call] = STATE(175),
    [sym_preproc_if_in_specification_part] = STATE(175),
    [sym_preproc_ifdef_in_specification_part] = STATE(175),
    [sym_preproc_if_in_statements] = STATE(566),
    [sym_preproc_ifdef_in_statements] = STATE(566),
    [sym_preproc_if_in_procedure_statements] = STATE(566),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(566),
    [sym_interface] = STATE(175),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5375),
    [sym_internal_procedures] = STATE(7207),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(175),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(175),
    [sym_public_statement] = STATE(175),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(175),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(175),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(175),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(175),
    [aux_sym_subroutine_repeat1] = STATE(566),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1171),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1155),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [182] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_preproc_if_in_procedure_statements] = STATE(575),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(575),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5436),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7304),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(575),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1175),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [183] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(576),
    [sym_preproc_ifdef_in_statements] = STATE(576),
    [sym_preproc_if_in_procedure_statements] = STATE(576),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(576),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5438),
    [sym_internal_procedures] = STATE(7306),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(576),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1069),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [184] = {
    [sym_preproc_include] = STATE(178),
    [sym_preproc_def] = STATE(178),
    [sym_preproc_function_def] = STATE(178),
    [sym_preproc_call] = STATE(178),
    [sym_preproc_if_in_specification_part] = STATE(178),
    [sym_preproc_ifdef_in_specification_part] = STATE(178),
    [sym_preproc_if_in_statements] = STATE(569),
    [sym_preproc_ifdef_in_statements] = STATE(569),
    [sym_preproc_if_in_procedure_statements] = STATE(569),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(569),
    [sym_interface] = STATE(178),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5027),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7248),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(178),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(178),
    [sym_public_statement] = STATE(178),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(178),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(178),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(178),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(178),
    [aux_sym_subroutine_repeat1] = STATE(569),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1163),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [185] = {
    [sym_preproc_include] = STATE(179),
    [sym_preproc_def] = STATE(179),
    [sym_preproc_function_def] = STATE(179),
    [sym_preproc_call] = STATE(179),
    [sym_preproc_if_in_specification_part] = STATE(179),
    [sym_preproc_ifdef_in_specification_part] = STATE(179),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym_preproc_if_in_procedure_statements] = STATE(570),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(570),
    [sym_interface] = STATE(179),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym_end_function_statement] = STATE(5037),
    [sym_internal_procedures] = STATE(7250),
    [sym_contains_statement] = STATE(6975),
    [sym__specification_part] = STATE(179),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(179),
    [sym_public_statement] = STATE(179),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(179),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(846),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(6906),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(6906),
    [sym_data_statement] = STATE(7115),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_enum] = STATE(179),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(179),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(179),
    [aux_sym_subroutine_repeat1] = STATE(570),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(931),
    [aux_sym_preproc_def_token1] = ACTIONS(933),
    [aux_sym_preproc_if_token1] = ACTIONS(935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(937),
    [sym_preproc_directive] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1179),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1167),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(947),
    [aux_sym_public_statement_token1] = ACTIONS(949),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [186] = {
    [sym_preproc_include] = STATE(182),
    [sym_preproc_def] = STATE(182),
    [sym_preproc_function_def] = STATE(182),
    [sym_preproc_call] = STATE(182),
    [sym_preproc_if_in_specification_part] = STATE(182),
    [sym_preproc_ifdef_in_specification_part] = STATE(182),
    [sym_preproc_if_in_statements] = STATE(573),
    [sym_preproc_ifdef_in_statements] = STATE(573),
    [sym_preproc_if_in_procedure_statements] = STATE(573),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(573),
    [sym_interface] = STATE(182),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5433),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7298),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(182),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(182),
    [sym_public_statement] = STATE(182),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(182),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(182),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(182),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(182),
    [aux_sym_subroutine_repeat1] = STATE(573),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1181),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1175),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [187] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_preproc_if_in_statements] = STATE(528),
    [sym_preproc_ifdef_in_statements] = STATE(528),
    [sym_preproc_if_in_procedure_statements] = STATE(528),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(528),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_end_subroutine_statement] = STATE(5320),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6893),
    [sym_contains_statement] = STATE(6903),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(843),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(6828),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(6828),
    [sym_data_statement] = STATE(7054),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_subroutine_repeat1] = STATE(528),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(951),
    [aux_sym_preproc_def_token1] = ACTIONS(953),
    [aux_sym_preproc_if_token1] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(957),
    [sym_preproc_directive] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1097),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(967),
    [aux_sym_public_statement_token1] = ACTIONS(969),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [188] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(625),
    [sym_preproc_ifdef_in_statements] = STATE(625),
    [sym_end_program_statement] = STATE(1082),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7556),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(625),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(1193),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [189] = {
    [sym_preproc_include] = STATE(195),
    [sym_preproc_def] = STATE(195),
    [sym_preproc_function_def] = STATE(195),
    [sym_preproc_call] = STATE(195),
    [sym_preproc_if_in_specification_part] = STATE(195),
    [sym_preproc_ifdef_in_specification_part] = STATE(195),
    [sym_preproc_if_in_statements] = STATE(667),
    [sym_preproc_ifdef_in_statements] = STATE(667),
    [sym_end_program_statement] = STATE(1055),
    [sym_interface] = STATE(195),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7536),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(195),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(195),
    [sym_public_statement] = STATE(195),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(195),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(195),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(195),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(667),
    [aux_sym_program_repeat1] = STATE(195),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1195),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [190] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_end_program_statement] = STATE(1090),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7486),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(631),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [191] = {
    [sym_preproc_include] = STATE(196),
    [sym_preproc_def] = STATE(196),
    [sym_preproc_function_def] = STATE(196),
    [sym_preproc_call] = STATE(196),
    [sym_preproc_if_in_specification_part] = STATE(196),
    [sym_preproc_ifdef_in_specification_part] = STATE(196),
    [sym_preproc_if_in_statements] = STATE(670),
    [sym_preproc_ifdef_in_statements] = STATE(670),
    [sym_end_program_statement] = STATE(965),
    [sym_interface] = STATE(196),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7184),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(196),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(196),
    [sym_public_statement] = STATE(196),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(196),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(196),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(196),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(670),
    [aux_sym_program_repeat1] = STATE(196),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1199),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [192] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(625),
    [sym_preproc_ifdef_in_statements] = STATE(625),
    [sym_end_program_statement] = STATE(1082),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7556),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(625),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [193] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(667),
    [sym_preproc_ifdef_in_statements] = STATE(667),
    [sym_end_program_statement] = STATE(1055),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7536),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(667),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [194] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(670),
    [sym_preproc_ifdef_in_statements] = STATE(670),
    [sym_end_program_statement] = STATE(965),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7184),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(670),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [195] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym_end_program_statement] = STATE(1065),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7326),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [196] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_preproc_if_in_statements] = STATE(672),
    [sym_preproc_ifdef_in_statements] = STATE(672),
    [sym_end_program_statement] = STATE(904),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6981),
    [sym_contains_statement] = STATE(7119),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(837),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6834),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6834),
    [sym_data_statement] = STATE(7390),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(672),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1185),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1189),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1197),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [197] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(683),
    [sym_preproc_ifdef_in_statements] = STATE(683),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8680),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(683),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1213),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [198] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(674),
    [sym_preproc_ifdef_in_statements] = STATE(674),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8847),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(674),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1213),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [199] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(679),
    [sym_preproc_ifdef_in_statements] = STATE(679),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8610),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(679),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1213),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [200] = {
    [sym_preproc_include] = STATE(203),
    [sym_preproc_def] = STATE(203),
    [sym_preproc_function_def] = STATE(203),
    [sym_preproc_call] = STATE(203),
    [sym_preproc_if_in_statements] = STATE(681),
    [sym_preproc_ifdef_in_statements] = STATE(681),
    [sym_interface] = STATE(203),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8081),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(203),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(203),
    [sym_public_statement] = STATE(203),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(203),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(203),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(203),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(203),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(681),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1223),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [201] = {
    [sym_preproc_include] = STATE(214),
    [sym_preproc_def] = STATE(214),
    [sym_preproc_function_def] = STATE(214),
    [sym_preproc_call] = STATE(214),
    [sym_preproc_if_in_statements] = STATE(684),
    [sym_preproc_ifdef_in_statements] = STATE(684),
    [sym_interface] = STATE(214),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8640),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(214),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(214),
    [sym_public_statement] = STATE(214),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(214),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(214),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(214),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(214),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(684),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [202] = {
    [sym_preproc_include] = STATE(203),
    [sym_preproc_def] = STATE(203),
    [sym_preproc_function_def] = STATE(203),
    [sym_preproc_call] = STATE(203),
    [sym_preproc_if_in_statements] = STATE(685),
    [sym_preproc_ifdef_in_statements] = STATE(685),
    [sym_interface] = STATE(203),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8809),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(203),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(203),
    [sym_public_statement] = STATE(203),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(203),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(203),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(203),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(203),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(685),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1223),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [203] = {
    [sym_preproc_include] = STATE(214),
    [sym_preproc_def] = STATE(214),
    [sym_preproc_function_def] = STATE(214),
    [sym_preproc_call] = STATE(214),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_interface] = STATE(214),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8665),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(214),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(214),
    [sym_public_statement] = STATE(214),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(214),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(214),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(214),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(214),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [204] = {
    [sym_preproc_include] = STATE(203),
    [sym_preproc_def] = STATE(203),
    [sym_preproc_function_def] = STATE(203),
    [sym_preproc_call] = STATE(203),
    [sym_preproc_if_in_statements] = STATE(684),
    [sym_preproc_ifdef_in_statements] = STATE(684),
    [sym_interface] = STATE(203),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8640),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(203),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(203),
    [sym_public_statement] = STATE(203),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(203),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(839),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7117),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7117),
    [sym_data_statement] = STATE(7312),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_enum] = STATE(203),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(203),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(203),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(684),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1201),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1209),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1223),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1215),
    [aux_sym_public_statement_token1] = ACTIONS(1217),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [205] = {
    [sym_preproc_include] = STATE(206),
    [sym_preproc_def] = STATE(206),
    [sym_preproc_function_def] = STATE(206),
    [sym_preproc_call] = STATE(206),
    [sym_preproc_if_in_statements] = STATE(716),
    [sym_preproc_ifdef_in_statements] = STATE(716),
    [sym_interface] = STATE(206),
    [sym_interface_statement] = STATE(4113),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(206),
    [sym_use_statement] = STATE(6976),
    [sym_implicit_statement] = STATE(6976),
    [sym_save_statement] = STATE(6976),
    [sym_private_statement] = STATE(206),
    [sym_public_statement] = STATE(206),
    [sym_namelist_statement] = STATE(6976),
    [sym_common_statement] = STATE(6976),
    [sym_import_statement] = STATE(6976),
    [sym_derived_type_definition] = STATE(206),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4513),
    [sym_variable_declaration] = STATE(6976),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6976),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6976),
    [sym_equivalence_statement] = STATE(6976),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(847),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7543),
    [sym_data_statement] = STATE(6976),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7687),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_enum] = STATE(206),
    [sym_enum_statement] = STATE(6396),
    [sym_enumeration_type] = STATE(206),
    [sym_enumeration_type_statement] = STATE(6497),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(206),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(716),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1229),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1243),
    [aux_sym_public_statement_token1] = ACTIONS(1245),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [206] = {
    [sym_preproc_include] = STATE(215),
    [sym_preproc_def] = STATE(215),
    [sym_preproc_function_def] = STATE(215),
    [sym_preproc_call] = STATE(215),
    [sym_preproc_if_in_statements] = STATE(742),
    [sym_preproc_ifdef_in_statements] = STATE(742),
    [sym_interface] = STATE(215),
    [sym_interface_statement] = STATE(4113),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(215),
    [sym_use_statement] = STATE(6976),
    [sym_implicit_statement] = STATE(6976),
    [sym_save_statement] = STATE(6976),
    [sym_private_statement] = STATE(215),
    [sym_public_statement] = STATE(215),
    [sym_namelist_statement] = STATE(6976),
    [sym_common_statement] = STATE(6976),
    [sym_import_statement] = STATE(6976),
    [sym_derived_type_definition] = STATE(215),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4513),
    [sym_variable_declaration] = STATE(6976),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6976),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6976),
    [sym_equivalence_statement] = STATE(6976),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(847),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7543),
    [sym_data_statement] = STATE(6976),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7890),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_enum] = STATE(215),
    [sym_enum_statement] = STATE(6396),
    [sym_enumeration_type] = STATE(215),
    [sym_enumeration_type_statement] = STATE(6497),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(215),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(742),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1229),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1249),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1243),
    [aux_sym_public_statement_token1] = ACTIONS(1245),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [207] = {
    [sym_preproc_include] = STATE(208),
    [sym_preproc_def] = STATE(208),
    [sym_preproc_function_def] = STATE(208),
    [sym_preproc_call] = STATE(208),
    [sym_preproc_if_in_statements] = STATE(739),
    [sym_preproc_ifdef_in_statements] = STATE(739),
    [sym_interface] = STATE(208),
    [sym_interface_statement] = STATE(4113),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(208),
    [sym_use_statement] = STATE(6976),
    [sym_implicit_statement] = STATE(6976),
    [sym_save_statement] = STATE(6976),
    [sym_private_statement] = STATE(208),
    [sym_public_statement] = STATE(208),
    [sym_namelist_statement] = STATE(6976),
    [sym_common_statement] = STATE(6976),
    [sym_import_statement] = STATE(6976),
    [sym_derived_type_definition] = STATE(208),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4513),
    [sym_variable_declaration] = STATE(6976),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6976),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6976),
    [sym_equivalence_statement] = STATE(6976),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(847),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7543),
    [sym_data_statement] = STATE(6976),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(8006),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_enum] = STATE(208),
    [sym_enum_statement] = STATE(6396),
    [sym_enumeration_type] = STATE(208),
    [sym_enumeration_type_statement] = STATE(6497),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(208),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(739),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1229),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1251),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1243),
    [aux_sym_public_statement_token1] = ACTIONS(1245),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [208] = {
    [sym_preproc_include] = STATE(215),
    [sym_preproc_def] = STATE(215),
    [sym_preproc_function_def] = STATE(215),
    [sym_preproc_call] = STATE(215),
    [sym_preproc_if_in_statements] = STATE(716),
    [sym_preproc_ifdef_in_statements] = STATE(716),
    [sym_interface] = STATE(215),
    [sym_interface_statement] = STATE(4113),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(215),
    [sym_use_statement] = STATE(6976),
    [sym_implicit_statement] = STATE(6976),
    [sym_save_statement] = STATE(6976),
    [sym_private_statement] = STATE(215),
    [sym_public_statement] = STATE(215),
    [sym_namelist_statement] = STATE(6976),
    [sym_common_statement] = STATE(6976),
    [sym_import_statement] = STATE(6976),
    [sym_derived_type_definition] = STATE(215),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4513),
    [sym_variable_declaration] = STATE(6976),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6976),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6976),
    [sym_equivalence_statement] = STATE(6976),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(847),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7543),
    [sym_data_statement] = STATE(6976),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7687),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_enum] = STATE(215),
    [sym_enum_statement] = STATE(6396),
    [sym_enumeration_type] = STATE(215),
    [sym_enumeration_type_statement] = STATE(6497),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(215),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(716),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1229),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1249),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1243),
    [aux_sym_public_statement_token1] = ACTIONS(1245),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [209] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4064),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7218),
    [sym_implicit_statement] = STATE(7218),
    [sym_save_statement] = STATE(7218),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7218),
    [sym_common_statement] = STATE(7218),
    [sym_import_statement] = STATE(7218),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4527),
    [sym_variable_declaration] = STATE(7218),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7218),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7218),
    [sym_equivalence_statement] = STATE(7218),
    [sym_statement_label] = STATE(7560),
    [sym_assignment_statement] = STATE(7218),
    [sym_include_statement] = STATE(7218),
    [sym_data_statement] = STATE(7218),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6400),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(6529),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(209),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1253),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [aux_sym_preproc_else_token1] = ACTIONS(1259),
    [aux_sym_preproc_elif_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1273),
    [aux_sym_interface_statement_token1] = ACTIONS(1276),
    [aux_sym_block_data_statement_token1] = ACTIONS(1279),
    [aux_sym_block_data_statement_token2] = ACTIONS(1282),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1285),
    [aux_sym_language_binding_token1] = ACTIONS(1288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1291),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1294),
    [aux_sym_contains_statement_token1] = ACTIONS(1259),
    [aux_sym_use_statement_token1] = ACTIONS(1297),
    [aux_sym_use_statement_token2] = ACTIONS(1294),
    [aux_sym_implicit_statement_token1] = ACTIONS(1300),
    [aux_sym_implicit_statement_token3] = ACTIONS(1303),
    [aux_sym_implicit_statement_token4] = ACTIONS(1294),
    [aux_sym_save_statement_token1] = ACTIONS(1306),
    [aux_sym_private_statement_token1] = ACTIONS(1309),
    [aux_sym_public_statement_token1] = ACTIONS(1312),
    [aux_sym_namelist_statement_token1] = ACTIONS(1315),
    [aux_sym_common_statement_token1] = ACTIONS(1318),
    [aux_sym_import_statement_token1] = ACTIONS(1321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1294),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1294),
    [aux_sym_variable_attributes_token1] = ACTIONS(1327),
    [aux_sym_variable_attributes_token2] = ACTIONS(1294),
    [aux_sym_variable_attributes_token3] = ACTIONS(1294),
    [aux_sym_variable_attributes_token4] = ACTIONS(1327),
    [aux_sym_variable_attributes_token5] = ACTIONS(1294),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1339),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1333),
    [aux_sym_derived_type_token1] = ACTIONS(1342),
    [aux_sym_declared_type_token1] = ACTIONS(1345),
    [aux_sym_declared_type_token2] = ACTIONS(1345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1357),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1327),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1327),
    [aux_sym_type_qualifier_token1] = ACTIONS(1279),
    [aux_sym_type_qualifier_token2] = ACTIONS(1279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1363),
    [aux_sym_stop_statement_token1] = ACTIONS(1279),
    [aux_sym_stop_statement_token2] = ACTIONS(1279),
    [aux_sym_subroutine_call_token1] = ACTIONS(1366),
    [aux_sym_keyword_statement_token1] = ACTIONS(1259),
    [aux_sym_keyword_statement_token2] = ACTIONS(1279),
    [aux_sym_keyword_statement_token3] = ACTIONS(1279),
    [aux_sym_keyword_statement_token4] = ACTIONS(1369),
    [aux_sym_keyword_statement_token6] = ACTIONS(1259),
    [aux_sym_keyword_statement_token7] = ACTIONS(1259),
    [aux_sym_include_statement_token1] = ACTIONS(1372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1259),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1279),
    [aux_sym_end_if_statement_token1] = ACTIONS(1279),
    [aux_sym_elseif_clause_token2] = ACTIONS(1279),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1259),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1259),
    [aux_sym_select_case_statement_token1] = ACTIONS(1375),
    [aux_sym_select_case_statement_token3] = ACTIONS(1259),
    [aux_sym_select_type_statement_token1] = ACTIONS(1259),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1259),
    [aux_sym_associate_statement_token1] = ACTIONS(1259),
    [aux_sym_format_statement_token1] = ACTIONS(1279),
    [aux_sym_print_statement_token1] = ACTIONS(1259),
    [aux_sym_open_statement_token1] = ACTIONS(1366),
    [aux_sym_close_statement_token1] = ACTIONS(1259),
    [aux_sym_inquire_statement_token1] = ACTIONS(1279),
    [aux_sym_enum_statement_token1] = ACTIONS(1378),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1381),
    [aux_sym_file_position_statement_token1] = ACTIONS(1259),
    [aux_sym_file_position_statement_token2] = ACTIONS(1259),
    [aux_sym_file_position_statement_token3] = ACTIONS(1259),
    [aux_sym_file_position_statement_token4] = ACTIONS(1259),
    [aux_sym_allocate_statement_token1] = ACTIONS(1259),
    [aux_sym_entry_statement_token1] = ACTIONS(1279),
    [aux_sym_assign_statement_token1] = ACTIONS(1259),
    [aux_sym_logical_expression_token5] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [aux_sym_boolean_literal_token1] = ACTIONS(1396),
    [aux_sym_boolean_literal_token2] = ACTIONS(1396),
    [aux_sym_null_literal_token1] = ACTIONS(1399),
    [aux_sym_coarray_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_statement_token2] = ACTIONS(1279),
    [aux_sym_coarray_statement_token6] = ACTIONS(1279),
    [aux_sym_coarray_statement_token8] = ACTIONS(1279),
    [aux_sym_coarray_statement_token11] = ACTIONS(1279),
    [aux_sym_coarray_statement_token12] = ACTIONS(1279),
    [aux_sym_coarray_statement_token13] = ACTIONS(1259),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1402),
    [sym__float_literal] = ACTIONS(1405),
    [sym__boz_literal] = ACTIONS(1405),
    [sym__string_literal] = ACTIONS(1408),
    [sym__string_literal_kind] = ACTIONS(1411),
  },
  [210] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4073),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7115),
    [sym_implicit_statement] = STATE(7115),
    [sym_save_statement] = STATE(7115),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7115),
    [sym_common_statement] = STATE(7115),
    [sym_import_statement] = STATE(7115),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4518),
    [sym_variable_declaration] = STATE(7115),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7115),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7115),
    [sym_equivalence_statement] = STATE(7115),
    [sym_statement_label] = STATE(7593),
    [sym_assignment_statement] = STATE(7115),
    [sym_include_statement] = STATE(7115),
    [sym_data_statement] = STATE(7115),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6384),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6516),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1417),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_interface_statement_token1] = ACTIONS(1441),
    [aux_sym_block_data_statement_token1] = ACTIONS(1444),
    [aux_sym_block_data_statement_token2] = ACTIONS(1447),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1444),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1444),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1450),
    [aux_sym_language_binding_token1] = ACTIONS(1453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1456),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1459),
    [aux_sym_end_function_statement_token1] = ACTIONS(1462),
    [aux_sym_contains_statement_token1] = ACTIONS(1462),
    [aux_sym_use_statement_token1] = ACTIONS(1464),
    [aux_sym_use_statement_token2] = ACTIONS(1459),
    [aux_sym_implicit_statement_token1] = ACTIONS(1467),
    [aux_sym_implicit_statement_token3] = ACTIONS(1470),
    [aux_sym_implicit_statement_token4] = ACTIONS(1459),
    [aux_sym_save_statement_token1] = ACTIONS(1473),
    [aux_sym_private_statement_token1] = ACTIONS(1476),
    [aux_sym_public_statement_token1] = ACTIONS(1479),
    [aux_sym_namelist_statement_token1] = ACTIONS(1482),
    [aux_sym_common_statement_token1] = ACTIONS(1485),
    [aux_sym_import_statement_token1] = ACTIONS(1488),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1459),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1491),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1459),
    [aux_sym_variable_attributes_token1] = ACTIONS(1494),
    [aux_sym_variable_attributes_token2] = ACTIONS(1459),
    [aux_sym_variable_attributes_token3] = ACTIONS(1459),
    [aux_sym_variable_attributes_token4] = ACTIONS(1494),
    [aux_sym_variable_attributes_token5] = ACTIONS(1459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1500),
    [aux_sym_derived_type_token1] = ACTIONS(1509),
    [aux_sym_declared_type_token1] = ACTIONS(1512),
    [aux_sym_declared_type_token2] = ACTIONS(1512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1518),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1494),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1494),
    [aux_sym_type_qualifier_token1] = ACTIONS(1444),
    [aux_sym_type_qualifier_token2] = ACTIONS(1444),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1530),
    [aux_sym_stop_statement_token1] = ACTIONS(1444),
    [aux_sym_stop_statement_token2] = ACTIONS(1444),
    [aux_sym_subroutine_call_token1] = ACTIONS(1533),
    [aux_sym_keyword_statement_token1] = ACTIONS(1462),
    [aux_sym_keyword_statement_token2] = ACTIONS(1444),
    [aux_sym_keyword_statement_token3] = ACTIONS(1444),
    [aux_sym_keyword_statement_token4] = ACTIONS(1536),
    [aux_sym_keyword_statement_token6] = ACTIONS(1462),
    [aux_sym_keyword_statement_token7] = ACTIONS(1462),
    [aux_sym_include_statement_token1] = ACTIONS(1539),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1462),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1444),
    [aux_sym_end_if_statement_token1] = ACTIONS(1444),
    [aux_sym_elseif_clause_token2] = ACTIONS(1444),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1462),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1462),
    [aux_sym_select_case_statement_token1] = ACTIONS(1542),
    [aux_sym_select_case_statement_token3] = ACTIONS(1462),
    [aux_sym_select_type_statement_token1] = ACTIONS(1462),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1462),
    [aux_sym_associate_statement_token1] = ACTIONS(1462),
    [aux_sym_format_statement_token1] = ACTIONS(1444),
    [aux_sym_print_statement_token1] = ACTIONS(1462),
    [aux_sym_open_statement_token1] = ACTIONS(1533),
    [aux_sym_close_statement_token1] = ACTIONS(1462),
    [aux_sym_inquire_statement_token1] = ACTIONS(1444),
    [aux_sym_enum_statement_token1] = ACTIONS(1545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1548),
    [aux_sym_file_position_statement_token1] = ACTIONS(1462),
    [aux_sym_file_position_statement_token2] = ACTIONS(1462),
    [aux_sym_file_position_statement_token3] = ACTIONS(1462),
    [aux_sym_file_position_statement_token4] = ACTIONS(1462),
    [aux_sym_allocate_statement_token1] = ACTIONS(1462),
    [aux_sym_entry_statement_token1] = ACTIONS(1444),
    [aux_sym_assign_statement_token1] = ACTIONS(1462),
    [aux_sym_logical_expression_token5] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [aux_sym_boolean_literal_token1] = ACTIONS(1563),
    [aux_sym_boolean_literal_token2] = ACTIONS(1563),
    [aux_sym_null_literal_token1] = ACTIONS(1566),
    [aux_sym_coarray_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_statement_token2] = ACTIONS(1444),
    [aux_sym_coarray_statement_token6] = ACTIONS(1444),
    [aux_sym_coarray_statement_token8] = ACTIONS(1444),
    [aux_sym_coarray_statement_token11] = ACTIONS(1444),
    [aux_sym_coarray_statement_token12] = ACTIONS(1444),
    [aux_sym_coarray_statement_token13] = ACTIONS(1462),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1444),
    [aux_sym_identifier_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1569),
    [sym__float_literal] = ACTIONS(1572),
    [sym__boz_literal] = ACTIONS(1572),
    [sym__string_literal] = ACTIONS(1575),
    [sym__string_literal_kind] = ACTIONS(1578),
  },
  [211] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4134),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7361),
    [sym_implicit_statement] = STATE(7361),
    [sym_save_statement] = STATE(7361),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7361),
    [sym_common_statement] = STATE(7361),
    [sym_import_statement] = STATE(7361),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4508),
    [sym_variable_declaration] = STATE(7361),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7361),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7361),
    [sym_equivalence_statement] = STATE(7361),
    [sym_statement_label] = STATE(7612),
    [sym_assignment_statement] = STATE(7361),
    [sym_include_statement] = STATE(7361),
    [sym_data_statement] = STATE(7361),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6373),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6564),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1584),
    [aux_sym_preproc_if_token1] = ACTIONS(1587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1590),
    [sym_preproc_directive] = ACTIONS(1593),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_interface_statement_token1] = ACTIONS(1441),
    [aux_sym_block_data_statement_token1] = ACTIONS(1444),
    [aux_sym_block_data_statement_token2] = ACTIONS(1447),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1444),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1444),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1450),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1462),
    [aux_sym_language_binding_token1] = ACTIONS(1453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1456),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1459),
    [aux_sym_contains_statement_token1] = ACTIONS(1462),
    [aux_sym_use_statement_token1] = ACTIONS(1464),
    [aux_sym_use_statement_token2] = ACTIONS(1459),
    [aux_sym_implicit_statement_token1] = ACTIONS(1467),
    [aux_sym_implicit_statement_token3] = ACTIONS(1470),
    [aux_sym_implicit_statement_token4] = ACTIONS(1459),
    [aux_sym_save_statement_token1] = ACTIONS(1473),
    [aux_sym_private_statement_token1] = ACTIONS(1599),
    [aux_sym_public_statement_token1] = ACTIONS(1602),
    [aux_sym_namelist_statement_token1] = ACTIONS(1482),
    [aux_sym_common_statement_token1] = ACTIONS(1485),
    [aux_sym_import_statement_token1] = ACTIONS(1488),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1459),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1491),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1459),
    [aux_sym_variable_attributes_token1] = ACTIONS(1494),
    [aux_sym_variable_attributes_token2] = ACTIONS(1459),
    [aux_sym_variable_attributes_token3] = ACTIONS(1459),
    [aux_sym_variable_attributes_token4] = ACTIONS(1494),
    [aux_sym_variable_attributes_token5] = ACTIONS(1459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1500),
    [aux_sym_derived_type_token1] = ACTIONS(1509),
    [aux_sym_declared_type_token1] = ACTIONS(1512),
    [aux_sym_declared_type_token2] = ACTIONS(1512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1518),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1494),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1494),
    [aux_sym_type_qualifier_token1] = ACTIONS(1444),
    [aux_sym_type_qualifier_token2] = ACTIONS(1444),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1530),
    [aux_sym_stop_statement_token1] = ACTIONS(1444),
    [aux_sym_stop_statement_token2] = ACTIONS(1444),
    [aux_sym_subroutine_call_token1] = ACTIONS(1533),
    [aux_sym_keyword_statement_token1] = ACTIONS(1462),
    [aux_sym_keyword_statement_token2] = ACTIONS(1444),
    [aux_sym_keyword_statement_token3] = ACTIONS(1444),
    [aux_sym_keyword_statement_token4] = ACTIONS(1536),
    [aux_sym_keyword_statement_token6] = ACTIONS(1462),
    [aux_sym_keyword_statement_token7] = ACTIONS(1462),
    [aux_sym_include_statement_token1] = ACTIONS(1539),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1462),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1444),
    [aux_sym_end_if_statement_token1] = ACTIONS(1444),
    [aux_sym_elseif_clause_token2] = ACTIONS(1444),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1462),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1462),
    [aux_sym_select_case_statement_token1] = ACTIONS(1542),
    [aux_sym_select_case_statement_token3] = ACTIONS(1462),
    [aux_sym_select_type_statement_token1] = ACTIONS(1462),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1462),
    [aux_sym_associate_statement_token1] = ACTIONS(1462),
    [aux_sym_format_statement_token1] = ACTIONS(1444),
    [aux_sym_print_statement_token1] = ACTIONS(1462),
    [aux_sym_open_statement_token1] = ACTIONS(1533),
    [aux_sym_close_statement_token1] = ACTIONS(1462),
    [aux_sym_inquire_statement_token1] = ACTIONS(1444),
    [aux_sym_enum_statement_token1] = ACTIONS(1545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1548),
    [aux_sym_file_position_statement_token1] = ACTIONS(1462),
    [aux_sym_file_position_statement_token2] = ACTIONS(1462),
    [aux_sym_file_position_statement_token3] = ACTIONS(1462),
    [aux_sym_file_position_statement_token4] = ACTIONS(1462),
    [aux_sym_allocate_statement_token1] = ACTIONS(1462),
    [aux_sym_entry_statement_token1] = ACTIONS(1444),
    [aux_sym_assign_statement_token1] = ACTIONS(1462),
    [aux_sym_logical_expression_token5] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [aux_sym_boolean_literal_token1] = ACTIONS(1563),
    [aux_sym_boolean_literal_token2] = ACTIONS(1563),
    [aux_sym_null_literal_token1] = ACTIONS(1566),
    [aux_sym_coarray_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_statement_token2] = ACTIONS(1444),
    [aux_sym_coarray_statement_token6] = ACTIONS(1444),
    [aux_sym_coarray_statement_token8] = ACTIONS(1444),
    [aux_sym_coarray_statement_token11] = ACTIONS(1444),
    [aux_sym_coarray_statement_token12] = ACTIONS(1444),
    [aux_sym_coarray_statement_token13] = ACTIONS(1462),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1444),
    [aux_sym_identifier_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1569),
    [sym__float_literal] = ACTIONS(1572),
    [sym__boz_literal] = ACTIONS(1572),
    [sym__string_literal] = ACTIONS(1575),
    [sym__string_literal_kind] = ACTIONS(1578),
  },
  [212] = {
    [sym_preproc_include] = STATE(212),
    [sym_preproc_def] = STATE(212),
    [sym_preproc_function_def] = STATE(212),
    [sym_preproc_call] = STATE(212),
    [sym_preproc_if_in_specification_part] = STATE(212),
    [sym_preproc_ifdef_in_specification_part] = STATE(212),
    [sym_interface] = STATE(212),
    [sym_interface_statement] = STATE(4184),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(212),
    [sym_use_statement] = STATE(7390),
    [sym_implicit_statement] = STATE(7390),
    [sym_save_statement] = STATE(7390),
    [sym_private_statement] = STATE(212),
    [sym_public_statement] = STATE(212),
    [sym_namelist_statement] = STATE(7390),
    [sym_common_statement] = STATE(7390),
    [sym_import_statement] = STATE(7390),
    [sym_derived_type_definition] = STATE(212),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4517),
    [sym_variable_declaration] = STATE(7390),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7390),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7390),
    [sym_equivalence_statement] = STATE(7390),
    [sym_statement_label] = STATE(7535),
    [sym_assignment_statement] = STATE(7390),
    [sym_include_statement] = STATE(7390),
    [sym_data_statement] = STATE(7390),
    [sym_enum] = STATE(212),
    [sym_enum_statement] = STATE(6387),
    [sym_enumeration_type] = STATE(212),
    [sym_enumeration_type_statement] = STATE(6446),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_program_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1605),
    [aux_sym_preproc_def_token1] = ACTIONS(1608),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1614),
    [sym_preproc_directive] = ACTIONS(1617),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1435),
    [aux_sym_end_program_statement_token2] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1620),
    [aux_sym_interface_statement_token1] = ACTIONS(1441),
    [aux_sym_block_data_statement_token1] = ACTIONS(1444),
    [aux_sym_block_data_statement_token2] = ACTIONS(1447),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1444),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1444),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1450),
    [aux_sym_language_binding_token1] = ACTIONS(1453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1456),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1459),
    [aux_sym_contains_statement_token1] = ACTIONS(1462),
    [aux_sym_use_statement_token1] = ACTIONS(1464),
    [aux_sym_use_statement_token2] = ACTIONS(1459),
    [aux_sym_implicit_statement_token1] = ACTIONS(1467),
    [aux_sym_implicit_statement_token3] = ACTIONS(1470),
    [aux_sym_implicit_statement_token4] = ACTIONS(1459),
    [aux_sym_save_statement_token1] = ACTIONS(1473),
    [aux_sym_private_statement_token1] = ACTIONS(1623),
    [aux_sym_public_statement_token1] = ACTIONS(1626),
    [aux_sym_namelist_statement_token1] = ACTIONS(1482),
    [aux_sym_common_statement_token1] = ACTIONS(1485),
    [aux_sym_import_statement_token1] = ACTIONS(1488),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1459),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1491),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1459),
    [aux_sym_variable_attributes_token1] = ACTIONS(1494),
    [aux_sym_variable_attributes_token2] = ACTIONS(1459),
    [aux_sym_variable_attributes_token3] = ACTIONS(1459),
    [aux_sym_variable_attributes_token4] = ACTIONS(1494),
    [aux_sym_variable_attributes_token5] = ACTIONS(1459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1500),
    [aux_sym_derived_type_token1] = ACTIONS(1509),
    [aux_sym_declared_type_token1] = ACTIONS(1512),
    [aux_sym_declared_type_token2] = ACTIONS(1512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1518),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1494),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1494),
    [aux_sym_type_qualifier_token1] = ACTIONS(1444),
    [aux_sym_type_qualifier_token2] = ACTIONS(1444),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1530),
    [aux_sym_stop_statement_token1] = ACTIONS(1444),
    [aux_sym_stop_statement_token2] = ACTIONS(1444),
    [aux_sym_subroutine_call_token1] = ACTIONS(1533),
    [aux_sym_keyword_statement_token1] = ACTIONS(1462),
    [aux_sym_keyword_statement_token2] = ACTIONS(1444),
    [aux_sym_keyword_statement_token3] = ACTIONS(1444),
    [aux_sym_keyword_statement_token4] = ACTIONS(1536),
    [aux_sym_keyword_statement_token6] = ACTIONS(1462),
    [aux_sym_keyword_statement_token7] = ACTIONS(1462),
    [aux_sym_include_statement_token1] = ACTIONS(1539),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1462),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1444),
    [aux_sym_end_if_statement_token1] = ACTIONS(1444),
    [aux_sym_elseif_clause_token2] = ACTIONS(1444),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1462),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1462),
    [aux_sym_select_case_statement_token1] = ACTIONS(1542),
    [aux_sym_select_case_statement_token3] = ACTIONS(1462),
    [aux_sym_select_type_statement_token1] = ACTIONS(1462),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1462),
    [aux_sym_associate_statement_token1] = ACTIONS(1462),
    [aux_sym_format_statement_token1] = ACTIONS(1444),
    [aux_sym_print_statement_token1] = ACTIONS(1462),
    [aux_sym_open_statement_token1] = ACTIONS(1533),
    [aux_sym_close_statement_token1] = ACTIONS(1462),
    [aux_sym_inquire_statement_token1] = ACTIONS(1444),
    [aux_sym_enum_statement_token1] = ACTIONS(1545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1548),
    [aux_sym_file_position_statement_token1] = ACTIONS(1462),
    [aux_sym_file_position_statement_token2] = ACTIONS(1462),
    [aux_sym_file_position_statement_token3] = ACTIONS(1462),
    [aux_sym_file_position_statement_token4] = ACTIONS(1462),
    [aux_sym_allocate_statement_token1] = ACTIONS(1462),
    [aux_sym_entry_statement_token1] = ACTIONS(1444),
    [aux_sym_assign_statement_token1] = ACTIONS(1462),
    [aux_sym_logical_expression_token5] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [aux_sym_boolean_literal_token1] = ACTIONS(1563),
    [aux_sym_boolean_literal_token2] = ACTIONS(1563),
    [aux_sym_null_literal_token1] = ACTIONS(1566),
    [aux_sym_coarray_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_statement_token2] = ACTIONS(1444),
    [aux_sym_coarray_statement_token6] = ACTIONS(1444),
    [aux_sym_coarray_statement_token8] = ACTIONS(1444),
    [aux_sym_coarray_statement_token11] = ACTIONS(1444),
    [aux_sym_coarray_statement_token12] = ACTIONS(1444),
    [aux_sym_coarray_statement_token13] = ACTIONS(1462),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1444),
    [aux_sym_identifier_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1569),
    [sym__float_literal] = ACTIONS(1572),
    [sym__boz_literal] = ACTIONS(1572),
    [sym__string_literal] = ACTIONS(1575),
    [sym__string_literal_kind] = ACTIONS(1578),
  },
  [213] = {
    [sym_preproc_include] = STATE(213),
    [sym_preproc_def] = STATE(213),
    [sym_preproc_function_def] = STATE(213),
    [sym_preproc_call] = STATE(213),
    [sym_preproc_if_in_specification_part] = STATE(213),
    [sym_preproc_ifdef_in_specification_part] = STATE(213),
    [sym_interface] = STATE(213),
    [sym_interface_statement] = STATE(4173),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(213),
    [sym_use_statement] = STATE(7054),
    [sym_implicit_statement] = STATE(7054),
    [sym_save_statement] = STATE(7054),
    [sym_private_statement] = STATE(213),
    [sym_public_statement] = STATE(213),
    [sym_namelist_statement] = STATE(7054),
    [sym_common_statement] = STATE(7054),
    [sym_import_statement] = STATE(7054),
    [sym_derived_type_definition] = STATE(213),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4519),
    [sym_variable_declaration] = STATE(7054),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7054),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7054),
    [sym_equivalence_statement] = STATE(7054),
    [sym_statement_label] = STATE(7588),
    [sym_assignment_statement] = STATE(7054),
    [sym_include_statement] = STATE(7054),
    [sym_data_statement] = STATE(7054),
    [sym_enum] = STATE(213),
    [sym_enum_statement] = STATE(6378),
    [sym_enumeration_type] = STATE(213),
    [sym_enumeration_type_statement] = STATE(6507),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_program_repeat1] = STATE(213),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1632),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1638),
    [sym_preproc_directive] = ACTIONS(1641),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_interface_statement_token1] = ACTIONS(1441),
    [aux_sym_block_data_statement_token1] = ACTIONS(1444),
    [aux_sym_block_data_statement_token2] = ACTIONS(1447),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1444),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1444),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1462),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1450),
    [aux_sym_language_binding_token1] = ACTIONS(1453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1456),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1459),
    [aux_sym_contains_statement_token1] = ACTIONS(1462),
    [aux_sym_use_statement_token1] = ACTIONS(1464),
    [aux_sym_use_statement_token2] = ACTIONS(1459),
    [aux_sym_implicit_statement_token1] = ACTIONS(1467),
    [aux_sym_implicit_statement_token3] = ACTIONS(1470),
    [aux_sym_implicit_statement_token4] = ACTIONS(1459),
    [aux_sym_save_statement_token1] = ACTIONS(1473),
    [aux_sym_private_statement_token1] = ACTIONS(1647),
    [aux_sym_public_statement_token1] = ACTIONS(1650),
    [aux_sym_namelist_statement_token1] = ACTIONS(1482),
    [aux_sym_common_statement_token1] = ACTIONS(1485),
    [aux_sym_import_statement_token1] = ACTIONS(1488),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1459),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1491),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1459),
    [aux_sym_variable_attributes_token1] = ACTIONS(1494),
    [aux_sym_variable_attributes_token2] = ACTIONS(1459),
    [aux_sym_variable_attributes_token3] = ACTIONS(1459),
    [aux_sym_variable_attributes_token4] = ACTIONS(1494),
    [aux_sym_variable_attributes_token5] = ACTIONS(1459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1500),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1500),
    [aux_sym_derived_type_token1] = ACTIONS(1509),
    [aux_sym_declared_type_token1] = ACTIONS(1512),
    [aux_sym_declared_type_token2] = ACTIONS(1512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1518),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1494),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1459),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1494),
    [aux_sym_type_qualifier_token1] = ACTIONS(1444),
    [aux_sym_type_qualifier_token2] = ACTIONS(1444),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1530),
    [aux_sym_stop_statement_token1] = ACTIONS(1444),
    [aux_sym_stop_statement_token2] = ACTIONS(1444),
    [aux_sym_subroutine_call_token1] = ACTIONS(1533),
    [aux_sym_keyword_statement_token1] = ACTIONS(1462),
    [aux_sym_keyword_statement_token2] = ACTIONS(1444),
    [aux_sym_keyword_statement_token3] = ACTIONS(1444),
    [aux_sym_keyword_statement_token4] = ACTIONS(1536),
    [aux_sym_keyword_statement_token6] = ACTIONS(1462),
    [aux_sym_keyword_statement_token7] = ACTIONS(1462),
    [aux_sym_include_statement_token1] = ACTIONS(1539),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1462),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1444),
    [aux_sym_end_if_statement_token1] = ACTIONS(1444),
    [aux_sym_elseif_clause_token2] = ACTIONS(1444),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1462),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1462),
    [aux_sym_select_case_statement_token1] = ACTIONS(1542),
    [aux_sym_select_case_statement_token3] = ACTIONS(1462),
    [aux_sym_select_type_statement_token1] = ACTIONS(1462),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1462),
    [aux_sym_associate_statement_token1] = ACTIONS(1462),
    [aux_sym_format_statement_token1] = ACTIONS(1444),
    [aux_sym_print_statement_token1] = ACTIONS(1462),
    [aux_sym_open_statement_token1] = ACTIONS(1533),
    [aux_sym_close_statement_token1] = ACTIONS(1462),
    [aux_sym_inquire_statement_token1] = ACTIONS(1444),
    [aux_sym_enum_statement_token1] = ACTIONS(1545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1548),
    [aux_sym_file_position_statement_token1] = ACTIONS(1462),
    [aux_sym_file_position_statement_token2] = ACTIONS(1462),
    [aux_sym_file_position_statement_token3] = ACTIONS(1462),
    [aux_sym_file_position_statement_token4] = ACTIONS(1462),
    [aux_sym_allocate_statement_token1] = ACTIONS(1462),
    [aux_sym_entry_statement_token1] = ACTIONS(1444),
    [aux_sym_assign_statement_token1] = ACTIONS(1462),
    [aux_sym_logical_expression_token5] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [aux_sym_boolean_literal_token1] = ACTIONS(1563),
    [aux_sym_boolean_literal_token2] = ACTIONS(1563),
    [aux_sym_null_literal_token1] = ACTIONS(1566),
    [aux_sym_coarray_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_statement_token2] = ACTIONS(1444),
    [aux_sym_coarray_statement_token6] = ACTIONS(1444),
    [aux_sym_coarray_statement_token8] = ACTIONS(1444),
    [aux_sym_coarray_statement_token11] = ACTIONS(1444),
    [aux_sym_coarray_statement_token12] = ACTIONS(1444),
    [aux_sym_coarray_statement_token13] = ACTIONS(1462),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1444),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1444),
    [aux_sym_identifier_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1569),
    [sym__float_literal] = ACTIONS(1572),
    [sym__boz_literal] = ACTIONS(1572),
    [sym__string_literal] = ACTIONS(1575),
    [sym__string_literal_kind] = ACTIONS(1578),
  },
  [214] = {
    [sym_preproc_include] = STATE(214),
    [sym_preproc_def] = STATE(214),
    [sym_preproc_function_def] = STATE(214),
    [sym_preproc_call] = STATE(214),
    [sym_interface] = STATE(214),
    [sym_interface_statement] = STATE(4128),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(214),
    [sym_use_statement] = STATE(7312),
    [sym_implicit_statement] = STATE(7312),
    [sym_save_statement] = STATE(7312),
    [sym_private_statement] = STATE(214),
    [sym_public_statement] = STATE(214),
    [sym_namelist_statement] = STATE(7312),
    [sym_common_statement] = STATE(7312),
    [sym_import_statement] = STATE(7312),
    [sym_derived_type_definition] = STATE(214),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4528),
    [sym_variable_declaration] = STATE(7312),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7312),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7312),
    [sym_equivalence_statement] = STATE(7312),
    [sym_statement_label] = STATE(7601),
    [sym_assignment_statement] = STATE(7312),
    [sym_include_statement] = STATE(7312),
    [sym_data_statement] = STATE(7312),
    [sym_enum] = STATE(214),
    [sym_enum_statement] = STATE(6385),
    [sym_enumeration_type] = STATE(214),
    [sym_enumeration_type_statement] = STATE(6545),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(214),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1653),
    [aux_sym_preproc_def_token1] = ACTIONS(1656),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1662),
    [aux_sym_interface_statement_token1] = ACTIONS(1276),
    [aux_sym_block_data_statement_token1] = ACTIONS(1279),
    [aux_sym_block_data_statement_token2] = ACTIONS(1282),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1285),
    [aux_sym_language_binding_token1] = ACTIONS(1288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1291),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1294),
    [aux_sym_contains_statement_token1] = ACTIONS(1259),
    [aux_sym_use_statement_token1] = ACTIONS(1297),
    [aux_sym_use_statement_token2] = ACTIONS(1294),
    [aux_sym_implicit_statement_token1] = ACTIONS(1300),
    [aux_sym_implicit_statement_token3] = ACTIONS(1303),
    [aux_sym_implicit_statement_token4] = ACTIONS(1294),
    [aux_sym_save_statement_token1] = ACTIONS(1306),
    [aux_sym_private_statement_token1] = ACTIONS(1665),
    [aux_sym_public_statement_token1] = ACTIONS(1668),
    [aux_sym_namelist_statement_token1] = ACTIONS(1315),
    [aux_sym_common_statement_token1] = ACTIONS(1318),
    [aux_sym_import_statement_token1] = ACTIONS(1321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1294),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1294),
    [aux_sym_variable_attributes_token1] = ACTIONS(1327),
    [aux_sym_variable_attributes_token2] = ACTIONS(1294),
    [aux_sym_variable_attributes_token3] = ACTIONS(1294),
    [aux_sym_variable_attributes_token4] = ACTIONS(1327),
    [aux_sym_variable_attributes_token5] = ACTIONS(1294),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1339),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1333),
    [aux_sym_derived_type_token1] = ACTIONS(1342),
    [aux_sym_declared_type_token1] = ACTIONS(1345),
    [aux_sym_declared_type_token2] = ACTIONS(1345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1357),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1327),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1327),
    [aux_sym_type_qualifier_token1] = ACTIONS(1279),
    [aux_sym_type_qualifier_token2] = ACTIONS(1279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1363),
    [aux_sym_stop_statement_token1] = ACTIONS(1279),
    [aux_sym_stop_statement_token2] = ACTIONS(1279),
    [aux_sym_subroutine_call_token1] = ACTIONS(1366),
    [aux_sym_keyword_statement_token1] = ACTIONS(1259),
    [aux_sym_keyword_statement_token2] = ACTIONS(1279),
    [aux_sym_keyword_statement_token3] = ACTIONS(1279),
    [aux_sym_keyword_statement_token4] = ACTIONS(1369),
    [aux_sym_keyword_statement_token6] = ACTIONS(1259),
    [aux_sym_keyword_statement_token7] = ACTIONS(1259),
    [aux_sym_include_statement_token1] = ACTIONS(1372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1259),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1279),
    [aux_sym_end_if_statement_token1] = ACTIONS(1279),
    [aux_sym_elseif_clause_token2] = ACTIONS(1279),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1259),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1259),
    [aux_sym_select_case_statement_token1] = ACTIONS(1375),
    [aux_sym_select_case_statement_token3] = ACTIONS(1259),
    [aux_sym_select_type_statement_token1] = ACTIONS(1259),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1259),
    [aux_sym_associate_statement_token1] = ACTIONS(1259),
    [aux_sym_format_statement_token1] = ACTIONS(1279),
    [aux_sym_print_statement_token1] = ACTIONS(1259),
    [aux_sym_open_statement_token1] = ACTIONS(1366),
    [aux_sym_close_statement_token1] = ACTIONS(1259),
    [aux_sym_inquire_statement_token1] = ACTIONS(1279),
    [aux_sym_enum_statement_token1] = ACTIONS(1378),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1381),
    [aux_sym_file_position_statement_token1] = ACTIONS(1259),
    [aux_sym_file_position_statement_token2] = ACTIONS(1259),
    [aux_sym_file_position_statement_token3] = ACTIONS(1259),
    [aux_sym_file_position_statement_token4] = ACTIONS(1259),
    [aux_sym_allocate_statement_token1] = ACTIONS(1259),
    [aux_sym_entry_statement_token1] = ACTIONS(1279),
    [aux_sym_assign_statement_token1] = ACTIONS(1259),
    [aux_sym_logical_expression_token5] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [aux_sym_boolean_literal_token1] = ACTIONS(1396),
    [aux_sym_boolean_literal_token2] = ACTIONS(1396),
    [aux_sym_null_literal_token1] = ACTIONS(1399),
    [aux_sym_coarray_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_statement_token2] = ACTIONS(1279),
    [aux_sym_coarray_statement_token6] = ACTIONS(1279),
    [aux_sym_coarray_statement_token8] = ACTIONS(1279),
    [aux_sym_coarray_statement_token11] = ACTIONS(1279),
    [aux_sym_coarray_statement_token12] = ACTIONS(1279),
    [aux_sym_coarray_statement_token13] = ACTIONS(1259),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1402),
    [sym__float_literal] = ACTIONS(1405),
    [sym__boz_literal] = ACTIONS(1405),
    [sym__string_literal] = ACTIONS(1408),
    [sym__string_literal_kind] = ACTIONS(1411),
  },
  [215] = {
    [sym_preproc_include] = STATE(215),
    [sym_preproc_def] = STATE(215),
    [sym_preproc_function_def] = STATE(215),
    [sym_preproc_call] = STATE(215),
    [sym_interface] = STATE(215),
    [sym_interface_statement] = STATE(4113),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(215),
    [sym_use_statement] = STATE(6976),
    [sym_implicit_statement] = STATE(6976),
    [sym_save_statement] = STATE(6976),
    [sym_private_statement] = STATE(215),
    [sym_public_statement] = STATE(215),
    [sym_namelist_statement] = STATE(6976),
    [sym_common_statement] = STATE(6976),
    [sym_import_statement] = STATE(6976),
    [sym_derived_type_definition] = STATE(215),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4513),
    [sym_variable_declaration] = STATE(6976),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6976),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6976),
    [sym_equivalence_statement] = STATE(6976),
    [sym_statement_label] = STATE(7572),
    [sym_assignment_statement] = STATE(6976),
    [sym_include_statement] = STATE(6976),
    [sym_data_statement] = STATE(6976),
    [sym_enum] = STATE(215),
    [sym_enum_statement] = STATE(6396),
    [sym_enumeration_type] = STATE(215),
    [sym_enumeration_type_statement] = STATE(6497),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(215),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1674),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1677),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_interface_statement_token1] = ACTIONS(1276),
    [aux_sym_block_data_statement_token1] = ACTIONS(1279),
    [aux_sym_block_data_statement_token2] = ACTIONS(1282),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1285),
    [aux_sym_language_binding_token1] = ACTIONS(1288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1291),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1294),
    [aux_sym_use_statement_token1] = ACTIONS(1297),
    [aux_sym_use_statement_token2] = ACTIONS(1294),
    [aux_sym_implicit_statement_token1] = ACTIONS(1300),
    [aux_sym_implicit_statement_token3] = ACTIONS(1303),
    [aux_sym_implicit_statement_token4] = ACTIONS(1294),
    [aux_sym_save_statement_token1] = ACTIONS(1306),
    [aux_sym_private_statement_token1] = ACTIONS(1683),
    [aux_sym_public_statement_token1] = ACTIONS(1686),
    [aux_sym_namelist_statement_token1] = ACTIONS(1315),
    [aux_sym_common_statement_token1] = ACTIONS(1318),
    [aux_sym_import_statement_token1] = ACTIONS(1321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1294),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1294),
    [aux_sym_variable_attributes_token1] = ACTIONS(1327),
    [aux_sym_variable_attributes_token2] = ACTIONS(1294),
    [aux_sym_variable_attributes_token3] = ACTIONS(1294),
    [aux_sym_variable_attributes_token4] = ACTIONS(1327),
    [aux_sym_variable_attributes_token5] = ACTIONS(1294),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1339),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1333),
    [aux_sym_derived_type_token1] = ACTIONS(1342),
    [aux_sym_declared_type_token1] = ACTIONS(1345),
    [aux_sym_declared_type_token2] = ACTIONS(1345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1357),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1327),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1327),
    [aux_sym_type_qualifier_token1] = ACTIONS(1279),
    [aux_sym_type_qualifier_token2] = ACTIONS(1279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1363),
    [aux_sym_stop_statement_token1] = ACTIONS(1279),
    [aux_sym_stop_statement_token2] = ACTIONS(1279),
    [aux_sym_subroutine_call_token1] = ACTIONS(1366),
    [aux_sym_keyword_statement_token1] = ACTIONS(1259),
    [aux_sym_keyword_statement_token2] = ACTIONS(1279),
    [aux_sym_keyword_statement_token3] = ACTIONS(1279),
    [aux_sym_keyword_statement_token4] = ACTIONS(1369),
    [aux_sym_keyword_statement_token6] = ACTIONS(1259),
    [aux_sym_keyword_statement_token7] = ACTIONS(1259),
    [aux_sym_include_statement_token1] = ACTIONS(1372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1259),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1279),
    [aux_sym_end_if_statement_token1] = ACTIONS(1279),
    [aux_sym_elseif_clause_token2] = ACTIONS(1279),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1259),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1259),
    [aux_sym_select_case_statement_token1] = ACTIONS(1375),
    [aux_sym_select_case_statement_token3] = ACTIONS(1259),
    [aux_sym_select_type_statement_token1] = ACTIONS(1259),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1259),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1259),
    [aux_sym_associate_statement_token1] = ACTIONS(1259),
    [aux_sym_format_statement_token1] = ACTIONS(1279),
    [aux_sym_print_statement_token1] = ACTIONS(1259),
    [aux_sym_open_statement_token1] = ACTIONS(1366),
    [aux_sym_close_statement_token1] = ACTIONS(1259),
    [aux_sym_inquire_statement_token1] = ACTIONS(1279),
    [aux_sym_enum_statement_token1] = ACTIONS(1378),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1381),
    [aux_sym_file_position_statement_token1] = ACTIONS(1259),
    [aux_sym_file_position_statement_token2] = ACTIONS(1259),
    [aux_sym_file_position_statement_token3] = ACTIONS(1259),
    [aux_sym_file_position_statement_token4] = ACTIONS(1259),
    [aux_sym_allocate_statement_token1] = ACTIONS(1259),
    [aux_sym_entry_statement_token1] = ACTIONS(1279),
    [aux_sym_assign_statement_token1] = ACTIONS(1259),
    [aux_sym_logical_expression_token5] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [aux_sym_boolean_literal_token1] = ACTIONS(1396),
    [aux_sym_boolean_literal_token2] = ACTIONS(1396),
    [aux_sym_null_literal_token1] = ACTIONS(1399),
    [aux_sym_coarray_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_statement_token2] = ACTIONS(1279),
    [aux_sym_coarray_statement_token6] = ACTIONS(1279),
    [aux_sym_coarray_statement_token8] = ACTIONS(1279),
    [aux_sym_coarray_statement_token11] = ACTIONS(1279),
    [aux_sym_coarray_statement_token12] = ACTIONS(1279),
    [aux_sym_coarray_statement_token13] = ACTIONS(1259),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1402),
    [sym__float_literal] = ACTIONS(1405),
    [sym__boz_literal] = ACTIONS(1405),
    [sym__string_literal] = ACTIONS(1408),
    [sym__string_literal_kind] = ACTIONS(1411),
  },
  [216] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8381),
    [sym_preproc_elif_in_specification_part] = STATE(8381),
    [sym_preproc_elifdef_in_specification_part] = STATE(8381),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9058),
    [sym_preproc_elif_in_statements] = STATE(9058),
    [sym_preproc_elifdef_in_statements] = STATE(9058),
    [sym_preproc_else_in_procedure_statements] = STATE(9065),
    [sym_preproc_elif_in_procedure_statements] = STATE(9065),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9065),
    [sym_internal_procedures] = STATE(5947),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [217] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8107),
    [sym_preproc_elif_in_specification_part] = STATE(8107),
    [sym_preproc_elifdef_in_specification_part] = STATE(8107),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8829),
    [sym_preproc_elif_in_statements] = STATE(8829),
    [sym_preproc_elifdef_in_statements] = STATE(8829),
    [sym_preproc_else_in_procedure_statements] = STATE(8784),
    [sym_preproc_elif_in_procedure_statements] = STATE(8784),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8784),
    [sym_internal_procedures] = STATE(5925),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [218] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8552),
    [sym_preproc_elif_in_specification_part] = STATE(8552),
    [sym_preproc_elifdef_in_specification_part] = STATE(8552),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8537),
    [sym_preproc_elif_in_procedure_statements] = STATE(8537),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8537),
    [sym_internal_procedures] = STATE(5951),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [219] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8777),
    [sym_preproc_elif_in_specification_part] = STATE(8777),
    [sym_preproc_elifdef_in_specification_part] = STATE(8777),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8085),
    [sym_preproc_elif_in_statements] = STATE(8085),
    [sym_preproc_elifdef_in_statements] = STATE(8085),
    [sym_preproc_else_in_procedure_statements] = STATE(8551),
    [sym_preproc_elif_in_procedure_statements] = STATE(8551),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8551),
    [sym_internal_procedures] = STATE(5953),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1705),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [220] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8582),
    [sym_preproc_elif_in_specification_part] = STATE(8582),
    [sym_preproc_elifdef_in_specification_part] = STATE(8582),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9078),
    [sym_preproc_elif_in_statements] = STATE(9078),
    [sym_preproc_elifdef_in_statements] = STATE(9078),
    [sym_preproc_else_in_procedure_statements] = STATE(8678),
    [sym_preproc_elif_in_procedure_statements] = STATE(8678),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8678),
    [sym_internal_procedures] = STATE(5952),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [221] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_preproc_else_in_procedure_statements] = STATE(8855),
    [sym_preproc_elif_in_procedure_statements] = STATE(8855),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8855),
    [sym_internal_procedures] = STATE(5927),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [222] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8251),
    [sym_preproc_elif_in_specification_part] = STATE(8251),
    [sym_preproc_elifdef_in_specification_part] = STATE(8251),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8307),
    [sym_preproc_elif_in_statements] = STATE(8307),
    [sym_preproc_elifdef_in_statements] = STATE(8307),
    [sym_preproc_else_in_procedure_statements] = STATE(8212),
    [sym_preproc_elif_in_procedure_statements] = STATE(8212),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8212),
    [sym_internal_procedures] = STATE(5959),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [223] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8888),
    [sym_preproc_elif_in_specification_part] = STATE(8888),
    [sym_preproc_elifdef_in_specification_part] = STATE(8888),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8339),
    [sym_preproc_elif_in_statements] = STATE(8339),
    [sym_preproc_elifdef_in_statements] = STATE(8339),
    [sym_preproc_else_in_procedure_statements] = STATE(8182),
    [sym_preproc_elif_in_procedure_statements] = STATE(8182),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8182),
    [sym_internal_procedures] = STATE(5907),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [224] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8953),
    [sym_preproc_elif_in_specification_part] = STATE(8953),
    [sym_preproc_elifdef_in_specification_part] = STATE(8953),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8387),
    [sym_preproc_elif_in_statements] = STATE(8387),
    [sym_preproc_elifdef_in_statements] = STATE(8387),
    [sym_preproc_else_in_procedure_statements] = STATE(8392),
    [sym_preproc_elif_in_procedure_statements] = STATE(8392),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8392),
    [sym_internal_procedures] = STATE(5914),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [225] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8695),
    [sym_preproc_elif_in_specification_part] = STATE(8695),
    [sym_preproc_elifdef_in_specification_part] = STATE(8695),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8700),
    [sym_preproc_elif_in_statements] = STATE(8700),
    [sym_preproc_elifdef_in_statements] = STATE(8700),
    [sym_preproc_else_in_procedure_statements] = STATE(8217),
    [sym_preproc_elif_in_procedure_statements] = STATE(8217),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8217),
    [sym_internal_procedures] = STATE(5960),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [226] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(9034),
    [sym_preproc_elif_in_specification_part] = STATE(9034),
    [sym_preproc_elifdef_in_specification_part] = STATE(9034),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8455),
    [sym_preproc_elif_in_statements] = STATE(8455),
    [sym_preproc_elifdef_in_statements] = STATE(8455),
    [sym_preproc_else_in_procedure_statements] = STATE(8503),
    [sym_preproc_elif_in_procedure_statements] = STATE(8503),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8503),
    [sym_internal_procedures] = STATE(5915),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [227] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8941),
    [sym_preproc_elif_in_specification_part] = STATE(8941),
    [sym_preproc_elifdef_in_specification_part] = STATE(8941),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8383),
    [sym_preproc_elif_in_statements] = STATE(8383),
    [sym_preproc_elifdef_in_statements] = STATE(8383),
    [sym_preproc_else_in_procedure_statements] = STATE(8368),
    [sym_preproc_elif_in_procedure_statements] = STATE(8368),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8368),
    [sym_internal_procedures] = STATE(5912),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [228] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8879),
    [sym_preproc_elif_in_specification_part] = STATE(8879),
    [sym_preproc_elifdef_in_specification_part] = STATE(8879),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8738),
    [sym_preproc_elif_in_statements] = STATE(8738),
    [sym_preproc_elifdef_in_statements] = STATE(8738),
    [sym_preproc_else_in_procedure_statements] = STATE(9015),
    [sym_preproc_elif_in_procedure_statements] = STATE(9015),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9015),
    [sym_internal_procedures] = STATE(5923),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [229] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8928),
    [sym_preproc_elif_in_specification_part] = STATE(8928),
    [sym_preproc_elifdef_in_specification_part] = STATE(8928),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8744),
    [sym_preproc_elif_in_statements] = STATE(8744),
    [sym_preproc_elifdef_in_statements] = STATE(8744),
    [sym_preproc_else_in_procedure_statements] = STATE(8355),
    [sym_preproc_elif_in_procedure_statements] = STATE(8355),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8355),
    [sym_internal_procedures] = STATE(5929),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [230] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8625),
    [sym_preproc_elif_in_specification_part] = STATE(8625),
    [sym_preproc_elifdef_in_specification_part] = STATE(8625),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8629),
    [sym_preproc_elif_in_statements] = STATE(8629),
    [sym_preproc_elifdef_in_statements] = STATE(8629),
    [sym_preproc_else_in_procedure_statements] = STATE(8825),
    [sym_preproc_elif_in_procedure_statements] = STATE(8825),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8825),
    [sym_internal_procedures] = STATE(5955),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [231] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8704),
    [sym_preproc_elif_in_specification_part] = STATE(8704),
    [sym_preproc_elifdef_in_specification_part] = STATE(8704),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8669),
    [sym_preproc_elif_in_statements] = STATE(8669),
    [sym_preproc_elifdef_in_statements] = STATE(8669),
    [sym_preproc_else_in_procedure_statements] = STATE(8360),
    [sym_preproc_elif_in_procedure_statements] = STATE(8360),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8360),
    [sym_internal_procedures] = STATE(5910),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(739),
    [aux_sym_preproc_elif_token1] = ACTIONS(741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(743),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [232] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8883),
    [sym_preproc_elif_in_statements] = STATE(8883),
    [sym_preproc_elifdef_in_statements] = STATE(8883),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5899),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [233] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5902),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [234] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8631),
    [sym_preproc_elif_in_statements] = STATE(8631),
    [sym_preproc_elifdef_in_statements] = STATE(8631),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5936),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [235] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8695),
    [sym_preproc_elif_in_specification_part] = STATE(8695),
    [sym_preproc_elifdef_in_specification_part] = STATE(8695),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8700),
    [sym_preproc_elif_in_statements] = STATE(8700),
    [sym_preproc_elifdef_in_statements] = STATE(8700),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5916),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [236] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8708),
    [sym_preproc_elif_in_statements] = STATE(8708),
    [sym_preproc_elifdef_in_statements] = STATE(8708),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5894),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [237] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8113),
    [sym_preproc_elif_in_statements] = STATE(8113),
    [sym_preproc_elifdef_in_statements] = STATE(8113),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5905),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [238] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8424),
    [sym_preproc_elif_in_statements] = STATE(8424),
    [sym_preproc_elifdef_in_statements] = STATE(8424),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5917),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [239] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8251),
    [sym_preproc_elif_in_specification_part] = STATE(8251),
    [sym_preproc_elifdef_in_specification_part] = STATE(8251),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8307),
    [sym_preproc_elif_in_statements] = STATE(8307),
    [sym_preproc_elifdef_in_statements] = STATE(8307),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5909),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [240] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8929),
    [sym_preproc_elif_in_statements] = STATE(8929),
    [sym_preproc_elifdef_in_statements] = STATE(8929),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5901),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [241] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8150),
    [sym_preproc_elif_in_statements] = STATE(8150),
    [sym_preproc_elifdef_in_statements] = STATE(8150),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5932),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [242] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8173),
    [sym_preproc_elif_in_statements] = STATE(8173),
    [sym_preproc_elifdef_in_statements] = STATE(8173),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5934),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [243] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5886),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [244] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5943),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [245] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8179),
    [sym_preproc_elif_in_statements] = STATE(8179),
    [sym_preproc_elifdef_in_statements] = STATE(8179),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5938),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [246] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8197),
    [sym_preproc_elif_in_statements] = STATE(8197),
    [sym_preproc_elifdef_in_statements] = STATE(8197),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5945),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [247] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_else_in_specification_part] = STATE(8625),
    [sym_preproc_elif_in_specification_part] = STATE(8625),
    [sym_preproc_elifdef_in_specification_part] = STATE(8625),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_else_in_statements] = STATE(8629),
    [sym_preproc_elif_in_statements] = STATE(8629),
    [sym_preproc_elifdef_in_statements] = STATE(8629),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(5898),
    [sym_contains_statement] = STATE(6824),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1717),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1727),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [248] = {
    [sym_preproc_include] = STATE(261),
    [sym_preproc_def] = STATE(261),
    [sym_preproc_function_def] = STATE(261),
    [sym_preproc_call] = STATE(261),
    [sym_preproc_if_in_statements] = STATE(261),
    [sym_preproc_ifdef_in_statements] = STATE(261),
    [sym_preproc_else_in_statements] = STATE(8283),
    [sym_preproc_elif_in_statements] = STATE(8283),
    [sym_preproc_elifdef_in_statements] = STATE(8283),
    [sym_preproc_else_in_procedure_statements] = STATE(9048),
    [sym_preproc_elif_in_procedure_statements] = STATE(9048),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9048),
    [sym_internal_procedures] = STATE(6010),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(261),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1757),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [249] = {
    [sym_preproc_include] = STATE(256),
    [sym_preproc_def] = STATE(256),
    [sym_preproc_function_def] = STATE(256),
    [sym_preproc_call] = STATE(256),
    [sym_preproc_if_in_statements] = STATE(256),
    [sym_preproc_ifdef_in_statements] = STATE(256),
    [sym_preproc_else_in_statements] = STATE(9046),
    [sym_preproc_elif_in_statements] = STATE(9046),
    [sym_preproc_elifdef_in_statements] = STATE(9046),
    [sym_preproc_else_in_procedure_statements] = STATE(8991),
    [sym_preproc_elif_in_procedure_statements] = STATE(8991),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8991),
    [sym_internal_procedures] = STATE(6021),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(256),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [250] = {
    [sym_preproc_include] = STATE(267),
    [sym_preproc_def] = STATE(267),
    [sym_preproc_function_def] = STATE(267),
    [sym_preproc_call] = STATE(267),
    [sym_preproc_if_in_statements] = STATE(267),
    [sym_preproc_ifdef_in_statements] = STATE(267),
    [sym_preproc_else_in_statements] = STATE(8188),
    [sym_preproc_elif_in_statements] = STATE(8188),
    [sym_preproc_elifdef_in_statements] = STATE(8188),
    [sym_preproc_else_in_procedure_statements] = STATE(8291),
    [sym_preproc_elif_in_procedure_statements] = STATE(8291),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8291),
    [sym_internal_procedures] = STATE(6025),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(267),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1769),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [251] = {
    [sym_preproc_include] = STATE(280),
    [sym_preproc_def] = STATE(280),
    [sym_preproc_function_def] = STATE(280),
    [sym_preproc_call] = STATE(280),
    [sym_preproc_if_in_statements] = STATE(280),
    [sym_preproc_ifdef_in_statements] = STATE(280),
    [sym_preproc_else_in_statements] = STATE(8593),
    [sym_preproc_elif_in_statements] = STATE(8593),
    [sym_preproc_elifdef_in_statements] = STATE(8593),
    [sym_preproc_else_in_procedure_statements] = STATE(8602),
    [sym_preproc_elif_in_procedure_statements] = STATE(8602),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8602),
    [sym_internal_procedures] = STATE(6006),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(280),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [252] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8695),
    [sym_preproc_elif_in_specification_part] = STATE(8695),
    [sym_preproc_elifdef_in_specification_part] = STATE(8695),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8700),
    [sym_preproc_elif_in_statements] = STATE(8700),
    [sym_preproc_elifdef_in_statements] = STATE(8700),
    [sym_internal_procedures] = STATE(6037),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [253] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8251),
    [sym_preproc_elif_in_specification_part] = STATE(8251),
    [sym_preproc_elifdef_in_specification_part] = STATE(8251),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8307),
    [sym_preproc_elif_in_statements] = STATE(8307),
    [sym_preproc_elifdef_in_statements] = STATE(8307),
    [sym_internal_procedures] = STATE(6020),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [254] = {
    [sym_preproc_include] = STATE(273),
    [sym_preproc_def] = STATE(273),
    [sym_preproc_function_def] = STATE(273),
    [sym_preproc_call] = STATE(273),
    [sym_preproc_if_in_statements] = STATE(273),
    [sym_preproc_ifdef_in_statements] = STATE(273),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_preproc_else_in_procedure_statements] = STATE(8855),
    [sym_preproc_elif_in_procedure_statements] = STATE(8855),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8855),
    [sym_internal_procedures] = STATE(6051),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(273),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [255] = {
    [sym_preproc_include] = STATE(281),
    [sym_preproc_def] = STATE(281),
    [sym_preproc_function_def] = STATE(281),
    [sym_preproc_call] = STATE(281),
    [sym_preproc_if_in_statements] = STATE(281),
    [sym_preproc_ifdef_in_statements] = STATE(281),
    [sym_preproc_else_in_statements] = STATE(8731),
    [sym_preproc_elif_in_statements] = STATE(8731),
    [sym_preproc_elifdef_in_statements] = STATE(8731),
    [sym_preproc_else_in_procedure_statements] = STATE(8194),
    [sym_preproc_elif_in_procedure_statements] = STATE(8194),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8194),
    [sym_internal_procedures] = STATE(6042),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(281),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [256] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9058),
    [sym_preproc_elif_in_statements] = STATE(9058),
    [sym_preproc_elifdef_in_statements] = STATE(9058),
    [sym_preproc_else_in_procedure_statements] = STATE(9065),
    [sym_preproc_elif_in_procedure_statements] = STATE(9065),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9065),
    [sym_internal_procedures] = STATE(6030),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [257] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8631),
    [sym_preproc_elif_in_statements] = STATE(8631),
    [sym_preproc_elifdef_in_statements] = STATE(8631),
    [sym_internal_procedures] = STATE(6053),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [258] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8744),
    [sym_preproc_elif_in_statements] = STATE(8744),
    [sym_preproc_elifdef_in_statements] = STATE(8744),
    [sym_preproc_else_in_procedure_statements] = STATE(8355),
    [sym_preproc_elif_in_procedure_statements] = STATE(8355),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8355),
    [sym_internal_procedures] = STATE(6003),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [259] = {
    [sym_preproc_include] = STATE(263),
    [sym_preproc_def] = STATE(263),
    [sym_preproc_function_def] = STATE(263),
    [sym_preproc_call] = STATE(263),
    [sym_preproc_if_in_statements] = STATE(263),
    [sym_preproc_ifdef_in_statements] = STATE(263),
    [sym_preproc_else_in_statements] = STATE(8335),
    [sym_preproc_elif_in_statements] = STATE(8335),
    [sym_preproc_elifdef_in_statements] = STATE(8335),
    [sym_preproc_else_in_procedure_statements] = STATE(8169),
    [sym_preproc_elif_in_procedure_statements] = STATE(8169),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8169),
    [sym_internal_procedures] = STATE(6031),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(263),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [260] = {
    [sym_preproc_include] = STATE(265),
    [sym_preproc_def] = STATE(265),
    [sym_preproc_function_def] = STATE(265),
    [sym_preproc_call] = STATE(265),
    [sym_preproc_if_in_statements] = STATE(265),
    [sym_preproc_ifdef_in_statements] = STATE(265),
    [sym_preproc_else_in_statements] = STATE(8339),
    [sym_preproc_elif_in_statements] = STATE(8339),
    [sym_preproc_elifdef_in_statements] = STATE(8339),
    [sym_preproc_else_in_procedure_statements] = STATE(8182),
    [sym_preproc_elif_in_procedure_statements] = STATE(8182),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8182),
    [sym_internal_procedures] = STATE(6036),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(265),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [261] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8339),
    [sym_preproc_elif_in_statements] = STATE(8339),
    [sym_preproc_elifdef_in_statements] = STATE(8339),
    [sym_preproc_else_in_procedure_statements] = STATE(8182),
    [sym_preproc_elif_in_procedure_statements] = STATE(8182),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8182),
    [sym_internal_procedures] = STATE(6036),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [262] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8537),
    [sym_preproc_elif_in_procedure_statements] = STATE(8537),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8537),
    [sym_internal_procedures] = STATE(6032),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [263] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8383),
    [sym_preproc_elif_in_statements] = STATE(8383),
    [sym_preproc_elifdef_in_statements] = STATE(8383),
    [sym_preproc_else_in_procedure_statements] = STATE(8368),
    [sym_preproc_elif_in_procedure_statements] = STATE(8368),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8368),
    [sym_internal_procedures] = STATE(6038),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [264] = {
    [sym_preproc_include] = STATE(266),
    [sym_preproc_def] = STATE(266),
    [sym_preproc_function_def] = STATE(266),
    [sym_preproc_call] = STATE(266),
    [sym_preproc_if_in_statements] = STATE(266),
    [sym_preproc_ifdef_in_statements] = STATE(266),
    [sym_preproc_else_in_statements] = STATE(8383),
    [sym_preproc_elif_in_statements] = STATE(8383),
    [sym_preproc_elifdef_in_statements] = STATE(8383),
    [sym_preproc_else_in_procedure_statements] = STATE(8368),
    [sym_preproc_elif_in_procedure_statements] = STATE(8368),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8368),
    [sym_internal_procedures] = STATE(6038),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(266),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1801),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [265] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8387),
    [sym_preproc_elif_in_statements] = STATE(8387),
    [sym_preproc_elifdef_in_statements] = STATE(8387),
    [sym_preproc_else_in_procedure_statements] = STATE(8392),
    [sym_preproc_elif_in_procedure_statements] = STATE(8392),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8392),
    [sym_internal_procedures] = STATE(6047),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [266] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8455),
    [sym_preproc_elif_in_statements] = STATE(8455),
    [sym_preproc_elifdef_in_statements] = STATE(8455),
    [sym_preproc_else_in_procedure_statements] = STATE(8503),
    [sym_preproc_elif_in_procedure_statements] = STATE(8503),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8503),
    [sym_internal_procedures] = STATE(5997),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [267] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_preproc_else_in_procedure_statements] = STATE(8855),
    [sym_preproc_elif_in_procedure_statements] = STATE(8855),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8855),
    [sym_internal_procedures] = STATE(6051),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [268] = {
    [sym_preproc_include] = STATE(271),
    [sym_preproc_def] = STATE(271),
    [sym_preproc_function_def] = STATE(271),
    [sym_preproc_call] = STATE(271),
    [sym_preproc_if_in_statements] = STATE(271),
    [sym_preproc_ifdef_in_statements] = STATE(271),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8537),
    [sym_preproc_elif_in_procedure_statements] = STATE(8537),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8537),
    [sym_internal_procedures] = STATE(6032),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(271),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1807),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [269] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8307),
    [sym_preproc_elif_in_statements] = STATE(8307),
    [sym_preproc_elifdef_in_statements] = STATE(8307),
    [sym_preproc_else_in_procedure_statements] = STATE(8212),
    [sym_preproc_elif_in_procedure_statements] = STATE(8212),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8212),
    [sym_internal_procedures] = STATE(6011),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [270] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9078),
    [sym_preproc_elif_in_statements] = STATE(9078),
    [sym_preproc_elifdef_in_statements] = STATE(9078),
    [sym_preproc_else_in_procedure_statements] = STATE(8678),
    [sym_preproc_elif_in_procedure_statements] = STATE(8678),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8678),
    [sym_internal_procedures] = STATE(6033),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [271] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8085),
    [sym_preproc_elif_in_statements] = STATE(8085),
    [sym_preproc_elifdef_in_statements] = STATE(8085),
    [sym_preproc_else_in_procedure_statements] = STATE(8551),
    [sym_preproc_elif_in_procedure_statements] = STATE(8551),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8551),
    [sym_internal_procedures] = STATE(6034),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [272] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_internal_procedures] = STATE(6009),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [273] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8700),
    [sym_preproc_elif_in_statements] = STATE(8700),
    [sym_preproc_elifdef_in_statements] = STATE(8700),
    [sym_preproc_else_in_procedure_statements] = STATE(8217),
    [sym_preproc_elif_in_procedure_statements] = STATE(8217),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8217),
    [sym_internal_procedures] = STATE(6008),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [274] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8625),
    [sym_preproc_elif_in_specification_part] = STATE(8625),
    [sym_preproc_elifdef_in_specification_part] = STATE(8625),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8629),
    [sym_preproc_elif_in_statements] = STATE(8629),
    [sym_preproc_elifdef_in_statements] = STATE(8629),
    [sym_internal_procedures] = STATE(6018),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [275] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_internal_procedures] = STATE(6046),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [276] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8424),
    [sym_preproc_elif_in_statements] = STATE(8424),
    [sym_preproc_elifdef_in_statements] = STATE(8424),
    [sym_internal_procedures] = STATE(6048),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [277] = {
    [sym_preproc_include] = STATE(284),
    [sym_preproc_def] = STATE(284),
    [sym_preproc_function_def] = STATE(284),
    [sym_preproc_call] = STATE(284),
    [sym_preproc_if_in_statements] = STATE(284),
    [sym_preproc_ifdef_in_statements] = STATE(284),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_preproc_else_in_procedure_statements] = STATE(8630),
    [sym_preproc_elif_in_procedure_statements] = STATE(8630),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8630),
    [sym_internal_procedures] = STATE(6000),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(284),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1819),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [278] = {
    [sym_preproc_include] = STATE(258),
    [sym_preproc_def] = STATE(258),
    [sym_preproc_function_def] = STATE(258),
    [sym_preproc_call] = STATE(258),
    [sym_preproc_if_in_statements] = STATE(258),
    [sym_preproc_ifdef_in_statements] = STATE(258),
    [sym_preproc_else_in_statements] = STATE(8669),
    [sym_preproc_elif_in_statements] = STATE(8669),
    [sym_preproc_elifdef_in_statements] = STATE(8669),
    [sym_preproc_else_in_procedure_statements] = STATE(8360),
    [sym_preproc_elif_in_procedure_statements] = STATE(8360),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8360),
    [sym_internal_procedures] = STATE(6015),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(258),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1823),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [279] = {
    [sym_preproc_include] = STATE(285),
    [sym_preproc_def] = STATE(285),
    [sym_preproc_function_def] = STATE(285),
    [sym_preproc_call] = STATE(285),
    [sym_preproc_if_in_statements] = STATE(285),
    [sym_preproc_ifdef_in_statements] = STATE(285),
    [sym_preproc_else_in_statements] = STATE(8738),
    [sym_preproc_elif_in_statements] = STATE(8738),
    [sym_preproc_elifdef_in_statements] = STATE(8738),
    [sym_preproc_else_in_procedure_statements] = STATE(9015),
    [sym_preproc_elif_in_procedure_statements] = STATE(9015),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9015),
    [sym_internal_procedures] = STATE(6052),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(285),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1827),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [280] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8669),
    [sym_preproc_elif_in_statements] = STATE(8669),
    [sym_preproc_elifdef_in_statements] = STATE(8669),
    [sym_preproc_else_in_procedure_statements] = STATE(8360),
    [sym_preproc_elif_in_procedure_statements] = STATE(8360),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8360),
    [sym_internal_procedures] = STATE(6015),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [281] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8629),
    [sym_preproc_elif_in_statements] = STATE(8629),
    [sym_preproc_elifdef_in_statements] = STATE(8629),
    [sym_preproc_else_in_procedure_statements] = STATE(8825),
    [sym_preproc_elif_in_procedure_statements] = STATE(8825),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8825),
    [sym_internal_procedures] = STATE(6044),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [282] = {
    [sym_preproc_include] = STATE(262),
    [sym_preproc_def] = STATE(262),
    [sym_preproc_function_def] = STATE(262),
    [sym_preproc_call] = STATE(262),
    [sym_preproc_if_in_statements] = STATE(262),
    [sym_preproc_ifdef_in_statements] = STATE(262),
    [sym_preproc_else_in_statements] = STATE(9056),
    [sym_preproc_elif_in_statements] = STATE(9056),
    [sym_preproc_elifdef_in_statements] = STATE(9056),
    [sym_preproc_else_in_procedure_statements] = STATE(9057),
    [sym_preproc_elif_in_procedure_statements] = STATE(9057),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9057),
    [sym_internal_procedures] = STATE(6029),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(262),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [283] = {
    [sym_preproc_include] = STATE(270),
    [sym_preproc_def] = STATE(270),
    [sym_preproc_function_def] = STATE(270),
    [sym_preproc_call] = STATE(270),
    [sym_preproc_if_in_statements] = STATE(270),
    [sym_preproc_ifdef_in_statements] = STATE(270),
    [sym_preproc_else_in_statements] = STATE(9058),
    [sym_preproc_elif_in_statements] = STATE(9058),
    [sym_preproc_elifdef_in_statements] = STATE(9058),
    [sym_preproc_else_in_procedure_statements] = STATE(9065),
    [sym_preproc_elif_in_procedure_statements] = STATE(9065),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9065),
    [sym_internal_procedures] = STATE(6030),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(270),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1835),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [284] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8738),
    [sym_preproc_elif_in_statements] = STATE(8738),
    [sym_preproc_elifdef_in_statements] = STATE(8738),
    [sym_preproc_else_in_procedure_statements] = STATE(9015),
    [sym_preproc_elif_in_procedure_statements] = STATE(9015),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9015),
    [sym_internal_procedures] = STATE(6052),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [285] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8829),
    [sym_preproc_elif_in_statements] = STATE(8829),
    [sym_preproc_elifdef_in_statements] = STATE(8829),
    [sym_preproc_else_in_procedure_statements] = STATE(8784),
    [sym_preproc_elif_in_procedure_statements] = STATE(8784),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8784),
    [sym_internal_procedures] = STATE(6049),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [286] = {
    [sym_preproc_include] = STATE(269),
    [sym_preproc_def] = STATE(269),
    [sym_preproc_function_def] = STATE(269),
    [sym_preproc_call] = STATE(269),
    [sym_preproc_if_in_statements] = STATE(269),
    [sym_preproc_ifdef_in_statements] = STATE(269),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_preproc_else_in_procedure_statements] = STATE(8821),
    [sym_preproc_elif_in_procedure_statements] = STATE(8821),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8821),
    [sym_internal_procedures] = STATE(6050),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(269),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [287] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_internal_procedures] = STATE(6005),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(833),
    [aux_sym_preproc_elif_token1] = ACTIONS(835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(837),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [288] = {
    [sym_preproc_include] = STATE(370),
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym_preproc_if_in_statements] = STATE(370),
    [sym_preproc_ifdef_in_statements] = STATE(370),
    [sym_preproc_else_in_statements] = STATE(8670),
    [sym_preproc_elif_in_statements] = STATE(8670),
    [sym_preproc_elifdef_in_statements] = STATE(8670),
    [sym_internal_procedures] = STATE(6221),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(370),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [289] = {
    [sym_preproc_include] = STATE(377),
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym_preproc_if_in_statements] = STATE(377),
    [sym_preproc_ifdef_in_statements] = STATE(377),
    [sym_preproc_else_in_statements] = STATE(8363),
    [sym_preproc_elif_in_statements] = STATE(8363),
    [sym_preproc_elifdef_in_statements] = STATE(8363),
    [sym_internal_procedures] = STATE(6130),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(377),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1859),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [290] = {
    [sym_preproc_include] = STATE(389),
    [sym_preproc_def] = STATE(389),
    [sym_preproc_function_def] = STATE(389),
    [sym_preproc_call] = STATE(389),
    [sym_preproc_if_in_statements] = STATE(389),
    [sym_preproc_ifdef_in_statements] = STATE(389),
    [sym_preproc_else_in_statements] = STATE(8367),
    [sym_preproc_elif_in_statements] = STATE(8367),
    [sym_preproc_elifdef_in_statements] = STATE(8367),
    [sym_internal_procedures] = STATE(6243),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(389),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [291] = {
    [sym_preproc_include] = STATE(478),
    [sym_preproc_def] = STATE(478),
    [sym_preproc_function_def] = STATE(478),
    [sym_preproc_call] = STATE(478),
    [sym_preproc_if_in_statements] = STATE(478),
    [sym_preproc_ifdef_in_statements] = STATE(478),
    [sym_preproc_else_in_statements] = STATE(8569),
    [sym_preproc_elif_in_statements] = STATE(8569),
    [sym_preproc_elifdef_in_statements] = STATE(8569),
    [sym_internal_procedures] = STATE(6294),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(478),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1871),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [292] = {
    [sym_preproc_include] = STATE(403),
    [sym_preproc_def] = STATE(403),
    [sym_preproc_function_def] = STATE(403),
    [sym_preproc_call] = STATE(403),
    [sym_preproc_if_in_statements] = STATE(403),
    [sym_preproc_ifdef_in_statements] = STATE(403),
    [sym_preproc_else_in_statements] = STATE(8720),
    [sym_preproc_elif_in_statements] = STATE(8720),
    [sym_preproc_elifdef_in_statements] = STATE(8720),
    [sym_internal_procedures] = STATE(6105),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(403),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1877),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [293] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_preproc_if_in_statements] = STATE(419),
    [sym_preproc_ifdef_in_statements] = STATE(419),
    [sym_preproc_else_in_statements] = STATE(8828),
    [sym_preproc_elif_in_statements] = STATE(8828),
    [sym_preproc_elifdef_in_statements] = STATE(8828),
    [sym_internal_procedures] = STATE(6132),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1881),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1883),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [294] = {
    [sym_preproc_include] = STATE(354),
    [sym_preproc_def] = STATE(354),
    [sym_preproc_function_def] = STATE(354),
    [sym_preproc_call] = STATE(354),
    [sym_preproc_if_in_statements] = STATE(354),
    [sym_preproc_ifdef_in_statements] = STATE(354),
    [sym_preproc_else_in_statements] = STATE(8993),
    [sym_preproc_elif_in_statements] = STATE(8993),
    [sym_preproc_elifdef_in_statements] = STATE(8993),
    [sym_internal_procedures] = STATE(6288),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(354),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1889),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [295] = {
    [sym_preproc_include] = STATE(337),
    [sym_preproc_def] = STATE(337),
    [sym_preproc_function_def] = STATE(337),
    [sym_preproc_call] = STATE(337),
    [sym_preproc_if_in_statements] = STATE(337),
    [sym_preproc_ifdef_in_statements] = STATE(337),
    [sym_preproc_else_in_statements] = STATE(8895),
    [sym_preproc_elif_in_statements] = STATE(8895),
    [sym_preproc_elifdef_in_statements] = STATE(8895),
    [sym_internal_procedures] = STATE(6238),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(337),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1893),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1895),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [296] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_if_in_statements] = STATE(347),
    [sym_preproc_ifdef_in_statements] = STATE(347),
    [sym_preproc_else_in_statements] = STATE(8188),
    [sym_preproc_elif_in_statements] = STATE(8188),
    [sym_preproc_elifdef_in_statements] = STATE(8188),
    [sym_internal_procedures] = STATE(6207),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1901),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [297] = {
    [sym_preproc_include] = STATE(360),
    [sym_preproc_def] = STATE(360),
    [sym_preproc_function_def] = STATE(360),
    [sym_preproc_call] = STATE(360),
    [sym_preproc_if_in_statements] = STATE(360),
    [sym_preproc_ifdef_in_statements] = STATE(360),
    [sym_preproc_else_in_statements] = STATE(8689),
    [sym_preproc_elif_in_statements] = STATE(8689),
    [sym_preproc_elifdef_in_statements] = STATE(8689),
    [sym_internal_procedures] = STATE(6296),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(360),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1907),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [298] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym_preproc_if_in_statements] = STATE(426),
    [sym_preproc_ifdef_in_statements] = STATE(426),
    [sym_preproc_else_in_statements] = STATE(8945),
    [sym_preproc_elif_in_statements] = STATE(8945),
    [sym_preproc_elifdef_in_statements] = STATE(8945),
    [sym_internal_procedures] = STATE(6143),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1913),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [299] = {
    [sym_preproc_include] = STATE(323),
    [sym_preproc_def] = STATE(323),
    [sym_preproc_function_def] = STATE(323),
    [sym_preproc_call] = STATE(323),
    [sym_preproc_if_in_statements] = STATE(323),
    [sym_preproc_ifdef_in_statements] = STATE(323),
    [sym_preproc_else_in_statements] = STATE(8799),
    [sym_preproc_elif_in_statements] = STATE(8799),
    [sym_preproc_elifdef_in_statements] = STATE(8799),
    [sym_internal_procedures] = STATE(6208),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(323),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1919),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [300] = {
    [sym_preproc_include] = STATE(411),
    [sym_preproc_def] = STATE(411),
    [sym_preproc_function_def] = STATE(411),
    [sym_preproc_call] = STATE(411),
    [sym_preproc_if_in_statements] = STATE(411),
    [sym_preproc_ifdef_in_statements] = STATE(411),
    [sym_preproc_else_in_statements] = STATE(8118),
    [sym_preproc_elif_in_statements] = STATE(8118),
    [sym_preproc_elifdef_in_statements] = STATE(8118),
    [sym_internal_procedures] = STATE(6122),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(411),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1923),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1925),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [301] = {
    [sym_preproc_include] = STATE(433),
    [sym_preproc_def] = STATE(433),
    [sym_preproc_function_def] = STATE(433),
    [sym_preproc_call] = STATE(433),
    [sym_preproc_if_in_statements] = STATE(433),
    [sym_preproc_ifdef_in_statements] = STATE(433),
    [sym_preproc_else_in_statements] = STATE(8104),
    [sym_preproc_elif_in_statements] = STATE(8104),
    [sym_preproc_elifdef_in_statements] = STATE(8104),
    [sym_internal_procedures] = STATE(6153),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(433),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1931),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [302] = {
    [sym_preproc_include] = STATE(439),
    [sym_preproc_def] = STATE(439),
    [sym_preproc_function_def] = STATE(439),
    [sym_preproc_call] = STATE(439),
    [sym_preproc_if_in_statements] = STATE(439),
    [sym_preproc_ifdef_in_statements] = STATE(439),
    [sym_preproc_else_in_statements] = STATE(8142),
    [sym_preproc_elif_in_statements] = STATE(8142),
    [sym_preproc_elifdef_in_statements] = STATE(8142),
    [sym_internal_procedures] = STATE(6163),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(439),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1937),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [303] = {
    [sym_preproc_include] = STATE(446),
    [sym_preproc_def] = STATE(446),
    [sym_preproc_function_def] = STATE(446),
    [sym_preproc_call] = STATE(446),
    [sym_preproc_if_in_statements] = STATE(446),
    [sym_preproc_ifdef_in_statements] = STATE(446),
    [sym_preproc_else_in_statements] = STATE(8174),
    [sym_preproc_elif_in_statements] = STATE(8174),
    [sym_preproc_elifdef_in_statements] = STATE(8174),
    [sym_internal_procedures] = STATE(6170),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(446),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1943),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [304] = {
    [sym_preproc_include] = STATE(453),
    [sym_preproc_def] = STATE(453),
    [sym_preproc_function_def] = STATE(453),
    [sym_preproc_call] = STATE(453),
    [sym_preproc_if_in_statements] = STATE(453),
    [sym_preproc_ifdef_in_statements] = STATE(453),
    [sym_preproc_else_in_statements] = STATE(8206),
    [sym_preproc_elif_in_statements] = STATE(8206),
    [sym_preproc_elifdef_in_statements] = STATE(8206),
    [sym_internal_procedures] = STATE(6177),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(453),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1949),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [305] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym_preproc_if_in_statements] = STATE(460),
    [sym_preproc_ifdef_in_statements] = STATE(460),
    [sym_preproc_else_in_statements] = STATE(8236),
    [sym_preproc_elif_in_statements] = STATE(8236),
    [sym_preproc_elifdef_in_statements] = STATE(8236),
    [sym_internal_procedures] = STATE(6185),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1955),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [306] = {
    [sym_preproc_include] = STATE(467),
    [sym_preproc_def] = STATE(467),
    [sym_preproc_function_def] = STATE(467),
    [sym_preproc_call] = STATE(467),
    [sym_preproc_if_in_statements] = STATE(467),
    [sym_preproc_ifdef_in_statements] = STATE(467),
    [sym_preproc_else_in_statements] = STATE(8252),
    [sym_preproc_elif_in_statements] = STATE(8252),
    [sym_preproc_elifdef_in_statements] = STATE(8252),
    [sym_internal_procedures] = STATE(6192),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(467),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1961),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [307] = {
    [sym_preproc_include] = STATE(474),
    [sym_preproc_def] = STATE(474),
    [sym_preproc_function_def] = STATE(474),
    [sym_preproc_call] = STATE(474),
    [sym_preproc_if_in_statements] = STATE(474),
    [sym_preproc_ifdef_in_statements] = STATE(474),
    [sym_preproc_else_in_statements] = STATE(8268),
    [sym_preproc_elif_in_statements] = STATE(8268),
    [sym_preproc_elifdef_in_statements] = STATE(8268),
    [sym_internal_procedures] = STATE(6200),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(474),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1967),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [308] = {
    [sym_preproc_include] = STATE(440),
    [sym_preproc_def] = STATE(440),
    [sym_preproc_function_def] = STATE(440),
    [sym_preproc_call] = STATE(440),
    [sym_preproc_if_in_statements] = STATE(440),
    [sym_preproc_ifdef_in_statements] = STATE(440),
    [sym_preproc_else_in_statements] = STATE(8145),
    [sym_preproc_elif_in_statements] = STATE(8145),
    [sym_preproc_elifdef_in_statements] = STATE(8145),
    [sym_internal_procedures] = STATE(6164),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(440),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1971),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [309] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8704),
    [sym_preproc_elif_in_specification_part] = STATE(8704),
    [sym_preproc_elifdef_in_specification_part] = STATE(8704),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [310] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8879),
    [sym_preproc_elif_in_specification_part] = STATE(8879),
    [sym_preproc_elifdef_in_specification_part] = STATE(8879),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6212),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [311] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8888),
    [sym_preproc_elif_in_specification_part] = STATE(8888),
    [sym_preproc_elifdef_in_specification_part] = STATE(8888),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6230),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [312] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8941),
    [sym_preproc_elif_in_specification_part] = STATE(8941),
    [sym_preproc_elifdef_in_specification_part] = STATE(8941),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6239),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [313] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8381),
    [sym_preproc_elif_in_specification_part] = STATE(8381),
    [sym_preproc_elifdef_in_specification_part] = STATE(8381),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6293),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [314] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8552),
    [sym_preproc_elif_in_specification_part] = STATE(8552),
    [sym_preproc_elifdef_in_specification_part] = STATE(8552),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6297),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [315] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_internal_procedures] = STATE(6162),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [316] = {
    [sym_preproc_include] = STATE(340),
    [sym_preproc_def] = STATE(340),
    [sym_preproc_function_def] = STATE(340),
    [sym_preproc_call] = STATE(340),
    [sym_preproc_if_in_statements] = STATE(340),
    [sym_preproc_ifdef_in_statements] = STATE(340),
    [sym_preproc_else_in_statements] = STATE(8872),
    [sym_preproc_elif_in_statements] = STATE(8872),
    [sym_preproc_elifdef_in_statements] = STATE(8872),
    [sym_internal_procedures] = STATE(6162),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(340),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1975),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [317] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8424),
    [sym_preproc_elif_in_statements] = STATE(8424),
    [sym_preproc_elifdef_in_statements] = STATE(8424),
    [sym_internal_procedures] = STATE(6218),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [318] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8416),
    [sym_preproc_elif_in_specification_part] = STATE(8416),
    [sym_preproc_elifdef_in_specification_part] = STATE(8416),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6120),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [319] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8928),
    [sym_preproc_elif_in_specification_part] = STATE(8928),
    [sym_preproc_elifdef_in_specification_part] = STATE(8928),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6217),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [320] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8327),
    [sym_preproc_elif_in_specification_part] = STATE(8327),
    [sym_preproc_elifdef_in_specification_part] = STATE(8327),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6229),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [321] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if_in_statements] = STATE(327),
    [sym_preproc_ifdef_in_statements] = STATE(327),
    [sym_preproc_else_in_statements] = STATE(8878),
    [sym_preproc_elif_in_statements] = STATE(8878),
    [sym_preproc_elifdef_in_statements] = STATE(8878),
    [sym_internal_procedures] = STATE(6271),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(327),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1981),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [322] = {
    [sym_preproc_include] = STATE(329),
    [sym_preproc_def] = STATE(329),
    [sym_preproc_function_def] = STATE(329),
    [sym_preproc_call] = STATE(329),
    [sym_preproc_if_in_statements] = STATE(329),
    [sym_preproc_ifdef_in_statements] = STATE(329),
    [sym_preproc_else_in_statements] = STATE(8889),
    [sym_preproc_elif_in_statements] = STATE(8889),
    [sym_preproc_elifdef_in_statements] = STATE(8889),
    [sym_internal_procedures] = STATE(6274),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(329),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1985),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [323] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8889),
    [sym_preproc_elif_in_statements] = STATE(8889),
    [sym_preproc_elifdef_in_statements] = STATE(8889),
    [sym_internal_procedures] = STATE(6274),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [324] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8304),
    [sym_preproc_elif_in_specification_part] = STATE(8304),
    [sym_preproc_elifdef_in_specification_part] = STATE(8304),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6254),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [325] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8107),
    [sym_preproc_elif_in_specification_part] = STATE(8107),
    [sym_preproc_elifdef_in_specification_part] = STATE(8107),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6280),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [326] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8122),
    [sym_preproc_elif_in_specification_part] = STATE(8122),
    [sym_preproc_elifdef_in_specification_part] = STATE(8122),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6284),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [327] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8942),
    [sym_preproc_elif_in_statements] = STATE(8942),
    [sym_preproc_elifdef_in_statements] = STATE(8942),
    [sym_internal_procedures] = STATE(6103),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [328] = {
    [sym_preproc_include] = STATE(332),
    [sym_preproc_def] = STATE(332),
    [sym_preproc_function_def] = STATE(332),
    [sym_preproc_call] = STATE(332),
    [sym_preproc_if_in_statements] = STATE(332),
    [sym_preproc_ifdef_in_statements] = STATE(332),
    [sym_preproc_else_in_statements] = STATE(8942),
    [sym_preproc_elif_in_statements] = STATE(8942),
    [sym_preproc_elifdef_in_statements] = STATE(8942),
    [sym_internal_procedures] = STATE(6103),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(332),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1993),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [329] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8955),
    [sym_preproc_elif_in_statements] = STATE(8955),
    [sym_preproc_elifdef_in_statements] = STATE(8955),
    [sym_internal_procedures] = STATE(6104),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [330] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8695),
    [sym_preproc_elif_in_specification_part] = STATE(8695),
    [sym_preproc_elifdef_in_specification_part] = STATE(8695),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6115),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [331] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8226),
    [sym_preproc_elif_in_specification_part] = STATE(8226),
    [sym_preproc_elifdef_in_specification_part] = STATE(8226),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6106),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [332] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9036),
    [sym_preproc_elif_in_statements] = STATE(9036),
    [sym_preproc_elifdef_in_statements] = STATE(9036),
    [sym_internal_procedures] = STATE(6118),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(1999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [333] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8692),
    [sym_preproc_elif_in_specification_part] = STATE(8692),
    [sym_preproc_elifdef_in_specification_part] = STATE(8692),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6245),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [334] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8953),
    [sym_preproc_elif_in_specification_part] = STATE(8953),
    [sym_preproc_elifdef_in_specification_part] = STATE(8953),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6240),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [335] = {
    [sym_preproc_include] = STATE(341),
    [sym_preproc_def] = STATE(341),
    [sym_preproc_function_def] = STATE(341),
    [sym_preproc_call] = STATE(341),
    [sym_preproc_if_in_statements] = STATE(341),
    [sym_preproc_ifdef_in_statements] = STATE(341),
    [sym_preproc_else_in_statements] = STATE(8351),
    [sym_preproc_elif_in_statements] = STATE(8351),
    [sym_preproc_elifdef_in_statements] = STATE(8351),
    [sym_internal_procedures] = STATE(6249),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(341),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2003),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [336] = {
    [sym_preproc_include] = STATE(343),
    [sym_preproc_def] = STATE(343),
    [sym_preproc_function_def] = STATE(343),
    [sym_preproc_call] = STATE(343),
    [sym_preproc_if_in_statements] = STATE(343),
    [sym_preproc_ifdef_in_statements] = STATE(343),
    [sym_preproc_else_in_statements] = STATE(8389),
    [sym_preproc_elif_in_statements] = STATE(8389),
    [sym_preproc_elifdef_in_statements] = STATE(8389),
    [sym_internal_procedures] = STATE(6250),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(343),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2007),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [337] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8389),
    [sym_preproc_elif_in_statements] = STATE(8389),
    [sym_preproc_elifdef_in_statements] = STATE(8389),
    [sym_internal_procedures] = STATE(6250),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [338] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(9034),
    [sym_preproc_elif_in_specification_part] = STATE(9034),
    [sym_preproc_elifdef_in_specification_part] = STATE(9034),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6253),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [339] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(9043),
    [sym_preproc_elif_in_specification_part] = STATE(9043),
    [sym_preproc_elifdef_in_specification_part] = STATE(9043),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6255),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [340] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8631),
    [sym_preproc_elif_in_statements] = STATE(8631),
    [sym_preproc_elifdef_in_statements] = STATE(8631),
    [sym_internal_procedures] = STATE(6099),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [341] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_internal_procedures] = STATE(6264),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [342] = {
    [sym_preproc_include] = STATE(350),
    [sym_preproc_def] = STATE(350),
    [sym_preproc_function_def] = STATE(350),
    [sym_preproc_call] = STATE(350),
    [sym_preproc_if_in_statements] = STATE(350),
    [sym_preproc_ifdef_in_statements] = STATE(350),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_internal_procedures] = STATE(6264),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(350),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2015),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [343] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8583),
    [sym_preproc_elif_in_statements] = STATE(8583),
    [sym_preproc_elifdef_in_statements] = STATE(8583),
    [sym_internal_procedures] = STATE(6267),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [344] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8782),
    [sym_preproc_elif_in_specification_part] = STATE(8782),
    [sym_preproc_elifdef_in_specification_part] = STATE(8782),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6269),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [345] = {
    [sym_preproc_include] = STATE(383),
    [sym_preproc_def] = STATE(383),
    [sym_preproc_function_def] = STATE(383),
    [sym_preproc_call] = STATE(383),
    [sym_preproc_if_in_statements] = STATE(383),
    [sym_preproc_ifdef_in_statements] = STATE(383),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_internal_procedures] = STATE(6116),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(383),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2023),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [346] = {
    [sym_preproc_include] = STATE(384),
    [sym_preproc_def] = STATE(384),
    [sym_preproc_function_def] = STATE(384),
    [sym_preproc_call] = STATE(384),
    [sym_preproc_if_in_statements] = STATE(384),
    [sym_preproc_ifdef_in_statements] = STATE(384),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_internal_procedures] = STATE(6117),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(384),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2027),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [347] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8696),
    [sym_preproc_elif_in_statements] = STATE(8696),
    [sym_preproc_elifdef_in_statements] = STATE(8696),
    [sym_internal_procedures] = STATE(6117),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [348] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8862),
    [sym_preproc_elif_in_specification_part] = STATE(8862),
    [sym_preproc_elifdef_in_specification_part] = STATE(8862),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6215),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [349] = {
    [sym_preproc_include] = STATE(315),
    [sym_preproc_def] = STATE(315),
    [sym_preproc_function_def] = STATE(315),
    [sym_preproc_call] = STATE(315),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_preproc_else_in_statements] = STATE(8301),
    [sym_preproc_elif_in_statements] = STATE(8301),
    [sym_preproc_elifdef_in_statements] = STATE(8301),
    [sym_internal_procedures] = STATE(6211),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(315),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2031),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [350] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8781),
    [sym_preproc_elif_in_statements] = STATE(8781),
    [sym_preproc_elifdef_in_statements] = STATE(8781),
    [sym_internal_procedures] = STATE(6279),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [351] = {
    [sym_preproc_include] = STATE(317),
    [sym_preproc_def] = STATE(317),
    [sym_preproc_function_def] = STATE(317),
    [sym_preproc_call] = STATE(317),
    [sym_preproc_if_in_statements] = STATE(317),
    [sym_preproc_ifdef_in_statements] = STATE(317),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_internal_procedures] = STATE(6213),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(317),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2035),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2037),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [352] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8671),
    [sym_preproc_elif_in_specification_part] = STATE(8671),
    [sym_preproc_elifdef_in_specification_part] = STATE(8671),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6225),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [353] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8709),
    [sym_preproc_elif_in_specification_part] = STATE(8709),
    [sym_preproc_elifdef_in_specification_part] = STATE(8709),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6227),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [354] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8371),
    [sym_preproc_elif_in_statements] = STATE(8371),
    [sym_preproc_elifdef_in_statements] = STATE(8371),
    [sym_internal_procedures] = STATE(6213),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2035),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [355] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8623),
    [sym_preproc_elif_in_specification_part] = STATE(8623),
    [sym_preproc_elifdef_in_specification_part] = STATE(8623),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6235),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [356] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8251),
    [sym_preproc_elif_in_specification_part] = STATE(8251),
    [sym_preproc_elifdef_in_specification_part] = STATE(8251),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6287),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [357] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8582),
    [sym_preproc_elif_in_specification_part] = STATE(8582),
    [sym_preproc_elifdef_in_specification_part] = STATE(8582),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6298),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [358] = {
    [sym_preproc_include] = STATE(363),
    [sym_preproc_def] = STATE(363),
    [sym_preproc_function_def] = STATE(363),
    [sym_preproc_call] = STATE(363),
    [sym_preproc_if_in_statements] = STATE(363),
    [sym_preproc_ifdef_in_statements] = STATE(363),
    [sym_preproc_else_in_statements] = STATE(8818),
    [sym_preproc_elif_in_statements] = STATE(8818),
    [sym_preproc_elifdef_in_statements] = STATE(8818),
    [sym_internal_procedures] = STATE(6307),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(363),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2045),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [359] = {
    [sym_preproc_include] = STATE(365),
    [sym_preproc_def] = STATE(365),
    [sym_preproc_function_def] = STATE(365),
    [sym_preproc_call] = STATE(365),
    [sym_preproc_if_in_statements] = STATE(365),
    [sym_preproc_ifdef_in_statements] = STATE(365),
    [sym_preproc_else_in_statements] = STATE(8836),
    [sym_preproc_elif_in_statements] = STATE(8836),
    [sym_preproc_elifdef_in_statements] = STATE(8836),
    [sym_internal_procedures] = STATE(6308),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(365),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2049),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [360] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8836),
    [sym_preproc_elif_in_statements] = STATE(8836),
    [sym_preproc_elifdef_in_statements] = STATE(8836),
    [sym_internal_procedures] = STATE(6308),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [361] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8777),
    [sym_preproc_elif_in_specification_part] = STATE(8777),
    [sym_preproc_elifdef_in_specification_part] = STATE(8777),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6309),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [362] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8783),
    [sym_preproc_elif_in_specification_part] = STATE(8783),
    [sym_preproc_elifdef_in_specification_part] = STATE(8783),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6311),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [363] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8970),
    [sym_preproc_elif_in_statements] = STATE(8970),
    [sym_preproc_elifdef_in_statements] = STATE(8970),
    [sym_internal_procedures] = STATE(6314),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [364] = {
    [sym_preproc_include] = STATE(367),
    [sym_preproc_def] = STATE(367),
    [sym_preproc_function_def] = STATE(367),
    [sym_preproc_call] = STATE(367),
    [sym_preproc_if_in_statements] = STATE(367),
    [sym_preproc_ifdef_in_statements] = STATE(367),
    [sym_preproc_else_in_statements] = STATE(8970),
    [sym_preproc_elif_in_statements] = STATE(8970),
    [sym_preproc_elifdef_in_statements] = STATE(8970),
    [sym_internal_procedures] = STATE(6314),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(367),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2055),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [365] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8976),
    [sym_preproc_elif_in_statements] = STATE(8976),
    [sym_preproc_elifdef_in_statements] = STATE(8976),
    [sym_internal_procedures] = STATE(6315),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [366] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8092),
    [sym_preproc_elif_in_specification_part] = STATE(8092),
    [sym_preproc_elifdef_in_specification_part] = STATE(8092),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6317),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [367] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8109),
    [sym_preproc_elif_in_statements] = STATE(8109),
    [sym_preproc_elifdef_in_statements] = STATE(8109),
    [sym_internal_procedures] = STATE(6318),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [368] = {
    [sym_preproc_include] = STATE(371),
    [sym_preproc_def] = STATE(371),
    [sym_preproc_function_def] = STATE(371),
    [sym_preproc_call] = STATE(371),
    [sym_preproc_if_in_statements] = STATE(371),
    [sym_preproc_ifdef_in_statements] = STATE(371),
    [sym_preproc_else_in_statements] = STATE(8717),
    [sym_preproc_elif_in_statements] = STATE(8717),
    [sym_preproc_elifdef_in_statements] = STATE(8717),
    [sym_internal_procedures] = STATE(6282),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(371),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2065),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [369] = {
    [sym_preproc_include] = STATE(373),
    [sym_preproc_def] = STATE(373),
    [sym_preproc_function_def] = STATE(373),
    [sym_preproc_call] = STATE(373),
    [sym_preproc_if_in_statements] = STATE(373),
    [sym_preproc_ifdef_in_statements] = STATE(373),
    [sym_preproc_else_in_statements] = STATE(8722),
    [sym_preproc_elif_in_statements] = STATE(8722),
    [sym_preproc_elifdef_in_statements] = STATE(8722),
    [sym_internal_procedures] = STATE(6283),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(373),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2067),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2069),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [370] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8722),
    [sym_preproc_elif_in_statements] = STATE(8722),
    [sym_preproc_elifdef_in_statements] = STATE(8722),
    [sym_internal_procedures] = STATE(6283),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2067),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [371] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8745),
    [sym_preproc_elif_in_statements] = STATE(8745),
    [sym_preproc_elifdef_in_statements] = STATE(8745),
    [sym_internal_procedures] = STATE(6295),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [372] = {
    [sym_preproc_include] = STATE(374),
    [sym_preproc_def] = STATE(374),
    [sym_preproc_function_def] = STATE(374),
    [sym_preproc_call] = STATE(374),
    [sym_preproc_if_in_statements] = STATE(374),
    [sym_preproc_ifdef_in_statements] = STATE(374),
    [sym_preproc_else_in_statements] = STATE(8745),
    [sym_preproc_elif_in_statements] = STATE(8745),
    [sym_preproc_elifdef_in_statements] = STATE(8745),
    [sym_internal_procedures] = STATE(6295),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(374),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2073),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [373] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8746),
    [sym_preproc_elif_in_statements] = STATE(8746),
    [sym_preproc_elifdef_in_statements] = STATE(8746),
    [sym_internal_procedures] = STATE(6299),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [374] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8803),
    [sym_preproc_elif_in_statements] = STATE(8803),
    [sym_preproc_elifdef_in_statements] = STATE(8803),
    [sym_internal_procedures] = STATE(6303),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [375] = {
    [sym_preproc_include] = STATE(378),
    [sym_preproc_def] = STATE(378),
    [sym_preproc_function_def] = STATE(378),
    [sym_preproc_call] = STATE(378),
    [sym_preproc_if_in_statements] = STATE(378),
    [sym_preproc_ifdef_in_statements] = STATE(378),
    [sym_preproc_else_in_statements] = STATE(8397),
    [sym_preproc_elif_in_statements] = STATE(8397),
    [sym_preproc_elifdef_in_statements] = STATE(8397),
    [sym_internal_procedures] = STATE(6140),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(378),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2081),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [376] = {
    [sym_preproc_include] = STATE(380),
    [sym_preproc_def] = STATE(380),
    [sym_preproc_function_def] = STATE(380),
    [sym_preproc_call] = STATE(380),
    [sym_preproc_if_in_statements] = STATE(380),
    [sym_preproc_ifdef_in_statements] = STATE(380),
    [sym_preproc_else_in_statements] = STATE(8399),
    [sym_preproc_elif_in_statements] = STATE(8399),
    [sym_preproc_elifdef_in_statements] = STATE(8399),
    [sym_internal_procedures] = STATE(6150),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(380),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2083),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2085),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [377] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8399),
    [sym_preproc_elif_in_statements] = STATE(8399),
    [sym_preproc_elifdef_in_statements] = STATE(8399),
    [sym_internal_procedures] = STATE(6150),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2083),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [378] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8415),
    [sym_preproc_elif_in_statements] = STATE(8415),
    [sym_preproc_elifdef_in_statements] = STATE(8415),
    [sym_internal_procedures] = STATE(6169),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [379] = {
    [sym_preproc_include] = STATE(381),
    [sym_preproc_def] = STATE(381),
    [sym_preproc_function_def] = STATE(381),
    [sym_preproc_call] = STATE(381),
    [sym_preproc_if_in_statements] = STATE(381),
    [sym_preproc_ifdef_in_statements] = STATE(381),
    [sym_preproc_else_in_statements] = STATE(8415),
    [sym_preproc_elif_in_statements] = STATE(8415),
    [sym_preproc_elifdef_in_statements] = STATE(8415),
    [sym_internal_procedures] = STATE(6169),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(381),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2089),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [380] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8419),
    [sym_preproc_elif_in_statements] = STATE(8419),
    [sym_preproc_elifdef_in_statements] = STATE(8419),
    [sym_internal_procedures] = STATE(6191),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [381] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8432),
    [sym_preproc_elif_in_statements] = STATE(8432),
    [sym_preproc_elifdef_in_statements] = STATE(8432),
    [sym_internal_procedures] = STATE(6202),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [382] = {
    [sym_preproc_include] = STATE(416),
    [sym_preproc_def] = STATE(416),
    [sym_preproc_function_def] = STATE(416),
    [sym_preproc_call] = STATE(416),
    [sym_preproc_if_in_statements] = STATE(416),
    [sym_preproc_ifdef_in_statements] = STATE(416),
    [sym_preproc_else_in_statements] = STATE(8731),
    [sym_preproc_elif_in_statements] = STATE(8731),
    [sym_preproc_elifdef_in_statements] = STATE(8731),
    [sym_internal_procedures] = STATE(6246),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(416),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2097),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [383] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8307),
    [sym_preproc_elif_in_statements] = STATE(8307),
    [sym_preproc_elifdef_in_statements] = STATE(8307),
    [sym_internal_procedures] = STATE(6247),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [384] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8700),
    [sym_preproc_elif_in_statements] = STATE(8700),
    [sym_preproc_elifdef_in_statements] = STATE(8700),
    [sym_internal_procedures] = STATE(6248),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [385] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8229),
    [sym_preproc_elif_in_specification_part] = STATE(8229),
    [sym_preproc_elifdef_in_specification_part] = STATE(8229),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6251),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [386] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8625),
    [sym_preproc_elif_in_specification_part] = STATE(8625),
    [sym_preproc_elifdef_in_specification_part] = STATE(8625),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6172),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [387] = {
    [sym_preproc_include] = STATE(390),
    [sym_preproc_def] = STATE(390),
    [sym_preproc_function_def] = STATE(390),
    [sym_preproc_call] = STATE(390),
    [sym_preproc_if_in_statements] = STATE(390),
    [sym_preproc_ifdef_in_statements] = STATE(390),
    [sym_preproc_else_in_statements] = STATE(8673),
    [sym_preproc_elif_in_statements] = STATE(8673),
    [sym_preproc_elifdef_in_statements] = STATE(8673),
    [sym_internal_procedures] = STATE(6252),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(390),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2107),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [388] = {
    [sym_preproc_include] = STATE(392),
    [sym_preproc_def] = STATE(392),
    [sym_preproc_function_def] = STATE(392),
    [sym_preproc_call] = STATE(392),
    [sym_preproc_if_in_statements] = STATE(392),
    [sym_preproc_ifdef_in_statements] = STATE(392),
    [sym_preproc_else_in_statements] = STATE(8708),
    [sym_preproc_elif_in_statements] = STATE(8708),
    [sym_preproc_elifdef_in_statements] = STATE(8708),
    [sym_internal_procedures] = STATE(6258),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2111),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [389] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8708),
    [sym_preproc_elif_in_statements] = STATE(8708),
    [sym_preproc_elifdef_in_statements] = STATE(8708),
    [sym_internal_procedures] = STATE(6258),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [390] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8883),
    [sym_preproc_elif_in_statements] = STATE(8883),
    [sym_preproc_elifdef_in_statements] = STATE(8883),
    [sym_internal_procedures] = STATE(6261),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [391] = {
    [sym_preproc_include] = STATE(393),
    [sym_preproc_def] = STATE(393),
    [sym_preproc_function_def] = STATE(393),
    [sym_preproc_call] = STATE(393),
    [sym_preproc_if_in_statements] = STATE(393),
    [sym_preproc_ifdef_in_statements] = STATE(393),
    [sym_preproc_else_in_statements] = STATE(8883),
    [sym_preproc_elif_in_statements] = STATE(8883),
    [sym_preproc_elifdef_in_statements] = STATE(8883),
    [sym_internal_procedures] = STATE(6261),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(393),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2115),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [392] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8929),
    [sym_preproc_elif_in_statements] = STATE(8929),
    [sym_preproc_elifdef_in_statements] = STATE(8929),
    [sym_internal_procedures] = STATE(6268),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [393] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8113),
    [sym_preproc_elif_in_statements] = STATE(8113),
    [sym_preproc_elifdef_in_statements] = STATE(8113),
    [sym_internal_procedures] = STATE(6270),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [394] = {
    [sym_preproc_include] = STATE(397),
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_statements] = STATE(397),
    [sym_preproc_ifdef_in_statements] = STATE(397),
    [sym_preproc_else_in_statements] = STATE(8587),
    [sym_preproc_elif_in_statements] = STATE(8587),
    [sym_preproc_elifdef_in_statements] = STATE(8587),
    [sym_internal_procedures] = STATE(6301),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(397),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2123),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [395] = {
    [sym_preproc_include] = STATE(399),
    [sym_preproc_def] = STATE(399),
    [sym_preproc_function_def] = STATE(399),
    [sym_preproc_call] = STATE(399),
    [sym_preproc_if_in_statements] = STATE(399),
    [sym_preproc_ifdef_in_statements] = STATE(399),
    [sym_preproc_else_in_statements] = STATE(8588),
    [sym_preproc_elif_in_statements] = STATE(8588),
    [sym_preproc_elifdef_in_statements] = STATE(8588),
    [sym_internal_procedures] = STATE(6302),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(399),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2127),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [396] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8274),
    [sym_preproc_elif_in_statements] = STATE(8274),
    [sym_preproc_elifdef_in_statements] = STATE(8274),
    [sym_internal_procedures] = STATE(6206),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [397] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8599),
    [sym_preproc_elif_in_statements] = STATE(8599),
    [sym_preproc_elifdef_in_statements] = STATE(8599),
    [sym_internal_procedures] = STATE(6305),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [398] = {
    [sym_preproc_include] = STATE(400),
    [sym_preproc_def] = STATE(400),
    [sym_preproc_function_def] = STATE(400),
    [sym_preproc_call] = STATE(400),
    [sym_preproc_if_in_statements] = STATE(400),
    [sym_preproc_ifdef_in_statements] = STATE(400),
    [sym_preproc_else_in_statements] = STATE(8599),
    [sym_preproc_elif_in_statements] = STATE(8599),
    [sym_preproc_elifdef_in_statements] = STATE(8599),
    [sym_internal_procedures] = STATE(6305),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(400),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2133),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [399] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8600),
    [sym_preproc_elif_in_statements] = STATE(8600),
    [sym_preproc_elifdef_in_statements] = STATE(8600),
    [sym_internal_procedures] = STATE(6306),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [400] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8606),
    [sym_preproc_elif_in_statements] = STATE(8606),
    [sym_preproc_elifdef_in_statements] = STATE(8606),
    [sym_internal_procedures] = STATE(6310),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [401] = {
    [sym_preproc_include] = STATE(404),
    [sym_preproc_def] = STATE(404),
    [sym_preproc_function_def] = STATE(404),
    [sym_preproc_call] = STATE(404),
    [sym_preproc_if_in_statements] = STATE(404),
    [sym_preproc_ifdef_in_statements] = STATE(404),
    [sym_preproc_else_in_statements] = STATE(8741),
    [sym_preproc_elif_in_statements] = STATE(8741),
    [sym_preproc_elifdef_in_statements] = STATE(8741),
    [sym_internal_procedures] = STATE(6107),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(404),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2141),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [402] = {
    [sym_preproc_include] = STATE(406),
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym_preproc_if_in_statements] = STATE(406),
    [sym_preproc_ifdef_in_statements] = STATE(406),
    [sym_preproc_else_in_statements] = STATE(8742),
    [sym_preproc_elif_in_statements] = STATE(8742),
    [sym_preproc_elifdef_in_statements] = STATE(8742),
    [sym_internal_procedures] = STATE(6108),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(406),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2145),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [403] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8742),
    [sym_preproc_elif_in_statements] = STATE(8742),
    [sym_preproc_elifdef_in_statements] = STATE(8742),
    [sym_internal_procedures] = STATE(6108),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [404] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8755),
    [sym_preproc_elif_in_statements] = STATE(8755),
    [sym_preproc_elifdef_in_statements] = STATE(8755),
    [sym_internal_procedures] = STATE(6110),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [405] = {
    [sym_preproc_include] = STATE(407),
    [sym_preproc_def] = STATE(407),
    [sym_preproc_function_def] = STATE(407),
    [sym_preproc_call] = STATE(407),
    [sym_preproc_if_in_statements] = STATE(407),
    [sym_preproc_ifdef_in_statements] = STATE(407),
    [sym_preproc_else_in_statements] = STATE(8755),
    [sym_preproc_elif_in_statements] = STATE(8755),
    [sym_preproc_elifdef_in_statements] = STATE(8755),
    [sym_internal_procedures] = STATE(6110),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(407),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2149),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [406] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8756),
    [sym_preproc_elif_in_statements] = STATE(8756),
    [sym_preproc_elifdef_in_statements] = STATE(8756),
    [sym_internal_procedures] = STATE(6112),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [407] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8762),
    [sym_preproc_elif_in_statements] = STATE(8762),
    [sym_preproc_elifdef_in_statements] = STATE(8762),
    [sym_internal_procedures] = STATE(6319),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2153),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [408] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_else_in_specification_part] = STATE(8793),
    [sym_preproc_elif_in_specification_part] = STATE(8793),
    [sym_preproc_elifdef_in_specification_part] = STATE(8793),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_internal_procedures] = STATE(6265),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(859),
    [aux_sym_preproc_elif_token1] = ACTIONS(861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(863),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [409] = {
    [sym_preproc_include] = STATE(412),
    [sym_preproc_def] = STATE(412),
    [sym_preproc_function_def] = STATE(412),
    [sym_preproc_call] = STATE(412),
    [sym_preproc_if_in_statements] = STATE(412),
    [sym_preproc_ifdef_in_statements] = STATE(412),
    [sym_preproc_else_in_statements] = STATE(8149),
    [sym_preproc_elif_in_statements] = STATE(8149),
    [sym_preproc_elifdef_in_statements] = STATE(8149),
    [sym_internal_procedures] = STATE(6124),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(412),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2157),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2159),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [410] = {
    [sym_preproc_include] = STATE(414),
    [sym_preproc_def] = STATE(414),
    [sym_preproc_function_def] = STATE(414),
    [sym_preproc_call] = STATE(414),
    [sym_preproc_if_in_statements] = STATE(414),
    [sym_preproc_ifdef_in_statements] = STATE(414),
    [sym_preproc_else_in_statements] = STATE(8150),
    [sym_preproc_elif_in_statements] = STATE(8150),
    [sym_preproc_elifdef_in_statements] = STATE(8150),
    [sym_internal_procedures] = STATE(6125),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(414),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2163),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [411] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8150),
    [sym_preproc_elif_in_statements] = STATE(8150),
    [sym_preproc_elifdef_in_statements] = STATE(8150),
    [sym_internal_procedures] = STATE(6125),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [412] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8173),
    [sym_preproc_elif_in_statements] = STATE(8173),
    [sym_preproc_elifdef_in_statements] = STATE(8173),
    [sym_internal_procedures] = STATE(6126),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [413] = {
    [sym_preproc_include] = STATE(415),
    [sym_preproc_def] = STATE(415),
    [sym_preproc_function_def] = STATE(415),
    [sym_preproc_call] = STATE(415),
    [sym_preproc_if_in_statements] = STATE(415),
    [sym_preproc_ifdef_in_statements] = STATE(415),
    [sym_preproc_else_in_statements] = STATE(8173),
    [sym_preproc_elif_in_statements] = STATE(8173),
    [sym_preproc_elifdef_in_statements] = STATE(8173),
    [sym_internal_procedures] = STATE(6126),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2167),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [414] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8179),
    [sym_preproc_elif_in_statements] = STATE(8179),
    [sym_preproc_elifdef_in_statements] = STATE(8179),
    [sym_internal_procedures] = STATE(6127),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [415] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8197),
    [sym_preproc_elif_in_statements] = STATE(8197),
    [sym_preproc_elifdef_in_statements] = STATE(8197),
    [sym_internal_procedures] = STATE(6128),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [416] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8629),
    [sym_preproc_elif_in_statements] = STATE(8629),
    [sym_preproc_elifdef_in_statements] = STATE(8629),
    [sym_internal_procedures] = STATE(6316),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [417] = {
    [sym_preproc_include] = STATE(420),
    [sym_preproc_def] = STATE(420),
    [sym_preproc_function_def] = STATE(420),
    [sym_preproc_call] = STATE(420),
    [sym_preproc_if_in_statements] = STATE(420),
    [sym_preproc_ifdef_in_statements] = STATE(420),
    [sym_preproc_else_in_statements] = STATE(8845),
    [sym_preproc_elif_in_statements] = STATE(8845),
    [sym_preproc_elifdef_in_statements] = STATE(8845),
    [sym_internal_procedures] = STATE(6133),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(420),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2177),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [418] = {
    [sym_preproc_include] = STATE(422),
    [sym_preproc_def] = STATE(422),
    [sym_preproc_function_def] = STATE(422),
    [sym_preproc_call] = STATE(422),
    [sym_preproc_if_in_statements] = STATE(422),
    [sym_preproc_ifdef_in_statements] = STATE(422),
    [sym_preproc_else_in_statements] = STATE(8846),
    [sym_preproc_elif_in_statements] = STATE(8846),
    [sym_preproc_elifdef_in_statements] = STATE(8846),
    [sym_internal_procedures] = STATE(6134),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(422),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2181),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [419] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8846),
    [sym_preproc_elif_in_statements] = STATE(8846),
    [sym_preproc_elifdef_in_statements] = STATE(8846),
    [sym_internal_procedures] = STATE(6134),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [420] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8858),
    [sym_preproc_elif_in_statements] = STATE(8858),
    [sym_preproc_elifdef_in_statements] = STATE(8858),
    [sym_internal_procedures] = STATE(6135),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [421] = {
    [sym_preproc_include] = STATE(423),
    [sym_preproc_def] = STATE(423),
    [sym_preproc_function_def] = STATE(423),
    [sym_preproc_call] = STATE(423),
    [sym_preproc_if_in_statements] = STATE(423),
    [sym_preproc_ifdef_in_statements] = STATE(423),
    [sym_preproc_else_in_statements] = STATE(8858),
    [sym_preproc_elif_in_statements] = STATE(8858),
    [sym_preproc_elifdef_in_statements] = STATE(8858),
    [sym_internal_procedures] = STATE(6135),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(423),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2185),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [422] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8859),
    [sym_preproc_elif_in_statements] = STATE(8859),
    [sym_preproc_elifdef_in_statements] = STATE(8859),
    [sym_internal_procedures] = STATE(6136),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [423] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8865),
    [sym_preproc_elif_in_statements] = STATE(8865),
    [sym_preproc_elifdef_in_statements] = STATE(8865),
    [sym_internal_procedures] = STATE(6137),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [424] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym_preproc_if_in_statements] = STATE(427),
    [sym_preproc_ifdef_in_statements] = STATE(427),
    [sym_preproc_else_in_statements] = STATE(8963),
    [sym_preproc_elif_in_statements] = STATE(8963),
    [sym_preproc_elifdef_in_statements] = STATE(8963),
    [sym_internal_procedures] = STATE(6144),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2193),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [425] = {
    [sym_preproc_include] = STATE(429),
    [sym_preproc_def] = STATE(429),
    [sym_preproc_function_def] = STATE(429),
    [sym_preproc_call] = STATE(429),
    [sym_preproc_if_in_statements] = STATE(429),
    [sym_preproc_ifdef_in_statements] = STATE(429),
    [sym_preproc_else_in_statements] = STATE(8966),
    [sym_preproc_elif_in_statements] = STATE(8966),
    [sym_preproc_elifdef_in_statements] = STATE(8966),
    [sym_internal_procedures] = STATE(6146),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(429),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2197),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [426] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8966),
    [sym_preproc_elif_in_statements] = STATE(8966),
    [sym_preproc_elifdef_in_statements] = STATE(8966),
    [sym_internal_procedures] = STATE(6146),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [427] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8987),
    [sym_preproc_elif_in_statements] = STATE(8987),
    [sym_preproc_elifdef_in_statements] = STATE(8987),
    [sym_internal_procedures] = STATE(6147),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [428] = {
    [sym_preproc_include] = STATE(430),
    [sym_preproc_def] = STATE(430),
    [sym_preproc_function_def] = STATE(430),
    [sym_preproc_call] = STATE(430),
    [sym_preproc_if_in_statements] = STATE(430),
    [sym_preproc_ifdef_in_statements] = STATE(430),
    [sym_preproc_else_in_statements] = STATE(8987),
    [sym_preproc_elif_in_statements] = STATE(8987),
    [sym_preproc_elifdef_in_statements] = STATE(8987),
    [sym_internal_procedures] = STATE(6147),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(430),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2201),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [429] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8989),
    [sym_preproc_elif_in_statements] = STATE(8989),
    [sym_preproc_elifdef_in_statements] = STATE(8989),
    [sym_internal_procedures] = STATE(6148),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [430] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(9003),
    [sym_preproc_elif_in_statements] = STATE(9003),
    [sym_preproc_elifdef_in_statements] = STATE(9003),
    [sym_internal_procedures] = STATE(6149),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [431] = {
    [sym_preproc_include] = STATE(434),
    [sym_preproc_def] = STATE(434),
    [sym_preproc_function_def] = STATE(434),
    [sym_preproc_call] = STATE(434),
    [sym_preproc_if_in_statements] = STATE(434),
    [sym_preproc_ifdef_in_statements] = STATE(434),
    [sym_preproc_else_in_statements] = STATE(8111),
    [sym_preproc_elif_in_statements] = STATE(8111),
    [sym_preproc_elifdef_in_statements] = STATE(8111),
    [sym_internal_procedures] = STATE(6154),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(434),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2209),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [432] = {
    [sym_preproc_include] = STATE(436),
    [sym_preproc_def] = STATE(436),
    [sym_preproc_function_def] = STATE(436),
    [sym_preproc_call] = STATE(436),
    [sym_preproc_if_in_statements] = STATE(436),
    [sym_preproc_ifdef_in_statements] = STATE(436),
    [sym_preproc_else_in_statements] = STATE(8112),
    [sym_preproc_elif_in_statements] = STATE(8112),
    [sym_preproc_elifdef_in_statements] = STATE(8112),
    [sym_internal_procedures] = STATE(6155),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(436),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2213),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [433] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8112),
    [sym_preproc_elif_in_statements] = STATE(8112),
    [sym_preproc_elifdef_in_statements] = STATE(8112),
    [sym_internal_procedures] = STATE(6155),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [434] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8119),
    [sym_preproc_elif_in_statements] = STATE(8119),
    [sym_preproc_elifdef_in_statements] = STATE(8119),
    [sym_internal_procedures] = STATE(6157),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [435] = {
    [sym_preproc_include] = STATE(437),
    [sym_preproc_def] = STATE(437),
    [sym_preproc_function_def] = STATE(437),
    [sym_preproc_call] = STATE(437),
    [sym_preproc_if_in_statements] = STATE(437),
    [sym_preproc_ifdef_in_statements] = STATE(437),
    [sym_preproc_else_in_statements] = STATE(8119),
    [sym_preproc_elif_in_statements] = STATE(8119),
    [sym_preproc_elifdef_in_statements] = STATE(8119),
    [sym_internal_procedures] = STATE(6157),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(437),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2217),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [436] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8120),
    [sym_preproc_elif_in_statements] = STATE(8120),
    [sym_preproc_elifdef_in_statements] = STATE(8120),
    [sym_internal_procedures] = STATE(6158),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [437] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8126),
    [sym_preproc_elif_in_statements] = STATE(8126),
    [sym_preproc_elifdef_in_statements] = STATE(8126),
    [sym_internal_procedures] = STATE(6159),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [438] = {
    [sym_preproc_include] = STATE(442),
    [sym_preproc_def] = STATE(442),
    [sym_preproc_function_def] = STATE(442),
    [sym_preproc_call] = STATE(442),
    [sym_preproc_if_in_statements] = STATE(442),
    [sym_preproc_ifdef_in_statements] = STATE(442),
    [sym_preproc_else_in_statements] = STATE(8146),
    [sym_preproc_elif_in_statements] = STATE(8146),
    [sym_preproc_elifdef_in_statements] = STATE(8146),
    [sym_internal_procedures] = STATE(6165),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(442),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2225),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [439] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8146),
    [sym_preproc_elif_in_statements] = STATE(8146),
    [sym_preproc_elifdef_in_statements] = STATE(8146),
    [sym_internal_procedures] = STATE(6165),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [440] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8151),
    [sym_preproc_elif_in_statements] = STATE(8151),
    [sym_preproc_elifdef_in_statements] = STATE(8151),
    [sym_internal_procedures] = STATE(6166),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [441] = {
    [sym_preproc_include] = STATE(443),
    [sym_preproc_def] = STATE(443),
    [sym_preproc_function_def] = STATE(443),
    [sym_preproc_call] = STATE(443),
    [sym_preproc_if_in_statements] = STATE(443),
    [sym_preproc_ifdef_in_statements] = STATE(443),
    [sym_preproc_else_in_statements] = STATE(8151),
    [sym_preproc_elif_in_statements] = STATE(8151),
    [sym_preproc_elifdef_in_statements] = STATE(8151),
    [sym_internal_procedures] = STATE(6166),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(443),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2229),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [442] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8152),
    [sym_preproc_elif_in_statements] = STATE(8152),
    [sym_preproc_elifdef_in_statements] = STATE(8152),
    [sym_internal_procedures] = STATE(6167),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [443] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8158),
    [sym_preproc_elif_in_statements] = STATE(8158),
    [sym_preproc_elifdef_in_statements] = STATE(8158),
    [sym_internal_procedures] = STATE(6168),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [444] = {
    [sym_preproc_include] = STATE(447),
    [sym_preproc_def] = STATE(447),
    [sym_preproc_function_def] = STATE(447),
    [sym_preproc_call] = STATE(447),
    [sym_preproc_if_in_statements] = STATE(447),
    [sym_preproc_ifdef_in_statements] = STATE(447),
    [sym_preproc_else_in_statements] = STATE(8177),
    [sym_preproc_elif_in_statements] = STATE(8177),
    [sym_preproc_elifdef_in_statements] = STATE(8177),
    [sym_internal_procedures] = STATE(6171),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(447),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2237),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [445] = {
    [sym_preproc_include] = STATE(449),
    [sym_preproc_def] = STATE(449),
    [sym_preproc_function_def] = STATE(449),
    [sym_preproc_call] = STATE(449),
    [sym_preproc_if_in_statements] = STATE(449),
    [sym_preproc_ifdef_in_statements] = STATE(449),
    [sym_preproc_else_in_statements] = STATE(8178),
    [sym_preproc_elif_in_statements] = STATE(8178),
    [sym_preproc_elifdef_in_statements] = STATE(8178),
    [sym_internal_procedures] = STATE(6173),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(449),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2241),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [446] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8178),
    [sym_preproc_elif_in_statements] = STATE(8178),
    [sym_preproc_elifdef_in_statements] = STATE(8178),
    [sym_internal_procedures] = STATE(6173),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [447] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8183),
    [sym_preproc_elif_in_statements] = STATE(8183),
    [sym_preproc_elifdef_in_statements] = STATE(8183),
    [sym_internal_procedures] = STATE(6174),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [448] = {
    [sym_preproc_include] = STATE(450),
    [sym_preproc_def] = STATE(450),
    [sym_preproc_function_def] = STATE(450),
    [sym_preproc_call] = STATE(450),
    [sym_preproc_if_in_statements] = STATE(450),
    [sym_preproc_ifdef_in_statements] = STATE(450),
    [sym_preproc_else_in_statements] = STATE(8183),
    [sym_preproc_elif_in_statements] = STATE(8183),
    [sym_preproc_elifdef_in_statements] = STATE(8183),
    [sym_internal_procedures] = STATE(6174),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(450),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2245),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [449] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8184),
    [sym_preproc_elif_in_statements] = STATE(8184),
    [sym_preproc_elifdef_in_statements] = STATE(8184),
    [sym_internal_procedures] = STATE(6175),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [450] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8190),
    [sym_preproc_elif_in_statements] = STATE(8190),
    [sym_preproc_elifdef_in_statements] = STATE(8190),
    [sym_internal_procedures] = STATE(6176),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [451] = {
    [sym_preproc_include] = STATE(454),
    [sym_preproc_def] = STATE(454),
    [sym_preproc_function_def] = STATE(454),
    [sym_preproc_call] = STATE(454),
    [sym_preproc_if_in_statements] = STATE(454),
    [sym_preproc_ifdef_in_statements] = STATE(454),
    [sym_preproc_else_in_statements] = STATE(8209),
    [sym_preproc_elif_in_statements] = STATE(8209),
    [sym_preproc_elifdef_in_statements] = STATE(8209),
    [sym_internal_procedures] = STATE(6178),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(454),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2253),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [452] = {
    [sym_preproc_include] = STATE(456),
    [sym_preproc_def] = STATE(456),
    [sym_preproc_function_def] = STATE(456),
    [sym_preproc_call] = STATE(456),
    [sym_preproc_if_in_statements] = STATE(456),
    [sym_preproc_ifdef_in_statements] = STATE(456),
    [sym_preproc_else_in_statements] = STATE(8210),
    [sym_preproc_elif_in_statements] = STATE(8210),
    [sym_preproc_elifdef_in_statements] = STATE(8210),
    [sym_internal_procedures] = STATE(6180),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(456),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2257),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [453] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8210),
    [sym_preproc_elif_in_statements] = STATE(8210),
    [sym_preproc_elifdef_in_statements] = STATE(8210),
    [sym_internal_procedures] = STATE(6180),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [454] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8215),
    [sym_preproc_elif_in_statements] = STATE(8215),
    [sym_preproc_elifdef_in_statements] = STATE(8215),
    [sym_internal_procedures] = STATE(6182),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [455] = {
    [sym_preproc_include] = STATE(457),
    [sym_preproc_def] = STATE(457),
    [sym_preproc_function_def] = STATE(457),
    [sym_preproc_call] = STATE(457),
    [sym_preproc_if_in_statements] = STATE(457),
    [sym_preproc_ifdef_in_statements] = STATE(457),
    [sym_preproc_else_in_statements] = STATE(8215),
    [sym_preproc_elif_in_statements] = STATE(8215),
    [sym_preproc_elifdef_in_statements] = STATE(8215),
    [sym_internal_procedures] = STATE(6182),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(457),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2261),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [456] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8216),
    [sym_preproc_elif_in_statements] = STATE(8216),
    [sym_preproc_elifdef_in_statements] = STATE(8216),
    [sym_internal_procedures] = STATE(6183),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [457] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8222),
    [sym_preproc_elif_in_statements] = STATE(8222),
    [sym_preproc_elifdef_in_statements] = STATE(8222),
    [sym_internal_procedures] = STATE(6184),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [458] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym_preproc_if_in_statements] = STATE(461),
    [sym_preproc_ifdef_in_statements] = STATE(461),
    [sym_preproc_else_in_statements] = STATE(8238),
    [sym_preproc_elif_in_statements] = STATE(8238),
    [sym_preproc_elifdef_in_statements] = STATE(8238),
    [sym_internal_procedures] = STATE(6186),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2269),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [459] = {
    [sym_preproc_include] = STATE(463),
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_statements] = STATE(463),
    [sym_preproc_ifdef_in_statements] = STATE(463),
    [sym_preproc_else_in_statements] = STATE(8239),
    [sym_preproc_elif_in_statements] = STATE(8239),
    [sym_preproc_elifdef_in_statements] = STATE(8239),
    [sym_internal_procedures] = STATE(6187),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(463),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2273),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [460] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8239),
    [sym_preproc_elif_in_statements] = STATE(8239),
    [sym_preproc_elifdef_in_statements] = STATE(8239),
    [sym_internal_procedures] = STATE(6187),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [461] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8240),
    [sym_preproc_elif_in_statements] = STATE(8240),
    [sym_preproc_elifdef_in_statements] = STATE(8240),
    [sym_internal_procedures] = STATE(6188),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [462] = {
    [sym_preproc_include] = STATE(464),
    [sym_preproc_def] = STATE(464),
    [sym_preproc_function_def] = STATE(464),
    [sym_preproc_call] = STATE(464),
    [sym_preproc_if_in_statements] = STATE(464),
    [sym_preproc_ifdef_in_statements] = STATE(464),
    [sym_preproc_else_in_statements] = STATE(8240),
    [sym_preproc_elif_in_statements] = STATE(8240),
    [sym_preproc_elifdef_in_statements] = STATE(8240),
    [sym_internal_procedures] = STATE(6188),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(464),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2277),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [463] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8241),
    [sym_preproc_elif_in_statements] = STATE(8241),
    [sym_preproc_elifdef_in_statements] = STATE(8241),
    [sym_internal_procedures] = STATE(6189),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [464] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8242),
    [sym_preproc_elif_in_statements] = STATE(8242),
    [sym_preproc_elifdef_in_statements] = STATE(8242),
    [sym_internal_procedures] = STATE(6190),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [465] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym_preproc_if_in_statements] = STATE(468),
    [sym_preproc_ifdef_in_statements] = STATE(468),
    [sym_preproc_else_in_statements] = STATE(8254),
    [sym_preproc_elif_in_statements] = STATE(8254),
    [sym_preproc_elifdef_in_statements] = STATE(8254),
    [sym_internal_procedures] = STATE(6193),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2285),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [466] = {
    [sym_preproc_include] = STATE(470),
    [sym_preproc_def] = STATE(470),
    [sym_preproc_function_def] = STATE(470),
    [sym_preproc_call] = STATE(470),
    [sym_preproc_if_in_statements] = STATE(470),
    [sym_preproc_ifdef_in_statements] = STATE(470),
    [sym_preproc_else_in_statements] = STATE(8255),
    [sym_preproc_elif_in_statements] = STATE(8255),
    [sym_preproc_elifdef_in_statements] = STATE(8255),
    [sym_internal_procedures] = STATE(6194),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(470),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2289),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [467] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8255),
    [sym_preproc_elif_in_statements] = STATE(8255),
    [sym_preproc_elifdef_in_statements] = STATE(8255),
    [sym_internal_procedures] = STATE(6194),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [468] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8256),
    [sym_preproc_elif_in_statements] = STATE(8256),
    [sym_preproc_elifdef_in_statements] = STATE(8256),
    [sym_internal_procedures] = STATE(6195),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [469] = {
    [sym_preproc_include] = STATE(471),
    [sym_preproc_def] = STATE(471),
    [sym_preproc_function_def] = STATE(471),
    [sym_preproc_call] = STATE(471),
    [sym_preproc_if_in_statements] = STATE(471),
    [sym_preproc_ifdef_in_statements] = STATE(471),
    [sym_preproc_else_in_statements] = STATE(8256),
    [sym_preproc_elif_in_statements] = STATE(8256),
    [sym_preproc_elifdef_in_statements] = STATE(8256),
    [sym_internal_procedures] = STATE(6195),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(471),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2293),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [470] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8257),
    [sym_preproc_elif_in_statements] = STATE(8257),
    [sym_preproc_elifdef_in_statements] = STATE(8257),
    [sym_internal_procedures] = STATE(6196),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [471] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8258),
    [sym_preproc_elif_in_statements] = STATE(8258),
    [sym_preproc_elifdef_in_statements] = STATE(8258),
    [sym_internal_procedures] = STATE(6197),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [472] = {
    [sym_preproc_include] = STATE(475),
    [sym_preproc_def] = STATE(475),
    [sym_preproc_function_def] = STATE(475),
    [sym_preproc_call] = STATE(475),
    [sym_preproc_if_in_statements] = STATE(475),
    [sym_preproc_ifdef_in_statements] = STATE(475),
    [sym_preproc_else_in_statements] = STATE(8270),
    [sym_preproc_elif_in_statements] = STATE(8270),
    [sym_preproc_elifdef_in_statements] = STATE(8270),
    [sym_internal_procedures] = STATE(6201),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(475),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2301),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [473] = {
    [sym_preproc_include] = STATE(477),
    [sym_preproc_def] = STATE(477),
    [sym_preproc_function_def] = STATE(477),
    [sym_preproc_call] = STATE(477),
    [sym_preproc_if_in_statements] = STATE(477),
    [sym_preproc_ifdef_in_statements] = STATE(477),
    [sym_preproc_else_in_statements] = STATE(8271),
    [sym_preproc_elif_in_statements] = STATE(8271),
    [sym_preproc_elifdef_in_statements] = STATE(8271),
    [sym_internal_procedures] = STATE(6203),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(477),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2305),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [474] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8271),
    [sym_preproc_elif_in_statements] = STATE(8271),
    [sym_preproc_elifdef_in_statements] = STATE(8271),
    [sym_internal_procedures] = STATE(6203),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [475] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8272),
    [sym_preproc_elif_in_statements] = STATE(8272),
    [sym_preproc_elifdef_in_statements] = STATE(8272),
    [sym_internal_procedures] = STATE(6204),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [476] = {
    [sym_preproc_include] = STATE(396),
    [sym_preproc_def] = STATE(396),
    [sym_preproc_function_def] = STATE(396),
    [sym_preproc_call] = STATE(396),
    [sym_preproc_if_in_statements] = STATE(396),
    [sym_preproc_ifdef_in_statements] = STATE(396),
    [sym_preproc_else_in_statements] = STATE(8272),
    [sym_preproc_elif_in_statements] = STATE(8272),
    [sym_preproc_elifdef_in_statements] = STATE(8272),
    [sym_internal_procedures] = STATE(6204),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(396),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2309),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [477] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8273),
    [sym_preproc_elif_in_statements] = STATE(8273),
    [sym_preproc_elifdef_in_statements] = STATE(8273),
    [sym_internal_procedures] = STATE(6205),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [478] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8588),
    [sym_preproc_elif_in_statements] = STATE(8588),
    [sym_preproc_elifdef_in_statements] = STATE(8588),
    [sym_internal_procedures] = STATE(6302),
    [sym_contains_statement] = STATE(7499),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1689),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(735),
    [aux_sym_preproc_if_token2] = ACTIONS(2125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [aux_sym_preproc_else_token1] = ACTIONS(1845),
    [aux_sym_preproc_elif_token1] = ACTIONS(1847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1849),
    [sym_preproc_directive] = ACTIONS(1693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(1695),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [479] = {
    [sym_preproc_include] = STATE(505),
    [sym_preproc_def] = STATE(505),
    [sym_preproc_function_def] = STATE(505),
    [sym_preproc_call] = STATE(505),
    [sym_preproc_else_in_module] = STATE(8523),
    [sym_preproc_elif_in_module] = STATE(8523),
    [sym_preproc_elifdef_in_module] = STATE(8523),
    [sym_interface] = STATE(505),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6198),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(505),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(505),
    [sym_public_statement] = STATE(505),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(505),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(505),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(505),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(505),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2317),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2327),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [480] = {
    [sym_preproc_include] = STATE(510),
    [sym_preproc_def] = STATE(510),
    [sym_preproc_function_def] = STATE(510),
    [sym_preproc_call] = STATE(510),
    [sym_preproc_else_in_module] = STATE(8922),
    [sym_preproc_elif_in_module] = STATE(8922),
    [sym_preproc_elifdef_in_module] = STATE(8922),
    [sym_interface] = STATE(510),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6232),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(510),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(510),
    [sym_public_statement] = STATE(510),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(510),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(510),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(510),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(510),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2341),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2343),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2345),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [481] = {
    [sym_preproc_include] = STATE(485),
    [sym_preproc_def] = STATE(485),
    [sym_preproc_function_def] = STATE(485),
    [sym_preproc_call] = STATE(485),
    [sym_preproc_else_in_module] = STATE(8814),
    [sym_preproc_elif_in_module] = STATE(8814),
    [sym_preproc_elifdef_in_module] = STATE(8814),
    [sym_interface] = STATE(485),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6131),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(485),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(485),
    [sym_public_statement] = STATE(485),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(485),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(485),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(485),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(485),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2347),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [482] = {
    [sym_preproc_include] = STATE(496),
    [sym_preproc_def] = STATE(496),
    [sym_preproc_function_def] = STATE(496),
    [sym_preproc_call] = STATE(496),
    [sym_preproc_else_in_module] = STATE(9008),
    [sym_preproc_elif_in_module] = STATE(9008),
    [sym_preproc_elifdef_in_module] = STATE(9008),
    [sym_interface] = STATE(496),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6275),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(496),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(496),
    [sym_public_statement] = STATE(496),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(496),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(496),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(496),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(496),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2353),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2357),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [483] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(1150),
    [sym_internal_procedures] = STATE(6816),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [484] = {
    [sym_preproc_include] = STATE(488),
    [sym_preproc_def] = STATE(488),
    [sym_preproc_function_def] = STATE(488),
    [sym_preproc_call] = STATE(488),
    [sym_preproc_else_in_module] = STATE(9013),
    [sym_preproc_elif_in_module] = STATE(9013),
    [sym_preproc_elifdef_in_module] = STATE(9013),
    [sym_interface] = STATE(488),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6234),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(488),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(488),
    [sym_public_statement] = STATE(488),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(488),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(488),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(488),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(488),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2371),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [485] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(9013),
    [sym_preproc_elif_in_module] = STATE(9013),
    [sym_preproc_elifdef_in_module] = STATE(9013),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6234),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2371),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [486] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8153),
    [sym_preproc_elif_in_module] = STATE(8153),
    [sym_preproc_elifdef_in_module] = STATE(8153),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6285),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2377),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [487] = {
    [sym_preproc_include] = STATE(491),
    [sym_preproc_def] = STATE(491),
    [sym_preproc_function_def] = STATE(491),
    [sym_preproc_call] = STATE(491),
    [sym_preproc_else_in_module] = STATE(8153),
    [sym_preproc_elif_in_module] = STATE(8153),
    [sym_preproc_elifdef_in_module] = STATE(8153),
    [sym_interface] = STATE(491),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6285),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(491),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(491),
    [sym_public_statement] = STATE(491),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(491),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(491),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(491),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(491),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2377),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2379),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [488] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8157),
    [sym_preproc_elif_in_module] = STATE(8157),
    [sym_preproc_elifdef_in_module] = STATE(8157),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6292),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2381),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [489] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5314),
    [sym_internal_procedures] = STATE(7420),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [490] = {
    [sym_preproc_include] = STATE(490),
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym__statements] = STATE(7142),
    [sym_statement_label] = STATE(858),
    [sym_stop_statement] = STATE(7142),
    [sym_assignment_statement] = STATE(7142),
    [sym_pointer_association_statement] = STATE(7142),
    [sym_subroutine_call] = STATE(7142),
    [sym_keyword_statement] = STATE(7142),
    [sym_include_statement] = STATE(7142),
    [sym_do_loop_statement] = STATE(7142),
    [sym_do_label_statement] = STATE(7142),
    [sym_end_do_label_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7142),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7142),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7142),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7142),
    [sym_select_type_statement] = STATE(7142),
    [sym_select_rank_statement] = STATE(7142),
    [sym_block_construct] = STATE(7142),
    [sym_associate_statement] = STATE(7142),
    [sym_format_statement] = STATE(7142),
    [sym_read_statement] = STATE(7142),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7142),
    [sym_open_statement] = STATE(7142),
    [sym_close_statement] = STATE(7142),
    [sym_write_statement] = STATE(7142),
    [sym_inquire_statement] = STATE(7142),
    [sym_file_position_statement] = STATE(7142),
    [sym_allocate_statement] = STATE(7142),
    [sym_entry_statement] = STATE(7142),
    [sym_assign_statement] = STATE(7142),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7142),
    [sym_coarray_team_statement] = STATE(7142),
    [sym_coarray_critical_statement] = STATE(7142),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(490),
    [aux_sym_preproc_include_token1] = ACTIONS(2395),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2401),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2406),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2409),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2421),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [491] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8312),
    [sym_preproc_elif_in_module] = STATE(8312),
    [sym_preproc_elifdef_in_module] = STATE(8312),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6114),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2577),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [492] = {
    [sym_preproc_include] = STATE(544),
    [sym_preproc_def] = STATE(544),
    [sym_preproc_function_def] = STATE(544),
    [sym_preproc_call] = STATE(544),
    [sym_preproc_else_in_module] = STATE(8827),
    [sym_preproc_elif_in_module] = STATE(8827),
    [sym_preproc_elifdef_in_module] = STATE(8827),
    [sym_interface] = STATE(544),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6304),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(544),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(544),
    [sym_public_statement] = STATE(544),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(544),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(544),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(544),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(544),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2581),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [493] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5331),
    [sym_internal_procedures] = STATE(7457),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [494] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4662),
    [sym_internal_procedures] = STATE(7231),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(973),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [495] = {
    [sym_preproc_include] = STATE(577),
    [sym_preproc_def] = STATE(577),
    [sym_preproc_function_def] = STATE(577),
    [sym_preproc_call] = STATE(577),
    [sym_preproc_else_in_module] = STATE(8940),
    [sym_preproc_elif_in_module] = STATE(8940),
    [sym_preproc_elifdef_in_module] = STATE(8940),
    [sym_interface] = STATE(577),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6312),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(577),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(577),
    [sym_public_statement] = STATE(577),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(577),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(577),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(577),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(577),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2585),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [496] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8940),
    [sym_preproc_elif_in_module] = STATE(8940),
    [sym_preproc_elifdef_in_module] = STATE(8940),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6312),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [497] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5475),
    [sym_internal_procedures] = STATE(7518),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1031),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [498] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5495),
    [sym_internal_procedures] = STATE(7523),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1035),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [499] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5317),
    [sym_internal_procedures] = STATE(7525),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1031),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [500] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5414),
    [sym_internal_procedures] = STATE(7527),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1035),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [501] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8594),
    [sym_preproc_elif_in_module] = STATE(8594),
    [sym_preproc_elifdef_in_module] = STATE(8594),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6233),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2599),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [502] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4667),
    [sym_internal_procedures] = STATE(7282),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(979),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [503] = {
    [sym_preproc_include] = STATE(530),
    [sym_preproc_def] = STATE(530),
    [sym_preproc_function_def] = STATE(530),
    [sym_preproc_call] = STATE(530),
    [sym_preproc_else_in_module] = STATE(8295),
    [sym_preproc_elif_in_module] = STATE(8295),
    [sym_preproc_elifdef_in_module] = STATE(8295),
    [sym_interface] = STATE(530),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6260),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(530),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(530),
    [sym_public_statement] = STATE(530),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(530),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(530),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(530),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(530),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2601),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2603),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [504] = {
    [sym_preproc_include] = STATE(531),
    [sym_preproc_def] = STATE(531),
    [sym_preproc_function_def] = STATE(531),
    [sym_preproc_call] = STATE(531),
    [sym_preproc_else_in_module] = STATE(8990),
    [sym_preproc_elif_in_module] = STATE(8990),
    [sym_preproc_elifdef_in_module] = STATE(8990),
    [sym_interface] = STATE(531),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6109),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(531),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(531),
    [sym_public_statement] = STATE(531),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(531),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(531),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(531),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(531),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2607),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [505] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8990),
    [sym_preproc_elif_in_module] = STATE(8990),
    [sym_preproc_elifdef_in_module] = STATE(8990),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6109),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [506] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(1014),
    [sym_internal_procedures] = STATE(7300),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [507] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(1043),
    [sym_internal_procedures] = STATE(7311),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1015),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [508] = {
    [sym_preproc_include] = STATE(513),
    [sym_preproc_def] = STATE(513),
    [sym_preproc_function_def] = STATE(513),
    [sym_preproc_call] = STATE(513),
    [sym_preproc_else_in_module] = STATE(8971),
    [sym_preproc_elif_in_module] = STATE(8971),
    [sym_preproc_elifdef_in_module] = STATE(8971),
    [sym_interface] = STATE(513),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6241),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(513),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(513),
    [sym_public_statement] = STATE(513),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(513),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(513),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(513),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(513),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2609),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2611),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [509] = {
    [sym_preproc_include] = STATE(515),
    [sym_preproc_def] = STATE(515),
    [sym_preproc_function_def] = STATE(515),
    [sym_preproc_call] = STATE(515),
    [sym_preproc_else_in_module] = STATE(8978),
    [sym_preproc_elif_in_module] = STATE(8978),
    [sym_preproc_elifdef_in_module] = STATE(8978),
    [sym_interface] = STATE(515),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6242),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(515),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(515),
    [sym_public_statement] = STATE(515),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(515),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(515),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(515),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(515),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2615),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [510] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8978),
    [sym_preproc_elif_in_module] = STATE(8978),
    [sym_preproc_elifdef_in_module] = STATE(8978),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6242),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [511] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4699),
    [sym_internal_procedures] = STATE(7482),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(973),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [512] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4705),
    [sym_internal_procedures] = STATE(7489),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(979),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [513] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(9050),
    [sym_preproc_elif_in_module] = STATE(9050),
    [sym_preproc_elifdef_in_module] = STATE(9050),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6256),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [514] = {
    [sym_preproc_include] = STATE(518),
    [sym_preproc_def] = STATE(518),
    [sym_preproc_function_def] = STATE(518),
    [sym_preproc_call] = STATE(518),
    [sym_preproc_else_in_module] = STATE(9050),
    [sym_preproc_elif_in_module] = STATE(9050),
    [sym_preproc_elifdef_in_module] = STATE(9050),
    [sym_interface] = STATE(518),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6256),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(518),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(518),
    [sym_public_statement] = STATE(518),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(518),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(518),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(518),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(518),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2619),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [515] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(9054),
    [sym_preproc_elif_in_module] = STATE(9054),
    [sym_preproc_elifdef_in_module] = STATE(9054),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6257),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [516] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5327),
    [sym_internal_procedures] = STATE(7244),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1003),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [517] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5446),
    [sym_internal_procedures] = STATE(6782),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1045),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [518] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8486),
    [sym_preproc_elif_in_module] = STATE(8486),
    [sym_preproc_elifdef_in_module] = STATE(8486),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6272),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2623),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [519] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5474),
    [sym_internal_procedures] = STATE(6790),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1045),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [520] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(1126),
    [sym_internal_procedures] = STATE(6811),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [521] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(1132),
    [sym_internal_procedures] = STATE(6814),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1053),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [522] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(1154),
    [sym_internal_procedures] = STATE(6818),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1053),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [523] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(4854),
    [sym_internal_procedures] = STATE(6874),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [524] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(4814),
    [sym_internal_procedures] = STATE(6880),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [525] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5320),
    [sym_internal_procedures] = STATE(6893),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1097),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [526] = {
    [sym_preproc_include] = STATE(564),
    [sym_preproc_def] = STATE(564),
    [sym_preproc_function_def] = STATE(564),
    [sym_preproc_call] = STATE(564),
    [sym_preproc_else_in_module] = STATE(9047),
    [sym_preproc_elif_in_module] = STATE(9047),
    [sym_preproc_elifdef_in_module] = STATE(9047),
    [sym_interface] = STATE(564),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6142),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(564),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(564),
    [sym_public_statement] = STATE(564),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(564),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(564),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(564),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(564),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2627),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [527] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5353),
    [sym_internal_procedures] = STATE(6895),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1073),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [528] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5400),
    [sym_internal_procedures] = STATE(6898),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1097),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [529] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5404),
    [sym_internal_procedures] = STATE(6900),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1073),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [530] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8101),
    [sym_preproc_elif_in_module] = STATE(8101),
    [sym_preproc_elifdef_in_module] = STATE(8101),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6145),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [531] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8139),
    [sym_preproc_elif_in_module] = STATE(8139),
    [sym_preproc_elifdef_in_module] = STATE(8139),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6151),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2631),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [532] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(1009),
    [sym_internal_procedures] = STATE(6888),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [533] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(1022),
    [sym_internal_procedures] = STATE(6939),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1015),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [534] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5263),
    [sym_internal_procedures] = STATE(6948),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1083),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [535] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5277),
    [sym_internal_procedures] = STATE(6953),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1083),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [536] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5198),
    [sym_internal_procedures] = STATE(6963),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1087),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [537] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5202),
    [sym_internal_procedures] = STATE(6967),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1091),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [538] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5207),
    [sym_internal_procedures] = STATE(6969),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1087),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [539] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5210),
    [sym_internal_procedures] = STATE(6971),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1091),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [540] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5413),
    [sym_internal_procedures] = STATE(7027),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [541] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5449),
    [sym_internal_procedures] = STATE(7032),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [542] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(952),
    [sym_internal_procedures] = STATE(7293),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(983),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [543] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4932),
    [sym_internal_procedures] = STATE(7044),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1109),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [544] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8911),
    [sym_preproc_elif_in_module] = STATE(8911),
    [sym_preproc_elifdef_in_module] = STATE(8911),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6273),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [545] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4934),
    [sym_internal_procedures] = STATE(7046),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1113),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [546] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4940),
    [sym_internal_procedures] = STATE(7049),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1109),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [547] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4963),
    [sym_internal_procedures] = STATE(7051),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1113),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [548] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(954),
    [sym_internal_procedures] = STATE(7299),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(987),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [549] = {
    [sym_preproc_include] = STATE(501),
    [sym_preproc_def] = STATE(501),
    [sym_preproc_function_def] = STATE(501),
    [sym_preproc_call] = STATE(501),
    [sym_preproc_else_in_module] = STATE(8911),
    [sym_preproc_elif_in_module] = STATE(8911),
    [sym_preproc_elifdef_in_module] = STATE(8911),
    [sym_interface] = STATE(501),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6273),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(501),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(501),
    [sym_public_statement] = STATE(501),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(501),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(501),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(501),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(501),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2635),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [550] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(957),
    [sym_internal_procedures] = STATE(7378),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(983),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [551] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(960),
    [sym_internal_procedures] = STATE(7388),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(987),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [552] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5056),
    [sym_internal_procedures] = STATE(7091),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1123),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [553] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5101),
    [sym_internal_procedures] = STATE(7096),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1123),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [554] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4863),
    [sym_internal_procedures] = STATE(7104),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1127),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [555] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4866),
    [sym_internal_procedures] = STATE(7107),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(945),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [556] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(4869),
    [sym_internal_procedures] = STATE(7109),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1127),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [557] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(4872),
    [sym_internal_procedures] = STATE(7111),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(945),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [558] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5280),
    [sym_internal_procedures] = STATE(7146),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [559] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5288),
    [sym_internal_procedures] = STATE(7151),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [560] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5338),
    [sym_internal_procedures] = STATE(7162),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1141),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [561] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5340),
    [sym_internal_procedures] = STATE(7164),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1145),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [562] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5349),
    [sym_internal_procedures] = STATE(7166),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1141),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [563] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5352),
    [sym_internal_procedures] = STATE(7168),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1145),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [564] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8084),
    [sym_preproc_elif_in_module] = STATE(8084),
    [sym_preproc_elifdef_in_module] = STATE(8084),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6290),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [565] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5378),
    [sym_internal_procedures] = STATE(7210),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1151),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [566] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5380),
    [sym_internal_procedures] = STATE(7212),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1155),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [567] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5386),
    [sym_internal_procedures] = STATE(7214),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1151),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [568] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5389),
    [sym_internal_procedures] = STATE(7216),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1155),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [569] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5047),
    [sym_internal_procedures] = STATE(7254),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1163),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [570] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5102),
    [sym_internal_procedures] = STATE(7258),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1167),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [571] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5114),
    [sym_internal_procedures] = STATE(7261),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1163),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [572] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5158),
    [sym_internal_procedures] = STATE(7263),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1167),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [573] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5436),
    [sym_internal_procedures] = STATE(7304),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1175),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [574] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5438),
    [sym_internal_procedures] = STATE(7306),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1069),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [575] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_end_subroutine_statement] = STATE(5443),
    [sym_internal_procedures] = STATE(7308),
    [sym_contains_statement] = STATE(6903),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(2359),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2365),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(2369),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1175),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [576] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_end_function_statement] = STATE(5448),
    [sym_internal_procedures] = STATE(7310),
    [sym_contains_statement] = STATE(6975),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(2597),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1069),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [577] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_else_in_module] = STATE(8245),
    [sym_preproc_elif_in_module] = STATE(8245),
    [sym_preproc_elifdef_in_module] = STATE(8245),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6228),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2639),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2375),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [578] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_end_module_procedure_statement] = STATE(5217),
    [sym_internal_procedures] = STATE(7014),
    [sym_contains_statement] = STATE(7114),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(2383),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(2393),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1003),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [579] = {
    [sym_preproc_include] = STATE(486),
    [sym_preproc_def] = STATE(486),
    [sym_preproc_function_def] = STATE(486),
    [sym_preproc_call] = STATE(486),
    [sym_preproc_else_in_module] = STATE(8997),
    [sym_preproc_elif_in_module] = STATE(8997),
    [sym_preproc_elifdef_in_module] = STATE(8997),
    [sym_interface] = STATE(486),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6226),
    [sym_contains_statement] = STATE(7499),
    [sym__specification_part] = STATE(486),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(486),
    [sym_public_statement] = STATE(486),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(486),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(486),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(486),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(486),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2313),
    [aux_sym_preproc_def_token1] = ACTIONS(2315),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2319),
    [aux_sym_preproc_elif_token1] = ACTIONS(2321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2325),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(2643),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2331),
    [aux_sym_public_statement_token1] = ACTIONS(2333),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [580] = {
    [sym_preproc_include] = STATE(614),
    [sym_preproc_def] = STATE(614),
    [sym_preproc_function_def] = STATE(614),
    [sym_preproc_call] = STATE(614),
    [sym_preproc_if_in_statements] = STATE(614),
    [sym_preproc_ifdef_in_statements] = STATE(614),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(614),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2663),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2665),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2665),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2665),
    [aux_sym_type_statement_token2] = ACTIONS(2665),
    [aux_sym_type_statement_token3] = ACTIONS(2665),
    [aux_sym__class_default_token1] = ACTIONS(2665),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2667),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [581] = {
    [sym_preproc_include] = STATE(611),
    [sym_preproc_def] = STATE(611),
    [sym_preproc_function_def] = STATE(611),
    [sym_preproc_call] = STATE(611),
    [sym_preproc_if_in_statements] = STATE(611),
    [sym_preproc_ifdef_in_statements] = STATE(611),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(611),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2688),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2690),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2690),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2690),
    [aux_sym_type_statement_token2] = ACTIONS(2690),
    [aux_sym_type_statement_token3] = ACTIONS(2690),
    [aux_sym__class_default_token1] = ACTIONS(2690),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2692),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [582] = {
    [sym_preproc_include] = STATE(699),
    [sym_preproc_def] = STATE(699),
    [sym_preproc_function_def] = STATE(699),
    [sym_preproc_call] = STATE(699),
    [sym_preproc_if_in_statements] = STATE(699),
    [sym_preproc_ifdef_in_statements] = STATE(699),
    [sym_end_program_statement] = STATE(1082),
    [sym_internal_procedures] = STATE(6696),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7056),
    [sym_statement_label] = STATE(863),
    [sym_stop_statement] = STATE(7056),
    [sym_assignment_statement] = STATE(7056),
    [sym_pointer_association_statement] = STATE(7056),
    [sym_subroutine_call] = STATE(7056),
    [sym_keyword_statement] = STATE(7056),
    [sym_include_statement] = STATE(7056),
    [sym_do_loop_statement] = STATE(7056),
    [sym_do_label_statement] = STATE(7056),
    [sym_end_do_label_statement] = STATE(7056),
    [sym_if_statement] = STATE(7056),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7056),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7056),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7056),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7056),
    [sym_select_type_statement] = STATE(7056),
    [sym_select_rank_statement] = STATE(7056),
    [sym_block_construct] = STATE(7056),
    [sym_associate_statement] = STATE(7056),
    [sym_format_statement] = STATE(7056),
    [sym_read_statement] = STATE(7056),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7056),
    [sym_open_statement] = STATE(7056),
    [sym_close_statement] = STATE(7056),
    [sym_write_statement] = STATE(7056),
    [sym_inquire_statement] = STATE(7056),
    [sym_file_position_statement] = STATE(7056),
    [sym_allocate_statement] = STATE(7056),
    [sym_entry_statement] = STATE(7056),
    [sym_assign_statement] = STATE(7056),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7056),
    [sym_coarray_team_statement] = STATE(7056),
    [sym_coarray_critical_statement] = STATE(7056),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(699),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2697),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2701),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2701),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(2705),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [583] = {
    [sym_preproc_include] = STATE(591),
    [sym_preproc_def] = STATE(591),
    [sym_preproc_function_def] = STATE(591),
    [sym_preproc_call] = STATE(591),
    [sym_preproc_if_in_module] = STATE(591),
    [sym_preproc_ifdef_in_module] = STATE(591),
    [sym_end_module_statement] = STATE(1083),
    [sym_interface] = STATE(591),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7479),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(591),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(591),
    [sym_public_statement] = STATE(591),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(591),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(591),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(591),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(591),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2717),
    [aux_sym_end_module_statement_token1] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [584] = {
    [sym_preproc_include] = STATE(592),
    [sym_preproc_def] = STATE(592),
    [sym_preproc_function_def] = STATE(592),
    [sym_preproc_call] = STATE(592),
    [sym_preproc_if_in_module] = STATE(592),
    [sym_preproc_ifdef_in_module] = STATE(592),
    [sym_end_submodule_statement] = STATE(1084),
    [sym_interface] = STATE(592),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7480),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(592),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(592),
    [sym_public_statement] = STATE(592),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(592),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(592),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(592),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(592),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2737),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2741),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [585] = {
    [sym_preproc_include] = STATE(596),
    [sym_preproc_def] = STATE(596),
    [sym_preproc_function_def] = STATE(596),
    [sym_preproc_call] = STATE(596),
    [sym_preproc_if_in_statements] = STATE(596),
    [sym_preproc_ifdef_in_statements] = STATE(596),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(596),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2765),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2767),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2767),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2767),
    [aux_sym_type_statement_token2] = ACTIONS(2767),
    [aux_sym_type_statement_token3] = ACTIONS(2767),
    [aux_sym__class_default_token1] = ACTIONS(2767),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2769),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [586] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2767),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2767),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2767),
    [aux_sym_type_statement_token2] = ACTIONS(2767),
    [aux_sym_type_statement_token3] = ACTIONS(2767),
    [aux_sym__class_default_token1] = ACTIONS(2767),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2769),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [587] = {
    [sym_preproc_include] = STATE(613),
    [sym_preproc_def] = STATE(613),
    [sym_preproc_function_def] = STATE(613),
    [sym_preproc_call] = STATE(613),
    [sym_preproc_if_in_statements] = STATE(613),
    [sym_preproc_ifdef_in_statements] = STATE(613),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_end_where_statement] = STATE(7984),
    [sym_elsewhere_clause] = STATE(6323),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(613),
    [aux_sym__block_where_statement_repeat1] = STATE(6323),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2786),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2788),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2790),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [588] = {
    [sym_preproc_include] = STATE(698),
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_module] = STATE(698),
    [sym_preproc_ifdef_in_module] = STATE(698),
    [sym_end_module_statement] = STATE(1072),
    [sym_interface] = STATE(698),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7396),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(698),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(698),
    [sym_public_statement] = STATE(698),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(698),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(698),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(698),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(698),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2794),
    [aux_sym_end_module_statement_token1] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [589] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2800),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2818),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2818),
    [aux_sym_type_statement_token2] = ACTIONS(2818),
    [aux_sym_type_statement_token3] = ACTIONS(2818),
    [aux_sym__class_default_token1] = ACTIONS(2818),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2820),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [590] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2841),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2841),
    [aux_sym_type_statement_token2] = ACTIONS(2841),
    [aux_sym_type_statement_token3] = ACTIONS(2841),
    [aux_sym__class_default_token1] = ACTIONS(2841),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2843),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [591] = {
    [sym_preproc_include] = STATE(698),
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_module] = STATE(698),
    [sym_preproc_ifdef_in_module] = STATE(698),
    [sym_end_module_statement] = STATE(1092),
    [sym_interface] = STATE(698),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7488),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(698),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(698),
    [sym_public_statement] = STATE(698),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(698),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(698),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(698),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(698),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2717),
    [aux_sym_end_module_statement_token1] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2798),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [592] = {
    [sym_preproc_include] = STATE(700),
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_module] = STATE(700),
    [sym_preproc_ifdef_in_module] = STATE(700),
    [sym_end_submodule_statement] = STATE(1094),
    [sym_interface] = STATE(700),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7492),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(700),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(700),
    [sym_public_statement] = STATE(700),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(700),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(700),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(700),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(700),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2737),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2846),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [593] = {
    [sym_preproc_include] = STATE(619),
    [sym_preproc_def] = STATE(619),
    [sym_preproc_function_def] = STATE(619),
    [sym_preproc_call] = STATE(619),
    [sym_preproc_if_in_statements] = STATE(619),
    [sym_preproc_ifdef_in_statements] = STATE(619),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_end_where_statement] = STATE(7883),
    [sym_elsewhere_clause] = STATE(6346),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(619),
    [aux_sym__block_where_statement_repeat1] = STATE(6346),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2848),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2788),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2790),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [594] = {
    [sym_preproc_include] = STATE(699),
    [sym_preproc_def] = STATE(699),
    [sym_preproc_function_def] = STATE(699),
    [sym_preproc_call] = STATE(699),
    [sym_preproc_if_in_statements] = STATE(699),
    [sym_preproc_ifdef_in_statements] = STATE(699),
    [sym_end_program_statement] = STATE(1082),
    [sym_internal_procedures] = STATE(6703),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7056),
    [sym_statement_label] = STATE(863),
    [sym_stop_statement] = STATE(7056),
    [sym_assignment_statement] = STATE(7056),
    [sym_pointer_association_statement] = STATE(7056),
    [sym_subroutine_call] = STATE(7056),
    [sym_keyword_statement] = STATE(7056),
    [sym_include_statement] = STATE(7056),
    [sym_do_loop_statement] = STATE(7056),
    [sym_do_label_statement] = STATE(7056),
    [sym_end_do_label_statement] = STATE(7056),
    [sym_if_statement] = STATE(7056),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7056),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7056),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7056),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7056),
    [sym_select_type_statement] = STATE(7056),
    [sym_select_rank_statement] = STATE(7056),
    [sym_block_construct] = STATE(7056),
    [sym_associate_statement] = STATE(7056),
    [sym_format_statement] = STATE(7056),
    [sym_read_statement] = STATE(7056),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7056),
    [sym_open_statement] = STATE(7056),
    [sym_close_statement] = STATE(7056),
    [sym_write_statement] = STATE(7056),
    [sym_inquire_statement] = STATE(7056),
    [sym_file_position_statement] = STATE(7056),
    [sym_allocate_statement] = STATE(7056),
    [sym_entry_statement] = STATE(7056),
    [sym_assign_statement] = STATE(7056),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7056),
    [sym_coarray_team_statement] = STATE(7056),
    [sym_coarray_critical_statement] = STATE(7056),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(699),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2697),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2701),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2701),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(2705),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [595] = {
    [sym_preproc_include] = STATE(698),
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_module] = STATE(698),
    [sym_preproc_ifdef_in_module] = STATE(698),
    [sym_end_module_statement] = STATE(906),
    [sym_interface] = STATE(698),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6994),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(698),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(698),
    [sym_public_statement] = STATE(698),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(698),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(698),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(698),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(698),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2850),
    [aux_sym_end_module_statement_token1] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2798),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [596] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2872),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2872),
    [aux_sym_type_statement_token2] = ACTIONS(2872),
    [aux_sym_type_statement_token3] = ACTIONS(2872),
    [aux_sym__class_default_token1] = ACTIONS(2872),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2874),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [597] = {
    [sym_preproc_include] = STATE(586),
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_statements] = STATE(586),
    [sym_preproc_ifdef_in_statements] = STATE(586),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(586),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2886),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2895),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2897),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2897),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2897),
    [aux_sym_type_statement_token2] = ACTIONS(2897),
    [aux_sym_type_statement_token3] = ACTIONS(2897),
    [aux_sym__class_default_token1] = ACTIONS(2897),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2899),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [598] = {
    [sym_preproc_include] = STATE(588),
    [sym_preproc_def] = STATE(588),
    [sym_preproc_function_def] = STATE(588),
    [sym_preproc_call] = STATE(588),
    [sym_preproc_if_in_module] = STATE(588),
    [sym_preproc_ifdef_in_module] = STATE(588),
    [sym_end_module_statement] = STATE(1135),
    [sym_interface] = STATE(588),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7604),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(588),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(588),
    [sym_public_statement] = STATE(588),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(588),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(588),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(588),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(588),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2794),
    [aux_sym_end_module_statement_token1] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2902),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [599] = {
    [sym_preproc_include] = STATE(700),
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_module] = STATE(700),
    [sym_preproc_ifdef_in_module] = STATE(700),
    [sym_end_submodule_statement] = STATE(1078),
    [sym_interface] = STATE(700),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7463),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(700),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(700),
    [sym_public_statement] = STATE(700),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(700),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(700),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(700),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(700),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2904),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2846),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [600] = {
    [sym_preproc_include] = STATE(616),
    [sym_preproc_def] = STATE(616),
    [sym_preproc_function_def] = STATE(616),
    [sym_preproc_call] = STATE(616),
    [sym_preproc_if_in_statements] = STATE(616),
    [sym_preproc_ifdef_in_statements] = STATE(616),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(616),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2926),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2928),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2928),
    [aux_sym_type_statement_token2] = ACTIONS(2928),
    [aux_sym_type_statement_token3] = ACTIONS(2928),
    [aux_sym__class_default_token1] = ACTIONS(2928),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2930),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [601] = {
    [sym_preproc_include] = STATE(700),
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_module] = STATE(700),
    [sym_preproc_ifdef_in_module] = STATE(700),
    [sym_end_submodule_statement] = STATE(908),
    [sym_interface] = STATE(700),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7005),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(700),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(700),
    [sym_public_statement] = STATE(700),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(700),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(700),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(700),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(700),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2933),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2846),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [602] = {
    [sym_preproc_include] = STATE(589),
    [sym_preproc_def] = STATE(589),
    [sym_preproc_function_def] = STATE(589),
    [sym_preproc_call] = STATE(589),
    [sym_preproc_if_in_statements] = STATE(589),
    [sym_preproc_ifdef_in_statements] = STATE(589),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(589),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2946),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2955),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2957),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2957),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2957),
    [aux_sym_type_statement_token2] = ACTIONS(2957),
    [aux_sym_type_statement_token3] = ACTIONS(2957),
    [aux_sym__class_default_token1] = ACTIONS(2957),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2959),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [603] = {
    [sym_preproc_include] = STATE(617),
    [sym_preproc_def] = STATE(617),
    [sym_preproc_function_def] = STATE(617),
    [sym_preproc_call] = STATE(617),
    [sym_preproc_if_in_statements] = STATE(617),
    [sym_preproc_ifdef_in_statements] = STATE(617),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(617),
    [aux_sym_preproc_include_token1] = ACTIONS(2962),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2974),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2980),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2982),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2982),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2982),
    [aux_sym_type_statement_token2] = ACTIONS(2982),
    [aux_sym_type_statement_token3] = ACTIONS(2982),
    [aux_sym__class_default_token1] = ACTIONS(2982),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2984),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [604] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym__statements] = STATE(7116),
    [sym_statement_label] = STATE(862),
    [sym_stop_statement] = STATE(7116),
    [sym_assignment_statement] = STATE(7116),
    [sym_pointer_association_statement] = STATE(7116),
    [sym_subroutine_call] = STATE(7116),
    [sym_keyword_statement] = STATE(7116),
    [sym_include_statement] = STATE(7116),
    [sym_do_loop_statement] = STATE(7116),
    [sym_do_label_statement] = STATE(7116),
    [sym_end_do_label_statement] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7116),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7116),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7116),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7116),
    [sym_select_type_statement] = STATE(7116),
    [sym_select_rank_statement] = STATE(7116),
    [sym_block_construct] = STATE(7116),
    [sym_associate_statement] = STATE(7116),
    [sym_format_statement] = STATE(7116),
    [sym_read_statement] = STATE(7116),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7116),
    [sym_open_statement] = STATE(7116),
    [sym_close_statement] = STATE(7116),
    [sym_write_statement] = STATE(7116),
    [sym_inquire_statement] = STATE(7116),
    [sym_file_position_statement] = STATE(7116),
    [sym_allocate_statement] = STATE(7116),
    [sym_entry_statement] = STATE(7116),
    [sym_assign_statement] = STATE(7116),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7116),
    [sym_coarray_team_statement] = STATE(7116),
    [sym_coarray_critical_statement] = STATE(7116),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(3002),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [605] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2962),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2974),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2982),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2982),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2982),
    [aux_sym_type_statement_token2] = ACTIONS(2982),
    [aux_sym_type_statement_token3] = ACTIONS(2982),
    [aux_sym__class_default_token1] = ACTIONS(2982),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2984),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [606] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(3020),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token3] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym_derived_type_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_type_statement_token2] = ACTIONS(2404),
    [aux_sym_type_statement_token3] = ACTIONS(2404),
    [aux_sym__class_default_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [607] = {
    [sym_preproc_include] = STATE(618),
    [sym_preproc_def] = STATE(618),
    [sym_preproc_function_def] = STATE(618),
    [sym_preproc_call] = STATE(618),
    [sym_preproc_if_in_statements] = STATE(618),
    [sym_preproc_ifdef_in_statements] = STATE(618),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(618),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3035),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3041),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3043),
    [aux_sym_type_statement_token2] = ACTIONS(3043),
    [aux_sym_type_statement_token3] = ACTIONS(3043),
    [aux_sym__class_default_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [608] = {
    [sym_preproc_include] = STATE(595),
    [sym_preproc_def] = STATE(595),
    [sym_preproc_function_def] = STATE(595),
    [sym_preproc_call] = STATE(595),
    [sym_preproc_if_in_module] = STATE(595),
    [sym_preproc_ifdef_in_module] = STATE(595),
    [sym_end_module_statement] = STATE(967),
    [sym_interface] = STATE(595),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6831),
    [sym_contains_statement] = STATE(7137),
    [sym__specification_part] = STATE(595),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(595),
    [sym_public_statement] = STATE(595),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(595),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(595),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(595),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(595),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2850),
    [aux_sym_end_module_statement_token1] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(3048),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2723),
    [aux_sym_public_statement_token1] = ACTIONS(2725),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [609] = {
    [sym_preproc_include] = STATE(601),
    [sym_preproc_def] = STATE(601),
    [sym_preproc_function_def] = STATE(601),
    [sym_preproc_call] = STATE(601),
    [sym_preproc_if_in_module] = STATE(601),
    [sym_preproc_ifdef_in_module] = STATE(601),
    [sym_end_submodule_statement] = STATE(970),
    [sym_interface] = STATE(601),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(6843),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(601),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(601),
    [sym_public_statement] = STATE(601),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(601),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(601),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(601),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(601),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2933),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(3050),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [610] = {
    [sym_preproc_include] = STATE(599),
    [sym_preproc_def] = STATE(599),
    [sym_preproc_function_def] = STATE(599),
    [sym_preproc_call] = STATE(599),
    [sym_preproc_if_in_module] = STATE(599),
    [sym_preproc_ifdef_in_module] = STATE(599),
    [sym_end_submodule_statement] = STATE(1140),
    [sym_interface] = STATE(599),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(7640),
    [sym_contains_statement] = STATE(7540),
    [sym__specification_part] = STATE(599),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(599),
    [sym_public_statement] = STATE(599),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(599),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(599),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(599),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(599),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(2727),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2735),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2904),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(3052),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2743),
    [aux_sym_public_statement_token1] = ACTIONS(2745),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [611] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3035),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3043),
    [aux_sym_type_statement_token2] = ACTIONS(3043),
    [aux_sym_type_statement_token3] = ACTIONS(3043),
    [aux_sym__class_default_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [612] = {
    [sym_preproc_include] = STATE(605),
    [sym_preproc_def] = STATE(605),
    [sym_preproc_function_def] = STATE(605),
    [sym_preproc_call] = STATE(605),
    [sym_preproc_if_in_statements] = STATE(605),
    [sym_preproc_ifdef_in_statements] = STATE(605),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(605),
    [aux_sym_preproc_include_token1] = ACTIONS(3054),
    [aux_sym_preproc_def_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3063),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3072),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3074),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3074),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3074),
    [aux_sym_type_statement_token2] = ACTIONS(3074),
    [aux_sym_type_statement_token3] = ACTIONS(3074),
    [aux_sym__class_default_token1] = ACTIONS(3074),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3076),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [613] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_end_where_statement] = STATE(7782),
    [sym_elsewhere_clause] = STATE(6333),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym__block_where_statement_repeat1] = STATE(6333),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2788),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2790),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [614] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2946),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(2957),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(2957),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(2957),
    [aux_sym_type_statement_token2] = ACTIONS(2957),
    [aux_sym_type_statement_token3] = ACTIONS(2957),
    [aux_sym__class_default_token1] = ACTIONS(2957),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2959),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [615] = {
    [sym_preproc_include] = STATE(590),
    [sym_preproc_def] = STATE(590),
    [sym_preproc_function_def] = STATE(590),
    [sym_preproc_call] = STATE(590),
    [sym_preproc_if_in_statements] = STATE(590),
    [sym_preproc_ifdef_in_statements] = STATE(590),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(590),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3099),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3101),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3101),
    [aux_sym_type_statement_token2] = ACTIONS(3101),
    [aux_sym_type_statement_token3] = ACTIONS(3101),
    [aux_sym__class_default_token1] = ACTIONS(3101),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3103),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [616] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3101),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3101),
    [aux_sym_type_statement_token2] = ACTIONS(3101),
    [aux_sym_type_statement_token3] = ACTIONS(3101),
    [aux_sym__class_default_token1] = ACTIONS(3101),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3103),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [617] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3124),
    [aux_sym_type_statement_token2] = ACTIONS(3124),
    [aux_sym_type_statement_token3] = ACTIONS(3124),
    [aux_sym__class_default_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3126),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [618] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7337),
    [sym_statement_label] = STATE(868),
    [sym_stop_statement] = STATE(7337),
    [sym_assignment_statement] = STATE(7337),
    [sym_pointer_association_statement] = STATE(7337),
    [sym_subroutine_call] = STATE(7337),
    [sym_keyword_statement] = STATE(7337),
    [sym_include_statement] = STATE(7337),
    [sym_do_loop_statement] = STATE(7337),
    [sym_do_label_statement] = STATE(7337),
    [sym_end_do_label_statement] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7337),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7337),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7337),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7337),
    [sym_select_type_statement] = STATE(7337),
    [sym_select_rank_statement] = STATE(7337),
    [sym_block_construct] = STATE(7337),
    [sym_associate_statement] = STATE(7337),
    [sym_format_statement] = STATE(7337),
    [sym_read_statement] = STATE(7337),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7337),
    [sym_open_statement] = STATE(7337),
    [sym_close_statement] = STATE(7337),
    [sym_write_statement] = STATE(7337),
    [sym_inquire_statement] = STATE(7337),
    [sym_file_position_statement] = STATE(7337),
    [sym_allocate_statement] = STATE(7337),
    [sym_entry_statement] = STATE(7337),
    [sym_assign_statement] = STATE(7337),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7337),
    [sym_coarray_team_statement] = STATE(7337),
    [sym_coarray_critical_statement] = STATE(7337),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(2772),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3147),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym_derived_type_token1] = ACTIONS(3147),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3147),
    [aux_sym_type_statement_token2] = ACTIONS(3147),
    [aux_sym_type_statement_token3] = ACTIONS(3147),
    [aux_sym__class_default_token1] = ACTIONS(3147),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3149),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [619] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_end_where_statement] = STATE(7984),
    [sym_elsewhere_clause] = STATE(6323),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym__block_where_statement_repeat1] = STATE(6323),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2788),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2790),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [620] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(965),
    [sym_internal_procedures] = STATE(7184),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [621] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2665),
    [aux_sym_preproc_elif_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3174),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [622] = {
    [sym_preproc_include] = STATE(635),
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_if_in_statements] = STATE(635),
    [sym_preproc_ifdef_in_statements] = STATE(635),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(635),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3176),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [623] = {
    [sym_preproc_include] = STATE(636),
    [sym_preproc_def] = STATE(636),
    [sym_preproc_function_def] = STATE(636),
    [sym_preproc_call] = STATE(636),
    [sym_preproc_if_in_statements] = STATE(636),
    [sym_preproc_ifdef_in_statements] = STATE(636),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(636),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2982),
    [aux_sym_preproc_elif_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3178),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [624] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2982),
    [aux_sym_preproc_elif_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [625] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1090),
    [sym_internal_procedures] = STATE(7486),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [626] = {
    [sym_preproc_include] = STATE(637),
    [sym_preproc_def] = STATE(637),
    [sym_preproc_function_def] = STATE(637),
    [sym_preproc_call] = STATE(637),
    [sym_preproc_if_in_statements] = STATE(637),
    [sym_preproc_ifdef_in_statements] = STATE(637),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(637),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3043),
    [aux_sym_preproc_elif_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3182),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [627] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3043),
    [aux_sym_preproc_elif_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [628] = {
    [sym_preproc_include] = STATE(638),
    [sym_preproc_def] = STATE(638),
    [sym_preproc_function_def] = STATE(638),
    [sym_preproc_call] = STATE(638),
    [sym_preproc_if_in_statements] = STATE(638),
    [sym_preproc_ifdef_in_statements] = STATE(638),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(638),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3186),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [629] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [630] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [631] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1101),
    [sym_internal_procedures] = STATE(7496),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [632] = {
    [sym_preproc_include] = STATE(642),
    [sym_preproc_def] = STATE(642),
    [sym_preproc_function_def] = STATE(642),
    [sym_preproc_call] = STATE(642),
    [sym_preproc_if_in_statements] = STATE(642),
    [sym_preproc_ifdef_in_statements] = STATE(642),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(642),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3190),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [633] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [634] = {
    [sym_preproc_include] = STATE(643),
    [sym_preproc_def] = STATE(643),
    [sym_preproc_function_def] = STATE(643),
    [sym_preproc_call] = STATE(643),
    [sym_preproc_if_in_statements] = STATE(643),
    [sym_preproc_ifdef_in_statements] = STATE(643),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(643),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3101),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3192),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [635] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3101),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [636] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [637] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [638] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3194),
    [aux_sym_preproc_elif_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [639] = {
    [sym_preproc_include] = STATE(665),
    [sym_preproc_def] = STATE(665),
    [sym_preproc_function_def] = STATE(665),
    [sym_preproc_call] = STATE(665),
    [sym_preproc_if_in_statements] = STATE(665),
    [sym_preproc_ifdef_in_statements] = STATE(665),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(836),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(7816),
    [sym_elseif_clause] = STATE(6074),
    [sym_else_clause] = STATE(6562),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(665),
    [aux_sym__block_if_statement_repeat1] = STATE(6074),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3208),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [640] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1055),
    [sym_internal_procedures] = STATE(7536),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [641] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(838),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(8039),
    [sym_elseif_clause] = STATE(6078),
    [sym_else_clause] = STATE(6627),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym__block_if_statement_repeat1] = STATE(6078),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [642] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2818),
    [aux_sym_preproc_elif_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [643] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [644] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1136),
    [sym_internal_procedures] = STATE(7656),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [645] = {
    [sym_preproc_include] = STATE(652),
    [sym_preproc_def] = STATE(652),
    [sym_preproc_function_def] = STATE(652),
    [sym_preproc_call] = STATE(652),
    [sym_preproc_if_in_statements] = STATE(652),
    [sym_preproc_ifdef_in_statements] = STATE(652),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(652),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3218),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [646] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [647] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(834),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(7821),
    [sym_elseif_clause] = STATE(6055),
    [sym_else_clause] = STATE(6481),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym__block_if_statement_repeat1] = STATE(6055),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [648] = {
    [sym_preproc_include] = STATE(647),
    [sym_preproc_def] = STATE(647),
    [sym_preproc_function_def] = STATE(647),
    [sym_preproc_call] = STATE(647),
    [sym_preproc_if_in_statements] = STATE(647),
    [sym_preproc_ifdef_in_statements] = STATE(647),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(842),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(8072),
    [sym_elseif_clause] = STATE(6058),
    [sym_else_clause] = STATE(6420),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(647),
    [aux_sym__block_if_statement_repeat1] = STATE(6058),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3222),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [649] = {
    [sym_preproc_include] = STATE(641),
    [sym_preproc_def] = STATE(641),
    [sym_preproc_function_def] = STATE(641),
    [sym_preproc_call] = STATE(641),
    [sym_preproc_if_in_statements] = STATE(641),
    [sym_preproc_ifdef_in_statements] = STATE(641),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(834),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(7821),
    [sym_elseif_clause] = STATE(6055),
    [sym_else_clause] = STATE(6481),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(641),
    [aux_sym__block_if_statement_repeat1] = STATE(6055),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3224),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [650] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3226),
    [aux_sym_preproc_elif_token1] = ACTIONS(3226),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3228),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [651] = {
    [sym_preproc_include] = STATE(656),
    [sym_preproc_def] = STATE(656),
    [sym_preproc_function_def] = STATE(656),
    [sym_preproc_call] = STATE(656),
    [sym_preproc_if_in_statements] = STATE(656),
    [sym_preproc_ifdef_in_statements] = STATE(656),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(656),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2767),
    [aux_sym_preproc_elif_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3230),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [652] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2767),
    [aux_sym_preproc_elif_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [653] = {
    [sym_preproc_include] = STATE(658),
    [sym_preproc_def] = STATE(658),
    [sym_preproc_function_def] = STATE(658),
    [sym_preproc_call] = STATE(658),
    [sym_preproc_if_in_statements] = STATE(658),
    [sym_preproc_ifdef_in_statements] = STATE(658),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(658),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3234),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [654] = {
    [sym_preproc_include] = STATE(661),
    [sym_preproc_def] = STATE(661),
    [sym_preproc_function_def] = STATE(661),
    [sym_preproc_call] = STATE(661),
    [sym_preproc_if_in_statements] = STATE(661),
    [sym_preproc_ifdef_in_statements] = STATE(661),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(661),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3236),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3238),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [655] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3236),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [656] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2872),
    [aux_sym_preproc_elif_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [657] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3242),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [658] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [659] = {
    [sym_preproc_include] = STATE(689),
    [sym_preproc_def] = STATE(689),
    [sym_preproc_function_def] = STATE(689),
    [sym_preproc_call] = STATE(689),
    [sym_preproc_if_in_statements] = STATE(689),
    [sym_preproc_ifdef_in_statements] = STATE(689),
    [sym_internal_procedures] = STATE(8509),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(689),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3254),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [660] = {
    [sym_preproc_include] = STATE(646),
    [sym_preproc_def] = STATE(646),
    [sym_preproc_function_def] = STATE(646),
    [sym_preproc_call] = STATE(646),
    [sym_preproc_if_in_statements] = STATE(646),
    [sym_preproc_ifdef_in_statements] = STATE(646),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(646),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3258),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [661] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3260),
    [aux_sym_preproc_elif_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [662] = {
    [sym_preproc_include] = STATE(624),
    [sym_preproc_def] = STATE(624),
    [sym_preproc_function_def] = STATE(624),
    [sym_preproc_call] = STATE(624),
    [sym_preproc_if_in_statements] = STATE(624),
    [sym_preproc_ifdef_in_statements] = STATE(624),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(624),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3074),
    [aux_sym_preproc_elif_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3262),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [663] = {
    [sym_preproc_include] = STATE(627),
    [sym_preproc_def] = STATE(627),
    [sym_preproc_function_def] = STATE(627),
    [sym_preproc_call] = STATE(627),
    [sym_preproc_if_in_statements] = STATE(627),
    [sym_preproc_ifdef_in_statements] = STATE(627),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(627),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(2690),
    [aux_sym_preproc_elif_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3264),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [664] = {
    [sym_preproc_include] = STATE(629),
    [sym_preproc_def] = STATE(629),
    [sym_preproc_function_def] = STATE(629),
    [sym_preproc_call] = STATE(629),
    [sym_preproc_if_in_statements] = STATE(629),
    [sym_preproc_ifdef_in_statements] = STATE(629),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(629),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3266),
    [aux_sym_preproc_elif_token1] = ACTIONS(3266),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3266),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3268),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [665] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(842),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(8072),
    [sym_elseif_clause] = STATE(6058),
    [sym_else_clause] = STATE(6420),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym__block_if_statement_repeat1] = STATE(6058),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token1] = ACTIONS(3212),
    [aux_sym_elseif_clause_token2] = ACTIONS(3214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [666] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3270),
    [aux_sym_preproc_def_token1] = ACTIONS(3273),
    [aux_sym_preproc_if_token1] = ACTIONS(3276),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(3285),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [667] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(7326),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [668] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(1082),
    [sym_internal_procedures] = STATE(7556),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(653),
    [aux_sym_end_program_statement_token2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [669] = {
    [sym_preproc_include] = STATE(666),
    [sym_preproc_def] = STATE(666),
    [sym_preproc_function_def] = STATE(666),
    [sym_preproc_call] = STATE(666),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(666),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3288),
    [aux_sym_preproc_elif_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3180),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [670] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(904),
    [sym_internal_procedures] = STATE(6981),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [671] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_if_in_statements] = STATE(630),
    [sym_preproc_ifdef_in_statements] = STATE(630),
    [sym__statements] = STATE(7408),
    [sym_statement_label] = STATE(853),
    [sym_stop_statement] = STATE(7408),
    [sym_assignment_statement] = STATE(7408),
    [sym_pointer_association_statement] = STATE(7408),
    [sym_subroutine_call] = STATE(7408),
    [sym_keyword_statement] = STATE(7408),
    [sym_include_statement] = STATE(7408),
    [sym_do_loop_statement] = STATE(7408),
    [sym_do_label_statement] = STATE(7408),
    [sym_end_do_label_statement] = STATE(7408),
    [sym_if_statement] = STATE(7408),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7408),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7408),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7408),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7408),
    [sym_select_type_statement] = STATE(7408),
    [sym_select_rank_statement] = STATE(7408),
    [sym_block_construct] = STATE(7408),
    [sym_associate_statement] = STATE(7408),
    [sym_format_statement] = STATE(7408),
    [sym_read_statement] = STATE(7408),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7408),
    [sym_open_statement] = STATE(7408),
    [sym_close_statement] = STATE(7408),
    [sym_write_statement] = STATE(7408),
    [sym_inquire_statement] = STATE(7408),
    [sym_file_position_statement] = STATE(7408),
    [sym_allocate_statement] = STATE(7408),
    [sym_entry_statement] = STATE(7408),
    [sym_assign_statement] = STATE(7408),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7408),
    [sym_coarray_team_statement] = STATE(7408),
    [sym_coarray_critical_statement] = STATE(7408),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(630),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3290),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [672] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym_end_program_statement] = STATE(916),
    [sym_internal_procedures] = STATE(7197),
    [sym_contains_statement] = STATE(7119),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3162),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [673] = {
    [sym_preproc_include] = STATE(687),
    [sym_preproc_def] = STATE(687),
    [sym_preproc_function_def] = STATE(687),
    [sym_preproc_call] = STATE(687),
    [sym_preproc_if_in_statements] = STATE(687),
    [sym_preproc_ifdef_in_statements] = STATE(687),
    [sym_internal_procedures] = STATE(8492),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(687),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3296),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [674] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8081),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [675] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8560),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [676] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym__statements] = STATE(7522),
    [sym_statement_label] = STATE(854),
    [sym_stop_statement] = STATE(7522),
    [sym_assignment_statement] = STATE(7522),
    [sym_pointer_association_statement] = STATE(7522),
    [sym_subroutine_call] = STATE(7522),
    [sym_keyword_statement] = STATE(7522),
    [sym_include_statement] = STATE(7522),
    [sym_do_loop_statement] = STATE(7522),
    [sym_do_label_statement] = STATE(7522),
    [sym_end_do_label_statement] = STATE(7522),
    [sym_if_statement] = STATE(7522),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7522),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7522),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7522),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7522),
    [sym_select_type_statement] = STATE(7522),
    [sym_select_rank_statement] = STATE(7522),
    [sym_block_construct] = STATE(7522),
    [sym_associate_statement] = STATE(7522),
    [sym_format_statement] = STATE(7522),
    [sym_read_statement] = STATE(7522),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7522),
    [sym_open_statement] = STATE(7522),
    [sym_close_statement] = STATE(7522),
    [sym_write_statement] = STATE(7522),
    [sym_inquire_statement] = STATE(7522),
    [sym_file_position_statement] = STATE(7522),
    [sym_allocate_statement] = STATE(7522),
    [sym_entry_statement] = STATE(7522),
    [sym_assign_statement] = STATE(7522),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7522),
    [sym_coarray_team_statement] = STATE(7522),
    [sym_coarray_critical_statement] = STATE(7522),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3311),
    [sym_preproc_directive] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3326),
    [aux_sym_block_data_statement_token1] = ACTIONS(3329),
    [aux_sym_block_data_statement_token2] = ACTIONS(3332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3338),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3332),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3332),
    [aux_sym_implicit_statement_token4] = ACTIONS(3332),
    [aux_sym_save_statement_token1] = ACTIONS(3332),
    [aux_sym_private_statement_token1] = ACTIONS(3332),
    [aux_sym_public_statement_token1] = ACTIONS(3332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3332),
    [aux_sym_variable_attributes_token2] = ACTIONS(3332),
    [aux_sym_variable_attributes_token3] = ACTIONS(3332),
    [aux_sym_variable_attributes_token5] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3332),
    [aux_sym_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym_stop_statement_token1] = ACTIONS(3349),
    [aux_sym_stop_statement_token2] = ACTIONS(3352),
    [aux_sym_subroutine_call_token1] = ACTIONS(3355),
    [aux_sym_keyword_statement_token1] = ACTIONS(3358),
    [aux_sym_keyword_statement_token2] = ACTIONS(3361),
    [aux_sym_keyword_statement_token3] = ACTIONS(3361),
    [aux_sym_keyword_statement_token4] = ACTIONS(3364),
    [aux_sym_keyword_statement_token6] = ACTIONS(3367),
    [aux_sym_keyword_statement_token7] = ACTIONS(3370),
    [aux_sym_include_statement_token1] = ACTIONS(3373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3379),
    [aux_sym_end_if_statement_token1] = ACTIONS(3332),
    [aux_sym_elseif_clause_token2] = ACTIONS(3332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3382),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3385),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3391),
    [aux_sym_select_type_statement_token1] = ACTIONS(3394),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3397),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3403),
    [aux_sym_print_statement_token1] = ACTIONS(3406),
    [aux_sym_open_statement_token1] = ACTIONS(3409),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3415),
    [aux_sym_file_position_statement_token1] = ACTIONS(3418),
    [aux_sym_file_position_statement_token2] = ACTIONS(3418),
    [aux_sym_file_position_statement_token3] = ACTIONS(3418),
    [aux_sym_file_position_statement_token4] = ACTIONS(3421),
    [aux_sym_allocate_statement_token1] = ACTIONS(3424),
    [aux_sym_entry_statement_token1] = ACTIONS(3427),
    [aux_sym_assign_statement_token1] = ACTIONS(3430),
    [aux_sym_logical_expression_token5] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3442),
    [aux_sym_boolean_literal_token1] = ACTIONS(3445),
    [aux_sym_boolean_literal_token2] = ACTIONS(3445),
    [aux_sym_null_literal_token1] = ACTIONS(3448),
    [aux_sym_coarray_statement_token1] = ACTIONS(3451),
    [aux_sym_coarray_statement_token2] = ACTIONS(3451),
    [aux_sym_coarray_statement_token6] = ACTIONS(3454),
    [aux_sym_coarray_statement_token8] = ACTIONS(3457),
    [aux_sym_coarray_statement_token11] = ACTIONS(3460),
    [aux_sym_coarray_statement_token12] = ACTIONS(3460),
    [aux_sym_coarray_statement_token13] = ACTIONS(3463),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3469),
    [aux_sym_identifier_token1] = ACTIONS(3332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3472),
    [sym__float_literal] = ACTIONS(3475),
    [sym__boz_literal] = ACTIONS(3475),
    [sym__string_literal] = ACTIONS(3478),
    [sym__string_literal_kind] = ACTIONS(3481),
  },
  [677] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym__statements] = STATE(7273),
    [sym_statement_label] = STATE(856),
    [sym_stop_statement] = STATE(7273),
    [sym_assignment_statement] = STATE(7273),
    [sym_pointer_association_statement] = STATE(7273),
    [sym_subroutine_call] = STATE(7273),
    [sym_keyword_statement] = STATE(7273),
    [sym_include_statement] = STATE(7273),
    [sym_do_loop_statement] = STATE(7273),
    [sym_do_label_statement] = STATE(7273),
    [sym_end_do_label_statement] = STATE(7273),
    [sym_if_statement] = STATE(7273),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7273),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7273),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7273),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7273),
    [sym_select_type_statement] = STATE(7273),
    [sym_select_rank_statement] = STATE(7273),
    [sym_block_construct] = STATE(7273),
    [sym_associate_statement] = STATE(7273),
    [sym_format_statement] = STATE(7273),
    [sym_read_statement] = STATE(7273),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7273),
    [sym_open_statement] = STATE(7273),
    [sym_close_statement] = STATE(7273),
    [sym_write_statement] = STATE(7273),
    [sym_inquire_statement] = STATE(7273),
    [sym_file_position_statement] = STATE(7273),
    [sym_allocate_statement] = STATE(7273),
    [sym_entry_statement] = STATE(7273),
    [sym_assign_statement] = STATE(7273),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7273),
    [sym_coarray_team_statement] = STATE(7273),
    [sym_coarray_critical_statement] = STATE(7273),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_preproc_include_token1] = ACTIONS(3484),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3493),
    [sym_preproc_directive] = ACTIONS(3496),
    [anon_sym_LPAREN2] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3499),
    [aux_sym_block_data_statement_token1] = ACTIONS(3329),
    [aux_sym_block_data_statement_token2] = ACTIONS(3332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3338),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3332),
    [aux_sym_end_function_statement_token1] = ACTIONS(3341),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3332),
    [aux_sym_implicit_statement_token4] = ACTIONS(3332),
    [aux_sym_save_statement_token1] = ACTIONS(3332),
    [aux_sym_private_statement_token1] = ACTIONS(3332),
    [aux_sym_public_statement_token1] = ACTIONS(3332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3332),
    [aux_sym_variable_attributes_token2] = ACTIONS(3332),
    [aux_sym_variable_attributes_token3] = ACTIONS(3332),
    [aux_sym_variable_attributes_token5] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3332),
    [aux_sym_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym_stop_statement_token1] = ACTIONS(3349),
    [aux_sym_stop_statement_token2] = ACTIONS(3352),
    [aux_sym_subroutine_call_token1] = ACTIONS(3355),
    [aux_sym_keyword_statement_token1] = ACTIONS(3358),
    [aux_sym_keyword_statement_token2] = ACTIONS(3361),
    [aux_sym_keyword_statement_token3] = ACTIONS(3361),
    [aux_sym_keyword_statement_token4] = ACTIONS(3364),
    [aux_sym_keyword_statement_token6] = ACTIONS(3367),
    [aux_sym_keyword_statement_token7] = ACTIONS(3370),
    [aux_sym_include_statement_token1] = ACTIONS(3373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3379),
    [aux_sym_end_if_statement_token1] = ACTIONS(3332),
    [aux_sym_elseif_clause_token2] = ACTIONS(3332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3382),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3385),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3391),
    [aux_sym_select_type_statement_token1] = ACTIONS(3394),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3397),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3403),
    [aux_sym_print_statement_token1] = ACTIONS(3406),
    [aux_sym_open_statement_token1] = ACTIONS(3409),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3415),
    [aux_sym_file_position_statement_token1] = ACTIONS(3418),
    [aux_sym_file_position_statement_token2] = ACTIONS(3418),
    [aux_sym_file_position_statement_token3] = ACTIONS(3418),
    [aux_sym_file_position_statement_token4] = ACTIONS(3421),
    [aux_sym_allocate_statement_token1] = ACTIONS(3424),
    [aux_sym_entry_statement_token1] = ACTIONS(3427),
    [aux_sym_assign_statement_token1] = ACTIONS(3430),
    [aux_sym_logical_expression_token5] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3442),
    [aux_sym_boolean_literal_token1] = ACTIONS(3445),
    [aux_sym_boolean_literal_token2] = ACTIONS(3445),
    [aux_sym_null_literal_token1] = ACTIONS(3448),
    [aux_sym_coarray_statement_token1] = ACTIONS(3451),
    [aux_sym_coarray_statement_token2] = ACTIONS(3451),
    [aux_sym_coarray_statement_token6] = ACTIONS(3454),
    [aux_sym_coarray_statement_token8] = ACTIONS(3457),
    [aux_sym_coarray_statement_token11] = ACTIONS(3460),
    [aux_sym_coarray_statement_token12] = ACTIONS(3460),
    [aux_sym_coarray_statement_token13] = ACTIONS(3463),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3469),
    [aux_sym_identifier_token1] = ACTIONS(3332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3472),
    [sym__float_literal] = ACTIONS(3475),
    [sym__boz_literal] = ACTIONS(3475),
    [sym__string_literal] = ACTIONS(3478),
    [sym__string_literal_kind] = ACTIONS(3481),
  },
  [678] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8384),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [679] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8809),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [680] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8336),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [681] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8817),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [682] = {
    [sym_preproc_include] = STATE(682),
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym__statements] = STATE(7606),
    [sym_statement_label] = STATE(859),
    [sym_stop_statement] = STATE(7606),
    [sym_assignment_statement] = STATE(7606),
    [sym_pointer_association_statement] = STATE(7606),
    [sym_subroutine_call] = STATE(7606),
    [sym_keyword_statement] = STATE(7606),
    [sym_include_statement] = STATE(7606),
    [sym_do_loop_statement] = STATE(7606),
    [sym_do_label_statement] = STATE(7606),
    [sym_end_do_label_statement] = STATE(7606),
    [sym_if_statement] = STATE(7606),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7606),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7606),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7606),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7606),
    [sym_select_type_statement] = STATE(7606),
    [sym_select_rank_statement] = STATE(7606),
    [sym_block_construct] = STATE(7606),
    [sym_associate_statement] = STATE(7606),
    [sym_format_statement] = STATE(7606),
    [sym_read_statement] = STATE(7606),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7606),
    [sym_open_statement] = STATE(7606),
    [sym_close_statement] = STATE(7606),
    [sym_write_statement] = STATE(7606),
    [sym_inquire_statement] = STATE(7606),
    [sym_file_position_statement] = STATE(7606),
    [sym_allocate_statement] = STATE(7606),
    [sym_entry_statement] = STATE(7606),
    [sym_assign_statement] = STATE(7606),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7606),
    [sym_coarray_team_statement] = STATE(7606),
    [sym_coarray_critical_statement] = STATE(7606),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_preproc_include_token1] = ACTIONS(3506),
    [aux_sym_preproc_def_token1] = ACTIONS(3509),
    [aux_sym_preproc_if_token1] = ACTIONS(3512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3518),
    [anon_sym_LPAREN2] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3521),
    [aux_sym_block_data_statement_token1] = ACTIONS(3329),
    [aux_sym_block_data_statement_token2] = ACTIONS(3332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3338),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3332),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3332),
    [aux_sym_implicit_statement_token4] = ACTIONS(3332),
    [aux_sym_save_statement_token1] = ACTIONS(3332),
    [aux_sym_private_statement_token1] = ACTIONS(3332),
    [aux_sym_public_statement_token1] = ACTIONS(3332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3332),
    [aux_sym_variable_attributes_token2] = ACTIONS(3332),
    [aux_sym_variable_attributes_token3] = ACTIONS(3332),
    [aux_sym_variable_attributes_token5] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3346),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3332),
    [aux_sym_type_qualifier_token1] = ACTIONS(3332),
    [aux_sym_type_qualifier_token2] = ACTIONS(3332),
    [aux_sym_stop_statement_token1] = ACTIONS(3349),
    [aux_sym_stop_statement_token2] = ACTIONS(3352),
    [aux_sym_subroutine_call_token1] = ACTIONS(3355),
    [aux_sym_keyword_statement_token1] = ACTIONS(3358),
    [aux_sym_keyword_statement_token2] = ACTIONS(3361),
    [aux_sym_keyword_statement_token3] = ACTIONS(3361),
    [aux_sym_keyword_statement_token4] = ACTIONS(3364),
    [aux_sym_keyword_statement_token6] = ACTIONS(3367),
    [aux_sym_keyword_statement_token7] = ACTIONS(3370),
    [aux_sym_include_statement_token1] = ACTIONS(3373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3379),
    [aux_sym_end_if_statement_token1] = ACTIONS(3332),
    [aux_sym_elseif_clause_token2] = ACTIONS(3332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3382),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3385),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3391),
    [aux_sym_select_type_statement_token1] = ACTIONS(3394),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3397),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3403),
    [aux_sym_print_statement_token1] = ACTIONS(3406),
    [aux_sym_open_statement_token1] = ACTIONS(3409),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3415),
    [aux_sym_file_position_statement_token1] = ACTIONS(3418),
    [aux_sym_file_position_statement_token2] = ACTIONS(3418),
    [aux_sym_file_position_statement_token3] = ACTIONS(3418),
    [aux_sym_file_position_statement_token4] = ACTIONS(3421),
    [aux_sym_allocate_statement_token1] = ACTIONS(3424),
    [aux_sym_entry_statement_token1] = ACTIONS(3427),
    [aux_sym_assign_statement_token1] = ACTIONS(3430),
    [aux_sym_logical_expression_token5] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3442),
    [aux_sym_boolean_literal_token1] = ACTIONS(3445),
    [aux_sym_boolean_literal_token2] = ACTIONS(3445),
    [aux_sym_null_literal_token1] = ACTIONS(3448),
    [aux_sym_coarray_statement_token1] = ACTIONS(3451),
    [aux_sym_coarray_statement_token2] = ACTIONS(3451),
    [aux_sym_coarray_statement_token6] = ACTIONS(3454),
    [aux_sym_coarray_statement_token8] = ACTIONS(3457),
    [aux_sym_coarray_statement_token11] = ACTIONS(3460),
    [aux_sym_coarray_statement_token12] = ACTIONS(3460),
    [aux_sym_coarray_statement_token13] = ACTIONS(3463),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3469),
    [aux_sym_identifier_token1] = ACTIONS(3332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3472),
    [sym__float_literal] = ACTIONS(3475),
    [sym__boz_literal] = ACTIONS(3475),
    [sym__string_literal] = ACTIONS(3478),
    [sym__string_literal_kind] = ACTIONS(3481),
  },
  [683] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8640),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [684] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8665),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [685] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8376),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [686] = {
    [sym_preproc_include] = STATE(680),
    [sym_preproc_def] = STATE(680),
    [sym_preproc_function_def] = STATE(680),
    [sym_preproc_call] = STATE(680),
    [sym_preproc_if_in_statements] = STATE(680),
    [sym_preproc_ifdef_in_statements] = STATE(680),
    [sym_internal_procedures] = STATE(9059),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(680),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3526),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [687] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(9059),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [688] = {
    [sym_preproc_include] = STATE(678),
    [sym_preproc_def] = STATE(678),
    [sym_preproc_function_def] = STATE(678),
    [sym_preproc_call] = STATE(678),
    [sym_preproc_if_in_statements] = STATE(678),
    [sym_preproc_ifdef_in_statements] = STATE(678),
    [sym_internal_procedures] = STATE(8627),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(678),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3530),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [689] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_internal_procedures] = STATE(8627),
    [sym_contains_statement] = STATE(7053),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(1205),
    [aux_sym_preproc_if_token2] = ACTIONS(3528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(3250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(3298),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [690] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_module] = STATE(702),
    [sym_preproc_ifdef_in_module] = STATE(702),
    [sym_interface] = STATE(702),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(1085),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(702),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(702),
    [sym_public_statement] = STATE(702),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(702),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(702),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(702),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(702),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3544),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3546),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [691] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3555),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3555),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [692] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_module] = STATE(735),
    [sym_preproc_ifdef_in_module] = STATE(735),
    [sym_interface] = STATE(735),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(910),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(735),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(735),
    [sym_public_statement] = STATE(735),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(735),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(735),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(735),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(735),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [anon_sym_SEMI] = ACTIONS(3559),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [693] = {
    [sym_preproc_include] = STATE(697),
    [sym_preproc_def] = STATE(697),
    [sym_preproc_function_def] = STATE(697),
    [sym_preproc_call] = STATE(697),
    [sym_preproc_if_in_module] = STATE(697),
    [sym_preproc_ifdef_in_module] = STATE(697),
    [sym_interface] = STATE(697),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(1035),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(697),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(697),
    [sym_public_statement] = STATE(697),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(697),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(697),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(697),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(697),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3563),
    [anon_sym_SEMI] = ACTIONS(3565),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [694] = {
    [sym_preproc_include] = STATE(711),
    [sym_preproc_def] = STATE(711),
    [sym_preproc_function_def] = STATE(711),
    [sym_preproc_call] = STATE(711),
    [sym_preproc_if_in_statements] = STATE(711),
    [sym_preproc_ifdef_in_statements] = STATE(711),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(711),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3569),
    [anon_sym_SEMI] = ACTIONS(3572),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3574),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3574),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3574),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [695] = {
    [sym_preproc_include] = STATE(709),
    [sym_preproc_def] = STATE(709),
    [sym_preproc_function_def] = STATE(709),
    [sym_preproc_call] = STATE(709),
    [sym_preproc_if_in_statements] = STATE(709),
    [sym_preproc_ifdef_in_statements] = STATE(709),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(709),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3579),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3581),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3581),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [696] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3583),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3586),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3586),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3586),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [697] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_module] = STATE(735),
    [sym_preproc_ifdef_in_module] = STATE(735),
    [sym_interface] = STATE(735),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(1099),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(735),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(735),
    [sym_public_statement] = STATE(735),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(735),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(735),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(735),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(735),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3563),
    [anon_sym_SEMI] = ACTIONS(3559),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [698] = {
    [sym_preproc_include] = STATE(698),
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_module] = STATE(698),
    [sym_preproc_ifdef_in_module] = STATE(698),
    [sym_interface] = STATE(698),
    [sym_interface_statement] = STATE(4129),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(698),
    [sym_use_statement] = STATE(7138),
    [sym_implicit_statement] = STATE(7138),
    [sym_save_statement] = STATE(7138),
    [sym_private_statement] = STATE(698),
    [sym_public_statement] = STATE(698),
    [sym_namelist_statement] = STATE(7138),
    [sym_common_statement] = STATE(7138),
    [sym_import_statement] = STATE(7138),
    [sym_derived_type_definition] = STATE(698),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4516),
    [sym_variable_declaration] = STATE(7138),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7138),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7138),
    [sym_equivalence_statement] = STATE(7138),
    [sym_statement_label] = STATE(7620),
    [sym_assignment_statement] = STATE(7138),
    [sym_include_statement] = STATE(7138),
    [sym_data_statement] = STATE(7138),
    [sym_enum] = STATE(698),
    [sym_enum_statement] = STATE(6398),
    [sym_enumeration_type] = STATE(698),
    [sym_enumeration_type_statement] = STATE(6406),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(698),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3588),
    [aux_sym_preproc_def_token1] = ACTIONS(3591),
    [aux_sym_preproc_if_token1] = ACTIONS(3594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3597),
    [sym_preproc_directive] = ACTIONS(3600),
    [anon_sym_LPAREN2] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3609),
    [aux_sym_end_module_statement_token1] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3614),
    [aux_sym_interface_statement_token1] = ACTIONS(3617),
    [aux_sym_block_data_statement_token1] = ACTIONS(3620),
    [aux_sym_block_data_statement_token2] = ACTIONS(3623),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3620),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3620),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3626),
    [aux_sym_language_binding_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3632),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3635),
    [aux_sym_contains_statement_token1] = ACTIONS(3612),
    [aux_sym_use_statement_token1] = ACTIONS(3638),
    [aux_sym_use_statement_token2] = ACTIONS(3635),
    [aux_sym_implicit_statement_token1] = ACTIONS(3641),
    [aux_sym_implicit_statement_token3] = ACTIONS(3644),
    [aux_sym_implicit_statement_token4] = ACTIONS(3635),
    [aux_sym_save_statement_token1] = ACTIONS(3647),
    [aux_sym_private_statement_token1] = ACTIONS(3650),
    [aux_sym_public_statement_token1] = ACTIONS(3653),
    [aux_sym_namelist_statement_token1] = ACTIONS(3656),
    [aux_sym_common_statement_token1] = ACTIONS(3659),
    [aux_sym_import_statement_token1] = ACTIONS(3662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3635),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3665),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3635),
    [aux_sym_variable_attributes_token1] = ACTIONS(3668),
    [aux_sym_variable_attributes_token2] = ACTIONS(3635),
    [aux_sym_variable_attributes_token3] = ACTIONS(3635),
    [aux_sym_variable_attributes_token4] = ACTIONS(3668),
    [aux_sym_variable_attributes_token5] = ACTIONS(3635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3677),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3674),
    [aux_sym_derived_type_token1] = ACTIONS(3683),
    [aux_sym_declared_type_token1] = ACTIONS(3686),
    [aux_sym_declared_type_token2] = ACTIONS(3686),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3689),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3695),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3698),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3668),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3701),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3668),
    [aux_sym_type_qualifier_token1] = ACTIONS(3620),
    [aux_sym_type_qualifier_token2] = ACTIONS(3620),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3704),
    [aux_sym_stop_statement_token1] = ACTIONS(3620),
    [aux_sym_stop_statement_token2] = ACTIONS(3620),
    [aux_sym_subroutine_call_token1] = ACTIONS(3707),
    [aux_sym_keyword_statement_token2] = ACTIONS(3620),
    [aux_sym_keyword_statement_token3] = ACTIONS(3620),
    [aux_sym_keyword_statement_token4] = ACTIONS(3710),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3620),
    [aux_sym_end_if_statement_token1] = ACTIONS(3620),
    [aux_sym_elseif_clause_token2] = ACTIONS(3620),
    [aux_sym_select_case_statement_token1] = ACTIONS(3716),
    [aux_sym_format_statement_token1] = ACTIONS(3620),
    [aux_sym_open_statement_token1] = ACTIONS(3707),
    [aux_sym_inquire_statement_token1] = ACTIONS(3620),
    [aux_sym_enum_statement_token1] = ACTIONS(3719),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3722),
    [aux_sym_entry_statement_token1] = ACTIONS(3620),
    [aux_sym_logical_expression_token5] = ACTIONS(3725),
    [anon_sym_DOT] = ACTIONS(3728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3734),
    [aux_sym_boolean_literal_token1] = ACTIONS(3737),
    [aux_sym_boolean_literal_token2] = ACTIONS(3737),
    [aux_sym_null_literal_token1] = ACTIONS(3740),
    [aux_sym_coarray_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_statement_token2] = ACTIONS(3620),
    [aux_sym_coarray_statement_token6] = ACTIONS(3620),
    [aux_sym_coarray_statement_token8] = ACTIONS(3620),
    [aux_sym_coarray_statement_token11] = ACTIONS(3620),
    [aux_sym_coarray_statement_token12] = ACTIONS(3620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3620),
    [aux_sym_identifier_token1] = ACTIONS(3620),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3743),
    [sym__float_literal] = ACTIONS(3746),
    [sym__boz_literal] = ACTIONS(3746),
    [sym__string_literal] = ACTIONS(3749),
    [sym__string_literal_kind] = ACTIONS(3752),
  },
  [699] = {
    [sym_preproc_include] = STATE(699),
    [sym_preproc_def] = STATE(699),
    [sym_preproc_function_def] = STATE(699),
    [sym_preproc_call] = STATE(699),
    [sym_preproc_if_in_statements] = STATE(699),
    [sym_preproc_ifdef_in_statements] = STATE(699),
    [sym__statements] = STATE(7056),
    [sym_statement_label] = STATE(863),
    [sym_stop_statement] = STATE(7056),
    [sym_assignment_statement] = STATE(7056),
    [sym_pointer_association_statement] = STATE(7056),
    [sym_subroutine_call] = STATE(7056),
    [sym_keyword_statement] = STATE(7056),
    [sym_include_statement] = STATE(7056),
    [sym_do_loop_statement] = STATE(7056),
    [sym_do_label_statement] = STATE(7056),
    [sym_end_do_label_statement] = STATE(7056),
    [sym_if_statement] = STATE(7056),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7056),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7056),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7056),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7056),
    [sym_select_type_statement] = STATE(7056),
    [sym_select_rank_statement] = STATE(7056),
    [sym_block_construct] = STATE(7056),
    [sym_associate_statement] = STATE(7056),
    [sym_format_statement] = STATE(7056),
    [sym_read_statement] = STATE(7056),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7056),
    [sym_open_statement] = STATE(7056),
    [sym_close_statement] = STATE(7056),
    [sym_write_statement] = STATE(7056),
    [sym_inquire_statement] = STATE(7056),
    [sym_file_position_statement] = STATE(7056),
    [sym_allocate_statement] = STATE(7056),
    [sym_entry_statement] = STATE(7056),
    [sym_assign_statement] = STATE(7056),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7056),
    [sym_coarray_team_statement] = STATE(7056),
    [sym_coarray_critical_statement] = STATE(7056),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(699),
    [aux_sym_preproc_include_token1] = ACTIONS(3755),
    [aux_sym_preproc_def_token1] = ACTIONS(3758),
    [aux_sym_preproc_if_token1] = ACTIONS(3761),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3764),
    [sym_preproc_directive] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(3770),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [700] = {
    [sym_preproc_include] = STATE(700),
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_module] = STATE(700),
    [sym_preproc_ifdef_in_module] = STATE(700),
    [sym_interface] = STATE(700),
    [sym_interface_statement] = STATE(4115),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(700),
    [sym_use_statement] = STATE(7541),
    [sym_implicit_statement] = STATE(7541),
    [sym_save_statement] = STATE(7541),
    [sym_private_statement] = STATE(700),
    [sym_public_statement] = STATE(700),
    [sym_namelist_statement] = STATE(7541),
    [sym_common_statement] = STATE(7541),
    [sym_import_statement] = STATE(7541),
    [sym_derived_type_definition] = STATE(700),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4522),
    [sym_variable_declaration] = STATE(7541),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7541),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7541),
    [sym_equivalence_statement] = STATE(7541),
    [sym_statement_label] = STATE(7470),
    [sym_assignment_statement] = STATE(7541),
    [sym_include_statement] = STATE(7541),
    [sym_data_statement] = STATE(7541),
    [sym_enum] = STATE(700),
    [sym_enum_statement] = STATE(6371),
    [sym_enumeration_type] = STATE(700),
    [sym_enumeration_type_statement] = STATE(6452),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(700),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3773),
    [aux_sym_preproc_def_token1] = ACTIONS(3776),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3782),
    [sym_preproc_directive] = ACTIONS(3785),
    [anon_sym_LPAREN2] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3609),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3788),
    [aux_sym_interface_statement_token1] = ACTIONS(3617),
    [aux_sym_block_data_statement_token1] = ACTIONS(3620),
    [aux_sym_block_data_statement_token2] = ACTIONS(3623),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3620),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3620),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3626),
    [aux_sym_language_binding_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3632),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3635),
    [aux_sym_contains_statement_token1] = ACTIONS(3612),
    [aux_sym_use_statement_token1] = ACTIONS(3638),
    [aux_sym_use_statement_token2] = ACTIONS(3635),
    [aux_sym_implicit_statement_token1] = ACTIONS(3641),
    [aux_sym_implicit_statement_token3] = ACTIONS(3644),
    [aux_sym_implicit_statement_token4] = ACTIONS(3635),
    [aux_sym_save_statement_token1] = ACTIONS(3647),
    [aux_sym_private_statement_token1] = ACTIONS(3791),
    [aux_sym_public_statement_token1] = ACTIONS(3794),
    [aux_sym_namelist_statement_token1] = ACTIONS(3656),
    [aux_sym_common_statement_token1] = ACTIONS(3659),
    [aux_sym_import_statement_token1] = ACTIONS(3662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3635),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3665),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3635),
    [aux_sym_variable_attributes_token1] = ACTIONS(3668),
    [aux_sym_variable_attributes_token2] = ACTIONS(3635),
    [aux_sym_variable_attributes_token3] = ACTIONS(3635),
    [aux_sym_variable_attributes_token4] = ACTIONS(3668),
    [aux_sym_variable_attributes_token5] = ACTIONS(3635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3677),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3674),
    [aux_sym_derived_type_token1] = ACTIONS(3683),
    [aux_sym_declared_type_token1] = ACTIONS(3686),
    [aux_sym_declared_type_token2] = ACTIONS(3686),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3689),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3695),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3698),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3668),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3701),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3668),
    [aux_sym_type_qualifier_token1] = ACTIONS(3620),
    [aux_sym_type_qualifier_token2] = ACTIONS(3620),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3704),
    [aux_sym_stop_statement_token1] = ACTIONS(3620),
    [aux_sym_stop_statement_token2] = ACTIONS(3620),
    [aux_sym_subroutine_call_token1] = ACTIONS(3707),
    [aux_sym_keyword_statement_token2] = ACTIONS(3620),
    [aux_sym_keyword_statement_token3] = ACTIONS(3620),
    [aux_sym_keyword_statement_token4] = ACTIONS(3710),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3620),
    [aux_sym_end_if_statement_token1] = ACTIONS(3620),
    [aux_sym_elseif_clause_token2] = ACTIONS(3620),
    [aux_sym_select_case_statement_token1] = ACTIONS(3716),
    [aux_sym_format_statement_token1] = ACTIONS(3620),
    [aux_sym_open_statement_token1] = ACTIONS(3707),
    [aux_sym_inquire_statement_token1] = ACTIONS(3620),
    [aux_sym_enum_statement_token1] = ACTIONS(3719),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3722),
    [aux_sym_entry_statement_token1] = ACTIONS(3620),
    [aux_sym_logical_expression_token5] = ACTIONS(3725),
    [anon_sym_DOT] = ACTIONS(3728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3734),
    [aux_sym_boolean_literal_token1] = ACTIONS(3737),
    [aux_sym_boolean_literal_token2] = ACTIONS(3737),
    [aux_sym_null_literal_token1] = ACTIONS(3740),
    [aux_sym_coarray_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_statement_token2] = ACTIONS(3620),
    [aux_sym_coarray_statement_token6] = ACTIONS(3620),
    [aux_sym_coarray_statement_token8] = ACTIONS(3620),
    [aux_sym_coarray_statement_token11] = ACTIONS(3620),
    [aux_sym_coarray_statement_token12] = ACTIONS(3620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3620),
    [aux_sym_identifier_token1] = ACTIONS(3620),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3743),
    [sym__float_literal] = ACTIONS(3746),
    [sym__boz_literal] = ACTIONS(3746),
    [sym__string_literal] = ACTIONS(3749),
    [sym__string_literal_kind] = ACTIONS(3752),
  },
  [701] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(3797),
    [aux_sym_preproc_def_token1] = ACTIONS(3800),
    [aux_sym_preproc_if_token1] = ACTIONS(3803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3806),
    [sym_preproc_directive] = ACTIONS(3809),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(3812),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym_end_where_statement_token1] = ACTIONS(2404),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [702] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_module] = STATE(735),
    [sym_preproc_ifdef_in_module] = STATE(735),
    [sym_interface] = STATE(735),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(1096),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(735),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(735),
    [sym_public_statement] = STATE(735),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(735),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(735),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(735),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(735),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3559),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3546),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [703] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(696),
    [sym_preproc_ifdef_in_statements] = STATE(696),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(696),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3815),
    [anon_sym_SEMI] = ACTIONS(3818),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3820),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3820),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3820),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [704] = {
    [sym_preproc_include] = STATE(692),
    [sym_preproc_def] = STATE(692),
    [sym_preproc_function_def] = STATE(692),
    [sym_preproc_call] = STATE(692),
    [sym_preproc_if_in_module] = STATE(692),
    [sym_preproc_ifdef_in_module] = STATE(692),
    [sym_interface] = STATE(692),
    [sym_interface_statement] = STATE(4068),
    [sym_end_block_data_statement] = STATE(899),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(692),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(692),
    [sym_public_statement] = STATE(692),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(692),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(692),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(692),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(692),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3532),
    [aux_sym_preproc_def_token1] = ACTIONS(3534),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3538),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [anon_sym_SEMI] = ACTIONS(3822),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(3548),
    [aux_sym_public_statement_token1] = ACTIONS(3550),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [705] = {
    [sym_preproc_include] = STATE(691),
    [sym_preproc_def] = STATE(691),
    [sym_preproc_function_def] = STATE(691),
    [sym_preproc_call] = STATE(691),
    [sym_preproc_if_in_statements] = STATE(691),
    [sym_preproc_ifdef_in_statements] = STATE(691),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(691),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3824),
    [anon_sym_SEMI] = ACTIONS(3827),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3829),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [706] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3815),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3820),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3820),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3820),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [707] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3831),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3834),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3834),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3834),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [708] = {
    [sym_preproc_include] = STATE(706),
    [sym_preproc_def] = STATE(706),
    [sym_preproc_function_def] = STATE(706),
    [sym_preproc_call] = STATE(706),
    [sym_preproc_if_in_statements] = STATE(706),
    [sym_preproc_ifdef_in_statements] = STATE(706),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(706),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3836),
    [anon_sym_SEMI] = ACTIONS(3839),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3841),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3841),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [709] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3836),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3841),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3841),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [710] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3843),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3555),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3555),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [711] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_statements] = STATE(701),
    [sym_preproc_ifdef_in_statements] = STATE(701),
    [sym__statements] = STATE(7171),
    [sym_statement_label] = STATE(861),
    [sym_stop_statement] = STATE(7171),
    [sym_assignment_statement] = STATE(7171),
    [sym_pointer_association_statement] = STATE(7171),
    [sym_subroutine_call] = STATE(7171),
    [sym_keyword_statement] = STATE(7171),
    [sym_include_statement] = STATE(7171),
    [sym_do_loop_statement] = STATE(7171),
    [sym_do_label_statement] = STATE(7171),
    [sym_end_do_label_statement] = STATE(7171),
    [sym_if_statement] = STATE(7171),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7171),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7171),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7171),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7171),
    [sym_select_type_statement] = STATE(7171),
    [sym_select_rank_statement] = STATE(7171),
    [sym_block_construct] = STATE(7171),
    [sym_associate_statement] = STATE(7171),
    [sym_format_statement] = STATE(7171),
    [sym_read_statement] = STATE(7171),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7171),
    [sym_open_statement] = STATE(7171),
    [sym_close_statement] = STATE(7171),
    [sym_write_statement] = STATE(7171),
    [sym_inquire_statement] = STATE(7171),
    [sym_file_position_statement] = STATE(7171),
    [sym_allocate_statement] = STATE(7171),
    [sym_entry_statement] = STATE(7171),
    [sym_assign_statement] = STATE(7171),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7171),
    [sym_coarray_team_statement] = STATE(7171),
    [sym_coarray_critical_statement] = STATE(7171),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(701),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3824),
    [anon_sym_SEMI] = ACTIONS(3079),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(3829),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [712] = {
    [sym_preproc_include] = STATE(746),
    [sym_preproc_def] = STATE(746),
    [sym_preproc_function_def] = STATE(746),
    [sym_preproc_call] = STATE(746),
    [sym_preproc_if_in_statements] = STATE(746),
    [sym_preproc_ifdef_in_statements] = STATE(746),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7927),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(746),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(3857),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [713] = {
    [sym_preproc_include] = STATE(751),
    [sym_preproc_def] = STATE(751),
    [sym_preproc_function_def] = STATE(751),
    [sym_preproc_call] = STATE(751),
    [sym_preproc_if_in_statements] = STATE(751),
    [sym_preproc_ifdef_in_statements] = STATE(751),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(751),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(3873),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [714] = {
    [sym_preproc_include] = STATE(720),
    [sym_preproc_def] = STATE(720),
    [sym_preproc_function_def] = STATE(720),
    [sym_preproc_call] = STATE(720),
    [sym_preproc_if_in_statements] = STATE(720),
    [sym_preproc_ifdef_in_statements] = STATE(720),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(720),
    [aux_sym_preproc_include_token1] = ACTIONS(3877),
    [aux_sym_preproc_def_token1] = ACTIONS(3880),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3886),
    [sym_preproc_directive] = ACTIONS(3889),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3892),
    [anon_sym_SEMI] = ACTIONS(3895),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3220),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3220),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3897),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [715] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(3877),
    [aux_sym_preproc_def_token1] = ACTIONS(3880),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3886),
    [sym_preproc_directive] = ACTIONS(3889),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3892),
    [anon_sym_SEMI] = ACTIONS(3900),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3220),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3220),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3897),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [716] = {
    [sym_preproc_include] = STATE(782),
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_statements] = STATE(782),
    [sym_preproc_ifdef_in_statements] = STATE(782),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(860),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7542),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7542),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7890),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(782),
    [aux_sym_preproc_include_token1] = ACTIONS(3902),
    [aux_sym_preproc_def_token1] = ACTIONS(3904),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(3908),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [717] = {
    [sym_preproc_include] = STATE(744),
    [sym_preproc_def] = STATE(744),
    [sym_preproc_function_def] = STATE(744),
    [sym_preproc_call] = STATE(744),
    [sym_preproc_if_in_statements] = STATE(744),
    [sym_preproc_ifdef_in_statements] = STATE(744),
    [sym__statements] = STATE(6978),
    [sym_statement_label] = STATE(827),
    [sym_stop_statement] = STATE(6978),
    [sym_assignment_statement] = STATE(6978),
    [sym_pointer_association_statement] = STATE(6978),
    [sym_subroutine_call] = STATE(6978),
    [sym_keyword_statement] = STATE(6978),
    [sym_include_statement] = STATE(6978),
    [sym_do_loop_statement] = STATE(6978),
    [sym_do_label_statement] = STATE(6978),
    [sym_end_do_label_statement] = STATE(6978),
    [sym_if_statement] = STATE(6978),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6978),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6978),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6978),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7919),
    [sym_select_case_statement] = STATE(6978),
    [sym_select_type_statement] = STATE(6978),
    [sym_select_rank_statement] = STATE(6978),
    [sym_block_construct] = STATE(6978),
    [sym_associate_statement] = STATE(6978),
    [sym_format_statement] = STATE(6978),
    [sym_read_statement] = STATE(6978),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6978),
    [sym_open_statement] = STATE(6978),
    [sym_close_statement] = STATE(6978),
    [sym_write_statement] = STATE(6978),
    [sym_inquire_statement] = STATE(6978),
    [sym_file_position_statement] = STATE(6978),
    [sym_allocate_statement] = STATE(6978),
    [sym_entry_statement] = STATE(6978),
    [sym_assign_statement] = STATE(6978),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6978),
    [sym_coarray_team_statement] = STATE(6978),
    [sym_coarray_critical_statement] = STATE(6978),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(744),
    [aux_sym_preproc_include_token1] = ACTIONS(3910),
    [aux_sym_preproc_def_token1] = ACTIONS(3912),
    [aux_sym_preproc_if_token1] = ACTIONS(3914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3916),
    [sym_preproc_directive] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3920),
    [anon_sym_SEMI] = ACTIONS(3922),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3926),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [718] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_interface] = STATE(718),
    [sym_interface_statement] = STATE(4123),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(718),
    [sym_use_statement] = STATE(7267),
    [sym_implicit_statement] = STATE(7267),
    [sym_save_statement] = STATE(7267),
    [sym_private_statement] = STATE(718),
    [sym_public_statement] = STATE(718),
    [sym_namelist_statement] = STATE(7267),
    [sym_common_statement] = STATE(7267),
    [sym_import_statement] = STATE(7267),
    [sym_derived_type_definition] = STATE(718),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4512),
    [sym_variable_declaration] = STATE(7267),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7267),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7267),
    [sym_equivalence_statement] = STATE(7267),
    [sym_statement_label] = STATE(7550),
    [sym_assignment_statement] = STATE(7267),
    [sym_include_statement] = STATE(7267),
    [sym_data_statement] = STATE(7267),
    [sym_enum] = STATE(718),
    [sym_enum_statement] = STATE(6366),
    [sym_enumeration_type] = STATE(718),
    [sym_enumeration_type_statement] = STATE(6536),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(718),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(3928),
    [aux_sym_preproc_def_token1] = ACTIONS(3931),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_else_token1] = ACTIONS(1259),
    [aux_sym_preproc_elif_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(3934),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(3937),
    [aux_sym_interface_statement_token1] = ACTIONS(1276),
    [aux_sym_block_data_statement_token1] = ACTIONS(1279),
    [aux_sym_block_data_statement_token2] = ACTIONS(1282),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1285),
    [aux_sym_language_binding_token1] = ACTIONS(1288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1291),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1294),
    [aux_sym_contains_statement_token1] = ACTIONS(1259),
    [aux_sym_use_statement_token1] = ACTIONS(1297),
    [aux_sym_use_statement_token2] = ACTIONS(1294),
    [aux_sym_implicit_statement_token1] = ACTIONS(1300),
    [aux_sym_implicit_statement_token3] = ACTIONS(1303),
    [aux_sym_implicit_statement_token4] = ACTIONS(1294),
    [aux_sym_save_statement_token1] = ACTIONS(1306),
    [aux_sym_private_statement_token1] = ACTIONS(3940),
    [aux_sym_public_statement_token1] = ACTIONS(3943),
    [aux_sym_namelist_statement_token1] = ACTIONS(1315),
    [aux_sym_common_statement_token1] = ACTIONS(1318),
    [aux_sym_import_statement_token1] = ACTIONS(1321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1294),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1294),
    [aux_sym_variable_attributes_token1] = ACTIONS(1327),
    [aux_sym_variable_attributes_token2] = ACTIONS(1294),
    [aux_sym_variable_attributes_token3] = ACTIONS(1294),
    [aux_sym_variable_attributes_token4] = ACTIONS(1327),
    [aux_sym_variable_attributes_token5] = ACTIONS(1294),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1339),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1333),
    [aux_sym_derived_type_token1] = ACTIONS(1342),
    [aux_sym_declared_type_token1] = ACTIONS(1345),
    [aux_sym_declared_type_token2] = ACTIONS(1345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1357),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1327),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1327),
    [aux_sym_type_qualifier_token1] = ACTIONS(1279),
    [aux_sym_type_qualifier_token2] = ACTIONS(1279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1363),
    [aux_sym_stop_statement_token1] = ACTIONS(1279),
    [aux_sym_stop_statement_token2] = ACTIONS(1279),
    [aux_sym_subroutine_call_token1] = ACTIONS(1366),
    [aux_sym_keyword_statement_token2] = ACTIONS(1279),
    [aux_sym_keyword_statement_token3] = ACTIONS(1279),
    [aux_sym_keyword_statement_token4] = ACTIONS(1369),
    [aux_sym_include_statement_token1] = ACTIONS(1372),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1279),
    [aux_sym_end_if_statement_token1] = ACTIONS(1279),
    [aux_sym_elseif_clause_token2] = ACTIONS(1279),
    [aux_sym_select_case_statement_token1] = ACTIONS(1375),
    [aux_sym_format_statement_token1] = ACTIONS(1279),
    [aux_sym_open_statement_token1] = ACTIONS(1366),
    [aux_sym_inquire_statement_token1] = ACTIONS(1279),
    [aux_sym_enum_statement_token1] = ACTIONS(1378),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1381),
    [aux_sym_entry_statement_token1] = ACTIONS(1279),
    [aux_sym_logical_expression_token5] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [aux_sym_boolean_literal_token1] = ACTIONS(1396),
    [aux_sym_boolean_literal_token2] = ACTIONS(1396),
    [aux_sym_null_literal_token1] = ACTIONS(1399),
    [aux_sym_coarray_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_statement_token2] = ACTIONS(1279),
    [aux_sym_coarray_statement_token6] = ACTIONS(1279),
    [aux_sym_coarray_statement_token8] = ACTIONS(1279),
    [aux_sym_coarray_statement_token11] = ACTIONS(1279),
    [aux_sym_coarray_statement_token12] = ACTIONS(1279),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1402),
    [sym__float_literal] = ACTIONS(1405),
    [sym__boz_literal] = ACTIONS(1405),
    [sym__string_literal] = ACTIONS(1408),
    [sym__string_literal_kind] = ACTIONS(1411),
  },
  [719] = {
    [sym_preproc_include] = STATE(753),
    [sym_preproc_def] = STATE(753),
    [sym_preproc_function_def] = STATE(753),
    [sym_preproc_call] = STATE(753),
    [sym_preproc_if_in_statements] = STATE(753),
    [sym_preproc_ifdef_in_statements] = STATE(753),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7936),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(753),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(3946),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [720] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(3948),
    [aux_sym_preproc_def_token1] = ACTIONS(3951),
    [aux_sym_preproc_if_token1] = ACTIONS(3954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3957),
    [sym_preproc_directive] = ACTIONS(3960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3963),
    [anon_sym_SEMI] = ACTIONS(3900),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3188),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3188),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3966),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [721] = {
    [sym_preproc_include] = STATE(792),
    [sym_preproc_def] = STATE(792),
    [sym_preproc_function_def] = STATE(792),
    [sym_preproc_call] = STATE(792),
    [sym_preproc_if_in_statements] = STATE(792),
    [sym_preproc_ifdef_in_statements] = STATE(792),
    [sym__statements] = STATE(7314),
    [sym_statement_label] = STATE(865),
    [sym_stop_statement] = STATE(7314),
    [sym_assignment_statement] = STATE(7314),
    [sym_pointer_association_statement] = STATE(7314),
    [sym_subroutine_call] = STATE(7314),
    [sym_keyword_statement] = STATE(7314),
    [sym_include_statement] = STATE(7314),
    [sym_do_loop_statement] = STATE(7314),
    [sym_do_label_statement] = STATE(7314),
    [sym_end_do_label_statement] = STATE(7314),
    [sym_if_statement] = STATE(7314),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7314),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7314),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7314),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7314),
    [sym_select_type_statement] = STATE(7314),
    [sym_select_rank_statement] = STATE(7314),
    [sym_block_construct] = STATE(7314),
    [sym_associate_statement] = STATE(7314),
    [sym_format_statement] = STATE(7314),
    [sym_read_statement] = STATE(7314),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7314),
    [sym_open_statement] = STATE(7314),
    [sym_close_statement] = STATE(7314),
    [sym_write_statement] = STATE(7314),
    [sym_inquire_statement] = STATE(7314),
    [sym_file_position_statement] = STATE(7314),
    [sym_allocate_statement] = STATE(7314),
    [sym_entry_statement] = STATE(7314),
    [sym_assign_statement] = STATE(7314),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7314),
    [sym_coarray_team_statement] = STATE(7314),
    [sym_end_coarray_team_statement] = STATE(8075),
    [sym_coarray_critical_statement] = STATE(7314),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(792),
    [aux_sym_preproc_include_token1] = ACTIONS(3969),
    [aux_sym_preproc_def_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3975),
    [sym_preproc_directive] = ACTIONS(3977),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3983),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [722] = {
    [sym_preproc_include] = STATE(736),
    [sym_preproc_def] = STATE(736),
    [sym_preproc_function_def] = STATE(736),
    [sym_preproc_call] = STATE(736),
    [sym_preproc_if_in_statements] = STATE(736),
    [sym_preproc_ifdef_in_statements] = STATE(736),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7757),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(736),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(3985),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [723] = {
    [sym_preproc_include] = STATE(748),
    [sym_preproc_def] = STATE(748),
    [sym_preproc_function_def] = STATE(748),
    [sym_preproc_call] = STATE(748),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7938),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(3987),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [724] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(6978),
    [sym_statement_label] = STATE(831),
    [sym_stop_statement] = STATE(6978),
    [sym_assignment_statement] = STATE(6978),
    [sym_pointer_association_statement] = STATE(6978),
    [sym_subroutine_call] = STATE(6978),
    [sym_keyword_statement] = STATE(6978),
    [sym_include_statement] = STATE(6978),
    [sym_do_loop_statement] = STATE(6978),
    [sym_do_label_statement] = STATE(6978),
    [sym_end_do_label_statement] = STATE(6978),
    [sym_if_statement] = STATE(6978),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6978),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6978),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6978),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7853),
    [sym_select_case_statement] = STATE(6978),
    [sym_select_type_statement] = STATE(6978),
    [sym_select_rank_statement] = STATE(6978),
    [sym_block_construct] = STATE(6978),
    [sym_associate_statement] = STATE(6978),
    [sym_format_statement] = STATE(6978),
    [sym_read_statement] = STATE(6978),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6978),
    [sym_open_statement] = STATE(6978),
    [sym_close_statement] = STATE(6978),
    [sym_write_statement] = STATE(6978),
    [sym_inquire_statement] = STATE(6978),
    [sym_file_position_statement] = STATE(6978),
    [sym_allocate_statement] = STATE(6978),
    [sym_entry_statement] = STATE(6978),
    [sym_assign_statement] = STATE(6978),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6978),
    [sym_coarray_team_statement] = STATE(6978),
    [sym_coarray_critical_statement] = STATE(6978),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3910),
    [aux_sym_preproc_def_token1] = ACTIONS(3912),
    [aux_sym_preproc_if_token1] = ACTIONS(3914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3916),
    [sym_preproc_directive] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3920),
    [anon_sym_SEMI] = ACTIONS(3989),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3926),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [725] = {
    [sym_preproc_include] = STATE(792),
    [sym_preproc_def] = STATE(792),
    [sym_preproc_function_def] = STATE(792),
    [sym_preproc_call] = STATE(792),
    [sym_preproc_if_in_statements] = STATE(792),
    [sym_preproc_ifdef_in_statements] = STATE(792),
    [sym__statements] = STATE(7314),
    [sym_statement_label] = STATE(865),
    [sym_stop_statement] = STATE(7314),
    [sym_assignment_statement] = STATE(7314),
    [sym_pointer_association_statement] = STATE(7314),
    [sym_subroutine_call] = STATE(7314),
    [sym_keyword_statement] = STATE(7314),
    [sym_include_statement] = STATE(7314),
    [sym_do_loop_statement] = STATE(7314),
    [sym_do_label_statement] = STATE(7314),
    [sym_end_do_label_statement] = STATE(7314),
    [sym_if_statement] = STATE(7314),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7314),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7314),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7314),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7314),
    [sym_select_type_statement] = STATE(7314),
    [sym_select_rank_statement] = STATE(7314),
    [sym_block_construct] = STATE(7314),
    [sym_associate_statement] = STATE(7314),
    [sym_format_statement] = STATE(7314),
    [sym_read_statement] = STATE(7314),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7314),
    [sym_open_statement] = STATE(7314),
    [sym_close_statement] = STATE(7314),
    [sym_write_statement] = STATE(7314),
    [sym_inquire_statement] = STATE(7314),
    [sym_file_position_statement] = STATE(7314),
    [sym_allocate_statement] = STATE(7314),
    [sym_entry_statement] = STATE(7314),
    [sym_assign_statement] = STATE(7314),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7314),
    [sym_coarray_team_statement] = STATE(7314),
    [sym_end_coarray_team_statement] = STATE(7879),
    [sym_coarray_critical_statement] = STATE(7314),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(792),
    [aux_sym_preproc_include_token1] = ACTIONS(3969),
    [aux_sym_preproc_def_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3975),
    [sym_preproc_directive] = ACTIONS(3977),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3983),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [726] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(835),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(8054),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4003),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [727] = {
    [sym_preproc_include] = STATE(727),
    [sym_preproc_def] = STATE(727),
    [sym_preproc_function_def] = STATE(727),
    [sym_preproc_call] = STATE(727),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym__statements] = STATE(7219),
    [sym_statement_label] = STATE(867),
    [sym_stop_statement] = STATE(7219),
    [sym_assignment_statement] = STATE(7219),
    [sym_pointer_association_statement] = STATE(7219),
    [sym_subroutine_call] = STATE(7219),
    [sym_keyword_statement] = STATE(7219),
    [sym_include_statement] = STATE(7219),
    [sym_do_loop_statement] = STATE(7219),
    [sym_do_label_statement] = STATE(7219),
    [sym_end_do_label_statement] = STATE(7219),
    [sym_if_statement] = STATE(7219),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7219),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7219),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7219),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7219),
    [sym_select_type_statement] = STATE(7219),
    [sym_select_rank_statement] = STATE(7219),
    [sym_block_construct] = STATE(7219),
    [sym_associate_statement] = STATE(7219),
    [sym_format_statement] = STATE(7219),
    [sym_read_statement] = STATE(7219),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7219),
    [sym_open_statement] = STATE(7219),
    [sym_close_statement] = STATE(7219),
    [sym_write_statement] = STATE(7219),
    [sym_inquire_statement] = STATE(7219),
    [sym_file_position_statement] = STATE(7219),
    [sym_allocate_statement] = STATE(7219),
    [sym_entry_statement] = STATE(7219),
    [sym_assign_statement] = STATE(7219),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7219),
    [sym_coarray_team_statement] = STATE(7219),
    [sym_coarray_critical_statement] = STATE(7219),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_preproc_include_token1] = ACTIONS(4007),
    [aux_sym_preproc_def_token1] = ACTIONS(4010),
    [aux_sym_preproc_if_token1] = ACTIONS(4013),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4016),
    [sym_preproc_directive] = ACTIONS(4019),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4022),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [728] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(832),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7796),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4003),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [729] = {
    [sym_preproc_include] = STATE(732),
    [sym_preproc_def] = STATE(732),
    [sym_preproc_function_def] = STATE(732),
    [sym_preproc_call] = STATE(732),
    [sym_preproc_if_in_statements] = STATE(732),
    [sym_preproc_ifdef_in_statements] = STATE(732),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7977),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(732),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(4025),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [730] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(4027),
    [aux_sym_preproc_def_token1] = ACTIONS(4030),
    [aux_sym_preproc_if_token1] = ACTIONS(4033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [sym_preproc_directive] = ACTIONS(4039),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4042),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token2] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [731] = {
    [sym_preproc_include] = STATE(789),
    [sym_preproc_def] = STATE(789),
    [sym_preproc_function_def] = STATE(789),
    [sym_preproc_call] = STATE(789),
    [sym_preproc_if_in_statements] = STATE(789),
    [sym_preproc_ifdef_in_statements] = STATE(789),
    [sym__statements] = STATE(6978),
    [sym_statement_label] = STATE(827),
    [sym_stop_statement] = STATE(6978),
    [sym_assignment_statement] = STATE(6978),
    [sym_pointer_association_statement] = STATE(6978),
    [sym_subroutine_call] = STATE(6978),
    [sym_keyword_statement] = STATE(6978),
    [sym_include_statement] = STATE(6978),
    [sym_do_loop_statement] = STATE(6978),
    [sym_do_label_statement] = STATE(6978),
    [sym_end_do_label_statement] = STATE(6978),
    [sym_if_statement] = STATE(6978),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6978),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6978),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6978),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7919),
    [sym_select_case_statement] = STATE(6978),
    [sym_select_type_statement] = STATE(6978),
    [sym_select_rank_statement] = STATE(6978),
    [sym_block_construct] = STATE(6978),
    [sym_associate_statement] = STATE(6978),
    [sym_format_statement] = STATE(6978),
    [sym_read_statement] = STATE(6978),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6978),
    [sym_open_statement] = STATE(6978),
    [sym_close_statement] = STATE(6978),
    [sym_write_statement] = STATE(6978),
    [sym_inquire_statement] = STATE(6978),
    [sym_file_position_statement] = STATE(6978),
    [sym_allocate_statement] = STATE(6978),
    [sym_entry_statement] = STATE(6978),
    [sym_assign_statement] = STATE(6978),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6978),
    [sym_coarray_team_statement] = STATE(6978),
    [sym_coarray_critical_statement] = STATE(6978),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(789),
    [aux_sym_preproc_include_token1] = ACTIONS(3910),
    [aux_sym_preproc_def_token1] = ACTIONS(3912),
    [aux_sym_preproc_if_token1] = ACTIONS(3914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3916),
    [sym_preproc_directive] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3920),
    [anon_sym_SEMI] = ACTIONS(4045),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3926),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [732] = {
    [sym_preproc_include] = STATE(787),
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_statements] = STATE(787),
    [sym_preproc_ifdef_in_statements] = STATE(787),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7927),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(787),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(4047),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [733] = {
    [sym_preproc_include] = STATE(752),
    [sym_preproc_def] = STATE(752),
    [sym_preproc_function_def] = STATE(752),
    [sym_preproc_call] = STATE(752),
    [sym_preproc_if_in_statements] = STATE(752),
    [sym_preproc_ifdef_in_statements] = STATE(752),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(833),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7843),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(752),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4049),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [734] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym__statements] = STATE(6781),
    [sym_statement_label] = STATE(857),
    [sym_stop_statement] = STATE(6781),
    [sym_assignment_statement] = STATE(6781),
    [sym_pointer_association_statement] = STATE(6781),
    [sym_subroutine_call] = STATE(6781),
    [sym_keyword_statement] = STATE(6781),
    [sym_include_statement] = STATE(6781),
    [sym_do_loop_statement] = STATE(6781),
    [sym_do_label_statement] = STATE(6781),
    [sym_end_do_label_statement] = STATE(6781),
    [sym_if_statement] = STATE(6781),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6781),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6781),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6781),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6781),
    [sym_select_type_statement] = STATE(6781),
    [sym_select_rank_statement] = STATE(6781),
    [sym_block_construct] = STATE(6781),
    [sym_associate_statement] = STATE(6781),
    [sym_format_statement] = STATE(6781),
    [sym_read_statement] = STATE(6781),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6781),
    [sym_open_statement] = STATE(6781),
    [sym_close_statement] = STATE(6781),
    [sym_write_statement] = STATE(6781),
    [sym_inquire_statement] = STATE(6781),
    [sym_file_position_statement] = STATE(6781),
    [sym_allocate_statement] = STATE(6781),
    [sym_entry_statement] = STATE(6781),
    [sym_assign_statement] = STATE(6781),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6781),
    [sym_coarray_team_statement] = STATE(6781),
    [sym_coarray_critical_statement] = STATE(6781),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(4051),
    [aux_sym_preproc_def_token1] = ACTIONS(4054),
    [aux_sym_preproc_if_token1] = ACTIONS(4057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4060),
    [sym_preproc_directive] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(4066),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [735] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_module] = STATE(735),
    [sym_preproc_ifdef_in_module] = STATE(735),
    [sym_interface] = STATE(735),
    [sym_interface_statement] = STATE(4068),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(735),
    [sym_use_statement] = STATE(6825),
    [sym_implicit_statement] = STATE(6825),
    [sym_save_statement] = STATE(6825),
    [sym_private_statement] = STATE(735),
    [sym_public_statement] = STATE(735),
    [sym_namelist_statement] = STATE(6825),
    [sym_common_statement] = STATE(6825),
    [sym_import_statement] = STATE(6825),
    [sym_derived_type_definition] = STATE(735),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4504),
    [sym_variable_declaration] = STATE(6825),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(6825),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(6825),
    [sym_equivalence_statement] = STATE(6825),
    [sym_statement_label] = STATE(7515),
    [sym_assignment_statement] = STATE(6825),
    [sym_include_statement] = STATE(6825),
    [sym_data_statement] = STATE(6825),
    [sym_enum] = STATE(735),
    [sym_enum_statement] = STATE(6399),
    [sym_enumeration_type] = STATE(735),
    [sym_enumeration_type_statement] = STATE(6472),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_module_repeat1] = STATE(735),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4069),
    [aux_sym_preproc_def_token1] = ACTIONS(4072),
    [aux_sym_preproc_if_token1] = ACTIONS(4075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4078),
    [sym_preproc_directive] = ACTIONS(4081),
    [anon_sym_LPAREN2] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3609),
    [anon_sym_SEMI] = ACTIONS(4084),
    [aux_sym_interface_statement_token1] = ACTIONS(3617),
    [aux_sym_block_data_statement_token1] = ACTIONS(3620),
    [aux_sym_block_data_statement_token2] = ACTIONS(3623),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3620),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3620),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3626),
    [aux_sym_language_binding_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3632),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3635),
    [aux_sym_use_statement_token1] = ACTIONS(3638),
    [aux_sym_use_statement_token2] = ACTIONS(3635),
    [aux_sym_implicit_statement_token1] = ACTIONS(3641),
    [aux_sym_implicit_statement_token3] = ACTIONS(3644),
    [aux_sym_implicit_statement_token4] = ACTIONS(3635),
    [aux_sym_save_statement_token1] = ACTIONS(3647),
    [aux_sym_private_statement_token1] = ACTIONS(4087),
    [aux_sym_public_statement_token1] = ACTIONS(4090),
    [aux_sym_namelist_statement_token1] = ACTIONS(3656),
    [aux_sym_common_statement_token1] = ACTIONS(3659),
    [aux_sym_import_statement_token1] = ACTIONS(3662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3635),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3665),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3635),
    [aux_sym_variable_attributes_token1] = ACTIONS(3668),
    [aux_sym_variable_attributes_token2] = ACTIONS(3635),
    [aux_sym_variable_attributes_token3] = ACTIONS(3635),
    [aux_sym_variable_attributes_token4] = ACTIONS(3668),
    [aux_sym_variable_attributes_token5] = ACTIONS(3635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3677),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3674),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3674),
    [aux_sym_derived_type_token1] = ACTIONS(3683),
    [aux_sym_declared_type_token1] = ACTIONS(3686),
    [aux_sym_declared_type_token2] = ACTIONS(3686),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3689),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3695),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3698),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3668),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3701),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3635),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3668),
    [aux_sym_type_qualifier_token1] = ACTIONS(3620),
    [aux_sym_type_qualifier_token2] = ACTIONS(3620),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3704),
    [aux_sym_stop_statement_token1] = ACTIONS(3620),
    [aux_sym_stop_statement_token2] = ACTIONS(3620),
    [aux_sym_subroutine_call_token1] = ACTIONS(3707),
    [aux_sym_keyword_statement_token2] = ACTIONS(3620),
    [aux_sym_keyword_statement_token3] = ACTIONS(3620),
    [aux_sym_keyword_statement_token4] = ACTIONS(3710),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3620),
    [aux_sym_end_if_statement_token1] = ACTIONS(3620),
    [aux_sym_elseif_clause_token2] = ACTIONS(3620),
    [aux_sym_select_case_statement_token1] = ACTIONS(3716),
    [aux_sym_format_statement_token1] = ACTIONS(3620),
    [aux_sym_open_statement_token1] = ACTIONS(3707),
    [aux_sym_inquire_statement_token1] = ACTIONS(3620),
    [aux_sym_enum_statement_token1] = ACTIONS(3719),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3722),
    [aux_sym_entry_statement_token1] = ACTIONS(3620),
    [aux_sym_logical_expression_token5] = ACTIONS(3725),
    [anon_sym_DOT] = ACTIONS(3728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3734),
    [aux_sym_boolean_literal_token1] = ACTIONS(3737),
    [aux_sym_boolean_literal_token2] = ACTIONS(3737),
    [aux_sym_null_literal_token1] = ACTIONS(3740),
    [aux_sym_coarray_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_statement_token2] = ACTIONS(3620),
    [aux_sym_coarray_statement_token6] = ACTIONS(3620),
    [aux_sym_coarray_statement_token8] = ACTIONS(3620),
    [aux_sym_coarray_statement_token11] = ACTIONS(3620),
    [aux_sym_coarray_statement_token12] = ACTIONS(3620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3620),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3620),
    [aux_sym_identifier_token1] = ACTIONS(3620),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3743),
    [sym__float_literal] = ACTIONS(3746),
    [sym__boz_literal] = ACTIONS(3746),
    [sym__string_literal] = ACTIONS(3749),
    [sym__string_literal_kind] = ACTIONS(3752),
  },
  [736] = {
    [sym_preproc_include] = STATE(787),
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_statements] = STATE(787),
    [sym_preproc_ifdef_in_statements] = STATE(787),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7977),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(787),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(4047),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [737] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(841),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7894),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4003),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [738] = {
    [sym_preproc_include] = STATE(726),
    [sym_preproc_def] = STATE(726),
    [sym_preproc_function_def] = STATE(726),
    [sym_preproc_call] = STATE(726),
    [sym_preproc_if_in_statements] = STATE(726),
    [sym_preproc_ifdef_in_statements] = STATE(726),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(832),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7796),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(726),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4093),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [739] = {
    [sym_preproc_include] = STATE(782),
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_statements] = STATE(782),
    [sym_preproc_ifdef_in_statements] = STATE(782),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(860),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7542),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7542),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7687),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(782),
    [aux_sym_preproc_include_token1] = ACTIONS(3902),
    [aux_sym_preproc_def_token1] = ACTIONS(3904),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(3908),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [740] = {
    [sym_preproc_include] = STATE(754),
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_statements] = STATE(754),
    [sym_preproc_ifdef_in_statements] = STATE(754),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(754),
    [aux_sym_preproc_include_token1] = ACTIONS(4095),
    [aux_sym_preproc_def_token1] = ACTIONS(4098),
    [aux_sym_preproc_if_token1] = ACTIONS(4101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4104),
    [sym_preproc_directive] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4110),
    [anon_sym_SEMI] = ACTIONS(4113),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3226),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3226),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4115),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [741] = {
    [sym_preproc_include] = STATE(728),
    [sym_preproc_def] = STATE(728),
    [sym_preproc_function_def] = STATE(728),
    [sym_preproc_call] = STATE(728),
    [sym_preproc_if_in_statements] = STATE(728),
    [sym_preproc_ifdef_in_statements] = STATE(728),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(844),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7906),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(728),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4118),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [742] = {
    [sym_preproc_include] = STATE(782),
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_statements] = STATE(782),
    [sym_preproc_ifdef_in_statements] = STATE(782),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(860),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7542),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7542),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_end_block_construct_statement] = STATE(7735),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(782),
    [aux_sym_preproc_include_token1] = ACTIONS(3902),
    [aux_sym_preproc_def_token1] = ACTIONS(3904),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(3908),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1247),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [743] = {
    [sym_preproc_include] = STATE(737),
    [sym_preproc_def] = STATE(737),
    [sym_preproc_function_def] = STATE(737),
    [sym_preproc_call] = STATE(737),
    [sym_preproc_if_in_statements] = STATE(737),
    [sym_preproc_ifdef_in_statements] = STATE(737),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(835),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(8054),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(737),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4120),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [744] = {
    [sym_preproc_include] = STATE(789),
    [sym_preproc_def] = STATE(789),
    [sym_preproc_function_def] = STATE(789),
    [sym_preproc_call] = STATE(789),
    [sym_preproc_if_in_statements] = STATE(789),
    [sym_preproc_ifdef_in_statements] = STATE(789),
    [sym__statements] = STATE(6978),
    [sym_statement_label] = STATE(829),
    [sym_stop_statement] = STATE(6978),
    [sym_assignment_statement] = STATE(6978),
    [sym_pointer_association_statement] = STATE(6978),
    [sym_subroutine_call] = STATE(6978),
    [sym_keyword_statement] = STATE(6978),
    [sym_include_statement] = STATE(6978),
    [sym_do_loop_statement] = STATE(6978),
    [sym_do_label_statement] = STATE(6978),
    [sym_end_do_label_statement] = STATE(6978),
    [sym_if_statement] = STATE(6978),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6978),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6978),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6978),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7968),
    [sym_select_case_statement] = STATE(6978),
    [sym_select_type_statement] = STATE(6978),
    [sym_select_rank_statement] = STATE(6978),
    [sym_block_construct] = STATE(6978),
    [sym_associate_statement] = STATE(6978),
    [sym_format_statement] = STATE(6978),
    [sym_read_statement] = STATE(6978),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6978),
    [sym_open_statement] = STATE(6978),
    [sym_close_statement] = STATE(6978),
    [sym_write_statement] = STATE(6978),
    [sym_inquire_statement] = STATE(6978),
    [sym_file_position_statement] = STATE(6978),
    [sym_allocate_statement] = STATE(6978),
    [sym_entry_statement] = STATE(6978),
    [sym_assign_statement] = STATE(6978),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6978),
    [sym_coarray_team_statement] = STATE(6978),
    [sym_coarray_critical_statement] = STATE(6978),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(789),
    [aux_sym_preproc_include_token1] = ACTIONS(3910),
    [aux_sym_preproc_def_token1] = ACTIONS(3912),
    [aux_sym_preproc_if_token1] = ACTIONS(3914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3916),
    [sym_preproc_directive] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3920),
    [anon_sym_SEMI] = ACTIONS(4045),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3926),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [745] = {
    [sym_preproc_include] = STATE(721),
    [sym_preproc_def] = STATE(721),
    [sym_preproc_function_def] = STATE(721),
    [sym_preproc_call] = STATE(721),
    [sym_preproc_if_in_statements] = STATE(721),
    [sym_preproc_ifdef_in_statements] = STATE(721),
    [sym__statements] = STATE(7314),
    [sym_statement_label] = STATE(865),
    [sym_stop_statement] = STATE(7314),
    [sym_assignment_statement] = STATE(7314),
    [sym_pointer_association_statement] = STATE(7314),
    [sym_subroutine_call] = STATE(7314),
    [sym_keyword_statement] = STATE(7314),
    [sym_include_statement] = STATE(7314),
    [sym_do_loop_statement] = STATE(7314),
    [sym_do_label_statement] = STATE(7314),
    [sym_end_do_label_statement] = STATE(7314),
    [sym_if_statement] = STATE(7314),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7314),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7314),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7314),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7314),
    [sym_select_type_statement] = STATE(7314),
    [sym_select_rank_statement] = STATE(7314),
    [sym_block_construct] = STATE(7314),
    [sym_associate_statement] = STATE(7314),
    [sym_format_statement] = STATE(7314),
    [sym_read_statement] = STATE(7314),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7314),
    [sym_open_statement] = STATE(7314),
    [sym_close_statement] = STATE(7314),
    [sym_write_statement] = STATE(7314),
    [sym_inquire_statement] = STATE(7314),
    [sym_file_position_statement] = STATE(7314),
    [sym_allocate_statement] = STATE(7314),
    [sym_entry_statement] = STATE(7314),
    [sym_assign_statement] = STATE(7314),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7314),
    [sym_coarray_team_statement] = STATE(7314),
    [sym_end_coarray_team_statement] = STATE(7879),
    [sym_coarray_critical_statement] = STATE(7314),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(721),
    [aux_sym_preproc_include_token1] = ACTIONS(3969),
    [aux_sym_preproc_def_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3975),
    [sym_preproc_directive] = ACTIONS(3977),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(4122),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3983),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [746] = {
    [sym_preproc_include] = STATE(787),
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_statements] = STATE(787),
    [sym_preproc_ifdef_in_statements] = STATE(787),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_end_coarray_critical_statement] = STATE(7727),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(787),
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3853),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3855),
    [anon_sym_SEMI] = ACTIONS(4047),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3859),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [747] = {
    [sym_preproc_include] = STATE(715),
    [sym_preproc_def] = STATE(715),
    [sym_preproc_function_def] = STATE(715),
    [sym_preproc_call] = STATE(715),
    [sym_preproc_if_in_statements] = STATE(715),
    [sym_preproc_ifdef_in_statements] = STATE(715),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(715),
    [aux_sym_preproc_include_token1] = ACTIONS(4124),
    [aux_sym_preproc_def_token1] = ACTIONS(4127),
    [aux_sym_preproc_if_token1] = ACTIONS(4130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4133),
    [sym_preproc_directive] = ACTIONS(4136),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4139),
    [anon_sym_SEMI] = ACTIONS(4142),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3256),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3256),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4144),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [748] = {
    [sym_preproc_include] = STATE(794),
    [sym_preproc_def] = STATE(794),
    [sym_preproc_function_def] = STATE(794),
    [sym_preproc_call] = STATE(794),
    [sym_preproc_if_in_statements] = STATE(794),
    [sym_preproc_ifdef_in_statements] = STATE(794),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7780),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(794),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(4147),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [749] = {
    [sym_preproc_include] = STATE(725),
    [sym_preproc_def] = STATE(725),
    [sym_preproc_function_def] = STATE(725),
    [sym_preproc_call] = STATE(725),
    [sym_preproc_if_in_statements] = STATE(725),
    [sym_preproc_ifdef_in_statements] = STATE(725),
    [sym__statements] = STATE(7314),
    [sym_statement_label] = STATE(865),
    [sym_stop_statement] = STATE(7314),
    [sym_assignment_statement] = STATE(7314),
    [sym_pointer_association_statement] = STATE(7314),
    [sym_subroutine_call] = STATE(7314),
    [sym_keyword_statement] = STATE(7314),
    [sym_include_statement] = STATE(7314),
    [sym_do_loop_statement] = STATE(7314),
    [sym_do_label_statement] = STATE(7314),
    [sym_end_do_label_statement] = STATE(7314),
    [sym_if_statement] = STATE(7314),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7314),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7314),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7314),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7314),
    [sym_select_type_statement] = STATE(7314),
    [sym_select_rank_statement] = STATE(7314),
    [sym_block_construct] = STATE(7314),
    [sym_associate_statement] = STATE(7314),
    [sym_format_statement] = STATE(7314),
    [sym_read_statement] = STATE(7314),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7314),
    [sym_open_statement] = STATE(7314),
    [sym_close_statement] = STATE(7314),
    [sym_write_statement] = STATE(7314),
    [sym_inquire_statement] = STATE(7314),
    [sym_file_position_statement] = STATE(7314),
    [sym_allocate_statement] = STATE(7314),
    [sym_entry_statement] = STATE(7314),
    [sym_assign_statement] = STATE(7314),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7314),
    [sym_coarray_team_statement] = STATE(7314),
    [sym_end_coarray_team_statement] = STATE(7884),
    [sym_coarray_critical_statement] = STATE(7314),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(725),
    [aux_sym_preproc_include_token1] = ACTIONS(3969),
    [aux_sym_preproc_def_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3975),
    [sym_preproc_directive] = ACTIONS(3977),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(4149),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3983),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [750] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(4151),
    [aux_sym_preproc_def_token1] = ACTIONS(4154),
    [aux_sym_preproc_if_token1] = ACTIONS(4157),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4160),
    [sym_preproc_directive] = ACTIONS(4163),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4166),
    [anon_sym_SEMI] = ACTIONS(3900),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3260),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3260),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4169),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [751] = {
    [sym_preproc_include] = STATE(794),
    [sym_preproc_def] = STATE(794),
    [sym_preproc_function_def] = STATE(794),
    [sym_preproc_call] = STATE(794),
    [sym_preproc_if_in_statements] = STATE(794),
    [sym_preproc_ifdef_in_statements] = STATE(794),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7938),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(794),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(4147),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [752] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(844),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_end_do_loop_statement] = STATE(7906),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3993),
    [aux_sym_preproc_if_token1] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3997),
    [sym_preproc_directive] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4003),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [753] = {
    [sym_preproc_include] = STATE(794),
    [sym_preproc_def] = STATE(794),
    [sym_preproc_function_def] = STATE(794),
    [sym_preproc_call] = STATE(794),
    [sym_preproc_if_in_statements] = STATE(794),
    [sym_preproc_ifdef_in_statements] = STATE(794),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_end_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(794),
    [aux_sym_preproc_include_token1] = ACTIONS(3861),
    [aux_sym_preproc_def_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3867),
    [sym_preproc_directive] = ACTIONS(3869),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(4147),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3875),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [754] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(4172),
    [aux_sym_preproc_def_token1] = ACTIONS(4175),
    [aux_sym_preproc_if_token1] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4181),
    [sym_preproc_directive] = ACTIONS(4184),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4187),
    [anon_sym_SEMI] = ACTIONS(3900),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3236),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3236),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4190),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [755] = {
    [sym_preproc_include] = STATE(750),
    [sym_preproc_def] = STATE(750),
    [sym_preproc_function_def] = STATE(750),
    [sym_preproc_call] = STATE(750),
    [sym_preproc_if_in_statements] = STATE(750),
    [sym_preproc_ifdef_in_statements] = STATE(750),
    [sym__statements] = STATE(7392),
    [sym_statement_label] = STATE(872),
    [sym_stop_statement] = STATE(7392),
    [sym_assignment_statement] = STATE(7392),
    [sym_pointer_association_statement] = STATE(7392),
    [sym_subroutine_call] = STATE(7392),
    [sym_keyword_statement] = STATE(7392),
    [sym_include_statement] = STATE(7392),
    [sym_do_loop_statement] = STATE(7392),
    [sym_do_label_statement] = STATE(7392),
    [sym_end_do_label_statement] = STATE(7392),
    [sym_if_statement] = STATE(7392),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7392),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7392),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7392),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7392),
    [sym_select_type_statement] = STATE(7392),
    [sym_select_rank_statement] = STATE(7392),
    [sym_block_construct] = STATE(7392),
    [sym_associate_statement] = STATE(7392),
    [sym_format_statement] = STATE(7392),
    [sym_read_statement] = STATE(7392),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7392),
    [sym_open_statement] = STATE(7392),
    [sym_close_statement] = STATE(7392),
    [sym_write_statement] = STATE(7392),
    [sym_inquire_statement] = STATE(7392),
    [sym_file_position_statement] = STATE(7392),
    [sym_allocate_statement] = STATE(7392),
    [sym_entry_statement] = STATE(7392),
    [sym_assign_statement] = STATE(7392),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7392),
    [sym_coarray_team_statement] = STATE(7392),
    [sym_coarray_critical_statement] = STATE(7392),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(750),
    [aux_sym_preproc_include_token1] = ACTIONS(4172),
    [aux_sym_preproc_def_token1] = ACTIONS(4175),
    [aux_sym_preproc_if_token1] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4181),
    [sym_preproc_directive] = ACTIONS(4184),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4187),
    [anon_sym_SEMI] = ACTIONS(4193),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3236),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3236),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4190),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [756] = {
    [sym_preproc_include] = STATE(784),
    [sym_preproc_def] = STATE(784),
    [sym_preproc_function_def] = STATE(784),
    [sym_preproc_call] = STATE(784),
    [sym_preproc_if_in_statements] = STATE(784),
    [sym_preproc_ifdef_in_statements] = STATE(784),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(784),
    [aux_sym_preproc_include_token1] = ACTIONS(4195),
    [aux_sym_preproc_def_token1] = ACTIONS(4198),
    [aux_sym_preproc_if_token1] = ACTIONS(4201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4204),
    [sym_preproc_directive] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4210),
    [anon_sym_SEMI] = ACTIONS(4213),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4215),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4218),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [757] = {
    [sym_preproc_include] = STATE(769),
    [sym_preproc_def] = STATE(769),
    [sym_preproc_function_def] = STATE(769),
    [sym_preproc_call] = STATE(769),
    [sym_preproc_if_in_statements] = STATE(769),
    [sym_preproc_ifdef_in_statements] = STATE(769),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(769),
    [aux_sym_preproc_include_token1] = ACTIONS(4221),
    [aux_sym_preproc_def_token1] = ACTIONS(4224),
    [aux_sym_preproc_if_token1] = ACTIONS(4227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4230),
    [sym_preproc_directive] = ACTIONS(4233),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4236),
    [anon_sym_SEMI] = ACTIONS(4239),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3232),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4244),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [758] = {
    [sym_preproc_include] = STATE(790),
    [sym_preproc_def] = STATE(790),
    [sym_preproc_function_def] = STATE(790),
    [sym_preproc_call] = STATE(790),
    [sym_preproc_if_in_statements] = STATE(790),
    [sym_preproc_ifdef_in_statements] = STATE(790),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(790),
    [aux_sym_preproc_include_token1] = ACTIONS(4247),
    [aux_sym_preproc_def_token1] = ACTIONS(4250),
    [aux_sym_preproc_if_token1] = ACTIONS(4253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4259),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4262),
    [anon_sym_SEMI] = ACTIONS(4265),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4267),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3240),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4270),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [759] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [760] = {
    [sym_preproc_include] = STATE(777),
    [sym_preproc_def] = STATE(777),
    [sym_preproc_function_def] = STATE(777),
    [sym_preproc_call] = STATE(777),
    [sym_preproc_if_in_statements] = STATE(777),
    [sym_preproc_ifdef_in_statements] = STATE(777),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(777),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4285),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [761] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [762] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [763] = {
    [sym_preproc_include] = STATE(778),
    [sym_preproc_def] = STATE(778),
    [sym_preproc_function_def] = STATE(778),
    [sym_preproc_call] = STATE(778),
    [sym_preproc_if_in_statements] = STATE(778),
    [sym_preproc_ifdef_in_statements] = STATE(778),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(778),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [764] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [765] = {
    [sym_preproc_include] = STATE(779),
    [sym_preproc_def] = STATE(779),
    [sym_preproc_function_def] = STATE(779),
    [sym_preproc_call] = STATE(779),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4289),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [766] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [767] = {
    [sym_preproc_include] = STATE(773),
    [sym_preproc_def] = STATE(773),
    [sym_preproc_function_def] = STATE(773),
    [sym_preproc_call] = STATE(773),
    [sym_preproc_if_in_statements] = STATE(773),
    [sym_preproc_ifdef_in_statements] = STATE(773),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(773),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4291),
    [anon_sym_SEMI] = ACTIONS(4294),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4296),
    [aux_sym_elseif_clause_token1] = ACTIONS(4299),
    [aux_sym_elseif_clause_token2] = ACTIONS(4296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4301),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [768] = {
    [sym_preproc_include] = STATE(781),
    [sym_preproc_def] = STATE(781),
    [sym_preproc_function_def] = STATE(781),
    [sym_preproc_call] = STATE(781),
    [sym_preproc_if_in_statements] = STATE(781),
    [sym_preproc_ifdef_in_statements] = STATE(781),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(781),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4304),
    [anon_sym_SEMI] = ACTIONS(4307),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4309),
    [aux_sym_elseif_clause_token1] = ACTIONS(4312),
    [aux_sym_elseif_clause_token2] = ACTIONS(4309),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4314),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [769] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_statements] = STATE(796),
    [sym_preproc_ifdef_in_statements] = STATE(796),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(796),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(4317),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3240),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4319),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [770] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [771] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_statements] = STATE(797),
    [sym_preproc_ifdef_in_statements] = STATE(797),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(797),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [772] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4304),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4309),
    [aux_sym_elseif_clause_token1] = ACTIONS(4312),
    [aux_sym_elseif_clause_token2] = ACTIONS(4309),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4314),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [773] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4326),
    [aux_sym_elseif_clause_token1] = ACTIONS(4329),
    [aux_sym_elseif_clause_token2] = ACTIONS(4326),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4331),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [774] = {
    [sym_preproc_include] = STATE(820),
    [sym_preproc_def] = STATE(820),
    [sym_preproc_function_def] = STATE(820),
    [sym_preproc_call] = STATE(820),
    [sym_interface] = STATE(820),
    [sym_interface_statement] = STATE(4089),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(8897),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(820),
    [sym_use_statement] = STATE(7336),
    [sym_implicit_statement] = STATE(7336),
    [sym_save_statement] = STATE(7336),
    [sym_private_statement] = STATE(820),
    [sym_public_statement] = STATE(820),
    [sym_namelist_statement] = STATE(7336),
    [sym_common_statement] = STATE(7336),
    [sym_import_statement] = STATE(7336),
    [sym_derived_type_definition] = STATE(820),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4506),
    [sym_variable_declaration] = STATE(7336),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7336),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7336),
    [sym_equivalence_statement] = STATE(7336),
    [sym_statement_label] = STATE(7580),
    [sym_assignment_statement] = STATE(7336),
    [sym_include_statement] = STATE(7336),
    [sym_data_statement] = STATE(7336),
    [sym_enum] = STATE(820),
    [sym_enum_statement] = STATE(6365),
    [sym_enumeration_type] = STATE(820),
    [sym_enumeration_type_statement] = STATE(6554),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(820),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4334),
    [aux_sym_preproc_def_token1] = ACTIONS(4336),
    [aux_sym_preproc_if_token2] = ACTIONS(4338),
    [sym_preproc_directive] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(4342),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4344),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(4346),
    [aux_sym_public_statement_token1] = ACTIONS(4348),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [775] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [776] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [777] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [778] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [779] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [780] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(6827),
    [sym_statement_label] = STATE(864),
    [sym_stop_statement] = STATE(6827),
    [sym_assignment_statement] = STATE(6827),
    [sym_pointer_association_statement] = STATE(6827),
    [sym_subroutine_call] = STATE(6827),
    [sym_keyword_statement] = STATE(6827),
    [sym_include_statement] = STATE(6827),
    [sym_do_loop_statement] = STATE(6827),
    [sym_do_label_statement] = STATE(6827),
    [sym_end_do_label_statement] = STATE(6827),
    [sym_if_statement] = STATE(6827),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6827),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6827),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6827),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6827),
    [sym_select_type_statement] = STATE(6827),
    [sym_select_rank_statement] = STATE(6827),
    [sym_block_construct] = STATE(6827),
    [sym_associate_statement] = STATE(6827),
    [sym_format_statement] = STATE(6827),
    [sym_read_statement] = STATE(6827),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6827),
    [sym_open_statement] = STATE(6827),
    [sym_close_statement] = STATE(6827),
    [sym_write_statement] = STATE(6827),
    [sym_inquire_statement] = STATE(6827),
    [sym_file_position_statement] = STATE(6827),
    [sym_allocate_statement] = STATE(6827),
    [sym_entry_statement] = STATE(6827),
    [sym_assign_statement] = STATE(6827),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6827),
    [sym_coarray_team_statement] = STATE(6827),
    [sym_coarray_critical_statement] = STATE(6827),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(4350),
    [aux_sym_preproc_def_token1] = ACTIONS(4353),
    [aux_sym_preproc_if_token1] = ACTIONS(4356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4359),
    [sym_preproc_directive] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [781] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4368),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4371),
    [aux_sym_elseif_clause_token1] = ACTIONS(4374),
    [aux_sym_elseif_clause_token2] = ACTIONS(4371),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4376),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [782] = {
    [sym_preproc_include] = STATE(782),
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_statements] = STATE(782),
    [sym_preproc_ifdef_in_statements] = STATE(782),
    [sym__statements] = STATE(7542),
    [sym_statement_label] = STATE(860),
    [sym_stop_statement] = STATE(7542),
    [sym_assignment_statement] = STATE(7542),
    [sym_pointer_association_statement] = STATE(7542),
    [sym_subroutine_call] = STATE(7542),
    [sym_keyword_statement] = STATE(7542),
    [sym_include_statement] = STATE(7542),
    [sym_do_loop_statement] = STATE(7542),
    [sym_do_label_statement] = STATE(7542),
    [sym_end_do_label_statement] = STATE(7542),
    [sym_if_statement] = STATE(7542),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7542),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7542),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7542),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7542),
    [sym_select_type_statement] = STATE(7542),
    [sym_select_rank_statement] = STATE(7542),
    [sym_block_construct] = STATE(7542),
    [sym_associate_statement] = STATE(7542),
    [sym_format_statement] = STATE(7542),
    [sym_read_statement] = STATE(7542),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7542),
    [sym_open_statement] = STATE(7542),
    [sym_close_statement] = STATE(7542),
    [sym_write_statement] = STATE(7542),
    [sym_inquire_statement] = STATE(7542),
    [sym_file_position_statement] = STATE(7542),
    [sym_allocate_statement] = STATE(7542),
    [sym_entry_statement] = STATE(7542),
    [sym_assign_statement] = STATE(7542),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7542),
    [sym_coarray_team_statement] = STATE(7542),
    [sym_coarray_critical_statement] = STATE(7542),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(782),
    [aux_sym_preproc_include_token1] = ACTIONS(4379),
    [aux_sym_preproc_def_token1] = ACTIONS(4382),
    [aux_sym_preproc_if_token1] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4388),
    [sym_preproc_directive] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4394),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [783] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4397),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [784] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_statements] = STATE(796),
    [sym_preproc_ifdef_in_statements] = STATE(796),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(796),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(4317),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3194),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3194),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4399),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [785] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [786] = {
    [sym_preproc_include] = STATE(770),
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_statements] = STATE(770),
    [sym_preproc_ifdef_in_statements] = STATE(770),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(770),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4401),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [787] = {
    [sym_preproc_include] = STATE(787),
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_statements] = STATE(787),
    [sym_preproc_ifdef_in_statements] = STATE(787),
    [sym__statements] = STATE(6905),
    [sym_statement_label] = STATE(855),
    [sym_stop_statement] = STATE(6905),
    [sym_assignment_statement] = STATE(6905),
    [sym_pointer_association_statement] = STATE(6905),
    [sym_subroutine_call] = STATE(6905),
    [sym_keyword_statement] = STATE(6905),
    [sym_include_statement] = STATE(6905),
    [sym_do_loop_statement] = STATE(6905),
    [sym_do_label_statement] = STATE(6905),
    [sym_end_do_label_statement] = STATE(6905),
    [sym_if_statement] = STATE(6905),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6905),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6905),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6905),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6905),
    [sym_select_type_statement] = STATE(6905),
    [sym_select_rank_statement] = STATE(6905),
    [sym_block_construct] = STATE(6905),
    [sym_associate_statement] = STATE(6905),
    [sym_format_statement] = STATE(6905),
    [sym_read_statement] = STATE(6905),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6905),
    [sym_open_statement] = STATE(6905),
    [sym_close_statement] = STATE(6905),
    [sym_write_statement] = STATE(6905),
    [sym_inquire_statement] = STATE(6905),
    [sym_file_position_statement] = STATE(6905),
    [sym_allocate_statement] = STATE(6905),
    [sym_entry_statement] = STATE(6905),
    [sym_assign_statement] = STATE(6905),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6905),
    [sym_coarray_team_statement] = STATE(6905),
    [sym_coarray_critical_statement] = STATE(6905),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(787),
    [aux_sym_preproc_include_token1] = ACTIONS(4403),
    [aux_sym_preproc_def_token1] = ACTIONS(4406),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4412),
    [sym_preproc_directive] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4418),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [788] = {
    [sym_preproc_include] = STATE(811),
    [sym_preproc_def] = STATE(811),
    [sym_preproc_function_def] = STATE(811),
    [sym_preproc_call] = STATE(811),
    [sym_preproc_if_in_statements] = STATE(811),
    [sym_preproc_ifdef_in_statements] = STATE(811),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(811),
    [aux_sym_preproc_include_token1] = ACTIONS(4421),
    [aux_sym_preproc_def_token1] = ACTIONS(4424),
    [aux_sym_preproc_if_token1] = ACTIONS(4427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4430),
    [sym_preproc_directive] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4436),
    [anon_sym_SEMI] = ACTIONS(4439),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3266),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4444),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [789] = {
    [sym_preproc_include] = STATE(789),
    [sym_preproc_def] = STATE(789),
    [sym_preproc_function_def] = STATE(789),
    [sym_preproc_call] = STATE(789),
    [sym_preproc_if_in_statements] = STATE(789),
    [sym_preproc_ifdef_in_statements] = STATE(789),
    [sym__statements] = STATE(6978),
    [sym_statement_label] = STATE(866),
    [sym_stop_statement] = STATE(6978),
    [sym_assignment_statement] = STATE(6978),
    [sym_pointer_association_statement] = STATE(6978),
    [sym_subroutine_call] = STATE(6978),
    [sym_keyword_statement] = STATE(6978),
    [sym_include_statement] = STATE(6978),
    [sym_do_loop_statement] = STATE(6978),
    [sym_do_label_statement] = STATE(6978),
    [sym_end_do_label_statement] = STATE(6978),
    [sym_if_statement] = STATE(6978),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6978),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6978),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6978),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6978),
    [sym_select_type_statement] = STATE(6978),
    [sym_select_rank_statement] = STATE(6978),
    [sym_block_construct] = STATE(6978),
    [sym_associate_statement] = STATE(6978),
    [sym_format_statement] = STATE(6978),
    [sym_read_statement] = STATE(6978),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6978),
    [sym_open_statement] = STATE(6978),
    [sym_close_statement] = STATE(6978),
    [sym_write_statement] = STATE(6978),
    [sym_inquire_statement] = STATE(6978),
    [sym_file_position_statement] = STATE(6978),
    [sym_allocate_statement] = STATE(6978),
    [sym_entry_statement] = STATE(6978),
    [sym_assign_statement] = STATE(6978),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6978),
    [sym_coarray_team_statement] = STATE(6978),
    [sym_coarray_critical_statement] = STATE(6978),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(789),
    [aux_sym_preproc_include_token1] = ACTIONS(4447),
    [aux_sym_preproc_def_token1] = ACTIONS(4450),
    [aux_sym_preproc_if_token1] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4456),
    [sym_preproc_directive] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4462),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [790] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_statements] = STATE(796),
    [sym_preproc_ifdef_in_statements] = STATE(796),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(796),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(4317),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3288),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4465),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [791] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(4467),
    [aux_sym_preproc_def_token1] = ACTIONS(4470),
    [aux_sym_preproc_if_token1] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4476),
    [sym_preproc_directive] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4482),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [792] = {
    [sym_preproc_include] = STATE(792),
    [sym_preproc_def] = STATE(792),
    [sym_preproc_function_def] = STATE(792),
    [sym_preproc_call] = STATE(792),
    [sym_preproc_if_in_statements] = STATE(792),
    [sym_preproc_ifdef_in_statements] = STATE(792),
    [sym__statements] = STATE(7314),
    [sym_statement_label] = STATE(865),
    [sym_stop_statement] = STATE(7314),
    [sym_assignment_statement] = STATE(7314),
    [sym_pointer_association_statement] = STATE(7314),
    [sym_subroutine_call] = STATE(7314),
    [sym_keyword_statement] = STATE(7314),
    [sym_include_statement] = STATE(7314),
    [sym_do_loop_statement] = STATE(7314),
    [sym_do_label_statement] = STATE(7314),
    [sym_end_do_label_statement] = STATE(7314),
    [sym_if_statement] = STATE(7314),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7314),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7314),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7314),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7314),
    [sym_select_type_statement] = STATE(7314),
    [sym_select_rank_statement] = STATE(7314),
    [sym_block_construct] = STATE(7314),
    [sym_associate_statement] = STATE(7314),
    [sym_format_statement] = STATE(7314),
    [sym_read_statement] = STATE(7314),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7314),
    [sym_open_statement] = STATE(7314),
    [sym_close_statement] = STATE(7314),
    [sym_write_statement] = STATE(7314),
    [sym_inquire_statement] = STATE(7314),
    [sym_file_position_statement] = STATE(7314),
    [sym_allocate_statement] = STATE(7314),
    [sym_entry_statement] = STATE(7314),
    [sym_assign_statement] = STATE(7314),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7314),
    [sym_coarray_team_statement] = STATE(7314),
    [sym_coarray_critical_statement] = STATE(7314),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(792),
    [aux_sym_preproc_include_token1] = ACTIONS(4485),
    [aux_sym_preproc_def_token1] = ACTIONS(4488),
    [aux_sym_preproc_if_token1] = ACTIONS(4491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4494),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4500),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [793] = {
    [sym_preproc_include] = STATE(816),
    [sym_preproc_def] = STATE(816),
    [sym_preproc_function_def] = STATE(816),
    [sym_preproc_call] = STATE(816),
    [sym_preproc_if_in_statements] = STATE(816),
    [sym_preproc_ifdef_in_statements] = STATE(816),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(816),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4503),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4326),
    [aux_sym_elseif_clause_token1] = ACTIONS(4329),
    [aux_sym_elseif_clause_token2] = ACTIONS(4326),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4331),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [794] = {
    [sym_preproc_include] = STATE(794),
    [sym_preproc_def] = STATE(794),
    [sym_preproc_function_def] = STATE(794),
    [sym_preproc_call] = STATE(794),
    [sym_preproc_if_in_statements] = STATE(794),
    [sym_preproc_ifdef_in_statements] = STATE(794),
    [sym__statements] = STATE(7362),
    [sym_statement_label] = STATE(869),
    [sym_stop_statement] = STATE(7362),
    [sym_assignment_statement] = STATE(7362),
    [sym_pointer_association_statement] = STATE(7362),
    [sym_subroutine_call] = STATE(7362),
    [sym_keyword_statement] = STATE(7362),
    [sym_include_statement] = STATE(7362),
    [sym_do_loop_statement] = STATE(7362),
    [sym_do_label_statement] = STATE(7362),
    [sym_end_do_label_statement] = STATE(7362),
    [sym_if_statement] = STATE(7362),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7362),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7362),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7362),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7362),
    [sym_select_type_statement] = STATE(7362),
    [sym_select_rank_statement] = STATE(7362),
    [sym_block_construct] = STATE(7362),
    [sym_associate_statement] = STATE(7362),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7362),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7362),
    [sym_open_statement] = STATE(7362),
    [sym_close_statement] = STATE(7362),
    [sym_write_statement] = STATE(7362),
    [sym_inquire_statement] = STATE(7362),
    [sym_file_position_statement] = STATE(7362),
    [sym_allocate_statement] = STATE(7362),
    [sym_entry_statement] = STATE(7362),
    [sym_assign_statement] = STATE(7362),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7362),
    [sym_coarray_team_statement] = STATE(7362),
    [sym_coarray_critical_statement] = STATE(7362),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(794),
    [aux_sym_preproc_include_token1] = ACTIONS(4505),
    [aux_sym_preproc_def_token1] = ACTIONS(4508),
    [aux_sym_preproc_if_token1] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4514),
    [sym_preproc_directive] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4520),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [795] = {
    [sym_preproc_include] = STATE(804),
    [sym_preproc_def] = STATE(804),
    [sym_preproc_function_def] = STATE(804),
    [sym_preproc_call] = STATE(804),
    [sym_preproc_if_in_statements] = STATE(804),
    [sym_preproc_ifdef_in_statements] = STATE(804),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(804),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4523),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [796] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_statements] = STATE(796),
    [sym_preproc_ifdef_in_statements] = STATE(796),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(796),
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4528),
    [aux_sym_preproc_if_token1] = ACTIONS(4531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4534),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4540),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [797] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [798] = {
    [sym_preproc_include] = STATE(809),
    [sym_preproc_def] = STATE(809),
    [sym_preproc_function_def] = STATE(809),
    [sym_preproc_call] = STATE(809),
    [sym_preproc_if_in_statements] = STATE(809),
    [sym_preproc_ifdef_in_statements] = STATE(809),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(809),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [799] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4545),
    [aux_sym_preproc_def_token1] = ACTIONS(4548),
    [aux_sym_preproc_if_token1] = ACTIONS(4551),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4554),
    [sym_preproc_directive] = ACTIONS(4557),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4560),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [800] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [801] = {
    [sym_preproc_include] = STATE(814),
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_statements] = STATE(814),
    [sym_preproc_ifdef_in_statements] = STATE(814),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(814),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4563),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [802] = {
    [sym_preproc_include] = STATE(759),
    [sym_preproc_def] = STATE(759),
    [sym_preproc_function_def] = STATE(759),
    [sym_preproc_call] = STATE(759),
    [sym_preproc_if_in_statements] = STATE(759),
    [sym_preproc_ifdef_in_statements] = STATE(759),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(759),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4565),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [803] = {
    [sym_preproc_include] = STATE(761),
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_statements] = STATE(761),
    [sym_preproc_ifdef_in_statements] = STATE(761),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(761),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4567),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [804] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [805] = {
    [sym_preproc_include] = STATE(817),
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_statements] = STATE(817),
    [sym_preproc_ifdef_in_statements] = STATE(817),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(817),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4569),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [806] = {
    [sym_preproc_include] = STATE(785),
    [sym_preproc_def] = STATE(785),
    [sym_preproc_function_def] = STATE(785),
    [sym_preproc_call] = STATE(785),
    [sym_preproc_if_in_statements] = STATE(785),
    [sym_preproc_ifdef_in_statements] = STATE(785),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(785),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4571),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [807] = {
    [sym_preproc_include] = STATE(772),
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_statements] = STATE(772),
    [sym_preproc_ifdef_in_statements] = STATE(772),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(772),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4576),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4578),
    [aux_sym_elseif_clause_token1] = ACTIONS(4581),
    [aux_sym_elseif_clause_token2] = ACTIONS(4578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4583),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [808] = {
    [sym_preproc_include] = STATE(762),
    [sym_preproc_def] = STATE(762),
    [sym_preproc_function_def] = STATE(762),
    [sym_preproc_call] = STATE(762),
    [sym_preproc_if_in_statements] = STATE(762),
    [sym_preproc_ifdef_in_statements] = STATE(762),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(762),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4586),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [809] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [810] = {
    [sym_preproc_include] = STATE(764),
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_statements] = STATE(764),
    [sym_preproc_ifdef_in_statements] = STATE(764),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(764),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4588),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [811] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_statements] = STATE(796),
    [sym_preproc_ifdef_in_statements] = STATE(796),
    [sym__statements] = STATE(7399),
    [sym_statement_label] = STATE(852),
    [sym_stop_statement] = STATE(7399),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7399),
    [sym_subroutine_call] = STATE(7399),
    [sym_keyword_statement] = STATE(7399),
    [sym_include_statement] = STATE(7399),
    [sym_do_loop_statement] = STATE(7399),
    [sym_do_label_statement] = STATE(7399),
    [sym_end_do_label_statement] = STATE(7399),
    [sym_if_statement] = STATE(7399),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7399),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7399),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7399),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7399),
    [sym_select_type_statement] = STATE(7399),
    [sym_select_rank_statement] = STATE(7399),
    [sym_block_construct] = STATE(7399),
    [sym_associate_statement] = STATE(7399),
    [sym_format_statement] = STATE(7399),
    [sym_read_statement] = STATE(7399),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7399),
    [sym_open_statement] = STATE(7399),
    [sym_close_statement] = STATE(7399),
    [sym_write_statement] = STATE(7399),
    [sym_inquire_statement] = STATE(7399),
    [sym_file_position_statement] = STATE(7399),
    [sym_allocate_statement] = STATE(7399),
    [sym_entry_statement] = STATE(7399),
    [sym_assign_statement] = STATE(7399),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7399),
    [sym_coarray_team_statement] = STATE(7399),
    [sym_coarray_critical_statement] = STATE(7399),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(796),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(4317),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4590),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [812] = {
    [sym_preproc_include] = STATE(766),
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_statements] = STATE(766),
    [sym_preproc_ifdef_in_statements] = STATE(766),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(766),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4592),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [813] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4594),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [814] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(2982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [815] = {
    [sym_preproc_include] = STATE(776),
    [sym_preproc_def] = STATE(776),
    [sym_preproc_function_def] = STATE(776),
    [sym_preproc_call] = STATE(776),
    [sym_preproc_if_in_statements] = STATE(776),
    [sym_preproc_ifdef_in_statements] = STATE(776),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(776),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4596),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [816] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym__statements] = STATE(7269),
    [sym_statement_label] = STATE(871),
    [sym_stop_statement] = STATE(7269),
    [sym_assignment_statement] = STATE(7269),
    [sym_pointer_association_statement] = STATE(7269),
    [sym_subroutine_call] = STATE(7269),
    [sym_keyword_statement] = STATE(7269),
    [sym_include_statement] = STATE(7269),
    [sym_do_loop_statement] = STATE(7269),
    [sym_do_label_statement] = STATE(7269),
    [sym_end_do_label_statement] = STATE(7269),
    [sym_if_statement] = STATE(7269),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7269),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7269),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7269),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7269),
    [sym_select_type_statement] = STATE(7269),
    [sym_select_rank_statement] = STATE(7269),
    [sym_block_construct] = STATE(7269),
    [sym_associate_statement] = STATE(7269),
    [sym_format_statement] = STATE(7269),
    [sym_read_statement] = STATE(7269),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7269),
    [sym_open_statement] = STATE(7269),
    [sym_close_statement] = STATE(7269),
    [sym_write_statement] = STATE(7269),
    [sym_inquire_statement] = STATE(7269),
    [sym_file_position_statement] = STATE(7269),
    [sym_allocate_statement] = STATE(7269),
    [sym_entry_statement] = STATE(7269),
    [sym_assign_statement] = STATE(7269),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7269),
    [sym_coarray_team_statement] = STATE(7269),
    [sym_coarray_critical_statement] = STATE(7269),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4598),
    [anon_sym_SEMI] = ACTIONS(3216),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token1] = ACTIONS(4604),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4606),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [817] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym__statements] = STATE(7415),
    [sym_statement_label] = STATE(851),
    [sym_stop_statement] = STATE(7415),
    [sym_assignment_statement] = STATE(7415),
    [sym_pointer_association_statement] = STATE(7415),
    [sym_subroutine_call] = STATE(7415),
    [sym_keyword_statement] = STATE(7415),
    [sym_include_statement] = STATE(7415),
    [sym_do_loop_statement] = STATE(7415),
    [sym_do_label_statement] = STATE(7415),
    [sym_end_do_label_statement] = STATE(7415),
    [sym_if_statement] = STATE(7415),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7415),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7415),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7415),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7415),
    [sym_select_type_statement] = STATE(7415),
    [sym_select_rank_statement] = STATE(7415),
    [sym_block_construct] = STATE(7415),
    [sym_associate_statement] = STATE(7415),
    [sym_format_statement] = STATE(7415),
    [sym_read_statement] = STATE(7415),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7415),
    [sym_open_statement] = STATE(7415),
    [sym_close_statement] = STATE(7415),
    [sym_write_statement] = STATE(7415),
    [sym_inquire_statement] = STATE(7415),
    [sym_file_position_statement] = STATE(7415),
    [sym_allocate_statement] = STATE(7415),
    [sym_entry_statement] = STATE(7415),
    [sym_assign_statement] = STATE(7415),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7415),
    [sym_coarray_team_statement] = STATE(7415),
    [sym_coarray_critical_statement] = STATE(7415),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(4273),
    [aux_sym_preproc_def_token1] = ACTIONS(4275),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1701),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [818] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_interface] = STATE(824),
    [sym_interface_statement] = STATE(4089),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(9010),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(824),
    [sym_use_statement] = STATE(7336),
    [sym_implicit_statement] = STATE(7336),
    [sym_save_statement] = STATE(7336),
    [sym_private_statement] = STATE(824),
    [sym_public_statement] = STATE(824),
    [sym_namelist_statement] = STATE(7336),
    [sym_common_statement] = STATE(7336),
    [sym_import_statement] = STATE(7336),
    [sym_derived_type_definition] = STATE(824),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4506),
    [sym_variable_declaration] = STATE(7336),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7336),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7336),
    [sym_equivalence_statement] = STATE(7336),
    [sym_statement_label] = STATE(7580),
    [sym_assignment_statement] = STATE(7336),
    [sym_include_statement] = STATE(7336),
    [sym_data_statement] = STATE(7336),
    [sym_enum] = STATE(824),
    [sym_enum_statement] = STATE(6365),
    [sym_enumeration_type] = STATE(824),
    [sym_enumeration_type_statement] = STATE(6554),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(824),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4334),
    [aux_sym_preproc_def_token1] = ACTIONS(4336),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(4346),
    [aux_sym_public_statement_token1] = ACTIONS(4348),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [819] = {
    [sym_preproc_include] = STATE(825),
    [sym_preproc_def] = STATE(825),
    [sym_preproc_function_def] = STATE(825),
    [sym_preproc_call] = STATE(825),
    [sym_preproc_if_in_statements] = STATE(825),
    [sym_preproc_ifdef_in_statements] = STATE(825),
    [sym__statements] = STATE(7383),
    [sym_statement_label] = STATE(870),
    [sym_stop_statement] = STATE(7383),
    [sym_assignment_statement] = STATE(7383),
    [sym_pointer_association_statement] = STATE(7383),
    [sym_subroutine_call] = STATE(7383),
    [sym_keyword_statement] = STATE(7383),
    [sym_include_statement] = STATE(7383),
    [sym_do_loop_statement] = STATE(7383),
    [sym_do_label_statement] = STATE(7383),
    [sym_end_do_label_statement] = STATE(7383),
    [sym_if_statement] = STATE(7383),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7383),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7383),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7383),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7383),
    [sym_select_type_statement] = STATE(7383),
    [sym_select_rank_statement] = STATE(7383),
    [sym_block_construct] = STATE(7383),
    [sym_associate_statement] = STATE(7383),
    [sym_format_statement] = STATE(7383),
    [sym_read_statement] = STATE(7383),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7383),
    [sym_open_statement] = STATE(7383),
    [sym_close_statement] = STATE(7383),
    [sym_write_statement] = STATE(7383),
    [sym_inquire_statement] = STATE(7383),
    [sym_file_position_statement] = STATE(7383),
    [sym_allocate_statement] = STATE(7383),
    [sym_entry_statement] = STATE(7383),
    [sym_assign_statement] = STATE(7383),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7383),
    [sym_coarray_team_statement] = STATE(7383),
    [sym_coarray_critical_statement] = STATE(7383),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(825),
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4615),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4619),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4623),
    [anon_sym_SEMI] = ACTIONS(4626),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4628),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [820] = {
    [sym_preproc_include] = STATE(826),
    [sym_preproc_def] = STATE(826),
    [sym_preproc_function_def] = STATE(826),
    [sym_preproc_call] = STATE(826),
    [sym_interface] = STATE(826),
    [sym_interface_statement] = STATE(4089),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(9010),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(826),
    [sym_use_statement] = STATE(7336),
    [sym_implicit_statement] = STATE(7336),
    [sym_save_statement] = STATE(7336),
    [sym_private_statement] = STATE(826),
    [sym_public_statement] = STATE(826),
    [sym_namelist_statement] = STATE(7336),
    [sym_common_statement] = STATE(7336),
    [sym_import_statement] = STATE(7336),
    [sym_derived_type_definition] = STATE(826),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4506),
    [sym_variable_declaration] = STATE(7336),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7336),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7336),
    [sym_equivalence_statement] = STATE(7336),
    [sym_statement_label] = STATE(7580),
    [sym_assignment_statement] = STATE(7336),
    [sym_include_statement] = STATE(7336),
    [sym_data_statement] = STATE(7336),
    [sym_enum] = STATE(826),
    [sym_enum_statement] = STATE(6365),
    [sym_enumeration_type] = STATE(826),
    [sym_enumeration_type_statement] = STATE(6554),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(826),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4334),
    [aux_sym_preproc_def_token1] = ACTIONS(4336),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4634),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(4346),
    [aux_sym_public_statement_token1] = ACTIONS(4348),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [821] = {
    [sym_preproc_include] = STATE(823),
    [sym_preproc_def] = STATE(823),
    [sym_preproc_function_def] = STATE(823),
    [sym_preproc_call] = STATE(823),
    [sym_preproc_if_in_statements] = STATE(823),
    [sym_preproc_ifdef_in_statements] = STATE(823),
    [sym__statements] = STATE(7383),
    [sym_statement_label] = STATE(870),
    [sym_stop_statement] = STATE(7383),
    [sym_assignment_statement] = STATE(7383),
    [sym_pointer_association_statement] = STATE(7383),
    [sym_subroutine_call] = STATE(7383),
    [sym_keyword_statement] = STATE(7383),
    [sym_include_statement] = STATE(7383),
    [sym_do_loop_statement] = STATE(7383),
    [sym_do_label_statement] = STATE(7383),
    [sym_end_do_label_statement] = STATE(7383),
    [sym_if_statement] = STATE(7383),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7383),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7383),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7383),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7383),
    [sym_select_type_statement] = STATE(7383),
    [sym_select_rank_statement] = STATE(7383),
    [sym_block_construct] = STATE(7383),
    [sym_associate_statement] = STATE(7383),
    [sym_format_statement] = STATE(7383),
    [sym_read_statement] = STATE(7383),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7383),
    [sym_open_statement] = STATE(7383),
    [sym_close_statement] = STATE(7383),
    [sym_write_statement] = STATE(7383),
    [sym_inquire_statement] = STATE(7383),
    [sym_file_position_statement] = STATE(7383),
    [sym_allocate_statement] = STATE(7383),
    [sym_entry_statement] = STATE(7383),
    [sym_assign_statement] = STATE(7383),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7383),
    [sym_coarray_team_statement] = STATE(7383),
    [sym_coarray_critical_statement] = STATE(7383),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(823),
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4615),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4619),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4636),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4641),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4644),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [822] = {
    [sym_preproc_include] = STATE(822),
    [sym_preproc_def] = STATE(822),
    [sym_preproc_function_def] = STATE(822),
    [sym_preproc_call] = STATE(822),
    [sym_preproc_if_in_statements] = STATE(822),
    [sym_preproc_ifdef_in_statements] = STATE(822),
    [sym__statements] = STATE(7383),
    [sym_statement_label] = STATE(870),
    [sym_stop_statement] = STATE(7383),
    [sym_assignment_statement] = STATE(7383),
    [sym_pointer_association_statement] = STATE(7383),
    [sym_subroutine_call] = STATE(7383),
    [sym_keyword_statement] = STATE(7383),
    [sym_include_statement] = STATE(7383),
    [sym_do_loop_statement] = STATE(7383),
    [sym_do_label_statement] = STATE(7383),
    [sym_end_do_label_statement] = STATE(7383),
    [sym_if_statement] = STATE(7383),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7383),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7383),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7383),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7383),
    [sym_select_type_statement] = STATE(7383),
    [sym_select_rank_statement] = STATE(7383),
    [sym_block_construct] = STATE(7383),
    [sym_associate_statement] = STATE(7383),
    [sym_format_statement] = STATE(7383),
    [sym_read_statement] = STATE(7383),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7383),
    [sym_open_statement] = STATE(7383),
    [sym_close_statement] = STATE(7383),
    [sym_write_statement] = STATE(7383),
    [sym_inquire_statement] = STATE(7383),
    [sym_file_position_statement] = STATE(7383),
    [sym_allocate_statement] = STATE(7383),
    [sym_entry_statement] = STATE(7383),
    [sym_assign_statement] = STATE(7383),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7383),
    [sym_coarray_team_statement] = STATE(7383),
    [sym_coarray_critical_statement] = STATE(7383),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(822),
    [aux_sym_preproc_include_token1] = ACTIONS(4647),
    [aux_sym_preproc_def_token1] = ACTIONS(4650),
    [aux_sym_preproc_if_token1] = ACTIONS(4653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4656),
    [sym_preproc_directive] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(4662),
    [aux_sym_block_data_statement_token1] = ACTIONS(2424),
    [aux_sym_block_data_statement_token2] = ACTIONS(2427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2430),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2427),
    [aux_sym_use_statement_token2] = ACTIONS(2427),
    [aux_sym_implicit_statement_token4] = ACTIONS(2427),
    [aux_sym_save_statement_token1] = ACTIONS(2427),
    [aux_sym_private_statement_token1] = ACTIONS(2427),
    [aux_sym_public_statement_token1] = ACTIONS(2427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2427),
    [aux_sym_variable_attributes_token2] = ACTIONS(2427),
    [aux_sym_variable_attributes_token3] = ACTIONS(2427),
    [aux_sym_variable_attributes_token5] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2427),
    [aux_sym_type_qualifier_token1] = ACTIONS(2427),
    [aux_sym_type_qualifier_token2] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(2442),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2448),
    [aux_sym_keyword_statement_token1] = ACTIONS(2451),
    [aux_sym_keyword_statement_token2] = ACTIONS(2454),
    [aux_sym_keyword_statement_token3] = ACTIONS(2454),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2460),
    [aux_sym_keyword_statement_token7] = ACTIONS(2463),
    [aux_sym_include_statement_token1] = ACTIONS(2466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2472),
    [aux_sym_end_if_statement_token1] = ACTIONS(2427),
    [aux_sym_elseif_clause_token2] = ACTIONS(2427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2478),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2484),
    [aux_sym_select_type_statement_token1] = ACTIONS(2487),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2490),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2496),
    [aux_sym_print_statement_token1] = ACTIONS(2499),
    [aux_sym_open_statement_token1] = ACTIONS(2502),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2508),
    [aux_sym_file_position_statement_token1] = ACTIONS(2511),
    [aux_sym_file_position_statement_token2] = ACTIONS(2511),
    [aux_sym_file_position_statement_token3] = ACTIONS(2511),
    [aux_sym_file_position_statement_token4] = ACTIONS(2514),
    [aux_sym_allocate_statement_token1] = ACTIONS(2517),
    [aux_sym_entry_statement_token1] = ACTIONS(2520),
    [aux_sym_assign_statement_token1] = ACTIONS(2523),
    [aux_sym_logical_expression_token5] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2538),
    [aux_sym_boolean_literal_token2] = ACTIONS(2538),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_coarray_statement_token1] = ACTIONS(2544),
    [aux_sym_coarray_statement_token2] = ACTIONS(2544),
    [aux_sym_coarray_statement_token6] = ACTIONS(2547),
    [aux_sym_coarray_statement_token8] = ACTIONS(2550),
    [aux_sym_coarray_statement_token11] = ACTIONS(2553),
    [aux_sym_coarray_statement_token12] = ACTIONS(2553),
    [aux_sym_coarray_statement_token13] = ACTIONS(2556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2562),
    [aux_sym_identifier_token1] = ACTIONS(2427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2565),
    [sym__float_literal] = ACTIONS(2568),
    [sym__boz_literal] = ACTIONS(2568),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2574),
  },
  [823] = {
    [sym_preproc_include] = STATE(822),
    [sym_preproc_def] = STATE(822),
    [sym_preproc_function_def] = STATE(822),
    [sym_preproc_call] = STATE(822),
    [sym_preproc_if_in_statements] = STATE(822),
    [sym_preproc_ifdef_in_statements] = STATE(822),
    [sym__statements] = STATE(7383),
    [sym_statement_label] = STATE(870),
    [sym_stop_statement] = STATE(7383),
    [sym_assignment_statement] = STATE(7383),
    [sym_pointer_association_statement] = STATE(7383),
    [sym_subroutine_call] = STATE(7383),
    [sym_keyword_statement] = STATE(7383),
    [sym_include_statement] = STATE(7383),
    [sym_do_loop_statement] = STATE(7383),
    [sym_do_label_statement] = STATE(7383),
    [sym_end_do_label_statement] = STATE(7383),
    [sym_if_statement] = STATE(7383),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7383),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7383),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7383),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7383),
    [sym_select_type_statement] = STATE(7383),
    [sym_select_rank_statement] = STATE(7383),
    [sym_block_construct] = STATE(7383),
    [sym_associate_statement] = STATE(7383),
    [sym_format_statement] = STATE(7383),
    [sym_read_statement] = STATE(7383),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7383),
    [sym_open_statement] = STATE(7383),
    [sym_close_statement] = STATE(7383),
    [sym_write_statement] = STATE(7383),
    [sym_inquire_statement] = STATE(7383),
    [sym_file_position_statement] = STATE(7383),
    [sym_allocate_statement] = STATE(7383),
    [sym_entry_statement] = STATE(7383),
    [sym_assign_statement] = STATE(7383),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7383),
    [sym_coarray_team_statement] = STATE(7383),
    [sym_coarray_critical_statement] = STATE(7383),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(822),
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4615),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4619),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4623),
    [anon_sym_SEMI] = ACTIONS(4665),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4628),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [824] = {
    [sym_preproc_include] = STATE(826),
    [sym_preproc_def] = STATE(826),
    [sym_preproc_function_def] = STATE(826),
    [sym_preproc_call] = STATE(826),
    [sym_interface] = STATE(826),
    [sym_interface_statement] = STATE(4089),
    [sym_language_binding] = STATE(3372),
    [sym_internal_procedures] = STATE(9070),
    [sym_contains_statement] = STATE(7053),
    [sym__specification_part] = STATE(826),
    [sym_use_statement] = STATE(7336),
    [sym_implicit_statement] = STATE(7336),
    [sym_save_statement] = STATE(7336),
    [sym_private_statement] = STATE(826),
    [sym_public_statement] = STATE(826),
    [sym_namelist_statement] = STATE(7336),
    [sym_common_statement] = STATE(7336),
    [sym_import_statement] = STATE(7336),
    [sym_derived_type_definition] = STATE(826),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4506),
    [sym_variable_declaration] = STATE(7336),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7336),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7336),
    [sym_equivalence_statement] = STATE(7336),
    [sym_statement_label] = STATE(7580),
    [sym_assignment_statement] = STATE(7336),
    [sym_include_statement] = STATE(7336),
    [sym_data_statement] = STATE(7336),
    [sym_enum] = STATE(826),
    [sym_enum_statement] = STATE(6365),
    [sym_enumeration_type] = STATE(826),
    [sym_enumeration_type_statement] = STATE(6554),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(826),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4334),
    [aux_sym_preproc_def_token1] = ACTIONS(4336),
    [aux_sym_preproc_if_token2] = ACTIONS(4667),
    [sym_preproc_directive] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4634),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(757),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(4346),
    [aux_sym_public_statement_token1] = ACTIONS(4348),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(763),
    [aux_sym__intrinsic_type_token2] = ACTIONS(765),
    [aux_sym__intrinsic_type_token3] = ACTIONS(763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(767),
    [aux_sym__intrinsic_type_token6] = ACTIONS(765),
    [aux_sym__intrinsic_type_token7] = ACTIONS(765),
    [aux_sym__intrinsic_type_token8] = ACTIONS(769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(765),
    [aux_sym__intrinsic_type_token10] = ACTIONS(765),
    [aux_sym_derived_type_token1] = ACTIONS(771),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [825] = {
    [sym_preproc_include] = STATE(822),
    [sym_preproc_def] = STATE(822),
    [sym_preproc_function_def] = STATE(822),
    [sym_preproc_call] = STATE(822),
    [sym_preproc_if_in_statements] = STATE(822),
    [sym_preproc_ifdef_in_statements] = STATE(822),
    [sym__statements] = STATE(7383),
    [sym_statement_label] = STATE(870),
    [sym_stop_statement] = STATE(7383),
    [sym_assignment_statement] = STATE(7383),
    [sym_pointer_association_statement] = STATE(7383),
    [sym_subroutine_call] = STATE(7383),
    [sym_keyword_statement] = STATE(7383),
    [sym_include_statement] = STATE(7383),
    [sym_do_loop_statement] = STATE(7383),
    [sym_do_label_statement] = STATE(7383),
    [sym_end_do_label_statement] = STATE(7383),
    [sym_if_statement] = STATE(7383),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7383),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7383),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7383),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7383),
    [sym_select_type_statement] = STATE(7383),
    [sym_select_rank_statement] = STATE(7383),
    [sym_block_construct] = STATE(7383),
    [sym_associate_statement] = STATE(7383),
    [sym_format_statement] = STATE(7383),
    [sym_read_statement] = STATE(7383),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7383),
    [sym_open_statement] = STATE(7383),
    [sym_close_statement] = STATE(7383),
    [sym_write_statement] = STATE(7383),
    [sym_inquire_statement] = STATE(7383),
    [sym_file_position_statement] = STATE(7383),
    [sym_allocate_statement] = STATE(7383),
    [sym_entry_statement] = STATE(7383),
    [sym_assign_statement] = STATE(7383),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7383),
    [sym_coarray_team_statement] = STATE(7383),
    [sym_coarray_critical_statement] = STATE(7383),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(822),
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4615),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4619),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4669),
    [anon_sym_SEMI] = ACTIONS(4665),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4672),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4675),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [826] = {
    [sym_preproc_include] = STATE(826),
    [sym_preproc_def] = STATE(826),
    [sym_preproc_function_def] = STATE(826),
    [sym_preproc_call] = STATE(826),
    [sym_interface] = STATE(826),
    [sym_interface_statement] = STATE(4089),
    [sym_language_binding] = STATE(3372),
    [sym__specification_part] = STATE(826),
    [sym_use_statement] = STATE(7336),
    [sym_implicit_statement] = STATE(7336),
    [sym_save_statement] = STATE(7336),
    [sym_private_statement] = STATE(826),
    [sym_public_statement] = STATE(826),
    [sym_namelist_statement] = STATE(7336),
    [sym_common_statement] = STATE(7336),
    [sym_import_statement] = STATE(7336),
    [sym_derived_type_definition] = STATE(826),
    [sym_abstract_specifier] = STATE(8082),
    [sym_derived_type_statement] = STATE(4506),
    [sym_variable_declaration] = STATE(7336),
    [sym_procedure_declaration] = STATE(3634),
    [sym_variable_modification] = STATE(7336),
    [sym_variable_attributes] = STATE(3372),
    [sym__intrinsic_type] = STATE(3714),
    [sym_intrinsic_type] = STATE(3634),
    [sym_derived_type] = STATE(3634),
    [sym_declared_type] = STATE(3634),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_parameter_statement] = STATE(7336),
    [sym_equivalence_statement] = STATE(7336),
    [sym_statement_label] = STATE(7580),
    [sym_assignment_statement] = STATE(7336),
    [sym_include_statement] = STATE(7336),
    [sym_data_statement] = STATE(7336),
    [sym_enum] = STATE(826),
    [sym_enum_statement] = STATE(6365),
    [sym_enumeration_type] = STATE(826),
    [sym_enumeration_type_statement] = STATE(6554),
    [sym__expression] = STATE(4912),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(826),
    [aux_sym_variable_modification_repeat1] = STATE(3372),
    [aux_sym_preproc_include_token1] = ACTIONS(4678),
    [aux_sym_preproc_def_token1] = ACTIONS(4681),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(4687),
    [aux_sym_interface_statement_token1] = ACTIONS(1276),
    [aux_sym_block_data_statement_token1] = ACTIONS(1279),
    [aux_sym_block_data_statement_token2] = ACTIONS(1282),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1285),
    [aux_sym_language_binding_token1] = ACTIONS(1288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1291),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1294),
    [aux_sym_contains_statement_token1] = ACTIONS(1259),
    [aux_sym_use_statement_token1] = ACTIONS(1297),
    [aux_sym_use_statement_token2] = ACTIONS(1294),
    [aux_sym_implicit_statement_token1] = ACTIONS(1300),
    [aux_sym_implicit_statement_token3] = ACTIONS(1303),
    [aux_sym_implicit_statement_token4] = ACTIONS(1294),
    [aux_sym_save_statement_token1] = ACTIONS(1306),
    [aux_sym_private_statement_token1] = ACTIONS(4690),
    [aux_sym_public_statement_token1] = ACTIONS(4693),
    [aux_sym_namelist_statement_token1] = ACTIONS(1315),
    [aux_sym_common_statement_token1] = ACTIONS(1318),
    [aux_sym_import_statement_token1] = ACTIONS(1321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1294),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1294),
    [aux_sym_variable_attributes_token1] = ACTIONS(1327),
    [aux_sym_variable_attributes_token2] = ACTIONS(1294),
    [aux_sym_variable_attributes_token3] = ACTIONS(1294),
    [aux_sym_variable_attributes_token4] = ACTIONS(1327),
    [aux_sym_variable_attributes_token5] = ACTIONS(1294),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1339),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1333),
    [aux_sym_derived_type_token1] = ACTIONS(1342),
    [aux_sym_declared_type_token1] = ACTIONS(1345),
    [aux_sym_declared_type_token2] = ACTIONS(1345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1357),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1327),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1294),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1327),
    [aux_sym_type_qualifier_token1] = ACTIONS(1279),
    [aux_sym_type_qualifier_token2] = ACTIONS(1279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1363),
    [aux_sym_stop_statement_token1] = ACTIONS(1279),
    [aux_sym_stop_statement_token2] = ACTIONS(1279),
    [aux_sym_subroutine_call_token1] = ACTIONS(1366),
    [aux_sym_keyword_statement_token2] = ACTIONS(1279),
    [aux_sym_keyword_statement_token3] = ACTIONS(1279),
    [aux_sym_keyword_statement_token4] = ACTIONS(1369),
    [aux_sym_include_statement_token1] = ACTIONS(1372),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1279),
    [aux_sym_end_if_statement_token1] = ACTIONS(1279),
    [aux_sym_elseif_clause_token2] = ACTIONS(1279),
    [aux_sym_select_case_statement_token1] = ACTIONS(1375),
    [aux_sym_format_statement_token1] = ACTIONS(1279),
    [aux_sym_open_statement_token1] = ACTIONS(1366),
    [aux_sym_inquire_statement_token1] = ACTIONS(1279),
    [aux_sym_enum_statement_token1] = ACTIONS(1378),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1381),
    [aux_sym_entry_statement_token1] = ACTIONS(1279),
    [aux_sym_logical_expression_token5] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [aux_sym_boolean_literal_token1] = ACTIONS(1396),
    [aux_sym_boolean_literal_token2] = ACTIONS(1396),
    [aux_sym_null_literal_token1] = ACTIONS(1399),
    [aux_sym_coarray_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_statement_token2] = ACTIONS(1279),
    [aux_sym_coarray_statement_token6] = ACTIONS(1279),
    [aux_sym_coarray_statement_token8] = ACTIONS(1279),
    [aux_sym_coarray_statement_token11] = ACTIONS(1279),
    [aux_sym_coarray_statement_token12] = ACTIONS(1279),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1402),
    [sym__float_literal] = ACTIONS(1405),
    [sym__boz_literal] = ACTIONS(1405),
    [sym__string_literal] = ACTIONS(1408),
    [sym__string_literal_kind] = ACTIONS(1411),
  },
  [827] = {
    [sym__statements] = STATE(6990),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6990),
    [sym_assignment_statement] = STATE(6990),
    [sym_pointer_association_statement] = STATE(6990),
    [sym_subroutine_call] = STATE(6990),
    [sym_keyword_statement] = STATE(6990),
    [sym_include_statement] = STATE(6990),
    [sym_do_loop_statement] = STATE(6990),
    [sym_do_label_statement] = STATE(6990),
    [sym_end_do_label_statement] = STATE(6990),
    [sym_if_statement] = STATE(6990),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6990),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6990),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6990),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7968),
    [sym_select_case_statement] = STATE(6990),
    [sym_select_type_statement] = STATE(6990),
    [sym_select_rank_statement] = STATE(6990),
    [sym_block_construct] = STATE(6990),
    [sym_associate_statement] = STATE(6990),
    [sym_format_statement] = STATE(6990),
    [sym_read_statement] = STATE(6990),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6990),
    [sym_open_statement] = STATE(6990),
    [sym_close_statement] = STATE(6990),
    [sym_write_statement] = STATE(6990),
    [sym_inquire_statement] = STATE(6990),
    [sym_file_position_statement] = STATE(6990),
    [sym_allocate_statement] = STATE(6990),
    [sym_entry_statement] = STATE(6990),
    [sym_assign_statement] = STATE(6990),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6990),
    [sym_coarray_team_statement] = STATE(6990),
    [sym_coarray_critical_statement] = STATE(6990),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4696),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [828] = {
    [sym__statements] = STATE(7830),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7830),
    [sym_assignment_statement] = STATE(7830),
    [sym_pointer_association_statement] = STATE(7830),
    [sym_subroutine_call] = STATE(7830),
    [sym_keyword_statement] = STATE(7830),
    [sym_include_statement] = STATE(7830),
    [sym_do_loop_statement] = STATE(7830),
    [sym_do_label_statement] = STATE(7830),
    [sym_end_do_label_statement] = STATE(7830),
    [sym_if_statement] = STATE(7830),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7830),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7830),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7830),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7830),
    [sym_select_type_statement] = STATE(7830),
    [sym_select_rank_statement] = STATE(7830),
    [sym_block_construct] = STATE(7830),
    [sym_associate_statement] = STATE(7830),
    [sym_format_statement] = STATE(7830),
    [sym_read_statement] = STATE(7830),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7830),
    [sym_open_statement] = STATE(7830),
    [sym_close_statement] = STATE(7830),
    [sym_write_statement] = STATE(7830),
    [sym_inquire_statement] = STATE(7830),
    [sym_file_position_statement] = STATE(7830),
    [sym_allocate_statement] = STATE(7830),
    [sym_entry_statement] = STATE(7830),
    [sym_assign_statement] = STATE(7830),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7830),
    [sym_coarray_team_statement] = STATE(7830),
    [sym_coarray_critical_statement] = STATE(7830),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [sym__end_of_statement] = STATE(593),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4700),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(4700),
  },
  [829] = {
    [sym__statements] = STATE(6990),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6990),
    [sym_assignment_statement] = STATE(6990),
    [sym_pointer_association_statement] = STATE(6990),
    [sym_subroutine_call] = STATE(6990),
    [sym_keyword_statement] = STATE(6990),
    [sym_include_statement] = STATE(6990),
    [sym_do_loop_statement] = STATE(6990),
    [sym_do_label_statement] = STATE(6990),
    [sym_end_do_label_statement] = STATE(6990),
    [sym_if_statement] = STATE(6990),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6990),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6990),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6990),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(8000),
    [sym_select_case_statement] = STATE(6990),
    [sym_select_type_statement] = STATE(6990),
    [sym_select_rank_statement] = STATE(6990),
    [sym_block_construct] = STATE(6990),
    [sym_associate_statement] = STATE(6990),
    [sym_format_statement] = STATE(6990),
    [sym_read_statement] = STATE(6990),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6990),
    [sym_open_statement] = STATE(6990),
    [sym_close_statement] = STATE(6990),
    [sym_write_statement] = STATE(6990),
    [sym_inquire_statement] = STATE(6990),
    [sym_file_position_statement] = STATE(6990),
    [sym_allocate_statement] = STATE(6990),
    [sym_entry_statement] = STATE(6990),
    [sym_assign_statement] = STATE(6990),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6990),
    [sym_coarray_team_statement] = STATE(6990),
    [sym_coarray_critical_statement] = STATE(6990),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4696),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [830] = {
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(7824),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [sym__end_of_statement] = STATE(724),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(4702),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(4702),
  },
  [831] = {
    [sym__statements] = STATE(6990),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6990),
    [sym_assignment_statement] = STATE(6990),
    [sym_pointer_association_statement] = STATE(6990),
    [sym_subroutine_call] = STATE(6990),
    [sym_keyword_statement] = STATE(6990),
    [sym_include_statement] = STATE(6990),
    [sym_do_loop_statement] = STATE(6990),
    [sym_do_label_statement] = STATE(6990),
    [sym_end_do_label_statement] = STATE(6990),
    [sym_if_statement] = STATE(6990),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6990),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6990),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6990),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_end_forall_statement] = STATE(7919),
    [sym_select_case_statement] = STATE(6990),
    [sym_select_type_statement] = STATE(6990),
    [sym_select_rank_statement] = STATE(6990),
    [sym_block_construct] = STATE(6990),
    [sym_associate_statement] = STATE(6990),
    [sym_format_statement] = STATE(6990),
    [sym_read_statement] = STATE(6990),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6990),
    [sym_open_statement] = STATE(6990),
    [sym_close_statement] = STATE(6990),
    [sym_write_statement] = STATE(6990),
    [sym_inquire_statement] = STATE(6990),
    [sym_file_position_statement] = STATE(6990),
    [sym_allocate_statement] = STATE(6990),
    [sym_entry_statement] = STATE(6990),
    [sym_assign_statement] = STATE(6990),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6990),
    [sym_coarray_team_statement] = STATE(6990),
    [sym_coarray_critical_statement] = STATE(6990),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4696),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3924),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [832] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_end_do_loop_statement] = STATE(8054),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4704),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [833] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_end_do_loop_statement] = STATE(7906),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4704),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [834] = {
    [sym__statements] = STATE(7278),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7278),
    [sym_assignment_statement] = STATE(7278),
    [sym_pointer_association_statement] = STATE(7278),
    [sym_subroutine_call] = STATE(7278),
    [sym_keyword_statement] = STATE(7278),
    [sym_include_statement] = STATE(7278),
    [sym_do_loop_statement] = STATE(7278),
    [sym_do_label_statement] = STATE(7278),
    [sym_end_do_label_statement] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7278),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(8039),
    [sym_where_statement] = STATE(7278),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7278),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7278),
    [sym_select_type_statement] = STATE(7278),
    [sym_select_rank_statement] = STATE(7278),
    [sym_block_construct] = STATE(7278),
    [sym_associate_statement] = STATE(7278),
    [sym_format_statement] = STATE(7278),
    [sym_read_statement] = STATE(7278),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7278),
    [sym_open_statement] = STATE(7278),
    [sym_close_statement] = STATE(7278),
    [sym_write_statement] = STATE(7278),
    [sym_inquire_statement] = STATE(7278),
    [sym_file_position_statement] = STATE(7278),
    [sym_allocate_statement] = STATE(7278),
    [sym_entry_statement] = STATE(7278),
    [sym_assign_statement] = STATE(7278),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7278),
    [sym_coarray_team_statement] = STATE(7278),
    [sym_coarray_critical_statement] = STATE(7278),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4708),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [835] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_end_do_loop_statement] = STATE(7894),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4704),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [836] = {
    [sym__statements] = STATE(7278),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7278),
    [sym_assignment_statement] = STATE(7278),
    [sym_pointer_association_statement] = STATE(7278),
    [sym_subroutine_call] = STATE(7278),
    [sym_keyword_statement] = STATE(7278),
    [sym_include_statement] = STATE(7278),
    [sym_do_loop_statement] = STATE(7278),
    [sym_do_label_statement] = STATE(7278),
    [sym_end_do_label_statement] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7278),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(8072),
    [sym_where_statement] = STATE(7278),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7278),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7278),
    [sym_select_type_statement] = STATE(7278),
    [sym_select_rank_statement] = STATE(7278),
    [sym_block_construct] = STATE(7278),
    [sym_associate_statement] = STATE(7278),
    [sym_format_statement] = STATE(7278),
    [sym_read_statement] = STATE(7278),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7278),
    [sym_open_statement] = STATE(7278),
    [sym_close_statement] = STATE(7278),
    [sym_write_statement] = STATE(7278),
    [sym_inquire_statement] = STATE(7278),
    [sym_file_position_statement] = STATE(7278),
    [sym_allocate_statement] = STATE(7278),
    [sym_entry_statement] = STATE(7278),
    [sym_assign_statement] = STATE(7278),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7278),
    [sym_coarray_team_statement] = STATE(7278),
    [sym_coarray_critical_statement] = STATE(7278),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4708),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [837] = {
    [sym__statements] = STATE(7594),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7594),
    [sym_assignment_statement] = STATE(7594),
    [sym_pointer_association_statement] = STATE(7594),
    [sym_subroutine_call] = STATE(7594),
    [sym_keyword_statement] = STATE(7594),
    [sym_include_statement] = STATE(7594),
    [sym_do_loop_statement] = STATE(7594),
    [sym_do_label_statement] = STATE(7594),
    [sym_end_do_label_statement] = STATE(7594),
    [sym_if_statement] = STATE(7594),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7594),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7594),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7594),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7594),
    [sym_select_type_statement] = STATE(7594),
    [sym_select_rank_statement] = STATE(7594),
    [sym_block_construct] = STATE(7594),
    [sym_associate_statement] = STATE(7594),
    [sym_format_statement] = STATE(6861),
    [sym_read_statement] = STATE(7594),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7594),
    [sym_open_statement] = STATE(7594),
    [sym_close_statement] = STATE(7594),
    [sym_write_statement] = STATE(7594),
    [sym_inquire_statement] = STATE(7594),
    [sym_file_position_statement] = STATE(7594),
    [sym_allocate_statement] = STATE(7594),
    [sym_entry_statement] = STATE(7594),
    [sym_assign_statement] = STATE(7594),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7594),
    [sym_coarray_team_statement] = STATE(7594),
    [sym_coarray_critical_statement] = STATE(7594),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [838] = {
    [sym__statements] = STATE(7278),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7278),
    [sym_assignment_statement] = STATE(7278),
    [sym_pointer_association_statement] = STATE(7278),
    [sym_subroutine_call] = STATE(7278),
    [sym_keyword_statement] = STATE(7278),
    [sym_include_statement] = STATE(7278),
    [sym_do_loop_statement] = STATE(7278),
    [sym_do_label_statement] = STATE(7278),
    [sym_end_do_label_statement] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7278),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(7940),
    [sym_where_statement] = STATE(7278),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7278),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7278),
    [sym_select_type_statement] = STATE(7278),
    [sym_select_rank_statement] = STATE(7278),
    [sym_block_construct] = STATE(7278),
    [sym_associate_statement] = STATE(7278),
    [sym_format_statement] = STATE(7278),
    [sym_read_statement] = STATE(7278),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7278),
    [sym_open_statement] = STATE(7278),
    [sym_close_statement] = STATE(7278),
    [sym_write_statement] = STATE(7278),
    [sym_inquire_statement] = STATE(7278),
    [sym_file_position_statement] = STATE(7278),
    [sym_allocate_statement] = STATE(7278),
    [sym_entry_statement] = STATE(7278),
    [sym_assign_statement] = STATE(7278),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7278),
    [sym_coarray_team_statement] = STATE(7278),
    [sym_coarray_critical_statement] = STATE(7278),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4708),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [839] = {
    [sym__statements] = STATE(7227),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7227),
    [sym_assignment_statement] = STATE(7227),
    [sym_pointer_association_statement] = STATE(7227),
    [sym_subroutine_call] = STATE(7227),
    [sym_keyword_statement] = STATE(7227),
    [sym_include_statement] = STATE(7227),
    [sym_do_loop_statement] = STATE(7227),
    [sym_do_label_statement] = STATE(7227),
    [sym_end_do_label_statement] = STATE(7227),
    [sym_if_statement] = STATE(7227),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7227),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7227),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7227),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7227),
    [sym_select_type_statement] = STATE(7227),
    [sym_select_rank_statement] = STATE(7227),
    [sym_block_construct] = STATE(7227),
    [sym_associate_statement] = STATE(7227),
    [sym_format_statement] = STATE(7122),
    [sym_read_statement] = STATE(7227),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7227),
    [sym_open_statement] = STATE(7227),
    [sym_close_statement] = STATE(7227),
    [sym_write_statement] = STATE(7227),
    [sym_inquire_statement] = STATE(7227),
    [sym_file_position_statement] = STATE(7227),
    [sym_allocate_statement] = STATE(7227),
    [sym_entry_statement] = STATE(7227),
    [sym_assign_statement] = STATE(7227),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7227),
    [sym_coarray_team_statement] = STATE(7227),
    [sym_coarray_critical_statement] = STATE(7227),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [840] = {
    [sym__statements] = STATE(7975),
    [sym_statement_label] = STATE(6929),
    [sym_statement_label_reference] = STATE(8833),
    [sym_stop_statement] = STATE(7975),
    [sym_assignment_statement] = STATE(7975),
    [sym_pointer_association_statement] = STATE(7975),
    [sym_subroutine_call] = STATE(7975),
    [sym_keyword_statement] = STATE(7975),
    [sym_include_statement] = STATE(7975),
    [sym_do_loop_statement] = STATE(7975),
    [sym_do_label_statement] = STATE(7975),
    [sym_end_do_label_statement] = STATE(7975),
    [sym_if_statement] = STATE(7975),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7975),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7975),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7975),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7975),
    [sym_select_type_statement] = STATE(7975),
    [sym_select_rank_statement] = STATE(7975),
    [sym_block_construct] = STATE(7975),
    [sym_associate_statement] = STATE(7975),
    [sym_format_statement] = STATE(7975),
    [sym_read_statement] = STATE(7975),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7975),
    [sym_open_statement] = STATE(7975),
    [sym_close_statement] = STATE(7975),
    [sym_write_statement] = STATE(7975),
    [sym_inquire_statement] = STATE(7975),
    [sym_file_position_statement] = STATE(7975),
    [sym_allocate_statement] = STATE(7975),
    [sym_entry_statement] = STATE(7975),
    [sym_assign_statement] = STATE(7975),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7975),
    [sym_coarray_team_statement] = STATE(7975),
    [sym_coarray_critical_statement] = STATE(7975),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym__block_if_statement_token1] = ACTIONS(4714),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [841] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_end_do_loop_statement] = STATE(7734),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4704),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [842] = {
    [sym__statements] = STATE(7278),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7278),
    [sym_assignment_statement] = STATE(7278),
    [sym_pointer_association_statement] = STATE(7278),
    [sym_subroutine_call] = STATE(7278),
    [sym_keyword_statement] = STATE(7278),
    [sym_include_statement] = STATE(7278),
    [sym_do_loop_statement] = STATE(7278),
    [sym_do_label_statement] = STATE(7278),
    [sym_end_do_label_statement] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7278),
    [sym__block_if_statement] = STATE(7841),
    [sym_end_if_statement] = STATE(7821),
    [sym_where_statement] = STATE(7278),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7278),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7278),
    [sym_select_type_statement] = STATE(7278),
    [sym_select_rank_statement] = STATE(7278),
    [sym_block_construct] = STATE(7278),
    [sym_associate_statement] = STATE(7278),
    [sym_format_statement] = STATE(7278),
    [sym_read_statement] = STATE(7278),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7278),
    [sym_open_statement] = STATE(7278),
    [sym_close_statement] = STATE(7278),
    [sym_write_statement] = STATE(7278),
    [sym_inquire_statement] = STATE(7278),
    [sym_file_position_statement] = STATE(7278),
    [sym_allocate_statement] = STATE(7278),
    [sym_entry_statement] = STATE(7278),
    [sym_assign_statement] = STATE(7278),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7278),
    [sym_coarray_team_statement] = STATE(7278),
    [sym_coarray_critical_statement] = STATE(7278),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4708),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3210),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [843] = {
    [sym__statements] = STATE(6886),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6886),
    [sym_pointer_association_statement] = STATE(6886),
    [sym_subroutine_call] = STATE(6886),
    [sym_keyword_statement] = STATE(6886),
    [sym_include_statement] = STATE(6886),
    [sym_do_loop_statement] = STATE(6886),
    [sym_do_label_statement] = STATE(6886),
    [sym_end_do_label_statement] = STATE(6886),
    [sym_if_statement] = STATE(6886),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6886),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6886),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6886),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6886),
    [sym_select_type_statement] = STATE(6886),
    [sym_select_rank_statement] = STATE(6886),
    [sym_block_construct] = STATE(6886),
    [sym_associate_statement] = STATE(6886),
    [sym_format_statement] = STATE(6838),
    [sym_read_statement] = STATE(6886),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6886),
    [sym_open_statement] = STATE(6886),
    [sym_close_statement] = STATE(6886),
    [sym_write_statement] = STATE(6886),
    [sym_inquire_statement] = STATE(6886),
    [sym_file_position_statement] = STATE(6886),
    [sym_allocate_statement] = STATE(6886),
    [sym_entry_statement] = STATE(6886),
    [sym_assign_statement] = STATE(6886),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6886),
    [sym_coarray_team_statement] = STATE(6886),
    [sym_coarray_critical_statement] = STATE(6886),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [844] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_end_do_loop_statement] = STATE(7796),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4704),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [845] = {
    [sym__statements] = STATE(7198),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7198),
    [sym_assignment_statement] = STATE(7198),
    [sym_pointer_association_statement] = STATE(7198),
    [sym_subroutine_call] = STATE(7198),
    [sym_keyword_statement] = STATE(7198),
    [sym_include_statement] = STATE(7198),
    [sym_do_loop_statement] = STATE(7198),
    [sym_do_label_statement] = STATE(7198),
    [sym_end_do_label_statement] = STATE(7198),
    [sym_if_statement] = STATE(7198),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7198),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7198),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7198),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7198),
    [sym_select_type_statement] = STATE(7198),
    [sym_select_rank_statement] = STATE(7198),
    [sym_block_construct] = STATE(7198),
    [sym_associate_statement] = STATE(7198),
    [sym_format_statement] = STATE(7199),
    [sym_read_statement] = STATE(7198),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7198),
    [sym_open_statement] = STATE(7198),
    [sym_close_statement] = STATE(7198),
    [sym_write_statement] = STATE(7198),
    [sym_inquire_statement] = STATE(7198),
    [sym_file_position_statement] = STATE(7198),
    [sym_allocate_statement] = STATE(7198),
    [sym_entry_statement] = STATE(7198),
    [sym_assign_statement] = STATE(7198),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7198),
    [sym_coarray_team_statement] = STATE(7198),
    [sym_coarray_critical_statement] = STATE(7198),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [846] = {
    [sym__statements] = STATE(7347),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7347),
    [sym_assignment_statement] = STATE(7347),
    [sym_pointer_association_statement] = STATE(7347),
    [sym_subroutine_call] = STATE(7347),
    [sym_keyword_statement] = STATE(7347),
    [sym_include_statement] = STATE(7347),
    [sym_do_loop_statement] = STATE(7347),
    [sym_do_label_statement] = STATE(7347),
    [sym_end_do_label_statement] = STATE(7347),
    [sym_if_statement] = STATE(7347),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7347),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7347),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7347),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7347),
    [sym_select_type_statement] = STATE(7347),
    [sym_select_rank_statement] = STATE(7347),
    [sym_block_construct] = STATE(7347),
    [sym_associate_statement] = STATE(7347),
    [sym_format_statement] = STATE(6915),
    [sym_read_statement] = STATE(7347),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7347),
    [sym_open_statement] = STATE(7347),
    [sym_close_statement] = STATE(7347),
    [sym_write_statement] = STATE(7347),
    [sym_inquire_statement] = STATE(7347),
    [sym_file_position_statement] = STATE(7347),
    [sym_allocate_statement] = STATE(7347),
    [sym_entry_statement] = STATE(7347),
    [sym_assign_statement] = STATE(7347),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7347),
    [sym_coarray_team_statement] = STATE(7347),
    [sym_coarray_critical_statement] = STATE(7347),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [847] = {
    [sym__statements] = STATE(7563),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7563),
    [sym_assignment_statement] = STATE(7563),
    [sym_pointer_association_statement] = STATE(7563),
    [sym_subroutine_call] = STATE(7563),
    [sym_keyword_statement] = STATE(7563),
    [sym_include_statement] = STATE(7563),
    [sym_do_loop_statement] = STATE(7563),
    [sym_do_label_statement] = STATE(7563),
    [sym_end_do_label_statement] = STATE(7563),
    [sym_if_statement] = STATE(7563),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7563),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7563),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7563),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7563),
    [sym_select_type_statement] = STATE(7563),
    [sym_select_rank_statement] = STATE(7563),
    [sym_block_construct] = STATE(7563),
    [sym_associate_statement] = STATE(7563),
    [sym_format_statement] = STATE(7564),
    [sym_read_statement] = STATE(7563),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7563),
    [sym_open_statement] = STATE(7563),
    [sym_close_statement] = STATE(7563),
    [sym_write_statement] = STATE(7563),
    [sym_inquire_statement] = STATE(7563),
    [sym_file_position_statement] = STATE(7563),
    [sym_allocate_statement] = STATE(7563),
    [sym_entry_statement] = STATE(7563),
    [sym_assign_statement] = STATE(7563),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7563),
    [sym_coarray_team_statement] = STATE(7563),
    [sym_coarray_critical_statement] = STATE(7563),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [848] = {
    [sym__statements] = STATE(7635),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7635),
    [sym_assignment_statement] = STATE(7635),
    [sym_pointer_association_statement] = STATE(7635),
    [sym_subroutine_call] = STATE(7635),
    [sym_keyword_statement] = STATE(7635),
    [sym_include_statement] = STATE(7635),
    [sym_do_loop_statement] = STATE(7635),
    [sym_do_label_statement] = STATE(7635),
    [sym_end_do_label_statement] = STATE(7635),
    [sym_if_statement] = STATE(7635),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7635),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7635),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7635),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7635),
    [sym_select_type_statement] = STATE(7635),
    [sym_select_rank_statement] = STATE(7635),
    [sym_block_construct] = STATE(7635),
    [sym_associate_statement] = STATE(7635),
    [sym_format_statement] = STATE(7181),
    [sym_read_statement] = STATE(7635),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7635),
    [sym_open_statement] = STATE(7635),
    [sym_close_statement] = STATE(7635),
    [sym_write_statement] = STATE(7635),
    [sym_inquire_statement] = STATE(7635),
    [sym_file_position_statement] = STATE(7635),
    [sym_allocate_statement] = STATE(7635),
    [sym_entry_statement] = STATE(7635),
    [sym_assign_statement] = STATE(7635),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7635),
    [sym_coarray_team_statement] = STATE(7635),
    [sym_coarray_critical_statement] = STATE(7635),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [849] = {
    [sym__statements] = STATE(7065),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7065),
    [sym_assignment_statement] = STATE(7065),
    [sym_pointer_association_statement] = STATE(7065),
    [sym_subroutine_call] = STATE(7065),
    [sym_keyword_statement] = STATE(7065),
    [sym_include_statement] = STATE(7065),
    [sym_do_loop_statement] = STATE(7065),
    [sym_do_label_statement] = STATE(7065),
    [sym_end_do_label_statement] = STATE(7065),
    [sym_if_statement] = STATE(7065),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7065),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7065),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7065),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7065),
    [sym_select_type_statement] = STATE(7065),
    [sym_select_rank_statement] = STATE(7065),
    [sym_block_construct] = STATE(7065),
    [sym_associate_statement] = STATE(7065),
    [sym_format_statement] = STATE(6991),
    [sym_read_statement] = STATE(7065),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7065),
    [sym_open_statement] = STATE(7065),
    [sym_close_statement] = STATE(7065),
    [sym_write_statement] = STATE(7065),
    [sym_inquire_statement] = STATE(7065),
    [sym_file_position_statement] = STATE(7065),
    [sym_allocate_statement] = STATE(7065),
    [sym_entry_statement] = STATE(7065),
    [sym_assign_statement] = STATE(7065),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7065),
    [sym_coarray_team_statement] = STATE(7065),
    [sym_coarray_critical_statement] = STATE(7065),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [850] = {
    [sym__statements] = STATE(7121),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7121),
    [sym_assignment_statement] = STATE(7121),
    [sym_pointer_association_statement] = STATE(7121),
    [sym_subroutine_call] = STATE(7121),
    [sym_keyword_statement] = STATE(7121),
    [sym_include_statement] = STATE(7121),
    [sym_do_loop_statement] = STATE(7121),
    [sym_do_label_statement] = STATE(7121),
    [sym_end_do_label_statement] = STATE(7121),
    [sym_if_statement] = STATE(7121),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7121),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7121),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7121),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7121),
    [sym_select_type_statement] = STATE(7121),
    [sym_select_rank_statement] = STATE(7121),
    [sym_block_construct] = STATE(7121),
    [sym_associate_statement] = STATE(7121),
    [sym_format_statement] = STATE(7066),
    [sym_read_statement] = STATE(7121),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7121),
    [sym_open_statement] = STATE(7121),
    [sym_close_statement] = STATE(7121),
    [sym_write_statement] = STATE(7121),
    [sym_inquire_statement] = STATE(7121),
    [sym_file_position_statement] = STATE(7121),
    [sym_allocate_statement] = STATE(7121),
    [sym_entry_statement] = STATE(7121),
    [sym_assign_statement] = STATE(7121),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7121),
    [sym_coarray_team_statement] = STATE(7121),
    [sym_coarray_critical_statement] = STATE(7121),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(4712),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [851] = {
    [sym__statements] = STATE(7418),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7418),
    [sym_assignment_statement] = STATE(7418),
    [sym_pointer_association_statement] = STATE(7418),
    [sym_subroutine_call] = STATE(7418),
    [sym_keyword_statement] = STATE(7418),
    [sym_include_statement] = STATE(7418),
    [sym_do_loop_statement] = STATE(7418),
    [sym_do_label_statement] = STATE(7418),
    [sym_end_do_label_statement] = STATE(7418),
    [sym_if_statement] = STATE(7418),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7418),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7418),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7418),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7418),
    [sym_select_type_statement] = STATE(7418),
    [sym_select_rank_statement] = STATE(7418),
    [sym_block_construct] = STATE(7418),
    [sym_associate_statement] = STATE(7418),
    [sym_format_statement] = STATE(7418),
    [sym_read_statement] = STATE(7418),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7418),
    [sym_open_statement] = STATE(7418),
    [sym_close_statement] = STATE(7418),
    [sym_write_statement] = STATE(7418),
    [sym_inquire_statement] = STATE(7418),
    [sym_file_position_statement] = STATE(7418),
    [sym_allocate_statement] = STATE(7418),
    [sym_entry_statement] = STATE(7418),
    [sym_assign_statement] = STATE(7418),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7418),
    [sym_coarray_team_statement] = STATE(7418),
    [sym_coarray_critical_statement] = STATE(7418),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [852] = {
    [sym__statements] = STATE(7402),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7402),
    [sym_assignment_statement] = STATE(7402),
    [sym_pointer_association_statement] = STATE(7402),
    [sym_subroutine_call] = STATE(7402),
    [sym_keyword_statement] = STATE(7402),
    [sym_include_statement] = STATE(7402),
    [sym_do_loop_statement] = STATE(7402),
    [sym_do_label_statement] = STATE(7402),
    [sym_end_do_label_statement] = STATE(7402),
    [sym_if_statement] = STATE(7402),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7402),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7402),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7402),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7402),
    [sym_select_type_statement] = STATE(7402),
    [sym_select_rank_statement] = STATE(7402),
    [sym_block_construct] = STATE(7402),
    [sym_associate_statement] = STATE(7402),
    [sym_format_statement] = STATE(7402),
    [sym_read_statement] = STATE(7402),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7402),
    [sym_open_statement] = STATE(7402),
    [sym_close_statement] = STATE(7402),
    [sym_write_statement] = STATE(7402),
    [sym_inquire_statement] = STATE(7402),
    [sym_file_position_statement] = STATE(7402),
    [sym_allocate_statement] = STATE(7402),
    [sym_entry_statement] = STATE(7402),
    [sym_assign_statement] = STATE(7402),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7402),
    [sym_coarray_team_statement] = STATE(7402),
    [sym_coarray_critical_statement] = STATE(7402),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [853] = {
    [sym__statements] = STATE(7410),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7410),
    [sym_assignment_statement] = STATE(7410),
    [sym_pointer_association_statement] = STATE(7410),
    [sym_subroutine_call] = STATE(7410),
    [sym_keyword_statement] = STATE(7410),
    [sym_include_statement] = STATE(7410),
    [sym_do_loop_statement] = STATE(7410),
    [sym_do_label_statement] = STATE(7410),
    [sym_end_do_label_statement] = STATE(7410),
    [sym_if_statement] = STATE(7410),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7410),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7410),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7410),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7410),
    [sym_select_type_statement] = STATE(7410),
    [sym_select_rank_statement] = STATE(7410),
    [sym_block_construct] = STATE(7410),
    [sym_associate_statement] = STATE(7410),
    [sym_format_statement] = STATE(7410),
    [sym_read_statement] = STATE(7410),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7410),
    [sym_open_statement] = STATE(7410),
    [sym_close_statement] = STATE(7410),
    [sym_write_statement] = STATE(7410),
    [sym_inquire_statement] = STATE(7410),
    [sym_file_position_statement] = STATE(7410),
    [sym_allocate_statement] = STATE(7410),
    [sym_entry_statement] = STATE(7410),
    [sym_assign_statement] = STATE(7410),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7410),
    [sym_coarray_team_statement] = STATE(7410),
    [sym_coarray_critical_statement] = STATE(7410),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [854] = {
    [sym__statements] = STATE(6886),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6886),
    [sym_pointer_association_statement] = STATE(6886),
    [sym_subroutine_call] = STATE(6886),
    [sym_keyword_statement] = STATE(6886),
    [sym_include_statement] = STATE(6886),
    [sym_do_loop_statement] = STATE(6886),
    [sym_do_label_statement] = STATE(6886),
    [sym_end_do_label_statement] = STATE(6886),
    [sym_if_statement] = STATE(6886),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6886),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6886),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6886),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6886),
    [sym_select_type_statement] = STATE(6886),
    [sym_select_rank_statement] = STATE(6886),
    [sym_block_construct] = STATE(6886),
    [sym_associate_statement] = STATE(6886),
    [sym_format_statement] = STATE(6886),
    [sym_read_statement] = STATE(6886),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6886),
    [sym_open_statement] = STATE(6886),
    [sym_close_statement] = STATE(6886),
    [sym_write_statement] = STATE(6886),
    [sym_inquire_statement] = STATE(6886),
    [sym_file_position_statement] = STATE(6886),
    [sym_allocate_statement] = STATE(6886),
    [sym_entry_statement] = STATE(6886),
    [sym_assign_statement] = STATE(6886),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6886),
    [sym_coarray_team_statement] = STATE(6886),
    [sym_coarray_critical_statement] = STATE(6886),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [855] = {
    [sym__statements] = STATE(6914),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6914),
    [sym_assignment_statement] = STATE(6914),
    [sym_pointer_association_statement] = STATE(6914),
    [sym_subroutine_call] = STATE(6914),
    [sym_keyword_statement] = STATE(6914),
    [sym_include_statement] = STATE(6914),
    [sym_do_loop_statement] = STATE(6914),
    [sym_do_label_statement] = STATE(6914),
    [sym_end_do_label_statement] = STATE(6914),
    [sym_if_statement] = STATE(6914),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6914),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6914),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6914),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6914),
    [sym_select_type_statement] = STATE(6914),
    [sym_select_rank_statement] = STATE(6914),
    [sym_block_construct] = STATE(6914),
    [sym_associate_statement] = STATE(6914),
    [sym_format_statement] = STATE(6914),
    [sym_read_statement] = STATE(6914),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6914),
    [sym_open_statement] = STATE(6914),
    [sym_close_statement] = STATE(6914),
    [sym_write_statement] = STATE(6914),
    [sym_inquire_statement] = STATE(6914),
    [sym_file_position_statement] = STATE(6914),
    [sym_allocate_statement] = STATE(6914),
    [sym_entry_statement] = STATE(6914),
    [sym_assign_statement] = STATE(6914),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6914),
    [sym_coarray_team_statement] = STATE(6914),
    [sym_coarray_critical_statement] = STATE(6914),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [856] = {
    [sym__statements] = STATE(7347),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7347),
    [sym_assignment_statement] = STATE(7347),
    [sym_pointer_association_statement] = STATE(7347),
    [sym_subroutine_call] = STATE(7347),
    [sym_keyword_statement] = STATE(7347),
    [sym_include_statement] = STATE(7347),
    [sym_do_loop_statement] = STATE(7347),
    [sym_do_label_statement] = STATE(7347),
    [sym_end_do_label_statement] = STATE(7347),
    [sym_if_statement] = STATE(7347),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7347),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7347),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7347),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7347),
    [sym_select_type_statement] = STATE(7347),
    [sym_select_rank_statement] = STATE(7347),
    [sym_block_construct] = STATE(7347),
    [sym_associate_statement] = STATE(7347),
    [sym_format_statement] = STATE(7347),
    [sym_read_statement] = STATE(7347),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7347),
    [sym_open_statement] = STATE(7347),
    [sym_close_statement] = STATE(7347),
    [sym_write_statement] = STATE(7347),
    [sym_inquire_statement] = STATE(7347),
    [sym_file_position_statement] = STATE(7347),
    [sym_allocate_statement] = STATE(7347),
    [sym_entry_statement] = STATE(7347),
    [sym_assign_statement] = STATE(7347),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7347),
    [sym_coarray_team_statement] = STATE(7347),
    [sym_coarray_critical_statement] = STATE(7347),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [857] = {
    [sym__statements] = STATE(7594),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7594),
    [sym_assignment_statement] = STATE(7594),
    [sym_pointer_association_statement] = STATE(7594),
    [sym_subroutine_call] = STATE(7594),
    [sym_keyword_statement] = STATE(7594),
    [sym_include_statement] = STATE(7594),
    [sym_do_loop_statement] = STATE(7594),
    [sym_do_label_statement] = STATE(7594),
    [sym_end_do_label_statement] = STATE(7594),
    [sym_if_statement] = STATE(7594),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7594),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7594),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7594),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7594),
    [sym_select_type_statement] = STATE(7594),
    [sym_select_rank_statement] = STATE(7594),
    [sym_block_construct] = STATE(7594),
    [sym_associate_statement] = STATE(7594),
    [sym_format_statement] = STATE(7594),
    [sym_read_statement] = STATE(7594),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7594),
    [sym_open_statement] = STATE(7594),
    [sym_close_statement] = STATE(7594),
    [sym_write_statement] = STATE(7594),
    [sym_inquire_statement] = STATE(7594),
    [sym_file_position_statement] = STATE(7594),
    [sym_allocate_statement] = STATE(7594),
    [sym_entry_statement] = STATE(7594),
    [sym_assign_statement] = STATE(7594),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7594),
    [sym_coarray_team_statement] = STATE(7594),
    [sym_coarray_critical_statement] = STATE(7594),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [858] = {
    [sym__statements] = STATE(7198),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7198),
    [sym_assignment_statement] = STATE(7198),
    [sym_pointer_association_statement] = STATE(7198),
    [sym_subroutine_call] = STATE(7198),
    [sym_keyword_statement] = STATE(7198),
    [sym_include_statement] = STATE(7198),
    [sym_do_loop_statement] = STATE(7198),
    [sym_do_label_statement] = STATE(7198),
    [sym_end_do_label_statement] = STATE(7198),
    [sym_if_statement] = STATE(7198),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7198),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7198),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7198),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7198),
    [sym_select_type_statement] = STATE(7198),
    [sym_select_rank_statement] = STATE(7198),
    [sym_block_construct] = STATE(7198),
    [sym_associate_statement] = STATE(7198),
    [sym_format_statement] = STATE(7198),
    [sym_read_statement] = STATE(7198),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7198),
    [sym_open_statement] = STATE(7198),
    [sym_close_statement] = STATE(7198),
    [sym_write_statement] = STATE(7198),
    [sym_inquire_statement] = STATE(7198),
    [sym_file_position_statement] = STATE(7198),
    [sym_allocate_statement] = STATE(7198),
    [sym_entry_statement] = STATE(7198),
    [sym_assign_statement] = STATE(7198),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7198),
    [sym_coarray_team_statement] = STATE(7198),
    [sym_coarray_critical_statement] = STATE(7198),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [859] = {
    [sym__statements] = STATE(7635),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7635),
    [sym_assignment_statement] = STATE(7635),
    [sym_pointer_association_statement] = STATE(7635),
    [sym_subroutine_call] = STATE(7635),
    [sym_keyword_statement] = STATE(7635),
    [sym_include_statement] = STATE(7635),
    [sym_do_loop_statement] = STATE(7635),
    [sym_do_label_statement] = STATE(7635),
    [sym_end_do_label_statement] = STATE(7635),
    [sym_if_statement] = STATE(7635),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7635),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7635),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7635),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7635),
    [sym_select_type_statement] = STATE(7635),
    [sym_select_rank_statement] = STATE(7635),
    [sym_block_construct] = STATE(7635),
    [sym_associate_statement] = STATE(7635),
    [sym_format_statement] = STATE(7635),
    [sym_read_statement] = STATE(7635),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7635),
    [sym_open_statement] = STATE(7635),
    [sym_close_statement] = STATE(7635),
    [sym_write_statement] = STATE(7635),
    [sym_inquire_statement] = STATE(7635),
    [sym_file_position_statement] = STATE(7635),
    [sym_allocate_statement] = STATE(7635),
    [sym_entry_statement] = STATE(7635),
    [sym_assign_statement] = STATE(7635),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7635),
    [sym_coarray_team_statement] = STATE(7635),
    [sym_coarray_critical_statement] = STATE(7635),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [860] = {
    [sym__statements] = STATE(7563),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7563),
    [sym_assignment_statement] = STATE(7563),
    [sym_pointer_association_statement] = STATE(7563),
    [sym_subroutine_call] = STATE(7563),
    [sym_keyword_statement] = STATE(7563),
    [sym_include_statement] = STATE(7563),
    [sym_do_loop_statement] = STATE(7563),
    [sym_do_label_statement] = STATE(7563),
    [sym_end_do_label_statement] = STATE(7563),
    [sym_if_statement] = STATE(7563),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7563),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7563),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7563),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7563),
    [sym_select_type_statement] = STATE(7563),
    [sym_select_rank_statement] = STATE(7563),
    [sym_block_construct] = STATE(7563),
    [sym_associate_statement] = STATE(7563),
    [sym_format_statement] = STATE(7563),
    [sym_read_statement] = STATE(7563),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7563),
    [sym_open_statement] = STATE(7563),
    [sym_close_statement] = STATE(7563),
    [sym_write_statement] = STATE(7563),
    [sym_inquire_statement] = STATE(7563),
    [sym_file_position_statement] = STATE(7563),
    [sym_allocate_statement] = STATE(7563),
    [sym_entry_statement] = STATE(7563),
    [sym_assign_statement] = STATE(7563),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7563),
    [sym_coarray_team_statement] = STATE(7563),
    [sym_coarray_critical_statement] = STATE(7563),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [861] = {
    [sym__statements] = STATE(7180),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7180),
    [sym_assignment_statement] = STATE(7180),
    [sym_pointer_association_statement] = STATE(7180),
    [sym_subroutine_call] = STATE(7180),
    [sym_keyword_statement] = STATE(7180),
    [sym_include_statement] = STATE(7180),
    [sym_do_loop_statement] = STATE(7180),
    [sym_do_label_statement] = STATE(7180),
    [sym_end_do_label_statement] = STATE(7180),
    [sym_if_statement] = STATE(7180),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7180),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7180),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7180),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7180),
    [sym_select_type_statement] = STATE(7180),
    [sym_select_rank_statement] = STATE(7180),
    [sym_block_construct] = STATE(7180),
    [sym_associate_statement] = STATE(7180),
    [sym_format_statement] = STATE(7180),
    [sym_read_statement] = STATE(7180),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7180),
    [sym_open_statement] = STATE(7180),
    [sym_close_statement] = STATE(7180),
    [sym_write_statement] = STATE(7180),
    [sym_inquire_statement] = STATE(7180),
    [sym_file_position_statement] = STATE(7180),
    [sym_allocate_statement] = STATE(7180),
    [sym_entry_statement] = STATE(7180),
    [sym_assign_statement] = STATE(7180),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7180),
    [sym_coarray_team_statement] = STATE(7180),
    [sym_coarray_critical_statement] = STATE(7180),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [862] = {
    [sym__statements] = STATE(7121),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7121),
    [sym_assignment_statement] = STATE(7121),
    [sym_pointer_association_statement] = STATE(7121),
    [sym_subroutine_call] = STATE(7121),
    [sym_keyword_statement] = STATE(7121),
    [sym_include_statement] = STATE(7121),
    [sym_do_loop_statement] = STATE(7121),
    [sym_do_label_statement] = STATE(7121),
    [sym_end_do_label_statement] = STATE(7121),
    [sym_if_statement] = STATE(7121),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7121),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7121),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7121),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7121),
    [sym_select_type_statement] = STATE(7121),
    [sym_select_rank_statement] = STATE(7121),
    [sym_block_construct] = STATE(7121),
    [sym_associate_statement] = STATE(7121),
    [sym_format_statement] = STATE(7121),
    [sym_read_statement] = STATE(7121),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7121),
    [sym_open_statement] = STATE(7121),
    [sym_close_statement] = STATE(7121),
    [sym_write_statement] = STATE(7121),
    [sym_inquire_statement] = STATE(7121),
    [sym_file_position_statement] = STATE(7121),
    [sym_allocate_statement] = STATE(7121),
    [sym_entry_statement] = STATE(7121),
    [sym_assign_statement] = STATE(7121),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7121),
    [sym_coarray_team_statement] = STATE(7121),
    [sym_coarray_critical_statement] = STATE(7121),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [863] = {
    [sym__statements] = STATE(7065),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7065),
    [sym_assignment_statement] = STATE(7065),
    [sym_pointer_association_statement] = STATE(7065),
    [sym_subroutine_call] = STATE(7065),
    [sym_keyword_statement] = STATE(7065),
    [sym_include_statement] = STATE(7065),
    [sym_do_loop_statement] = STATE(7065),
    [sym_do_label_statement] = STATE(7065),
    [sym_end_do_label_statement] = STATE(7065),
    [sym_if_statement] = STATE(7065),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7065),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7065),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7065),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7065),
    [sym_select_type_statement] = STATE(7065),
    [sym_select_rank_statement] = STATE(7065),
    [sym_block_construct] = STATE(7065),
    [sym_associate_statement] = STATE(7065),
    [sym_format_statement] = STATE(7065),
    [sym_read_statement] = STATE(7065),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7065),
    [sym_open_statement] = STATE(7065),
    [sym_close_statement] = STATE(7065),
    [sym_write_statement] = STATE(7065),
    [sym_inquire_statement] = STATE(7065),
    [sym_file_position_statement] = STATE(7065),
    [sym_allocate_statement] = STATE(7065),
    [sym_entry_statement] = STATE(7065),
    [sym_assign_statement] = STATE(7065),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7065),
    [sym_coarray_team_statement] = STATE(7065),
    [sym_coarray_critical_statement] = STATE(7065),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [864] = {
    [sym__statements] = STATE(6837),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6837),
    [sym_assignment_statement] = STATE(6837),
    [sym_pointer_association_statement] = STATE(6837),
    [sym_subroutine_call] = STATE(6837),
    [sym_keyword_statement] = STATE(6837),
    [sym_include_statement] = STATE(6837),
    [sym_do_loop_statement] = STATE(6837),
    [sym_do_label_statement] = STATE(6837),
    [sym_end_do_label_statement] = STATE(6837),
    [sym_if_statement] = STATE(6837),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6837),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6837),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6837),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6837),
    [sym_select_type_statement] = STATE(6837),
    [sym_select_rank_statement] = STATE(6837),
    [sym_block_construct] = STATE(6837),
    [sym_associate_statement] = STATE(6837),
    [sym_format_statement] = STATE(6837),
    [sym_read_statement] = STATE(6837),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6837),
    [sym_open_statement] = STATE(6837),
    [sym_close_statement] = STATE(6837),
    [sym_write_statement] = STATE(6837),
    [sym_inquire_statement] = STATE(6837),
    [sym_file_position_statement] = STATE(6837),
    [sym_allocate_statement] = STATE(6837),
    [sym_entry_statement] = STATE(6837),
    [sym_assign_statement] = STATE(6837),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6837),
    [sym_coarray_team_statement] = STATE(6837),
    [sym_coarray_critical_statement] = STATE(6837),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [865] = {
    [sym__statements] = STATE(7318),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7318),
    [sym_assignment_statement] = STATE(7318),
    [sym_pointer_association_statement] = STATE(7318),
    [sym_subroutine_call] = STATE(7318),
    [sym_keyword_statement] = STATE(7318),
    [sym_include_statement] = STATE(7318),
    [sym_do_loop_statement] = STATE(7318),
    [sym_do_label_statement] = STATE(7318),
    [sym_end_do_label_statement] = STATE(7318),
    [sym_if_statement] = STATE(7318),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7318),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7318),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7318),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7318),
    [sym_select_type_statement] = STATE(7318),
    [sym_select_rank_statement] = STATE(7318),
    [sym_block_construct] = STATE(7318),
    [sym_associate_statement] = STATE(7318),
    [sym_format_statement] = STATE(7318),
    [sym_read_statement] = STATE(7318),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7318),
    [sym_open_statement] = STATE(7318),
    [sym_close_statement] = STATE(7318),
    [sym_write_statement] = STATE(7318),
    [sym_inquire_statement] = STATE(7318),
    [sym_file_position_statement] = STATE(7318),
    [sym_allocate_statement] = STATE(7318),
    [sym_entry_statement] = STATE(7318),
    [sym_assign_statement] = STATE(7318),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7318),
    [sym_coarray_team_statement] = STATE(7318),
    [sym_coarray_critical_statement] = STATE(7318),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [866] = {
    [sym__statements] = STATE(6990),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(6990),
    [sym_assignment_statement] = STATE(6990),
    [sym_pointer_association_statement] = STATE(6990),
    [sym_subroutine_call] = STATE(6990),
    [sym_keyword_statement] = STATE(6990),
    [sym_include_statement] = STATE(6990),
    [sym_do_loop_statement] = STATE(6990),
    [sym_do_label_statement] = STATE(6990),
    [sym_end_do_label_statement] = STATE(6990),
    [sym_if_statement] = STATE(6990),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(6990),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(6990),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(6990),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(6990),
    [sym_select_type_statement] = STATE(6990),
    [sym_select_rank_statement] = STATE(6990),
    [sym_block_construct] = STATE(6990),
    [sym_associate_statement] = STATE(6990),
    [sym_format_statement] = STATE(6990),
    [sym_read_statement] = STATE(6990),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(6990),
    [sym_open_statement] = STATE(6990),
    [sym_close_statement] = STATE(6990),
    [sym_write_statement] = STATE(6990),
    [sym_inquire_statement] = STATE(6990),
    [sym_file_position_statement] = STATE(6990),
    [sym_allocate_statement] = STATE(6990),
    [sym_entry_statement] = STATE(6990),
    [sym_assign_statement] = STATE(6990),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(6990),
    [sym_coarray_team_statement] = STATE(6990),
    [sym_coarray_critical_statement] = STATE(6990),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [867] = {
    [sym__statements] = STATE(7227),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7227),
    [sym_assignment_statement] = STATE(7227),
    [sym_pointer_association_statement] = STATE(7227),
    [sym_subroutine_call] = STATE(7227),
    [sym_keyword_statement] = STATE(7227),
    [sym_include_statement] = STATE(7227),
    [sym_do_loop_statement] = STATE(7227),
    [sym_do_label_statement] = STATE(7227),
    [sym_end_do_label_statement] = STATE(7227),
    [sym_if_statement] = STATE(7227),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7227),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7227),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7227),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7227),
    [sym_select_type_statement] = STATE(7227),
    [sym_select_rank_statement] = STATE(7227),
    [sym_block_construct] = STATE(7227),
    [sym_associate_statement] = STATE(7227),
    [sym_format_statement] = STATE(7227),
    [sym_read_statement] = STATE(7227),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7227),
    [sym_open_statement] = STATE(7227),
    [sym_close_statement] = STATE(7227),
    [sym_write_statement] = STATE(7227),
    [sym_inquire_statement] = STATE(7227),
    [sym_file_position_statement] = STATE(7227),
    [sym_allocate_statement] = STATE(7227),
    [sym_entry_statement] = STATE(7227),
    [sym_assign_statement] = STATE(7227),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7227),
    [sym_coarray_team_statement] = STATE(7227),
    [sym_coarray_critical_statement] = STATE(7227),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [868] = {
    [sym__statements] = STATE(7341),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7341),
    [sym_assignment_statement] = STATE(7341),
    [sym_pointer_association_statement] = STATE(7341),
    [sym_subroutine_call] = STATE(7341),
    [sym_keyword_statement] = STATE(7341),
    [sym_include_statement] = STATE(7341),
    [sym_do_loop_statement] = STATE(7341),
    [sym_do_label_statement] = STATE(7341),
    [sym_end_do_label_statement] = STATE(7341),
    [sym_if_statement] = STATE(7341),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7341),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7341),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7341),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7341),
    [sym_select_type_statement] = STATE(7341),
    [sym_select_rank_statement] = STATE(7341),
    [sym_block_construct] = STATE(7341),
    [sym_associate_statement] = STATE(7341),
    [sym_format_statement] = STATE(7341),
    [sym_read_statement] = STATE(7341),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7341),
    [sym_open_statement] = STATE(7341),
    [sym_close_statement] = STATE(7341),
    [sym_write_statement] = STATE(7341),
    [sym_inquire_statement] = STATE(7341),
    [sym_file_position_statement] = STATE(7341),
    [sym_allocate_statement] = STATE(7341),
    [sym_entry_statement] = STATE(7341),
    [sym_assign_statement] = STATE(7341),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7341),
    [sym_coarray_team_statement] = STATE(7341),
    [sym_coarray_critical_statement] = STATE(7341),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [869] = {
    [sym__statements] = STATE(7366),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7366),
    [sym_assignment_statement] = STATE(7366),
    [sym_pointer_association_statement] = STATE(7366),
    [sym_subroutine_call] = STATE(7366),
    [sym_keyword_statement] = STATE(7366),
    [sym_include_statement] = STATE(7366),
    [sym_do_loop_statement] = STATE(7366),
    [sym_do_label_statement] = STATE(7366),
    [sym_end_do_label_statement] = STATE(7366),
    [sym_if_statement] = STATE(7366),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7366),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7366),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7366),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7366),
    [sym_select_type_statement] = STATE(7366),
    [sym_select_rank_statement] = STATE(7366),
    [sym_block_construct] = STATE(7366),
    [sym_associate_statement] = STATE(7366),
    [sym_format_statement] = STATE(7366),
    [sym_read_statement] = STATE(7366),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7366),
    [sym_open_statement] = STATE(7366),
    [sym_close_statement] = STATE(7366),
    [sym_write_statement] = STATE(7366),
    [sym_inquire_statement] = STATE(7366),
    [sym_file_position_statement] = STATE(7366),
    [sym_allocate_statement] = STATE(7366),
    [sym_entry_statement] = STATE(7366),
    [sym_assign_statement] = STATE(7366),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7366),
    [sym_coarray_team_statement] = STATE(7366),
    [sym_coarray_critical_statement] = STATE(7366),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [870] = {
    [sym__statements] = STATE(7385),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7385),
    [sym_assignment_statement] = STATE(7385),
    [sym_pointer_association_statement] = STATE(7385),
    [sym_subroutine_call] = STATE(7385),
    [sym_keyword_statement] = STATE(7385),
    [sym_include_statement] = STATE(7385),
    [sym_do_loop_statement] = STATE(7385),
    [sym_do_label_statement] = STATE(7385),
    [sym_end_do_label_statement] = STATE(7385),
    [sym_if_statement] = STATE(7385),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7385),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7385),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7385),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7385),
    [sym_select_type_statement] = STATE(7385),
    [sym_select_rank_statement] = STATE(7385),
    [sym_block_construct] = STATE(7385),
    [sym_associate_statement] = STATE(7385),
    [sym_format_statement] = STATE(7385),
    [sym_read_statement] = STATE(7385),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7385),
    [sym_open_statement] = STATE(7385),
    [sym_close_statement] = STATE(7385),
    [sym_write_statement] = STATE(7385),
    [sym_inquire_statement] = STATE(7385),
    [sym_file_position_statement] = STATE(7385),
    [sym_allocate_statement] = STATE(7385),
    [sym_entry_statement] = STATE(7385),
    [sym_assign_statement] = STATE(7385),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7385),
    [sym_coarray_team_statement] = STATE(7385),
    [sym_coarray_critical_statement] = STATE(7385),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [871] = {
    [sym__statements] = STATE(7278),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7278),
    [sym_assignment_statement] = STATE(7278),
    [sym_pointer_association_statement] = STATE(7278),
    [sym_subroutine_call] = STATE(7278),
    [sym_keyword_statement] = STATE(7278),
    [sym_include_statement] = STATE(7278),
    [sym_do_loop_statement] = STATE(7278),
    [sym_do_label_statement] = STATE(7278),
    [sym_end_do_label_statement] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7278),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7278),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7278),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7278),
    [sym_select_type_statement] = STATE(7278),
    [sym_select_rank_statement] = STATE(7278),
    [sym_block_construct] = STATE(7278),
    [sym_associate_statement] = STATE(7278),
    [sym_format_statement] = STATE(7278),
    [sym_read_statement] = STATE(7278),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7278),
    [sym_open_statement] = STATE(7278),
    [sym_close_statement] = STATE(7278),
    [sym_write_statement] = STATE(7278),
    [sym_inquire_statement] = STATE(7278),
    [sym_file_position_statement] = STATE(7278),
    [sym_allocate_statement] = STATE(7278),
    [sym_entry_statement] = STATE(7278),
    [sym_assign_statement] = STATE(7278),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7278),
    [sym_coarray_team_statement] = STATE(7278),
    [sym_coarray_critical_statement] = STATE(7278),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [872] = {
    [sym__statements] = STATE(7394),
    [sym_statement_label] = STATE(8035),
    [sym_stop_statement] = STATE(7394),
    [sym_assignment_statement] = STATE(7394),
    [sym_pointer_association_statement] = STATE(7394),
    [sym_subroutine_call] = STATE(7394),
    [sym_keyword_statement] = STATE(7394),
    [sym_include_statement] = STATE(7394),
    [sym_do_loop_statement] = STATE(7394),
    [sym_do_label_statement] = STATE(7394),
    [sym_end_do_label_statement] = STATE(7394),
    [sym_if_statement] = STATE(7394),
    [sym__inline_if_statement] = STATE(7841),
    [sym_arithmetic_if_statement] = STATE(7394),
    [sym__block_if_statement] = STATE(7841),
    [sym_where_statement] = STATE(7394),
    [sym__inline_where_statement] = STATE(7944),
    [sym__block_where_statement] = STATE(7944),
    [sym_forall_statement] = STATE(7394),
    [sym__forall_control_expression] = STATE(830),
    [sym__inline_forall_statement] = STATE(7961),
    [sym__block_forall_statement] = STATE(7961),
    [sym_select_case_statement] = STATE(7394),
    [sym_select_type_statement] = STATE(7394),
    [sym_select_rank_statement] = STATE(7394),
    [sym_block_construct] = STATE(7394),
    [sym_associate_statement] = STATE(7394),
    [sym_format_statement] = STATE(7394),
    [sym_read_statement] = STATE(7394),
    [sym__simple_read_statement] = STATE(7756),
    [sym__parameterized_read_statement] = STATE(7756),
    [sym_print_statement] = STATE(7394),
    [sym_open_statement] = STATE(7394),
    [sym_close_statement] = STATE(7394),
    [sym_write_statement] = STATE(7394),
    [sym_inquire_statement] = STATE(7394),
    [sym_file_position_statement] = STATE(7394),
    [sym_allocate_statement] = STATE(7394),
    [sym_entry_statement] = STATE(7394),
    [sym_assign_statement] = STATE(7394),
    [sym__expression] = STATE(4844),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4968),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_block_label_start_expression] = STATE(5971),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_coarray_statement] = STATE(7394),
    [sym_coarray_team_statement] = STATE(7394),
    [sym_coarray_critical_statement] = STATE(7394),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5078),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(753),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4698),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token2] = ACTIONS(4716),
    [aux_sym_module_statement_token1] = ACTIONS(4716),
    [aux_sym_submodule_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_block_data_statement_token3] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_function_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token2] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [aux_sym_preproc_else_token1] = ACTIONS(4720),
    [aux_sym_preproc_elif_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [sym_preproc_comment] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4720),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [aux_sym_end_program_statement_token2] = ACTIONS(4720),
    [aux_sym_module_statement_token1] = ACTIONS(4720),
    [aux_sym_submodule_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_block_data_statement_token3] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_function_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4720),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4720),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4720),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_keyword_statement_token6] = ACTIONS(4720),
    [aux_sym_keyword_statement_token7] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token3] = ACTIONS(4720),
    [aux_sym_select_type_statement_token1] = ACTIONS(4720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4720),
    [aux_sym_associate_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_print_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_close_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token2] = ACTIONS(4720),
    [aux_sym_file_position_statement_token3] = ACTIONS(4720),
    [aux_sym_file_position_statement_token4] = ACTIONS(4720),
    [aux_sym_allocate_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_assign_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_statement_token13] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token2] = ACTIONS(4716),
    [aux_sym_module_statement_token1] = ACTIONS(4716),
    [aux_sym_submodule_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_block_data_statement_token3] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_function_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4716),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token2] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [aux_sym_preproc_else_token1] = ACTIONS(4724),
    [aux_sym_preproc_elif_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [sym_preproc_comment] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [aux_sym_end_program_statement_token2] = ACTIONS(4724),
    [aux_sym_module_statement_token1] = ACTIONS(4724),
    [aux_sym_submodule_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_block_data_statement_token3] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_function_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4724),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4724),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4724),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_keyword_statement_token6] = ACTIONS(4724),
    [aux_sym_keyword_statement_token7] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token3] = ACTIONS(4724),
    [aux_sym_select_type_statement_token1] = ACTIONS(4724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4724),
    [aux_sym_associate_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_print_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_close_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token2] = ACTIONS(4724),
    [aux_sym_file_position_statement_token3] = ACTIONS(4724),
    [aux_sym_file_position_statement_token4] = ACTIONS(4724),
    [aux_sym_allocate_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_assign_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_statement_token13] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token2] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [aux_sym_preproc_else_token1] = ACTIONS(4728),
    [aux_sym_preproc_elif_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [sym_preproc_comment] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4728),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [aux_sym_end_program_statement_token2] = ACTIONS(4728),
    [aux_sym_module_statement_token1] = ACTIONS(4728),
    [aux_sym_submodule_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_block_data_statement_token3] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_function_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4728),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4728),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4728),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_keyword_statement_token6] = ACTIONS(4728),
    [aux_sym_keyword_statement_token7] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token3] = ACTIONS(4728),
    [aux_sym_select_type_statement_token1] = ACTIONS(4728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4728),
    [aux_sym_associate_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_print_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_close_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token2] = ACTIONS(4728),
    [aux_sym_file_position_statement_token3] = ACTIONS(4728),
    [aux_sym_file_position_statement_token4] = ACTIONS(4728),
    [aux_sym_allocate_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_assign_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_statement_token13] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token2] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [aux_sym_preproc_else_token1] = ACTIONS(4732),
    [aux_sym_preproc_elif_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [sym_preproc_comment] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4732),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [aux_sym_end_program_statement_token2] = ACTIONS(4732),
    [aux_sym_module_statement_token1] = ACTIONS(4732),
    [aux_sym_submodule_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_block_data_statement_token3] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_function_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4732),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4732),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4732),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_keyword_statement_token6] = ACTIONS(4732),
    [aux_sym_keyword_statement_token7] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4732),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token3] = ACTIONS(4732),
    [aux_sym_select_type_statement_token1] = ACTIONS(4732),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4732),
    [aux_sym_associate_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_print_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_close_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token2] = ACTIONS(4732),
    [aux_sym_file_position_statement_token3] = ACTIONS(4732),
    [aux_sym_file_position_statement_token4] = ACTIONS(4732),
    [aux_sym_allocate_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_assign_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_statement_token13] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token2] = ACTIONS(4738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [aux_sym_preproc_else_token1] = ACTIONS(4738),
    [aux_sym_preproc_elif_token1] = ACTIONS(4738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4738),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(4740),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4738),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [aux_sym_module_statement_token1] = ACTIONS(4738),
    [aux_sym_submodule_statement_token1] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_block_data_statement_token3] = ACTIONS(4738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_function_statement_token1] = ACTIONS(4738),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [aux_sym_preproc_else_token1] = ACTIONS(4744),
    [aux_sym_preproc_elif_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(4746),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4738),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [aux_sym_module_statement_token1] = ACTIONS(4738),
    [aux_sym_submodule_statement_token1] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_block_data_statement_token3] = ACTIONS(4738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_function_statement_token1] = ACTIONS(4738),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token2] = ACTIONS(4750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [aux_sym_preproc_else_token1] = ACTIONS(4750),
    [aux_sym_preproc_elif_token1] = ACTIONS(4750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4750),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(4752),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4750),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [aux_sym_module_statement_token1] = ACTIONS(4750),
    [aux_sym_submodule_statement_token1] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_block_data_statement_token3] = ACTIONS(4750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_function_statement_token1] = ACTIONS(4750),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [aux_sym_preproc_else_token1] = ACTIONS(4756),
    [aux_sym_preproc_elif_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(4758),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4750),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [aux_sym_module_statement_token1] = ACTIONS(4750),
    [aux_sym_submodule_statement_token1] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_block_data_statement_token3] = ACTIONS(4750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_function_statement_token1] = ACTIONS(4750),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(4764),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4770),
    [aux_sym_preproc_def_token1] = ACTIONS(4770),
    [aux_sym_preproc_if_token1] = ACTIONS(4770),
    [aux_sym_preproc_if_token2] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4770),
    [aux_sym_preproc_else_token1] = ACTIONS(4770),
    [aux_sym_preproc_elif_token1] = ACTIONS(4770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4770),
    [sym_preproc_directive] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(4770),
    [sym_preproc_comment] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_DASH] = ACTIONS(4774),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token2] = ACTIONS(4770),
    [aux_sym_module_statement_token1] = ACTIONS(4770),
    [aux_sym_submodule_statement_token1] = ACTIONS(4770),
    [anon_sym_SEMI] = ACTIONS(4774),
    [aux_sym_interface_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token2] = ACTIONS(4770),
    [aux_sym_block_data_statement_token3] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4770),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4770),
    [aux_sym_function_statement_token1] = ACTIONS(4770),
    [aux_sym_language_binding_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4770),
    [aux_sym_contains_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token2] = ACTIONS(4770),
    [aux_sym_implicit_statement_token1] = ACTIONS(4770),
    [aux_sym_implicit_statement_token3] = ACTIONS(4770),
    [aux_sym_implicit_statement_token4] = ACTIONS(4770),
    [aux_sym_save_statement_token1] = ACTIONS(4770),
    [aux_sym_private_statement_token1] = ACTIONS(4770),
    [aux_sym_public_statement_token1] = ACTIONS(4770),
    [aux_sym_namelist_statement_token1] = ACTIONS(4770),
    [aux_sym_common_statement_token1] = ACTIONS(4770),
    [aux_sym_import_statement_token1] = ACTIONS(4770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4770),
    [aux_sym_variable_attributes_token1] = ACTIONS(4770),
    [aux_sym_variable_attributes_token2] = ACTIONS(4770),
    [aux_sym_variable_attributes_token3] = ACTIONS(4770),
    [aux_sym_variable_attributes_token4] = ACTIONS(4770),
    [aux_sym_variable_attributes_token5] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4770),
    [aux_sym_derived_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4770),
    [aux_sym_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token2] = ACTIONS(4770),
    [aux_sym_subroutine_call_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token2] = ACTIONS(4770),
    [aux_sym_keyword_statement_token3] = ACTIONS(4770),
    [aux_sym_keyword_statement_token4] = ACTIONS(4770),
    [aux_sym_keyword_statement_token6] = ACTIONS(4770),
    [aux_sym_keyword_statement_token7] = ACTIONS(4770),
    [aux_sym_include_statement_token1] = ACTIONS(4770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4770),
    [aux_sym_end_if_statement_token1] = ACTIONS(4770),
    [aux_sym_elseif_clause_token2] = ACTIONS(4770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token3] = ACTIONS(4770),
    [aux_sym_select_type_statement_token1] = ACTIONS(4770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4770),
    [aux_sym_associate_statement_token1] = ACTIONS(4770),
    [aux_sym_format_statement_token1] = ACTIONS(4770),
    [aux_sym_print_statement_token1] = ACTIONS(4770),
    [aux_sym_open_statement_token1] = ACTIONS(4770),
    [aux_sym_close_statement_token1] = ACTIONS(4770),
    [aux_sym_inquire_statement_token1] = ACTIONS(4770),
    [aux_sym_enum_statement_token1] = ACTIONS(4770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token2] = ACTIONS(4770),
    [aux_sym_file_position_statement_token3] = ACTIONS(4770),
    [aux_sym_file_position_statement_token4] = ACTIONS(4770),
    [aux_sym_allocate_statement_token1] = ACTIONS(4770),
    [aux_sym_entry_statement_token1] = ACTIONS(4770),
    [aux_sym_assign_statement_token1] = ACTIONS(4770),
    [aux_sym_logical_expression_token5] = ACTIONS(4774),
    [anon_sym_DOT] = ACTIONS(4770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4774),
    [anon_sym_LBRACK] = ACTIONS(4774),
    [aux_sym_boolean_literal_token1] = ACTIONS(4774),
    [aux_sym_boolean_literal_token2] = ACTIONS(4774),
    [aux_sym_null_literal_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token2] = ACTIONS(4770),
    [aux_sym_coarray_statement_token6] = ACTIONS(4770),
    [aux_sym_coarray_statement_token8] = ACTIONS(4770),
    [aux_sym_coarray_statement_token11] = ACTIONS(4770),
    [aux_sym_coarray_statement_token12] = ACTIONS(4770),
    [aux_sym_coarray_statement_token13] = ACTIONS(4770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4770),
    [aux_sym_identifier_token1] = ACTIONS(4770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4774),
    [sym__float_literal] = ACTIONS(4774),
    [sym__boz_literal] = ACTIONS(4774),
    [sym__string_literal] = ACTIONS(4774),
    [sym__string_literal_kind] = ACTIONS(4774),
  },
  [885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4768),
    [aux_sym_preproc_def_token1] = ACTIONS(4768),
    [aux_sym_preproc_if_token1] = ACTIONS(4768),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4768),
    [aux_sym_preproc_else_token1] = ACTIONS(4768),
    [aux_sym_preproc_elif_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4768),
    [sym_preproc_directive] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(4768),
    [sym_preproc_comment] = ACTIONS(4776),
    [anon_sym_PLUS] = ACTIONS(4778),
    [anon_sym_DASH] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token2] = ACTIONS(4768),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4778),
    [aux_sym_interface_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token2] = ACTIONS(4768),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4768),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4768),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4768),
    [aux_sym_contains_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token2] = ACTIONS(4768),
    [aux_sym_implicit_statement_token1] = ACTIONS(4768),
    [aux_sym_implicit_statement_token3] = ACTIONS(4768),
    [aux_sym_implicit_statement_token4] = ACTIONS(4768),
    [aux_sym_save_statement_token1] = ACTIONS(4768),
    [aux_sym_private_statement_token1] = ACTIONS(4768),
    [aux_sym_public_statement_token1] = ACTIONS(4768),
    [aux_sym_namelist_statement_token1] = ACTIONS(4768),
    [aux_sym_common_statement_token1] = ACTIONS(4768),
    [aux_sym_import_statement_token1] = ACTIONS(4768),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4768),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4768),
    [aux_sym_variable_attributes_token1] = ACTIONS(4768),
    [aux_sym_variable_attributes_token2] = ACTIONS(4768),
    [aux_sym_variable_attributes_token3] = ACTIONS(4768),
    [aux_sym_variable_attributes_token4] = ACTIONS(4768),
    [aux_sym_variable_attributes_token5] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4768),
    [aux_sym_derived_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4768),
    [aux_sym_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token2] = ACTIONS(4768),
    [aux_sym_subroutine_call_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token2] = ACTIONS(4768),
    [aux_sym_keyword_statement_token3] = ACTIONS(4768),
    [aux_sym_keyword_statement_token4] = ACTIONS(4768),
    [aux_sym_keyword_statement_token6] = ACTIONS(4768),
    [aux_sym_keyword_statement_token7] = ACTIONS(4768),
    [aux_sym_include_statement_token1] = ACTIONS(4768),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4768),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4768),
    [aux_sym_end_if_statement_token1] = ACTIONS(4768),
    [aux_sym_elseif_clause_token2] = ACTIONS(4768),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4768),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token3] = ACTIONS(4768),
    [aux_sym_select_type_statement_token1] = ACTIONS(4768),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4768),
    [aux_sym_associate_statement_token1] = ACTIONS(4768),
    [aux_sym_format_statement_token1] = ACTIONS(4768),
    [aux_sym_print_statement_token1] = ACTIONS(4768),
    [aux_sym_open_statement_token1] = ACTIONS(4768),
    [aux_sym_close_statement_token1] = ACTIONS(4768),
    [aux_sym_inquire_statement_token1] = ACTIONS(4768),
    [aux_sym_enum_statement_token1] = ACTIONS(4768),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token2] = ACTIONS(4768),
    [aux_sym_file_position_statement_token3] = ACTIONS(4768),
    [aux_sym_file_position_statement_token4] = ACTIONS(4768),
    [aux_sym_allocate_statement_token1] = ACTIONS(4768),
    [aux_sym_entry_statement_token1] = ACTIONS(4768),
    [aux_sym_assign_statement_token1] = ACTIONS(4768),
    [aux_sym_logical_expression_token5] = ACTIONS(4778),
    [anon_sym_DOT] = ACTIONS(4768),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4778),
    [anon_sym_LBRACK] = ACTIONS(4778),
    [aux_sym_boolean_literal_token1] = ACTIONS(4778),
    [aux_sym_boolean_literal_token2] = ACTIONS(4778),
    [aux_sym_null_literal_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token2] = ACTIONS(4768),
    [aux_sym_coarray_statement_token6] = ACTIONS(4768),
    [aux_sym_coarray_statement_token8] = ACTIONS(4768),
    [aux_sym_coarray_statement_token11] = ACTIONS(4768),
    [aux_sym_coarray_statement_token12] = ACTIONS(4768),
    [aux_sym_coarray_statement_token13] = ACTIONS(4768),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4768),
    [aux_sym_identifier_token1] = ACTIONS(4768),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4778),
    [sym__float_literal] = ACTIONS(4778),
    [sym__boz_literal] = ACTIONS(4778),
    [sym__string_literal] = ACTIONS(4778),
    [sym__string_literal_kind] = ACTIONS(4778),
  },
  [886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4780),
    [aux_sym_preproc_def_token1] = ACTIONS(4780),
    [aux_sym_preproc_if_token1] = ACTIONS(4780),
    [aux_sym_preproc_if_token2] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4780),
    [aux_sym_preproc_else_token1] = ACTIONS(4780),
    [aux_sym_preproc_elif_token1] = ACTIONS(4780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4780),
    [sym_preproc_directive] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [sym_preproc_comment] = ACTIONS(4782),
    [anon_sym_PLUS] = ACTIONS(4784),
    [anon_sym_DASH] = ACTIONS(4784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token2] = ACTIONS(4780),
    [aux_sym_module_statement_token1] = ACTIONS(4780),
    [aux_sym_submodule_statement_token1] = ACTIONS(4780),
    [anon_sym_SEMI] = ACTIONS(4784),
    [aux_sym_interface_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token2] = ACTIONS(4780),
    [aux_sym_block_data_statement_token3] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4780),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4780),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4780),
    [aux_sym_function_statement_token1] = ACTIONS(4780),
    [aux_sym_language_binding_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4780),
    [aux_sym_contains_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token2] = ACTIONS(4780),
    [aux_sym_implicit_statement_token1] = ACTIONS(4780),
    [aux_sym_implicit_statement_token3] = ACTIONS(4780),
    [aux_sym_implicit_statement_token4] = ACTIONS(4780),
    [aux_sym_save_statement_token1] = ACTIONS(4780),
    [aux_sym_private_statement_token1] = ACTIONS(4780),
    [aux_sym_public_statement_token1] = ACTIONS(4780),
    [aux_sym_namelist_statement_token1] = ACTIONS(4780),
    [aux_sym_common_statement_token1] = ACTIONS(4780),
    [aux_sym_import_statement_token1] = ACTIONS(4780),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4780),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4780),
    [aux_sym_variable_attributes_token1] = ACTIONS(4780),
    [aux_sym_variable_attributes_token2] = ACTIONS(4780),
    [aux_sym_variable_attributes_token3] = ACTIONS(4780),
    [aux_sym_variable_attributes_token4] = ACTIONS(4780),
    [aux_sym_variable_attributes_token5] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4780),
    [aux_sym_derived_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4780),
    [aux_sym_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4780),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token2] = ACTIONS(4780),
    [aux_sym_subroutine_call_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token2] = ACTIONS(4780),
    [aux_sym_keyword_statement_token3] = ACTIONS(4780),
    [aux_sym_keyword_statement_token4] = ACTIONS(4780),
    [aux_sym_keyword_statement_token6] = ACTIONS(4780),
    [aux_sym_keyword_statement_token7] = ACTIONS(4780),
    [aux_sym_include_statement_token1] = ACTIONS(4780),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4780),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4780),
    [aux_sym_end_if_statement_token1] = ACTIONS(4780),
    [aux_sym_elseif_clause_token2] = ACTIONS(4780),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4780),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token3] = ACTIONS(4780),
    [aux_sym_select_type_statement_token1] = ACTIONS(4780),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4780),
    [aux_sym_associate_statement_token1] = ACTIONS(4780),
    [aux_sym_format_statement_token1] = ACTIONS(4780),
    [aux_sym_print_statement_token1] = ACTIONS(4780),
    [aux_sym_open_statement_token1] = ACTIONS(4780),
    [aux_sym_close_statement_token1] = ACTIONS(4780),
    [aux_sym_inquire_statement_token1] = ACTIONS(4780),
    [aux_sym_enum_statement_token1] = ACTIONS(4780),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token2] = ACTIONS(4780),
    [aux_sym_file_position_statement_token3] = ACTIONS(4780),
    [aux_sym_file_position_statement_token4] = ACTIONS(4780),
    [aux_sym_allocate_statement_token1] = ACTIONS(4780),
    [aux_sym_entry_statement_token1] = ACTIONS(4780),
    [aux_sym_assign_statement_token1] = ACTIONS(4780),
    [aux_sym_logical_expression_token5] = ACTIONS(4784),
    [anon_sym_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4784),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [aux_sym_boolean_literal_token1] = ACTIONS(4784),
    [aux_sym_boolean_literal_token2] = ACTIONS(4784),
    [aux_sym_null_literal_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token2] = ACTIONS(4780),
    [aux_sym_coarray_statement_token6] = ACTIONS(4780),
    [aux_sym_coarray_statement_token8] = ACTIONS(4780),
    [aux_sym_coarray_statement_token11] = ACTIONS(4780),
    [aux_sym_coarray_statement_token12] = ACTIONS(4780),
    [aux_sym_coarray_statement_token13] = ACTIONS(4780),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4780),
    [aux_sym_identifier_token1] = ACTIONS(4780),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4784),
    [sym__float_literal] = ACTIONS(4784),
    [sym__boz_literal] = ACTIONS(4784),
    [sym__string_literal] = ACTIONS(4784),
    [sym__string_literal_kind] = ACTIONS(4784),
  },
  [887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4786),
    [aux_sym_preproc_def_token1] = ACTIONS(4786),
    [aux_sym_preproc_if_token1] = ACTIONS(4786),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4786),
    [aux_sym_preproc_else_token1] = ACTIONS(4786),
    [aux_sym_preproc_elif_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4786),
    [sym_preproc_directive] = ACTIONS(4786),
    [anon_sym_LPAREN2] = ACTIONS(4786),
    [sym_preproc_comment] = ACTIONS(4788),
    [anon_sym_PLUS] = ACTIONS(4790),
    [anon_sym_DASH] = ACTIONS(4790),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token2] = ACTIONS(4786),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4790),
    [aux_sym_interface_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token2] = ACTIONS(4786),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4786),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4786),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4786),
    [aux_sym_contains_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token2] = ACTIONS(4786),
    [aux_sym_implicit_statement_token1] = ACTIONS(4786),
    [aux_sym_implicit_statement_token3] = ACTIONS(4786),
    [aux_sym_implicit_statement_token4] = ACTIONS(4786),
    [aux_sym_save_statement_token1] = ACTIONS(4786),
    [aux_sym_private_statement_token1] = ACTIONS(4786),
    [aux_sym_public_statement_token1] = ACTIONS(4786),
    [aux_sym_namelist_statement_token1] = ACTIONS(4786),
    [aux_sym_common_statement_token1] = ACTIONS(4786),
    [aux_sym_import_statement_token1] = ACTIONS(4786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4786),
    [aux_sym_variable_attributes_token1] = ACTIONS(4786),
    [aux_sym_variable_attributes_token2] = ACTIONS(4786),
    [aux_sym_variable_attributes_token3] = ACTIONS(4786),
    [aux_sym_variable_attributes_token4] = ACTIONS(4786),
    [aux_sym_variable_attributes_token5] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4786),
    [aux_sym_derived_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4786),
    [aux_sym_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token2] = ACTIONS(4786),
    [aux_sym_subroutine_call_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token2] = ACTIONS(4786),
    [aux_sym_keyword_statement_token3] = ACTIONS(4786),
    [aux_sym_keyword_statement_token4] = ACTIONS(4786),
    [aux_sym_keyword_statement_token6] = ACTIONS(4786),
    [aux_sym_keyword_statement_token7] = ACTIONS(4786),
    [aux_sym_include_statement_token1] = ACTIONS(4786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4786),
    [aux_sym_end_if_statement_token1] = ACTIONS(4786),
    [aux_sym_elseif_clause_token2] = ACTIONS(4786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token3] = ACTIONS(4786),
    [aux_sym_select_type_statement_token1] = ACTIONS(4786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4786),
    [aux_sym_associate_statement_token1] = ACTIONS(4786),
    [aux_sym_format_statement_token1] = ACTIONS(4786),
    [aux_sym_print_statement_token1] = ACTIONS(4786),
    [aux_sym_open_statement_token1] = ACTIONS(4786),
    [aux_sym_close_statement_token1] = ACTIONS(4786),
    [aux_sym_inquire_statement_token1] = ACTIONS(4786),
    [aux_sym_enum_statement_token1] = ACTIONS(4786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token2] = ACTIONS(4786),
    [aux_sym_file_position_statement_token3] = ACTIONS(4786),
    [aux_sym_file_position_statement_token4] = ACTIONS(4786),
    [aux_sym_allocate_statement_token1] = ACTIONS(4786),
    [aux_sym_entry_statement_token1] = ACTIONS(4786),
    [aux_sym_assign_statement_token1] = ACTIONS(4786),
    [aux_sym_logical_expression_token5] = ACTIONS(4790),
    [anon_sym_DOT] = ACTIONS(4786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [aux_sym_boolean_literal_token1] = ACTIONS(4790),
    [aux_sym_boolean_literal_token2] = ACTIONS(4790),
    [aux_sym_null_literal_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token2] = ACTIONS(4786),
    [aux_sym_coarray_statement_token6] = ACTIONS(4786),
    [aux_sym_coarray_statement_token8] = ACTIONS(4786),
    [aux_sym_coarray_statement_token11] = ACTIONS(4786),
    [aux_sym_coarray_statement_token12] = ACTIONS(4786),
    [aux_sym_coarray_statement_token13] = ACTIONS(4786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4786),
    [aux_sym_identifier_token1] = ACTIONS(4786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4790),
    [sym__float_literal] = ACTIONS(4790),
    [sym__boz_literal] = ACTIONS(4790),
    [sym__string_literal] = ACTIONS(4790),
    [sym__string_literal_kind] = ACTIONS(4790),
  },
  [888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(4796),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4800),
    [aux_sym_preproc_def_token1] = ACTIONS(4800),
    [aux_sym_preproc_if_token1] = ACTIONS(4800),
    [aux_sym_preproc_if_token2] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4800),
    [aux_sym_preproc_else_token1] = ACTIONS(4800),
    [aux_sym_preproc_elif_token1] = ACTIONS(4800),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4800),
    [sym_preproc_directive] = ACTIONS(4800),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [sym_preproc_comment] = ACTIONS(4802),
    [anon_sym_PLUS] = ACTIONS(4804),
    [anon_sym_DASH] = ACTIONS(4804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token2] = ACTIONS(4800),
    [aux_sym_module_statement_token1] = ACTIONS(4800),
    [aux_sym_submodule_statement_token1] = ACTIONS(4800),
    [anon_sym_SEMI] = ACTIONS(4804),
    [aux_sym_interface_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token2] = ACTIONS(4800),
    [aux_sym_block_data_statement_token3] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4800),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4800),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4800),
    [aux_sym_function_statement_token1] = ACTIONS(4800),
    [aux_sym_language_binding_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4800),
    [aux_sym_contains_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token2] = ACTIONS(4800),
    [aux_sym_implicit_statement_token1] = ACTIONS(4800),
    [aux_sym_implicit_statement_token3] = ACTIONS(4800),
    [aux_sym_implicit_statement_token4] = ACTIONS(4800),
    [aux_sym_save_statement_token1] = ACTIONS(4800),
    [aux_sym_private_statement_token1] = ACTIONS(4800),
    [aux_sym_public_statement_token1] = ACTIONS(4800),
    [aux_sym_namelist_statement_token1] = ACTIONS(4800),
    [aux_sym_common_statement_token1] = ACTIONS(4800),
    [aux_sym_import_statement_token1] = ACTIONS(4800),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4800),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4800),
    [aux_sym_variable_attributes_token1] = ACTIONS(4800),
    [aux_sym_variable_attributes_token2] = ACTIONS(4800),
    [aux_sym_variable_attributes_token3] = ACTIONS(4800),
    [aux_sym_variable_attributes_token4] = ACTIONS(4800),
    [aux_sym_variable_attributes_token5] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4800),
    [aux_sym_derived_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4800),
    [aux_sym_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4800),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token2] = ACTIONS(4800),
    [aux_sym_subroutine_call_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token2] = ACTIONS(4800),
    [aux_sym_keyword_statement_token3] = ACTIONS(4800),
    [aux_sym_keyword_statement_token4] = ACTIONS(4800),
    [aux_sym_keyword_statement_token6] = ACTIONS(4800),
    [aux_sym_keyword_statement_token7] = ACTIONS(4800),
    [aux_sym_include_statement_token1] = ACTIONS(4800),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4800),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4800),
    [aux_sym_end_if_statement_token1] = ACTIONS(4800),
    [aux_sym_elseif_clause_token2] = ACTIONS(4800),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4800),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token3] = ACTIONS(4800),
    [aux_sym_select_type_statement_token1] = ACTIONS(4800),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4800),
    [aux_sym_associate_statement_token1] = ACTIONS(4800),
    [aux_sym_format_statement_token1] = ACTIONS(4800),
    [aux_sym_print_statement_token1] = ACTIONS(4800),
    [aux_sym_open_statement_token1] = ACTIONS(4800),
    [aux_sym_close_statement_token1] = ACTIONS(4800),
    [aux_sym_inquire_statement_token1] = ACTIONS(4800),
    [aux_sym_enum_statement_token1] = ACTIONS(4800),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token2] = ACTIONS(4800),
    [aux_sym_file_position_statement_token3] = ACTIONS(4800),
    [aux_sym_file_position_statement_token4] = ACTIONS(4800),
    [aux_sym_allocate_statement_token1] = ACTIONS(4800),
    [aux_sym_entry_statement_token1] = ACTIONS(4800),
    [aux_sym_assign_statement_token1] = ACTIONS(4800),
    [aux_sym_logical_expression_token5] = ACTIONS(4804),
    [anon_sym_DOT] = ACTIONS(4800),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4804),
    [anon_sym_LBRACK] = ACTIONS(4804),
    [aux_sym_boolean_literal_token1] = ACTIONS(4804),
    [aux_sym_boolean_literal_token2] = ACTIONS(4804),
    [aux_sym_null_literal_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token2] = ACTIONS(4800),
    [aux_sym_coarray_statement_token6] = ACTIONS(4800),
    [aux_sym_coarray_statement_token8] = ACTIONS(4800),
    [aux_sym_coarray_statement_token11] = ACTIONS(4800),
    [aux_sym_coarray_statement_token12] = ACTIONS(4800),
    [aux_sym_coarray_statement_token13] = ACTIONS(4800),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4800),
    [aux_sym_identifier_token1] = ACTIONS(4800),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4804),
    [sym__float_literal] = ACTIONS(4804),
    [sym__boz_literal] = ACTIONS(4804),
    [sym__string_literal] = ACTIONS(4804),
    [sym__string_literal_kind] = ACTIONS(4804),
  },
  [890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [aux_sym_preproc_else_token1] = ACTIONS(4806),
    [aux_sym_preproc_elif_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [sym_preproc_comment] = ACTIONS(4808),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4812),
    [aux_sym_preproc_def_token1] = ACTIONS(4812),
    [aux_sym_preproc_if_token1] = ACTIONS(4812),
    [aux_sym_preproc_if_token2] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4812),
    [aux_sym_preproc_else_token1] = ACTIONS(4812),
    [aux_sym_preproc_elif_token1] = ACTIONS(4812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4812),
    [sym_preproc_directive] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [sym_preproc_comment] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token2] = ACTIONS(4812),
    [aux_sym_module_statement_token1] = ACTIONS(4812),
    [aux_sym_submodule_statement_token1] = ACTIONS(4812),
    [anon_sym_SEMI] = ACTIONS(4816),
    [aux_sym_interface_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token2] = ACTIONS(4812),
    [aux_sym_block_data_statement_token3] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4812),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4812),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4812),
    [aux_sym_function_statement_token1] = ACTIONS(4812),
    [aux_sym_language_binding_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4812),
    [aux_sym_contains_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token2] = ACTIONS(4812),
    [aux_sym_implicit_statement_token1] = ACTIONS(4812),
    [aux_sym_implicit_statement_token3] = ACTIONS(4812),
    [aux_sym_implicit_statement_token4] = ACTIONS(4812),
    [aux_sym_save_statement_token1] = ACTIONS(4812),
    [aux_sym_private_statement_token1] = ACTIONS(4812),
    [aux_sym_public_statement_token1] = ACTIONS(4812),
    [aux_sym_namelist_statement_token1] = ACTIONS(4812),
    [aux_sym_common_statement_token1] = ACTIONS(4812),
    [aux_sym_import_statement_token1] = ACTIONS(4812),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4812),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4812),
    [aux_sym_variable_attributes_token1] = ACTIONS(4812),
    [aux_sym_variable_attributes_token2] = ACTIONS(4812),
    [aux_sym_variable_attributes_token3] = ACTIONS(4812),
    [aux_sym_variable_attributes_token4] = ACTIONS(4812),
    [aux_sym_variable_attributes_token5] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4812),
    [aux_sym_derived_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4812),
    [aux_sym_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4812),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token2] = ACTIONS(4812),
    [aux_sym_subroutine_call_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token2] = ACTIONS(4812),
    [aux_sym_keyword_statement_token3] = ACTIONS(4812),
    [aux_sym_keyword_statement_token4] = ACTIONS(4812),
    [aux_sym_keyword_statement_token6] = ACTIONS(4812),
    [aux_sym_keyword_statement_token7] = ACTIONS(4812),
    [aux_sym_include_statement_token1] = ACTIONS(4812),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4812),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4812),
    [aux_sym_end_if_statement_token1] = ACTIONS(4812),
    [aux_sym_elseif_clause_token2] = ACTIONS(4812),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4812),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token3] = ACTIONS(4812),
    [aux_sym_select_type_statement_token1] = ACTIONS(4812),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4812),
    [aux_sym_associate_statement_token1] = ACTIONS(4812),
    [aux_sym_format_statement_token1] = ACTIONS(4812),
    [aux_sym_print_statement_token1] = ACTIONS(4812),
    [aux_sym_open_statement_token1] = ACTIONS(4812),
    [aux_sym_close_statement_token1] = ACTIONS(4812),
    [aux_sym_inquire_statement_token1] = ACTIONS(4812),
    [aux_sym_enum_statement_token1] = ACTIONS(4812),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token2] = ACTIONS(4812),
    [aux_sym_file_position_statement_token3] = ACTIONS(4812),
    [aux_sym_file_position_statement_token4] = ACTIONS(4812),
    [aux_sym_allocate_statement_token1] = ACTIONS(4812),
    [aux_sym_entry_statement_token1] = ACTIONS(4812),
    [aux_sym_assign_statement_token1] = ACTIONS(4812),
    [aux_sym_logical_expression_token5] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [aux_sym_boolean_literal_token1] = ACTIONS(4816),
    [aux_sym_boolean_literal_token2] = ACTIONS(4816),
    [aux_sym_null_literal_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token2] = ACTIONS(4812),
    [aux_sym_coarray_statement_token6] = ACTIONS(4812),
    [aux_sym_coarray_statement_token8] = ACTIONS(4812),
    [aux_sym_coarray_statement_token11] = ACTIONS(4812),
    [aux_sym_coarray_statement_token12] = ACTIONS(4812),
    [aux_sym_coarray_statement_token13] = ACTIONS(4812),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4812),
    [aux_sym_identifier_token1] = ACTIONS(4812),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4816),
    [sym__float_literal] = ACTIONS(4816),
    [sym__boz_literal] = ACTIONS(4816),
    [sym__string_literal] = ACTIONS(4816),
    [sym__string_literal_kind] = ACTIONS(4816),
  },
  [892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [aux_sym_preproc_else_token1] = ACTIONS(4818),
    [aux_sym_preproc_elif_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [sym_preproc_comment] = ACTIONS(4820),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4824),
    [aux_sym_preproc_def_token1] = ACTIONS(4824),
    [aux_sym_preproc_if_token1] = ACTIONS(4824),
    [aux_sym_preproc_if_token2] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4824),
    [aux_sym_preproc_else_token1] = ACTIONS(4824),
    [aux_sym_preproc_elif_token1] = ACTIONS(4824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4824),
    [sym_preproc_directive] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [sym_preproc_comment] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token2] = ACTIONS(4824),
    [aux_sym_module_statement_token1] = ACTIONS(4824),
    [aux_sym_submodule_statement_token1] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4828),
    [aux_sym_interface_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token2] = ACTIONS(4824),
    [aux_sym_block_data_statement_token3] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4824),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4824),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4824),
    [aux_sym_function_statement_token1] = ACTIONS(4824),
    [aux_sym_language_binding_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4824),
    [aux_sym_contains_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token2] = ACTIONS(4824),
    [aux_sym_implicit_statement_token1] = ACTIONS(4824),
    [aux_sym_implicit_statement_token3] = ACTIONS(4824),
    [aux_sym_implicit_statement_token4] = ACTIONS(4824),
    [aux_sym_save_statement_token1] = ACTIONS(4824),
    [aux_sym_private_statement_token1] = ACTIONS(4824),
    [aux_sym_public_statement_token1] = ACTIONS(4824),
    [aux_sym_namelist_statement_token1] = ACTIONS(4824),
    [aux_sym_common_statement_token1] = ACTIONS(4824),
    [aux_sym_import_statement_token1] = ACTIONS(4824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4824),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4824),
    [aux_sym_variable_attributes_token1] = ACTIONS(4824),
    [aux_sym_variable_attributes_token2] = ACTIONS(4824),
    [aux_sym_variable_attributes_token3] = ACTIONS(4824),
    [aux_sym_variable_attributes_token4] = ACTIONS(4824),
    [aux_sym_variable_attributes_token5] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4824),
    [aux_sym_derived_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4824),
    [aux_sym_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4824),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token2] = ACTIONS(4824),
    [aux_sym_subroutine_call_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token2] = ACTIONS(4824),
    [aux_sym_keyword_statement_token3] = ACTIONS(4824),
    [aux_sym_keyword_statement_token4] = ACTIONS(4824),
    [aux_sym_keyword_statement_token6] = ACTIONS(4824),
    [aux_sym_keyword_statement_token7] = ACTIONS(4824),
    [aux_sym_include_statement_token1] = ACTIONS(4824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4824),
    [aux_sym_end_if_statement_token1] = ACTIONS(4824),
    [aux_sym_elseif_clause_token2] = ACTIONS(4824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token3] = ACTIONS(4824),
    [aux_sym_select_type_statement_token1] = ACTIONS(4824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4824),
    [aux_sym_associate_statement_token1] = ACTIONS(4824),
    [aux_sym_format_statement_token1] = ACTIONS(4824),
    [aux_sym_print_statement_token1] = ACTIONS(4824),
    [aux_sym_open_statement_token1] = ACTIONS(4824),
    [aux_sym_close_statement_token1] = ACTIONS(4824),
    [aux_sym_inquire_statement_token1] = ACTIONS(4824),
    [aux_sym_enum_statement_token1] = ACTIONS(4824),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token2] = ACTIONS(4824),
    [aux_sym_file_position_statement_token3] = ACTIONS(4824),
    [aux_sym_file_position_statement_token4] = ACTIONS(4824),
    [aux_sym_allocate_statement_token1] = ACTIONS(4824),
    [aux_sym_entry_statement_token1] = ACTIONS(4824),
    [aux_sym_assign_statement_token1] = ACTIONS(4824),
    [aux_sym_logical_expression_token5] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [aux_sym_boolean_literal_token1] = ACTIONS(4828),
    [aux_sym_boolean_literal_token2] = ACTIONS(4828),
    [aux_sym_null_literal_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token2] = ACTIONS(4824),
    [aux_sym_coarray_statement_token6] = ACTIONS(4824),
    [aux_sym_coarray_statement_token8] = ACTIONS(4824),
    [aux_sym_coarray_statement_token11] = ACTIONS(4824),
    [aux_sym_coarray_statement_token12] = ACTIONS(4824),
    [aux_sym_coarray_statement_token13] = ACTIONS(4824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4824),
    [aux_sym_identifier_token1] = ACTIONS(4824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4828),
    [sym__float_literal] = ACTIONS(4828),
    [sym__boz_literal] = ACTIONS(4828),
    [sym__string_literal] = ACTIONS(4828),
    [sym__string_literal_kind] = ACTIONS(4828),
  },
  [894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4830),
    [aux_sym_preproc_def_token1] = ACTIONS(4830),
    [aux_sym_preproc_if_token1] = ACTIONS(4830),
    [aux_sym_preproc_if_token2] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4830),
    [aux_sym_preproc_else_token1] = ACTIONS(4830),
    [aux_sym_preproc_elif_token1] = ACTIONS(4830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4830),
    [sym_preproc_directive] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [sym_preproc_comment] = ACTIONS(4832),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token2] = ACTIONS(4830),
    [aux_sym_module_statement_token1] = ACTIONS(4830),
    [aux_sym_submodule_statement_token1] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(4834),
    [aux_sym_interface_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token2] = ACTIONS(4830),
    [aux_sym_block_data_statement_token3] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4830),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4830),
    [aux_sym_function_statement_token1] = ACTIONS(4830),
    [aux_sym_language_binding_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4830),
    [aux_sym_contains_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token2] = ACTIONS(4830),
    [aux_sym_implicit_statement_token1] = ACTIONS(4830),
    [aux_sym_implicit_statement_token3] = ACTIONS(4830),
    [aux_sym_implicit_statement_token4] = ACTIONS(4830),
    [aux_sym_save_statement_token1] = ACTIONS(4830),
    [aux_sym_private_statement_token1] = ACTIONS(4830),
    [aux_sym_public_statement_token1] = ACTIONS(4830),
    [aux_sym_namelist_statement_token1] = ACTIONS(4830),
    [aux_sym_common_statement_token1] = ACTIONS(4830),
    [aux_sym_import_statement_token1] = ACTIONS(4830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4830),
    [aux_sym_variable_attributes_token1] = ACTIONS(4830),
    [aux_sym_variable_attributes_token2] = ACTIONS(4830),
    [aux_sym_variable_attributes_token3] = ACTIONS(4830),
    [aux_sym_variable_attributes_token4] = ACTIONS(4830),
    [aux_sym_variable_attributes_token5] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4830),
    [aux_sym_derived_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4830),
    [aux_sym_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token2] = ACTIONS(4830),
    [aux_sym_subroutine_call_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token2] = ACTIONS(4830),
    [aux_sym_keyword_statement_token3] = ACTIONS(4830),
    [aux_sym_keyword_statement_token4] = ACTIONS(4830),
    [aux_sym_keyword_statement_token6] = ACTIONS(4830),
    [aux_sym_keyword_statement_token7] = ACTIONS(4830),
    [aux_sym_include_statement_token1] = ACTIONS(4830),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4830),
    [aux_sym_end_if_statement_token1] = ACTIONS(4830),
    [aux_sym_elseif_clause_token2] = ACTIONS(4830),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4830),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token3] = ACTIONS(4830),
    [aux_sym_select_type_statement_token1] = ACTIONS(4830),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4830),
    [aux_sym_associate_statement_token1] = ACTIONS(4830),
    [aux_sym_format_statement_token1] = ACTIONS(4830),
    [aux_sym_print_statement_token1] = ACTIONS(4830),
    [aux_sym_open_statement_token1] = ACTIONS(4830),
    [aux_sym_close_statement_token1] = ACTIONS(4830),
    [aux_sym_inquire_statement_token1] = ACTIONS(4830),
    [aux_sym_enum_statement_token1] = ACTIONS(4830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token2] = ACTIONS(4830),
    [aux_sym_file_position_statement_token3] = ACTIONS(4830),
    [aux_sym_file_position_statement_token4] = ACTIONS(4830),
    [aux_sym_allocate_statement_token1] = ACTIONS(4830),
    [aux_sym_entry_statement_token1] = ACTIONS(4830),
    [aux_sym_assign_statement_token1] = ACTIONS(4830),
    [aux_sym_logical_expression_token5] = ACTIONS(4834),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4834),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [aux_sym_boolean_literal_token1] = ACTIONS(4834),
    [aux_sym_boolean_literal_token2] = ACTIONS(4834),
    [aux_sym_null_literal_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token2] = ACTIONS(4830),
    [aux_sym_coarray_statement_token6] = ACTIONS(4830),
    [aux_sym_coarray_statement_token8] = ACTIONS(4830),
    [aux_sym_coarray_statement_token11] = ACTIONS(4830),
    [aux_sym_coarray_statement_token12] = ACTIONS(4830),
    [aux_sym_coarray_statement_token13] = ACTIONS(4830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4830),
    [aux_sym_identifier_token1] = ACTIONS(4830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4834),
    [sym__float_literal] = ACTIONS(4834),
    [sym__boz_literal] = ACTIONS(4834),
    [sym__string_literal] = ACTIONS(4834),
    [sym__string_literal_kind] = ACTIONS(4834),
  },
  [895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [aux_sym_preproc_else_token1] = ACTIONS(4768),
    [aux_sym_preproc_elif_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4768),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(4836),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [aux_sym_preproc_else_token1] = ACTIONS(4786),
    [aux_sym_preproc_elif_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4786),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(4838),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [aux_sym_module_statement_token1] = ACTIONS(4840),
    [aux_sym_submodule_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_block_data_statement_token3] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_function_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [aux_sym_preproc_else_token1] = ACTIONS(4844),
    [aux_sym_preproc_elif_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token2] = ACTIONS(4844),
    [aux_sym_module_statement_token1] = ACTIONS(4844),
    [aux_sym_submodule_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_block_data_statement_token3] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_function_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4848),
    [aux_sym_preproc_def_token1] = ACTIONS(4848),
    [aux_sym_preproc_if_token1] = ACTIONS(4848),
    [aux_sym_preproc_if_token2] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4848),
    [aux_sym_preproc_else_token1] = ACTIONS(4848),
    [aux_sym_preproc_elif_token1] = ACTIONS(4848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4848),
    [sym_preproc_directive] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token2] = ACTIONS(4848),
    [aux_sym_module_statement_token1] = ACTIONS(4848),
    [aux_sym_submodule_statement_token1] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [aux_sym_interface_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token2] = ACTIONS(4848),
    [aux_sym_block_data_statement_token3] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4848),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4848),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4848),
    [aux_sym_function_statement_token1] = ACTIONS(4848),
    [aux_sym_language_binding_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4848),
    [aux_sym_contains_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token2] = ACTIONS(4848),
    [aux_sym_implicit_statement_token1] = ACTIONS(4848),
    [aux_sym_implicit_statement_token3] = ACTIONS(4848),
    [aux_sym_implicit_statement_token4] = ACTIONS(4848),
    [aux_sym_save_statement_token1] = ACTIONS(4848),
    [aux_sym_private_statement_token1] = ACTIONS(4848),
    [aux_sym_public_statement_token1] = ACTIONS(4848),
    [aux_sym_namelist_statement_token1] = ACTIONS(4848),
    [aux_sym_common_statement_token1] = ACTIONS(4848),
    [aux_sym_import_statement_token1] = ACTIONS(4848),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4848),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4848),
    [aux_sym_variable_attributes_token1] = ACTIONS(4848),
    [aux_sym_variable_attributes_token2] = ACTIONS(4848),
    [aux_sym_variable_attributes_token3] = ACTIONS(4848),
    [aux_sym_variable_attributes_token4] = ACTIONS(4848),
    [aux_sym_variable_attributes_token5] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4848),
    [aux_sym_derived_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4848),
    [aux_sym_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4848),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token2] = ACTIONS(4848),
    [aux_sym_subroutine_call_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token2] = ACTIONS(4848),
    [aux_sym_keyword_statement_token3] = ACTIONS(4848),
    [aux_sym_keyword_statement_token4] = ACTIONS(4848),
    [aux_sym_keyword_statement_token6] = ACTIONS(4848),
    [aux_sym_keyword_statement_token7] = ACTIONS(4848),
    [aux_sym_include_statement_token1] = ACTIONS(4848),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4848),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4848),
    [aux_sym_end_if_statement_token1] = ACTIONS(4848),
    [aux_sym_elseif_clause_token2] = ACTIONS(4848),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4848),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token3] = ACTIONS(4848),
    [aux_sym_select_type_statement_token1] = ACTIONS(4848),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4848),
    [aux_sym_associate_statement_token1] = ACTIONS(4848),
    [aux_sym_format_statement_token1] = ACTIONS(4848),
    [aux_sym_print_statement_token1] = ACTIONS(4848),
    [aux_sym_open_statement_token1] = ACTIONS(4848),
    [aux_sym_close_statement_token1] = ACTIONS(4848),
    [aux_sym_inquire_statement_token1] = ACTIONS(4848),
    [aux_sym_enum_statement_token1] = ACTIONS(4848),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token2] = ACTIONS(4848),
    [aux_sym_file_position_statement_token3] = ACTIONS(4848),
    [aux_sym_file_position_statement_token4] = ACTIONS(4848),
    [aux_sym_allocate_statement_token1] = ACTIONS(4848),
    [aux_sym_entry_statement_token1] = ACTIONS(4848),
    [aux_sym_assign_statement_token1] = ACTIONS(4848),
    [aux_sym_logical_expression_token5] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [aux_sym_boolean_literal_token1] = ACTIONS(4850),
    [aux_sym_boolean_literal_token2] = ACTIONS(4850),
    [aux_sym_null_literal_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token2] = ACTIONS(4848),
    [aux_sym_coarray_statement_token6] = ACTIONS(4848),
    [aux_sym_coarray_statement_token8] = ACTIONS(4848),
    [aux_sym_coarray_statement_token11] = ACTIONS(4848),
    [aux_sym_coarray_statement_token12] = ACTIONS(4848),
    [aux_sym_coarray_statement_token13] = ACTIONS(4848),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4848),
    [aux_sym_identifier_token1] = ACTIONS(4848),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4850),
    [sym__float_literal] = ACTIONS(4850),
    [sym__boz_literal] = ACTIONS(4850),
    [sym__string_literal] = ACTIONS(4850),
    [sym__string_literal_kind] = ACTIONS(4850),
  },
  [900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(352),
    [aux_sym_preproc_def_token1] = ACTIONS(352),
    [aux_sym_preproc_if_token1] = ACTIONS(352),
    [aux_sym_preproc_if_token2] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(352),
    [aux_sym_preproc_else_token1] = ACTIONS(352),
    [aux_sym_preproc_elif_token1] = ACTIONS(352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(352),
    [sym_preproc_directive] = ACTIONS(352),
    [anon_sym_LPAREN2] = ACTIONS(352),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token2] = ACTIONS(352),
    [aux_sym_module_statement_token1] = ACTIONS(352),
    [aux_sym_submodule_statement_token1] = ACTIONS(352),
    [anon_sym_SEMI] = ACTIONS(705),
    [aux_sym_interface_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token2] = ACTIONS(352),
    [aux_sym_block_data_statement_token3] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(352),
    [aux_sym_function_statement_token1] = ACTIONS(352),
    [aux_sym_language_binding_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(352),
    [aux_sym_contains_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token2] = ACTIONS(352),
    [aux_sym_implicit_statement_token1] = ACTIONS(352),
    [aux_sym_implicit_statement_token3] = ACTIONS(352),
    [aux_sym_implicit_statement_token4] = ACTIONS(352),
    [aux_sym_save_statement_token1] = ACTIONS(352),
    [aux_sym_private_statement_token1] = ACTIONS(352),
    [aux_sym_public_statement_token1] = ACTIONS(352),
    [aux_sym_namelist_statement_token1] = ACTIONS(352),
    [aux_sym_common_statement_token1] = ACTIONS(352),
    [aux_sym_import_statement_token1] = ACTIONS(352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(352),
    [aux_sym_variable_attributes_token1] = ACTIONS(352),
    [aux_sym_variable_attributes_token2] = ACTIONS(352),
    [aux_sym_variable_attributes_token3] = ACTIONS(352),
    [aux_sym_variable_attributes_token4] = ACTIONS(352),
    [aux_sym_variable_attributes_token5] = ACTIONS(352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(352),
    [aux_sym_derived_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(352),
    [aux_sym_type_qualifier_token1] = ACTIONS(352),
    [aux_sym_type_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token2] = ACTIONS(352),
    [aux_sym_subroutine_call_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token2] = ACTIONS(352),
    [aux_sym_keyword_statement_token3] = ACTIONS(352),
    [aux_sym_keyword_statement_token4] = ACTIONS(352),
    [aux_sym_keyword_statement_token6] = ACTIONS(352),
    [aux_sym_keyword_statement_token7] = ACTIONS(352),
    [aux_sym_include_statement_token1] = ACTIONS(352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(352),
    [aux_sym_end_if_statement_token1] = ACTIONS(352),
    [aux_sym_elseif_clause_token2] = ACTIONS(352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token3] = ACTIONS(352),
    [aux_sym_select_type_statement_token1] = ACTIONS(352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(352),
    [aux_sym_associate_statement_token1] = ACTIONS(352),
    [aux_sym_format_statement_token1] = ACTIONS(352),
    [aux_sym_print_statement_token1] = ACTIONS(352),
    [aux_sym_open_statement_token1] = ACTIONS(352),
    [aux_sym_close_statement_token1] = ACTIONS(352),
    [aux_sym_inquire_statement_token1] = ACTIONS(352),
    [aux_sym_enum_statement_token1] = ACTIONS(352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token2] = ACTIONS(352),
    [aux_sym_file_position_statement_token3] = ACTIONS(352),
    [aux_sym_file_position_statement_token4] = ACTIONS(352),
    [aux_sym_allocate_statement_token1] = ACTIONS(352),
    [aux_sym_entry_statement_token1] = ACTIONS(352),
    [aux_sym_assign_statement_token1] = ACTIONS(352),
    [aux_sym_logical_expression_token5] = ACTIONS(705),
    [anon_sym_DOT] = ACTIONS(352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(705),
    [aux_sym_boolean_literal_token1] = ACTIONS(705),
    [aux_sym_boolean_literal_token2] = ACTIONS(705),
    [aux_sym_null_literal_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token2] = ACTIONS(352),
    [aux_sym_coarray_statement_token6] = ACTIONS(352),
    [aux_sym_coarray_statement_token8] = ACTIONS(352),
    [aux_sym_coarray_statement_token11] = ACTIONS(352),
    [aux_sym_coarray_statement_token12] = ACTIONS(352),
    [aux_sym_coarray_statement_token13] = ACTIONS(352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(352),
    [aux_sym_identifier_token1] = ACTIONS(352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(705),
    [sym__float_literal] = ACTIONS(705),
    [sym__boz_literal] = ACTIONS(705),
    [sym__string_literal] = ACTIONS(705),
    [sym__string_literal_kind] = ACTIONS(705),
  },
  [901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [aux_sym_module_statement_token1] = ACTIONS(4852),
    [aux_sym_submodule_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_block_data_statement_token3] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_function_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [aux_sym_module_statement_token1] = ACTIONS(4856),
    [aux_sym_submodule_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_block_data_statement_token3] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_function_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4860),
    [aux_sym_preproc_def_token1] = ACTIONS(4860),
    [aux_sym_preproc_if_token1] = ACTIONS(4860),
    [aux_sym_preproc_if_token2] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4860),
    [aux_sym_preproc_else_token1] = ACTIONS(4860),
    [aux_sym_preproc_elif_token1] = ACTIONS(4860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4860),
    [sym_preproc_directive] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token2] = ACTIONS(4860),
    [aux_sym_module_statement_token1] = ACTIONS(4860),
    [aux_sym_submodule_statement_token1] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [aux_sym_interface_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token2] = ACTIONS(4860),
    [aux_sym_block_data_statement_token3] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4860),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4860),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4860),
    [aux_sym_function_statement_token1] = ACTIONS(4860),
    [aux_sym_language_binding_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4860),
    [aux_sym_contains_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token2] = ACTIONS(4860),
    [aux_sym_implicit_statement_token1] = ACTIONS(4860),
    [aux_sym_implicit_statement_token3] = ACTIONS(4860),
    [aux_sym_implicit_statement_token4] = ACTIONS(4860),
    [aux_sym_save_statement_token1] = ACTIONS(4860),
    [aux_sym_private_statement_token1] = ACTIONS(4860),
    [aux_sym_public_statement_token1] = ACTIONS(4860),
    [aux_sym_namelist_statement_token1] = ACTIONS(4860),
    [aux_sym_common_statement_token1] = ACTIONS(4860),
    [aux_sym_import_statement_token1] = ACTIONS(4860),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4860),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4860),
    [aux_sym_variable_attributes_token1] = ACTIONS(4860),
    [aux_sym_variable_attributes_token2] = ACTIONS(4860),
    [aux_sym_variable_attributes_token3] = ACTIONS(4860),
    [aux_sym_variable_attributes_token4] = ACTIONS(4860),
    [aux_sym_variable_attributes_token5] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4860),
    [aux_sym_derived_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4860),
    [aux_sym_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4860),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token2] = ACTIONS(4860),
    [aux_sym_subroutine_call_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token2] = ACTIONS(4860),
    [aux_sym_keyword_statement_token3] = ACTIONS(4860),
    [aux_sym_keyword_statement_token4] = ACTIONS(4860),
    [aux_sym_keyword_statement_token6] = ACTIONS(4860),
    [aux_sym_keyword_statement_token7] = ACTIONS(4860),
    [aux_sym_include_statement_token1] = ACTIONS(4860),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4860),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4860),
    [aux_sym_end_if_statement_token1] = ACTIONS(4860),
    [aux_sym_elseif_clause_token2] = ACTIONS(4860),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4860),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token3] = ACTIONS(4860),
    [aux_sym_select_type_statement_token1] = ACTIONS(4860),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4860),
    [aux_sym_associate_statement_token1] = ACTIONS(4860),
    [aux_sym_format_statement_token1] = ACTIONS(4860),
    [aux_sym_print_statement_token1] = ACTIONS(4860),
    [aux_sym_open_statement_token1] = ACTIONS(4860),
    [aux_sym_close_statement_token1] = ACTIONS(4860),
    [aux_sym_inquire_statement_token1] = ACTIONS(4860),
    [aux_sym_enum_statement_token1] = ACTIONS(4860),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token2] = ACTIONS(4860),
    [aux_sym_file_position_statement_token3] = ACTIONS(4860),
    [aux_sym_file_position_statement_token4] = ACTIONS(4860),
    [aux_sym_allocate_statement_token1] = ACTIONS(4860),
    [aux_sym_entry_statement_token1] = ACTIONS(4860),
    [aux_sym_assign_statement_token1] = ACTIONS(4860),
    [aux_sym_logical_expression_token5] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [aux_sym_boolean_literal_token1] = ACTIONS(4862),
    [aux_sym_boolean_literal_token2] = ACTIONS(4862),
    [aux_sym_null_literal_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token2] = ACTIONS(4860),
    [aux_sym_coarray_statement_token6] = ACTIONS(4860),
    [aux_sym_coarray_statement_token8] = ACTIONS(4860),
    [aux_sym_coarray_statement_token11] = ACTIONS(4860),
    [aux_sym_coarray_statement_token12] = ACTIONS(4860),
    [aux_sym_coarray_statement_token13] = ACTIONS(4860),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4860),
    [aux_sym_identifier_token1] = ACTIONS(4860),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4862),
    [sym__float_literal] = ACTIONS(4862),
    [sym__boz_literal] = ACTIONS(4862),
    [sym__string_literal] = ACTIONS(4862),
    [sym__string_literal_kind] = ACTIONS(4862),
  },
  [904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4864),
    [aux_sym_preproc_def_token1] = ACTIONS(4864),
    [aux_sym_preproc_if_token1] = ACTIONS(4864),
    [aux_sym_preproc_if_token2] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4864),
    [aux_sym_preproc_else_token1] = ACTIONS(4864),
    [aux_sym_preproc_elif_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4864),
    [sym_preproc_directive] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token2] = ACTIONS(4864),
    [aux_sym_module_statement_token1] = ACTIONS(4864),
    [aux_sym_submodule_statement_token1] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4866),
    [aux_sym_interface_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token2] = ACTIONS(4864),
    [aux_sym_block_data_statement_token3] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4864),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4864),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4864),
    [aux_sym_function_statement_token1] = ACTIONS(4864),
    [aux_sym_language_binding_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4864),
    [aux_sym_contains_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token2] = ACTIONS(4864),
    [aux_sym_implicit_statement_token1] = ACTIONS(4864),
    [aux_sym_implicit_statement_token3] = ACTIONS(4864),
    [aux_sym_implicit_statement_token4] = ACTIONS(4864),
    [aux_sym_save_statement_token1] = ACTIONS(4864),
    [aux_sym_private_statement_token1] = ACTIONS(4864),
    [aux_sym_public_statement_token1] = ACTIONS(4864),
    [aux_sym_namelist_statement_token1] = ACTIONS(4864),
    [aux_sym_common_statement_token1] = ACTIONS(4864),
    [aux_sym_import_statement_token1] = ACTIONS(4864),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4864),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4864),
    [aux_sym_variable_attributes_token1] = ACTIONS(4864),
    [aux_sym_variable_attributes_token2] = ACTIONS(4864),
    [aux_sym_variable_attributes_token3] = ACTIONS(4864),
    [aux_sym_variable_attributes_token4] = ACTIONS(4864),
    [aux_sym_variable_attributes_token5] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4864),
    [aux_sym_derived_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4864),
    [aux_sym_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4864),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token2] = ACTIONS(4864),
    [aux_sym_subroutine_call_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token2] = ACTIONS(4864),
    [aux_sym_keyword_statement_token3] = ACTIONS(4864),
    [aux_sym_keyword_statement_token4] = ACTIONS(4864),
    [aux_sym_keyword_statement_token6] = ACTIONS(4864),
    [aux_sym_keyword_statement_token7] = ACTIONS(4864),
    [aux_sym_include_statement_token1] = ACTIONS(4864),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4864),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4864),
    [aux_sym_end_if_statement_token1] = ACTIONS(4864),
    [aux_sym_elseif_clause_token2] = ACTIONS(4864),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4864),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token3] = ACTIONS(4864),
    [aux_sym_select_type_statement_token1] = ACTIONS(4864),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4864),
    [aux_sym_associate_statement_token1] = ACTIONS(4864),
    [aux_sym_format_statement_token1] = ACTIONS(4864),
    [aux_sym_print_statement_token1] = ACTIONS(4864),
    [aux_sym_open_statement_token1] = ACTIONS(4864),
    [aux_sym_close_statement_token1] = ACTIONS(4864),
    [aux_sym_inquire_statement_token1] = ACTIONS(4864),
    [aux_sym_enum_statement_token1] = ACTIONS(4864),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token2] = ACTIONS(4864),
    [aux_sym_file_position_statement_token3] = ACTIONS(4864),
    [aux_sym_file_position_statement_token4] = ACTIONS(4864),
    [aux_sym_allocate_statement_token1] = ACTIONS(4864),
    [aux_sym_entry_statement_token1] = ACTIONS(4864),
    [aux_sym_assign_statement_token1] = ACTIONS(4864),
    [aux_sym_logical_expression_token5] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [aux_sym_boolean_literal_token1] = ACTIONS(4866),
    [aux_sym_boolean_literal_token2] = ACTIONS(4866),
    [aux_sym_null_literal_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token2] = ACTIONS(4864),
    [aux_sym_coarray_statement_token6] = ACTIONS(4864),
    [aux_sym_coarray_statement_token8] = ACTIONS(4864),
    [aux_sym_coarray_statement_token11] = ACTIONS(4864),
    [aux_sym_coarray_statement_token12] = ACTIONS(4864),
    [aux_sym_coarray_statement_token13] = ACTIONS(4864),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4864),
    [aux_sym_identifier_token1] = ACTIONS(4864),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4866),
    [sym__float_literal] = ACTIONS(4866),
    [sym__boz_literal] = ACTIONS(4866),
    [sym__string_literal] = ACTIONS(4866),
    [sym__string_literal_kind] = ACTIONS(4866),
  },
  [905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4868),
    [aux_sym_preproc_def_token1] = ACTIONS(4868),
    [aux_sym_preproc_if_token1] = ACTIONS(4868),
    [aux_sym_preproc_if_token2] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4868),
    [aux_sym_preproc_else_token1] = ACTIONS(4868),
    [aux_sym_preproc_elif_token1] = ACTIONS(4868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4868),
    [sym_preproc_directive] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token2] = ACTIONS(4868),
    [aux_sym_module_statement_token1] = ACTIONS(4868),
    [aux_sym_submodule_statement_token1] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4870),
    [aux_sym_interface_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token2] = ACTIONS(4868),
    [aux_sym_block_data_statement_token3] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4868),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4868),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4868),
    [aux_sym_function_statement_token1] = ACTIONS(4868),
    [aux_sym_language_binding_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4868),
    [aux_sym_contains_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token2] = ACTIONS(4868),
    [aux_sym_implicit_statement_token1] = ACTIONS(4868),
    [aux_sym_implicit_statement_token3] = ACTIONS(4868),
    [aux_sym_implicit_statement_token4] = ACTIONS(4868),
    [aux_sym_save_statement_token1] = ACTIONS(4868),
    [aux_sym_private_statement_token1] = ACTIONS(4868),
    [aux_sym_public_statement_token1] = ACTIONS(4868),
    [aux_sym_namelist_statement_token1] = ACTIONS(4868),
    [aux_sym_common_statement_token1] = ACTIONS(4868),
    [aux_sym_import_statement_token1] = ACTIONS(4868),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4868),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4868),
    [aux_sym_variable_attributes_token1] = ACTIONS(4868),
    [aux_sym_variable_attributes_token2] = ACTIONS(4868),
    [aux_sym_variable_attributes_token3] = ACTIONS(4868),
    [aux_sym_variable_attributes_token4] = ACTIONS(4868),
    [aux_sym_variable_attributes_token5] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4868),
    [aux_sym_derived_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4868),
    [aux_sym_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4868),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token2] = ACTIONS(4868),
    [aux_sym_subroutine_call_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token2] = ACTIONS(4868),
    [aux_sym_keyword_statement_token3] = ACTIONS(4868),
    [aux_sym_keyword_statement_token4] = ACTIONS(4868),
    [aux_sym_keyword_statement_token6] = ACTIONS(4868),
    [aux_sym_keyword_statement_token7] = ACTIONS(4868),
    [aux_sym_include_statement_token1] = ACTIONS(4868),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4868),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4868),
    [aux_sym_end_if_statement_token1] = ACTIONS(4868),
    [aux_sym_elseif_clause_token2] = ACTIONS(4868),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4868),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token3] = ACTIONS(4868),
    [aux_sym_select_type_statement_token1] = ACTIONS(4868),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4868),
    [aux_sym_associate_statement_token1] = ACTIONS(4868),
    [aux_sym_format_statement_token1] = ACTIONS(4868),
    [aux_sym_print_statement_token1] = ACTIONS(4868),
    [aux_sym_open_statement_token1] = ACTIONS(4868),
    [aux_sym_close_statement_token1] = ACTIONS(4868),
    [aux_sym_inquire_statement_token1] = ACTIONS(4868),
    [aux_sym_enum_statement_token1] = ACTIONS(4868),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token2] = ACTIONS(4868),
    [aux_sym_file_position_statement_token3] = ACTIONS(4868),
    [aux_sym_file_position_statement_token4] = ACTIONS(4868),
    [aux_sym_allocate_statement_token1] = ACTIONS(4868),
    [aux_sym_entry_statement_token1] = ACTIONS(4868),
    [aux_sym_assign_statement_token1] = ACTIONS(4868),
    [aux_sym_logical_expression_token5] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [aux_sym_boolean_literal_token1] = ACTIONS(4870),
    [aux_sym_boolean_literal_token2] = ACTIONS(4870),
    [aux_sym_null_literal_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token2] = ACTIONS(4868),
    [aux_sym_coarray_statement_token6] = ACTIONS(4868),
    [aux_sym_coarray_statement_token8] = ACTIONS(4868),
    [aux_sym_coarray_statement_token11] = ACTIONS(4868),
    [aux_sym_coarray_statement_token12] = ACTIONS(4868),
    [aux_sym_coarray_statement_token13] = ACTIONS(4868),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4868),
    [aux_sym_identifier_token1] = ACTIONS(4868),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4870),
    [sym__float_literal] = ACTIONS(4870),
    [sym__boz_literal] = ACTIONS(4870),
    [sym__string_literal] = ACTIONS(4870),
    [sym__string_literal_kind] = ACTIONS(4870),
  },
  [906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4872),
    [aux_sym_preproc_def_token1] = ACTIONS(4872),
    [aux_sym_preproc_if_token1] = ACTIONS(4872),
    [aux_sym_preproc_if_token2] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4872),
    [aux_sym_preproc_else_token1] = ACTIONS(4872),
    [aux_sym_preproc_elif_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4872),
    [sym_preproc_directive] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token2] = ACTIONS(4872),
    [aux_sym_module_statement_token1] = ACTIONS(4872),
    [aux_sym_submodule_statement_token1] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [aux_sym_interface_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token2] = ACTIONS(4872),
    [aux_sym_block_data_statement_token3] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4872),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4872),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4872),
    [aux_sym_function_statement_token1] = ACTIONS(4872),
    [aux_sym_language_binding_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4872),
    [aux_sym_contains_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token2] = ACTIONS(4872),
    [aux_sym_implicit_statement_token1] = ACTIONS(4872),
    [aux_sym_implicit_statement_token3] = ACTIONS(4872),
    [aux_sym_implicit_statement_token4] = ACTIONS(4872),
    [aux_sym_save_statement_token1] = ACTIONS(4872),
    [aux_sym_private_statement_token1] = ACTIONS(4872),
    [aux_sym_public_statement_token1] = ACTIONS(4872),
    [aux_sym_namelist_statement_token1] = ACTIONS(4872),
    [aux_sym_common_statement_token1] = ACTIONS(4872),
    [aux_sym_import_statement_token1] = ACTIONS(4872),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4872),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4872),
    [aux_sym_variable_attributes_token1] = ACTIONS(4872),
    [aux_sym_variable_attributes_token2] = ACTIONS(4872),
    [aux_sym_variable_attributes_token3] = ACTIONS(4872),
    [aux_sym_variable_attributes_token4] = ACTIONS(4872),
    [aux_sym_variable_attributes_token5] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4872),
    [aux_sym_derived_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4872),
    [aux_sym_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4872),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token2] = ACTIONS(4872),
    [aux_sym_subroutine_call_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token2] = ACTIONS(4872),
    [aux_sym_keyword_statement_token3] = ACTIONS(4872),
    [aux_sym_keyword_statement_token4] = ACTIONS(4872),
    [aux_sym_keyword_statement_token6] = ACTIONS(4872),
    [aux_sym_keyword_statement_token7] = ACTIONS(4872),
    [aux_sym_include_statement_token1] = ACTIONS(4872),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4872),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4872),
    [aux_sym_end_if_statement_token1] = ACTIONS(4872),
    [aux_sym_elseif_clause_token2] = ACTIONS(4872),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4872),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token3] = ACTIONS(4872),
    [aux_sym_select_type_statement_token1] = ACTIONS(4872),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4872),
    [aux_sym_associate_statement_token1] = ACTIONS(4872),
    [aux_sym_format_statement_token1] = ACTIONS(4872),
    [aux_sym_print_statement_token1] = ACTIONS(4872),
    [aux_sym_open_statement_token1] = ACTIONS(4872),
    [aux_sym_close_statement_token1] = ACTIONS(4872),
    [aux_sym_inquire_statement_token1] = ACTIONS(4872),
    [aux_sym_enum_statement_token1] = ACTIONS(4872),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token2] = ACTIONS(4872),
    [aux_sym_file_position_statement_token3] = ACTIONS(4872),
    [aux_sym_file_position_statement_token4] = ACTIONS(4872),
    [aux_sym_allocate_statement_token1] = ACTIONS(4872),
    [aux_sym_entry_statement_token1] = ACTIONS(4872),
    [aux_sym_assign_statement_token1] = ACTIONS(4872),
    [aux_sym_logical_expression_token5] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [aux_sym_boolean_literal_token1] = ACTIONS(4874),
    [aux_sym_boolean_literal_token2] = ACTIONS(4874),
    [aux_sym_null_literal_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token2] = ACTIONS(4872),
    [aux_sym_coarray_statement_token6] = ACTIONS(4872),
    [aux_sym_coarray_statement_token8] = ACTIONS(4872),
    [aux_sym_coarray_statement_token11] = ACTIONS(4872),
    [aux_sym_coarray_statement_token12] = ACTIONS(4872),
    [aux_sym_coarray_statement_token13] = ACTIONS(4872),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4872),
    [aux_sym_identifier_token1] = ACTIONS(4872),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4874),
    [sym__float_literal] = ACTIONS(4874),
    [sym__boz_literal] = ACTIONS(4874),
    [sym__string_literal] = ACTIONS(4874),
    [sym__string_literal_kind] = ACTIONS(4874),
  },
  [907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4876),
    [aux_sym_preproc_def_token1] = ACTIONS(4876),
    [aux_sym_preproc_if_token1] = ACTIONS(4876),
    [aux_sym_preproc_if_token2] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4876),
    [aux_sym_preproc_else_token1] = ACTIONS(4876),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4876),
    [sym_preproc_directive] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token2] = ACTIONS(4876),
    [aux_sym_module_statement_token1] = ACTIONS(4876),
    [aux_sym_submodule_statement_token1] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [aux_sym_interface_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token2] = ACTIONS(4876),
    [aux_sym_block_data_statement_token3] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4876),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4876),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4876),
    [aux_sym_function_statement_token1] = ACTIONS(4876),
    [aux_sym_language_binding_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4876),
    [aux_sym_contains_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token2] = ACTIONS(4876),
    [aux_sym_implicit_statement_token1] = ACTIONS(4876),
    [aux_sym_implicit_statement_token3] = ACTIONS(4876),
    [aux_sym_implicit_statement_token4] = ACTIONS(4876),
    [aux_sym_save_statement_token1] = ACTIONS(4876),
    [aux_sym_private_statement_token1] = ACTIONS(4876),
    [aux_sym_public_statement_token1] = ACTIONS(4876),
    [aux_sym_namelist_statement_token1] = ACTIONS(4876),
    [aux_sym_common_statement_token1] = ACTIONS(4876),
    [aux_sym_import_statement_token1] = ACTIONS(4876),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4876),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4876),
    [aux_sym_variable_attributes_token1] = ACTIONS(4876),
    [aux_sym_variable_attributes_token2] = ACTIONS(4876),
    [aux_sym_variable_attributes_token3] = ACTIONS(4876),
    [aux_sym_variable_attributes_token4] = ACTIONS(4876),
    [aux_sym_variable_attributes_token5] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4876),
    [aux_sym_derived_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4876),
    [aux_sym_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4876),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token2] = ACTIONS(4876),
    [aux_sym_subroutine_call_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token2] = ACTIONS(4876),
    [aux_sym_keyword_statement_token3] = ACTIONS(4876),
    [aux_sym_keyword_statement_token4] = ACTIONS(4876),
    [aux_sym_keyword_statement_token6] = ACTIONS(4876),
    [aux_sym_keyword_statement_token7] = ACTIONS(4876),
    [aux_sym_include_statement_token1] = ACTIONS(4876),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4876),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4876),
    [aux_sym_end_if_statement_token1] = ACTIONS(4876),
    [aux_sym_elseif_clause_token2] = ACTIONS(4876),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4876),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token3] = ACTIONS(4876),
    [aux_sym_select_type_statement_token1] = ACTIONS(4876),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4876),
    [aux_sym_associate_statement_token1] = ACTIONS(4876),
    [aux_sym_format_statement_token1] = ACTIONS(4876),
    [aux_sym_print_statement_token1] = ACTIONS(4876),
    [aux_sym_open_statement_token1] = ACTIONS(4876),
    [aux_sym_close_statement_token1] = ACTIONS(4876),
    [aux_sym_inquire_statement_token1] = ACTIONS(4876),
    [aux_sym_enum_statement_token1] = ACTIONS(4876),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token2] = ACTIONS(4876),
    [aux_sym_file_position_statement_token3] = ACTIONS(4876),
    [aux_sym_file_position_statement_token4] = ACTIONS(4876),
    [aux_sym_allocate_statement_token1] = ACTIONS(4876),
    [aux_sym_entry_statement_token1] = ACTIONS(4876),
    [aux_sym_assign_statement_token1] = ACTIONS(4876),
    [aux_sym_logical_expression_token5] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [aux_sym_boolean_literal_token1] = ACTIONS(4878),
    [aux_sym_boolean_literal_token2] = ACTIONS(4878),
    [aux_sym_null_literal_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token2] = ACTIONS(4876),
    [aux_sym_coarray_statement_token6] = ACTIONS(4876),
    [aux_sym_coarray_statement_token8] = ACTIONS(4876),
    [aux_sym_coarray_statement_token11] = ACTIONS(4876),
    [aux_sym_coarray_statement_token12] = ACTIONS(4876),
    [aux_sym_coarray_statement_token13] = ACTIONS(4876),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4876),
    [aux_sym_identifier_token1] = ACTIONS(4876),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4878),
    [sym__float_literal] = ACTIONS(4878),
    [sym__boz_literal] = ACTIONS(4878),
    [sym__string_literal] = ACTIONS(4878),
    [sym__string_literal_kind] = ACTIONS(4878),
  },
  [908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4880),
    [aux_sym_preproc_def_token1] = ACTIONS(4880),
    [aux_sym_preproc_if_token1] = ACTIONS(4880),
    [aux_sym_preproc_if_token2] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4880),
    [aux_sym_preproc_else_token1] = ACTIONS(4880),
    [aux_sym_preproc_elif_token1] = ACTIONS(4880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4880),
    [sym_preproc_directive] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token2] = ACTIONS(4880),
    [aux_sym_module_statement_token1] = ACTIONS(4880),
    [aux_sym_submodule_statement_token1] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [aux_sym_interface_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token2] = ACTIONS(4880),
    [aux_sym_block_data_statement_token3] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4880),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4880),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4880),
    [aux_sym_function_statement_token1] = ACTIONS(4880),
    [aux_sym_language_binding_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4880),
    [aux_sym_contains_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token2] = ACTIONS(4880),
    [aux_sym_implicit_statement_token1] = ACTIONS(4880),
    [aux_sym_implicit_statement_token3] = ACTIONS(4880),
    [aux_sym_implicit_statement_token4] = ACTIONS(4880),
    [aux_sym_save_statement_token1] = ACTIONS(4880),
    [aux_sym_private_statement_token1] = ACTIONS(4880),
    [aux_sym_public_statement_token1] = ACTIONS(4880),
    [aux_sym_namelist_statement_token1] = ACTIONS(4880),
    [aux_sym_common_statement_token1] = ACTIONS(4880),
    [aux_sym_import_statement_token1] = ACTIONS(4880),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4880),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4880),
    [aux_sym_variable_attributes_token1] = ACTIONS(4880),
    [aux_sym_variable_attributes_token2] = ACTIONS(4880),
    [aux_sym_variable_attributes_token3] = ACTIONS(4880),
    [aux_sym_variable_attributes_token4] = ACTIONS(4880),
    [aux_sym_variable_attributes_token5] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4880),
    [aux_sym_derived_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4880),
    [aux_sym_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4880),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token2] = ACTIONS(4880),
    [aux_sym_subroutine_call_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token2] = ACTIONS(4880),
    [aux_sym_keyword_statement_token3] = ACTIONS(4880),
    [aux_sym_keyword_statement_token4] = ACTIONS(4880),
    [aux_sym_keyword_statement_token6] = ACTIONS(4880),
    [aux_sym_keyword_statement_token7] = ACTIONS(4880),
    [aux_sym_include_statement_token1] = ACTIONS(4880),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4880),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4880),
    [aux_sym_end_if_statement_token1] = ACTIONS(4880),
    [aux_sym_elseif_clause_token2] = ACTIONS(4880),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4880),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token3] = ACTIONS(4880),
    [aux_sym_select_type_statement_token1] = ACTIONS(4880),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4880),
    [aux_sym_associate_statement_token1] = ACTIONS(4880),
    [aux_sym_format_statement_token1] = ACTIONS(4880),
    [aux_sym_print_statement_token1] = ACTIONS(4880),
    [aux_sym_open_statement_token1] = ACTIONS(4880),
    [aux_sym_close_statement_token1] = ACTIONS(4880),
    [aux_sym_inquire_statement_token1] = ACTIONS(4880),
    [aux_sym_enum_statement_token1] = ACTIONS(4880),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token2] = ACTIONS(4880),
    [aux_sym_file_position_statement_token3] = ACTIONS(4880),
    [aux_sym_file_position_statement_token4] = ACTIONS(4880),
    [aux_sym_allocate_statement_token1] = ACTIONS(4880),
    [aux_sym_entry_statement_token1] = ACTIONS(4880),
    [aux_sym_assign_statement_token1] = ACTIONS(4880),
    [aux_sym_logical_expression_token5] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [aux_sym_boolean_literal_token1] = ACTIONS(4882),
    [aux_sym_boolean_literal_token2] = ACTIONS(4882),
    [aux_sym_null_literal_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token2] = ACTIONS(4880),
    [aux_sym_coarray_statement_token6] = ACTIONS(4880),
    [aux_sym_coarray_statement_token8] = ACTIONS(4880),
    [aux_sym_coarray_statement_token11] = ACTIONS(4880),
    [aux_sym_coarray_statement_token12] = ACTIONS(4880),
    [aux_sym_coarray_statement_token13] = ACTIONS(4880),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4880),
    [aux_sym_identifier_token1] = ACTIONS(4880),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4882),
    [sym__float_literal] = ACTIONS(4882),
    [sym__boz_literal] = ACTIONS(4882),
    [sym__string_literal] = ACTIONS(4882),
    [sym__string_literal_kind] = ACTIONS(4882),
  },
  [909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4884),
    [aux_sym_preproc_def_token1] = ACTIONS(4884),
    [aux_sym_preproc_if_token1] = ACTIONS(4884),
    [aux_sym_preproc_if_token2] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4884),
    [aux_sym_preproc_else_token1] = ACTIONS(4884),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4884),
    [sym_preproc_directive] = ACTIONS(4884),
    [anon_sym_LPAREN2] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token2] = ACTIONS(4884),
    [aux_sym_module_statement_token1] = ACTIONS(4884),
    [aux_sym_submodule_statement_token1] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [aux_sym_interface_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token2] = ACTIONS(4884),
    [aux_sym_block_data_statement_token3] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4884),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4884),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4884),
    [aux_sym_function_statement_token1] = ACTIONS(4884),
    [aux_sym_language_binding_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4884),
    [aux_sym_contains_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token2] = ACTIONS(4884),
    [aux_sym_implicit_statement_token1] = ACTIONS(4884),
    [aux_sym_implicit_statement_token3] = ACTIONS(4884),
    [aux_sym_implicit_statement_token4] = ACTIONS(4884),
    [aux_sym_save_statement_token1] = ACTIONS(4884),
    [aux_sym_private_statement_token1] = ACTIONS(4884),
    [aux_sym_public_statement_token1] = ACTIONS(4884),
    [aux_sym_namelist_statement_token1] = ACTIONS(4884),
    [aux_sym_common_statement_token1] = ACTIONS(4884),
    [aux_sym_import_statement_token1] = ACTIONS(4884),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4884),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4884),
    [aux_sym_variable_attributes_token1] = ACTIONS(4884),
    [aux_sym_variable_attributes_token2] = ACTIONS(4884),
    [aux_sym_variable_attributes_token3] = ACTIONS(4884),
    [aux_sym_variable_attributes_token4] = ACTIONS(4884),
    [aux_sym_variable_attributes_token5] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4884),
    [aux_sym_derived_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4884),
    [aux_sym_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4884),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token2] = ACTIONS(4884),
    [aux_sym_subroutine_call_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token2] = ACTIONS(4884),
    [aux_sym_keyword_statement_token3] = ACTIONS(4884),
    [aux_sym_keyword_statement_token4] = ACTIONS(4884),
    [aux_sym_keyword_statement_token6] = ACTIONS(4884),
    [aux_sym_keyword_statement_token7] = ACTIONS(4884),
    [aux_sym_include_statement_token1] = ACTIONS(4884),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4884),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4884),
    [aux_sym_end_if_statement_token1] = ACTIONS(4884),
    [aux_sym_elseif_clause_token2] = ACTIONS(4884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4884),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token3] = ACTIONS(4884),
    [aux_sym_select_type_statement_token1] = ACTIONS(4884),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4884),
    [aux_sym_associate_statement_token1] = ACTIONS(4884),
    [aux_sym_format_statement_token1] = ACTIONS(4884),
    [aux_sym_print_statement_token1] = ACTIONS(4884),
    [aux_sym_open_statement_token1] = ACTIONS(4884),
    [aux_sym_close_statement_token1] = ACTIONS(4884),
    [aux_sym_inquire_statement_token1] = ACTIONS(4884),
    [aux_sym_enum_statement_token1] = ACTIONS(4884),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token2] = ACTIONS(4884),
    [aux_sym_file_position_statement_token3] = ACTIONS(4884),
    [aux_sym_file_position_statement_token4] = ACTIONS(4884),
    [aux_sym_allocate_statement_token1] = ACTIONS(4884),
    [aux_sym_entry_statement_token1] = ACTIONS(4884),
    [aux_sym_assign_statement_token1] = ACTIONS(4884),
    [aux_sym_logical_expression_token5] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [aux_sym_boolean_literal_token1] = ACTIONS(4886),
    [aux_sym_boolean_literal_token2] = ACTIONS(4886),
    [aux_sym_null_literal_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token2] = ACTIONS(4884),
    [aux_sym_coarray_statement_token6] = ACTIONS(4884),
    [aux_sym_coarray_statement_token8] = ACTIONS(4884),
    [aux_sym_coarray_statement_token11] = ACTIONS(4884),
    [aux_sym_coarray_statement_token12] = ACTIONS(4884),
    [aux_sym_coarray_statement_token13] = ACTIONS(4884),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4884),
    [aux_sym_identifier_token1] = ACTIONS(4884),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4886),
    [sym__float_literal] = ACTIONS(4886),
    [sym__boz_literal] = ACTIONS(4886),
    [sym__string_literal] = ACTIONS(4886),
    [sym__string_literal_kind] = ACTIONS(4886),
  },
  [910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4888),
    [aux_sym_preproc_def_token1] = ACTIONS(4888),
    [aux_sym_preproc_if_token1] = ACTIONS(4888),
    [aux_sym_preproc_if_token2] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4888),
    [aux_sym_preproc_else_token1] = ACTIONS(4888),
    [aux_sym_preproc_elif_token1] = ACTIONS(4888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4888),
    [sym_preproc_directive] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token2] = ACTIONS(4888),
    [aux_sym_module_statement_token1] = ACTIONS(4888),
    [aux_sym_submodule_statement_token1] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4890),
    [aux_sym_interface_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token2] = ACTIONS(4888),
    [aux_sym_block_data_statement_token3] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4888),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4888),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4888),
    [aux_sym_function_statement_token1] = ACTIONS(4888),
    [aux_sym_language_binding_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4888),
    [aux_sym_contains_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token2] = ACTIONS(4888),
    [aux_sym_implicit_statement_token1] = ACTIONS(4888),
    [aux_sym_implicit_statement_token3] = ACTIONS(4888),
    [aux_sym_implicit_statement_token4] = ACTIONS(4888),
    [aux_sym_save_statement_token1] = ACTIONS(4888),
    [aux_sym_private_statement_token1] = ACTIONS(4888),
    [aux_sym_public_statement_token1] = ACTIONS(4888),
    [aux_sym_namelist_statement_token1] = ACTIONS(4888),
    [aux_sym_common_statement_token1] = ACTIONS(4888),
    [aux_sym_import_statement_token1] = ACTIONS(4888),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4888),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4888),
    [aux_sym_variable_attributes_token1] = ACTIONS(4888),
    [aux_sym_variable_attributes_token2] = ACTIONS(4888),
    [aux_sym_variable_attributes_token3] = ACTIONS(4888),
    [aux_sym_variable_attributes_token4] = ACTIONS(4888),
    [aux_sym_variable_attributes_token5] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4888),
    [aux_sym_derived_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4888),
    [aux_sym_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4888),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token2] = ACTIONS(4888),
    [aux_sym_subroutine_call_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token2] = ACTIONS(4888),
    [aux_sym_keyword_statement_token3] = ACTIONS(4888),
    [aux_sym_keyword_statement_token4] = ACTIONS(4888),
    [aux_sym_keyword_statement_token6] = ACTIONS(4888),
    [aux_sym_keyword_statement_token7] = ACTIONS(4888),
    [aux_sym_include_statement_token1] = ACTIONS(4888),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4888),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4888),
    [aux_sym_end_if_statement_token1] = ACTIONS(4888),
    [aux_sym_elseif_clause_token2] = ACTIONS(4888),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4888),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token3] = ACTIONS(4888),
    [aux_sym_select_type_statement_token1] = ACTIONS(4888),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4888),
    [aux_sym_associate_statement_token1] = ACTIONS(4888),
    [aux_sym_format_statement_token1] = ACTIONS(4888),
    [aux_sym_print_statement_token1] = ACTIONS(4888),
    [aux_sym_open_statement_token1] = ACTIONS(4888),
    [aux_sym_close_statement_token1] = ACTIONS(4888),
    [aux_sym_inquire_statement_token1] = ACTIONS(4888),
    [aux_sym_enum_statement_token1] = ACTIONS(4888),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token2] = ACTIONS(4888),
    [aux_sym_file_position_statement_token3] = ACTIONS(4888),
    [aux_sym_file_position_statement_token4] = ACTIONS(4888),
    [aux_sym_allocate_statement_token1] = ACTIONS(4888),
    [aux_sym_entry_statement_token1] = ACTIONS(4888),
    [aux_sym_assign_statement_token1] = ACTIONS(4888),
    [aux_sym_logical_expression_token5] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [aux_sym_boolean_literal_token1] = ACTIONS(4890),
    [aux_sym_boolean_literal_token2] = ACTIONS(4890),
    [aux_sym_null_literal_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token2] = ACTIONS(4888),
    [aux_sym_coarray_statement_token6] = ACTIONS(4888),
    [aux_sym_coarray_statement_token8] = ACTIONS(4888),
    [aux_sym_coarray_statement_token11] = ACTIONS(4888),
    [aux_sym_coarray_statement_token12] = ACTIONS(4888),
    [aux_sym_coarray_statement_token13] = ACTIONS(4888),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4888),
    [aux_sym_identifier_token1] = ACTIONS(4888),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4890),
    [sym__float_literal] = ACTIONS(4890),
    [sym__boz_literal] = ACTIONS(4890),
    [sym__string_literal] = ACTIONS(4890),
    [sym__string_literal_kind] = ACTIONS(4890),
  },
  [911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token2] = ACTIONS(4892),
    [aux_sym_module_statement_token1] = ACTIONS(4892),
    [aux_sym_submodule_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_block_data_statement_token3] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_function_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [aux_sym_module_statement_token1] = ACTIONS(4896),
    [aux_sym_submodule_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_block_data_statement_token3] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_function_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [aux_sym_module_statement_token1] = ACTIONS(4900),
    [aux_sym_submodule_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_block_data_statement_token3] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_function_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4904),
    [aux_sym_preproc_def_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token2] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4904),
    [aux_sym_preproc_else_token1] = ACTIONS(4904),
    [aux_sym_preproc_elif_token1] = ACTIONS(4904),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4904),
    [sym_preproc_directive] = ACTIONS(4904),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token2] = ACTIONS(4904),
    [aux_sym_module_statement_token1] = ACTIONS(4904),
    [aux_sym_submodule_statement_token1] = ACTIONS(4904),
    [anon_sym_SEMI] = ACTIONS(4906),
    [aux_sym_interface_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token2] = ACTIONS(4904),
    [aux_sym_block_data_statement_token3] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4904),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4904),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4904),
    [aux_sym_function_statement_token1] = ACTIONS(4904),
    [aux_sym_language_binding_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4904),
    [aux_sym_contains_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token2] = ACTIONS(4904),
    [aux_sym_implicit_statement_token1] = ACTIONS(4904),
    [aux_sym_implicit_statement_token3] = ACTIONS(4904),
    [aux_sym_implicit_statement_token4] = ACTIONS(4904),
    [aux_sym_save_statement_token1] = ACTIONS(4904),
    [aux_sym_private_statement_token1] = ACTIONS(4904),
    [aux_sym_public_statement_token1] = ACTIONS(4904),
    [aux_sym_namelist_statement_token1] = ACTIONS(4904),
    [aux_sym_common_statement_token1] = ACTIONS(4904),
    [aux_sym_import_statement_token1] = ACTIONS(4904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4904),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4904),
    [aux_sym_variable_attributes_token1] = ACTIONS(4904),
    [aux_sym_variable_attributes_token2] = ACTIONS(4904),
    [aux_sym_variable_attributes_token3] = ACTIONS(4904),
    [aux_sym_variable_attributes_token4] = ACTIONS(4904),
    [aux_sym_variable_attributes_token5] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4904),
    [aux_sym_derived_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4904),
    [aux_sym_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4904),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token2] = ACTIONS(4904),
    [aux_sym_subroutine_call_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token2] = ACTIONS(4904),
    [aux_sym_keyword_statement_token3] = ACTIONS(4904),
    [aux_sym_keyword_statement_token4] = ACTIONS(4904),
    [aux_sym_keyword_statement_token6] = ACTIONS(4904),
    [aux_sym_keyword_statement_token7] = ACTIONS(4904),
    [aux_sym_include_statement_token1] = ACTIONS(4904),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4904),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4904),
    [aux_sym_end_if_statement_token1] = ACTIONS(4904),
    [aux_sym_elseif_clause_token2] = ACTIONS(4904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4904),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token3] = ACTIONS(4904),
    [aux_sym_select_type_statement_token1] = ACTIONS(4904),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4904),
    [aux_sym_associate_statement_token1] = ACTIONS(4904),
    [aux_sym_format_statement_token1] = ACTIONS(4904),
    [aux_sym_print_statement_token1] = ACTIONS(4904),
    [aux_sym_open_statement_token1] = ACTIONS(4904),
    [aux_sym_close_statement_token1] = ACTIONS(4904),
    [aux_sym_inquire_statement_token1] = ACTIONS(4904),
    [aux_sym_enum_statement_token1] = ACTIONS(4904),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token2] = ACTIONS(4904),
    [aux_sym_file_position_statement_token3] = ACTIONS(4904),
    [aux_sym_file_position_statement_token4] = ACTIONS(4904),
    [aux_sym_allocate_statement_token1] = ACTIONS(4904),
    [aux_sym_entry_statement_token1] = ACTIONS(4904),
    [aux_sym_assign_statement_token1] = ACTIONS(4904),
    [aux_sym_logical_expression_token5] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [aux_sym_boolean_literal_token1] = ACTIONS(4906),
    [aux_sym_boolean_literal_token2] = ACTIONS(4906),
    [aux_sym_null_literal_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token2] = ACTIONS(4904),
    [aux_sym_coarray_statement_token6] = ACTIONS(4904),
    [aux_sym_coarray_statement_token8] = ACTIONS(4904),
    [aux_sym_coarray_statement_token11] = ACTIONS(4904),
    [aux_sym_coarray_statement_token12] = ACTIONS(4904),
    [aux_sym_coarray_statement_token13] = ACTIONS(4904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4904),
    [aux_sym_identifier_token1] = ACTIONS(4904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4906),
    [sym__float_literal] = ACTIONS(4906),
    [sym__boz_literal] = ACTIONS(4906),
    [sym__string_literal] = ACTIONS(4906),
    [sym__string_literal_kind] = ACTIONS(4906),
  },
  [916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4908),
    [aux_sym_preproc_def_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token2] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4908),
    [aux_sym_preproc_else_token1] = ACTIONS(4908),
    [aux_sym_preproc_elif_token1] = ACTIONS(4908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4908),
    [sym_preproc_directive] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token2] = ACTIONS(4908),
    [aux_sym_module_statement_token1] = ACTIONS(4908),
    [aux_sym_submodule_statement_token1] = ACTIONS(4908),
    [anon_sym_SEMI] = ACTIONS(4910),
    [aux_sym_interface_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token2] = ACTIONS(4908),
    [aux_sym_block_data_statement_token3] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4908),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4908),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4908),
    [aux_sym_function_statement_token1] = ACTIONS(4908),
    [aux_sym_language_binding_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4908),
    [aux_sym_contains_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token2] = ACTIONS(4908),
    [aux_sym_implicit_statement_token1] = ACTIONS(4908),
    [aux_sym_implicit_statement_token3] = ACTIONS(4908),
    [aux_sym_implicit_statement_token4] = ACTIONS(4908),
    [aux_sym_save_statement_token1] = ACTIONS(4908),
    [aux_sym_private_statement_token1] = ACTIONS(4908),
    [aux_sym_public_statement_token1] = ACTIONS(4908),
    [aux_sym_namelist_statement_token1] = ACTIONS(4908),
    [aux_sym_common_statement_token1] = ACTIONS(4908),
    [aux_sym_import_statement_token1] = ACTIONS(4908),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4908),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4908),
    [aux_sym_variable_attributes_token1] = ACTIONS(4908),
    [aux_sym_variable_attributes_token2] = ACTIONS(4908),
    [aux_sym_variable_attributes_token3] = ACTIONS(4908),
    [aux_sym_variable_attributes_token4] = ACTIONS(4908),
    [aux_sym_variable_attributes_token5] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4908),
    [aux_sym_derived_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4908),
    [aux_sym_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4908),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token2] = ACTIONS(4908),
    [aux_sym_subroutine_call_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token2] = ACTIONS(4908),
    [aux_sym_keyword_statement_token3] = ACTIONS(4908),
    [aux_sym_keyword_statement_token4] = ACTIONS(4908),
    [aux_sym_keyword_statement_token6] = ACTIONS(4908),
    [aux_sym_keyword_statement_token7] = ACTIONS(4908),
    [aux_sym_include_statement_token1] = ACTIONS(4908),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4908),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4908),
    [aux_sym_end_if_statement_token1] = ACTIONS(4908),
    [aux_sym_elseif_clause_token2] = ACTIONS(4908),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4908),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token3] = ACTIONS(4908),
    [aux_sym_select_type_statement_token1] = ACTIONS(4908),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4908),
    [aux_sym_associate_statement_token1] = ACTIONS(4908),
    [aux_sym_format_statement_token1] = ACTIONS(4908),
    [aux_sym_print_statement_token1] = ACTIONS(4908),
    [aux_sym_open_statement_token1] = ACTIONS(4908),
    [aux_sym_close_statement_token1] = ACTIONS(4908),
    [aux_sym_inquire_statement_token1] = ACTIONS(4908),
    [aux_sym_enum_statement_token1] = ACTIONS(4908),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token2] = ACTIONS(4908),
    [aux_sym_file_position_statement_token3] = ACTIONS(4908),
    [aux_sym_file_position_statement_token4] = ACTIONS(4908),
    [aux_sym_allocate_statement_token1] = ACTIONS(4908),
    [aux_sym_entry_statement_token1] = ACTIONS(4908),
    [aux_sym_assign_statement_token1] = ACTIONS(4908),
    [aux_sym_logical_expression_token5] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [aux_sym_boolean_literal_token1] = ACTIONS(4910),
    [aux_sym_boolean_literal_token2] = ACTIONS(4910),
    [aux_sym_null_literal_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token2] = ACTIONS(4908),
    [aux_sym_coarray_statement_token6] = ACTIONS(4908),
    [aux_sym_coarray_statement_token8] = ACTIONS(4908),
    [aux_sym_coarray_statement_token11] = ACTIONS(4908),
    [aux_sym_coarray_statement_token12] = ACTIONS(4908),
    [aux_sym_coarray_statement_token13] = ACTIONS(4908),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4908),
    [aux_sym_identifier_token1] = ACTIONS(4908),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4910),
    [sym__float_literal] = ACTIONS(4910),
    [sym__boz_literal] = ACTIONS(4910),
    [sym__string_literal] = ACTIONS(4910),
    [sym__string_literal_kind] = ACTIONS(4910),
  },
  [917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4912),
    [aux_sym_preproc_def_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [sym_preproc_directive] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_DASH] = ACTIONS(4914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token2] = ACTIONS(4912),
    [aux_sym_module_statement_token1] = ACTIONS(4912),
    [aux_sym_submodule_statement_token1] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4914),
    [aux_sym_interface_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token2] = ACTIONS(4912),
    [aux_sym_block_data_statement_token3] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4912),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4912),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4912),
    [aux_sym_function_statement_token1] = ACTIONS(4912),
    [aux_sym_language_binding_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4912),
    [aux_sym_contains_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token2] = ACTIONS(4912),
    [aux_sym_implicit_statement_token1] = ACTIONS(4912),
    [aux_sym_implicit_statement_token3] = ACTIONS(4912),
    [aux_sym_implicit_statement_token4] = ACTIONS(4912),
    [aux_sym_save_statement_token1] = ACTIONS(4912),
    [aux_sym_private_statement_token1] = ACTIONS(4912),
    [aux_sym_public_statement_token1] = ACTIONS(4912),
    [aux_sym_namelist_statement_token1] = ACTIONS(4912),
    [aux_sym_common_statement_token1] = ACTIONS(4912),
    [aux_sym_import_statement_token1] = ACTIONS(4912),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4912),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4912),
    [aux_sym_variable_attributes_token1] = ACTIONS(4912),
    [aux_sym_variable_attributes_token2] = ACTIONS(4912),
    [aux_sym_variable_attributes_token3] = ACTIONS(4912),
    [aux_sym_variable_attributes_token4] = ACTIONS(4912),
    [aux_sym_variable_attributes_token5] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4912),
    [aux_sym_derived_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4912),
    [aux_sym_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4912),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token2] = ACTIONS(4912),
    [aux_sym_subroutine_call_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token2] = ACTIONS(4912),
    [aux_sym_keyword_statement_token3] = ACTIONS(4912),
    [aux_sym_keyword_statement_token4] = ACTIONS(4912),
    [aux_sym_keyword_statement_token6] = ACTIONS(4912),
    [aux_sym_keyword_statement_token7] = ACTIONS(4912),
    [aux_sym_include_statement_token1] = ACTIONS(4912),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4912),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4912),
    [aux_sym_end_if_statement_token1] = ACTIONS(4912),
    [aux_sym_elseif_clause_token2] = ACTIONS(4912),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4912),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token3] = ACTIONS(4912),
    [aux_sym_select_type_statement_token1] = ACTIONS(4912),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4912),
    [aux_sym_associate_statement_token1] = ACTIONS(4912),
    [aux_sym_format_statement_token1] = ACTIONS(4912),
    [aux_sym_print_statement_token1] = ACTIONS(4912),
    [aux_sym_open_statement_token1] = ACTIONS(4912),
    [aux_sym_close_statement_token1] = ACTIONS(4912),
    [aux_sym_inquire_statement_token1] = ACTIONS(4912),
    [aux_sym_enum_statement_token1] = ACTIONS(4912),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token2] = ACTIONS(4912),
    [aux_sym_file_position_statement_token3] = ACTIONS(4912),
    [aux_sym_file_position_statement_token4] = ACTIONS(4912),
    [aux_sym_allocate_statement_token1] = ACTIONS(4912),
    [aux_sym_entry_statement_token1] = ACTIONS(4912),
    [aux_sym_assign_statement_token1] = ACTIONS(4912),
    [aux_sym_logical_expression_token5] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4912),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4914),
    [aux_sym_boolean_literal_token1] = ACTIONS(4914),
    [aux_sym_boolean_literal_token2] = ACTIONS(4914),
    [aux_sym_null_literal_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token2] = ACTIONS(4912),
    [aux_sym_coarray_statement_token6] = ACTIONS(4912),
    [aux_sym_coarray_statement_token8] = ACTIONS(4912),
    [aux_sym_coarray_statement_token11] = ACTIONS(4912),
    [aux_sym_coarray_statement_token12] = ACTIONS(4912),
    [aux_sym_coarray_statement_token13] = ACTIONS(4912),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4912),
    [aux_sym_identifier_token1] = ACTIONS(4912),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4914),
    [sym__float_literal] = ACTIONS(4914),
    [sym__boz_literal] = ACTIONS(4914),
    [sym__string_literal] = ACTIONS(4914),
    [sym__string_literal_kind] = ACTIONS(4914),
  },
  [918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4916),
    [aux_sym_preproc_def_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token2] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4916),
    [aux_sym_preproc_else_token1] = ACTIONS(4916),
    [aux_sym_preproc_elif_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4916),
    [sym_preproc_directive] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_PLUS] = ACTIONS(4918),
    [anon_sym_DASH] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token2] = ACTIONS(4916),
    [aux_sym_module_statement_token1] = ACTIONS(4916),
    [aux_sym_submodule_statement_token1] = ACTIONS(4916),
    [anon_sym_SEMI] = ACTIONS(4918),
    [aux_sym_interface_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token2] = ACTIONS(4916),
    [aux_sym_block_data_statement_token3] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4916),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4916),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4916),
    [aux_sym_function_statement_token1] = ACTIONS(4916),
    [aux_sym_language_binding_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4916),
    [aux_sym_contains_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token2] = ACTIONS(4916),
    [aux_sym_implicit_statement_token1] = ACTIONS(4916),
    [aux_sym_implicit_statement_token3] = ACTIONS(4916),
    [aux_sym_implicit_statement_token4] = ACTIONS(4916),
    [aux_sym_save_statement_token1] = ACTIONS(4916),
    [aux_sym_private_statement_token1] = ACTIONS(4916),
    [aux_sym_public_statement_token1] = ACTIONS(4916),
    [aux_sym_namelist_statement_token1] = ACTIONS(4916),
    [aux_sym_common_statement_token1] = ACTIONS(4916),
    [aux_sym_import_statement_token1] = ACTIONS(4916),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4916),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4916),
    [aux_sym_variable_attributes_token1] = ACTIONS(4916),
    [aux_sym_variable_attributes_token2] = ACTIONS(4916),
    [aux_sym_variable_attributes_token3] = ACTIONS(4916),
    [aux_sym_variable_attributes_token4] = ACTIONS(4916),
    [aux_sym_variable_attributes_token5] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4916),
    [aux_sym_derived_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4916),
    [aux_sym_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4916),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token2] = ACTIONS(4916),
    [aux_sym_subroutine_call_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token2] = ACTIONS(4916),
    [aux_sym_keyword_statement_token3] = ACTIONS(4916),
    [aux_sym_keyword_statement_token4] = ACTIONS(4916),
    [aux_sym_keyword_statement_token6] = ACTIONS(4916),
    [aux_sym_keyword_statement_token7] = ACTIONS(4916),
    [aux_sym_include_statement_token1] = ACTIONS(4916),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4916),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4916),
    [aux_sym_end_if_statement_token1] = ACTIONS(4916),
    [aux_sym_elseif_clause_token2] = ACTIONS(4916),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4916),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token3] = ACTIONS(4916),
    [aux_sym_select_type_statement_token1] = ACTIONS(4916),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4916),
    [aux_sym_associate_statement_token1] = ACTIONS(4916),
    [aux_sym_format_statement_token1] = ACTIONS(4916),
    [aux_sym_print_statement_token1] = ACTIONS(4916),
    [aux_sym_open_statement_token1] = ACTIONS(4916),
    [aux_sym_close_statement_token1] = ACTIONS(4916),
    [aux_sym_inquire_statement_token1] = ACTIONS(4916),
    [aux_sym_enum_statement_token1] = ACTIONS(4916),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token2] = ACTIONS(4916),
    [aux_sym_file_position_statement_token3] = ACTIONS(4916),
    [aux_sym_file_position_statement_token4] = ACTIONS(4916),
    [aux_sym_allocate_statement_token1] = ACTIONS(4916),
    [aux_sym_entry_statement_token1] = ACTIONS(4916),
    [aux_sym_assign_statement_token1] = ACTIONS(4916),
    [aux_sym_logical_expression_token5] = ACTIONS(4918),
    [anon_sym_DOT] = ACTIONS(4916),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4918),
    [anon_sym_LBRACK] = ACTIONS(4918),
    [aux_sym_boolean_literal_token1] = ACTIONS(4918),
    [aux_sym_boolean_literal_token2] = ACTIONS(4918),
    [aux_sym_null_literal_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token2] = ACTIONS(4916),
    [aux_sym_coarray_statement_token6] = ACTIONS(4916),
    [aux_sym_coarray_statement_token8] = ACTIONS(4916),
    [aux_sym_coarray_statement_token11] = ACTIONS(4916),
    [aux_sym_coarray_statement_token12] = ACTIONS(4916),
    [aux_sym_coarray_statement_token13] = ACTIONS(4916),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4916),
    [aux_sym_identifier_token1] = ACTIONS(4916),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4918),
    [sym__float_literal] = ACTIONS(4918),
    [sym__boz_literal] = ACTIONS(4918),
    [sym__string_literal] = ACTIONS(4918),
    [sym__string_literal_kind] = ACTIONS(4918),
  },
  [919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token2] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [aux_sym_preproc_else_token1] = ACTIONS(4920),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token2] = ACTIONS(4920),
    [aux_sym_module_statement_token1] = ACTIONS(4920),
    [aux_sym_submodule_statement_token1] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [aux_sym_interface_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token2] = ACTIONS(4920),
    [aux_sym_block_data_statement_token3] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4920),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4920),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4920),
    [aux_sym_function_statement_token1] = ACTIONS(4920),
    [aux_sym_language_binding_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4920),
    [aux_sym_contains_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token2] = ACTIONS(4920),
    [aux_sym_implicit_statement_token1] = ACTIONS(4920),
    [aux_sym_implicit_statement_token3] = ACTIONS(4920),
    [aux_sym_implicit_statement_token4] = ACTIONS(4920),
    [aux_sym_save_statement_token1] = ACTIONS(4920),
    [aux_sym_private_statement_token1] = ACTIONS(4920),
    [aux_sym_public_statement_token1] = ACTIONS(4920),
    [aux_sym_namelist_statement_token1] = ACTIONS(4920),
    [aux_sym_common_statement_token1] = ACTIONS(4920),
    [aux_sym_import_statement_token1] = ACTIONS(4920),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4920),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4920),
    [aux_sym_variable_attributes_token1] = ACTIONS(4920),
    [aux_sym_variable_attributes_token2] = ACTIONS(4920),
    [aux_sym_variable_attributes_token3] = ACTIONS(4920),
    [aux_sym_variable_attributes_token4] = ACTIONS(4920),
    [aux_sym_variable_attributes_token5] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4920),
    [aux_sym_derived_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4920),
    [aux_sym_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4920),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token2] = ACTIONS(4920),
    [aux_sym_subroutine_call_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token2] = ACTIONS(4920),
    [aux_sym_keyword_statement_token3] = ACTIONS(4920),
    [aux_sym_keyword_statement_token4] = ACTIONS(4920),
    [aux_sym_keyword_statement_token6] = ACTIONS(4920),
    [aux_sym_keyword_statement_token7] = ACTIONS(4920),
    [aux_sym_include_statement_token1] = ACTIONS(4920),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4920),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4920),
    [aux_sym_end_if_statement_token1] = ACTIONS(4920),
    [aux_sym_elseif_clause_token2] = ACTIONS(4920),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4920),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token3] = ACTIONS(4920),
    [aux_sym_select_type_statement_token1] = ACTIONS(4920),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4920),
    [aux_sym_associate_statement_token1] = ACTIONS(4920),
    [aux_sym_format_statement_token1] = ACTIONS(4920),
    [aux_sym_print_statement_token1] = ACTIONS(4920),
    [aux_sym_open_statement_token1] = ACTIONS(4920),
    [aux_sym_close_statement_token1] = ACTIONS(4920),
    [aux_sym_inquire_statement_token1] = ACTIONS(4920),
    [aux_sym_enum_statement_token1] = ACTIONS(4920),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token2] = ACTIONS(4920),
    [aux_sym_file_position_statement_token3] = ACTIONS(4920),
    [aux_sym_file_position_statement_token4] = ACTIONS(4920),
    [aux_sym_allocate_statement_token1] = ACTIONS(4920),
    [aux_sym_entry_statement_token1] = ACTIONS(4920),
    [aux_sym_assign_statement_token1] = ACTIONS(4920),
    [aux_sym_logical_expression_token5] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [aux_sym_boolean_literal_token1] = ACTIONS(4922),
    [aux_sym_boolean_literal_token2] = ACTIONS(4922),
    [aux_sym_null_literal_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token2] = ACTIONS(4920),
    [aux_sym_coarray_statement_token6] = ACTIONS(4920),
    [aux_sym_coarray_statement_token8] = ACTIONS(4920),
    [aux_sym_coarray_statement_token11] = ACTIONS(4920),
    [aux_sym_coarray_statement_token12] = ACTIONS(4920),
    [aux_sym_coarray_statement_token13] = ACTIONS(4920),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4920),
    [aux_sym_identifier_token1] = ACTIONS(4920),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4922),
    [sym__float_literal] = ACTIONS(4922),
    [sym__boz_literal] = ACTIONS(4922),
    [sym__string_literal] = ACTIONS(4922),
    [sym__string_literal_kind] = ACTIONS(4922),
  },
  [920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4924),
    [aux_sym_preproc_def_token1] = ACTIONS(4924),
    [aux_sym_preproc_if_token1] = ACTIONS(4924),
    [aux_sym_preproc_if_token2] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4924),
    [aux_sym_preproc_else_token1] = ACTIONS(4924),
    [aux_sym_preproc_elif_token1] = ACTIONS(4924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4924),
    [sym_preproc_directive] = ACTIONS(4924),
    [anon_sym_LPAREN2] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token2] = ACTIONS(4924),
    [aux_sym_module_statement_token1] = ACTIONS(4924),
    [aux_sym_submodule_statement_token1] = ACTIONS(4924),
    [anon_sym_SEMI] = ACTIONS(4926),
    [aux_sym_interface_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token2] = ACTIONS(4924),
    [aux_sym_block_data_statement_token3] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4924),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4924),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4924),
    [aux_sym_function_statement_token1] = ACTIONS(4924),
    [aux_sym_language_binding_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4924),
    [aux_sym_contains_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token2] = ACTIONS(4924),
    [aux_sym_implicit_statement_token1] = ACTIONS(4924),
    [aux_sym_implicit_statement_token3] = ACTIONS(4924),
    [aux_sym_implicit_statement_token4] = ACTIONS(4924),
    [aux_sym_save_statement_token1] = ACTIONS(4924),
    [aux_sym_private_statement_token1] = ACTIONS(4924),
    [aux_sym_public_statement_token1] = ACTIONS(4924),
    [aux_sym_namelist_statement_token1] = ACTIONS(4924),
    [aux_sym_common_statement_token1] = ACTIONS(4924),
    [aux_sym_import_statement_token1] = ACTIONS(4924),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4924),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4924),
    [aux_sym_variable_attributes_token1] = ACTIONS(4924),
    [aux_sym_variable_attributes_token2] = ACTIONS(4924),
    [aux_sym_variable_attributes_token3] = ACTIONS(4924),
    [aux_sym_variable_attributes_token4] = ACTIONS(4924),
    [aux_sym_variable_attributes_token5] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4924),
    [aux_sym_derived_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4924),
    [aux_sym_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4924),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token2] = ACTIONS(4924),
    [aux_sym_subroutine_call_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token2] = ACTIONS(4924),
    [aux_sym_keyword_statement_token3] = ACTIONS(4924),
    [aux_sym_keyword_statement_token4] = ACTIONS(4924),
    [aux_sym_keyword_statement_token6] = ACTIONS(4924),
    [aux_sym_keyword_statement_token7] = ACTIONS(4924),
    [aux_sym_include_statement_token1] = ACTIONS(4924),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4924),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4924),
    [aux_sym_end_if_statement_token1] = ACTIONS(4924),
    [aux_sym_elseif_clause_token2] = ACTIONS(4924),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4924),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token3] = ACTIONS(4924),
    [aux_sym_select_type_statement_token1] = ACTIONS(4924),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4924),
    [aux_sym_associate_statement_token1] = ACTIONS(4924),
    [aux_sym_format_statement_token1] = ACTIONS(4924),
    [aux_sym_print_statement_token1] = ACTIONS(4924),
    [aux_sym_open_statement_token1] = ACTIONS(4924),
    [aux_sym_close_statement_token1] = ACTIONS(4924),
    [aux_sym_inquire_statement_token1] = ACTIONS(4924),
    [aux_sym_enum_statement_token1] = ACTIONS(4924),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token2] = ACTIONS(4924),
    [aux_sym_file_position_statement_token3] = ACTIONS(4924),
    [aux_sym_file_position_statement_token4] = ACTIONS(4924),
    [aux_sym_allocate_statement_token1] = ACTIONS(4924),
    [aux_sym_entry_statement_token1] = ACTIONS(4924),
    [aux_sym_assign_statement_token1] = ACTIONS(4924),
    [aux_sym_logical_expression_token5] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [aux_sym_boolean_literal_token1] = ACTIONS(4926),
    [aux_sym_boolean_literal_token2] = ACTIONS(4926),
    [aux_sym_null_literal_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token2] = ACTIONS(4924),
    [aux_sym_coarray_statement_token6] = ACTIONS(4924),
    [aux_sym_coarray_statement_token8] = ACTIONS(4924),
    [aux_sym_coarray_statement_token11] = ACTIONS(4924),
    [aux_sym_coarray_statement_token12] = ACTIONS(4924),
    [aux_sym_coarray_statement_token13] = ACTIONS(4924),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4924),
    [aux_sym_identifier_token1] = ACTIONS(4924),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4926),
    [sym__float_literal] = ACTIONS(4926),
    [sym__boz_literal] = ACTIONS(4926),
    [sym__string_literal] = ACTIONS(4926),
    [sym__string_literal_kind] = ACTIONS(4926),
  },
  [921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [aux_sym_preproc_else_token1] = ACTIONS(4768),
    [aux_sym_preproc_elif_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4768),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4928),
    [aux_sym_preproc_def_token1] = ACTIONS(4928),
    [aux_sym_preproc_if_token1] = ACTIONS(4928),
    [aux_sym_preproc_if_token2] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4928),
    [aux_sym_preproc_else_token1] = ACTIONS(4928),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4928),
    [sym_preproc_directive] = ACTIONS(4928),
    [anon_sym_LPAREN2] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token2] = ACTIONS(4928),
    [aux_sym_module_statement_token1] = ACTIONS(4928),
    [aux_sym_submodule_statement_token1] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [aux_sym_interface_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token2] = ACTIONS(4928),
    [aux_sym_block_data_statement_token3] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4928),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4928),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4928),
    [aux_sym_function_statement_token1] = ACTIONS(4928),
    [aux_sym_language_binding_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4928),
    [aux_sym_contains_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token2] = ACTIONS(4928),
    [aux_sym_implicit_statement_token1] = ACTIONS(4928),
    [aux_sym_implicit_statement_token3] = ACTIONS(4928),
    [aux_sym_implicit_statement_token4] = ACTIONS(4928),
    [aux_sym_save_statement_token1] = ACTIONS(4928),
    [aux_sym_private_statement_token1] = ACTIONS(4928),
    [aux_sym_public_statement_token1] = ACTIONS(4928),
    [aux_sym_namelist_statement_token1] = ACTIONS(4928),
    [aux_sym_common_statement_token1] = ACTIONS(4928),
    [aux_sym_import_statement_token1] = ACTIONS(4928),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4928),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4928),
    [aux_sym_variable_attributes_token1] = ACTIONS(4928),
    [aux_sym_variable_attributes_token2] = ACTIONS(4928),
    [aux_sym_variable_attributes_token3] = ACTIONS(4928),
    [aux_sym_variable_attributes_token4] = ACTIONS(4928),
    [aux_sym_variable_attributes_token5] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4928),
    [aux_sym_derived_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4928),
    [aux_sym_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4928),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token2] = ACTIONS(4928),
    [aux_sym_subroutine_call_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token2] = ACTIONS(4928),
    [aux_sym_keyword_statement_token3] = ACTIONS(4928),
    [aux_sym_keyword_statement_token4] = ACTIONS(4928),
    [aux_sym_keyword_statement_token6] = ACTIONS(4928),
    [aux_sym_keyword_statement_token7] = ACTIONS(4928),
    [aux_sym_include_statement_token1] = ACTIONS(4928),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4928),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4928),
    [aux_sym_end_if_statement_token1] = ACTIONS(4928),
    [aux_sym_elseif_clause_token2] = ACTIONS(4928),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4928),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token3] = ACTIONS(4928),
    [aux_sym_select_type_statement_token1] = ACTIONS(4928),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4928),
    [aux_sym_associate_statement_token1] = ACTIONS(4928),
    [aux_sym_format_statement_token1] = ACTIONS(4928),
    [aux_sym_print_statement_token1] = ACTIONS(4928),
    [aux_sym_open_statement_token1] = ACTIONS(4928),
    [aux_sym_close_statement_token1] = ACTIONS(4928),
    [aux_sym_inquire_statement_token1] = ACTIONS(4928),
    [aux_sym_enum_statement_token1] = ACTIONS(4928),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token2] = ACTIONS(4928),
    [aux_sym_file_position_statement_token3] = ACTIONS(4928),
    [aux_sym_file_position_statement_token4] = ACTIONS(4928),
    [aux_sym_allocate_statement_token1] = ACTIONS(4928),
    [aux_sym_entry_statement_token1] = ACTIONS(4928),
    [aux_sym_assign_statement_token1] = ACTIONS(4928),
    [aux_sym_logical_expression_token5] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [aux_sym_boolean_literal_token1] = ACTIONS(4930),
    [aux_sym_boolean_literal_token2] = ACTIONS(4930),
    [aux_sym_null_literal_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token2] = ACTIONS(4928),
    [aux_sym_coarray_statement_token6] = ACTIONS(4928),
    [aux_sym_coarray_statement_token8] = ACTIONS(4928),
    [aux_sym_coarray_statement_token11] = ACTIONS(4928),
    [aux_sym_coarray_statement_token12] = ACTIONS(4928),
    [aux_sym_coarray_statement_token13] = ACTIONS(4928),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4928),
    [aux_sym_identifier_token1] = ACTIONS(4928),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4930),
    [sym__float_literal] = ACTIONS(4930),
    [sym__boz_literal] = ACTIONS(4930),
    [sym__string_literal] = ACTIONS(4930),
    [sym__string_literal_kind] = ACTIONS(4930),
  },
  [923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token2] = ACTIONS(4932),
    [aux_sym_module_statement_token1] = ACTIONS(4932),
    [aux_sym_submodule_statement_token1] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4934),
    [aux_sym_interface_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token2] = ACTIONS(4932),
    [aux_sym_block_data_statement_token3] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4932),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4932),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4932),
    [aux_sym_function_statement_token1] = ACTIONS(4932),
    [aux_sym_language_binding_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4932),
    [aux_sym_contains_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token2] = ACTIONS(4932),
    [aux_sym_implicit_statement_token1] = ACTIONS(4932),
    [aux_sym_implicit_statement_token3] = ACTIONS(4932),
    [aux_sym_implicit_statement_token4] = ACTIONS(4932),
    [aux_sym_save_statement_token1] = ACTIONS(4932),
    [aux_sym_private_statement_token1] = ACTIONS(4932),
    [aux_sym_public_statement_token1] = ACTIONS(4932),
    [aux_sym_namelist_statement_token1] = ACTIONS(4932),
    [aux_sym_common_statement_token1] = ACTIONS(4932),
    [aux_sym_import_statement_token1] = ACTIONS(4932),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4932),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4932),
    [aux_sym_variable_attributes_token1] = ACTIONS(4932),
    [aux_sym_variable_attributes_token2] = ACTIONS(4932),
    [aux_sym_variable_attributes_token3] = ACTIONS(4932),
    [aux_sym_variable_attributes_token4] = ACTIONS(4932),
    [aux_sym_variable_attributes_token5] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4932),
    [aux_sym_derived_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4932),
    [aux_sym_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4932),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token2] = ACTIONS(4932),
    [aux_sym_subroutine_call_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token2] = ACTIONS(4932),
    [aux_sym_keyword_statement_token3] = ACTIONS(4932),
    [aux_sym_keyword_statement_token4] = ACTIONS(4932),
    [aux_sym_keyword_statement_token6] = ACTIONS(4932),
    [aux_sym_keyword_statement_token7] = ACTIONS(4932),
    [aux_sym_include_statement_token1] = ACTIONS(4932),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4932),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4932),
    [aux_sym_end_if_statement_token1] = ACTIONS(4932),
    [aux_sym_elseif_clause_token2] = ACTIONS(4932),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4932),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token3] = ACTIONS(4932),
    [aux_sym_select_type_statement_token1] = ACTIONS(4932),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4932),
    [aux_sym_associate_statement_token1] = ACTIONS(4932),
    [aux_sym_format_statement_token1] = ACTIONS(4932),
    [aux_sym_print_statement_token1] = ACTIONS(4932),
    [aux_sym_open_statement_token1] = ACTIONS(4932),
    [aux_sym_close_statement_token1] = ACTIONS(4932),
    [aux_sym_inquire_statement_token1] = ACTIONS(4932),
    [aux_sym_enum_statement_token1] = ACTIONS(4932),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token2] = ACTIONS(4932),
    [aux_sym_file_position_statement_token3] = ACTIONS(4932),
    [aux_sym_file_position_statement_token4] = ACTIONS(4932),
    [aux_sym_allocate_statement_token1] = ACTIONS(4932),
    [aux_sym_entry_statement_token1] = ACTIONS(4932),
    [aux_sym_assign_statement_token1] = ACTIONS(4932),
    [aux_sym_logical_expression_token5] = ACTIONS(4934),
    [anon_sym_DOT] = ACTIONS(4932),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4934),
    [anon_sym_LBRACK] = ACTIONS(4934),
    [aux_sym_boolean_literal_token1] = ACTIONS(4934),
    [aux_sym_boolean_literal_token2] = ACTIONS(4934),
    [aux_sym_null_literal_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token2] = ACTIONS(4932),
    [aux_sym_coarray_statement_token6] = ACTIONS(4932),
    [aux_sym_coarray_statement_token8] = ACTIONS(4932),
    [aux_sym_coarray_statement_token11] = ACTIONS(4932),
    [aux_sym_coarray_statement_token12] = ACTIONS(4932),
    [aux_sym_coarray_statement_token13] = ACTIONS(4932),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4932),
    [aux_sym_identifier_token1] = ACTIONS(4932),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4934),
    [sym__float_literal] = ACTIONS(4934),
    [sym__boz_literal] = ACTIONS(4934),
    [sym__string_literal] = ACTIONS(4934),
    [sym__string_literal_kind] = ACTIONS(4934),
  },
  [924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token2] = ACTIONS(4936),
    [aux_sym_module_statement_token1] = ACTIONS(4936),
    [aux_sym_submodule_statement_token1] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4938),
    [aux_sym_interface_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token2] = ACTIONS(4936),
    [aux_sym_block_data_statement_token3] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4936),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4936),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4936),
    [aux_sym_function_statement_token1] = ACTIONS(4936),
    [aux_sym_language_binding_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4936),
    [aux_sym_contains_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token2] = ACTIONS(4936),
    [aux_sym_implicit_statement_token1] = ACTIONS(4936),
    [aux_sym_implicit_statement_token3] = ACTIONS(4936),
    [aux_sym_implicit_statement_token4] = ACTIONS(4936),
    [aux_sym_save_statement_token1] = ACTIONS(4936),
    [aux_sym_private_statement_token1] = ACTIONS(4936),
    [aux_sym_public_statement_token1] = ACTIONS(4936),
    [aux_sym_namelist_statement_token1] = ACTIONS(4936),
    [aux_sym_common_statement_token1] = ACTIONS(4936),
    [aux_sym_import_statement_token1] = ACTIONS(4936),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4936),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4936),
    [aux_sym_variable_attributes_token1] = ACTIONS(4936),
    [aux_sym_variable_attributes_token2] = ACTIONS(4936),
    [aux_sym_variable_attributes_token3] = ACTIONS(4936),
    [aux_sym_variable_attributes_token4] = ACTIONS(4936),
    [aux_sym_variable_attributes_token5] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4936),
    [aux_sym_derived_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4936),
    [aux_sym_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4936),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token2] = ACTIONS(4936),
    [aux_sym_subroutine_call_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token2] = ACTIONS(4936),
    [aux_sym_keyword_statement_token3] = ACTIONS(4936),
    [aux_sym_keyword_statement_token4] = ACTIONS(4936),
    [aux_sym_keyword_statement_token6] = ACTIONS(4936),
    [aux_sym_keyword_statement_token7] = ACTIONS(4936),
    [aux_sym_include_statement_token1] = ACTIONS(4936),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4936),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4936),
    [aux_sym_end_if_statement_token1] = ACTIONS(4936),
    [aux_sym_elseif_clause_token2] = ACTIONS(4936),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4936),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token3] = ACTIONS(4936),
    [aux_sym_select_type_statement_token1] = ACTIONS(4936),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4936),
    [aux_sym_associate_statement_token1] = ACTIONS(4936),
    [aux_sym_format_statement_token1] = ACTIONS(4936),
    [aux_sym_print_statement_token1] = ACTIONS(4936),
    [aux_sym_open_statement_token1] = ACTIONS(4936),
    [aux_sym_close_statement_token1] = ACTIONS(4936),
    [aux_sym_inquire_statement_token1] = ACTIONS(4936),
    [aux_sym_enum_statement_token1] = ACTIONS(4936),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token2] = ACTIONS(4936),
    [aux_sym_file_position_statement_token3] = ACTIONS(4936),
    [aux_sym_file_position_statement_token4] = ACTIONS(4936),
    [aux_sym_allocate_statement_token1] = ACTIONS(4936),
    [aux_sym_entry_statement_token1] = ACTIONS(4936),
    [aux_sym_assign_statement_token1] = ACTIONS(4936),
    [aux_sym_logical_expression_token5] = ACTIONS(4938),
    [anon_sym_DOT] = ACTIONS(4936),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4938),
    [aux_sym_boolean_literal_token1] = ACTIONS(4938),
    [aux_sym_boolean_literal_token2] = ACTIONS(4938),
    [aux_sym_null_literal_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token2] = ACTIONS(4936),
    [aux_sym_coarray_statement_token6] = ACTIONS(4936),
    [aux_sym_coarray_statement_token8] = ACTIONS(4936),
    [aux_sym_coarray_statement_token11] = ACTIONS(4936),
    [aux_sym_coarray_statement_token12] = ACTIONS(4936),
    [aux_sym_coarray_statement_token13] = ACTIONS(4936),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4936),
    [aux_sym_identifier_token1] = ACTIONS(4936),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4938),
    [sym__float_literal] = ACTIONS(4938),
    [sym__boz_literal] = ACTIONS(4938),
    [sym__string_literal] = ACTIONS(4938),
    [sym__string_literal_kind] = ACTIONS(4938),
  },
  [925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4940),
    [aux_sym_preproc_def_token1] = ACTIONS(4940),
    [aux_sym_preproc_if_token1] = ACTIONS(4940),
    [aux_sym_preproc_if_token2] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4940),
    [aux_sym_preproc_else_token1] = ACTIONS(4940),
    [aux_sym_preproc_elif_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4940),
    [sym_preproc_directive] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token2] = ACTIONS(4940),
    [aux_sym_module_statement_token1] = ACTIONS(4940),
    [aux_sym_submodule_statement_token1] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [aux_sym_interface_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token2] = ACTIONS(4940),
    [aux_sym_block_data_statement_token3] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4940),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4940),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4940),
    [aux_sym_function_statement_token1] = ACTIONS(4940),
    [aux_sym_language_binding_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4940),
    [aux_sym_contains_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token2] = ACTIONS(4940),
    [aux_sym_implicit_statement_token1] = ACTIONS(4940),
    [aux_sym_implicit_statement_token3] = ACTIONS(4940),
    [aux_sym_implicit_statement_token4] = ACTIONS(4940),
    [aux_sym_save_statement_token1] = ACTIONS(4940),
    [aux_sym_private_statement_token1] = ACTIONS(4940),
    [aux_sym_public_statement_token1] = ACTIONS(4940),
    [aux_sym_namelist_statement_token1] = ACTIONS(4940),
    [aux_sym_common_statement_token1] = ACTIONS(4940),
    [aux_sym_import_statement_token1] = ACTIONS(4940),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4940),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4940),
    [aux_sym_variable_attributes_token1] = ACTIONS(4940),
    [aux_sym_variable_attributes_token2] = ACTIONS(4940),
    [aux_sym_variable_attributes_token3] = ACTIONS(4940),
    [aux_sym_variable_attributes_token4] = ACTIONS(4940),
    [aux_sym_variable_attributes_token5] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4940),
    [aux_sym_derived_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4940),
    [aux_sym_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4940),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token2] = ACTIONS(4940),
    [aux_sym_subroutine_call_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token2] = ACTIONS(4940),
    [aux_sym_keyword_statement_token3] = ACTIONS(4940),
    [aux_sym_keyword_statement_token4] = ACTIONS(4940),
    [aux_sym_keyword_statement_token6] = ACTIONS(4940),
    [aux_sym_keyword_statement_token7] = ACTIONS(4940),
    [aux_sym_include_statement_token1] = ACTIONS(4940),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4940),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4940),
    [aux_sym_end_if_statement_token1] = ACTIONS(4940),
    [aux_sym_elseif_clause_token2] = ACTIONS(4940),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4940),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token3] = ACTIONS(4940),
    [aux_sym_select_type_statement_token1] = ACTIONS(4940),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4940),
    [aux_sym_associate_statement_token1] = ACTIONS(4940),
    [aux_sym_format_statement_token1] = ACTIONS(4940),
    [aux_sym_print_statement_token1] = ACTIONS(4940),
    [aux_sym_open_statement_token1] = ACTIONS(4940),
    [aux_sym_close_statement_token1] = ACTIONS(4940),
    [aux_sym_inquire_statement_token1] = ACTIONS(4940),
    [aux_sym_enum_statement_token1] = ACTIONS(4940),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token2] = ACTIONS(4940),
    [aux_sym_file_position_statement_token3] = ACTIONS(4940),
    [aux_sym_file_position_statement_token4] = ACTIONS(4940),
    [aux_sym_allocate_statement_token1] = ACTIONS(4940),
    [aux_sym_entry_statement_token1] = ACTIONS(4940),
    [aux_sym_assign_statement_token1] = ACTIONS(4940),
    [aux_sym_logical_expression_token5] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [aux_sym_boolean_literal_token1] = ACTIONS(4942),
    [aux_sym_boolean_literal_token2] = ACTIONS(4942),
    [aux_sym_null_literal_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token2] = ACTIONS(4940),
    [aux_sym_coarray_statement_token6] = ACTIONS(4940),
    [aux_sym_coarray_statement_token8] = ACTIONS(4940),
    [aux_sym_coarray_statement_token11] = ACTIONS(4940),
    [aux_sym_coarray_statement_token12] = ACTIONS(4940),
    [aux_sym_coarray_statement_token13] = ACTIONS(4940),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4940),
    [aux_sym_identifier_token1] = ACTIONS(4940),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4942),
    [sym__float_literal] = ACTIONS(4942),
    [sym__boz_literal] = ACTIONS(4942),
    [sym__string_literal] = ACTIONS(4942),
    [sym__string_literal_kind] = ACTIONS(4942),
  },
  [926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [aux_sym_module_statement_token1] = ACTIONS(4944),
    [aux_sym_submodule_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_block_data_statement_token3] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_function_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [aux_sym_module_statement_token1] = ACTIONS(4948),
    [aux_sym_submodule_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_block_data_statement_token3] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_function_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4958),
    [aux_sym_preproc_if_token1] = ACTIONS(4958),
    [aux_sym_preproc_if_token2] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4958),
    [aux_sym_preproc_else_token1] = ACTIONS(4958),
    [aux_sym_preproc_elif_token1] = ACTIONS(4958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4958),
    [sym_preproc_directive] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4958),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token2] = ACTIONS(4958),
    [aux_sym_module_statement_token1] = ACTIONS(4958),
    [aux_sym_submodule_statement_token1] = ACTIONS(4958),
    [anon_sym_SEMI] = ACTIONS(4960),
    [aux_sym_interface_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token2] = ACTIONS(4958),
    [aux_sym_block_data_statement_token3] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4958),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4958),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4958),
    [aux_sym_function_statement_token1] = ACTIONS(4958),
    [aux_sym_language_binding_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4958),
    [aux_sym_contains_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token2] = ACTIONS(4958),
    [aux_sym_implicit_statement_token1] = ACTIONS(4958),
    [aux_sym_implicit_statement_token3] = ACTIONS(4958),
    [aux_sym_implicit_statement_token4] = ACTIONS(4958),
    [aux_sym_save_statement_token1] = ACTIONS(4958),
    [aux_sym_private_statement_token1] = ACTIONS(4958),
    [aux_sym_public_statement_token1] = ACTIONS(4958),
    [aux_sym_namelist_statement_token1] = ACTIONS(4958),
    [aux_sym_common_statement_token1] = ACTIONS(4958),
    [aux_sym_import_statement_token1] = ACTIONS(4958),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4958),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4958),
    [aux_sym_variable_attributes_token1] = ACTIONS(4958),
    [aux_sym_variable_attributes_token2] = ACTIONS(4958),
    [aux_sym_variable_attributes_token3] = ACTIONS(4958),
    [aux_sym_variable_attributes_token4] = ACTIONS(4958),
    [aux_sym_variable_attributes_token5] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4958),
    [aux_sym_derived_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4958),
    [aux_sym_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4958),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token2] = ACTIONS(4958),
    [aux_sym_subroutine_call_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token2] = ACTIONS(4958),
    [aux_sym_keyword_statement_token3] = ACTIONS(4958),
    [aux_sym_keyword_statement_token4] = ACTIONS(4958),
    [aux_sym_keyword_statement_token6] = ACTIONS(4958),
    [aux_sym_keyword_statement_token7] = ACTIONS(4958),
    [aux_sym_include_statement_token1] = ACTIONS(4958),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4958),
    [aux_sym_end_if_statement_token1] = ACTIONS(4958),
    [aux_sym_elseif_clause_token2] = ACTIONS(4958),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token3] = ACTIONS(4958),
    [aux_sym_select_type_statement_token1] = ACTIONS(4958),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4958),
    [aux_sym_associate_statement_token1] = ACTIONS(4958),
    [aux_sym_format_statement_token1] = ACTIONS(4958),
    [aux_sym_print_statement_token1] = ACTIONS(4958),
    [aux_sym_open_statement_token1] = ACTIONS(4958),
    [aux_sym_close_statement_token1] = ACTIONS(4958),
    [aux_sym_inquire_statement_token1] = ACTIONS(4958),
    [aux_sym_enum_statement_token1] = ACTIONS(4958),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token2] = ACTIONS(4958),
    [aux_sym_file_position_statement_token3] = ACTIONS(4958),
    [aux_sym_file_position_statement_token4] = ACTIONS(4958),
    [aux_sym_allocate_statement_token1] = ACTIONS(4958),
    [aux_sym_entry_statement_token1] = ACTIONS(4958),
    [aux_sym_assign_statement_token1] = ACTIONS(4958),
    [aux_sym_logical_expression_token5] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4960),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [aux_sym_boolean_literal_token1] = ACTIONS(4960),
    [aux_sym_boolean_literal_token2] = ACTIONS(4960),
    [aux_sym_null_literal_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token2] = ACTIONS(4958),
    [aux_sym_coarray_statement_token6] = ACTIONS(4958),
    [aux_sym_coarray_statement_token8] = ACTIONS(4958),
    [aux_sym_coarray_statement_token11] = ACTIONS(4958),
    [aux_sym_coarray_statement_token12] = ACTIONS(4958),
    [aux_sym_coarray_statement_token13] = ACTIONS(4958),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4958),
    [aux_sym_identifier_token1] = ACTIONS(4958),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4960),
    [sym__float_literal] = ACTIONS(4960),
    [sym__boz_literal] = ACTIONS(4960),
    [sym__string_literal] = ACTIONS(4960),
    [sym__string_literal_kind] = ACTIONS(4960),
  },
  [931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [aux_sym_preproc_else_token1] = ACTIONS(4806),
    [aux_sym_preproc_elif_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4962),
    [aux_sym_preproc_def_token1] = ACTIONS(4962),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_if_token2] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4962),
    [aux_sym_preproc_else_token1] = ACTIONS(4962),
    [aux_sym_preproc_elif_token1] = ACTIONS(4962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4962),
    [sym_preproc_directive] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token2] = ACTIONS(4962),
    [aux_sym_module_statement_token1] = ACTIONS(4962),
    [aux_sym_submodule_statement_token1] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4964),
    [aux_sym_interface_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token2] = ACTIONS(4962),
    [aux_sym_block_data_statement_token3] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4962),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4962),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4962),
    [aux_sym_function_statement_token1] = ACTIONS(4962),
    [aux_sym_language_binding_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4962),
    [aux_sym_contains_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token2] = ACTIONS(4962),
    [aux_sym_implicit_statement_token1] = ACTIONS(4962),
    [aux_sym_implicit_statement_token3] = ACTIONS(4962),
    [aux_sym_implicit_statement_token4] = ACTIONS(4962),
    [aux_sym_save_statement_token1] = ACTIONS(4962),
    [aux_sym_private_statement_token1] = ACTIONS(4962),
    [aux_sym_public_statement_token1] = ACTIONS(4962),
    [aux_sym_namelist_statement_token1] = ACTIONS(4962),
    [aux_sym_common_statement_token1] = ACTIONS(4962),
    [aux_sym_import_statement_token1] = ACTIONS(4962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4962),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4962),
    [aux_sym_variable_attributes_token1] = ACTIONS(4962),
    [aux_sym_variable_attributes_token2] = ACTIONS(4962),
    [aux_sym_variable_attributes_token3] = ACTIONS(4962),
    [aux_sym_variable_attributes_token4] = ACTIONS(4962),
    [aux_sym_variable_attributes_token5] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4962),
    [aux_sym_derived_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4962),
    [aux_sym_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4962),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token2] = ACTIONS(4962),
    [aux_sym_subroutine_call_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token2] = ACTIONS(4962),
    [aux_sym_keyword_statement_token3] = ACTIONS(4962),
    [aux_sym_keyword_statement_token4] = ACTIONS(4962),
    [aux_sym_keyword_statement_token6] = ACTIONS(4962),
    [aux_sym_keyword_statement_token7] = ACTIONS(4962),
    [aux_sym_include_statement_token1] = ACTIONS(4962),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4962),
    [aux_sym_end_if_statement_token1] = ACTIONS(4962),
    [aux_sym_elseif_clause_token2] = ACTIONS(4962),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4962),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token3] = ACTIONS(4962),
    [aux_sym_select_type_statement_token1] = ACTIONS(4962),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4962),
    [aux_sym_associate_statement_token1] = ACTIONS(4962),
    [aux_sym_format_statement_token1] = ACTIONS(4962),
    [aux_sym_print_statement_token1] = ACTIONS(4962),
    [aux_sym_open_statement_token1] = ACTIONS(4962),
    [aux_sym_close_statement_token1] = ACTIONS(4962),
    [aux_sym_inquire_statement_token1] = ACTIONS(4962),
    [aux_sym_enum_statement_token1] = ACTIONS(4962),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token2] = ACTIONS(4962),
    [aux_sym_file_position_statement_token3] = ACTIONS(4962),
    [aux_sym_file_position_statement_token4] = ACTIONS(4962),
    [aux_sym_allocate_statement_token1] = ACTIONS(4962),
    [aux_sym_entry_statement_token1] = ACTIONS(4962),
    [aux_sym_assign_statement_token1] = ACTIONS(4962),
    [aux_sym_logical_expression_token5] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [aux_sym_boolean_literal_token1] = ACTIONS(4964),
    [aux_sym_boolean_literal_token2] = ACTIONS(4964),
    [aux_sym_null_literal_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token2] = ACTIONS(4962),
    [aux_sym_coarray_statement_token6] = ACTIONS(4962),
    [aux_sym_coarray_statement_token8] = ACTIONS(4962),
    [aux_sym_coarray_statement_token11] = ACTIONS(4962),
    [aux_sym_coarray_statement_token12] = ACTIONS(4962),
    [aux_sym_coarray_statement_token13] = ACTIONS(4962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4962),
    [aux_sym_identifier_token1] = ACTIONS(4962),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4964),
    [sym__float_literal] = ACTIONS(4964),
    [sym__boz_literal] = ACTIONS(4964),
    [sym__string_literal] = ACTIONS(4964),
    [sym__string_literal_kind] = ACTIONS(4964),
  },
  [933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4966),
    [aux_sym_preproc_def_token1] = ACTIONS(4966),
    [aux_sym_preproc_if_token1] = ACTIONS(4966),
    [aux_sym_preproc_if_token2] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4966),
    [aux_sym_preproc_else_token1] = ACTIONS(4966),
    [aux_sym_preproc_elif_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4966),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token2] = ACTIONS(4966),
    [aux_sym_module_statement_token1] = ACTIONS(4966),
    [aux_sym_submodule_statement_token1] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4968),
    [aux_sym_interface_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token2] = ACTIONS(4966),
    [aux_sym_block_data_statement_token3] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4966),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4966),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4966),
    [aux_sym_function_statement_token1] = ACTIONS(4966),
    [aux_sym_language_binding_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4966),
    [aux_sym_contains_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token2] = ACTIONS(4966),
    [aux_sym_implicit_statement_token1] = ACTIONS(4966),
    [aux_sym_implicit_statement_token3] = ACTIONS(4966),
    [aux_sym_implicit_statement_token4] = ACTIONS(4966),
    [aux_sym_save_statement_token1] = ACTIONS(4966),
    [aux_sym_private_statement_token1] = ACTIONS(4966),
    [aux_sym_public_statement_token1] = ACTIONS(4966),
    [aux_sym_namelist_statement_token1] = ACTIONS(4966),
    [aux_sym_common_statement_token1] = ACTIONS(4966),
    [aux_sym_import_statement_token1] = ACTIONS(4966),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4966),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4966),
    [aux_sym_variable_attributes_token1] = ACTIONS(4966),
    [aux_sym_variable_attributes_token2] = ACTIONS(4966),
    [aux_sym_variable_attributes_token3] = ACTIONS(4966),
    [aux_sym_variable_attributes_token4] = ACTIONS(4966),
    [aux_sym_variable_attributes_token5] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4966),
    [aux_sym_derived_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4966),
    [aux_sym_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4966),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token2] = ACTIONS(4966),
    [aux_sym_subroutine_call_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token2] = ACTIONS(4966),
    [aux_sym_keyword_statement_token3] = ACTIONS(4966),
    [aux_sym_keyword_statement_token4] = ACTIONS(4966),
    [aux_sym_keyword_statement_token6] = ACTIONS(4966),
    [aux_sym_keyword_statement_token7] = ACTIONS(4966),
    [aux_sym_include_statement_token1] = ACTIONS(4966),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4966),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4966),
    [aux_sym_end_if_statement_token1] = ACTIONS(4966),
    [aux_sym_elseif_clause_token2] = ACTIONS(4966),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token3] = ACTIONS(4966),
    [aux_sym_select_type_statement_token1] = ACTIONS(4966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4966),
    [aux_sym_associate_statement_token1] = ACTIONS(4966),
    [aux_sym_format_statement_token1] = ACTIONS(4966),
    [aux_sym_print_statement_token1] = ACTIONS(4966),
    [aux_sym_open_statement_token1] = ACTIONS(4966),
    [aux_sym_close_statement_token1] = ACTIONS(4966),
    [aux_sym_inquire_statement_token1] = ACTIONS(4966),
    [aux_sym_enum_statement_token1] = ACTIONS(4966),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token2] = ACTIONS(4966),
    [aux_sym_file_position_statement_token3] = ACTIONS(4966),
    [aux_sym_file_position_statement_token4] = ACTIONS(4966),
    [aux_sym_allocate_statement_token1] = ACTIONS(4966),
    [aux_sym_entry_statement_token1] = ACTIONS(4966),
    [aux_sym_assign_statement_token1] = ACTIONS(4966),
    [aux_sym_logical_expression_token5] = ACTIONS(4968),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4968),
    [aux_sym_boolean_literal_token1] = ACTIONS(4968),
    [aux_sym_boolean_literal_token2] = ACTIONS(4968),
    [aux_sym_null_literal_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token2] = ACTIONS(4966),
    [aux_sym_coarray_statement_token6] = ACTIONS(4966),
    [aux_sym_coarray_statement_token8] = ACTIONS(4966),
    [aux_sym_coarray_statement_token11] = ACTIONS(4966),
    [aux_sym_coarray_statement_token12] = ACTIONS(4966),
    [aux_sym_coarray_statement_token13] = ACTIONS(4966),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4966),
    [aux_sym_identifier_token1] = ACTIONS(4966),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4968),
    [sym__float_literal] = ACTIONS(4968),
    [sym__boz_literal] = ACTIONS(4968),
    [sym__string_literal] = ACTIONS(4968),
    [sym__string_literal_kind] = ACTIONS(4968),
  },
  [934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4970),
    [aux_sym_preproc_def_token1] = ACTIONS(4970),
    [aux_sym_preproc_if_token1] = ACTIONS(4970),
    [aux_sym_preproc_if_token2] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4970),
    [aux_sym_preproc_else_token1] = ACTIONS(4970),
    [aux_sym_preproc_elif_token1] = ACTIONS(4970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4970),
    [sym_preproc_directive] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token2] = ACTIONS(4970),
    [aux_sym_module_statement_token1] = ACTIONS(4970),
    [aux_sym_submodule_statement_token1] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4972),
    [aux_sym_interface_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token2] = ACTIONS(4970),
    [aux_sym_block_data_statement_token3] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4970),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4970),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4970),
    [aux_sym_function_statement_token1] = ACTIONS(4970),
    [aux_sym_language_binding_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4970),
    [aux_sym_contains_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token2] = ACTIONS(4970),
    [aux_sym_implicit_statement_token1] = ACTIONS(4970),
    [aux_sym_implicit_statement_token3] = ACTIONS(4970),
    [aux_sym_implicit_statement_token4] = ACTIONS(4970),
    [aux_sym_save_statement_token1] = ACTIONS(4970),
    [aux_sym_private_statement_token1] = ACTIONS(4970),
    [aux_sym_public_statement_token1] = ACTIONS(4970),
    [aux_sym_namelist_statement_token1] = ACTIONS(4970),
    [aux_sym_common_statement_token1] = ACTIONS(4970),
    [aux_sym_import_statement_token1] = ACTIONS(4970),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4970),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4970),
    [aux_sym_variable_attributes_token1] = ACTIONS(4970),
    [aux_sym_variable_attributes_token2] = ACTIONS(4970),
    [aux_sym_variable_attributes_token3] = ACTIONS(4970),
    [aux_sym_variable_attributes_token4] = ACTIONS(4970),
    [aux_sym_variable_attributes_token5] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4970),
    [aux_sym_derived_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4970),
    [aux_sym_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4970),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token2] = ACTIONS(4970),
    [aux_sym_subroutine_call_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token2] = ACTIONS(4970),
    [aux_sym_keyword_statement_token3] = ACTIONS(4970),
    [aux_sym_keyword_statement_token4] = ACTIONS(4970),
    [aux_sym_keyword_statement_token6] = ACTIONS(4970),
    [aux_sym_keyword_statement_token7] = ACTIONS(4970),
    [aux_sym_include_statement_token1] = ACTIONS(4970),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4970),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4970),
    [aux_sym_end_if_statement_token1] = ACTIONS(4970),
    [aux_sym_elseif_clause_token2] = ACTIONS(4970),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4970),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token3] = ACTIONS(4970),
    [aux_sym_select_type_statement_token1] = ACTIONS(4970),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4970),
    [aux_sym_associate_statement_token1] = ACTIONS(4970),
    [aux_sym_format_statement_token1] = ACTIONS(4970),
    [aux_sym_print_statement_token1] = ACTIONS(4970),
    [aux_sym_open_statement_token1] = ACTIONS(4970),
    [aux_sym_close_statement_token1] = ACTIONS(4970),
    [aux_sym_inquire_statement_token1] = ACTIONS(4970),
    [aux_sym_enum_statement_token1] = ACTIONS(4970),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token2] = ACTIONS(4970),
    [aux_sym_file_position_statement_token3] = ACTIONS(4970),
    [aux_sym_file_position_statement_token4] = ACTIONS(4970),
    [aux_sym_allocate_statement_token1] = ACTIONS(4970),
    [aux_sym_entry_statement_token1] = ACTIONS(4970),
    [aux_sym_assign_statement_token1] = ACTIONS(4970),
    [aux_sym_logical_expression_token5] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [aux_sym_boolean_literal_token1] = ACTIONS(4972),
    [aux_sym_boolean_literal_token2] = ACTIONS(4972),
    [aux_sym_null_literal_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token2] = ACTIONS(4970),
    [aux_sym_coarray_statement_token6] = ACTIONS(4970),
    [aux_sym_coarray_statement_token8] = ACTIONS(4970),
    [aux_sym_coarray_statement_token11] = ACTIONS(4970),
    [aux_sym_coarray_statement_token12] = ACTIONS(4970),
    [aux_sym_coarray_statement_token13] = ACTIONS(4970),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4970),
    [aux_sym_identifier_token1] = ACTIONS(4970),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4972),
    [sym__float_literal] = ACTIONS(4972),
    [sym__boz_literal] = ACTIONS(4972),
    [sym__string_literal] = ACTIONS(4972),
    [sym__string_literal_kind] = ACTIONS(4972),
  },
  [935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4974),
    [aux_sym_preproc_def_token1] = ACTIONS(4974),
    [aux_sym_preproc_if_token1] = ACTIONS(4974),
    [aux_sym_preproc_if_token2] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4974),
    [aux_sym_preproc_else_token1] = ACTIONS(4974),
    [aux_sym_preproc_elif_token1] = ACTIONS(4974),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4974),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4974),
    [sym_preproc_directive] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token2] = ACTIONS(4974),
    [aux_sym_module_statement_token1] = ACTIONS(4974),
    [aux_sym_submodule_statement_token1] = ACTIONS(4974),
    [anon_sym_SEMI] = ACTIONS(4976),
    [aux_sym_interface_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token2] = ACTIONS(4974),
    [aux_sym_block_data_statement_token3] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4974),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4974),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4974),
    [aux_sym_function_statement_token1] = ACTIONS(4974),
    [aux_sym_language_binding_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4974),
    [aux_sym_contains_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token2] = ACTIONS(4974),
    [aux_sym_implicit_statement_token1] = ACTIONS(4974),
    [aux_sym_implicit_statement_token3] = ACTIONS(4974),
    [aux_sym_implicit_statement_token4] = ACTIONS(4974),
    [aux_sym_save_statement_token1] = ACTIONS(4974),
    [aux_sym_private_statement_token1] = ACTIONS(4974),
    [aux_sym_public_statement_token1] = ACTIONS(4974),
    [aux_sym_namelist_statement_token1] = ACTIONS(4974),
    [aux_sym_common_statement_token1] = ACTIONS(4974),
    [aux_sym_import_statement_token1] = ACTIONS(4974),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4974),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4974),
    [aux_sym_variable_attributes_token1] = ACTIONS(4974),
    [aux_sym_variable_attributes_token2] = ACTIONS(4974),
    [aux_sym_variable_attributes_token3] = ACTIONS(4974),
    [aux_sym_variable_attributes_token4] = ACTIONS(4974),
    [aux_sym_variable_attributes_token5] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4974),
    [aux_sym_derived_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4974),
    [aux_sym_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4974),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token2] = ACTIONS(4974),
    [aux_sym_subroutine_call_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token2] = ACTIONS(4974),
    [aux_sym_keyword_statement_token3] = ACTIONS(4974),
    [aux_sym_keyword_statement_token4] = ACTIONS(4974),
    [aux_sym_keyword_statement_token6] = ACTIONS(4974),
    [aux_sym_keyword_statement_token7] = ACTIONS(4974),
    [aux_sym_include_statement_token1] = ACTIONS(4974),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4974),
    [aux_sym_end_if_statement_token1] = ACTIONS(4974),
    [aux_sym_elseif_clause_token2] = ACTIONS(4974),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4974),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token3] = ACTIONS(4974),
    [aux_sym_select_type_statement_token1] = ACTIONS(4974),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4974),
    [aux_sym_associate_statement_token1] = ACTIONS(4974),
    [aux_sym_format_statement_token1] = ACTIONS(4974),
    [aux_sym_print_statement_token1] = ACTIONS(4974),
    [aux_sym_open_statement_token1] = ACTIONS(4974),
    [aux_sym_close_statement_token1] = ACTIONS(4974),
    [aux_sym_inquire_statement_token1] = ACTIONS(4974),
    [aux_sym_enum_statement_token1] = ACTIONS(4974),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token2] = ACTIONS(4974),
    [aux_sym_file_position_statement_token3] = ACTIONS(4974),
    [aux_sym_file_position_statement_token4] = ACTIONS(4974),
    [aux_sym_allocate_statement_token1] = ACTIONS(4974),
    [aux_sym_entry_statement_token1] = ACTIONS(4974),
    [aux_sym_assign_statement_token1] = ACTIONS(4974),
    [aux_sym_logical_expression_token5] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [aux_sym_boolean_literal_token1] = ACTIONS(4976),
    [aux_sym_boolean_literal_token2] = ACTIONS(4976),
    [aux_sym_null_literal_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token2] = ACTIONS(4974),
    [aux_sym_coarray_statement_token6] = ACTIONS(4974),
    [aux_sym_coarray_statement_token8] = ACTIONS(4974),
    [aux_sym_coarray_statement_token11] = ACTIONS(4974),
    [aux_sym_coarray_statement_token12] = ACTIONS(4974),
    [aux_sym_coarray_statement_token13] = ACTIONS(4974),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4974),
    [aux_sym_identifier_token1] = ACTIONS(4974),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4976),
    [sym__float_literal] = ACTIONS(4976),
    [sym__boz_literal] = ACTIONS(4976),
    [sym__string_literal] = ACTIONS(4976),
    [sym__string_literal_kind] = ACTIONS(4976),
  },
  [936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4978),
    [aux_sym_preproc_def_token1] = ACTIONS(4978),
    [aux_sym_preproc_if_token1] = ACTIONS(4978),
    [aux_sym_preproc_if_token2] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4978),
    [aux_sym_preproc_else_token1] = ACTIONS(4978),
    [aux_sym_preproc_elif_token1] = ACTIONS(4978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4978),
    [sym_preproc_directive] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_PLUS] = ACTIONS(4980),
    [anon_sym_DASH] = ACTIONS(4980),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token2] = ACTIONS(4978),
    [aux_sym_module_statement_token1] = ACTIONS(4978),
    [aux_sym_submodule_statement_token1] = ACTIONS(4978),
    [anon_sym_SEMI] = ACTIONS(4980),
    [aux_sym_interface_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token2] = ACTIONS(4978),
    [aux_sym_block_data_statement_token3] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4978),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4978),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4978),
    [aux_sym_function_statement_token1] = ACTIONS(4978),
    [aux_sym_language_binding_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4978),
    [aux_sym_contains_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token2] = ACTIONS(4978),
    [aux_sym_implicit_statement_token1] = ACTIONS(4978),
    [aux_sym_implicit_statement_token3] = ACTIONS(4978),
    [aux_sym_implicit_statement_token4] = ACTIONS(4978),
    [aux_sym_save_statement_token1] = ACTIONS(4978),
    [aux_sym_private_statement_token1] = ACTIONS(4978),
    [aux_sym_public_statement_token1] = ACTIONS(4978),
    [aux_sym_namelist_statement_token1] = ACTIONS(4978),
    [aux_sym_common_statement_token1] = ACTIONS(4978),
    [aux_sym_import_statement_token1] = ACTIONS(4978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4978),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4978),
    [aux_sym_variable_attributes_token1] = ACTIONS(4978),
    [aux_sym_variable_attributes_token2] = ACTIONS(4978),
    [aux_sym_variable_attributes_token3] = ACTIONS(4978),
    [aux_sym_variable_attributes_token4] = ACTIONS(4978),
    [aux_sym_variable_attributes_token5] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4978),
    [aux_sym_derived_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4978),
    [aux_sym_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4978),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token2] = ACTIONS(4978),
    [aux_sym_subroutine_call_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token2] = ACTIONS(4978),
    [aux_sym_keyword_statement_token3] = ACTIONS(4978),
    [aux_sym_keyword_statement_token4] = ACTIONS(4978),
    [aux_sym_keyword_statement_token6] = ACTIONS(4978),
    [aux_sym_keyword_statement_token7] = ACTIONS(4978),
    [aux_sym_include_statement_token1] = ACTIONS(4978),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4978),
    [aux_sym_end_if_statement_token1] = ACTIONS(4978),
    [aux_sym_elseif_clause_token2] = ACTIONS(4978),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4978),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token3] = ACTIONS(4978),
    [aux_sym_select_type_statement_token1] = ACTIONS(4978),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4978),
    [aux_sym_associate_statement_token1] = ACTIONS(4978),
    [aux_sym_format_statement_token1] = ACTIONS(4978),
    [aux_sym_print_statement_token1] = ACTIONS(4978),
    [aux_sym_open_statement_token1] = ACTIONS(4978),
    [aux_sym_close_statement_token1] = ACTIONS(4978),
    [aux_sym_inquire_statement_token1] = ACTIONS(4978),
    [aux_sym_enum_statement_token1] = ACTIONS(4978),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token2] = ACTIONS(4978),
    [aux_sym_file_position_statement_token3] = ACTIONS(4978),
    [aux_sym_file_position_statement_token4] = ACTIONS(4978),
    [aux_sym_allocate_statement_token1] = ACTIONS(4978),
    [aux_sym_entry_statement_token1] = ACTIONS(4978),
    [aux_sym_assign_statement_token1] = ACTIONS(4978),
    [aux_sym_logical_expression_token5] = ACTIONS(4980),
    [anon_sym_DOT] = ACTIONS(4978),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4980),
    [anon_sym_LBRACK] = ACTIONS(4980),
    [aux_sym_boolean_literal_token1] = ACTIONS(4980),
    [aux_sym_boolean_literal_token2] = ACTIONS(4980),
    [aux_sym_null_literal_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token2] = ACTIONS(4978),
    [aux_sym_coarray_statement_token6] = ACTIONS(4978),
    [aux_sym_coarray_statement_token8] = ACTIONS(4978),
    [aux_sym_coarray_statement_token11] = ACTIONS(4978),
    [aux_sym_coarray_statement_token12] = ACTIONS(4978),
    [aux_sym_coarray_statement_token13] = ACTIONS(4978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4978),
    [aux_sym_identifier_token1] = ACTIONS(4978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4980),
    [sym__float_literal] = ACTIONS(4980),
    [sym__boz_literal] = ACTIONS(4980),
    [sym__string_literal] = ACTIONS(4980),
    [sym__string_literal_kind] = ACTIONS(4980),
  },
  [937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4982),
    [aux_sym_preproc_def_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token2] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4982),
    [aux_sym_preproc_else_token1] = ACTIONS(4982),
    [aux_sym_preproc_elif_token1] = ACTIONS(4982),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4982),
    [sym_preproc_directive] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_PLUS] = ACTIONS(4984),
    [anon_sym_DASH] = ACTIONS(4984),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token2] = ACTIONS(4982),
    [aux_sym_module_statement_token1] = ACTIONS(4982),
    [aux_sym_submodule_statement_token1] = ACTIONS(4982),
    [anon_sym_SEMI] = ACTIONS(4984),
    [aux_sym_interface_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token2] = ACTIONS(4982),
    [aux_sym_block_data_statement_token3] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4982),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4982),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4982),
    [aux_sym_function_statement_token1] = ACTIONS(4982),
    [aux_sym_language_binding_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4982),
    [aux_sym_contains_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token2] = ACTIONS(4982),
    [aux_sym_implicit_statement_token1] = ACTIONS(4982),
    [aux_sym_implicit_statement_token3] = ACTIONS(4982),
    [aux_sym_implicit_statement_token4] = ACTIONS(4982),
    [aux_sym_save_statement_token1] = ACTIONS(4982),
    [aux_sym_private_statement_token1] = ACTIONS(4982),
    [aux_sym_public_statement_token1] = ACTIONS(4982),
    [aux_sym_namelist_statement_token1] = ACTIONS(4982),
    [aux_sym_common_statement_token1] = ACTIONS(4982),
    [aux_sym_import_statement_token1] = ACTIONS(4982),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4982),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4982),
    [aux_sym_variable_attributes_token1] = ACTIONS(4982),
    [aux_sym_variable_attributes_token2] = ACTIONS(4982),
    [aux_sym_variable_attributes_token3] = ACTIONS(4982),
    [aux_sym_variable_attributes_token4] = ACTIONS(4982),
    [aux_sym_variable_attributes_token5] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4982),
    [aux_sym_derived_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4982),
    [aux_sym_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4982),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token2] = ACTIONS(4982),
    [aux_sym_subroutine_call_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token2] = ACTIONS(4982),
    [aux_sym_keyword_statement_token3] = ACTIONS(4982),
    [aux_sym_keyword_statement_token4] = ACTIONS(4982),
    [aux_sym_keyword_statement_token6] = ACTIONS(4982),
    [aux_sym_keyword_statement_token7] = ACTIONS(4982),
    [aux_sym_include_statement_token1] = ACTIONS(4982),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4982),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4982),
    [aux_sym_end_if_statement_token1] = ACTIONS(4982),
    [aux_sym_elseif_clause_token2] = ACTIONS(4982),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4982),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token3] = ACTIONS(4982),
    [aux_sym_select_type_statement_token1] = ACTIONS(4982),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4982),
    [aux_sym_associate_statement_token1] = ACTIONS(4982),
    [aux_sym_format_statement_token1] = ACTIONS(4982),
    [aux_sym_print_statement_token1] = ACTIONS(4982),
    [aux_sym_open_statement_token1] = ACTIONS(4982),
    [aux_sym_close_statement_token1] = ACTIONS(4982),
    [aux_sym_inquire_statement_token1] = ACTIONS(4982),
    [aux_sym_enum_statement_token1] = ACTIONS(4982),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token2] = ACTIONS(4982),
    [aux_sym_file_position_statement_token3] = ACTIONS(4982),
    [aux_sym_file_position_statement_token4] = ACTIONS(4982),
    [aux_sym_allocate_statement_token1] = ACTIONS(4982),
    [aux_sym_entry_statement_token1] = ACTIONS(4982),
    [aux_sym_assign_statement_token1] = ACTIONS(4982),
    [aux_sym_logical_expression_token5] = ACTIONS(4984),
    [anon_sym_DOT] = ACTIONS(4982),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4984),
    [anon_sym_LBRACK] = ACTIONS(4984),
    [aux_sym_boolean_literal_token1] = ACTIONS(4984),
    [aux_sym_boolean_literal_token2] = ACTIONS(4984),
    [aux_sym_null_literal_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token2] = ACTIONS(4982),
    [aux_sym_coarray_statement_token6] = ACTIONS(4982),
    [aux_sym_coarray_statement_token8] = ACTIONS(4982),
    [aux_sym_coarray_statement_token11] = ACTIONS(4982),
    [aux_sym_coarray_statement_token12] = ACTIONS(4982),
    [aux_sym_coarray_statement_token13] = ACTIONS(4982),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4982),
    [aux_sym_identifier_token1] = ACTIONS(4982),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4984),
    [sym__float_literal] = ACTIONS(4984),
    [sym__boz_literal] = ACTIONS(4984),
    [sym__string_literal] = ACTIONS(4984),
    [sym__string_literal_kind] = ACTIONS(4984),
  },
  [938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [aux_sym_preproc_else_token1] = ACTIONS(4818),
    [aux_sym_preproc_elif_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [aux_sym_preproc_else_token1] = ACTIONS(4992),
    [aux_sym_preproc_elif_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_DASH] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token2] = ACTIONS(4992),
    [aux_sym_module_statement_token1] = ACTIONS(4992),
    [aux_sym_submodule_statement_token1] = ACTIONS(4992),
    [anon_sym_SEMI] = ACTIONS(4994),
    [aux_sym_interface_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token2] = ACTIONS(4992),
    [aux_sym_block_data_statement_token3] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4992),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4992),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4992),
    [aux_sym_function_statement_token1] = ACTIONS(4992),
    [aux_sym_language_binding_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4992),
    [aux_sym_contains_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token2] = ACTIONS(4992),
    [aux_sym_implicit_statement_token1] = ACTIONS(4992),
    [aux_sym_implicit_statement_token3] = ACTIONS(4992),
    [aux_sym_implicit_statement_token4] = ACTIONS(4992),
    [aux_sym_save_statement_token1] = ACTIONS(4992),
    [aux_sym_private_statement_token1] = ACTIONS(4992),
    [aux_sym_public_statement_token1] = ACTIONS(4992),
    [aux_sym_namelist_statement_token1] = ACTIONS(4992),
    [aux_sym_common_statement_token1] = ACTIONS(4992),
    [aux_sym_import_statement_token1] = ACTIONS(4992),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4992),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4992),
    [aux_sym_variable_attributes_token1] = ACTIONS(4992),
    [aux_sym_variable_attributes_token2] = ACTIONS(4992),
    [aux_sym_variable_attributes_token3] = ACTIONS(4992),
    [aux_sym_variable_attributes_token4] = ACTIONS(4992),
    [aux_sym_variable_attributes_token5] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4992),
    [aux_sym_derived_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4992),
    [aux_sym_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4992),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token2] = ACTIONS(4992),
    [aux_sym_subroutine_call_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token2] = ACTIONS(4992),
    [aux_sym_keyword_statement_token3] = ACTIONS(4992),
    [aux_sym_keyword_statement_token4] = ACTIONS(4992),
    [aux_sym_keyword_statement_token6] = ACTIONS(4992),
    [aux_sym_keyword_statement_token7] = ACTIONS(4992),
    [aux_sym_include_statement_token1] = ACTIONS(4992),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4992),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4992),
    [aux_sym_end_if_statement_token1] = ACTIONS(4992),
    [aux_sym_elseif_clause_token2] = ACTIONS(4992),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4992),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token3] = ACTIONS(4992),
    [aux_sym_select_type_statement_token1] = ACTIONS(4992),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4992),
    [aux_sym_associate_statement_token1] = ACTIONS(4992),
    [aux_sym_format_statement_token1] = ACTIONS(4992),
    [aux_sym_print_statement_token1] = ACTIONS(4992),
    [aux_sym_open_statement_token1] = ACTIONS(4992),
    [aux_sym_close_statement_token1] = ACTIONS(4992),
    [aux_sym_inquire_statement_token1] = ACTIONS(4992),
    [aux_sym_enum_statement_token1] = ACTIONS(4992),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token2] = ACTIONS(4992),
    [aux_sym_file_position_statement_token3] = ACTIONS(4992),
    [aux_sym_file_position_statement_token4] = ACTIONS(4992),
    [aux_sym_allocate_statement_token1] = ACTIONS(4992),
    [aux_sym_entry_statement_token1] = ACTIONS(4992),
    [aux_sym_assign_statement_token1] = ACTIONS(4992),
    [aux_sym_logical_expression_token5] = ACTIONS(4994),
    [anon_sym_DOT] = ACTIONS(4992),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4994),
    [anon_sym_LBRACK] = ACTIONS(4994),
    [aux_sym_boolean_literal_token1] = ACTIONS(4994),
    [aux_sym_boolean_literal_token2] = ACTIONS(4994),
    [aux_sym_null_literal_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token2] = ACTIONS(4992),
    [aux_sym_coarray_statement_token6] = ACTIONS(4992),
    [aux_sym_coarray_statement_token8] = ACTIONS(4992),
    [aux_sym_coarray_statement_token11] = ACTIONS(4992),
    [aux_sym_coarray_statement_token12] = ACTIONS(4992),
    [aux_sym_coarray_statement_token13] = ACTIONS(4992),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4992),
    [aux_sym_identifier_token1] = ACTIONS(4992),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4994),
    [sym__float_literal] = ACTIONS(4994),
    [sym__boz_literal] = ACTIONS(4994),
    [sym__string_literal] = ACTIONS(4994),
    [sym__string_literal_kind] = ACTIONS(4994),
  },
  [941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [aux_sym_preproc_else_token1] = ACTIONS(4996),
    [aux_sym_preproc_elif_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4998),
    [anon_sym_DASH] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token2] = ACTIONS(4996),
    [aux_sym_module_statement_token1] = ACTIONS(4996),
    [aux_sym_submodule_statement_token1] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4998),
    [aux_sym_interface_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token2] = ACTIONS(4996),
    [aux_sym_block_data_statement_token3] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4996),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4996),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4996),
    [aux_sym_function_statement_token1] = ACTIONS(4996),
    [aux_sym_language_binding_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4996),
    [aux_sym_contains_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token2] = ACTIONS(4996),
    [aux_sym_implicit_statement_token1] = ACTIONS(4996),
    [aux_sym_implicit_statement_token3] = ACTIONS(4996),
    [aux_sym_implicit_statement_token4] = ACTIONS(4996),
    [aux_sym_save_statement_token1] = ACTIONS(4996),
    [aux_sym_private_statement_token1] = ACTIONS(4996),
    [aux_sym_public_statement_token1] = ACTIONS(4996),
    [aux_sym_namelist_statement_token1] = ACTIONS(4996),
    [aux_sym_common_statement_token1] = ACTIONS(4996),
    [aux_sym_import_statement_token1] = ACTIONS(4996),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4996),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4996),
    [aux_sym_variable_attributes_token1] = ACTIONS(4996),
    [aux_sym_variable_attributes_token2] = ACTIONS(4996),
    [aux_sym_variable_attributes_token3] = ACTIONS(4996),
    [aux_sym_variable_attributes_token4] = ACTIONS(4996),
    [aux_sym_variable_attributes_token5] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4996),
    [aux_sym_derived_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4996),
    [aux_sym_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4996),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token2] = ACTIONS(4996),
    [aux_sym_subroutine_call_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token2] = ACTIONS(4996),
    [aux_sym_keyword_statement_token3] = ACTIONS(4996),
    [aux_sym_keyword_statement_token4] = ACTIONS(4996),
    [aux_sym_keyword_statement_token6] = ACTIONS(4996),
    [aux_sym_keyword_statement_token7] = ACTIONS(4996),
    [aux_sym_include_statement_token1] = ACTIONS(4996),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4996),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4996),
    [aux_sym_end_if_statement_token1] = ACTIONS(4996),
    [aux_sym_elseif_clause_token2] = ACTIONS(4996),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4996),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token3] = ACTIONS(4996),
    [aux_sym_select_type_statement_token1] = ACTIONS(4996),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4996),
    [aux_sym_associate_statement_token1] = ACTIONS(4996),
    [aux_sym_format_statement_token1] = ACTIONS(4996),
    [aux_sym_print_statement_token1] = ACTIONS(4996),
    [aux_sym_open_statement_token1] = ACTIONS(4996),
    [aux_sym_close_statement_token1] = ACTIONS(4996),
    [aux_sym_inquire_statement_token1] = ACTIONS(4996),
    [aux_sym_enum_statement_token1] = ACTIONS(4996),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token2] = ACTIONS(4996),
    [aux_sym_file_position_statement_token3] = ACTIONS(4996),
    [aux_sym_file_position_statement_token4] = ACTIONS(4996),
    [aux_sym_allocate_statement_token1] = ACTIONS(4996),
    [aux_sym_entry_statement_token1] = ACTIONS(4996),
    [aux_sym_assign_statement_token1] = ACTIONS(4996),
    [aux_sym_logical_expression_token5] = ACTIONS(4998),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4998),
    [anon_sym_LBRACK] = ACTIONS(4998),
    [aux_sym_boolean_literal_token1] = ACTIONS(4998),
    [aux_sym_boolean_literal_token2] = ACTIONS(4998),
    [aux_sym_null_literal_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token2] = ACTIONS(4996),
    [aux_sym_coarray_statement_token6] = ACTIONS(4996),
    [aux_sym_coarray_statement_token8] = ACTIONS(4996),
    [aux_sym_coarray_statement_token11] = ACTIONS(4996),
    [aux_sym_coarray_statement_token12] = ACTIONS(4996),
    [aux_sym_coarray_statement_token13] = ACTIONS(4996),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4996),
    [aux_sym_identifier_token1] = ACTIONS(4996),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4998),
    [sym__float_literal] = ACTIONS(4998),
    [sym__boz_literal] = ACTIONS(4998),
    [sym__string_literal] = ACTIONS(4998),
    [sym__string_literal_kind] = ACTIONS(4998),
  },
  [942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [aux_sym_preproc_else_token1] = ACTIONS(5000),
    [aux_sym_preproc_elif_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5002),
    [anon_sym_DASH] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_module_statement_token1] = ACTIONS(5000),
    [aux_sym_submodule_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5002),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token2] = ACTIONS(5000),
    [aux_sym_block_data_statement_token3] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_function_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_assign_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5002),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5002),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [aux_sym_boolean_literal_token1] = ACTIONS(5002),
    [aux_sym_boolean_literal_token2] = ACTIONS(5002),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5002),
    [sym__float_literal] = ACTIONS(5002),
    [sym__boz_literal] = ACTIONS(5002),
    [sym__string_literal] = ACTIONS(5002),
    [sym__string_literal_kind] = ACTIONS(5002),
  },
  [943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [aux_sym_preproc_else_token1] = ACTIONS(5004),
    [aux_sym_preproc_elif_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token2] = ACTIONS(5004),
    [aux_sym_module_statement_token1] = ACTIONS(5004),
    [aux_sym_submodule_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_block_data_statement_token3] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_function_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [aux_sym_preproc_else_token1] = ACTIONS(5008),
    [aux_sym_preproc_elif_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5008),
    [anon_sym_PLUS] = ACTIONS(5010),
    [anon_sym_DASH] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token2] = ACTIONS(5008),
    [aux_sym_module_statement_token1] = ACTIONS(5008),
    [aux_sym_submodule_statement_token1] = ACTIONS(5008),
    [anon_sym_SEMI] = ACTIONS(5010),
    [aux_sym_interface_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token2] = ACTIONS(5008),
    [aux_sym_block_data_statement_token3] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5008),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5008),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5008),
    [aux_sym_function_statement_token1] = ACTIONS(5008),
    [aux_sym_language_binding_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5008),
    [aux_sym_contains_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token2] = ACTIONS(5008),
    [aux_sym_implicit_statement_token1] = ACTIONS(5008),
    [aux_sym_implicit_statement_token3] = ACTIONS(5008),
    [aux_sym_implicit_statement_token4] = ACTIONS(5008),
    [aux_sym_save_statement_token1] = ACTIONS(5008),
    [aux_sym_private_statement_token1] = ACTIONS(5008),
    [aux_sym_public_statement_token1] = ACTIONS(5008),
    [aux_sym_namelist_statement_token1] = ACTIONS(5008),
    [aux_sym_common_statement_token1] = ACTIONS(5008),
    [aux_sym_import_statement_token1] = ACTIONS(5008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5008),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5008),
    [aux_sym_variable_attributes_token1] = ACTIONS(5008),
    [aux_sym_variable_attributes_token2] = ACTIONS(5008),
    [aux_sym_variable_attributes_token3] = ACTIONS(5008),
    [aux_sym_variable_attributes_token4] = ACTIONS(5008),
    [aux_sym_variable_attributes_token5] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5008),
    [aux_sym_derived_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5008),
    [aux_sym_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5008),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token2] = ACTIONS(5008),
    [aux_sym_subroutine_call_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token2] = ACTIONS(5008),
    [aux_sym_keyword_statement_token3] = ACTIONS(5008),
    [aux_sym_keyword_statement_token4] = ACTIONS(5008),
    [aux_sym_keyword_statement_token6] = ACTIONS(5008),
    [aux_sym_keyword_statement_token7] = ACTIONS(5008),
    [aux_sym_include_statement_token1] = ACTIONS(5008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5008),
    [aux_sym_end_if_statement_token1] = ACTIONS(5008),
    [aux_sym_elseif_clause_token2] = ACTIONS(5008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token3] = ACTIONS(5008),
    [aux_sym_select_type_statement_token1] = ACTIONS(5008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5008),
    [aux_sym_associate_statement_token1] = ACTIONS(5008),
    [aux_sym_format_statement_token1] = ACTIONS(5008),
    [aux_sym_print_statement_token1] = ACTIONS(5008),
    [aux_sym_open_statement_token1] = ACTIONS(5008),
    [aux_sym_close_statement_token1] = ACTIONS(5008),
    [aux_sym_inquire_statement_token1] = ACTIONS(5008),
    [aux_sym_enum_statement_token1] = ACTIONS(5008),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token2] = ACTIONS(5008),
    [aux_sym_file_position_statement_token3] = ACTIONS(5008),
    [aux_sym_file_position_statement_token4] = ACTIONS(5008),
    [aux_sym_allocate_statement_token1] = ACTIONS(5008),
    [aux_sym_entry_statement_token1] = ACTIONS(5008),
    [aux_sym_assign_statement_token1] = ACTIONS(5008),
    [aux_sym_logical_expression_token5] = ACTIONS(5010),
    [anon_sym_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5010),
    [anon_sym_LBRACK] = ACTIONS(5010),
    [aux_sym_boolean_literal_token1] = ACTIONS(5010),
    [aux_sym_boolean_literal_token2] = ACTIONS(5010),
    [aux_sym_null_literal_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token2] = ACTIONS(5008),
    [aux_sym_coarray_statement_token6] = ACTIONS(5008),
    [aux_sym_coarray_statement_token8] = ACTIONS(5008),
    [aux_sym_coarray_statement_token11] = ACTIONS(5008),
    [aux_sym_coarray_statement_token12] = ACTIONS(5008),
    [aux_sym_coarray_statement_token13] = ACTIONS(5008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5008),
    [aux_sym_identifier_token1] = ACTIONS(5008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5010),
    [sym__float_literal] = ACTIONS(5010),
    [sym__boz_literal] = ACTIONS(5010),
    [sym__string_literal] = ACTIONS(5010),
    [sym__string_literal_kind] = ACTIONS(5010),
  },
  [945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5012),
    [aux_sym_preproc_def_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token2] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5012),
    [aux_sym_preproc_else_token1] = ACTIONS(5012),
    [aux_sym_preproc_elif_token1] = ACTIONS(5012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5012),
    [sym_preproc_directive] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token2] = ACTIONS(5012),
    [aux_sym_module_statement_token1] = ACTIONS(5012),
    [aux_sym_submodule_statement_token1] = ACTIONS(5012),
    [anon_sym_SEMI] = ACTIONS(5014),
    [aux_sym_interface_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token2] = ACTIONS(5012),
    [aux_sym_block_data_statement_token3] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5012),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5012),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5012),
    [aux_sym_function_statement_token1] = ACTIONS(5012),
    [aux_sym_language_binding_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5012),
    [aux_sym_contains_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token2] = ACTIONS(5012),
    [aux_sym_implicit_statement_token1] = ACTIONS(5012),
    [aux_sym_implicit_statement_token3] = ACTIONS(5012),
    [aux_sym_implicit_statement_token4] = ACTIONS(5012),
    [aux_sym_save_statement_token1] = ACTIONS(5012),
    [aux_sym_private_statement_token1] = ACTIONS(5012),
    [aux_sym_public_statement_token1] = ACTIONS(5012),
    [aux_sym_namelist_statement_token1] = ACTIONS(5012),
    [aux_sym_common_statement_token1] = ACTIONS(5012),
    [aux_sym_import_statement_token1] = ACTIONS(5012),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5012),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5012),
    [aux_sym_variable_attributes_token1] = ACTIONS(5012),
    [aux_sym_variable_attributes_token2] = ACTIONS(5012),
    [aux_sym_variable_attributes_token3] = ACTIONS(5012),
    [aux_sym_variable_attributes_token4] = ACTIONS(5012),
    [aux_sym_variable_attributes_token5] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5012),
    [aux_sym_derived_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5012),
    [aux_sym_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5012),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token2] = ACTIONS(5012),
    [aux_sym_subroutine_call_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token2] = ACTIONS(5012),
    [aux_sym_keyword_statement_token3] = ACTIONS(5012),
    [aux_sym_keyword_statement_token4] = ACTIONS(5012),
    [aux_sym_keyword_statement_token6] = ACTIONS(5012),
    [aux_sym_keyword_statement_token7] = ACTIONS(5012),
    [aux_sym_include_statement_token1] = ACTIONS(5012),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5012),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5012),
    [aux_sym_end_if_statement_token1] = ACTIONS(5012),
    [aux_sym_elseif_clause_token2] = ACTIONS(5012),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5012),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token3] = ACTIONS(5012),
    [aux_sym_select_type_statement_token1] = ACTIONS(5012),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5012),
    [aux_sym_associate_statement_token1] = ACTIONS(5012),
    [aux_sym_format_statement_token1] = ACTIONS(5012),
    [aux_sym_print_statement_token1] = ACTIONS(5012),
    [aux_sym_open_statement_token1] = ACTIONS(5012),
    [aux_sym_close_statement_token1] = ACTIONS(5012),
    [aux_sym_inquire_statement_token1] = ACTIONS(5012),
    [aux_sym_enum_statement_token1] = ACTIONS(5012),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token2] = ACTIONS(5012),
    [aux_sym_file_position_statement_token3] = ACTIONS(5012),
    [aux_sym_file_position_statement_token4] = ACTIONS(5012),
    [aux_sym_allocate_statement_token1] = ACTIONS(5012),
    [aux_sym_entry_statement_token1] = ACTIONS(5012),
    [aux_sym_assign_statement_token1] = ACTIONS(5012),
    [aux_sym_logical_expression_token5] = ACTIONS(5014),
    [anon_sym_DOT] = ACTIONS(5012),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5014),
    [anon_sym_LBRACK] = ACTIONS(5014),
    [aux_sym_boolean_literal_token1] = ACTIONS(5014),
    [aux_sym_boolean_literal_token2] = ACTIONS(5014),
    [aux_sym_null_literal_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token2] = ACTIONS(5012),
    [aux_sym_coarray_statement_token6] = ACTIONS(5012),
    [aux_sym_coarray_statement_token8] = ACTIONS(5012),
    [aux_sym_coarray_statement_token11] = ACTIONS(5012),
    [aux_sym_coarray_statement_token12] = ACTIONS(5012),
    [aux_sym_coarray_statement_token13] = ACTIONS(5012),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5012),
    [aux_sym_identifier_token1] = ACTIONS(5012),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5014),
    [sym__float_literal] = ACTIONS(5014),
    [sym__boz_literal] = ACTIONS(5014),
    [sym__string_literal] = ACTIONS(5014),
    [sym__string_literal_kind] = ACTIONS(5014),
  },
  [946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5016),
    [aux_sym_preproc_def_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token2] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5016),
    [aux_sym_preproc_else_token1] = ACTIONS(5016),
    [aux_sym_preproc_elif_token1] = ACTIONS(5016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5016),
    [sym_preproc_directive] = ACTIONS(5016),
    [anon_sym_LPAREN2] = ACTIONS(5016),
    [anon_sym_PLUS] = ACTIONS(5018),
    [anon_sym_DASH] = ACTIONS(5018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token2] = ACTIONS(5016),
    [aux_sym_module_statement_token1] = ACTIONS(5016),
    [aux_sym_submodule_statement_token1] = ACTIONS(5016),
    [anon_sym_SEMI] = ACTIONS(5018),
    [aux_sym_interface_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token2] = ACTIONS(5016),
    [aux_sym_block_data_statement_token3] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5016),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5016),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5016),
    [aux_sym_function_statement_token1] = ACTIONS(5016),
    [aux_sym_language_binding_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5016),
    [aux_sym_contains_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token2] = ACTIONS(5016),
    [aux_sym_implicit_statement_token1] = ACTIONS(5016),
    [aux_sym_implicit_statement_token3] = ACTIONS(5016),
    [aux_sym_implicit_statement_token4] = ACTIONS(5016),
    [aux_sym_save_statement_token1] = ACTIONS(5016),
    [aux_sym_private_statement_token1] = ACTIONS(5016),
    [aux_sym_public_statement_token1] = ACTIONS(5016),
    [aux_sym_namelist_statement_token1] = ACTIONS(5016),
    [aux_sym_common_statement_token1] = ACTIONS(5016),
    [aux_sym_import_statement_token1] = ACTIONS(5016),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5016),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5016),
    [aux_sym_variable_attributes_token1] = ACTIONS(5016),
    [aux_sym_variable_attributes_token2] = ACTIONS(5016),
    [aux_sym_variable_attributes_token3] = ACTIONS(5016),
    [aux_sym_variable_attributes_token4] = ACTIONS(5016),
    [aux_sym_variable_attributes_token5] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5016),
    [aux_sym_derived_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5016),
    [aux_sym_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5016),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token2] = ACTIONS(5016),
    [aux_sym_subroutine_call_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token2] = ACTIONS(5016),
    [aux_sym_keyword_statement_token3] = ACTIONS(5016),
    [aux_sym_keyword_statement_token4] = ACTIONS(5016),
    [aux_sym_keyword_statement_token6] = ACTIONS(5016),
    [aux_sym_keyword_statement_token7] = ACTIONS(5016),
    [aux_sym_include_statement_token1] = ACTIONS(5016),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5016),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5016),
    [aux_sym_end_if_statement_token1] = ACTIONS(5016),
    [aux_sym_elseif_clause_token2] = ACTIONS(5016),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5016),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token3] = ACTIONS(5016),
    [aux_sym_select_type_statement_token1] = ACTIONS(5016),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5016),
    [aux_sym_associate_statement_token1] = ACTIONS(5016),
    [aux_sym_format_statement_token1] = ACTIONS(5016),
    [aux_sym_print_statement_token1] = ACTIONS(5016),
    [aux_sym_open_statement_token1] = ACTIONS(5016),
    [aux_sym_close_statement_token1] = ACTIONS(5016),
    [aux_sym_inquire_statement_token1] = ACTIONS(5016),
    [aux_sym_enum_statement_token1] = ACTIONS(5016),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token2] = ACTIONS(5016),
    [aux_sym_file_position_statement_token3] = ACTIONS(5016),
    [aux_sym_file_position_statement_token4] = ACTIONS(5016),
    [aux_sym_allocate_statement_token1] = ACTIONS(5016),
    [aux_sym_entry_statement_token1] = ACTIONS(5016),
    [aux_sym_assign_statement_token1] = ACTIONS(5016),
    [aux_sym_logical_expression_token5] = ACTIONS(5018),
    [anon_sym_DOT] = ACTIONS(5016),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [aux_sym_boolean_literal_token1] = ACTIONS(5018),
    [aux_sym_boolean_literal_token2] = ACTIONS(5018),
    [aux_sym_null_literal_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token2] = ACTIONS(5016),
    [aux_sym_coarray_statement_token6] = ACTIONS(5016),
    [aux_sym_coarray_statement_token8] = ACTIONS(5016),
    [aux_sym_coarray_statement_token11] = ACTIONS(5016),
    [aux_sym_coarray_statement_token12] = ACTIONS(5016),
    [aux_sym_coarray_statement_token13] = ACTIONS(5016),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5016),
    [aux_sym_identifier_token1] = ACTIONS(5016),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5018),
    [sym__float_literal] = ACTIONS(5018),
    [sym__boz_literal] = ACTIONS(5018),
    [sym__string_literal] = ACTIONS(5018),
    [sym__string_literal_kind] = ACTIONS(5018),
  },
  [947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5020),
    [aux_sym_preproc_def_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token2] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5020),
    [aux_sym_preproc_else_token1] = ACTIONS(5020),
    [aux_sym_preproc_elif_token1] = ACTIONS(5020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5020),
    [sym_preproc_directive] = ACTIONS(5020),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_PLUS] = ACTIONS(5022),
    [anon_sym_DASH] = ACTIONS(5022),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token2] = ACTIONS(5020),
    [aux_sym_module_statement_token1] = ACTIONS(5020),
    [aux_sym_submodule_statement_token1] = ACTIONS(5020),
    [anon_sym_SEMI] = ACTIONS(5022),
    [aux_sym_interface_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token2] = ACTIONS(5020),
    [aux_sym_block_data_statement_token3] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5020),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5020),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5020),
    [aux_sym_function_statement_token1] = ACTIONS(5020),
    [aux_sym_language_binding_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5020),
    [aux_sym_contains_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token2] = ACTIONS(5020),
    [aux_sym_implicit_statement_token1] = ACTIONS(5020),
    [aux_sym_implicit_statement_token3] = ACTIONS(5020),
    [aux_sym_implicit_statement_token4] = ACTIONS(5020),
    [aux_sym_save_statement_token1] = ACTIONS(5020),
    [aux_sym_private_statement_token1] = ACTIONS(5020),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(5020),
    [aux_sym_common_statement_token1] = ACTIONS(5020),
    [aux_sym_import_statement_token1] = ACTIONS(5020),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5020),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5020),
    [aux_sym_variable_attributes_token1] = ACTIONS(5020),
    [aux_sym_variable_attributes_token2] = ACTIONS(5020),
    [aux_sym_variable_attributes_token3] = ACTIONS(5020),
    [aux_sym_variable_attributes_token4] = ACTIONS(5020),
    [aux_sym_variable_attributes_token5] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5020),
    [aux_sym_derived_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5020),
    [aux_sym_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5020),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token2] = ACTIONS(5020),
    [aux_sym_subroutine_call_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token2] = ACTIONS(5020),
    [aux_sym_keyword_statement_token3] = ACTIONS(5020),
    [aux_sym_keyword_statement_token4] = ACTIONS(5020),
    [aux_sym_keyword_statement_token6] = ACTIONS(5020),
    [aux_sym_keyword_statement_token7] = ACTIONS(5020),
    [aux_sym_include_statement_token1] = ACTIONS(5020),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5020),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5020),
    [aux_sym_end_if_statement_token1] = ACTIONS(5020),
    [aux_sym_elseif_clause_token2] = ACTIONS(5020),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5020),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token3] = ACTIONS(5020),
    [aux_sym_select_type_statement_token1] = ACTIONS(5020),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5020),
    [aux_sym_associate_statement_token1] = ACTIONS(5020),
    [aux_sym_format_statement_token1] = ACTIONS(5020),
    [aux_sym_print_statement_token1] = ACTIONS(5020),
    [aux_sym_open_statement_token1] = ACTIONS(5020),
    [aux_sym_close_statement_token1] = ACTIONS(5020),
    [aux_sym_inquire_statement_token1] = ACTIONS(5020),
    [aux_sym_enum_statement_token1] = ACTIONS(5020),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token2] = ACTIONS(5020),
    [aux_sym_file_position_statement_token3] = ACTIONS(5020),
    [aux_sym_file_position_statement_token4] = ACTIONS(5020),
    [aux_sym_allocate_statement_token1] = ACTIONS(5020),
    [aux_sym_entry_statement_token1] = ACTIONS(5020),
    [aux_sym_assign_statement_token1] = ACTIONS(5020),
    [aux_sym_logical_expression_token5] = ACTIONS(5022),
    [anon_sym_DOT] = ACTIONS(5020),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [aux_sym_boolean_literal_token1] = ACTIONS(5022),
    [aux_sym_boolean_literal_token2] = ACTIONS(5022),
    [aux_sym_null_literal_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token2] = ACTIONS(5020),
    [aux_sym_coarray_statement_token6] = ACTIONS(5020),
    [aux_sym_coarray_statement_token8] = ACTIONS(5020),
    [aux_sym_coarray_statement_token11] = ACTIONS(5020),
    [aux_sym_coarray_statement_token12] = ACTIONS(5020),
    [aux_sym_coarray_statement_token13] = ACTIONS(5020),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5020),
    [aux_sym_identifier_token1] = ACTIONS(5020),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5022),
    [sym__float_literal] = ACTIONS(5022),
    [sym__boz_literal] = ACTIONS(5022),
    [sym__string_literal] = ACTIONS(5022),
    [sym__string_literal_kind] = ACTIONS(5022),
  },
  [948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [aux_sym_preproc_else_token1] = ACTIONS(5024),
    [aux_sym_preproc_elif_token1] = ACTIONS(5024),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_module_statement_token1] = ACTIONS(5024),
    [aux_sym_submodule_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5026),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token2] = ACTIONS(5024),
    [aux_sym_block_data_statement_token3] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_function_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_assign_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5026),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [aux_sym_boolean_literal_token1] = ACTIONS(5026),
    [aux_sym_boolean_literal_token2] = ACTIONS(5026),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5026),
    [sym__float_literal] = ACTIONS(5026),
    [sym__boz_literal] = ACTIONS(5026),
    [sym__string_literal] = ACTIONS(5026),
    [sym__string_literal_kind] = ACTIONS(5026),
  },
  [949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5028),
    [aux_sym_preproc_def_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token2] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5028),
    [aux_sym_preproc_else_token1] = ACTIONS(5028),
    [aux_sym_preproc_elif_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5028),
    [sym_preproc_directive] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token2] = ACTIONS(5028),
    [aux_sym_module_statement_token1] = ACTIONS(5028),
    [aux_sym_submodule_statement_token1] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_interface_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token2] = ACTIONS(5028),
    [aux_sym_block_data_statement_token3] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5028),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5028),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5028),
    [aux_sym_function_statement_token1] = ACTIONS(5028),
    [aux_sym_language_binding_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5028),
    [aux_sym_contains_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token2] = ACTIONS(5028),
    [aux_sym_implicit_statement_token1] = ACTIONS(5028),
    [aux_sym_implicit_statement_token3] = ACTIONS(5028),
    [aux_sym_implicit_statement_token4] = ACTIONS(5028),
    [aux_sym_save_statement_token1] = ACTIONS(5028),
    [aux_sym_private_statement_token1] = ACTIONS(5028),
    [aux_sym_public_statement_token1] = ACTIONS(5028),
    [aux_sym_namelist_statement_token1] = ACTIONS(5028),
    [aux_sym_common_statement_token1] = ACTIONS(5028),
    [aux_sym_import_statement_token1] = ACTIONS(5028),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5028),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5028),
    [aux_sym_variable_attributes_token1] = ACTIONS(5028),
    [aux_sym_variable_attributes_token2] = ACTIONS(5028),
    [aux_sym_variable_attributes_token3] = ACTIONS(5028),
    [aux_sym_variable_attributes_token4] = ACTIONS(5028),
    [aux_sym_variable_attributes_token5] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5028),
    [aux_sym_derived_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5028),
    [aux_sym_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5028),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token2] = ACTIONS(5028),
    [aux_sym_subroutine_call_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token2] = ACTIONS(5028),
    [aux_sym_keyword_statement_token3] = ACTIONS(5028),
    [aux_sym_keyword_statement_token4] = ACTIONS(5028),
    [aux_sym_keyword_statement_token6] = ACTIONS(5028),
    [aux_sym_keyword_statement_token7] = ACTIONS(5028),
    [aux_sym_include_statement_token1] = ACTIONS(5028),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5028),
    [aux_sym_end_if_statement_token1] = ACTIONS(5028),
    [aux_sym_elseif_clause_token2] = ACTIONS(5028),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5028),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token3] = ACTIONS(5028),
    [aux_sym_select_type_statement_token1] = ACTIONS(5028),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5028),
    [aux_sym_associate_statement_token1] = ACTIONS(5028),
    [aux_sym_format_statement_token1] = ACTIONS(5028),
    [aux_sym_print_statement_token1] = ACTIONS(5028),
    [aux_sym_open_statement_token1] = ACTIONS(5028),
    [aux_sym_close_statement_token1] = ACTIONS(5028),
    [aux_sym_inquire_statement_token1] = ACTIONS(5028),
    [aux_sym_enum_statement_token1] = ACTIONS(5028),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token2] = ACTIONS(5028),
    [aux_sym_file_position_statement_token3] = ACTIONS(5028),
    [aux_sym_file_position_statement_token4] = ACTIONS(5028),
    [aux_sym_allocate_statement_token1] = ACTIONS(5028),
    [aux_sym_entry_statement_token1] = ACTIONS(5028),
    [aux_sym_assign_statement_token1] = ACTIONS(5028),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token2] = ACTIONS(5028),
    [aux_sym_coarray_statement_token6] = ACTIONS(5028),
    [aux_sym_coarray_statement_token8] = ACTIONS(5028),
    [aux_sym_coarray_statement_token11] = ACTIONS(5028),
    [aux_sym_coarray_statement_token12] = ACTIONS(5028),
    [aux_sym_coarray_statement_token13] = ACTIONS(5028),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5028),
    [aux_sym_identifier_token1] = ACTIONS(5028),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_module_statement_token1] = ACTIONS(5032),
    [aux_sym_submodule_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token2] = ACTIONS(5032),
    [aux_sym_block_data_statement_token3] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_function_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_assign_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5036),
    [aux_sym_preproc_def_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5036),
    [aux_sym_preproc_else_token1] = ACTIONS(5036),
    [aux_sym_preproc_elif_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_PLUS] = ACTIONS(5038),
    [anon_sym_DASH] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token2] = ACTIONS(5036),
    [aux_sym_module_statement_token1] = ACTIONS(5036),
    [aux_sym_submodule_statement_token1] = ACTIONS(5036),
    [anon_sym_SEMI] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token2] = ACTIONS(5036),
    [aux_sym_block_data_statement_token3] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5036),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5036),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5036),
    [aux_sym_function_statement_token1] = ACTIONS(5036),
    [aux_sym_language_binding_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5036),
    [aux_sym_contains_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token2] = ACTIONS(5036),
    [aux_sym_implicit_statement_token1] = ACTIONS(5036),
    [aux_sym_implicit_statement_token3] = ACTIONS(5036),
    [aux_sym_implicit_statement_token4] = ACTIONS(5036),
    [aux_sym_save_statement_token1] = ACTIONS(5036),
    [aux_sym_private_statement_token1] = ACTIONS(5036),
    [aux_sym_public_statement_token1] = ACTIONS(5036),
    [aux_sym_namelist_statement_token1] = ACTIONS(5036),
    [aux_sym_common_statement_token1] = ACTIONS(5036),
    [aux_sym_import_statement_token1] = ACTIONS(5036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5036),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5036),
    [aux_sym_variable_attributes_token1] = ACTIONS(5036),
    [aux_sym_variable_attributes_token2] = ACTIONS(5036),
    [aux_sym_variable_attributes_token3] = ACTIONS(5036),
    [aux_sym_variable_attributes_token4] = ACTIONS(5036),
    [aux_sym_variable_attributes_token5] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5036),
    [aux_sym_derived_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5036),
    [aux_sym_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5036),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token2] = ACTIONS(5036),
    [aux_sym_subroutine_call_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token2] = ACTIONS(5036),
    [aux_sym_keyword_statement_token3] = ACTIONS(5036),
    [aux_sym_keyword_statement_token4] = ACTIONS(5036),
    [aux_sym_keyword_statement_token6] = ACTIONS(5036),
    [aux_sym_keyword_statement_token7] = ACTIONS(5036),
    [aux_sym_include_statement_token1] = ACTIONS(5036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5036),
    [aux_sym_end_if_statement_token1] = ACTIONS(5036),
    [aux_sym_elseif_clause_token2] = ACTIONS(5036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token3] = ACTIONS(5036),
    [aux_sym_select_type_statement_token1] = ACTIONS(5036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5036),
    [aux_sym_associate_statement_token1] = ACTIONS(5036),
    [aux_sym_format_statement_token1] = ACTIONS(5036),
    [aux_sym_print_statement_token1] = ACTIONS(5036),
    [aux_sym_open_statement_token1] = ACTIONS(5036),
    [aux_sym_close_statement_token1] = ACTIONS(5036),
    [aux_sym_inquire_statement_token1] = ACTIONS(5036),
    [aux_sym_enum_statement_token1] = ACTIONS(5036),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token2] = ACTIONS(5036),
    [aux_sym_file_position_statement_token3] = ACTIONS(5036),
    [aux_sym_file_position_statement_token4] = ACTIONS(5036),
    [aux_sym_allocate_statement_token1] = ACTIONS(5036),
    [aux_sym_entry_statement_token1] = ACTIONS(5036),
    [aux_sym_assign_statement_token1] = ACTIONS(5036),
    [aux_sym_logical_expression_token5] = ACTIONS(5038),
    [anon_sym_DOT] = ACTIONS(5036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5038),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [aux_sym_boolean_literal_token1] = ACTIONS(5038),
    [aux_sym_boolean_literal_token2] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token2] = ACTIONS(5036),
    [aux_sym_coarray_statement_token6] = ACTIONS(5036),
    [aux_sym_coarray_statement_token8] = ACTIONS(5036),
    [aux_sym_coarray_statement_token11] = ACTIONS(5036),
    [aux_sym_coarray_statement_token12] = ACTIONS(5036),
    [aux_sym_coarray_statement_token13] = ACTIONS(5036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5036),
    [aux_sym_identifier_token1] = ACTIONS(5036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5038),
    [sym__float_literal] = ACTIONS(5038),
    [sym__boz_literal] = ACTIONS(5038),
    [sym__string_literal] = ACTIONS(5038),
    [sym__string_literal_kind] = ACTIONS(5038),
  },
  [952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5040),
    [aux_sym_preproc_def_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token2] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5040),
    [aux_sym_preproc_else_token1] = ACTIONS(5040),
    [aux_sym_preproc_elif_token1] = ACTIONS(5040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5040),
    [sym_preproc_directive] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5040),
    [anon_sym_PLUS] = ACTIONS(5042),
    [anon_sym_DASH] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token2] = ACTIONS(5040),
    [aux_sym_module_statement_token1] = ACTIONS(5040),
    [aux_sym_submodule_statement_token1] = ACTIONS(5040),
    [anon_sym_SEMI] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token2] = ACTIONS(5040),
    [aux_sym_block_data_statement_token3] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5040),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5040),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5040),
    [aux_sym_function_statement_token1] = ACTIONS(5040),
    [aux_sym_language_binding_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5040),
    [aux_sym_contains_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token2] = ACTIONS(5040),
    [aux_sym_implicit_statement_token1] = ACTIONS(5040),
    [aux_sym_implicit_statement_token3] = ACTIONS(5040),
    [aux_sym_implicit_statement_token4] = ACTIONS(5040),
    [aux_sym_save_statement_token1] = ACTIONS(5040),
    [aux_sym_private_statement_token1] = ACTIONS(5040),
    [aux_sym_public_statement_token1] = ACTIONS(5040),
    [aux_sym_namelist_statement_token1] = ACTIONS(5040),
    [aux_sym_common_statement_token1] = ACTIONS(5040),
    [aux_sym_import_statement_token1] = ACTIONS(5040),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5040),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5040),
    [aux_sym_variable_attributes_token1] = ACTIONS(5040),
    [aux_sym_variable_attributes_token2] = ACTIONS(5040),
    [aux_sym_variable_attributes_token3] = ACTIONS(5040),
    [aux_sym_variable_attributes_token4] = ACTIONS(5040),
    [aux_sym_variable_attributes_token5] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5040),
    [aux_sym_derived_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5040),
    [aux_sym_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5040),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token2] = ACTIONS(5040),
    [aux_sym_subroutine_call_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token2] = ACTIONS(5040),
    [aux_sym_keyword_statement_token3] = ACTIONS(5040),
    [aux_sym_keyword_statement_token4] = ACTIONS(5040),
    [aux_sym_keyword_statement_token6] = ACTIONS(5040),
    [aux_sym_keyword_statement_token7] = ACTIONS(5040),
    [aux_sym_include_statement_token1] = ACTIONS(5040),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5040),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5040),
    [aux_sym_end_if_statement_token1] = ACTIONS(5040),
    [aux_sym_elseif_clause_token2] = ACTIONS(5040),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5040),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token3] = ACTIONS(5040),
    [aux_sym_select_type_statement_token1] = ACTIONS(5040),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5040),
    [aux_sym_associate_statement_token1] = ACTIONS(5040),
    [aux_sym_format_statement_token1] = ACTIONS(5040),
    [aux_sym_print_statement_token1] = ACTIONS(5040),
    [aux_sym_open_statement_token1] = ACTIONS(5040),
    [aux_sym_close_statement_token1] = ACTIONS(5040),
    [aux_sym_inquire_statement_token1] = ACTIONS(5040),
    [aux_sym_enum_statement_token1] = ACTIONS(5040),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token2] = ACTIONS(5040),
    [aux_sym_file_position_statement_token3] = ACTIONS(5040),
    [aux_sym_file_position_statement_token4] = ACTIONS(5040),
    [aux_sym_allocate_statement_token1] = ACTIONS(5040),
    [aux_sym_entry_statement_token1] = ACTIONS(5040),
    [aux_sym_assign_statement_token1] = ACTIONS(5040),
    [aux_sym_logical_expression_token5] = ACTIONS(5042),
    [anon_sym_DOT] = ACTIONS(5040),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5042),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [aux_sym_boolean_literal_token1] = ACTIONS(5042),
    [aux_sym_boolean_literal_token2] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token2] = ACTIONS(5040),
    [aux_sym_coarray_statement_token6] = ACTIONS(5040),
    [aux_sym_coarray_statement_token8] = ACTIONS(5040),
    [aux_sym_coarray_statement_token11] = ACTIONS(5040),
    [aux_sym_coarray_statement_token12] = ACTIONS(5040),
    [aux_sym_coarray_statement_token13] = ACTIONS(5040),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5040),
    [aux_sym_identifier_token1] = ACTIONS(5040),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5042),
    [sym__float_literal] = ACTIONS(5042),
    [sym__boz_literal] = ACTIONS(5042),
    [sym__string_literal] = ACTIONS(5042),
    [sym__string_literal_kind] = ACTIONS(5042),
  },
  [953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [aux_sym_preproc_else_token1] = ACTIONS(5044),
    [aux_sym_preproc_elif_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5046),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5046),
    [anon_sym_LBRACK] = ACTIONS(5046),
    [aux_sym_boolean_literal_token1] = ACTIONS(5046),
    [aux_sym_boolean_literal_token2] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5046),
    [sym__float_literal] = ACTIONS(5046),
    [sym__boz_literal] = ACTIONS(5046),
    [sym__string_literal] = ACTIONS(5046),
    [sym__string_literal_kind] = ACTIONS(5046),
  },
  [954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5048),
    [aux_sym_preproc_def_token1] = ACTIONS(5048),
    [aux_sym_preproc_if_token1] = ACTIONS(5048),
    [aux_sym_preproc_if_token2] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5048),
    [aux_sym_preproc_else_token1] = ACTIONS(5048),
    [aux_sym_preproc_elif_token1] = ACTIONS(5048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5048),
    [sym_preproc_directive] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(5048),
    [anon_sym_PLUS] = ACTIONS(5050),
    [anon_sym_DASH] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token2] = ACTIONS(5048),
    [aux_sym_module_statement_token1] = ACTIONS(5048),
    [aux_sym_submodule_statement_token1] = ACTIONS(5048),
    [anon_sym_SEMI] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token2] = ACTIONS(5048),
    [aux_sym_block_data_statement_token3] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5048),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5048),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5048),
    [aux_sym_function_statement_token1] = ACTIONS(5048),
    [aux_sym_language_binding_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5048),
    [aux_sym_contains_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token2] = ACTIONS(5048),
    [aux_sym_implicit_statement_token1] = ACTIONS(5048),
    [aux_sym_implicit_statement_token3] = ACTIONS(5048),
    [aux_sym_implicit_statement_token4] = ACTIONS(5048),
    [aux_sym_save_statement_token1] = ACTIONS(5048),
    [aux_sym_private_statement_token1] = ACTIONS(5048),
    [aux_sym_public_statement_token1] = ACTIONS(5048),
    [aux_sym_namelist_statement_token1] = ACTIONS(5048),
    [aux_sym_common_statement_token1] = ACTIONS(5048),
    [aux_sym_import_statement_token1] = ACTIONS(5048),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5048),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5048),
    [aux_sym_variable_attributes_token1] = ACTIONS(5048),
    [aux_sym_variable_attributes_token2] = ACTIONS(5048),
    [aux_sym_variable_attributes_token3] = ACTIONS(5048),
    [aux_sym_variable_attributes_token4] = ACTIONS(5048),
    [aux_sym_variable_attributes_token5] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5048),
    [aux_sym_derived_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5048),
    [aux_sym_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5048),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token2] = ACTIONS(5048),
    [aux_sym_subroutine_call_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token2] = ACTIONS(5048),
    [aux_sym_keyword_statement_token3] = ACTIONS(5048),
    [aux_sym_keyword_statement_token4] = ACTIONS(5048),
    [aux_sym_keyword_statement_token6] = ACTIONS(5048),
    [aux_sym_keyword_statement_token7] = ACTIONS(5048),
    [aux_sym_include_statement_token1] = ACTIONS(5048),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5048),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5048),
    [aux_sym_end_if_statement_token1] = ACTIONS(5048),
    [aux_sym_elseif_clause_token2] = ACTIONS(5048),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5048),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token3] = ACTIONS(5048),
    [aux_sym_select_type_statement_token1] = ACTIONS(5048),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5048),
    [aux_sym_associate_statement_token1] = ACTIONS(5048),
    [aux_sym_format_statement_token1] = ACTIONS(5048),
    [aux_sym_print_statement_token1] = ACTIONS(5048),
    [aux_sym_open_statement_token1] = ACTIONS(5048),
    [aux_sym_close_statement_token1] = ACTIONS(5048),
    [aux_sym_inquire_statement_token1] = ACTIONS(5048),
    [aux_sym_enum_statement_token1] = ACTIONS(5048),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token2] = ACTIONS(5048),
    [aux_sym_file_position_statement_token3] = ACTIONS(5048),
    [aux_sym_file_position_statement_token4] = ACTIONS(5048),
    [aux_sym_allocate_statement_token1] = ACTIONS(5048),
    [aux_sym_entry_statement_token1] = ACTIONS(5048),
    [aux_sym_assign_statement_token1] = ACTIONS(5048),
    [aux_sym_logical_expression_token5] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(5048),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5050),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [aux_sym_boolean_literal_token1] = ACTIONS(5050),
    [aux_sym_boolean_literal_token2] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token2] = ACTIONS(5048),
    [aux_sym_coarray_statement_token6] = ACTIONS(5048),
    [aux_sym_coarray_statement_token8] = ACTIONS(5048),
    [aux_sym_coarray_statement_token11] = ACTIONS(5048),
    [aux_sym_coarray_statement_token12] = ACTIONS(5048),
    [aux_sym_coarray_statement_token13] = ACTIONS(5048),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5048),
    [aux_sym_identifier_token1] = ACTIONS(5048),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5050),
    [sym__float_literal] = ACTIONS(5050),
    [sym__boz_literal] = ACTIONS(5050),
    [sym__string_literal] = ACTIONS(5050),
    [sym__string_literal_kind] = ACTIONS(5050),
  },
  [955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5052),
    [aux_sym_preproc_def_token1] = ACTIONS(5052),
    [aux_sym_preproc_if_token1] = ACTIONS(5052),
    [aux_sym_preproc_if_token2] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5052),
    [aux_sym_preproc_else_token1] = ACTIONS(5052),
    [aux_sym_preproc_elif_token1] = ACTIONS(5052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5052),
    [sym_preproc_directive] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(5052),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token2] = ACTIONS(5052),
    [aux_sym_module_statement_token1] = ACTIONS(5052),
    [aux_sym_submodule_statement_token1] = ACTIONS(5052),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token2] = ACTIONS(5052),
    [aux_sym_block_data_statement_token3] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5052),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5052),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5052),
    [aux_sym_function_statement_token1] = ACTIONS(5052),
    [aux_sym_language_binding_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5052),
    [aux_sym_contains_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token2] = ACTIONS(5052),
    [aux_sym_implicit_statement_token1] = ACTIONS(5052),
    [aux_sym_implicit_statement_token3] = ACTIONS(5052),
    [aux_sym_implicit_statement_token4] = ACTIONS(5052),
    [aux_sym_save_statement_token1] = ACTIONS(5052),
    [aux_sym_private_statement_token1] = ACTIONS(5052),
    [aux_sym_public_statement_token1] = ACTIONS(5052),
    [aux_sym_namelist_statement_token1] = ACTIONS(5052),
    [aux_sym_common_statement_token1] = ACTIONS(5052),
    [aux_sym_import_statement_token1] = ACTIONS(5052),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5052),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5052),
    [aux_sym_variable_attributes_token1] = ACTIONS(5052),
    [aux_sym_variable_attributes_token2] = ACTIONS(5052),
    [aux_sym_variable_attributes_token3] = ACTIONS(5052),
    [aux_sym_variable_attributes_token4] = ACTIONS(5052),
    [aux_sym_variable_attributes_token5] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5052),
    [aux_sym_derived_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5052),
    [aux_sym_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5052),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token2] = ACTIONS(5052),
    [aux_sym_subroutine_call_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token2] = ACTIONS(5052),
    [aux_sym_keyword_statement_token3] = ACTIONS(5052),
    [aux_sym_keyword_statement_token4] = ACTIONS(5052),
    [aux_sym_keyword_statement_token6] = ACTIONS(5052),
    [aux_sym_keyword_statement_token7] = ACTIONS(5052),
    [aux_sym_include_statement_token1] = ACTIONS(5052),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5052),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5052),
    [aux_sym_end_if_statement_token1] = ACTIONS(5052),
    [aux_sym_elseif_clause_token2] = ACTIONS(5052),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5052),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token3] = ACTIONS(5052),
    [aux_sym_select_type_statement_token1] = ACTIONS(5052),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5052),
    [aux_sym_associate_statement_token1] = ACTIONS(5052),
    [aux_sym_format_statement_token1] = ACTIONS(5052),
    [aux_sym_print_statement_token1] = ACTIONS(5052),
    [aux_sym_open_statement_token1] = ACTIONS(5052),
    [aux_sym_close_statement_token1] = ACTIONS(5052),
    [aux_sym_inquire_statement_token1] = ACTIONS(5052),
    [aux_sym_enum_statement_token1] = ACTIONS(5052),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token2] = ACTIONS(5052),
    [aux_sym_file_position_statement_token3] = ACTIONS(5052),
    [aux_sym_file_position_statement_token4] = ACTIONS(5052),
    [aux_sym_allocate_statement_token1] = ACTIONS(5052),
    [aux_sym_entry_statement_token1] = ACTIONS(5052),
    [aux_sym_assign_statement_token1] = ACTIONS(5052),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5052),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token2] = ACTIONS(5052),
    [aux_sym_coarray_statement_token6] = ACTIONS(5052),
    [aux_sym_coarray_statement_token8] = ACTIONS(5052),
    [aux_sym_coarray_statement_token11] = ACTIONS(5052),
    [aux_sym_coarray_statement_token12] = ACTIONS(5052),
    [aux_sym_coarray_statement_token13] = ACTIONS(5052),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5052),
    [aux_sym_identifier_token1] = ACTIONS(5052),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5058),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [aux_sym_boolean_literal_token1] = ACTIONS(5058),
    [aux_sym_boolean_literal_token2] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5058),
    [sym__float_literal] = ACTIONS(5058),
    [sym__boz_literal] = ACTIONS(5058),
    [sym__string_literal] = ACTIONS(5058),
    [sym__string_literal_kind] = ACTIONS(5058),
  },
  [957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5060),
    [aux_sym_preproc_def_token1] = ACTIONS(5060),
    [aux_sym_preproc_if_token1] = ACTIONS(5060),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5060),
    [aux_sym_preproc_else_token1] = ACTIONS(5060),
    [aux_sym_preproc_elif_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5060),
    [sym_preproc_directive] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_PLUS] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token2] = ACTIONS(5060),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token2] = ACTIONS(5060),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5060),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5060),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5060),
    [aux_sym_contains_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token2] = ACTIONS(5060),
    [aux_sym_implicit_statement_token1] = ACTIONS(5060),
    [aux_sym_implicit_statement_token3] = ACTIONS(5060),
    [aux_sym_implicit_statement_token4] = ACTIONS(5060),
    [aux_sym_save_statement_token1] = ACTIONS(5060),
    [aux_sym_private_statement_token1] = ACTIONS(5060),
    [aux_sym_public_statement_token1] = ACTIONS(5060),
    [aux_sym_namelist_statement_token1] = ACTIONS(5060),
    [aux_sym_common_statement_token1] = ACTIONS(5060),
    [aux_sym_import_statement_token1] = ACTIONS(5060),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5060),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5060),
    [aux_sym_variable_attributes_token1] = ACTIONS(5060),
    [aux_sym_variable_attributes_token2] = ACTIONS(5060),
    [aux_sym_variable_attributes_token3] = ACTIONS(5060),
    [aux_sym_variable_attributes_token4] = ACTIONS(5060),
    [aux_sym_variable_attributes_token5] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5060),
    [aux_sym_derived_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5060),
    [aux_sym_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token2] = ACTIONS(5060),
    [aux_sym_subroutine_call_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token2] = ACTIONS(5060),
    [aux_sym_keyword_statement_token3] = ACTIONS(5060),
    [aux_sym_keyword_statement_token4] = ACTIONS(5060),
    [aux_sym_keyword_statement_token6] = ACTIONS(5060),
    [aux_sym_keyword_statement_token7] = ACTIONS(5060),
    [aux_sym_include_statement_token1] = ACTIONS(5060),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5060),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5060),
    [aux_sym_end_if_statement_token1] = ACTIONS(5060),
    [aux_sym_elseif_clause_token2] = ACTIONS(5060),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5060),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token3] = ACTIONS(5060),
    [aux_sym_select_type_statement_token1] = ACTIONS(5060),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5060),
    [aux_sym_associate_statement_token1] = ACTIONS(5060),
    [aux_sym_format_statement_token1] = ACTIONS(5060),
    [aux_sym_print_statement_token1] = ACTIONS(5060),
    [aux_sym_open_statement_token1] = ACTIONS(5060),
    [aux_sym_close_statement_token1] = ACTIONS(5060),
    [aux_sym_inquire_statement_token1] = ACTIONS(5060),
    [aux_sym_enum_statement_token1] = ACTIONS(5060),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token2] = ACTIONS(5060),
    [aux_sym_file_position_statement_token3] = ACTIONS(5060),
    [aux_sym_file_position_statement_token4] = ACTIONS(5060),
    [aux_sym_allocate_statement_token1] = ACTIONS(5060),
    [aux_sym_entry_statement_token1] = ACTIONS(5060),
    [aux_sym_assign_statement_token1] = ACTIONS(5060),
    [aux_sym_logical_expression_token5] = ACTIONS(5062),
    [anon_sym_DOT] = ACTIONS(5060),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [aux_sym_boolean_literal_token1] = ACTIONS(5062),
    [aux_sym_boolean_literal_token2] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token2] = ACTIONS(5060),
    [aux_sym_coarray_statement_token6] = ACTIONS(5060),
    [aux_sym_coarray_statement_token8] = ACTIONS(5060),
    [aux_sym_coarray_statement_token11] = ACTIONS(5060),
    [aux_sym_coarray_statement_token12] = ACTIONS(5060),
    [aux_sym_coarray_statement_token13] = ACTIONS(5060),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5060),
    [aux_sym_identifier_token1] = ACTIONS(5060),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5062),
    [sym__float_literal] = ACTIONS(5062),
    [sym__boz_literal] = ACTIONS(5062),
    [sym__string_literal] = ACTIONS(5062),
    [sym__string_literal_kind] = ACTIONS(5062),
  },
  [958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5064),
    [aux_sym_preproc_def_token1] = ACTIONS(5064),
    [aux_sym_preproc_if_token1] = ACTIONS(5064),
    [aux_sym_preproc_if_token2] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5064),
    [aux_sym_preproc_else_token1] = ACTIONS(5064),
    [aux_sym_preproc_elif_token1] = ACTIONS(5064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5064),
    [sym_preproc_directive] = ACTIONS(5064),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_PLUS] = ACTIONS(5066),
    [anon_sym_DASH] = ACTIONS(5066),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token2] = ACTIONS(5064),
    [aux_sym_module_statement_token1] = ACTIONS(5064),
    [aux_sym_submodule_statement_token1] = ACTIONS(5064),
    [anon_sym_SEMI] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token2] = ACTIONS(5064),
    [aux_sym_block_data_statement_token3] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5064),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5064),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5064),
    [aux_sym_function_statement_token1] = ACTIONS(5064),
    [aux_sym_language_binding_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5064),
    [aux_sym_contains_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token2] = ACTIONS(5064),
    [aux_sym_implicit_statement_token1] = ACTIONS(5064),
    [aux_sym_implicit_statement_token3] = ACTIONS(5064),
    [aux_sym_implicit_statement_token4] = ACTIONS(5064),
    [aux_sym_save_statement_token1] = ACTIONS(5064),
    [aux_sym_private_statement_token1] = ACTIONS(5064),
    [aux_sym_public_statement_token1] = ACTIONS(5064),
    [aux_sym_namelist_statement_token1] = ACTIONS(5064),
    [aux_sym_common_statement_token1] = ACTIONS(5064),
    [aux_sym_import_statement_token1] = ACTIONS(5064),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5064),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5064),
    [aux_sym_variable_attributes_token1] = ACTIONS(5064),
    [aux_sym_variable_attributes_token2] = ACTIONS(5064),
    [aux_sym_variable_attributes_token3] = ACTIONS(5064),
    [aux_sym_variable_attributes_token4] = ACTIONS(5064),
    [aux_sym_variable_attributes_token5] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5064),
    [aux_sym_derived_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5064),
    [aux_sym_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5064),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token2] = ACTIONS(5064),
    [aux_sym_subroutine_call_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token2] = ACTIONS(5064),
    [aux_sym_keyword_statement_token3] = ACTIONS(5064),
    [aux_sym_keyword_statement_token4] = ACTIONS(5064),
    [aux_sym_keyword_statement_token6] = ACTIONS(5064),
    [aux_sym_keyword_statement_token7] = ACTIONS(5064),
    [aux_sym_include_statement_token1] = ACTIONS(5064),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5064),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5064),
    [aux_sym_end_if_statement_token1] = ACTIONS(5064),
    [aux_sym_elseif_clause_token2] = ACTIONS(5064),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5064),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token3] = ACTIONS(5064),
    [aux_sym_select_type_statement_token1] = ACTIONS(5064),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5064),
    [aux_sym_associate_statement_token1] = ACTIONS(5064),
    [aux_sym_format_statement_token1] = ACTIONS(5064),
    [aux_sym_print_statement_token1] = ACTIONS(5064),
    [aux_sym_open_statement_token1] = ACTIONS(5064),
    [aux_sym_close_statement_token1] = ACTIONS(5064),
    [aux_sym_inquire_statement_token1] = ACTIONS(5064),
    [aux_sym_enum_statement_token1] = ACTIONS(5064),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token2] = ACTIONS(5064),
    [aux_sym_file_position_statement_token3] = ACTIONS(5064),
    [aux_sym_file_position_statement_token4] = ACTIONS(5064),
    [aux_sym_allocate_statement_token1] = ACTIONS(5064),
    [aux_sym_entry_statement_token1] = ACTIONS(5064),
    [aux_sym_assign_statement_token1] = ACTIONS(5064),
    [aux_sym_logical_expression_token5] = ACTIONS(5066),
    [anon_sym_DOT] = ACTIONS(5064),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [aux_sym_boolean_literal_token1] = ACTIONS(5066),
    [aux_sym_boolean_literal_token2] = ACTIONS(5066),
    [aux_sym_null_literal_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token2] = ACTIONS(5064),
    [aux_sym_coarray_statement_token6] = ACTIONS(5064),
    [aux_sym_coarray_statement_token8] = ACTIONS(5064),
    [aux_sym_coarray_statement_token11] = ACTIONS(5064),
    [aux_sym_coarray_statement_token12] = ACTIONS(5064),
    [aux_sym_coarray_statement_token13] = ACTIONS(5064),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5064),
    [aux_sym_identifier_token1] = ACTIONS(5064),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5066),
    [sym__float_literal] = ACTIONS(5066),
    [sym__boz_literal] = ACTIONS(5066),
    [sym__string_literal] = ACTIONS(5066),
    [sym__string_literal_kind] = ACTIONS(5066),
  },
  [959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5068),
    [aux_sym_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5072),
    [aux_sym_preproc_def_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token2] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5072),
    [aux_sym_preproc_else_token1] = ACTIONS(5072),
    [aux_sym_preproc_elif_token1] = ACTIONS(5072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5072),
    [sym_preproc_directive] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token2] = ACTIONS(5072),
    [aux_sym_module_statement_token1] = ACTIONS(5072),
    [aux_sym_submodule_statement_token1] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token2] = ACTIONS(5072),
    [aux_sym_block_data_statement_token3] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5072),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5072),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5072),
    [aux_sym_function_statement_token1] = ACTIONS(5072),
    [aux_sym_language_binding_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5072),
    [aux_sym_contains_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token2] = ACTIONS(5072),
    [aux_sym_implicit_statement_token1] = ACTIONS(5072),
    [aux_sym_implicit_statement_token3] = ACTIONS(5072),
    [aux_sym_implicit_statement_token4] = ACTIONS(5072),
    [aux_sym_save_statement_token1] = ACTIONS(5072),
    [aux_sym_private_statement_token1] = ACTIONS(5072),
    [aux_sym_public_statement_token1] = ACTIONS(5072),
    [aux_sym_namelist_statement_token1] = ACTIONS(5072),
    [aux_sym_common_statement_token1] = ACTIONS(5072),
    [aux_sym_import_statement_token1] = ACTIONS(5072),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5072),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5072),
    [aux_sym_variable_attributes_token1] = ACTIONS(5072),
    [aux_sym_variable_attributes_token2] = ACTIONS(5072),
    [aux_sym_variable_attributes_token3] = ACTIONS(5072),
    [aux_sym_variable_attributes_token4] = ACTIONS(5072),
    [aux_sym_variable_attributes_token5] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5072),
    [aux_sym_derived_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5072),
    [aux_sym_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5072),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token2] = ACTIONS(5072),
    [aux_sym_subroutine_call_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token2] = ACTIONS(5072),
    [aux_sym_keyword_statement_token3] = ACTIONS(5072),
    [aux_sym_keyword_statement_token4] = ACTIONS(5072),
    [aux_sym_keyword_statement_token6] = ACTIONS(5072),
    [aux_sym_keyword_statement_token7] = ACTIONS(5072),
    [aux_sym_include_statement_token1] = ACTIONS(5072),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5072),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5072),
    [aux_sym_end_if_statement_token1] = ACTIONS(5072),
    [aux_sym_elseif_clause_token2] = ACTIONS(5072),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5072),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token3] = ACTIONS(5072),
    [aux_sym_select_type_statement_token1] = ACTIONS(5072),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5072),
    [aux_sym_associate_statement_token1] = ACTIONS(5072),
    [aux_sym_format_statement_token1] = ACTIONS(5072),
    [aux_sym_print_statement_token1] = ACTIONS(5072),
    [aux_sym_open_statement_token1] = ACTIONS(5072),
    [aux_sym_close_statement_token1] = ACTIONS(5072),
    [aux_sym_inquire_statement_token1] = ACTIONS(5072),
    [aux_sym_enum_statement_token1] = ACTIONS(5072),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token2] = ACTIONS(5072),
    [aux_sym_file_position_statement_token3] = ACTIONS(5072),
    [aux_sym_file_position_statement_token4] = ACTIONS(5072),
    [aux_sym_allocate_statement_token1] = ACTIONS(5072),
    [aux_sym_entry_statement_token1] = ACTIONS(5072),
    [aux_sym_assign_statement_token1] = ACTIONS(5072),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token2] = ACTIONS(5072),
    [aux_sym_coarray_statement_token6] = ACTIONS(5072),
    [aux_sym_coarray_statement_token8] = ACTIONS(5072),
    [aux_sym_coarray_statement_token11] = ACTIONS(5072),
    [aux_sym_coarray_statement_token12] = ACTIONS(5072),
    [aux_sym_coarray_statement_token13] = ACTIONS(5072),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5072),
    [aux_sym_identifier_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token2] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [aux_sym_preproc_else_token1] = ACTIONS(5076),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token2] = ACTIONS(5076),
    [aux_sym_module_statement_token1] = ACTIONS(5076),
    [aux_sym_submodule_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_interface_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_block_data_statement_token3] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5076),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5076),
    [aux_sym_function_statement_token1] = ACTIONS(5076),
    [aux_sym_language_binding_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token1] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_namelist_statement_token1] = ACTIONS(5076),
    [aux_sym_common_statement_token1] = ACTIONS(5076),
    [aux_sym_import_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token1] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token4] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5076),
    [aux_sym_derived_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5076),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_enum_statement_token1] = ACTIONS(5076),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5080),
    [aux_sym_submodule_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_block_data_statement_token3] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_function_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [aux_sym_preproc_else_token1] = ACTIONS(5084),
    [aux_sym_preproc_elif_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [aux_sym_boolean_literal_token1] = ACTIONS(5086),
    [aux_sym_boolean_literal_token2] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5086),
    [sym__float_literal] = ACTIONS(5086),
    [sym__boz_literal] = ACTIONS(5086),
    [sym__string_literal] = ACTIONS(5086),
    [sym__string_literal_kind] = ACTIONS(5086),
  },
  [964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5088),
    [aux_sym_preproc_def_token1] = ACTIONS(5088),
    [aux_sym_preproc_if_token1] = ACTIONS(5088),
    [aux_sym_preproc_if_token2] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5088),
    [aux_sym_preproc_else_token1] = ACTIONS(5088),
    [aux_sym_preproc_elif_token1] = ACTIONS(5088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5088),
    [sym_preproc_directive] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token2] = ACTIONS(5088),
    [aux_sym_module_statement_token1] = ACTIONS(5088),
    [aux_sym_submodule_statement_token1] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token2] = ACTIONS(5088),
    [aux_sym_block_data_statement_token3] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5088),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5088),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5088),
    [aux_sym_function_statement_token1] = ACTIONS(5088),
    [aux_sym_language_binding_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5088),
    [aux_sym_contains_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token2] = ACTIONS(5088),
    [aux_sym_implicit_statement_token1] = ACTIONS(5088),
    [aux_sym_implicit_statement_token3] = ACTIONS(5088),
    [aux_sym_implicit_statement_token4] = ACTIONS(5088),
    [aux_sym_save_statement_token1] = ACTIONS(5088),
    [aux_sym_private_statement_token1] = ACTIONS(5088),
    [aux_sym_public_statement_token1] = ACTIONS(5088),
    [aux_sym_namelist_statement_token1] = ACTIONS(5088),
    [aux_sym_common_statement_token1] = ACTIONS(5088),
    [aux_sym_import_statement_token1] = ACTIONS(5088),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5088),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5088),
    [aux_sym_variable_attributes_token1] = ACTIONS(5088),
    [aux_sym_variable_attributes_token2] = ACTIONS(5088),
    [aux_sym_variable_attributes_token3] = ACTIONS(5088),
    [aux_sym_variable_attributes_token4] = ACTIONS(5088),
    [aux_sym_variable_attributes_token5] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5088),
    [aux_sym_derived_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5088),
    [aux_sym_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5088),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token2] = ACTIONS(5088),
    [aux_sym_subroutine_call_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token2] = ACTIONS(5088),
    [aux_sym_keyword_statement_token3] = ACTIONS(5088),
    [aux_sym_keyword_statement_token4] = ACTIONS(5088),
    [aux_sym_keyword_statement_token6] = ACTIONS(5088),
    [aux_sym_keyword_statement_token7] = ACTIONS(5088),
    [aux_sym_include_statement_token1] = ACTIONS(5088),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5088),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5088),
    [aux_sym_end_if_statement_token1] = ACTIONS(5088),
    [aux_sym_elseif_clause_token2] = ACTIONS(5088),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5088),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token3] = ACTIONS(5088),
    [aux_sym_select_type_statement_token1] = ACTIONS(5088),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5088),
    [aux_sym_associate_statement_token1] = ACTIONS(5088),
    [aux_sym_format_statement_token1] = ACTIONS(5088),
    [aux_sym_print_statement_token1] = ACTIONS(5088),
    [aux_sym_open_statement_token1] = ACTIONS(5088),
    [aux_sym_close_statement_token1] = ACTIONS(5088),
    [aux_sym_inquire_statement_token1] = ACTIONS(5088),
    [aux_sym_enum_statement_token1] = ACTIONS(5088),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token2] = ACTIONS(5088),
    [aux_sym_file_position_statement_token3] = ACTIONS(5088),
    [aux_sym_file_position_statement_token4] = ACTIONS(5088),
    [aux_sym_allocate_statement_token1] = ACTIONS(5088),
    [aux_sym_entry_statement_token1] = ACTIONS(5088),
    [aux_sym_assign_statement_token1] = ACTIONS(5088),
    [aux_sym_logical_expression_token5] = ACTIONS(5090),
    [anon_sym_DOT] = ACTIONS(5088),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5090),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [aux_sym_boolean_literal_token1] = ACTIONS(5090),
    [aux_sym_boolean_literal_token2] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token2] = ACTIONS(5088),
    [aux_sym_coarray_statement_token6] = ACTIONS(5088),
    [aux_sym_coarray_statement_token8] = ACTIONS(5088),
    [aux_sym_coarray_statement_token11] = ACTIONS(5088),
    [aux_sym_coarray_statement_token12] = ACTIONS(5088),
    [aux_sym_coarray_statement_token13] = ACTIONS(5088),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5088),
    [aux_sym_identifier_token1] = ACTIONS(5088),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5090),
    [sym__float_literal] = ACTIONS(5090),
    [sym__boz_literal] = ACTIONS(5090),
    [sym__string_literal] = ACTIONS(5090),
    [sym__string_literal_kind] = ACTIONS(5090),
  },
  [965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [aux_sym_preproc_else_token1] = ACTIONS(5092),
    [aux_sym_preproc_elif_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token2] = ACTIONS(5092),
    [aux_sym_module_statement_token1] = ACTIONS(5092),
    [aux_sym_submodule_statement_token1] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token2] = ACTIONS(5092),
    [aux_sym_block_data_statement_token3] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5092),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5092),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5092),
    [aux_sym_function_statement_token1] = ACTIONS(5092),
    [aux_sym_language_binding_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5092),
    [aux_sym_contains_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token2] = ACTIONS(5092),
    [aux_sym_implicit_statement_token1] = ACTIONS(5092),
    [aux_sym_implicit_statement_token3] = ACTIONS(5092),
    [aux_sym_implicit_statement_token4] = ACTIONS(5092),
    [aux_sym_save_statement_token1] = ACTIONS(5092),
    [aux_sym_private_statement_token1] = ACTIONS(5092),
    [aux_sym_public_statement_token1] = ACTIONS(5092),
    [aux_sym_namelist_statement_token1] = ACTIONS(5092),
    [aux_sym_common_statement_token1] = ACTIONS(5092),
    [aux_sym_import_statement_token1] = ACTIONS(5092),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5092),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5092),
    [aux_sym_variable_attributes_token1] = ACTIONS(5092),
    [aux_sym_variable_attributes_token2] = ACTIONS(5092),
    [aux_sym_variable_attributes_token3] = ACTIONS(5092),
    [aux_sym_variable_attributes_token4] = ACTIONS(5092),
    [aux_sym_variable_attributes_token5] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5092),
    [aux_sym_derived_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5092),
    [aux_sym_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5092),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token2] = ACTIONS(5092),
    [aux_sym_subroutine_call_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token2] = ACTIONS(5092),
    [aux_sym_keyword_statement_token3] = ACTIONS(5092),
    [aux_sym_keyword_statement_token4] = ACTIONS(5092),
    [aux_sym_keyword_statement_token6] = ACTIONS(5092),
    [aux_sym_keyword_statement_token7] = ACTIONS(5092),
    [aux_sym_include_statement_token1] = ACTIONS(5092),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5092),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5092),
    [aux_sym_end_if_statement_token1] = ACTIONS(5092),
    [aux_sym_elseif_clause_token2] = ACTIONS(5092),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5092),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token3] = ACTIONS(5092),
    [aux_sym_select_type_statement_token1] = ACTIONS(5092),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5092),
    [aux_sym_associate_statement_token1] = ACTIONS(5092),
    [aux_sym_format_statement_token1] = ACTIONS(5092),
    [aux_sym_print_statement_token1] = ACTIONS(5092),
    [aux_sym_open_statement_token1] = ACTIONS(5092),
    [aux_sym_close_statement_token1] = ACTIONS(5092),
    [aux_sym_inquire_statement_token1] = ACTIONS(5092),
    [aux_sym_enum_statement_token1] = ACTIONS(5092),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token2] = ACTIONS(5092),
    [aux_sym_file_position_statement_token3] = ACTIONS(5092),
    [aux_sym_file_position_statement_token4] = ACTIONS(5092),
    [aux_sym_allocate_statement_token1] = ACTIONS(5092),
    [aux_sym_entry_statement_token1] = ACTIONS(5092),
    [aux_sym_assign_statement_token1] = ACTIONS(5092),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5092),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token2] = ACTIONS(5092),
    [aux_sym_coarray_statement_token6] = ACTIONS(5092),
    [aux_sym_coarray_statement_token8] = ACTIONS(5092),
    [aux_sym_coarray_statement_token11] = ACTIONS(5092),
    [aux_sym_coarray_statement_token12] = ACTIONS(5092),
    [aux_sym_coarray_statement_token13] = ACTIONS(5092),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5092),
    [aux_sym_identifier_token1] = ACTIONS(5092),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [aux_sym_preproc_else_token1] = ACTIONS(4786),
    [aux_sym_preproc_elif_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4786),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [aux_sym_preproc_else_token1] = ACTIONS(5096),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token2] = ACTIONS(5096),
    [aux_sym_module_statement_token1] = ACTIONS(5096),
    [aux_sym_submodule_statement_token1] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token2] = ACTIONS(5096),
    [aux_sym_block_data_statement_token3] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5096),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5096),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5096),
    [aux_sym_function_statement_token1] = ACTIONS(5096),
    [aux_sym_language_binding_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5096),
    [aux_sym_contains_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token2] = ACTIONS(5096),
    [aux_sym_implicit_statement_token1] = ACTIONS(5096),
    [aux_sym_implicit_statement_token3] = ACTIONS(5096),
    [aux_sym_implicit_statement_token4] = ACTIONS(5096),
    [aux_sym_save_statement_token1] = ACTIONS(5096),
    [aux_sym_private_statement_token1] = ACTIONS(5096),
    [aux_sym_public_statement_token1] = ACTIONS(5096),
    [aux_sym_namelist_statement_token1] = ACTIONS(5096),
    [aux_sym_common_statement_token1] = ACTIONS(5096),
    [aux_sym_import_statement_token1] = ACTIONS(5096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5096),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5096),
    [aux_sym_variable_attributes_token1] = ACTIONS(5096),
    [aux_sym_variable_attributes_token2] = ACTIONS(5096),
    [aux_sym_variable_attributes_token3] = ACTIONS(5096),
    [aux_sym_variable_attributes_token4] = ACTIONS(5096),
    [aux_sym_variable_attributes_token5] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5096),
    [aux_sym_derived_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5096),
    [aux_sym_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5096),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token2] = ACTIONS(5096),
    [aux_sym_subroutine_call_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token2] = ACTIONS(5096),
    [aux_sym_keyword_statement_token3] = ACTIONS(5096),
    [aux_sym_keyword_statement_token4] = ACTIONS(5096),
    [aux_sym_keyword_statement_token6] = ACTIONS(5096),
    [aux_sym_keyword_statement_token7] = ACTIONS(5096),
    [aux_sym_include_statement_token1] = ACTIONS(5096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5096),
    [aux_sym_end_if_statement_token1] = ACTIONS(5096),
    [aux_sym_elseif_clause_token2] = ACTIONS(5096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token3] = ACTIONS(5096),
    [aux_sym_select_type_statement_token1] = ACTIONS(5096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5096),
    [aux_sym_associate_statement_token1] = ACTIONS(5096),
    [aux_sym_format_statement_token1] = ACTIONS(5096),
    [aux_sym_print_statement_token1] = ACTIONS(5096),
    [aux_sym_open_statement_token1] = ACTIONS(5096),
    [aux_sym_close_statement_token1] = ACTIONS(5096),
    [aux_sym_inquire_statement_token1] = ACTIONS(5096),
    [aux_sym_enum_statement_token1] = ACTIONS(5096),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token2] = ACTIONS(5096),
    [aux_sym_file_position_statement_token3] = ACTIONS(5096),
    [aux_sym_file_position_statement_token4] = ACTIONS(5096),
    [aux_sym_allocate_statement_token1] = ACTIONS(5096),
    [aux_sym_entry_statement_token1] = ACTIONS(5096),
    [aux_sym_assign_statement_token1] = ACTIONS(5096),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token2] = ACTIONS(5096),
    [aux_sym_coarray_statement_token6] = ACTIONS(5096),
    [aux_sym_coarray_statement_token8] = ACTIONS(5096),
    [aux_sym_coarray_statement_token11] = ACTIONS(5096),
    [aux_sym_coarray_statement_token12] = ACTIONS(5096),
    [aux_sym_coarray_statement_token13] = ACTIONS(5096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5096),
    [aux_sym_identifier_token1] = ACTIONS(5096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [aux_sym_preproc_else_token1] = ACTIONS(4806),
    [aux_sym_preproc_elif_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [aux_sym_preproc_else_token1] = ACTIONS(4818),
    [aux_sym_preproc_elif_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_module_statement_token1] = ACTIONS(5100),
    [aux_sym_submodule_statement_token1] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_interface_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token2] = ACTIONS(5100),
    [aux_sym_block_data_statement_token3] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5100),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5100),
    [aux_sym_function_statement_token1] = ACTIONS(5100),
    [aux_sym_language_binding_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token1] = ACTIONS(5100),
    [aux_sym_implicit_statement_token3] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_namelist_statement_token1] = ACTIONS(5100),
    [aux_sym_common_statement_token1] = ACTIONS(5100),
    [aux_sym_import_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token1] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token4] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5100),
    [aux_sym_derived_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5100),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_enum_statement_token1] = ACTIONS(5100),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_assign_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_module_statement_token1] = ACTIONS(5104),
    [aux_sym_submodule_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_block_data_statement_token3] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_function_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_module_statement_token1] = ACTIONS(5108),
    [aux_sym_submodule_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_block_data_statement_token3] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_function_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_module_statement_token1] = ACTIONS(5116),
    [aux_sym_submodule_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token2] = ACTIONS(5116),
    [aux_sym_block_data_statement_token3] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_function_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_assign_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [975] = {
    [ts_builtin_sym_end] = ACTIONS(4778),
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4800),
    [aux_sym_preproc_def_token1] = ACTIONS(4800),
    [aux_sym_preproc_if_token1] = ACTIONS(4800),
    [aux_sym_preproc_if_token2] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4800),
    [sym_preproc_directive] = ACTIONS(4800),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [sym_preproc_comment] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(4804),
    [anon_sym_DASH] = ACTIONS(4804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token2] = ACTIONS(4800),
    [aux_sym_module_statement_token1] = ACTIONS(4800),
    [aux_sym_submodule_statement_token1] = ACTIONS(4800),
    [anon_sym_SEMI] = ACTIONS(4804),
    [aux_sym_interface_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token2] = ACTIONS(4800),
    [aux_sym_block_data_statement_token3] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4800),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4800),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4800),
    [aux_sym_function_statement_token1] = ACTIONS(4800),
    [aux_sym_language_binding_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4800),
    [aux_sym_contains_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token2] = ACTIONS(4800),
    [aux_sym_implicit_statement_token1] = ACTIONS(4800),
    [aux_sym_implicit_statement_token3] = ACTIONS(4800),
    [aux_sym_implicit_statement_token4] = ACTIONS(4800),
    [aux_sym_save_statement_token1] = ACTIONS(4800),
    [aux_sym_private_statement_token1] = ACTIONS(4800),
    [aux_sym_public_statement_token1] = ACTIONS(4800),
    [aux_sym_namelist_statement_token1] = ACTIONS(4800),
    [aux_sym_common_statement_token1] = ACTIONS(4800),
    [aux_sym_import_statement_token1] = ACTIONS(4800),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4800),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4800),
    [aux_sym_variable_attributes_token1] = ACTIONS(4800),
    [aux_sym_variable_attributes_token2] = ACTIONS(4800),
    [aux_sym_variable_attributes_token3] = ACTIONS(4800),
    [aux_sym_variable_attributes_token4] = ACTIONS(4800),
    [aux_sym_variable_attributes_token5] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4800),
    [aux_sym_derived_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4800),
    [aux_sym_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4800),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token2] = ACTIONS(4800),
    [aux_sym_subroutine_call_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token2] = ACTIONS(4800),
    [aux_sym_keyword_statement_token3] = ACTIONS(4800),
    [aux_sym_keyword_statement_token4] = ACTIONS(4800),
    [aux_sym_keyword_statement_token6] = ACTIONS(4800),
    [aux_sym_keyword_statement_token7] = ACTIONS(4800),
    [aux_sym_include_statement_token1] = ACTIONS(4800),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4800),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4800),
    [aux_sym_end_if_statement_token1] = ACTIONS(4800),
    [aux_sym_elseif_clause_token2] = ACTIONS(4800),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4800),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token3] = ACTIONS(4800),
    [aux_sym_select_type_statement_token1] = ACTIONS(4800),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4800),
    [aux_sym_associate_statement_token1] = ACTIONS(4800),
    [aux_sym_format_statement_token1] = ACTIONS(4800),
    [aux_sym_print_statement_token1] = ACTIONS(4800),
    [aux_sym_open_statement_token1] = ACTIONS(4800),
    [aux_sym_close_statement_token1] = ACTIONS(4800),
    [aux_sym_inquire_statement_token1] = ACTIONS(4800),
    [aux_sym_enum_statement_token1] = ACTIONS(4800),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token2] = ACTIONS(4800),
    [aux_sym_file_position_statement_token3] = ACTIONS(4800),
    [aux_sym_file_position_statement_token4] = ACTIONS(4800),
    [aux_sym_allocate_statement_token1] = ACTIONS(4800),
    [aux_sym_entry_statement_token1] = ACTIONS(4800),
    [aux_sym_assign_statement_token1] = ACTIONS(4800),
    [aux_sym_logical_expression_token5] = ACTIONS(4804),
    [anon_sym_DOT] = ACTIONS(4800),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4804),
    [anon_sym_LBRACK] = ACTIONS(4804),
    [aux_sym_boolean_literal_token1] = ACTIONS(4804),
    [aux_sym_boolean_literal_token2] = ACTIONS(4804),
    [aux_sym_null_literal_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token2] = ACTIONS(4800),
    [aux_sym_coarray_statement_token6] = ACTIONS(4800),
    [aux_sym_coarray_statement_token8] = ACTIONS(4800),
    [aux_sym_coarray_statement_token11] = ACTIONS(4800),
    [aux_sym_coarray_statement_token12] = ACTIONS(4800),
    [aux_sym_coarray_statement_token13] = ACTIONS(4800),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4800),
    [aux_sym_identifier_token1] = ACTIONS(4800),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4804),
    [sym__float_literal] = ACTIONS(4804),
    [sym__boz_literal] = ACTIONS(4804),
    [sym__string_literal] = ACTIONS(4804),
    [sym__string_literal_kind] = ACTIONS(4804),
  },
  [977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [sym_preproc_comment] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(4784),
    [aux_sym_preproc_include_token1] = ACTIONS(4780),
    [aux_sym_preproc_def_token1] = ACTIONS(4780),
    [aux_sym_preproc_if_token1] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4780),
    [sym_preproc_directive] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [sym_preproc_comment] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(4784),
    [anon_sym_DASH] = ACTIONS(4784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token2] = ACTIONS(4780),
    [aux_sym_module_statement_token1] = ACTIONS(4780),
    [aux_sym_submodule_statement_token1] = ACTIONS(4780),
    [anon_sym_SEMI] = ACTIONS(4784),
    [aux_sym_interface_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token2] = ACTIONS(4780),
    [aux_sym_block_data_statement_token3] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4780),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4780),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4780),
    [aux_sym_function_statement_token1] = ACTIONS(4780),
    [aux_sym_language_binding_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4780),
    [aux_sym_contains_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token2] = ACTIONS(4780),
    [aux_sym_implicit_statement_token1] = ACTIONS(4780),
    [aux_sym_implicit_statement_token3] = ACTIONS(4780),
    [aux_sym_implicit_statement_token4] = ACTIONS(4780),
    [aux_sym_save_statement_token1] = ACTIONS(4780),
    [aux_sym_private_statement_token1] = ACTIONS(4780),
    [aux_sym_public_statement_token1] = ACTIONS(4780),
    [aux_sym_namelist_statement_token1] = ACTIONS(4780),
    [aux_sym_common_statement_token1] = ACTIONS(4780),
    [aux_sym_import_statement_token1] = ACTIONS(4780),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4780),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4780),
    [aux_sym_variable_attributes_token1] = ACTIONS(4780),
    [aux_sym_variable_attributes_token2] = ACTIONS(4780),
    [aux_sym_variable_attributes_token3] = ACTIONS(4780),
    [aux_sym_variable_attributes_token4] = ACTIONS(4780),
    [aux_sym_variable_attributes_token5] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4780),
    [aux_sym_derived_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4780),
    [aux_sym_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4780),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token2] = ACTIONS(4780),
    [aux_sym_subroutine_call_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token2] = ACTIONS(4780),
    [aux_sym_keyword_statement_token3] = ACTIONS(4780),
    [aux_sym_keyword_statement_token4] = ACTIONS(4780),
    [aux_sym_keyword_statement_token6] = ACTIONS(4780),
    [aux_sym_keyword_statement_token7] = ACTIONS(4780),
    [aux_sym_include_statement_token1] = ACTIONS(4780),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4780),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4780),
    [aux_sym_end_if_statement_token1] = ACTIONS(4780),
    [aux_sym_elseif_clause_token2] = ACTIONS(4780),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4780),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token3] = ACTIONS(4780),
    [aux_sym_select_type_statement_token1] = ACTIONS(4780),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4780),
    [aux_sym_associate_statement_token1] = ACTIONS(4780),
    [aux_sym_format_statement_token1] = ACTIONS(4780),
    [aux_sym_print_statement_token1] = ACTIONS(4780),
    [aux_sym_open_statement_token1] = ACTIONS(4780),
    [aux_sym_close_statement_token1] = ACTIONS(4780),
    [aux_sym_inquire_statement_token1] = ACTIONS(4780),
    [aux_sym_enum_statement_token1] = ACTIONS(4780),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token2] = ACTIONS(4780),
    [aux_sym_file_position_statement_token3] = ACTIONS(4780),
    [aux_sym_file_position_statement_token4] = ACTIONS(4780),
    [aux_sym_allocate_statement_token1] = ACTIONS(4780),
    [aux_sym_entry_statement_token1] = ACTIONS(4780),
    [aux_sym_assign_statement_token1] = ACTIONS(4780),
    [aux_sym_logical_expression_token5] = ACTIONS(4784),
    [anon_sym_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4784),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [aux_sym_boolean_literal_token1] = ACTIONS(4784),
    [aux_sym_boolean_literal_token2] = ACTIONS(4784),
    [aux_sym_null_literal_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token2] = ACTIONS(4780),
    [aux_sym_coarray_statement_token6] = ACTIONS(4780),
    [aux_sym_coarray_statement_token8] = ACTIONS(4780),
    [aux_sym_coarray_statement_token11] = ACTIONS(4780),
    [aux_sym_coarray_statement_token12] = ACTIONS(4780),
    [aux_sym_coarray_statement_token13] = ACTIONS(4780),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4780),
    [aux_sym_identifier_token1] = ACTIONS(4780),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4784),
    [sym__float_literal] = ACTIONS(4784),
    [sym__boz_literal] = ACTIONS(4784),
    [sym__string_literal] = ACTIONS(4784),
    [sym__string_literal_kind] = ACTIONS(4784),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(4810),
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [sym_preproc_comment] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(4790),
    [aux_sym_preproc_include_token1] = ACTIONS(4786),
    [aux_sym_preproc_def_token1] = ACTIONS(4786),
    [aux_sym_preproc_if_token1] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4786),
    [sym_preproc_directive] = ACTIONS(4786),
    [anon_sym_LPAREN2] = ACTIONS(4786),
    [sym_preproc_comment] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(4790),
    [anon_sym_DASH] = ACTIONS(4790),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token2] = ACTIONS(4786),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4790),
    [aux_sym_interface_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token2] = ACTIONS(4786),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4786),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4786),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4786),
    [aux_sym_contains_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token2] = ACTIONS(4786),
    [aux_sym_implicit_statement_token1] = ACTIONS(4786),
    [aux_sym_implicit_statement_token3] = ACTIONS(4786),
    [aux_sym_implicit_statement_token4] = ACTIONS(4786),
    [aux_sym_save_statement_token1] = ACTIONS(4786),
    [aux_sym_private_statement_token1] = ACTIONS(4786),
    [aux_sym_public_statement_token1] = ACTIONS(4786),
    [aux_sym_namelist_statement_token1] = ACTIONS(4786),
    [aux_sym_common_statement_token1] = ACTIONS(4786),
    [aux_sym_import_statement_token1] = ACTIONS(4786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4786),
    [aux_sym_variable_attributes_token1] = ACTIONS(4786),
    [aux_sym_variable_attributes_token2] = ACTIONS(4786),
    [aux_sym_variable_attributes_token3] = ACTIONS(4786),
    [aux_sym_variable_attributes_token4] = ACTIONS(4786),
    [aux_sym_variable_attributes_token5] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4786),
    [aux_sym_derived_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4786),
    [aux_sym_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token2] = ACTIONS(4786),
    [aux_sym_subroutine_call_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token2] = ACTIONS(4786),
    [aux_sym_keyword_statement_token3] = ACTIONS(4786),
    [aux_sym_keyword_statement_token4] = ACTIONS(4786),
    [aux_sym_keyword_statement_token6] = ACTIONS(4786),
    [aux_sym_keyword_statement_token7] = ACTIONS(4786),
    [aux_sym_include_statement_token1] = ACTIONS(4786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4786),
    [aux_sym_end_if_statement_token1] = ACTIONS(4786),
    [aux_sym_elseif_clause_token2] = ACTIONS(4786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token3] = ACTIONS(4786),
    [aux_sym_select_type_statement_token1] = ACTIONS(4786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4786),
    [aux_sym_associate_statement_token1] = ACTIONS(4786),
    [aux_sym_format_statement_token1] = ACTIONS(4786),
    [aux_sym_print_statement_token1] = ACTIONS(4786),
    [aux_sym_open_statement_token1] = ACTIONS(4786),
    [aux_sym_close_statement_token1] = ACTIONS(4786),
    [aux_sym_inquire_statement_token1] = ACTIONS(4786),
    [aux_sym_enum_statement_token1] = ACTIONS(4786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token2] = ACTIONS(4786),
    [aux_sym_file_position_statement_token3] = ACTIONS(4786),
    [aux_sym_file_position_statement_token4] = ACTIONS(4786),
    [aux_sym_allocate_statement_token1] = ACTIONS(4786),
    [aux_sym_entry_statement_token1] = ACTIONS(4786),
    [aux_sym_assign_statement_token1] = ACTIONS(4786),
    [aux_sym_logical_expression_token5] = ACTIONS(4790),
    [anon_sym_DOT] = ACTIONS(4786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [aux_sym_boolean_literal_token1] = ACTIONS(4790),
    [aux_sym_boolean_literal_token2] = ACTIONS(4790),
    [aux_sym_null_literal_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token2] = ACTIONS(4786),
    [aux_sym_coarray_statement_token6] = ACTIONS(4786),
    [aux_sym_coarray_statement_token8] = ACTIONS(4786),
    [aux_sym_coarray_statement_token11] = ACTIONS(4786),
    [aux_sym_coarray_statement_token12] = ACTIONS(4786),
    [aux_sym_coarray_statement_token13] = ACTIONS(4786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4786),
    [aux_sym_identifier_token1] = ACTIONS(4786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4790),
    [sym__float_literal] = ACTIONS(4790),
    [sym__boz_literal] = ACTIONS(4790),
    [sym__string_literal] = ACTIONS(4790),
    [sym__string_literal_kind] = ACTIONS(4790),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(4778),
    [aux_sym_preproc_include_token1] = ACTIONS(4768),
    [aux_sym_preproc_def_token1] = ACTIONS(4768),
    [aux_sym_preproc_if_token1] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4768),
    [sym_preproc_directive] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(4768),
    [sym_preproc_comment] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(4778),
    [anon_sym_DASH] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token2] = ACTIONS(4768),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4778),
    [aux_sym_interface_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token2] = ACTIONS(4768),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4768),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4768),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4768),
    [aux_sym_contains_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token2] = ACTIONS(4768),
    [aux_sym_implicit_statement_token1] = ACTIONS(4768),
    [aux_sym_implicit_statement_token3] = ACTIONS(4768),
    [aux_sym_implicit_statement_token4] = ACTIONS(4768),
    [aux_sym_save_statement_token1] = ACTIONS(4768),
    [aux_sym_private_statement_token1] = ACTIONS(4768),
    [aux_sym_public_statement_token1] = ACTIONS(4768),
    [aux_sym_namelist_statement_token1] = ACTIONS(4768),
    [aux_sym_common_statement_token1] = ACTIONS(4768),
    [aux_sym_import_statement_token1] = ACTIONS(4768),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4768),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4768),
    [aux_sym_variable_attributes_token1] = ACTIONS(4768),
    [aux_sym_variable_attributes_token2] = ACTIONS(4768),
    [aux_sym_variable_attributes_token3] = ACTIONS(4768),
    [aux_sym_variable_attributes_token4] = ACTIONS(4768),
    [aux_sym_variable_attributes_token5] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4768),
    [aux_sym_derived_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4768),
    [aux_sym_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token2] = ACTIONS(4768),
    [aux_sym_subroutine_call_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token2] = ACTIONS(4768),
    [aux_sym_keyword_statement_token3] = ACTIONS(4768),
    [aux_sym_keyword_statement_token4] = ACTIONS(4768),
    [aux_sym_keyword_statement_token6] = ACTIONS(4768),
    [aux_sym_keyword_statement_token7] = ACTIONS(4768),
    [aux_sym_include_statement_token1] = ACTIONS(4768),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4768),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4768),
    [aux_sym_end_if_statement_token1] = ACTIONS(4768),
    [aux_sym_elseif_clause_token2] = ACTIONS(4768),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4768),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token3] = ACTIONS(4768),
    [aux_sym_select_type_statement_token1] = ACTIONS(4768),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4768),
    [aux_sym_associate_statement_token1] = ACTIONS(4768),
    [aux_sym_format_statement_token1] = ACTIONS(4768),
    [aux_sym_print_statement_token1] = ACTIONS(4768),
    [aux_sym_open_statement_token1] = ACTIONS(4768),
    [aux_sym_close_statement_token1] = ACTIONS(4768),
    [aux_sym_inquire_statement_token1] = ACTIONS(4768),
    [aux_sym_enum_statement_token1] = ACTIONS(4768),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token2] = ACTIONS(4768),
    [aux_sym_file_position_statement_token3] = ACTIONS(4768),
    [aux_sym_file_position_statement_token4] = ACTIONS(4768),
    [aux_sym_allocate_statement_token1] = ACTIONS(4768),
    [aux_sym_entry_statement_token1] = ACTIONS(4768),
    [aux_sym_assign_statement_token1] = ACTIONS(4768),
    [aux_sym_logical_expression_token5] = ACTIONS(4778),
    [anon_sym_DOT] = ACTIONS(4768),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4778),
    [anon_sym_LBRACK] = ACTIONS(4778),
    [aux_sym_boolean_literal_token1] = ACTIONS(4778),
    [aux_sym_boolean_literal_token2] = ACTIONS(4778),
    [aux_sym_null_literal_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token2] = ACTIONS(4768),
    [aux_sym_coarray_statement_token6] = ACTIONS(4768),
    [aux_sym_coarray_statement_token8] = ACTIONS(4768),
    [aux_sym_coarray_statement_token11] = ACTIONS(4768),
    [aux_sym_coarray_statement_token12] = ACTIONS(4768),
    [aux_sym_coarray_statement_token13] = ACTIONS(4768),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4768),
    [aux_sym_identifier_token1] = ACTIONS(4768),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4778),
    [sym__float_literal] = ACTIONS(4778),
    [sym__boz_literal] = ACTIONS(4778),
    [sym__string_literal] = ACTIONS(4778),
    [sym__string_literal_kind] = ACTIONS(4778),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(4822),
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [sym_preproc_comment] = ACTIONS(5134),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(4834),
    [aux_sym_preproc_include_token1] = ACTIONS(4830),
    [aux_sym_preproc_def_token1] = ACTIONS(4830),
    [aux_sym_preproc_if_token1] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4830),
    [sym_preproc_directive] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [sym_preproc_comment] = ACTIONS(5136),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token2] = ACTIONS(4830),
    [aux_sym_module_statement_token1] = ACTIONS(4830),
    [aux_sym_submodule_statement_token1] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(4834),
    [aux_sym_interface_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token2] = ACTIONS(4830),
    [aux_sym_block_data_statement_token3] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4830),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4830),
    [aux_sym_function_statement_token1] = ACTIONS(4830),
    [aux_sym_language_binding_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4830),
    [aux_sym_contains_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token2] = ACTIONS(4830),
    [aux_sym_implicit_statement_token1] = ACTIONS(4830),
    [aux_sym_implicit_statement_token3] = ACTIONS(4830),
    [aux_sym_implicit_statement_token4] = ACTIONS(4830),
    [aux_sym_save_statement_token1] = ACTIONS(4830),
    [aux_sym_private_statement_token1] = ACTIONS(4830),
    [aux_sym_public_statement_token1] = ACTIONS(4830),
    [aux_sym_namelist_statement_token1] = ACTIONS(4830),
    [aux_sym_common_statement_token1] = ACTIONS(4830),
    [aux_sym_import_statement_token1] = ACTIONS(4830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4830),
    [aux_sym_variable_attributes_token1] = ACTIONS(4830),
    [aux_sym_variable_attributes_token2] = ACTIONS(4830),
    [aux_sym_variable_attributes_token3] = ACTIONS(4830),
    [aux_sym_variable_attributes_token4] = ACTIONS(4830),
    [aux_sym_variable_attributes_token5] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4830),
    [aux_sym_derived_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4830),
    [aux_sym_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token2] = ACTIONS(4830),
    [aux_sym_subroutine_call_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token2] = ACTIONS(4830),
    [aux_sym_keyword_statement_token3] = ACTIONS(4830),
    [aux_sym_keyword_statement_token4] = ACTIONS(4830),
    [aux_sym_keyword_statement_token6] = ACTIONS(4830),
    [aux_sym_keyword_statement_token7] = ACTIONS(4830),
    [aux_sym_include_statement_token1] = ACTIONS(4830),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4830),
    [aux_sym_end_if_statement_token1] = ACTIONS(4830),
    [aux_sym_elseif_clause_token2] = ACTIONS(4830),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4830),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token3] = ACTIONS(4830),
    [aux_sym_select_type_statement_token1] = ACTIONS(4830),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4830),
    [aux_sym_associate_statement_token1] = ACTIONS(4830),
    [aux_sym_format_statement_token1] = ACTIONS(4830),
    [aux_sym_print_statement_token1] = ACTIONS(4830),
    [aux_sym_open_statement_token1] = ACTIONS(4830),
    [aux_sym_close_statement_token1] = ACTIONS(4830),
    [aux_sym_inquire_statement_token1] = ACTIONS(4830),
    [aux_sym_enum_statement_token1] = ACTIONS(4830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token2] = ACTIONS(4830),
    [aux_sym_file_position_statement_token3] = ACTIONS(4830),
    [aux_sym_file_position_statement_token4] = ACTIONS(4830),
    [aux_sym_allocate_statement_token1] = ACTIONS(4830),
    [aux_sym_entry_statement_token1] = ACTIONS(4830),
    [aux_sym_assign_statement_token1] = ACTIONS(4830),
    [aux_sym_logical_expression_token5] = ACTIONS(4834),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4834),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [aux_sym_boolean_literal_token1] = ACTIONS(4834),
    [aux_sym_boolean_literal_token2] = ACTIONS(4834),
    [aux_sym_null_literal_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token2] = ACTIONS(4830),
    [aux_sym_coarray_statement_token6] = ACTIONS(4830),
    [aux_sym_coarray_statement_token8] = ACTIONS(4830),
    [aux_sym_coarray_statement_token11] = ACTIONS(4830),
    [aux_sym_coarray_statement_token12] = ACTIONS(4830),
    [aux_sym_coarray_statement_token13] = ACTIONS(4830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4830),
    [aux_sym_identifier_token1] = ACTIONS(4830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4834),
    [sym__float_literal] = ACTIONS(4834),
    [sym__boz_literal] = ACTIONS(4834),
    [sym__string_literal] = ACTIONS(4834),
    [sym__string_literal_kind] = ACTIONS(4834),
  },
  [984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4812),
    [aux_sym_preproc_def_token1] = ACTIONS(4812),
    [aux_sym_preproc_if_token1] = ACTIONS(4812),
    [aux_sym_preproc_if_token2] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4812),
    [sym_preproc_directive] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [sym_preproc_comment] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token2] = ACTIONS(4812),
    [aux_sym_module_statement_token1] = ACTIONS(4812),
    [aux_sym_submodule_statement_token1] = ACTIONS(4812),
    [anon_sym_SEMI] = ACTIONS(4816),
    [aux_sym_interface_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token2] = ACTIONS(4812),
    [aux_sym_block_data_statement_token3] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4812),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4812),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4812),
    [aux_sym_function_statement_token1] = ACTIONS(4812),
    [aux_sym_language_binding_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4812),
    [aux_sym_contains_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token2] = ACTIONS(4812),
    [aux_sym_implicit_statement_token1] = ACTIONS(4812),
    [aux_sym_implicit_statement_token3] = ACTIONS(4812),
    [aux_sym_implicit_statement_token4] = ACTIONS(4812),
    [aux_sym_save_statement_token1] = ACTIONS(4812),
    [aux_sym_private_statement_token1] = ACTIONS(4812),
    [aux_sym_public_statement_token1] = ACTIONS(4812),
    [aux_sym_namelist_statement_token1] = ACTIONS(4812),
    [aux_sym_common_statement_token1] = ACTIONS(4812),
    [aux_sym_import_statement_token1] = ACTIONS(4812),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4812),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4812),
    [aux_sym_variable_attributes_token1] = ACTIONS(4812),
    [aux_sym_variable_attributes_token2] = ACTIONS(4812),
    [aux_sym_variable_attributes_token3] = ACTIONS(4812),
    [aux_sym_variable_attributes_token4] = ACTIONS(4812),
    [aux_sym_variable_attributes_token5] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4812),
    [aux_sym_derived_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4812),
    [aux_sym_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4812),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token2] = ACTIONS(4812),
    [aux_sym_subroutine_call_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token2] = ACTIONS(4812),
    [aux_sym_keyword_statement_token3] = ACTIONS(4812),
    [aux_sym_keyword_statement_token4] = ACTIONS(4812),
    [aux_sym_keyword_statement_token6] = ACTIONS(4812),
    [aux_sym_keyword_statement_token7] = ACTIONS(4812),
    [aux_sym_include_statement_token1] = ACTIONS(4812),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4812),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4812),
    [aux_sym_end_if_statement_token1] = ACTIONS(4812),
    [aux_sym_elseif_clause_token2] = ACTIONS(4812),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4812),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token3] = ACTIONS(4812),
    [aux_sym_select_type_statement_token1] = ACTIONS(4812),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4812),
    [aux_sym_associate_statement_token1] = ACTIONS(4812),
    [aux_sym_format_statement_token1] = ACTIONS(4812),
    [aux_sym_print_statement_token1] = ACTIONS(4812),
    [aux_sym_open_statement_token1] = ACTIONS(4812),
    [aux_sym_close_statement_token1] = ACTIONS(4812),
    [aux_sym_inquire_statement_token1] = ACTIONS(4812),
    [aux_sym_enum_statement_token1] = ACTIONS(4812),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token2] = ACTIONS(4812),
    [aux_sym_file_position_statement_token3] = ACTIONS(4812),
    [aux_sym_file_position_statement_token4] = ACTIONS(4812),
    [aux_sym_allocate_statement_token1] = ACTIONS(4812),
    [aux_sym_entry_statement_token1] = ACTIONS(4812),
    [aux_sym_assign_statement_token1] = ACTIONS(4812),
    [aux_sym_logical_expression_token5] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [aux_sym_boolean_literal_token1] = ACTIONS(4816),
    [aux_sym_boolean_literal_token2] = ACTIONS(4816),
    [aux_sym_null_literal_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token2] = ACTIONS(4812),
    [aux_sym_coarray_statement_token6] = ACTIONS(4812),
    [aux_sym_coarray_statement_token8] = ACTIONS(4812),
    [aux_sym_coarray_statement_token11] = ACTIONS(4812),
    [aux_sym_coarray_statement_token12] = ACTIONS(4812),
    [aux_sym_coarray_statement_token13] = ACTIONS(4812),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4812),
    [aux_sym_identifier_token1] = ACTIONS(4812),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4816),
    [sym__float_literal] = ACTIONS(4816),
    [sym__boz_literal] = ACTIONS(4816),
    [sym__string_literal] = ACTIONS(4816),
    [sym__string_literal_kind] = ACTIONS(4816),
  },
  [985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [sym_preproc_comment] = ACTIONS(5140),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4824),
    [aux_sym_preproc_def_token1] = ACTIONS(4824),
    [aux_sym_preproc_if_token1] = ACTIONS(4824),
    [aux_sym_preproc_if_token2] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4824),
    [sym_preproc_directive] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [sym_preproc_comment] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token2] = ACTIONS(4824),
    [aux_sym_module_statement_token1] = ACTIONS(4824),
    [aux_sym_submodule_statement_token1] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4828),
    [aux_sym_interface_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token2] = ACTIONS(4824),
    [aux_sym_block_data_statement_token3] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4824),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4824),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4824),
    [aux_sym_function_statement_token1] = ACTIONS(4824),
    [aux_sym_language_binding_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4824),
    [aux_sym_contains_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token2] = ACTIONS(4824),
    [aux_sym_implicit_statement_token1] = ACTIONS(4824),
    [aux_sym_implicit_statement_token3] = ACTIONS(4824),
    [aux_sym_implicit_statement_token4] = ACTIONS(4824),
    [aux_sym_save_statement_token1] = ACTIONS(4824),
    [aux_sym_private_statement_token1] = ACTIONS(4824),
    [aux_sym_public_statement_token1] = ACTIONS(4824),
    [aux_sym_namelist_statement_token1] = ACTIONS(4824),
    [aux_sym_common_statement_token1] = ACTIONS(4824),
    [aux_sym_import_statement_token1] = ACTIONS(4824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4824),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4824),
    [aux_sym_variable_attributes_token1] = ACTIONS(4824),
    [aux_sym_variable_attributes_token2] = ACTIONS(4824),
    [aux_sym_variable_attributes_token3] = ACTIONS(4824),
    [aux_sym_variable_attributes_token4] = ACTIONS(4824),
    [aux_sym_variable_attributes_token5] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4824),
    [aux_sym_derived_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4824),
    [aux_sym_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4824),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token2] = ACTIONS(4824),
    [aux_sym_subroutine_call_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token2] = ACTIONS(4824),
    [aux_sym_keyword_statement_token3] = ACTIONS(4824),
    [aux_sym_keyword_statement_token4] = ACTIONS(4824),
    [aux_sym_keyword_statement_token6] = ACTIONS(4824),
    [aux_sym_keyword_statement_token7] = ACTIONS(4824),
    [aux_sym_include_statement_token1] = ACTIONS(4824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4824),
    [aux_sym_end_if_statement_token1] = ACTIONS(4824),
    [aux_sym_elseif_clause_token2] = ACTIONS(4824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token3] = ACTIONS(4824),
    [aux_sym_select_type_statement_token1] = ACTIONS(4824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4824),
    [aux_sym_associate_statement_token1] = ACTIONS(4824),
    [aux_sym_format_statement_token1] = ACTIONS(4824),
    [aux_sym_print_statement_token1] = ACTIONS(4824),
    [aux_sym_open_statement_token1] = ACTIONS(4824),
    [aux_sym_close_statement_token1] = ACTIONS(4824),
    [aux_sym_inquire_statement_token1] = ACTIONS(4824),
    [aux_sym_enum_statement_token1] = ACTIONS(4824),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token2] = ACTIONS(4824),
    [aux_sym_file_position_statement_token3] = ACTIONS(4824),
    [aux_sym_file_position_statement_token4] = ACTIONS(4824),
    [aux_sym_allocate_statement_token1] = ACTIONS(4824),
    [aux_sym_entry_statement_token1] = ACTIONS(4824),
    [aux_sym_assign_statement_token1] = ACTIONS(4824),
    [aux_sym_logical_expression_token5] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [aux_sym_boolean_literal_token1] = ACTIONS(4828),
    [aux_sym_boolean_literal_token2] = ACTIONS(4828),
    [aux_sym_null_literal_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token2] = ACTIONS(4824),
    [aux_sym_coarray_statement_token6] = ACTIONS(4824),
    [aux_sym_coarray_statement_token8] = ACTIONS(4824),
    [aux_sym_coarray_statement_token11] = ACTIONS(4824),
    [aux_sym_coarray_statement_token12] = ACTIONS(4824),
    [aux_sym_coarray_statement_token13] = ACTIONS(4824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4824),
    [aux_sym_identifier_token1] = ACTIONS(4824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4828),
    [sym__float_literal] = ACTIONS(4828),
    [sym__boz_literal] = ACTIONS(4828),
    [sym__string_literal] = ACTIONS(4828),
    [sym__string_literal_kind] = ACTIONS(4828),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(5144),
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4738),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [aux_sym_module_statement_token1] = ACTIONS(4738),
    [aux_sym_submodule_statement_token1] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_block_data_statement_token3] = ACTIONS(4738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_function_statement_token1] = ACTIONS(4738),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5148),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4738),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [aux_sym_module_statement_token1] = ACTIONS(4738),
    [aux_sym_submodule_statement_token1] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_block_data_statement_token3] = ACTIONS(4738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_function_statement_token1] = ACTIONS(4738),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(4790),
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5150),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(4804),
    [aux_sym_preproc_include_token1] = ACTIONS(4800),
    [aux_sym_preproc_def_token1] = ACTIONS(4800),
    [aux_sym_preproc_if_token1] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4800),
    [sym_preproc_directive] = ACTIONS(4800),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [sym_preproc_comment] = ACTIONS(5152),
    [anon_sym_PLUS] = ACTIONS(4804),
    [anon_sym_DASH] = ACTIONS(4804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token1] = ACTIONS(4800),
    [aux_sym_end_program_statement_token2] = ACTIONS(4800),
    [aux_sym_module_statement_token1] = ACTIONS(4800),
    [aux_sym_submodule_statement_token1] = ACTIONS(4800),
    [anon_sym_SEMI] = ACTIONS(4804),
    [aux_sym_interface_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token1] = ACTIONS(4800),
    [aux_sym_block_data_statement_token2] = ACTIONS(4800),
    [aux_sym_block_data_statement_token3] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4800),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4800),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4800),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4800),
    [aux_sym_function_statement_token1] = ACTIONS(4800),
    [aux_sym_language_binding_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4800),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4800),
    [aux_sym_contains_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token1] = ACTIONS(4800),
    [aux_sym_use_statement_token2] = ACTIONS(4800),
    [aux_sym_implicit_statement_token1] = ACTIONS(4800),
    [aux_sym_implicit_statement_token3] = ACTIONS(4800),
    [aux_sym_implicit_statement_token4] = ACTIONS(4800),
    [aux_sym_save_statement_token1] = ACTIONS(4800),
    [aux_sym_private_statement_token1] = ACTIONS(4800),
    [aux_sym_public_statement_token1] = ACTIONS(4800),
    [aux_sym_namelist_statement_token1] = ACTIONS(4800),
    [aux_sym_common_statement_token1] = ACTIONS(4800),
    [aux_sym_import_statement_token1] = ACTIONS(4800),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4800),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4800),
    [aux_sym_variable_attributes_token1] = ACTIONS(4800),
    [aux_sym_variable_attributes_token2] = ACTIONS(4800),
    [aux_sym_variable_attributes_token3] = ACTIONS(4800),
    [aux_sym_variable_attributes_token4] = ACTIONS(4800),
    [aux_sym_variable_attributes_token5] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4800),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4800),
    [aux_sym_derived_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token1] = ACTIONS(4800),
    [aux_sym_declared_type_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4800),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4800),
    [aux_sym_type_qualifier_token1] = ACTIONS(4800),
    [aux_sym_type_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4800),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4800),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token1] = ACTIONS(4800),
    [aux_sym_stop_statement_token2] = ACTIONS(4800),
    [aux_sym_subroutine_call_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token1] = ACTIONS(4800),
    [aux_sym_keyword_statement_token2] = ACTIONS(4800),
    [aux_sym_keyword_statement_token3] = ACTIONS(4800),
    [aux_sym_keyword_statement_token4] = ACTIONS(4800),
    [aux_sym_keyword_statement_token6] = ACTIONS(4800),
    [aux_sym_keyword_statement_token7] = ACTIONS(4800),
    [aux_sym_include_statement_token1] = ACTIONS(4800),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4800),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4800),
    [aux_sym_end_if_statement_token1] = ACTIONS(4800),
    [aux_sym_elseif_clause_token2] = ACTIONS(4800),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4800),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token1] = ACTIONS(4800),
    [aux_sym_select_case_statement_token3] = ACTIONS(4800),
    [aux_sym_select_type_statement_token1] = ACTIONS(4800),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4800),
    [aux_sym_associate_statement_token1] = ACTIONS(4800),
    [aux_sym_format_statement_token1] = ACTIONS(4800),
    [aux_sym_print_statement_token1] = ACTIONS(4800),
    [aux_sym_open_statement_token1] = ACTIONS(4800),
    [aux_sym_close_statement_token1] = ACTIONS(4800),
    [aux_sym_inquire_statement_token1] = ACTIONS(4800),
    [aux_sym_enum_statement_token1] = ACTIONS(4800),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token1] = ACTIONS(4800),
    [aux_sym_file_position_statement_token2] = ACTIONS(4800),
    [aux_sym_file_position_statement_token3] = ACTIONS(4800),
    [aux_sym_file_position_statement_token4] = ACTIONS(4800),
    [aux_sym_allocate_statement_token1] = ACTIONS(4800),
    [aux_sym_entry_statement_token1] = ACTIONS(4800),
    [aux_sym_assign_statement_token1] = ACTIONS(4800),
    [aux_sym_logical_expression_token5] = ACTIONS(4804),
    [anon_sym_DOT] = ACTIONS(4800),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4804),
    [anon_sym_LBRACK] = ACTIONS(4804),
    [aux_sym_boolean_literal_token1] = ACTIONS(4804),
    [aux_sym_boolean_literal_token2] = ACTIONS(4804),
    [aux_sym_null_literal_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_statement_token2] = ACTIONS(4800),
    [aux_sym_coarray_statement_token6] = ACTIONS(4800),
    [aux_sym_coarray_statement_token8] = ACTIONS(4800),
    [aux_sym_coarray_statement_token11] = ACTIONS(4800),
    [aux_sym_coarray_statement_token12] = ACTIONS(4800),
    [aux_sym_coarray_statement_token13] = ACTIONS(4800),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4800),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4800),
    [aux_sym_identifier_token1] = ACTIONS(4800),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4804),
    [sym__float_literal] = ACTIONS(4804),
    [sym__boz_literal] = ACTIONS(4804),
    [sym__string_literal] = ACTIONS(4804),
    [sym__string_literal_kind] = ACTIONS(4804),
  },
  [991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5154),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4750),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [aux_sym_module_statement_token1] = ACTIONS(4750),
    [aux_sym_submodule_statement_token1] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_block_data_statement_token3] = ACTIONS(4750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_function_statement_token1] = ACTIONS(4750),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4830),
    [aux_sym_preproc_def_token1] = ACTIONS(4830),
    [aux_sym_preproc_if_token1] = ACTIONS(4830),
    [aux_sym_preproc_if_token2] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4830),
    [sym_preproc_directive] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [sym_preproc_comment] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token1] = ACTIONS(4830),
    [aux_sym_end_program_statement_token2] = ACTIONS(4830),
    [aux_sym_module_statement_token1] = ACTIONS(4830),
    [aux_sym_submodule_statement_token1] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(4834),
    [aux_sym_interface_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token1] = ACTIONS(4830),
    [aux_sym_block_data_statement_token2] = ACTIONS(4830),
    [aux_sym_block_data_statement_token3] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4830),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4830),
    [aux_sym_function_statement_token1] = ACTIONS(4830),
    [aux_sym_language_binding_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4830),
    [aux_sym_contains_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token1] = ACTIONS(4830),
    [aux_sym_use_statement_token2] = ACTIONS(4830),
    [aux_sym_implicit_statement_token1] = ACTIONS(4830),
    [aux_sym_implicit_statement_token3] = ACTIONS(4830),
    [aux_sym_implicit_statement_token4] = ACTIONS(4830),
    [aux_sym_save_statement_token1] = ACTIONS(4830),
    [aux_sym_private_statement_token1] = ACTIONS(4830),
    [aux_sym_public_statement_token1] = ACTIONS(4830),
    [aux_sym_namelist_statement_token1] = ACTIONS(4830),
    [aux_sym_common_statement_token1] = ACTIONS(4830),
    [aux_sym_import_statement_token1] = ACTIONS(4830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4830),
    [aux_sym_variable_attributes_token1] = ACTIONS(4830),
    [aux_sym_variable_attributes_token2] = ACTIONS(4830),
    [aux_sym_variable_attributes_token3] = ACTIONS(4830),
    [aux_sym_variable_attributes_token4] = ACTIONS(4830),
    [aux_sym_variable_attributes_token5] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4830),
    [aux_sym_derived_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token1] = ACTIONS(4830),
    [aux_sym_declared_type_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4830),
    [aux_sym_type_qualifier_token1] = ACTIONS(4830),
    [aux_sym_type_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4830),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token1] = ACTIONS(4830),
    [aux_sym_stop_statement_token2] = ACTIONS(4830),
    [aux_sym_subroutine_call_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token1] = ACTIONS(4830),
    [aux_sym_keyword_statement_token2] = ACTIONS(4830),
    [aux_sym_keyword_statement_token3] = ACTIONS(4830),
    [aux_sym_keyword_statement_token4] = ACTIONS(4830),
    [aux_sym_keyword_statement_token6] = ACTIONS(4830),
    [aux_sym_keyword_statement_token7] = ACTIONS(4830),
    [aux_sym_include_statement_token1] = ACTIONS(4830),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4830),
    [aux_sym_end_if_statement_token1] = ACTIONS(4830),
    [aux_sym_elseif_clause_token2] = ACTIONS(4830),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4830),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token1] = ACTIONS(4830),
    [aux_sym_select_case_statement_token3] = ACTIONS(4830),
    [aux_sym_select_type_statement_token1] = ACTIONS(4830),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4830),
    [aux_sym_associate_statement_token1] = ACTIONS(4830),
    [aux_sym_format_statement_token1] = ACTIONS(4830),
    [aux_sym_print_statement_token1] = ACTIONS(4830),
    [aux_sym_open_statement_token1] = ACTIONS(4830),
    [aux_sym_close_statement_token1] = ACTIONS(4830),
    [aux_sym_inquire_statement_token1] = ACTIONS(4830),
    [aux_sym_enum_statement_token1] = ACTIONS(4830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token1] = ACTIONS(4830),
    [aux_sym_file_position_statement_token2] = ACTIONS(4830),
    [aux_sym_file_position_statement_token3] = ACTIONS(4830),
    [aux_sym_file_position_statement_token4] = ACTIONS(4830),
    [aux_sym_allocate_statement_token1] = ACTIONS(4830),
    [aux_sym_entry_statement_token1] = ACTIONS(4830),
    [aux_sym_assign_statement_token1] = ACTIONS(4830),
    [aux_sym_logical_expression_token5] = ACTIONS(4834),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4834),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [aux_sym_boolean_literal_token1] = ACTIONS(4834),
    [aux_sym_boolean_literal_token2] = ACTIONS(4834),
    [aux_sym_null_literal_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_statement_token2] = ACTIONS(4830),
    [aux_sym_coarray_statement_token6] = ACTIONS(4830),
    [aux_sym_coarray_statement_token8] = ACTIONS(4830),
    [aux_sym_coarray_statement_token11] = ACTIONS(4830),
    [aux_sym_coarray_statement_token12] = ACTIONS(4830),
    [aux_sym_coarray_statement_token13] = ACTIONS(4830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4830),
    [aux_sym_identifier_token1] = ACTIONS(4830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4834),
    [sym__float_literal] = ACTIONS(4834),
    [sym__boz_literal] = ACTIONS(4834),
    [sym__string_literal] = ACTIONS(4834),
    [sym__string_literal_kind] = ACTIONS(4834),
  },
  [993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5158),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4770),
    [aux_sym_preproc_def_token1] = ACTIONS(4770),
    [aux_sym_preproc_if_token1] = ACTIONS(4770),
    [aux_sym_preproc_if_token2] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4770),
    [sym_preproc_directive] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(4770),
    [sym_preproc_comment] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_DASH] = ACTIONS(4774),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token2] = ACTIONS(4770),
    [aux_sym_module_statement_token1] = ACTIONS(4770),
    [aux_sym_submodule_statement_token1] = ACTIONS(4770),
    [anon_sym_SEMI] = ACTIONS(4774),
    [aux_sym_interface_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token2] = ACTIONS(4770),
    [aux_sym_block_data_statement_token3] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4770),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4770),
    [aux_sym_function_statement_token1] = ACTIONS(4770),
    [aux_sym_language_binding_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4770),
    [aux_sym_contains_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token2] = ACTIONS(4770),
    [aux_sym_implicit_statement_token1] = ACTIONS(4770),
    [aux_sym_implicit_statement_token3] = ACTIONS(4770),
    [aux_sym_implicit_statement_token4] = ACTIONS(4770),
    [aux_sym_save_statement_token1] = ACTIONS(4770),
    [aux_sym_private_statement_token1] = ACTIONS(4770),
    [aux_sym_public_statement_token1] = ACTIONS(4770),
    [aux_sym_namelist_statement_token1] = ACTIONS(4770),
    [aux_sym_common_statement_token1] = ACTIONS(4770),
    [aux_sym_import_statement_token1] = ACTIONS(4770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4770),
    [aux_sym_variable_attributes_token1] = ACTIONS(4770),
    [aux_sym_variable_attributes_token2] = ACTIONS(4770),
    [aux_sym_variable_attributes_token3] = ACTIONS(4770),
    [aux_sym_variable_attributes_token4] = ACTIONS(4770),
    [aux_sym_variable_attributes_token5] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4770),
    [aux_sym_derived_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4770),
    [aux_sym_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token2] = ACTIONS(4770),
    [aux_sym_subroutine_call_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token2] = ACTIONS(4770),
    [aux_sym_keyword_statement_token3] = ACTIONS(4770),
    [aux_sym_keyword_statement_token4] = ACTIONS(4770),
    [aux_sym_keyword_statement_token6] = ACTIONS(4770),
    [aux_sym_keyword_statement_token7] = ACTIONS(4770),
    [aux_sym_include_statement_token1] = ACTIONS(4770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4770),
    [aux_sym_end_if_statement_token1] = ACTIONS(4770),
    [aux_sym_elseif_clause_token2] = ACTIONS(4770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token3] = ACTIONS(4770),
    [aux_sym_select_type_statement_token1] = ACTIONS(4770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4770),
    [aux_sym_associate_statement_token1] = ACTIONS(4770),
    [aux_sym_format_statement_token1] = ACTIONS(4770),
    [aux_sym_print_statement_token1] = ACTIONS(4770),
    [aux_sym_open_statement_token1] = ACTIONS(4770),
    [aux_sym_close_statement_token1] = ACTIONS(4770),
    [aux_sym_inquire_statement_token1] = ACTIONS(4770),
    [aux_sym_enum_statement_token1] = ACTIONS(4770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token2] = ACTIONS(4770),
    [aux_sym_file_position_statement_token3] = ACTIONS(4770),
    [aux_sym_file_position_statement_token4] = ACTIONS(4770),
    [aux_sym_allocate_statement_token1] = ACTIONS(4770),
    [aux_sym_entry_statement_token1] = ACTIONS(4770),
    [aux_sym_assign_statement_token1] = ACTIONS(4770),
    [aux_sym_logical_expression_token5] = ACTIONS(4774),
    [anon_sym_DOT] = ACTIONS(4770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4774),
    [anon_sym_LBRACK] = ACTIONS(4774),
    [aux_sym_boolean_literal_token1] = ACTIONS(4774),
    [aux_sym_boolean_literal_token2] = ACTIONS(4774),
    [aux_sym_null_literal_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token2] = ACTIONS(4770),
    [aux_sym_coarray_statement_token6] = ACTIONS(4770),
    [aux_sym_coarray_statement_token8] = ACTIONS(4770),
    [aux_sym_coarray_statement_token11] = ACTIONS(4770),
    [aux_sym_coarray_statement_token12] = ACTIONS(4770),
    [aux_sym_coarray_statement_token13] = ACTIONS(4770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4770),
    [aux_sym_identifier_token1] = ACTIONS(4770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4774),
    [sym__float_literal] = ACTIONS(4774),
    [sym__boz_literal] = ACTIONS(4774),
    [sym__string_literal] = ACTIONS(4774),
    [sym__string_literal_kind] = ACTIONS(4774),
  },
  [995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4768),
    [aux_sym_preproc_def_token1] = ACTIONS(4768),
    [aux_sym_preproc_if_token1] = ACTIONS(4768),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4768),
    [sym_preproc_directive] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(4768),
    [sym_preproc_comment] = ACTIONS(5162),
    [anon_sym_PLUS] = ACTIONS(4778),
    [anon_sym_DASH] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token2] = ACTIONS(4768),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4778),
    [aux_sym_interface_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token1] = ACTIONS(4768),
    [aux_sym_block_data_statement_token2] = ACTIONS(4768),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4768),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4768),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4768),
    [aux_sym_contains_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token1] = ACTIONS(4768),
    [aux_sym_use_statement_token2] = ACTIONS(4768),
    [aux_sym_implicit_statement_token1] = ACTIONS(4768),
    [aux_sym_implicit_statement_token3] = ACTIONS(4768),
    [aux_sym_implicit_statement_token4] = ACTIONS(4768),
    [aux_sym_save_statement_token1] = ACTIONS(4768),
    [aux_sym_private_statement_token1] = ACTIONS(4768),
    [aux_sym_public_statement_token1] = ACTIONS(4768),
    [aux_sym_namelist_statement_token1] = ACTIONS(4768),
    [aux_sym_common_statement_token1] = ACTIONS(4768),
    [aux_sym_import_statement_token1] = ACTIONS(4768),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4768),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4768),
    [aux_sym_variable_attributes_token1] = ACTIONS(4768),
    [aux_sym_variable_attributes_token2] = ACTIONS(4768),
    [aux_sym_variable_attributes_token3] = ACTIONS(4768),
    [aux_sym_variable_attributes_token4] = ACTIONS(4768),
    [aux_sym_variable_attributes_token5] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4768),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4768),
    [aux_sym_derived_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token1] = ACTIONS(4768),
    [aux_sym_declared_type_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4768),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4768),
    [aux_sym_type_qualifier_token1] = ACTIONS(4768),
    [aux_sym_type_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token1] = ACTIONS(4768),
    [aux_sym_stop_statement_token2] = ACTIONS(4768),
    [aux_sym_subroutine_call_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token1] = ACTIONS(4768),
    [aux_sym_keyword_statement_token2] = ACTIONS(4768),
    [aux_sym_keyword_statement_token3] = ACTIONS(4768),
    [aux_sym_keyword_statement_token4] = ACTIONS(4768),
    [aux_sym_keyword_statement_token6] = ACTIONS(4768),
    [aux_sym_keyword_statement_token7] = ACTIONS(4768),
    [aux_sym_include_statement_token1] = ACTIONS(4768),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4768),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4768),
    [aux_sym_end_if_statement_token1] = ACTIONS(4768),
    [aux_sym_elseif_clause_token2] = ACTIONS(4768),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4768),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token1] = ACTIONS(4768),
    [aux_sym_select_case_statement_token3] = ACTIONS(4768),
    [aux_sym_select_type_statement_token1] = ACTIONS(4768),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4768),
    [aux_sym_associate_statement_token1] = ACTIONS(4768),
    [aux_sym_format_statement_token1] = ACTIONS(4768),
    [aux_sym_print_statement_token1] = ACTIONS(4768),
    [aux_sym_open_statement_token1] = ACTIONS(4768),
    [aux_sym_close_statement_token1] = ACTIONS(4768),
    [aux_sym_inquire_statement_token1] = ACTIONS(4768),
    [aux_sym_enum_statement_token1] = ACTIONS(4768),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token1] = ACTIONS(4768),
    [aux_sym_file_position_statement_token2] = ACTIONS(4768),
    [aux_sym_file_position_statement_token3] = ACTIONS(4768),
    [aux_sym_file_position_statement_token4] = ACTIONS(4768),
    [aux_sym_allocate_statement_token1] = ACTIONS(4768),
    [aux_sym_entry_statement_token1] = ACTIONS(4768),
    [aux_sym_assign_statement_token1] = ACTIONS(4768),
    [aux_sym_logical_expression_token5] = ACTIONS(4778),
    [anon_sym_DOT] = ACTIONS(4768),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4778),
    [anon_sym_LBRACK] = ACTIONS(4778),
    [aux_sym_boolean_literal_token1] = ACTIONS(4778),
    [aux_sym_boolean_literal_token2] = ACTIONS(4778),
    [aux_sym_null_literal_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_statement_token2] = ACTIONS(4768),
    [aux_sym_coarray_statement_token6] = ACTIONS(4768),
    [aux_sym_coarray_statement_token8] = ACTIONS(4768),
    [aux_sym_coarray_statement_token11] = ACTIONS(4768),
    [aux_sym_coarray_statement_token12] = ACTIONS(4768),
    [aux_sym_coarray_statement_token13] = ACTIONS(4768),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4768),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4768),
    [aux_sym_identifier_token1] = ACTIONS(4768),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4778),
    [sym__float_literal] = ACTIONS(4778),
    [sym__boz_literal] = ACTIONS(4778),
    [sym__string_literal] = ACTIONS(4778),
    [sym__string_literal_kind] = ACTIONS(4778),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(4828),
    [aux_sym_preproc_include_token1] = ACTIONS(4824),
    [aux_sym_preproc_def_token1] = ACTIONS(4824),
    [aux_sym_preproc_if_token1] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4824),
    [sym_preproc_directive] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [sym_preproc_comment] = ACTIONS(5164),
    [anon_sym_PLUS] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token1] = ACTIONS(4824),
    [aux_sym_end_program_statement_token2] = ACTIONS(4824),
    [aux_sym_module_statement_token1] = ACTIONS(4824),
    [aux_sym_submodule_statement_token1] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4828),
    [aux_sym_interface_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token1] = ACTIONS(4824),
    [aux_sym_block_data_statement_token2] = ACTIONS(4824),
    [aux_sym_block_data_statement_token3] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4824),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4824),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4824),
    [aux_sym_function_statement_token1] = ACTIONS(4824),
    [aux_sym_language_binding_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4824),
    [aux_sym_contains_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token1] = ACTIONS(4824),
    [aux_sym_use_statement_token2] = ACTIONS(4824),
    [aux_sym_implicit_statement_token1] = ACTIONS(4824),
    [aux_sym_implicit_statement_token3] = ACTIONS(4824),
    [aux_sym_implicit_statement_token4] = ACTIONS(4824),
    [aux_sym_save_statement_token1] = ACTIONS(4824),
    [aux_sym_private_statement_token1] = ACTIONS(4824),
    [aux_sym_public_statement_token1] = ACTIONS(4824),
    [aux_sym_namelist_statement_token1] = ACTIONS(4824),
    [aux_sym_common_statement_token1] = ACTIONS(4824),
    [aux_sym_import_statement_token1] = ACTIONS(4824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4824),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4824),
    [aux_sym_variable_attributes_token1] = ACTIONS(4824),
    [aux_sym_variable_attributes_token2] = ACTIONS(4824),
    [aux_sym_variable_attributes_token3] = ACTIONS(4824),
    [aux_sym_variable_attributes_token4] = ACTIONS(4824),
    [aux_sym_variable_attributes_token5] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4824),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4824),
    [aux_sym_derived_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token1] = ACTIONS(4824),
    [aux_sym_declared_type_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4824),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4824),
    [aux_sym_type_qualifier_token1] = ACTIONS(4824),
    [aux_sym_type_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4824),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4824),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token1] = ACTIONS(4824),
    [aux_sym_stop_statement_token2] = ACTIONS(4824),
    [aux_sym_subroutine_call_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token1] = ACTIONS(4824),
    [aux_sym_keyword_statement_token2] = ACTIONS(4824),
    [aux_sym_keyword_statement_token3] = ACTIONS(4824),
    [aux_sym_keyword_statement_token4] = ACTIONS(4824),
    [aux_sym_keyword_statement_token6] = ACTIONS(4824),
    [aux_sym_keyword_statement_token7] = ACTIONS(4824),
    [aux_sym_include_statement_token1] = ACTIONS(4824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4824),
    [aux_sym_end_if_statement_token1] = ACTIONS(4824),
    [aux_sym_elseif_clause_token2] = ACTIONS(4824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token1] = ACTIONS(4824),
    [aux_sym_select_case_statement_token3] = ACTIONS(4824),
    [aux_sym_select_type_statement_token1] = ACTIONS(4824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4824),
    [aux_sym_associate_statement_token1] = ACTIONS(4824),
    [aux_sym_format_statement_token1] = ACTIONS(4824),
    [aux_sym_print_statement_token1] = ACTIONS(4824),
    [aux_sym_open_statement_token1] = ACTIONS(4824),
    [aux_sym_close_statement_token1] = ACTIONS(4824),
    [aux_sym_inquire_statement_token1] = ACTIONS(4824),
    [aux_sym_enum_statement_token1] = ACTIONS(4824),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token1] = ACTIONS(4824),
    [aux_sym_file_position_statement_token2] = ACTIONS(4824),
    [aux_sym_file_position_statement_token3] = ACTIONS(4824),
    [aux_sym_file_position_statement_token4] = ACTIONS(4824),
    [aux_sym_allocate_statement_token1] = ACTIONS(4824),
    [aux_sym_entry_statement_token1] = ACTIONS(4824),
    [aux_sym_assign_statement_token1] = ACTIONS(4824),
    [aux_sym_logical_expression_token5] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [aux_sym_boolean_literal_token1] = ACTIONS(4828),
    [aux_sym_boolean_literal_token2] = ACTIONS(4828),
    [aux_sym_null_literal_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_statement_token2] = ACTIONS(4824),
    [aux_sym_coarray_statement_token6] = ACTIONS(4824),
    [aux_sym_coarray_statement_token8] = ACTIONS(4824),
    [aux_sym_coarray_statement_token11] = ACTIONS(4824),
    [aux_sym_coarray_statement_token12] = ACTIONS(4824),
    [aux_sym_coarray_statement_token13] = ACTIONS(4824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4824),
    [aux_sym_identifier_token1] = ACTIONS(4824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4828),
    [sym__float_literal] = ACTIONS(4828),
    [sym__boz_literal] = ACTIONS(4828),
    [sym__string_literal] = ACTIONS(4828),
    [sym__string_literal_kind] = ACTIONS(4828),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(4774),
    [aux_sym_preproc_include_token1] = ACTIONS(4770),
    [aux_sym_preproc_def_token1] = ACTIONS(4770),
    [aux_sym_preproc_if_token1] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4770),
    [sym_preproc_directive] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(4770),
    [sym_preproc_comment] = ACTIONS(5166),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_DASH] = ACTIONS(4774),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token1] = ACTIONS(4770),
    [aux_sym_end_program_statement_token2] = ACTIONS(4770),
    [aux_sym_module_statement_token1] = ACTIONS(4770),
    [aux_sym_submodule_statement_token1] = ACTIONS(4770),
    [anon_sym_SEMI] = ACTIONS(4774),
    [aux_sym_interface_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token1] = ACTIONS(4770),
    [aux_sym_block_data_statement_token2] = ACTIONS(4770),
    [aux_sym_block_data_statement_token3] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4770),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4770),
    [aux_sym_function_statement_token1] = ACTIONS(4770),
    [aux_sym_language_binding_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4770),
    [aux_sym_contains_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token1] = ACTIONS(4770),
    [aux_sym_use_statement_token2] = ACTIONS(4770),
    [aux_sym_implicit_statement_token1] = ACTIONS(4770),
    [aux_sym_implicit_statement_token3] = ACTIONS(4770),
    [aux_sym_implicit_statement_token4] = ACTIONS(4770),
    [aux_sym_save_statement_token1] = ACTIONS(4770),
    [aux_sym_private_statement_token1] = ACTIONS(4770),
    [aux_sym_public_statement_token1] = ACTIONS(4770),
    [aux_sym_namelist_statement_token1] = ACTIONS(4770),
    [aux_sym_common_statement_token1] = ACTIONS(4770),
    [aux_sym_import_statement_token1] = ACTIONS(4770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4770),
    [aux_sym_variable_attributes_token1] = ACTIONS(4770),
    [aux_sym_variable_attributes_token2] = ACTIONS(4770),
    [aux_sym_variable_attributes_token3] = ACTIONS(4770),
    [aux_sym_variable_attributes_token4] = ACTIONS(4770),
    [aux_sym_variable_attributes_token5] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4770),
    [aux_sym_derived_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token1] = ACTIONS(4770),
    [aux_sym_declared_type_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4770),
    [aux_sym_type_qualifier_token1] = ACTIONS(4770),
    [aux_sym_type_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4770),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token1] = ACTIONS(4770),
    [aux_sym_stop_statement_token2] = ACTIONS(4770),
    [aux_sym_subroutine_call_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token1] = ACTIONS(4770),
    [aux_sym_keyword_statement_token2] = ACTIONS(4770),
    [aux_sym_keyword_statement_token3] = ACTIONS(4770),
    [aux_sym_keyword_statement_token4] = ACTIONS(4770),
    [aux_sym_keyword_statement_token6] = ACTIONS(4770),
    [aux_sym_keyword_statement_token7] = ACTIONS(4770),
    [aux_sym_include_statement_token1] = ACTIONS(4770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4770),
    [aux_sym_end_if_statement_token1] = ACTIONS(4770),
    [aux_sym_elseif_clause_token2] = ACTIONS(4770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token1] = ACTIONS(4770),
    [aux_sym_select_case_statement_token3] = ACTIONS(4770),
    [aux_sym_select_type_statement_token1] = ACTIONS(4770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4770),
    [aux_sym_associate_statement_token1] = ACTIONS(4770),
    [aux_sym_format_statement_token1] = ACTIONS(4770),
    [aux_sym_print_statement_token1] = ACTIONS(4770),
    [aux_sym_open_statement_token1] = ACTIONS(4770),
    [aux_sym_close_statement_token1] = ACTIONS(4770),
    [aux_sym_inquire_statement_token1] = ACTIONS(4770),
    [aux_sym_enum_statement_token1] = ACTIONS(4770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token1] = ACTIONS(4770),
    [aux_sym_file_position_statement_token2] = ACTIONS(4770),
    [aux_sym_file_position_statement_token3] = ACTIONS(4770),
    [aux_sym_file_position_statement_token4] = ACTIONS(4770),
    [aux_sym_allocate_statement_token1] = ACTIONS(4770),
    [aux_sym_entry_statement_token1] = ACTIONS(4770),
    [aux_sym_assign_statement_token1] = ACTIONS(4770),
    [aux_sym_logical_expression_token5] = ACTIONS(4774),
    [anon_sym_DOT] = ACTIONS(4770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4774),
    [anon_sym_LBRACK] = ACTIONS(4774),
    [aux_sym_boolean_literal_token1] = ACTIONS(4774),
    [aux_sym_boolean_literal_token2] = ACTIONS(4774),
    [aux_sym_null_literal_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_statement_token2] = ACTIONS(4770),
    [aux_sym_coarray_statement_token6] = ACTIONS(4770),
    [aux_sym_coarray_statement_token8] = ACTIONS(4770),
    [aux_sym_coarray_statement_token11] = ACTIONS(4770),
    [aux_sym_coarray_statement_token12] = ACTIONS(4770),
    [aux_sym_coarray_statement_token13] = ACTIONS(4770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4770),
    [aux_sym_identifier_token1] = ACTIONS(4770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4774),
    [sym__float_literal] = ACTIONS(4774),
    [sym__boz_literal] = ACTIONS(4774),
    [sym__string_literal] = ACTIONS(4774),
    [sym__string_literal_kind] = ACTIONS(4774),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(4816),
    [aux_sym_preproc_include_token1] = ACTIONS(4812),
    [aux_sym_preproc_def_token1] = ACTIONS(4812),
    [aux_sym_preproc_if_token1] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4812),
    [sym_preproc_directive] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [sym_preproc_comment] = ACTIONS(5168),
    [anon_sym_PLUS] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token1] = ACTIONS(4812),
    [aux_sym_end_program_statement_token2] = ACTIONS(4812),
    [aux_sym_module_statement_token1] = ACTIONS(4812),
    [aux_sym_submodule_statement_token1] = ACTIONS(4812),
    [anon_sym_SEMI] = ACTIONS(4816),
    [aux_sym_interface_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token1] = ACTIONS(4812),
    [aux_sym_block_data_statement_token2] = ACTIONS(4812),
    [aux_sym_block_data_statement_token3] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4812),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4812),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4812),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4812),
    [aux_sym_function_statement_token1] = ACTIONS(4812),
    [aux_sym_language_binding_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4812),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4812),
    [aux_sym_contains_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token1] = ACTIONS(4812),
    [aux_sym_use_statement_token2] = ACTIONS(4812),
    [aux_sym_implicit_statement_token1] = ACTIONS(4812),
    [aux_sym_implicit_statement_token3] = ACTIONS(4812),
    [aux_sym_implicit_statement_token4] = ACTIONS(4812),
    [aux_sym_save_statement_token1] = ACTIONS(4812),
    [aux_sym_private_statement_token1] = ACTIONS(4812),
    [aux_sym_public_statement_token1] = ACTIONS(4812),
    [aux_sym_namelist_statement_token1] = ACTIONS(4812),
    [aux_sym_common_statement_token1] = ACTIONS(4812),
    [aux_sym_import_statement_token1] = ACTIONS(4812),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4812),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4812),
    [aux_sym_variable_attributes_token1] = ACTIONS(4812),
    [aux_sym_variable_attributes_token2] = ACTIONS(4812),
    [aux_sym_variable_attributes_token3] = ACTIONS(4812),
    [aux_sym_variable_attributes_token4] = ACTIONS(4812),
    [aux_sym_variable_attributes_token5] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4812),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4812),
    [aux_sym_derived_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token1] = ACTIONS(4812),
    [aux_sym_declared_type_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4812),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4812),
    [aux_sym_type_qualifier_token1] = ACTIONS(4812),
    [aux_sym_type_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4812),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4812),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token1] = ACTIONS(4812),
    [aux_sym_stop_statement_token2] = ACTIONS(4812),
    [aux_sym_subroutine_call_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token1] = ACTIONS(4812),
    [aux_sym_keyword_statement_token2] = ACTIONS(4812),
    [aux_sym_keyword_statement_token3] = ACTIONS(4812),
    [aux_sym_keyword_statement_token4] = ACTIONS(4812),
    [aux_sym_keyword_statement_token6] = ACTIONS(4812),
    [aux_sym_keyword_statement_token7] = ACTIONS(4812),
    [aux_sym_include_statement_token1] = ACTIONS(4812),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4812),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4812),
    [aux_sym_end_if_statement_token1] = ACTIONS(4812),
    [aux_sym_elseif_clause_token2] = ACTIONS(4812),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4812),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token1] = ACTIONS(4812),
    [aux_sym_select_case_statement_token3] = ACTIONS(4812),
    [aux_sym_select_type_statement_token1] = ACTIONS(4812),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4812),
    [aux_sym_associate_statement_token1] = ACTIONS(4812),
    [aux_sym_format_statement_token1] = ACTIONS(4812),
    [aux_sym_print_statement_token1] = ACTIONS(4812),
    [aux_sym_open_statement_token1] = ACTIONS(4812),
    [aux_sym_close_statement_token1] = ACTIONS(4812),
    [aux_sym_inquire_statement_token1] = ACTIONS(4812),
    [aux_sym_enum_statement_token1] = ACTIONS(4812),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token1] = ACTIONS(4812),
    [aux_sym_file_position_statement_token2] = ACTIONS(4812),
    [aux_sym_file_position_statement_token3] = ACTIONS(4812),
    [aux_sym_file_position_statement_token4] = ACTIONS(4812),
    [aux_sym_allocate_statement_token1] = ACTIONS(4812),
    [aux_sym_entry_statement_token1] = ACTIONS(4812),
    [aux_sym_assign_statement_token1] = ACTIONS(4812),
    [aux_sym_logical_expression_token5] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [aux_sym_boolean_literal_token1] = ACTIONS(4816),
    [aux_sym_boolean_literal_token2] = ACTIONS(4816),
    [aux_sym_null_literal_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_statement_token2] = ACTIONS(4812),
    [aux_sym_coarray_statement_token6] = ACTIONS(4812),
    [aux_sym_coarray_statement_token8] = ACTIONS(4812),
    [aux_sym_coarray_statement_token11] = ACTIONS(4812),
    [aux_sym_coarray_statement_token12] = ACTIONS(4812),
    [aux_sym_coarray_statement_token13] = ACTIONS(4812),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4812),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4812),
    [aux_sym_identifier_token1] = ACTIONS(4812),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4816),
    [sym__float_literal] = ACTIONS(4816),
    [sym__boz_literal] = ACTIONS(4816),
    [sym__string_literal] = ACTIONS(4816),
    [sym__string_literal_kind] = ACTIONS(4816),
  },
  [999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token2] = ACTIONS(4738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5170),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4738),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [aux_sym_module_statement_token1] = ACTIONS(4738),
    [aux_sym_submodule_statement_token1] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_block_data_statement_token3] = ACTIONS(4738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_function_statement_token1] = ACTIONS(4738),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4738),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token2] = ACTIONS(4750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4750),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [aux_sym_module_statement_token1] = ACTIONS(4750),
    [aux_sym_submodule_statement_token1] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_block_data_statement_token3] = ACTIONS(4750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_function_statement_token1] = ACTIONS(4750),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(5178),
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4750),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [aux_sym_module_statement_token1] = ACTIONS(4750),
    [aux_sym_submodule_statement_token1] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_block_data_statement_token3] = ACTIONS(4750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_function_statement_token1] = ACTIONS(4750),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4750),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4780),
    [aux_sym_preproc_def_token1] = ACTIONS(4780),
    [aux_sym_preproc_if_token1] = ACTIONS(4780),
    [aux_sym_preproc_if_token2] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4780),
    [sym_preproc_directive] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [sym_preproc_comment] = ACTIONS(5182),
    [anon_sym_PLUS] = ACTIONS(4784),
    [anon_sym_DASH] = ACTIONS(4784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token1] = ACTIONS(4780),
    [aux_sym_end_program_statement_token2] = ACTIONS(4780),
    [aux_sym_module_statement_token1] = ACTIONS(4780),
    [aux_sym_submodule_statement_token1] = ACTIONS(4780),
    [anon_sym_SEMI] = ACTIONS(4784),
    [aux_sym_interface_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token1] = ACTIONS(4780),
    [aux_sym_block_data_statement_token2] = ACTIONS(4780),
    [aux_sym_block_data_statement_token3] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4780),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4780),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4780),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4780),
    [aux_sym_function_statement_token1] = ACTIONS(4780),
    [aux_sym_language_binding_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4780),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4780),
    [aux_sym_contains_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token1] = ACTIONS(4780),
    [aux_sym_use_statement_token2] = ACTIONS(4780),
    [aux_sym_implicit_statement_token1] = ACTIONS(4780),
    [aux_sym_implicit_statement_token3] = ACTIONS(4780),
    [aux_sym_implicit_statement_token4] = ACTIONS(4780),
    [aux_sym_save_statement_token1] = ACTIONS(4780),
    [aux_sym_private_statement_token1] = ACTIONS(4780),
    [aux_sym_public_statement_token1] = ACTIONS(4780),
    [aux_sym_namelist_statement_token1] = ACTIONS(4780),
    [aux_sym_common_statement_token1] = ACTIONS(4780),
    [aux_sym_import_statement_token1] = ACTIONS(4780),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4780),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4780),
    [aux_sym_variable_attributes_token1] = ACTIONS(4780),
    [aux_sym_variable_attributes_token2] = ACTIONS(4780),
    [aux_sym_variable_attributes_token3] = ACTIONS(4780),
    [aux_sym_variable_attributes_token4] = ACTIONS(4780),
    [aux_sym_variable_attributes_token5] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4780),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4780),
    [aux_sym_derived_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token1] = ACTIONS(4780),
    [aux_sym_declared_type_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4780),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4780),
    [aux_sym_type_qualifier_token1] = ACTIONS(4780),
    [aux_sym_type_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4780),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4780),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token1] = ACTIONS(4780),
    [aux_sym_stop_statement_token2] = ACTIONS(4780),
    [aux_sym_subroutine_call_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token1] = ACTIONS(4780),
    [aux_sym_keyword_statement_token2] = ACTIONS(4780),
    [aux_sym_keyword_statement_token3] = ACTIONS(4780),
    [aux_sym_keyword_statement_token4] = ACTIONS(4780),
    [aux_sym_keyword_statement_token6] = ACTIONS(4780),
    [aux_sym_keyword_statement_token7] = ACTIONS(4780),
    [aux_sym_include_statement_token1] = ACTIONS(4780),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4780),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4780),
    [aux_sym_end_if_statement_token1] = ACTIONS(4780),
    [aux_sym_elseif_clause_token2] = ACTIONS(4780),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4780),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token1] = ACTIONS(4780),
    [aux_sym_select_case_statement_token3] = ACTIONS(4780),
    [aux_sym_select_type_statement_token1] = ACTIONS(4780),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4780),
    [aux_sym_associate_statement_token1] = ACTIONS(4780),
    [aux_sym_format_statement_token1] = ACTIONS(4780),
    [aux_sym_print_statement_token1] = ACTIONS(4780),
    [aux_sym_open_statement_token1] = ACTIONS(4780),
    [aux_sym_close_statement_token1] = ACTIONS(4780),
    [aux_sym_inquire_statement_token1] = ACTIONS(4780),
    [aux_sym_enum_statement_token1] = ACTIONS(4780),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token1] = ACTIONS(4780),
    [aux_sym_file_position_statement_token2] = ACTIONS(4780),
    [aux_sym_file_position_statement_token3] = ACTIONS(4780),
    [aux_sym_file_position_statement_token4] = ACTIONS(4780),
    [aux_sym_allocate_statement_token1] = ACTIONS(4780),
    [aux_sym_entry_statement_token1] = ACTIONS(4780),
    [aux_sym_assign_statement_token1] = ACTIONS(4780),
    [aux_sym_logical_expression_token5] = ACTIONS(4784),
    [anon_sym_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4784),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [aux_sym_boolean_literal_token1] = ACTIONS(4784),
    [aux_sym_boolean_literal_token2] = ACTIONS(4784),
    [aux_sym_null_literal_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_statement_token2] = ACTIONS(4780),
    [aux_sym_coarray_statement_token6] = ACTIONS(4780),
    [aux_sym_coarray_statement_token8] = ACTIONS(4780),
    [aux_sym_coarray_statement_token11] = ACTIONS(4780),
    [aux_sym_coarray_statement_token12] = ACTIONS(4780),
    [aux_sym_coarray_statement_token13] = ACTIONS(4780),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4780),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4780),
    [aux_sym_identifier_token1] = ACTIONS(4780),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4784),
    [sym__float_literal] = ACTIONS(4784),
    [sym__boz_literal] = ACTIONS(4784),
    [sym__string_literal] = ACTIONS(4784),
    [sym__string_literal_kind] = ACTIONS(4784),
  },
  [1005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4786),
    [aux_sym_preproc_def_token1] = ACTIONS(4786),
    [aux_sym_preproc_if_token1] = ACTIONS(4786),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4786),
    [sym_preproc_directive] = ACTIONS(4786),
    [anon_sym_LPAREN2] = ACTIONS(4786),
    [sym_preproc_comment] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(4790),
    [anon_sym_DASH] = ACTIONS(4790),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token2] = ACTIONS(4786),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4790),
    [aux_sym_interface_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token1] = ACTIONS(4786),
    [aux_sym_block_data_statement_token2] = ACTIONS(4786),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4786),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4786),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4786),
    [aux_sym_contains_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token1] = ACTIONS(4786),
    [aux_sym_use_statement_token2] = ACTIONS(4786),
    [aux_sym_implicit_statement_token1] = ACTIONS(4786),
    [aux_sym_implicit_statement_token3] = ACTIONS(4786),
    [aux_sym_implicit_statement_token4] = ACTIONS(4786),
    [aux_sym_save_statement_token1] = ACTIONS(4786),
    [aux_sym_private_statement_token1] = ACTIONS(4786),
    [aux_sym_public_statement_token1] = ACTIONS(4786),
    [aux_sym_namelist_statement_token1] = ACTIONS(4786),
    [aux_sym_common_statement_token1] = ACTIONS(4786),
    [aux_sym_import_statement_token1] = ACTIONS(4786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4786),
    [aux_sym_variable_attributes_token1] = ACTIONS(4786),
    [aux_sym_variable_attributes_token2] = ACTIONS(4786),
    [aux_sym_variable_attributes_token3] = ACTIONS(4786),
    [aux_sym_variable_attributes_token4] = ACTIONS(4786),
    [aux_sym_variable_attributes_token5] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4786),
    [aux_sym_derived_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token1] = ACTIONS(4786),
    [aux_sym_declared_type_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4786),
    [aux_sym_type_qualifier_token1] = ACTIONS(4786),
    [aux_sym_type_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token1] = ACTIONS(4786),
    [aux_sym_stop_statement_token2] = ACTIONS(4786),
    [aux_sym_subroutine_call_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token1] = ACTIONS(4786),
    [aux_sym_keyword_statement_token2] = ACTIONS(4786),
    [aux_sym_keyword_statement_token3] = ACTIONS(4786),
    [aux_sym_keyword_statement_token4] = ACTIONS(4786),
    [aux_sym_keyword_statement_token6] = ACTIONS(4786),
    [aux_sym_keyword_statement_token7] = ACTIONS(4786),
    [aux_sym_include_statement_token1] = ACTIONS(4786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4786),
    [aux_sym_end_if_statement_token1] = ACTIONS(4786),
    [aux_sym_elseif_clause_token2] = ACTIONS(4786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token1] = ACTIONS(4786),
    [aux_sym_select_case_statement_token3] = ACTIONS(4786),
    [aux_sym_select_type_statement_token1] = ACTIONS(4786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4786),
    [aux_sym_associate_statement_token1] = ACTIONS(4786),
    [aux_sym_format_statement_token1] = ACTIONS(4786),
    [aux_sym_print_statement_token1] = ACTIONS(4786),
    [aux_sym_open_statement_token1] = ACTIONS(4786),
    [aux_sym_close_statement_token1] = ACTIONS(4786),
    [aux_sym_inquire_statement_token1] = ACTIONS(4786),
    [aux_sym_enum_statement_token1] = ACTIONS(4786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token1] = ACTIONS(4786),
    [aux_sym_file_position_statement_token2] = ACTIONS(4786),
    [aux_sym_file_position_statement_token3] = ACTIONS(4786),
    [aux_sym_file_position_statement_token4] = ACTIONS(4786),
    [aux_sym_allocate_statement_token1] = ACTIONS(4786),
    [aux_sym_entry_statement_token1] = ACTIONS(4786),
    [aux_sym_assign_statement_token1] = ACTIONS(4786),
    [aux_sym_logical_expression_token5] = ACTIONS(4790),
    [anon_sym_DOT] = ACTIONS(4786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [aux_sym_boolean_literal_token1] = ACTIONS(4790),
    [aux_sym_boolean_literal_token2] = ACTIONS(4790),
    [aux_sym_null_literal_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_statement_token2] = ACTIONS(4786),
    [aux_sym_coarray_statement_token6] = ACTIONS(4786),
    [aux_sym_coarray_statement_token8] = ACTIONS(4786),
    [aux_sym_coarray_statement_token11] = ACTIONS(4786),
    [aux_sym_coarray_statement_token12] = ACTIONS(4786),
    [aux_sym_coarray_statement_token13] = ACTIONS(4786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4786),
    [aux_sym_identifier_token1] = ACTIONS(4786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4790),
    [sym__float_literal] = ACTIONS(4790),
    [sym__boz_literal] = ACTIONS(4790),
    [sym__string_literal] = ACTIONS(4790),
    [sym__string_literal_kind] = ACTIONS(4790),
  },
  [1006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5186),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(4862),
    [aux_sym_preproc_include_token1] = ACTIONS(4860),
    [aux_sym_preproc_def_token1] = ACTIONS(4860),
    [aux_sym_preproc_if_token1] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4860),
    [sym_preproc_directive] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token2] = ACTIONS(4860),
    [aux_sym_module_statement_token1] = ACTIONS(4860),
    [aux_sym_submodule_statement_token1] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [aux_sym_interface_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token2] = ACTIONS(4860),
    [aux_sym_block_data_statement_token3] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4860),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4860),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4860),
    [aux_sym_function_statement_token1] = ACTIONS(4860),
    [aux_sym_language_binding_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4860),
    [aux_sym_contains_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token2] = ACTIONS(4860),
    [aux_sym_implicit_statement_token1] = ACTIONS(4860),
    [aux_sym_implicit_statement_token3] = ACTIONS(4860),
    [aux_sym_implicit_statement_token4] = ACTIONS(4860),
    [aux_sym_save_statement_token1] = ACTIONS(4860),
    [aux_sym_private_statement_token1] = ACTIONS(4860),
    [aux_sym_public_statement_token1] = ACTIONS(4860),
    [aux_sym_namelist_statement_token1] = ACTIONS(4860),
    [aux_sym_common_statement_token1] = ACTIONS(4860),
    [aux_sym_import_statement_token1] = ACTIONS(4860),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4860),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4860),
    [aux_sym_variable_attributes_token1] = ACTIONS(4860),
    [aux_sym_variable_attributes_token2] = ACTIONS(4860),
    [aux_sym_variable_attributes_token3] = ACTIONS(4860),
    [aux_sym_variable_attributes_token4] = ACTIONS(4860),
    [aux_sym_variable_attributes_token5] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4860),
    [aux_sym_derived_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4860),
    [aux_sym_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4860),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token2] = ACTIONS(4860),
    [aux_sym_subroutine_call_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token2] = ACTIONS(4860),
    [aux_sym_keyword_statement_token3] = ACTIONS(4860),
    [aux_sym_keyword_statement_token4] = ACTIONS(4860),
    [aux_sym_keyword_statement_token6] = ACTIONS(4860),
    [aux_sym_keyword_statement_token7] = ACTIONS(4860),
    [aux_sym_include_statement_token1] = ACTIONS(4860),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4860),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4860),
    [aux_sym_end_if_statement_token1] = ACTIONS(4860),
    [aux_sym_elseif_clause_token2] = ACTIONS(4860),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4860),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token3] = ACTIONS(4860),
    [aux_sym_select_type_statement_token1] = ACTIONS(4860),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4860),
    [aux_sym_associate_statement_token1] = ACTIONS(4860),
    [aux_sym_format_statement_token1] = ACTIONS(4860),
    [aux_sym_print_statement_token1] = ACTIONS(4860),
    [aux_sym_open_statement_token1] = ACTIONS(4860),
    [aux_sym_close_statement_token1] = ACTIONS(4860),
    [aux_sym_inquire_statement_token1] = ACTIONS(4860),
    [aux_sym_enum_statement_token1] = ACTIONS(4860),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token2] = ACTIONS(4860),
    [aux_sym_file_position_statement_token3] = ACTIONS(4860),
    [aux_sym_file_position_statement_token4] = ACTIONS(4860),
    [aux_sym_allocate_statement_token1] = ACTIONS(4860),
    [aux_sym_entry_statement_token1] = ACTIONS(4860),
    [aux_sym_assign_statement_token1] = ACTIONS(4860),
    [aux_sym_logical_expression_token5] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [aux_sym_boolean_literal_token1] = ACTIONS(4862),
    [aux_sym_boolean_literal_token2] = ACTIONS(4862),
    [aux_sym_null_literal_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token2] = ACTIONS(4860),
    [aux_sym_coarray_statement_token6] = ACTIONS(4860),
    [aux_sym_coarray_statement_token8] = ACTIONS(4860),
    [aux_sym_coarray_statement_token11] = ACTIONS(4860),
    [aux_sym_coarray_statement_token12] = ACTIONS(4860),
    [aux_sym_coarray_statement_token13] = ACTIONS(4860),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4860),
    [aux_sym_identifier_token1] = ACTIONS(4860),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4862),
    [sym__float_literal] = ACTIONS(4862),
    [sym__boz_literal] = ACTIONS(4862),
    [sym__string_literal] = ACTIONS(4862),
    [sym__string_literal_kind] = ACTIONS(4862),
  },
  [1008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [aux_sym_boolean_literal_token1] = ACTIONS(5086),
    [aux_sym_boolean_literal_token2] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5086),
    [sym__float_literal] = ACTIONS(5086),
    [sym__boz_literal] = ACTIONS(5086),
    [sym__string_literal] = ACTIONS(5086),
    [sym__string_literal_kind] = ACTIONS(5086),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(5042),
    [aux_sym_preproc_include_token1] = ACTIONS(5040),
    [aux_sym_preproc_def_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token1] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5040),
    [sym_preproc_directive] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5040),
    [anon_sym_PLUS] = ACTIONS(5042),
    [anon_sym_DASH] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token2] = ACTIONS(5040),
    [aux_sym_module_statement_token1] = ACTIONS(5040),
    [aux_sym_submodule_statement_token1] = ACTIONS(5040),
    [anon_sym_SEMI] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token2] = ACTIONS(5040),
    [aux_sym_block_data_statement_token3] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5040),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5040),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5040),
    [aux_sym_function_statement_token1] = ACTIONS(5040),
    [aux_sym_language_binding_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5040),
    [aux_sym_contains_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token2] = ACTIONS(5040),
    [aux_sym_implicit_statement_token1] = ACTIONS(5040),
    [aux_sym_implicit_statement_token3] = ACTIONS(5040),
    [aux_sym_implicit_statement_token4] = ACTIONS(5040),
    [aux_sym_save_statement_token1] = ACTIONS(5040),
    [aux_sym_private_statement_token1] = ACTIONS(5040),
    [aux_sym_public_statement_token1] = ACTIONS(5040),
    [aux_sym_namelist_statement_token1] = ACTIONS(5040),
    [aux_sym_common_statement_token1] = ACTIONS(5040),
    [aux_sym_import_statement_token1] = ACTIONS(5040),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5040),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5040),
    [aux_sym_variable_attributes_token1] = ACTIONS(5040),
    [aux_sym_variable_attributes_token2] = ACTIONS(5040),
    [aux_sym_variable_attributes_token3] = ACTIONS(5040),
    [aux_sym_variable_attributes_token4] = ACTIONS(5040),
    [aux_sym_variable_attributes_token5] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5040),
    [aux_sym_derived_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5040),
    [aux_sym_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5040),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token2] = ACTIONS(5040),
    [aux_sym_subroutine_call_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token2] = ACTIONS(5040),
    [aux_sym_keyword_statement_token3] = ACTIONS(5040),
    [aux_sym_keyword_statement_token4] = ACTIONS(5040),
    [aux_sym_keyword_statement_token6] = ACTIONS(5040),
    [aux_sym_keyword_statement_token7] = ACTIONS(5040),
    [aux_sym_include_statement_token1] = ACTIONS(5040),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5040),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5040),
    [aux_sym_end_if_statement_token1] = ACTIONS(5040),
    [aux_sym_elseif_clause_token2] = ACTIONS(5040),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5040),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token3] = ACTIONS(5040),
    [aux_sym_select_type_statement_token1] = ACTIONS(5040),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5040),
    [aux_sym_associate_statement_token1] = ACTIONS(5040),
    [aux_sym_format_statement_token1] = ACTIONS(5040),
    [aux_sym_print_statement_token1] = ACTIONS(5040),
    [aux_sym_open_statement_token1] = ACTIONS(5040),
    [aux_sym_close_statement_token1] = ACTIONS(5040),
    [aux_sym_inquire_statement_token1] = ACTIONS(5040),
    [aux_sym_enum_statement_token1] = ACTIONS(5040),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token2] = ACTIONS(5040),
    [aux_sym_file_position_statement_token3] = ACTIONS(5040),
    [aux_sym_file_position_statement_token4] = ACTIONS(5040),
    [aux_sym_allocate_statement_token1] = ACTIONS(5040),
    [aux_sym_entry_statement_token1] = ACTIONS(5040),
    [aux_sym_assign_statement_token1] = ACTIONS(5040),
    [aux_sym_logical_expression_token5] = ACTIONS(5042),
    [anon_sym_DOT] = ACTIONS(5040),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5042),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [aux_sym_boolean_literal_token1] = ACTIONS(5042),
    [aux_sym_boolean_literal_token2] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token2] = ACTIONS(5040),
    [aux_sym_coarray_statement_token6] = ACTIONS(5040),
    [aux_sym_coarray_statement_token8] = ACTIONS(5040),
    [aux_sym_coarray_statement_token11] = ACTIONS(5040),
    [aux_sym_coarray_statement_token12] = ACTIONS(5040),
    [aux_sym_coarray_statement_token13] = ACTIONS(5040),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5040),
    [aux_sym_identifier_token1] = ACTIONS(5040),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5042),
    [sym__float_literal] = ACTIONS(5042),
    [sym__boz_literal] = ACTIONS(5042),
    [sym__string_literal] = ACTIONS(5042),
    [sym__string_literal_kind] = ACTIONS(5042),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(4918),
    [aux_sym_preproc_include_token1] = ACTIONS(4916),
    [aux_sym_preproc_def_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4916),
    [sym_preproc_directive] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_PLUS] = ACTIONS(4918),
    [anon_sym_DASH] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token2] = ACTIONS(4916),
    [aux_sym_module_statement_token1] = ACTIONS(4916),
    [aux_sym_submodule_statement_token1] = ACTIONS(4916),
    [anon_sym_SEMI] = ACTIONS(4918),
    [aux_sym_interface_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token2] = ACTIONS(4916),
    [aux_sym_block_data_statement_token3] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4916),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4916),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4916),
    [aux_sym_function_statement_token1] = ACTIONS(4916),
    [aux_sym_language_binding_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4916),
    [aux_sym_contains_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token2] = ACTIONS(4916),
    [aux_sym_implicit_statement_token1] = ACTIONS(4916),
    [aux_sym_implicit_statement_token3] = ACTIONS(4916),
    [aux_sym_implicit_statement_token4] = ACTIONS(4916),
    [aux_sym_save_statement_token1] = ACTIONS(4916),
    [aux_sym_private_statement_token1] = ACTIONS(4916),
    [aux_sym_public_statement_token1] = ACTIONS(4916),
    [aux_sym_namelist_statement_token1] = ACTIONS(4916),
    [aux_sym_common_statement_token1] = ACTIONS(4916),
    [aux_sym_import_statement_token1] = ACTIONS(4916),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4916),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4916),
    [aux_sym_variable_attributes_token1] = ACTIONS(4916),
    [aux_sym_variable_attributes_token2] = ACTIONS(4916),
    [aux_sym_variable_attributes_token3] = ACTIONS(4916),
    [aux_sym_variable_attributes_token4] = ACTIONS(4916),
    [aux_sym_variable_attributes_token5] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4916),
    [aux_sym_derived_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4916),
    [aux_sym_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4916),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token2] = ACTIONS(4916),
    [aux_sym_subroutine_call_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token2] = ACTIONS(4916),
    [aux_sym_keyword_statement_token3] = ACTIONS(4916),
    [aux_sym_keyword_statement_token4] = ACTIONS(4916),
    [aux_sym_keyword_statement_token6] = ACTIONS(4916),
    [aux_sym_keyword_statement_token7] = ACTIONS(4916),
    [aux_sym_include_statement_token1] = ACTIONS(4916),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4916),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4916),
    [aux_sym_end_if_statement_token1] = ACTIONS(4916),
    [aux_sym_elseif_clause_token2] = ACTIONS(4916),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4916),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token3] = ACTIONS(4916),
    [aux_sym_select_type_statement_token1] = ACTIONS(4916),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4916),
    [aux_sym_associate_statement_token1] = ACTIONS(4916),
    [aux_sym_format_statement_token1] = ACTIONS(4916),
    [aux_sym_print_statement_token1] = ACTIONS(4916),
    [aux_sym_open_statement_token1] = ACTIONS(4916),
    [aux_sym_close_statement_token1] = ACTIONS(4916),
    [aux_sym_inquire_statement_token1] = ACTIONS(4916),
    [aux_sym_enum_statement_token1] = ACTIONS(4916),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token2] = ACTIONS(4916),
    [aux_sym_file_position_statement_token3] = ACTIONS(4916),
    [aux_sym_file_position_statement_token4] = ACTIONS(4916),
    [aux_sym_allocate_statement_token1] = ACTIONS(4916),
    [aux_sym_entry_statement_token1] = ACTIONS(4916),
    [aux_sym_assign_statement_token1] = ACTIONS(4916),
    [aux_sym_logical_expression_token5] = ACTIONS(4918),
    [anon_sym_DOT] = ACTIONS(4916),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4918),
    [anon_sym_LBRACK] = ACTIONS(4918),
    [aux_sym_boolean_literal_token1] = ACTIONS(4918),
    [aux_sym_boolean_literal_token2] = ACTIONS(4918),
    [aux_sym_null_literal_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token2] = ACTIONS(4916),
    [aux_sym_coarray_statement_token6] = ACTIONS(4916),
    [aux_sym_coarray_statement_token8] = ACTIONS(4916),
    [aux_sym_coarray_statement_token11] = ACTIONS(4916),
    [aux_sym_coarray_statement_token12] = ACTIONS(4916),
    [aux_sym_coarray_statement_token13] = ACTIONS(4916),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4916),
    [aux_sym_identifier_token1] = ACTIONS(4916),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4918),
    [sym__float_literal] = ACTIONS(4918),
    [sym__boz_literal] = ACTIONS(4918),
    [sym__string_literal] = ACTIONS(4918),
    [sym__string_literal_kind] = ACTIONS(4918),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(4922),
    [aux_sym_preproc_include_token1] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token2] = ACTIONS(4920),
    [aux_sym_module_statement_token1] = ACTIONS(4920),
    [aux_sym_submodule_statement_token1] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [aux_sym_interface_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token2] = ACTIONS(4920),
    [aux_sym_block_data_statement_token3] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4920),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4920),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4920),
    [aux_sym_function_statement_token1] = ACTIONS(4920),
    [aux_sym_language_binding_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4920),
    [aux_sym_contains_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token2] = ACTIONS(4920),
    [aux_sym_implicit_statement_token1] = ACTIONS(4920),
    [aux_sym_implicit_statement_token3] = ACTIONS(4920),
    [aux_sym_implicit_statement_token4] = ACTIONS(4920),
    [aux_sym_save_statement_token1] = ACTIONS(4920),
    [aux_sym_private_statement_token1] = ACTIONS(4920),
    [aux_sym_public_statement_token1] = ACTIONS(4920),
    [aux_sym_namelist_statement_token1] = ACTIONS(4920),
    [aux_sym_common_statement_token1] = ACTIONS(4920),
    [aux_sym_import_statement_token1] = ACTIONS(4920),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4920),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4920),
    [aux_sym_variable_attributes_token1] = ACTIONS(4920),
    [aux_sym_variable_attributes_token2] = ACTIONS(4920),
    [aux_sym_variable_attributes_token3] = ACTIONS(4920),
    [aux_sym_variable_attributes_token4] = ACTIONS(4920),
    [aux_sym_variable_attributes_token5] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4920),
    [aux_sym_derived_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4920),
    [aux_sym_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4920),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token2] = ACTIONS(4920),
    [aux_sym_subroutine_call_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token2] = ACTIONS(4920),
    [aux_sym_keyword_statement_token3] = ACTIONS(4920),
    [aux_sym_keyword_statement_token4] = ACTIONS(4920),
    [aux_sym_keyword_statement_token6] = ACTIONS(4920),
    [aux_sym_keyword_statement_token7] = ACTIONS(4920),
    [aux_sym_include_statement_token1] = ACTIONS(4920),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4920),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4920),
    [aux_sym_end_if_statement_token1] = ACTIONS(4920),
    [aux_sym_elseif_clause_token2] = ACTIONS(4920),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4920),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token3] = ACTIONS(4920),
    [aux_sym_select_type_statement_token1] = ACTIONS(4920),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4920),
    [aux_sym_associate_statement_token1] = ACTIONS(4920),
    [aux_sym_format_statement_token1] = ACTIONS(4920),
    [aux_sym_print_statement_token1] = ACTIONS(4920),
    [aux_sym_open_statement_token1] = ACTIONS(4920),
    [aux_sym_close_statement_token1] = ACTIONS(4920),
    [aux_sym_inquire_statement_token1] = ACTIONS(4920),
    [aux_sym_enum_statement_token1] = ACTIONS(4920),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token2] = ACTIONS(4920),
    [aux_sym_file_position_statement_token3] = ACTIONS(4920),
    [aux_sym_file_position_statement_token4] = ACTIONS(4920),
    [aux_sym_allocate_statement_token1] = ACTIONS(4920),
    [aux_sym_entry_statement_token1] = ACTIONS(4920),
    [aux_sym_assign_statement_token1] = ACTIONS(4920),
    [aux_sym_logical_expression_token5] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [aux_sym_boolean_literal_token1] = ACTIONS(4922),
    [aux_sym_boolean_literal_token2] = ACTIONS(4922),
    [aux_sym_null_literal_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token2] = ACTIONS(4920),
    [aux_sym_coarray_statement_token6] = ACTIONS(4920),
    [aux_sym_coarray_statement_token8] = ACTIONS(4920),
    [aux_sym_coarray_statement_token11] = ACTIONS(4920),
    [aux_sym_coarray_statement_token12] = ACTIONS(4920),
    [aux_sym_coarray_statement_token13] = ACTIONS(4920),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4920),
    [aux_sym_identifier_token1] = ACTIONS(4920),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4922),
    [sym__float_literal] = ACTIONS(4922),
    [sym__boz_literal] = ACTIONS(4922),
    [sym__string_literal] = ACTIONS(4922),
    [sym__string_literal_kind] = ACTIONS(4922),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(5054),
    [aux_sym_preproc_include_token1] = ACTIONS(5052),
    [aux_sym_preproc_def_token1] = ACTIONS(5052),
    [aux_sym_preproc_if_token1] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5052),
    [sym_preproc_directive] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(5052),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token2] = ACTIONS(5052),
    [aux_sym_module_statement_token1] = ACTIONS(5052),
    [aux_sym_submodule_statement_token1] = ACTIONS(5052),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token2] = ACTIONS(5052),
    [aux_sym_block_data_statement_token3] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5052),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5052),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5052),
    [aux_sym_function_statement_token1] = ACTIONS(5052),
    [aux_sym_language_binding_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5052),
    [aux_sym_contains_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token2] = ACTIONS(5052),
    [aux_sym_implicit_statement_token1] = ACTIONS(5052),
    [aux_sym_implicit_statement_token3] = ACTIONS(5052),
    [aux_sym_implicit_statement_token4] = ACTIONS(5052),
    [aux_sym_save_statement_token1] = ACTIONS(5052),
    [aux_sym_private_statement_token1] = ACTIONS(5052),
    [aux_sym_public_statement_token1] = ACTIONS(5052),
    [aux_sym_namelist_statement_token1] = ACTIONS(5052),
    [aux_sym_common_statement_token1] = ACTIONS(5052),
    [aux_sym_import_statement_token1] = ACTIONS(5052),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5052),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5052),
    [aux_sym_variable_attributes_token1] = ACTIONS(5052),
    [aux_sym_variable_attributes_token2] = ACTIONS(5052),
    [aux_sym_variable_attributes_token3] = ACTIONS(5052),
    [aux_sym_variable_attributes_token4] = ACTIONS(5052),
    [aux_sym_variable_attributes_token5] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5052),
    [aux_sym_derived_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5052),
    [aux_sym_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5052),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token2] = ACTIONS(5052),
    [aux_sym_subroutine_call_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token2] = ACTIONS(5052),
    [aux_sym_keyword_statement_token3] = ACTIONS(5052),
    [aux_sym_keyword_statement_token4] = ACTIONS(5052),
    [aux_sym_keyword_statement_token6] = ACTIONS(5052),
    [aux_sym_keyword_statement_token7] = ACTIONS(5052),
    [aux_sym_include_statement_token1] = ACTIONS(5052),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5052),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5052),
    [aux_sym_end_if_statement_token1] = ACTIONS(5052),
    [aux_sym_elseif_clause_token2] = ACTIONS(5052),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5052),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token3] = ACTIONS(5052),
    [aux_sym_select_type_statement_token1] = ACTIONS(5052),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5052),
    [aux_sym_associate_statement_token1] = ACTIONS(5052),
    [aux_sym_format_statement_token1] = ACTIONS(5052),
    [aux_sym_print_statement_token1] = ACTIONS(5052),
    [aux_sym_open_statement_token1] = ACTIONS(5052),
    [aux_sym_close_statement_token1] = ACTIONS(5052),
    [aux_sym_inquire_statement_token1] = ACTIONS(5052),
    [aux_sym_enum_statement_token1] = ACTIONS(5052),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token2] = ACTIONS(5052),
    [aux_sym_file_position_statement_token3] = ACTIONS(5052),
    [aux_sym_file_position_statement_token4] = ACTIONS(5052),
    [aux_sym_allocate_statement_token1] = ACTIONS(5052),
    [aux_sym_entry_statement_token1] = ACTIONS(5052),
    [aux_sym_assign_statement_token1] = ACTIONS(5052),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5052),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token2] = ACTIONS(5052),
    [aux_sym_coarray_statement_token6] = ACTIONS(5052),
    [aux_sym_coarray_statement_token8] = ACTIONS(5052),
    [aux_sym_coarray_statement_token11] = ACTIONS(5052),
    [aux_sym_coarray_statement_token12] = ACTIONS(5052),
    [aux_sym_coarray_statement_token13] = ACTIONS(5052),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5052),
    [aux_sym_identifier_token1] = ACTIONS(5052),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(5058),
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5058),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [aux_sym_boolean_literal_token1] = ACTIONS(5058),
    [aux_sym_boolean_literal_token2] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5058),
    [sym__float_literal] = ACTIONS(5058),
    [sym__boz_literal] = ACTIONS(5058),
    [sym__string_literal] = ACTIONS(5058),
    [sym__string_literal_kind] = ACTIONS(5058),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(5062),
    [aux_sym_preproc_include_token1] = ACTIONS(5060),
    [aux_sym_preproc_def_token1] = ACTIONS(5060),
    [aux_sym_preproc_if_token1] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5060),
    [sym_preproc_directive] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_PLUS] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token2] = ACTIONS(5060),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token2] = ACTIONS(5060),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5060),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5060),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5060),
    [aux_sym_contains_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token2] = ACTIONS(5060),
    [aux_sym_implicit_statement_token1] = ACTIONS(5060),
    [aux_sym_implicit_statement_token3] = ACTIONS(5060),
    [aux_sym_implicit_statement_token4] = ACTIONS(5060),
    [aux_sym_save_statement_token1] = ACTIONS(5060),
    [aux_sym_private_statement_token1] = ACTIONS(5060),
    [aux_sym_public_statement_token1] = ACTIONS(5060),
    [aux_sym_namelist_statement_token1] = ACTIONS(5060),
    [aux_sym_common_statement_token1] = ACTIONS(5060),
    [aux_sym_import_statement_token1] = ACTIONS(5060),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5060),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5060),
    [aux_sym_variable_attributes_token1] = ACTIONS(5060),
    [aux_sym_variable_attributes_token2] = ACTIONS(5060),
    [aux_sym_variable_attributes_token3] = ACTIONS(5060),
    [aux_sym_variable_attributes_token4] = ACTIONS(5060),
    [aux_sym_variable_attributes_token5] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5060),
    [aux_sym_derived_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5060),
    [aux_sym_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token2] = ACTIONS(5060),
    [aux_sym_subroutine_call_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token2] = ACTIONS(5060),
    [aux_sym_keyword_statement_token3] = ACTIONS(5060),
    [aux_sym_keyword_statement_token4] = ACTIONS(5060),
    [aux_sym_keyword_statement_token6] = ACTIONS(5060),
    [aux_sym_keyword_statement_token7] = ACTIONS(5060),
    [aux_sym_include_statement_token1] = ACTIONS(5060),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5060),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5060),
    [aux_sym_end_if_statement_token1] = ACTIONS(5060),
    [aux_sym_elseif_clause_token2] = ACTIONS(5060),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5060),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token3] = ACTIONS(5060),
    [aux_sym_select_type_statement_token1] = ACTIONS(5060),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5060),
    [aux_sym_associate_statement_token1] = ACTIONS(5060),
    [aux_sym_format_statement_token1] = ACTIONS(5060),
    [aux_sym_print_statement_token1] = ACTIONS(5060),
    [aux_sym_open_statement_token1] = ACTIONS(5060),
    [aux_sym_close_statement_token1] = ACTIONS(5060),
    [aux_sym_inquire_statement_token1] = ACTIONS(5060),
    [aux_sym_enum_statement_token1] = ACTIONS(5060),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token2] = ACTIONS(5060),
    [aux_sym_file_position_statement_token3] = ACTIONS(5060),
    [aux_sym_file_position_statement_token4] = ACTIONS(5060),
    [aux_sym_allocate_statement_token1] = ACTIONS(5060),
    [aux_sym_entry_statement_token1] = ACTIONS(5060),
    [aux_sym_assign_statement_token1] = ACTIONS(5060),
    [aux_sym_logical_expression_token5] = ACTIONS(5062),
    [anon_sym_DOT] = ACTIONS(5060),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [aux_sym_boolean_literal_token1] = ACTIONS(5062),
    [aux_sym_boolean_literal_token2] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token2] = ACTIONS(5060),
    [aux_sym_coarray_statement_token6] = ACTIONS(5060),
    [aux_sym_coarray_statement_token8] = ACTIONS(5060),
    [aux_sym_coarray_statement_token11] = ACTIONS(5060),
    [aux_sym_coarray_statement_token12] = ACTIONS(5060),
    [aux_sym_coarray_statement_token13] = ACTIONS(5060),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5060),
    [aux_sym_identifier_token1] = ACTIONS(5060),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5062),
    [sym__float_literal] = ACTIONS(5062),
    [sym__boz_literal] = ACTIONS(5062),
    [sym__string_literal] = ACTIONS(5062),
    [sym__string_literal_kind] = ACTIONS(5062),
  },
  [1015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_module_statement_token1] = ACTIONS(5104),
    [aux_sym_submodule_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_block_data_statement_token3] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_function_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(5046),
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5046),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5046),
    [anon_sym_LBRACK] = ACTIONS(5046),
    [aux_sym_boolean_literal_token1] = ACTIONS(5046),
    [aux_sym_boolean_literal_token2] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5046),
    [sym__float_literal] = ACTIONS(5046),
    [sym__boz_literal] = ACTIONS(5046),
    [sym__string_literal] = ACTIONS(5046),
    [sym__string_literal_kind] = ACTIONS(5046),
  },
  [1017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_module_statement_token1] = ACTIONS(5108),
    [aux_sym_submodule_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_block_data_statement_token3] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_function_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token2] = ACTIONS(4844),
    [aux_sym_module_statement_token1] = ACTIONS(4844),
    [aux_sym_submodule_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_block_data_statement_token3] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_function_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token2] = ACTIONS(5004),
    [aux_sym_module_statement_token1] = ACTIONS(5004),
    [aux_sym_submodule_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_block_data_statement_token3] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_function_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token2] = ACTIONS(4892),
    [aux_sym_module_statement_token1] = ACTIONS(4892),
    [aux_sym_submodule_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_block_data_statement_token3] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_function_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(5050),
    [aux_sym_preproc_include_token1] = ACTIONS(5048),
    [aux_sym_preproc_def_token1] = ACTIONS(5048),
    [aux_sym_preproc_if_token1] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5048),
    [sym_preproc_directive] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(5048),
    [anon_sym_PLUS] = ACTIONS(5050),
    [anon_sym_DASH] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token2] = ACTIONS(5048),
    [aux_sym_module_statement_token1] = ACTIONS(5048),
    [aux_sym_submodule_statement_token1] = ACTIONS(5048),
    [anon_sym_SEMI] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token2] = ACTIONS(5048),
    [aux_sym_block_data_statement_token3] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5048),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5048),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5048),
    [aux_sym_function_statement_token1] = ACTIONS(5048),
    [aux_sym_language_binding_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5048),
    [aux_sym_contains_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token2] = ACTIONS(5048),
    [aux_sym_implicit_statement_token1] = ACTIONS(5048),
    [aux_sym_implicit_statement_token3] = ACTIONS(5048),
    [aux_sym_implicit_statement_token4] = ACTIONS(5048),
    [aux_sym_save_statement_token1] = ACTIONS(5048),
    [aux_sym_private_statement_token1] = ACTIONS(5048),
    [aux_sym_public_statement_token1] = ACTIONS(5048),
    [aux_sym_namelist_statement_token1] = ACTIONS(5048),
    [aux_sym_common_statement_token1] = ACTIONS(5048),
    [aux_sym_import_statement_token1] = ACTIONS(5048),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5048),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5048),
    [aux_sym_variable_attributes_token1] = ACTIONS(5048),
    [aux_sym_variable_attributes_token2] = ACTIONS(5048),
    [aux_sym_variable_attributes_token3] = ACTIONS(5048),
    [aux_sym_variable_attributes_token4] = ACTIONS(5048),
    [aux_sym_variable_attributes_token5] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5048),
    [aux_sym_derived_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5048),
    [aux_sym_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5048),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token2] = ACTIONS(5048),
    [aux_sym_subroutine_call_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token2] = ACTIONS(5048),
    [aux_sym_keyword_statement_token3] = ACTIONS(5048),
    [aux_sym_keyword_statement_token4] = ACTIONS(5048),
    [aux_sym_keyword_statement_token6] = ACTIONS(5048),
    [aux_sym_keyword_statement_token7] = ACTIONS(5048),
    [aux_sym_include_statement_token1] = ACTIONS(5048),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5048),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5048),
    [aux_sym_end_if_statement_token1] = ACTIONS(5048),
    [aux_sym_elseif_clause_token2] = ACTIONS(5048),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5048),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token3] = ACTIONS(5048),
    [aux_sym_select_type_statement_token1] = ACTIONS(5048),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5048),
    [aux_sym_associate_statement_token1] = ACTIONS(5048),
    [aux_sym_format_statement_token1] = ACTIONS(5048),
    [aux_sym_print_statement_token1] = ACTIONS(5048),
    [aux_sym_open_statement_token1] = ACTIONS(5048),
    [aux_sym_close_statement_token1] = ACTIONS(5048),
    [aux_sym_inquire_statement_token1] = ACTIONS(5048),
    [aux_sym_enum_statement_token1] = ACTIONS(5048),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token2] = ACTIONS(5048),
    [aux_sym_file_position_statement_token3] = ACTIONS(5048),
    [aux_sym_file_position_statement_token4] = ACTIONS(5048),
    [aux_sym_allocate_statement_token1] = ACTIONS(5048),
    [aux_sym_entry_statement_token1] = ACTIONS(5048),
    [aux_sym_assign_statement_token1] = ACTIONS(5048),
    [aux_sym_logical_expression_token5] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(5048),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5050),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [aux_sym_boolean_literal_token1] = ACTIONS(5050),
    [aux_sym_boolean_literal_token2] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token2] = ACTIONS(5048),
    [aux_sym_coarray_statement_token6] = ACTIONS(5048),
    [aux_sym_coarray_statement_token8] = ACTIONS(5048),
    [aux_sym_coarray_statement_token11] = ACTIONS(5048),
    [aux_sym_coarray_statement_token12] = ACTIONS(5048),
    [aux_sym_coarray_statement_token13] = ACTIONS(5048),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5048),
    [aux_sym_identifier_token1] = ACTIONS(5048),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5050),
    [sym__float_literal] = ACTIONS(5050),
    [sym__boz_literal] = ACTIONS(5050),
    [sym__string_literal] = ACTIONS(5050),
    [sym__string_literal_kind] = ACTIONS(5050),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(4984),
    [aux_sym_preproc_include_token1] = ACTIONS(4982),
    [aux_sym_preproc_def_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token1] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4982),
    [sym_preproc_directive] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_PLUS] = ACTIONS(4984),
    [anon_sym_DASH] = ACTIONS(4984),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token2] = ACTIONS(4982),
    [aux_sym_module_statement_token1] = ACTIONS(4982),
    [aux_sym_submodule_statement_token1] = ACTIONS(4982),
    [anon_sym_SEMI] = ACTIONS(4984),
    [aux_sym_interface_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token2] = ACTIONS(4982),
    [aux_sym_block_data_statement_token3] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4982),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4982),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4982),
    [aux_sym_function_statement_token1] = ACTIONS(4982),
    [aux_sym_language_binding_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4982),
    [aux_sym_contains_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token2] = ACTIONS(4982),
    [aux_sym_implicit_statement_token1] = ACTIONS(4982),
    [aux_sym_implicit_statement_token3] = ACTIONS(4982),
    [aux_sym_implicit_statement_token4] = ACTIONS(4982),
    [aux_sym_save_statement_token1] = ACTIONS(4982),
    [aux_sym_private_statement_token1] = ACTIONS(4982),
    [aux_sym_public_statement_token1] = ACTIONS(4982),
    [aux_sym_namelist_statement_token1] = ACTIONS(4982),
    [aux_sym_common_statement_token1] = ACTIONS(4982),
    [aux_sym_import_statement_token1] = ACTIONS(4982),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4982),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4982),
    [aux_sym_variable_attributes_token1] = ACTIONS(4982),
    [aux_sym_variable_attributes_token2] = ACTIONS(4982),
    [aux_sym_variable_attributes_token3] = ACTIONS(4982),
    [aux_sym_variable_attributes_token4] = ACTIONS(4982),
    [aux_sym_variable_attributes_token5] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4982),
    [aux_sym_derived_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4982),
    [aux_sym_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4982),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token2] = ACTIONS(4982),
    [aux_sym_subroutine_call_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token2] = ACTIONS(4982),
    [aux_sym_keyword_statement_token3] = ACTIONS(4982),
    [aux_sym_keyword_statement_token4] = ACTIONS(4982),
    [aux_sym_keyword_statement_token6] = ACTIONS(4982),
    [aux_sym_keyword_statement_token7] = ACTIONS(4982),
    [aux_sym_include_statement_token1] = ACTIONS(4982),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4982),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4982),
    [aux_sym_end_if_statement_token1] = ACTIONS(4982),
    [aux_sym_elseif_clause_token2] = ACTIONS(4982),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4982),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token3] = ACTIONS(4982),
    [aux_sym_select_type_statement_token1] = ACTIONS(4982),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4982),
    [aux_sym_associate_statement_token1] = ACTIONS(4982),
    [aux_sym_format_statement_token1] = ACTIONS(4982),
    [aux_sym_print_statement_token1] = ACTIONS(4982),
    [aux_sym_open_statement_token1] = ACTIONS(4982),
    [aux_sym_close_statement_token1] = ACTIONS(4982),
    [aux_sym_inquire_statement_token1] = ACTIONS(4982),
    [aux_sym_enum_statement_token1] = ACTIONS(4982),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token2] = ACTIONS(4982),
    [aux_sym_file_position_statement_token3] = ACTIONS(4982),
    [aux_sym_file_position_statement_token4] = ACTIONS(4982),
    [aux_sym_allocate_statement_token1] = ACTIONS(4982),
    [aux_sym_entry_statement_token1] = ACTIONS(4982),
    [aux_sym_assign_statement_token1] = ACTIONS(4982),
    [aux_sym_logical_expression_token5] = ACTIONS(4984),
    [anon_sym_DOT] = ACTIONS(4982),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4984),
    [anon_sym_LBRACK] = ACTIONS(4984),
    [aux_sym_boolean_literal_token1] = ACTIONS(4984),
    [aux_sym_boolean_literal_token2] = ACTIONS(4984),
    [aux_sym_null_literal_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token2] = ACTIONS(4982),
    [aux_sym_coarray_statement_token6] = ACTIONS(4982),
    [aux_sym_coarray_statement_token8] = ACTIONS(4982),
    [aux_sym_coarray_statement_token11] = ACTIONS(4982),
    [aux_sym_coarray_statement_token12] = ACTIONS(4982),
    [aux_sym_coarray_statement_token13] = ACTIONS(4982),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4982),
    [aux_sym_identifier_token1] = ACTIONS(4982),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4984),
    [sym__float_literal] = ACTIONS(4984),
    [sym__boz_literal] = ACTIONS(4984),
    [sym__string_literal] = ACTIONS(4984),
    [sym__string_literal_kind] = ACTIONS(4984),
  },
  [1024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [aux_sym_module_statement_token1] = ACTIONS(4944),
    [aux_sym_submodule_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_block_data_statement_token3] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_function_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [aux_sym_module_statement_token1] = ACTIONS(4948),
    [aux_sym_submodule_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_block_data_statement_token3] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_function_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [aux_sym_module_statement_token1] = ACTIONS(4852),
    [aux_sym_submodule_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_block_data_statement_token3] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_function_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [aux_sym_module_statement_token1] = ACTIONS(4856),
    [aux_sym_submodule_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_block_data_statement_token3] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_function_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [aux_sym_module_statement_token1] = ACTIONS(4840),
    [aux_sym_submodule_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_block_data_statement_token3] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_function_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [aux_sym_module_statement_token1] = ACTIONS(4896),
    [aux_sym_submodule_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_block_data_statement_token3] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_function_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [aux_sym_module_statement_token1] = ACTIONS(4900),
    [aux_sym_submodule_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_block_data_statement_token3] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_function_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(4822),
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(4822),
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(4926),
    [aux_sym_preproc_include_token1] = ACTIONS(4924),
    [aux_sym_preproc_def_token1] = ACTIONS(4924),
    [aux_sym_preproc_if_token1] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4924),
    [sym_preproc_directive] = ACTIONS(4924),
    [anon_sym_LPAREN2] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token2] = ACTIONS(4924),
    [aux_sym_module_statement_token1] = ACTIONS(4924),
    [aux_sym_submodule_statement_token1] = ACTIONS(4924),
    [anon_sym_SEMI] = ACTIONS(4926),
    [aux_sym_interface_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token2] = ACTIONS(4924),
    [aux_sym_block_data_statement_token3] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4924),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4924),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4924),
    [aux_sym_function_statement_token1] = ACTIONS(4924),
    [aux_sym_language_binding_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4924),
    [aux_sym_contains_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token2] = ACTIONS(4924),
    [aux_sym_implicit_statement_token1] = ACTIONS(4924),
    [aux_sym_implicit_statement_token3] = ACTIONS(4924),
    [aux_sym_implicit_statement_token4] = ACTIONS(4924),
    [aux_sym_save_statement_token1] = ACTIONS(4924),
    [aux_sym_private_statement_token1] = ACTIONS(4924),
    [aux_sym_public_statement_token1] = ACTIONS(4924),
    [aux_sym_namelist_statement_token1] = ACTIONS(4924),
    [aux_sym_common_statement_token1] = ACTIONS(4924),
    [aux_sym_import_statement_token1] = ACTIONS(4924),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4924),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4924),
    [aux_sym_variable_attributes_token1] = ACTIONS(4924),
    [aux_sym_variable_attributes_token2] = ACTIONS(4924),
    [aux_sym_variable_attributes_token3] = ACTIONS(4924),
    [aux_sym_variable_attributes_token4] = ACTIONS(4924),
    [aux_sym_variable_attributes_token5] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4924),
    [aux_sym_derived_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4924),
    [aux_sym_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4924),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token2] = ACTIONS(4924),
    [aux_sym_subroutine_call_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token2] = ACTIONS(4924),
    [aux_sym_keyword_statement_token3] = ACTIONS(4924),
    [aux_sym_keyword_statement_token4] = ACTIONS(4924),
    [aux_sym_keyword_statement_token6] = ACTIONS(4924),
    [aux_sym_keyword_statement_token7] = ACTIONS(4924),
    [aux_sym_include_statement_token1] = ACTIONS(4924),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4924),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4924),
    [aux_sym_end_if_statement_token1] = ACTIONS(4924),
    [aux_sym_elseif_clause_token2] = ACTIONS(4924),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4924),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token3] = ACTIONS(4924),
    [aux_sym_select_type_statement_token1] = ACTIONS(4924),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4924),
    [aux_sym_associate_statement_token1] = ACTIONS(4924),
    [aux_sym_format_statement_token1] = ACTIONS(4924),
    [aux_sym_print_statement_token1] = ACTIONS(4924),
    [aux_sym_open_statement_token1] = ACTIONS(4924),
    [aux_sym_close_statement_token1] = ACTIONS(4924),
    [aux_sym_inquire_statement_token1] = ACTIONS(4924),
    [aux_sym_enum_statement_token1] = ACTIONS(4924),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token2] = ACTIONS(4924),
    [aux_sym_file_position_statement_token3] = ACTIONS(4924),
    [aux_sym_file_position_statement_token4] = ACTIONS(4924),
    [aux_sym_allocate_statement_token1] = ACTIONS(4924),
    [aux_sym_entry_statement_token1] = ACTIONS(4924),
    [aux_sym_assign_statement_token1] = ACTIONS(4924),
    [aux_sym_logical_expression_token5] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [aux_sym_boolean_literal_token1] = ACTIONS(4926),
    [aux_sym_boolean_literal_token2] = ACTIONS(4926),
    [aux_sym_null_literal_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token2] = ACTIONS(4924),
    [aux_sym_coarray_statement_token6] = ACTIONS(4924),
    [aux_sym_coarray_statement_token8] = ACTIONS(4924),
    [aux_sym_coarray_statement_token11] = ACTIONS(4924),
    [aux_sym_coarray_statement_token12] = ACTIONS(4924),
    [aux_sym_coarray_statement_token13] = ACTIONS(4924),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4924),
    [aux_sym_identifier_token1] = ACTIONS(4924),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4926),
    [sym__float_literal] = ACTIONS(4926),
    [sym__boz_literal] = ACTIONS(4926),
    [sym__string_literal] = ACTIONS(4926),
    [sym__string_literal_kind] = ACTIONS(4926),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(5106),
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_module_statement_token1] = ACTIONS(5104),
    [aux_sym_submodule_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_block_data_statement_token3] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_function_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5104),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(4850),
    [aux_sym_preproc_include_token1] = ACTIONS(4848),
    [aux_sym_preproc_def_token1] = ACTIONS(4848),
    [aux_sym_preproc_if_token1] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4848),
    [sym_preproc_directive] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token2] = ACTIONS(4848),
    [aux_sym_module_statement_token1] = ACTIONS(4848),
    [aux_sym_submodule_statement_token1] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [aux_sym_interface_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token2] = ACTIONS(4848),
    [aux_sym_block_data_statement_token3] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4848),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4848),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4848),
    [aux_sym_function_statement_token1] = ACTIONS(4848),
    [aux_sym_language_binding_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4848),
    [aux_sym_contains_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token2] = ACTIONS(4848),
    [aux_sym_implicit_statement_token1] = ACTIONS(4848),
    [aux_sym_implicit_statement_token3] = ACTIONS(4848),
    [aux_sym_implicit_statement_token4] = ACTIONS(4848),
    [aux_sym_save_statement_token1] = ACTIONS(4848),
    [aux_sym_private_statement_token1] = ACTIONS(4848),
    [aux_sym_public_statement_token1] = ACTIONS(4848),
    [aux_sym_namelist_statement_token1] = ACTIONS(4848),
    [aux_sym_common_statement_token1] = ACTIONS(4848),
    [aux_sym_import_statement_token1] = ACTIONS(4848),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4848),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4848),
    [aux_sym_variable_attributes_token1] = ACTIONS(4848),
    [aux_sym_variable_attributes_token2] = ACTIONS(4848),
    [aux_sym_variable_attributes_token3] = ACTIONS(4848),
    [aux_sym_variable_attributes_token4] = ACTIONS(4848),
    [aux_sym_variable_attributes_token5] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4848),
    [aux_sym_derived_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4848),
    [aux_sym_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4848),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token2] = ACTIONS(4848),
    [aux_sym_subroutine_call_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token2] = ACTIONS(4848),
    [aux_sym_keyword_statement_token3] = ACTIONS(4848),
    [aux_sym_keyword_statement_token4] = ACTIONS(4848),
    [aux_sym_keyword_statement_token6] = ACTIONS(4848),
    [aux_sym_keyword_statement_token7] = ACTIONS(4848),
    [aux_sym_include_statement_token1] = ACTIONS(4848),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4848),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4848),
    [aux_sym_end_if_statement_token1] = ACTIONS(4848),
    [aux_sym_elseif_clause_token2] = ACTIONS(4848),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4848),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token3] = ACTIONS(4848),
    [aux_sym_select_type_statement_token1] = ACTIONS(4848),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4848),
    [aux_sym_associate_statement_token1] = ACTIONS(4848),
    [aux_sym_format_statement_token1] = ACTIONS(4848),
    [aux_sym_print_statement_token1] = ACTIONS(4848),
    [aux_sym_open_statement_token1] = ACTIONS(4848),
    [aux_sym_close_statement_token1] = ACTIONS(4848),
    [aux_sym_inquire_statement_token1] = ACTIONS(4848),
    [aux_sym_enum_statement_token1] = ACTIONS(4848),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token2] = ACTIONS(4848),
    [aux_sym_file_position_statement_token3] = ACTIONS(4848),
    [aux_sym_file_position_statement_token4] = ACTIONS(4848),
    [aux_sym_allocate_statement_token1] = ACTIONS(4848),
    [aux_sym_entry_statement_token1] = ACTIONS(4848),
    [aux_sym_assign_statement_token1] = ACTIONS(4848),
    [aux_sym_logical_expression_token5] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [aux_sym_boolean_literal_token1] = ACTIONS(4850),
    [aux_sym_boolean_literal_token2] = ACTIONS(4850),
    [aux_sym_null_literal_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token2] = ACTIONS(4848),
    [aux_sym_coarray_statement_token6] = ACTIONS(4848),
    [aux_sym_coarray_statement_token8] = ACTIONS(4848),
    [aux_sym_coarray_statement_token11] = ACTIONS(4848),
    [aux_sym_coarray_statement_token12] = ACTIONS(4848),
    [aux_sym_coarray_statement_token13] = ACTIONS(4848),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4848),
    [aux_sym_identifier_token1] = ACTIONS(4848),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4850),
    [sym__float_literal] = ACTIONS(4850),
    [sym__boz_literal] = ACTIONS(4850),
    [sym__string_literal] = ACTIONS(4850),
    [sym__string_literal_kind] = ACTIONS(4850),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(4858),
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [aux_sym_module_statement_token1] = ACTIONS(4856),
    [aux_sym_submodule_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_block_data_statement_token3] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_function_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4856),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(4842),
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [aux_sym_module_statement_token1] = ACTIONS(4840),
    [aux_sym_submodule_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_block_data_statement_token3] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_function_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4840),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(4898),
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [aux_sym_module_statement_token1] = ACTIONS(4896),
    [aux_sym_submodule_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_block_data_statement_token3] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_function_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4896),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(4994),
    [aux_sym_preproc_include_token1] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_DASH] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token2] = ACTIONS(4992),
    [aux_sym_module_statement_token1] = ACTIONS(4992),
    [aux_sym_submodule_statement_token1] = ACTIONS(4992),
    [anon_sym_SEMI] = ACTIONS(4994),
    [aux_sym_interface_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token2] = ACTIONS(4992),
    [aux_sym_block_data_statement_token3] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4992),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4992),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4992),
    [aux_sym_function_statement_token1] = ACTIONS(4992),
    [aux_sym_language_binding_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4992),
    [aux_sym_contains_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token2] = ACTIONS(4992),
    [aux_sym_implicit_statement_token1] = ACTIONS(4992),
    [aux_sym_implicit_statement_token3] = ACTIONS(4992),
    [aux_sym_implicit_statement_token4] = ACTIONS(4992),
    [aux_sym_save_statement_token1] = ACTIONS(4992),
    [aux_sym_private_statement_token1] = ACTIONS(4992),
    [aux_sym_public_statement_token1] = ACTIONS(4992),
    [aux_sym_namelist_statement_token1] = ACTIONS(4992),
    [aux_sym_common_statement_token1] = ACTIONS(4992),
    [aux_sym_import_statement_token1] = ACTIONS(4992),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4992),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4992),
    [aux_sym_variable_attributes_token1] = ACTIONS(4992),
    [aux_sym_variable_attributes_token2] = ACTIONS(4992),
    [aux_sym_variable_attributes_token3] = ACTIONS(4992),
    [aux_sym_variable_attributes_token4] = ACTIONS(4992),
    [aux_sym_variable_attributes_token5] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4992),
    [aux_sym_derived_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4992),
    [aux_sym_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4992),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token2] = ACTIONS(4992),
    [aux_sym_subroutine_call_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token2] = ACTIONS(4992),
    [aux_sym_keyword_statement_token3] = ACTIONS(4992),
    [aux_sym_keyword_statement_token4] = ACTIONS(4992),
    [aux_sym_keyword_statement_token6] = ACTIONS(4992),
    [aux_sym_keyword_statement_token7] = ACTIONS(4992),
    [aux_sym_include_statement_token1] = ACTIONS(4992),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4992),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4992),
    [aux_sym_end_if_statement_token1] = ACTIONS(4992),
    [aux_sym_elseif_clause_token2] = ACTIONS(4992),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4992),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token3] = ACTIONS(4992),
    [aux_sym_select_type_statement_token1] = ACTIONS(4992),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4992),
    [aux_sym_associate_statement_token1] = ACTIONS(4992),
    [aux_sym_format_statement_token1] = ACTIONS(4992),
    [aux_sym_print_statement_token1] = ACTIONS(4992),
    [aux_sym_open_statement_token1] = ACTIONS(4992),
    [aux_sym_close_statement_token1] = ACTIONS(4992),
    [aux_sym_inquire_statement_token1] = ACTIONS(4992),
    [aux_sym_enum_statement_token1] = ACTIONS(4992),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token2] = ACTIONS(4992),
    [aux_sym_file_position_statement_token3] = ACTIONS(4992),
    [aux_sym_file_position_statement_token4] = ACTIONS(4992),
    [aux_sym_allocate_statement_token1] = ACTIONS(4992),
    [aux_sym_entry_statement_token1] = ACTIONS(4992),
    [aux_sym_assign_statement_token1] = ACTIONS(4992),
    [aux_sym_logical_expression_token5] = ACTIONS(4994),
    [anon_sym_DOT] = ACTIONS(4992),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4994),
    [anon_sym_LBRACK] = ACTIONS(4994),
    [aux_sym_boolean_literal_token1] = ACTIONS(4994),
    [aux_sym_boolean_literal_token2] = ACTIONS(4994),
    [aux_sym_null_literal_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token2] = ACTIONS(4992),
    [aux_sym_coarray_statement_token6] = ACTIONS(4992),
    [aux_sym_coarray_statement_token8] = ACTIONS(4992),
    [aux_sym_coarray_statement_token11] = ACTIONS(4992),
    [aux_sym_coarray_statement_token12] = ACTIONS(4992),
    [aux_sym_coarray_statement_token13] = ACTIONS(4992),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4992),
    [aux_sym_identifier_token1] = ACTIONS(4992),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4994),
    [sym__float_literal] = ACTIONS(4994),
    [sym__boz_literal] = ACTIONS(4994),
    [sym__string_literal] = ACTIONS(4994),
    [sym__string_literal_kind] = ACTIONS(4994),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(4998),
    [aux_sym_preproc_include_token1] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4998),
    [anon_sym_DASH] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token2] = ACTIONS(4996),
    [aux_sym_module_statement_token1] = ACTIONS(4996),
    [aux_sym_submodule_statement_token1] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4998),
    [aux_sym_interface_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token2] = ACTIONS(4996),
    [aux_sym_block_data_statement_token3] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4996),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4996),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4996),
    [aux_sym_function_statement_token1] = ACTIONS(4996),
    [aux_sym_language_binding_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4996),
    [aux_sym_contains_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token2] = ACTIONS(4996),
    [aux_sym_implicit_statement_token1] = ACTIONS(4996),
    [aux_sym_implicit_statement_token3] = ACTIONS(4996),
    [aux_sym_implicit_statement_token4] = ACTIONS(4996),
    [aux_sym_save_statement_token1] = ACTIONS(4996),
    [aux_sym_private_statement_token1] = ACTIONS(4996),
    [aux_sym_public_statement_token1] = ACTIONS(4996),
    [aux_sym_namelist_statement_token1] = ACTIONS(4996),
    [aux_sym_common_statement_token1] = ACTIONS(4996),
    [aux_sym_import_statement_token1] = ACTIONS(4996),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4996),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4996),
    [aux_sym_variable_attributes_token1] = ACTIONS(4996),
    [aux_sym_variable_attributes_token2] = ACTIONS(4996),
    [aux_sym_variable_attributes_token3] = ACTIONS(4996),
    [aux_sym_variable_attributes_token4] = ACTIONS(4996),
    [aux_sym_variable_attributes_token5] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4996),
    [aux_sym_derived_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4996),
    [aux_sym_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4996),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token2] = ACTIONS(4996),
    [aux_sym_subroutine_call_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token2] = ACTIONS(4996),
    [aux_sym_keyword_statement_token3] = ACTIONS(4996),
    [aux_sym_keyword_statement_token4] = ACTIONS(4996),
    [aux_sym_keyword_statement_token6] = ACTIONS(4996),
    [aux_sym_keyword_statement_token7] = ACTIONS(4996),
    [aux_sym_include_statement_token1] = ACTIONS(4996),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4996),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4996),
    [aux_sym_end_if_statement_token1] = ACTIONS(4996),
    [aux_sym_elseif_clause_token2] = ACTIONS(4996),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4996),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token3] = ACTIONS(4996),
    [aux_sym_select_type_statement_token1] = ACTIONS(4996),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4996),
    [aux_sym_associate_statement_token1] = ACTIONS(4996),
    [aux_sym_format_statement_token1] = ACTIONS(4996),
    [aux_sym_print_statement_token1] = ACTIONS(4996),
    [aux_sym_open_statement_token1] = ACTIONS(4996),
    [aux_sym_close_statement_token1] = ACTIONS(4996),
    [aux_sym_inquire_statement_token1] = ACTIONS(4996),
    [aux_sym_enum_statement_token1] = ACTIONS(4996),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token2] = ACTIONS(4996),
    [aux_sym_file_position_statement_token3] = ACTIONS(4996),
    [aux_sym_file_position_statement_token4] = ACTIONS(4996),
    [aux_sym_allocate_statement_token1] = ACTIONS(4996),
    [aux_sym_entry_statement_token1] = ACTIONS(4996),
    [aux_sym_assign_statement_token1] = ACTIONS(4996),
    [aux_sym_logical_expression_token5] = ACTIONS(4998),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4998),
    [anon_sym_LBRACK] = ACTIONS(4998),
    [aux_sym_boolean_literal_token1] = ACTIONS(4998),
    [aux_sym_boolean_literal_token2] = ACTIONS(4998),
    [aux_sym_null_literal_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token2] = ACTIONS(4996),
    [aux_sym_coarray_statement_token6] = ACTIONS(4996),
    [aux_sym_coarray_statement_token8] = ACTIONS(4996),
    [aux_sym_coarray_statement_token11] = ACTIONS(4996),
    [aux_sym_coarray_statement_token12] = ACTIONS(4996),
    [aux_sym_coarray_statement_token13] = ACTIONS(4996),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4996),
    [aux_sym_identifier_token1] = ACTIONS(4996),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4998),
    [sym__float_literal] = ACTIONS(4998),
    [sym__boz_literal] = ACTIONS(4998),
    [sym__string_literal] = ACTIONS(4998),
    [sym__string_literal_kind] = ACTIONS(4998),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(5066),
    [aux_sym_preproc_include_token1] = ACTIONS(5064),
    [aux_sym_preproc_def_token1] = ACTIONS(5064),
    [aux_sym_preproc_if_token1] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5064),
    [sym_preproc_directive] = ACTIONS(5064),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_PLUS] = ACTIONS(5066),
    [anon_sym_DASH] = ACTIONS(5066),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token2] = ACTIONS(5064),
    [aux_sym_module_statement_token1] = ACTIONS(5064),
    [aux_sym_submodule_statement_token1] = ACTIONS(5064),
    [anon_sym_SEMI] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token2] = ACTIONS(5064),
    [aux_sym_block_data_statement_token3] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5064),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5064),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5064),
    [aux_sym_function_statement_token1] = ACTIONS(5064),
    [aux_sym_language_binding_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5064),
    [aux_sym_contains_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token2] = ACTIONS(5064),
    [aux_sym_implicit_statement_token1] = ACTIONS(5064),
    [aux_sym_implicit_statement_token3] = ACTIONS(5064),
    [aux_sym_implicit_statement_token4] = ACTIONS(5064),
    [aux_sym_save_statement_token1] = ACTIONS(5064),
    [aux_sym_private_statement_token1] = ACTIONS(5064),
    [aux_sym_public_statement_token1] = ACTIONS(5064),
    [aux_sym_namelist_statement_token1] = ACTIONS(5064),
    [aux_sym_common_statement_token1] = ACTIONS(5064),
    [aux_sym_import_statement_token1] = ACTIONS(5064),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5064),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5064),
    [aux_sym_variable_attributes_token1] = ACTIONS(5064),
    [aux_sym_variable_attributes_token2] = ACTIONS(5064),
    [aux_sym_variable_attributes_token3] = ACTIONS(5064),
    [aux_sym_variable_attributes_token4] = ACTIONS(5064),
    [aux_sym_variable_attributes_token5] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5064),
    [aux_sym_derived_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5064),
    [aux_sym_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5064),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token2] = ACTIONS(5064),
    [aux_sym_subroutine_call_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token2] = ACTIONS(5064),
    [aux_sym_keyword_statement_token3] = ACTIONS(5064),
    [aux_sym_keyword_statement_token4] = ACTIONS(5064),
    [aux_sym_keyword_statement_token6] = ACTIONS(5064),
    [aux_sym_keyword_statement_token7] = ACTIONS(5064),
    [aux_sym_include_statement_token1] = ACTIONS(5064),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5064),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5064),
    [aux_sym_end_if_statement_token1] = ACTIONS(5064),
    [aux_sym_elseif_clause_token2] = ACTIONS(5064),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5064),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token3] = ACTIONS(5064),
    [aux_sym_select_type_statement_token1] = ACTIONS(5064),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5064),
    [aux_sym_associate_statement_token1] = ACTIONS(5064),
    [aux_sym_format_statement_token1] = ACTIONS(5064),
    [aux_sym_print_statement_token1] = ACTIONS(5064),
    [aux_sym_open_statement_token1] = ACTIONS(5064),
    [aux_sym_close_statement_token1] = ACTIONS(5064),
    [aux_sym_inquire_statement_token1] = ACTIONS(5064),
    [aux_sym_enum_statement_token1] = ACTIONS(5064),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token2] = ACTIONS(5064),
    [aux_sym_file_position_statement_token3] = ACTIONS(5064),
    [aux_sym_file_position_statement_token4] = ACTIONS(5064),
    [aux_sym_allocate_statement_token1] = ACTIONS(5064),
    [aux_sym_entry_statement_token1] = ACTIONS(5064),
    [aux_sym_assign_statement_token1] = ACTIONS(5064),
    [aux_sym_logical_expression_token5] = ACTIONS(5066),
    [anon_sym_DOT] = ACTIONS(5064),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [aux_sym_boolean_literal_token1] = ACTIONS(5066),
    [aux_sym_boolean_literal_token2] = ACTIONS(5066),
    [aux_sym_null_literal_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token2] = ACTIONS(5064),
    [aux_sym_coarray_statement_token6] = ACTIONS(5064),
    [aux_sym_coarray_statement_token8] = ACTIONS(5064),
    [aux_sym_coarray_statement_token11] = ACTIONS(5064),
    [aux_sym_coarray_statement_token12] = ACTIONS(5064),
    [aux_sym_coarray_statement_token13] = ACTIONS(5064),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5064),
    [aux_sym_identifier_token1] = ACTIONS(5064),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5066),
    [sym__float_literal] = ACTIONS(5066),
    [sym__boz_literal] = ACTIONS(5066),
    [sym__string_literal] = ACTIONS(5066),
    [sym__string_literal_kind] = ACTIONS(5066),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(5070),
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5068),
    [aux_sym_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(5074),
    [aux_sym_preproc_include_token1] = ACTIONS(5072),
    [aux_sym_preproc_def_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5072),
    [sym_preproc_directive] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token2] = ACTIONS(5072),
    [aux_sym_module_statement_token1] = ACTIONS(5072),
    [aux_sym_submodule_statement_token1] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token2] = ACTIONS(5072),
    [aux_sym_block_data_statement_token3] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5072),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5072),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5072),
    [aux_sym_function_statement_token1] = ACTIONS(5072),
    [aux_sym_language_binding_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5072),
    [aux_sym_contains_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token2] = ACTIONS(5072),
    [aux_sym_implicit_statement_token1] = ACTIONS(5072),
    [aux_sym_implicit_statement_token3] = ACTIONS(5072),
    [aux_sym_implicit_statement_token4] = ACTIONS(5072),
    [aux_sym_save_statement_token1] = ACTIONS(5072),
    [aux_sym_private_statement_token1] = ACTIONS(5072),
    [aux_sym_public_statement_token1] = ACTIONS(5072),
    [aux_sym_namelist_statement_token1] = ACTIONS(5072),
    [aux_sym_common_statement_token1] = ACTIONS(5072),
    [aux_sym_import_statement_token1] = ACTIONS(5072),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5072),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5072),
    [aux_sym_variable_attributes_token1] = ACTIONS(5072),
    [aux_sym_variable_attributes_token2] = ACTIONS(5072),
    [aux_sym_variable_attributes_token3] = ACTIONS(5072),
    [aux_sym_variable_attributes_token4] = ACTIONS(5072),
    [aux_sym_variable_attributes_token5] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5072),
    [aux_sym_derived_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5072),
    [aux_sym_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5072),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token2] = ACTIONS(5072),
    [aux_sym_subroutine_call_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token2] = ACTIONS(5072),
    [aux_sym_keyword_statement_token3] = ACTIONS(5072),
    [aux_sym_keyword_statement_token4] = ACTIONS(5072),
    [aux_sym_keyword_statement_token6] = ACTIONS(5072),
    [aux_sym_keyword_statement_token7] = ACTIONS(5072),
    [aux_sym_include_statement_token1] = ACTIONS(5072),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5072),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5072),
    [aux_sym_end_if_statement_token1] = ACTIONS(5072),
    [aux_sym_elseif_clause_token2] = ACTIONS(5072),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5072),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token3] = ACTIONS(5072),
    [aux_sym_select_type_statement_token1] = ACTIONS(5072),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5072),
    [aux_sym_associate_statement_token1] = ACTIONS(5072),
    [aux_sym_format_statement_token1] = ACTIONS(5072),
    [aux_sym_print_statement_token1] = ACTIONS(5072),
    [aux_sym_open_statement_token1] = ACTIONS(5072),
    [aux_sym_close_statement_token1] = ACTIONS(5072),
    [aux_sym_inquire_statement_token1] = ACTIONS(5072),
    [aux_sym_enum_statement_token1] = ACTIONS(5072),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token2] = ACTIONS(5072),
    [aux_sym_file_position_statement_token3] = ACTIONS(5072),
    [aux_sym_file_position_statement_token4] = ACTIONS(5072),
    [aux_sym_allocate_statement_token1] = ACTIONS(5072),
    [aux_sym_entry_statement_token1] = ACTIONS(5072),
    [aux_sym_assign_statement_token1] = ACTIONS(5072),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token2] = ACTIONS(5072),
    [aux_sym_coarray_statement_token6] = ACTIONS(5072),
    [aux_sym_coarray_statement_token8] = ACTIONS(5072),
    [aux_sym_coarray_statement_token11] = ACTIONS(5072),
    [aux_sym_coarray_statement_token12] = ACTIONS(5072),
    [aux_sym_coarray_statement_token13] = ACTIONS(5072),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5072),
    [aux_sym_identifier_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(4946),
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [aux_sym_module_statement_token1] = ACTIONS(4944),
    [aux_sym_submodule_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_block_data_statement_token3] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_function_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4944),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(4902),
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [aux_sym_module_statement_token1] = ACTIONS(4900),
    [aux_sym_submodule_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_block_data_statement_token3] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_function_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4900),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(4790),
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(4778),
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(4930),
    [aux_sym_preproc_include_token1] = ACTIONS(4928),
    [aux_sym_preproc_def_token1] = ACTIONS(4928),
    [aux_sym_preproc_if_token1] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4928),
    [sym_preproc_directive] = ACTIONS(4928),
    [anon_sym_LPAREN2] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token2] = ACTIONS(4928),
    [aux_sym_module_statement_token1] = ACTIONS(4928),
    [aux_sym_submodule_statement_token1] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [aux_sym_interface_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token2] = ACTIONS(4928),
    [aux_sym_block_data_statement_token3] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4928),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4928),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4928),
    [aux_sym_function_statement_token1] = ACTIONS(4928),
    [aux_sym_language_binding_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4928),
    [aux_sym_contains_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token2] = ACTIONS(4928),
    [aux_sym_implicit_statement_token1] = ACTIONS(4928),
    [aux_sym_implicit_statement_token3] = ACTIONS(4928),
    [aux_sym_implicit_statement_token4] = ACTIONS(4928),
    [aux_sym_save_statement_token1] = ACTIONS(4928),
    [aux_sym_private_statement_token1] = ACTIONS(4928),
    [aux_sym_public_statement_token1] = ACTIONS(4928),
    [aux_sym_namelist_statement_token1] = ACTIONS(4928),
    [aux_sym_common_statement_token1] = ACTIONS(4928),
    [aux_sym_import_statement_token1] = ACTIONS(4928),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4928),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4928),
    [aux_sym_variable_attributes_token1] = ACTIONS(4928),
    [aux_sym_variable_attributes_token2] = ACTIONS(4928),
    [aux_sym_variable_attributes_token3] = ACTIONS(4928),
    [aux_sym_variable_attributes_token4] = ACTIONS(4928),
    [aux_sym_variable_attributes_token5] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4928),
    [aux_sym_derived_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4928),
    [aux_sym_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4928),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token2] = ACTIONS(4928),
    [aux_sym_subroutine_call_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token2] = ACTIONS(4928),
    [aux_sym_keyword_statement_token3] = ACTIONS(4928),
    [aux_sym_keyword_statement_token4] = ACTIONS(4928),
    [aux_sym_keyword_statement_token6] = ACTIONS(4928),
    [aux_sym_keyword_statement_token7] = ACTIONS(4928),
    [aux_sym_include_statement_token1] = ACTIONS(4928),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4928),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4928),
    [aux_sym_end_if_statement_token1] = ACTIONS(4928),
    [aux_sym_elseif_clause_token2] = ACTIONS(4928),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4928),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token3] = ACTIONS(4928),
    [aux_sym_select_type_statement_token1] = ACTIONS(4928),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4928),
    [aux_sym_associate_statement_token1] = ACTIONS(4928),
    [aux_sym_format_statement_token1] = ACTIONS(4928),
    [aux_sym_print_statement_token1] = ACTIONS(4928),
    [aux_sym_open_statement_token1] = ACTIONS(4928),
    [aux_sym_close_statement_token1] = ACTIONS(4928),
    [aux_sym_inquire_statement_token1] = ACTIONS(4928),
    [aux_sym_enum_statement_token1] = ACTIONS(4928),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token2] = ACTIONS(4928),
    [aux_sym_file_position_statement_token3] = ACTIONS(4928),
    [aux_sym_file_position_statement_token4] = ACTIONS(4928),
    [aux_sym_allocate_statement_token1] = ACTIONS(4928),
    [aux_sym_entry_statement_token1] = ACTIONS(4928),
    [aux_sym_assign_statement_token1] = ACTIONS(4928),
    [aux_sym_logical_expression_token5] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [aux_sym_boolean_literal_token1] = ACTIONS(4930),
    [aux_sym_boolean_literal_token2] = ACTIONS(4930),
    [aux_sym_null_literal_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token2] = ACTIONS(4928),
    [aux_sym_coarray_statement_token6] = ACTIONS(4928),
    [aux_sym_coarray_statement_token8] = ACTIONS(4928),
    [aux_sym_coarray_statement_token11] = ACTIONS(4928),
    [aux_sym_coarray_statement_token12] = ACTIONS(4928),
    [aux_sym_coarray_statement_token13] = ACTIONS(4928),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4928),
    [aux_sym_identifier_token1] = ACTIONS(4928),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4930),
    [sym__float_literal] = ACTIONS(4930),
    [sym__boz_literal] = ACTIONS(4930),
    [sym__string_literal] = ACTIONS(4930),
    [sym__string_literal_kind] = ACTIONS(4930),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(4934),
    [aux_sym_preproc_include_token1] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token2] = ACTIONS(4932),
    [aux_sym_module_statement_token1] = ACTIONS(4932),
    [aux_sym_submodule_statement_token1] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4934),
    [aux_sym_interface_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token2] = ACTIONS(4932),
    [aux_sym_block_data_statement_token3] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4932),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4932),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4932),
    [aux_sym_function_statement_token1] = ACTIONS(4932),
    [aux_sym_language_binding_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4932),
    [aux_sym_contains_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token2] = ACTIONS(4932),
    [aux_sym_implicit_statement_token1] = ACTIONS(4932),
    [aux_sym_implicit_statement_token3] = ACTIONS(4932),
    [aux_sym_implicit_statement_token4] = ACTIONS(4932),
    [aux_sym_save_statement_token1] = ACTIONS(4932),
    [aux_sym_private_statement_token1] = ACTIONS(4932),
    [aux_sym_public_statement_token1] = ACTIONS(4932),
    [aux_sym_namelist_statement_token1] = ACTIONS(4932),
    [aux_sym_common_statement_token1] = ACTIONS(4932),
    [aux_sym_import_statement_token1] = ACTIONS(4932),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4932),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4932),
    [aux_sym_variable_attributes_token1] = ACTIONS(4932),
    [aux_sym_variable_attributes_token2] = ACTIONS(4932),
    [aux_sym_variable_attributes_token3] = ACTIONS(4932),
    [aux_sym_variable_attributes_token4] = ACTIONS(4932),
    [aux_sym_variable_attributes_token5] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4932),
    [aux_sym_derived_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4932),
    [aux_sym_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4932),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token2] = ACTIONS(4932),
    [aux_sym_subroutine_call_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token2] = ACTIONS(4932),
    [aux_sym_keyword_statement_token3] = ACTIONS(4932),
    [aux_sym_keyword_statement_token4] = ACTIONS(4932),
    [aux_sym_keyword_statement_token6] = ACTIONS(4932),
    [aux_sym_keyword_statement_token7] = ACTIONS(4932),
    [aux_sym_include_statement_token1] = ACTIONS(4932),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4932),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4932),
    [aux_sym_end_if_statement_token1] = ACTIONS(4932),
    [aux_sym_elseif_clause_token2] = ACTIONS(4932),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4932),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token3] = ACTIONS(4932),
    [aux_sym_select_type_statement_token1] = ACTIONS(4932),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4932),
    [aux_sym_associate_statement_token1] = ACTIONS(4932),
    [aux_sym_format_statement_token1] = ACTIONS(4932),
    [aux_sym_print_statement_token1] = ACTIONS(4932),
    [aux_sym_open_statement_token1] = ACTIONS(4932),
    [aux_sym_close_statement_token1] = ACTIONS(4932),
    [aux_sym_inquire_statement_token1] = ACTIONS(4932),
    [aux_sym_enum_statement_token1] = ACTIONS(4932),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token2] = ACTIONS(4932),
    [aux_sym_file_position_statement_token3] = ACTIONS(4932),
    [aux_sym_file_position_statement_token4] = ACTIONS(4932),
    [aux_sym_allocate_statement_token1] = ACTIONS(4932),
    [aux_sym_entry_statement_token1] = ACTIONS(4932),
    [aux_sym_assign_statement_token1] = ACTIONS(4932),
    [aux_sym_logical_expression_token5] = ACTIONS(4934),
    [anon_sym_DOT] = ACTIONS(4932),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4934),
    [anon_sym_LBRACK] = ACTIONS(4934),
    [aux_sym_boolean_literal_token1] = ACTIONS(4934),
    [aux_sym_boolean_literal_token2] = ACTIONS(4934),
    [aux_sym_null_literal_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token2] = ACTIONS(4932),
    [aux_sym_coarray_statement_token6] = ACTIONS(4932),
    [aux_sym_coarray_statement_token8] = ACTIONS(4932),
    [aux_sym_coarray_statement_token11] = ACTIONS(4932),
    [aux_sym_coarray_statement_token12] = ACTIONS(4932),
    [aux_sym_coarray_statement_token13] = ACTIONS(4932),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4932),
    [aux_sym_identifier_token1] = ACTIONS(4932),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4934),
    [sym__float_literal] = ACTIONS(4934),
    [sym__boz_literal] = ACTIONS(4934),
    [sym__string_literal] = ACTIONS(4934),
    [sym__string_literal_kind] = ACTIONS(4934),
  },
  [1050] = {
    [ts_builtin_sym_end] = ACTIONS(705),
    [aux_sym_preproc_include_token1] = ACTIONS(352),
    [aux_sym_preproc_def_token1] = ACTIONS(352),
    [aux_sym_preproc_if_token1] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(352),
    [sym_preproc_directive] = ACTIONS(352),
    [anon_sym_LPAREN2] = ACTIONS(352),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token2] = ACTIONS(352),
    [aux_sym_module_statement_token1] = ACTIONS(352),
    [aux_sym_submodule_statement_token1] = ACTIONS(352),
    [anon_sym_SEMI] = ACTIONS(705),
    [aux_sym_interface_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token2] = ACTIONS(352),
    [aux_sym_block_data_statement_token3] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(352),
    [aux_sym_function_statement_token1] = ACTIONS(352),
    [aux_sym_language_binding_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(352),
    [aux_sym_contains_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token2] = ACTIONS(352),
    [aux_sym_implicit_statement_token1] = ACTIONS(352),
    [aux_sym_implicit_statement_token3] = ACTIONS(352),
    [aux_sym_implicit_statement_token4] = ACTIONS(352),
    [aux_sym_save_statement_token1] = ACTIONS(352),
    [aux_sym_private_statement_token1] = ACTIONS(352),
    [aux_sym_public_statement_token1] = ACTIONS(352),
    [aux_sym_namelist_statement_token1] = ACTIONS(352),
    [aux_sym_common_statement_token1] = ACTIONS(352),
    [aux_sym_import_statement_token1] = ACTIONS(352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(352),
    [aux_sym_variable_attributes_token1] = ACTIONS(352),
    [aux_sym_variable_attributes_token2] = ACTIONS(352),
    [aux_sym_variable_attributes_token3] = ACTIONS(352),
    [aux_sym_variable_attributes_token4] = ACTIONS(352),
    [aux_sym_variable_attributes_token5] = ACTIONS(352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(352),
    [aux_sym_derived_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(352),
    [aux_sym_type_qualifier_token1] = ACTIONS(352),
    [aux_sym_type_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token2] = ACTIONS(352),
    [aux_sym_subroutine_call_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token2] = ACTIONS(352),
    [aux_sym_keyword_statement_token3] = ACTIONS(352),
    [aux_sym_keyword_statement_token4] = ACTIONS(352),
    [aux_sym_keyword_statement_token6] = ACTIONS(352),
    [aux_sym_keyword_statement_token7] = ACTIONS(352),
    [aux_sym_include_statement_token1] = ACTIONS(352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(352),
    [aux_sym_end_if_statement_token1] = ACTIONS(352),
    [aux_sym_elseif_clause_token2] = ACTIONS(352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token3] = ACTIONS(352),
    [aux_sym_select_type_statement_token1] = ACTIONS(352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(352),
    [aux_sym_associate_statement_token1] = ACTIONS(352),
    [aux_sym_format_statement_token1] = ACTIONS(352),
    [aux_sym_print_statement_token1] = ACTIONS(352),
    [aux_sym_open_statement_token1] = ACTIONS(352),
    [aux_sym_close_statement_token1] = ACTIONS(352),
    [aux_sym_inquire_statement_token1] = ACTIONS(352),
    [aux_sym_enum_statement_token1] = ACTIONS(352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token2] = ACTIONS(352),
    [aux_sym_file_position_statement_token3] = ACTIONS(352),
    [aux_sym_file_position_statement_token4] = ACTIONS(352),
    [aux_sym_allocate_statement_token1] = ACTIONS(352),
    [aux_sym_entry_statement_token1] = ACTIONS(352),
    [aux_sym_assign_statement_token1] = ACTIONS(352),
    [aux_sym_logical_expression_token5] = ACTIONS(705),
    [anon_sym_DOT] = ACTIONS(352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(705),
    [aux_sym_boolean_literal_token1] = ACTIONS(705),
    [aux_sym_boolean_literal_token2] = ACTIONS(705),
    [aux_sym_null_literal_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token2] = ACTIONS(352),
    [aux_sym_coarray_statement_token6] = ACTIONS(352),
    [aux_sym_coarray_statement_token8] = ACTIONS(352),
    [aux_sym_coarray_statement_token11] = ACTIONS(352),
    [aux_sym_coarray_statement_token12] = ACTIONS(352),
    [aux_sym_coarray_statement_token13] = ACTIONS(352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(352),
    [aux_sym_identifier_token1] = ACTIONS(352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(705),
    [sym__float_literal] = ACTIONS(705),
    [sym__boz_literal] = ACTIONS(705),
    [sym__string_literal] = ACTIONS(705),
    [sym__string_literal_kind] = ACTIONS(705),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(4846),
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token2] = ACTIONS(4844),
    [aux_sym_module_statement_token1] = ACTIONS(4844),
    [aux_sym_submodule_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_block_data_statement_token3] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_function_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4844),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(5006),
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token2] = ACTIONS(5004),
    [aux_sym_module_statement_token1] = ACTIONS(5004),
    [aux_sym_submodule_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_block_data_statement_token3] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_function_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5004),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(4938),
    [aux_sym_preproc_include_token1] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token2] = ACTIONS(4936),
    [aux_sym_module_statement_token1] = ACTIONS(4936),
    [aux_sym_submodule_statement_token1] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4938),
    [aux_sym_interface_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token2] = ACTIONS(4936),
    [aux_sym_block_data_statement_token3] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4936),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4936),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4936),
    [aux_sym_function_statement_token1] = ACTIONS(4936),
    [aux_sym_language_binding_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4936),
    [aux_sym_contains_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token2] = ACTIONS(4936),
    [aux_sym_implicit_statement_token1] = ACTIONS(4936),
    [aux_sym_implicit_statement_token3] = ACTIONS(4936),
    [aux_sym_implicit_statement_token4] = ACTIONS(4936),
    [aux_sym_save_statement_token1] = ACTIONS(4936),
    [aux_sym_private_statement_token1] = ACTIONS(4936),
    [aux_sym_public_statement_token1] = ACTIONS(4936),
    [aux_sym_namelist_statement_token1] = ACTIONS(4936),
    [aux_sym_common_statement_token1] = ACTIONS(4936),
    [aux_sym_import_statement_token1] = ACTIONS(4936),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4936),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4936),
    [aux_sym_variable_attributes_token1] = ACTIONS(4936),
    [aux_sym_variable_attributes_token2] = ACTIONS(4936),
    [aux_sym_variable_attributes_token3] = ACTIONS(4936),
    [aux_sym_variable_attributes_token4] = ACTIONS(4936),
    [aux_sym_variable_attributes_token5] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4936),
    [aux_sym_derived_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4936),
    [aux_sym_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4936),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token2] = ACTIONS(4936),
    [aux_sym_subroutine_call_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token2] = ACTIONS(4936),
    [aux_sym_keyword_statement_token3] = ACTIONS(4936),
    [aux_sym_keyword_statement_token4] = ACTIONS(4936),
    [aux_sym_keyword_statement_token6] = ACTIONS(4936),
    [aux_sym_keyword_statement_token7] = ACTIONS(4936),
    [aux_sym_include_statement_token1] = ACTIONS(4936),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4936),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4936),
    [aux_sym_end_if_statement_token1] = ACTIONS(4936),
    [aux_sym_elseif_clause_token2] = ACTIONS(4936),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4936),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token3] = ACTIONS(4936),
    [aux_sym_select_type_statement_token1] = ACTIONS(4936),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4936),
    [aux_sym_associate_statement_token1] = ACTIONS(4936),
    [aux_sym_format_statement_token1] = ACTIONS(4936),
    [aux_sym_print_statement_token1] = ACTIONS(4936),
    [aux_sym_open_statement_token1] = ACTIONS(4936),
    [aux_sym_close_statement_token1] = ACTIONS(4936),
    [aux_sym_inquire_statement_token1] = ACTIONS(4936),
    [aux_sym_enum_statement_token1] = ACTIONS(4936),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token2] = ACTIONS(4936),
    [aux_sym_file_position_statement_token3] = ACTIONS(4936),
    [aux_sym_file_position_statement_token4] = ACTIONS(4936),
    [aux_sym_allocate_statement_token1] = ACTIONS(4936),
    [aux_sym_entry_statement_token1] = ACTIONS(4936),
    [aux_sym_assign_statement_token1] = ACTIONS(4936),
    [aux_sym_logical_expression_token5] = ACTIONS(4938),
    [anon_sym_DOT] = ACTIONS(4936),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4938),
    [aux_sym_boolean_literal_token1] = ACTIONS(4938),
    [aux_sym_boolean_literal_token2] = ACTIONS(4938),
    [aux_sym_null_literal_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token2] = ACTIONS(4936),
    [aux_sym_coarray_statement_token6] = ACTIONS(4936),
    [aux_sym_coarray_statement_token8] = ACTIONS(4936),
    [aux_sym_coarray_statement_token11] = ACTIONS(4936),
    [aux_sym_coarray_statement_token12] = ACTIONS(4936),
    [aux_sym_coarray_statement_token13] = ACTIONS(4936),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4936),
    [aux_sym_identifier_token1] = ACTIONS(4936),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4938),
    [sym__float_literal] = ACTIONS(4938),
    [sym__boz_literal] = ACTIONS(4938),
    [sym__string_literal] = ACTIONS(4938),
    [sym__string_literal_kind] = ACTIONS(4938),
  },
  [1054] = {
    [ts_builtin_sym_end] = ACTIONS(4942),
    [aux_sym_preproc_include_token1] = ACTIONS(4940),
    [aux_sym_preproc_def_token1] = ACTIONS(4940),
    [aux_sym_preproc_if_token1] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4940),
    [sym_preproc_directive] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token2] = ACTIONS(4940),
    [aux_sym_module_statement_token1] = ACTIONS(4940),
    [aux_sym_submodule_statement_token1] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [aux_sym_interface_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token2] = ACTIONS(4940),
    [aux_sym_block_data_statement_token3] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4940),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4940),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4940),
    [aux_sym_function_statement_token1] = ACTIONS(4940),
    [aux_sym_language_binding_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4940),
    [aux_sym_contains_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token2] = ACTIONS(4940),
    [aux_sym_implicit_statement_token1] = ACTIONS(4940),
    [aux_sym_implicit_statement_token3] = ACTIONS(4940),
    [aux_sym_implicit_statement_token4] = ACTIONS(4940),
    [aux_sym_save_statement_token1] = ACTIONS(4940),
    [aux_sym_private_statement_token1] = ACTIONS(4940),
    [aux_sym_public_statement_token1] = ACTIONS(4940),
    [aux_sym_namelist_statement_token1] = ACTIONS(4940),
    [aux_sym_common_statement_token1] = ACTIONS(4940),
    [aux_sym_import_statement_token1] = ACTIONS(4940),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4940),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4940),
    [aux_sym_variable_attributes_token1] = ACTIONS(4940),
    [aux_sym_variable_attributes_token2] = ACTIONS(4940),
    [aux_sym_variable_attributes_token3] = ACTIONS(4940),
    [aux_sym_variable_attributes_token4] = ACTIONS(4940),
    [aux_sym_variable_attributes_token5] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4940),
    [aux_sym_derived_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4940),
    [aux_sym_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4940),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token2] = ACTIONS(4940),
    [aux_sym_subroutine_call_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token2] = ACTIONS(4940),
    [aux_sym_keyword_statement_token3] = ACTIONS(4940),
    [aux_sym_keyword_statement_token4] = ACTIONS(4940),
    [aux_sym_keyword_statement_token6] = ACTIONS(4940),
    [aux_sym_keyword_statement_token7] = ACTIONS(4940),
    [aux_sym_include_statement_token1] = ACTIONS(4940),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4940),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4940),
    [aux_sym_end_if_statement_token1] = ACTIONS(4940),
    [aux_sym_elseif_clause_token2] = ACTIONS(4940),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4940),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token3] = ACTIONS(4940),
    [aux_sym_select_type_statement_token1] = ACTIONS(4940),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4940),
    [aux_sym_associate_statement_token1] = ACTIONS(4940),
    [aux_sym_format_statement_token1] = ACTIONS(4940),
    [aux_sym_print_statement_token1] = ACTIONS(4940),
    [aux_sym_open_statement_token1] = ACTIONS(4940),
    [aux_sym_close_statement_token1] = ACTIONS(4940),
    [aux_sym_inquire_statement_token1] = ACTIONS(4940),
    [aux_sym_enum_statement_token1] = ACTIONS(4940),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token2] = ACTIONS(4940),
    [aux_sym_file_position_statement_token3] = ACTIONS(4940),
    [aux_sym_file_position_statement_token4] = ACTIONS(4940),
    [aux_sym_allocate_statement_token1] = ACTIONS(4940),
    [aux_sym_entry_statement_token1] = ACTIONS(4940),
    [aux_sym_assign_statement_token1] = ACTIONS(4940),
    [aux_sym_logical_expression_token5] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [aux_sym_boolean_literal_token1] = ACTIONS(4942),
    [aux_sym_boolean_literal_token2] = ACTIONS(4942),
    [aux_sym_null_literal_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token2] = ACTIONS(4940),
    [aux_sym_coarray_statement_token6] = ACTIONS(4940),
    [aux_sym_coarray_statement_token8] = ACTIONS(4940),
    [aux_sym_coarray_statement_token11] = ACTIONS(4940),
    [aux_sym_coarray_statement_token12] = ACTIONS(4940),
    [aux_sym_coarray_statement_token13] = ACTIONS(4940),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4940),
    [aux_sym_identifier_token1] = ACTIONS(4940),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4942),
    [sym__float_literal] = ACTIONS(4942),
    [sym__boz_literal] = ACTIONS(4942),
    [sym__string_literal] = ACTIONS(4942),
    [sym__string_literal_kind] = ACTIONS(4942),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(5094),
    [aux_sym_preproc_include_token1] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token2] = ACTIONS(5092),
    [aux_sym_module_statement_token1] = ACTIONS(5092),
    [aux_sym_submodule_statement_token1] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token2] = ACTIONS(5092),
    [aux_sym_block_data_statement_token3] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5092),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5092),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5092),
    [aux_sym_function_statement_token1] = ACTIONS(5092),
    [aux_sym_language_binding_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5092),
    [aux_sym_contains_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token2] = ACTIONS(5092),
    [aux_sym_implicit_statement_token1] = ACTIONS(5092),
    [aux_sym_implicit_statement_token3] = ACTIONS(5092),
    [aux_sym_implicit_statement_token4] = ACTIONS(5092),
    [aux_sym_save_statement_token1] = ACTIONS(5092),
    [aux_sym_private_statement_token1] = ACTIONS(5092),
    [aux_sym_public_statement_token1] = ACTIONS(5092),
    [aux_sym_namelist_statement_token1] = ACTIONS(5092),
    [aux_sym_common_statement_token1] = ACTIONS(5092),
    [aux_sym_import_statement_token1] = ACTIONS(5092),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5092),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5092),
    [aux_sym_variable_attributes_token1] = ACTIONS(5092),
    [aux_sym_variable_attributes_token2] = ACTIONS(5092),
    [aux_sym_variable_attributes_token3] = ACTIONS(5092),
    [aux_sym_variable_attributes_token4] = ACTIONS(5092),
    [aux_sym_variable_attributes_token5] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5092),
    [aux_sym_derived_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5092),
    [aux_sym_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5092),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token2] = ACTIONS(5092),
    [aux_sym_subroutine_call_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token2] = ACTIONS(5092),
    [aux_sym_keyword_statement_token3] = ACTIONS(5092),
    [aux_sym_keyword_statement_token4] = ACTIONS(5092),
    [aux_sym_keyword_statement_token6] = ACTIONS(5092),
    [aux_sym_keyword_statement_token7] = ACTIONS(5092),
    [aux_sym_include_statement_token1] = ACTIONS(5092),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5092),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5092),
    [aux_sym_end_if_statement_token1] = ACTIONS(5092),
    [aux_sym_elseif_clause_token2] = ACTIONS(5092),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5092),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token3] = ACTIONS(5092),
    [aux_sym_select_type_statement_token1] = ACTIONS(5092),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5092),
    [aux_sym_associate_statement_token1] = ACTIONS(5092),
    [aux_sym_format_statement_token1] = ACTIONS(5092),
    [aux_sym_print_statement_token1] = ACTIONS(5092),
    [aux_sym_open_statement_token1] = ACTIONS(5092),
    [aux_sym_close_statement_token1] = ACTIONS(5092),
    [aux_sym_inquire_statement_token1] = ACTIONS(5092),
    [aux_sym_enum_statement_token1] = ACTIONS(5092),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token2] = ACTIONS(5092),
    [aux_sym_file_position_statement_token3] = ACTIONS(5092),
    [aux_sym_file_position_statement_token4] = ACTIONS(5092),
    [aux_sym_allocate_statement_token1] = ACTIONS(5092),
    [aux_sym_entry_statement_token1] = ACTIONS(5092),
    [aux_sym_assign_statement_token1] = ACTIONS(5092),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5092),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token2] = ACTIONS(5092),
    [aux_sym_coarray_statement_token6] = ACTIONS(5092),
    [aux_sym_coarray_statement_token8] = ACTIONS(5092),
    [aux_sym_coarray_statement_token11] = ACTIONS(5092),
    [aux_sym_coarray_statement_token12] = ACTIONS(5092),
    [aux_sym_coarray_statement_token13] = ACTIONS(5092),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5092),
    [aux_sym_identifier_token1] = ACTIONS(5092),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(4810),
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_module_statement_token1] = ACTIONS(5024),
    [aux_sym_submodule_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5026),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token2] = ACTIONS(5024),
    [aux_sym_block_data_statement_token3] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_function_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_assign_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5026),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [aux_sym_boolean_literal_token1] = ACTIONS(5026),
    [aux_sym_boolean_literal_token2] = ACTIONS(5026),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5026),
    [sym__float_literal] = ACTIONS(5026),
    [sym__boz_literal] = ACTIONS(5026),
    [sym__string_literal] = ACTIONS(5026),
    [sym__string_literal_kind] = ACTIONS(5026),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(5026),
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_module_statement_token1] = ACTIONS(5024),
    [aux_sym_submodule_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5026),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token1] = ACTIONS(5024),
    [aux_sym_block_data_statement_token2] = ACTIONS(5024),
    [aux_sym_block_data_statement_token3] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_function_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5024),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_assign_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5026),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [aux_sym_boolean_literal_token1] = ACTIONS(5026),
    [aux_sym_boolean_literal_token2] = ACTIONS(5026),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5026),
    [sym__float_literal] = ACTIONS(5026),
    [sym__boz_literal] = ACTIONS(5026),
    [sym__string_literal] = ACTIONS(5026),
    [sym__string_literal_kind] = ACTIONS(5026),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(5118),
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_module_statement_token1] = ACTIONS(5116),
    [aux_sym_submodule_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token2] = ACTIONS(5116),
    [aux_sym_block_data_statement_token3] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_function_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_assign_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(4980),
    [aux_sym_preproc_include_token1] = ACTIONS(4978),
    [aux_sym_preproc_def_token1] = ACTIONS(4978),
    [aux_sym_preproc_if_token1] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4978),
    [sym_preproc_directive] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_PLUS] = ACTIONS(4980),
    [anon_sym_DASH] = ACTIONS(4980),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token2] = ACTIONS(4978),
    [aux_sym_module_statement_token1] = ACTIONS(4978),
    [aux_sym_submodule_statement_token1] = ACTIONS(4978),
    [anon_sym_SEMI] = ACTIONS(4980),
    [aux_sym_interface_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token2] = ACTIONS(4978),
    [aux_sym_block_data_statement_token3] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4978),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4978),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4978),
    [aux_sym_function_statement_token1] = ACTIONS(4978),
    [aux_sym_language_binding_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4978),
    [aux_sym_contains_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token2] = ACTIONS(4978),
    [aux_sym_implicit_statement_token1] = ACTIONS(4978),
    [aux_sym_implicit_statement_token3] = ACTIONS(4978),
    [aux_sym_implicit_statement_token4] = ACTIONS(4978),
    [aux_sym_save_statement_token1] = ACTIONS(4978),
    [aux_sym_private_statement_token1] = ACTIONS(4978),
    [aux_sym_public_statement_token1] = ACTIONS(4978),
    [aux_sym_namelist_statement_token1] = ACTIONS(4978),
    [aux_sym_common_statement_token1] = ACTIONS(4978),
    [aux_sym_import_statement_token1] = ACTIONS(4978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4978),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4978),
    [aux_sym_variable_attributes_token1] = ACTIONS(4978),
    [aux_sym_variable_attributes_token2] = ACTIONS(4978),
    [aux_sym_variable_attributes_token3] = ACTIONS(4978),
    [aux_sym_variable_attributes_token4] = ACTIONS(4978),
    [aux_sym_variable_attributes_token5] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4978),
    [aux_sym_derived_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4978),
    [aux_sym_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4978),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token2] = ACTIONS(4978),
    [aux_sym_subroutine_call_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token2] = ACTIONS(4978),
    [aux_sym_keyword_statement_token3] = ACTIONS(4978),
    [aux_sym_keyword_statement_token4] = ACTIONS(4978),
    [aux_sym_keyword_statement_token6] = ACTIONS(4978),
    [aux_sym_keyword_statement_token7] = ACTIONS(4978),
    [aux_sym_include_statement_token1] = ACTIONS(4978),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4978),
    [aux_sym_end_if_statement_token1] = ACTIONS(4978),
    [aux_sym_elseif_clause_token2] = ACTIONS(4978),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4978),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token3] = ACTIONS(4978),
    [aux_sym_select_type_statement_token1] = ACTIONS(4978),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4978),
    [aux_sym_associate_statement_token1] = ACTIONS(4978),
    [aux_sym_format_statement_token1] = ACTIONS(4978),
    [aux_sym_print_statement_token1] = ACTIONS(4978),
    [aux_sym_open_statement_token1] = ACTIONS(4978),
    [aux_sym_close_statement_token1] = ACTIONS(4978),
    [aux_sym_inquire_statement_token1] = ACTIONS(4978),
    [aux_sym_enum_statement_token1] = ACTIONS(4978),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token2] = ACTIONS(4978),
    [aux_sym_file_position_statement_token3] = ACTIONS(4978),
    [aux_sym_file_position_statement_token4] = ACTIONS(4978),
    [aux_sym_allocate_statement_token1] = ACTIONS(4978),
    [aux_sym_entry_statement_token1] = ACTIONS(4978),
    [aux_sym_assign_statement_token1] = ACTIONS(4978),
    [aux_sym_logical_expression_token5] = ACTIONS(4980),
    [anon_sym_DOT] = ACTIONS(4978),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4980),
    [anon_sym_LBRACK] = ACTIONS(4980),
    [aux_sym_boolean_literal_token1] = ACTIONS(4980),
    [aux_sym_boolean_literal_token2] = ACTIONS(4980),
    [aux_sym_null_literal_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token2] = ACTIONS(4978),
    [aux_sym_coarray_statement_token6] = ACTIONS(4978),
    [aux_sym_coarray_statement_token8] = ACTIONS(4978),
    [aux_sym_coarray_statement_token11] = ACTIONS(4978),
    [aux_sym_coarray_statement_token12] = ACTIONS(4978),
    [aux_sym_coarray_statement_token13] = ACTIONS(4978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4978),
    [aux_sym_identifier_token1] = ACTIONS(4978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4980),
    [sym__float_literal] = ACTIONS(4980),
    [sym__boz_literal] = ACTIONS(4980),
    [sym__string_literal] = ACTIONS(4980),
    [sym__string_literal_kind] = ACTIONS(4980),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(5038),
    [aux_sym_preproc_include_token1] = ACTIONS(5036),
    [aux_sym_preproc_def_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token1] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_PLUS] = ACTIONS(5038),
    [anon_sym_DASH] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token2] = ACTIONS(5036),
    [aux_sym_module_statement_token1] = ACTIONS(5036),
    [aux_sym_submodule_statement_token1] = ACTIONS(5036),
    [anon_sym_SEMI] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token2] = ACTIONS(5036),
    [aux_sym_block_data_statement_token3] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5036),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5036),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5036),
    [aux_sym_function_statement_token1] = ACTIONS(5036),
    [aux_sym_language_binding_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5036),
    [aux_sym_contains_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token2] = ACTIONS(5036),
    [aux_sym_implicit_statement_token1] = ACTIONS(5036),
    [aux_sym_implicit_statement_token3] = ACTIONS(5036),
    [aux_sym_implicit_statement_token4] = ACTIONS(5036),
    [aux_sym_save_statement_token1] = ACTIONS(5036),
    [aux_sym_private_statement_token1] = ACTIONS(5036),
    [aux_sym_public_statement_token1] = ACTIONS(5036),
    [aux_sym_namelist_statement_token1] = ACTIONS(5036),
    [aux_sym_common_statement_token1] = ACTIONS(5036),
    [aux_sym_import_statement_token1] = ACTIONS(5036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5036),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5036),
    [aux_sym_variable_attributes_token1] = ACTIONS(5036),
    [aux_sym_variable_attributes_token2] = ACTIONS(5036),
    [aux_sym_variable_attributes_token3] = ACTIONS(5036),
    [aux_sym_variable_attributes_token4] = ACTIONS(5036),
    [aux_sym_variable_attributes_token5] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5036),
    [aux_sym_derived_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5036),
    [aux_sym_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5036),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token2] = ACTIONS(5036),
    [aux_sym_subroutine_call_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token2] = ACTIONS(5036),
    [aux_sym_keyword_statement_token3] = ACTIONS(5036),
    [aux_sym_keyword_statement_token4] = ACTIONS(5036),
    [aux_sym_keyword_statement_token6] = ACTIONS(5036),
    [aux_sym_keyword_statement_token7] = ACTIONS(5036),
    [aux_sym_include_statement_token1] = ACTIONS(5036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5036),
    [aux_sym_end_if_statement_token1] = ACTIONS(5036),
    [aux_sym_elseif_clause_token2] = ACTIONS(5036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token3] = ACTIONS(5036),
    [aux_sym_select_type_statement_token1] = ACTIONS(5036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5036),
    [aux_sym_associate_statement_token1] = ACTIONS(5036),
    [aux_sym_format_statement_token1] = ACTIONS(5036),
    [aux_sym_print_statement_token1] = ACTIONS(5036),
    [aux_sym_open_statement_token1] = ACTIONS(5036),
    [aux_sym_close_statement_token1] = ACTIONS(5036),
    [aux_sym_inquire_statement_token1] = ACTIONS(5036),
    [aux_sym_enum_statement_token1] = ACTIONS(5036),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token2] = ACTIONS(5036),
    [aux_sym_file_position_statement_token3] = ACTIONS(5036),
    [aux_sym_file_position_statement_token4] = ACTIONS(5036),
    [aux_sym_allocate_statement_token1] = ACTIONS(5036),
    [aux_sym_entry_statement_token1] = ACTIONS(5036),
    [aux_sym_assign_statement_token1] = ACTIONS(5036),
    [aux_sym_logical_expression_token5] = ACTIONS(5038),
    [anon_sym_DOT] = ACTIONS(5036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5038),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [aux_sym_boolean_literal_token1] = ACTIONS(5038),
    [aux_sym_boolean_literal_token2] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token2] = ACTIONS(5036),
    [aux_sym_coarray_statement_token6] = ACTIONS(5036),
    [aux_sym_coarray_statement_token8] = ACTIONS(5036),
    [aux_sym_coarray_statement_token11] = ACTIONS(5036),
    [aux_sym_coarray_statement_token12] = ACTIONS(5036),
    [aux_sym_coarray_statement_token13] = ACTIONS(5036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5036),
    [aux_sym_identifier_token1] = ACTIONS(5036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5038),
    [sym__float_literal] = ACTIONS(5038),
    [sym__boz_literal] = ACTIONS(5038),
    [sym__string_literal] = ACTIONS(5038),
    [sym__string_literal_kind] = ACTIONS(5038),
  },
  [1062] = {
    [ts_builtin_sym_end] = ACTIONS(4960),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4958),
    [aux_sym_preproc_if_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4958),
    [sym_preproc_directive] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4958),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token2] = ACTIONS(4958),
    [aux_sym_module_statement_token1] = ACTIONS(4958),
    [aux_sym_submodule_statement_token1] = ACTIONS(4958),
    [anon_sym_SEMI] = ACTIONS(4960),
    [aux_sym_interface_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token2] = ACTIONS(4958),
    [aux_sym_block_data_statement_token3] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4958),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4958),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4958),
    [aux_sym_function_statement_token1] = ACTIONS(4958),
    [aux_sym_language_binding_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4958),
    [aux_sym_contains_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token2] = ACTIONS(4958),
    [aux_sym_implicit_statement_token1] = ACTIONS(4958),
    [aux_sym_implicit_statement_token3] = ACTIONS(4958),
    [aux_sym_implicit_statement_token4] = ACTIONS(4958),
    [aux_sym_save_statement_token1] = ACTIONS(4958),
    [aux_sym_private_statement_token1] = ACTIONS(4958),
    [aux_sym_public_statement_token1] = ACTIONS(4958),
    [aux_sym_namelist_statement_token1] = ACTIONS(4958),
    [aux_sym_common_statement_token1] = ACTIONS(4958),
    [aux_sym_import_statement_token1] = ACTIONS(4958),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4958),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4958),
    [aux_sym_variable_attributes_token1] = ACTIONS(4958),
    [aux_sym_variable_attributes_token2] = ACTIONS(4958),
    [aux_sym_variable_attributes_token3] = ACTIONS(4958),
    [aux_sym_variable_attributes_token4] = ACTIONS(4958),
    [aux_sym_variable_attributes_token5] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4958),
    [aux_sym_derived_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4958),
    [aux_sym_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4958),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token2] = ACTIONS(4958),
    [aux_sym_subroutine_call_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token2] = ACTIONS(4958),
    [aux_sym_keyword_statement_token3] = ACTIONS(4958),
    [aux_sym_keyword_statement_token4] = ACTIONS(4958),
    [aux_sym_keyword_statement_token6] = ACTIONS(4958),
    [aux_sym_keyword_statement_token7] = ACTIONS(4958),
    [aux_sym_include_statement_token1] = ACTIONS(4958),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4958),
    [aux_sym_end_if_statement_token1] = ACTIONS(4958),
    [aux_sym_elseif_clause_token2] = ACTIONS(4958),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token3] = ACTIONS(4958),
    [aux_sym_select_type_statement_token1] = ACTIONS(4958),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4958),
    [aux_sym_associate_statement_token1] = ACTIONS(4958),
    [aux_sym_format_statement_token1] = ACTIONS(4958),
    [aux_sym_print_statement_token1] = ACTIONS(4958),
    [aux_sym_open_statement_token1] = ACTIONS(4958),
    [aux_sym_close_statement_token1] = ACTIONS(4958),
    [aux_sym_inquire_statement_token1] = ACTIONS(4958),
    [aux_sym_enum_statement_token1] = ACTIONS(4958),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token2] = ACTIONS(4958),
    [aux_sym_file_position_statement_token3] = ACTIONS(4958),
    [aux_sym_file_position_statement_token4] = ACTIONS(4958),
    [aux_sym_allocate_statement_token1] = ACTIONS(4958),
    [aux_sym_entry_statement_token1] = ACTIONS(4958),
    [aux_sym_assign_statement_token1] = ACTIONS(4958),
    [aux_sym_logical_expression_token5] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4960),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [aux_sym_boolean_literal_token1] = ACTIONS(4960),
    [aux_sym_boolean_literal_token2] = ACTIONS(4960),
    [aux_sym_null_literal_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token2] = ACTIONS(4958),
    [aux_sym_coarray_statement_token6] = ACTIONS(4958),
    [aux_sym_coarray_statement_token8] = ACTIONS(4958),
    [aux_sym_coarray_statement_token11] = ACTIONS(4958),
    [aux_sym_coarray_statement_token12] = ACTIONS(4958),
    [aux_sym_coarray_statement_token13] = ACTIONS(4958),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4958),
    [aux_sym_identifier_token1] = ACTIONS(4958),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4960),
    [sym__float_literal] = ACTIONS(4960),
    [sym__boz_literal] = ACTIONS(4960),
    [sym__string_literal] = ACTIONS(4960),
    [sym__string_literal_kind] = ACTIONS(4960),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(5078),
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token2] = ACTIONS(5076),
    [aux_sym_module_statement_token1] = ACTIONS(5076),
    [aux_sym_submodule_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_interface_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_block_data_statement_token3] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5076),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5076),
    [aux_sym_function_statement_token1] = ACTIONS(5076),
    [aux_sym_language_binding_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token1] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_namelist_statement_token1] = ACTIONS(5076),
    [aux_sym_common_statement_token1] = ACTIONS(5076),
    [aux_sym_import_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token1] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token4] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5076),
    [aux_sym_derived_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5076),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_enum_statement_token1] = ACTIONS(5076),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(5082),
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5080),
    [aux_sym_submodule_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_block_data_statement_token3] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_function_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [1065] = {
    [ts_builtin_sym_end] = ACTIONS(4866),
    [aux_sym_preproc_include_token1] = ACTIONS(4864),
    [aux_sym_preproc_def_token1] = ACTIONS(4864),
    [aux_sym_preproc_if_token1] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4864),
    [sym_preproc_directive] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token2] = ACTIONS(4864),
    [aux_sym_module_statement_token1] = ACTIONS(4864),
    [aux_sym_submodule_statement_token1] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4866),
    [aux_sym_interface_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token2] = ACTIONS(4864),
    [aux_sym_block_data_statement_token3] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4864),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4864),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4864),
    [aux_sym_function_statement_token1] = ACTIONS(4864),
    [aux_sym_language_binding_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4864),
    [aux_sym_contains_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token2] = ACTIONS(4864),
    [aux_sym_implicit_statement_token1] = ACTIONS(4864),
    [aux_sym_implicit_statement_token3] = ACTIONS(4864),
    [aux_sym_implicit_statement_token4] = ACTIONS(4864),
    [aux_sym_save_statement_token1] = ACTIONS(4864),
    [aux_sym_private_statement_token1] = ACTIONS(4864),
    [aux_sym_public_statement_token1] = ACTIONS(4864),
    [aux_sym_namelist_statement_token1] = ACTIONS(4864),
    [aux_sym_common_statement_token1] = ACTIONS(4864),
    [aux_sym_import_statement_token1] = ACTIONS(4864),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4864),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4864),
    [aux_sym_variable_attributes_token1] = ACTIONS(4864),
    [aux_sym_variable_attributes_token2] = ACTIONS(4864),
    [aux_sym_variable_attributes_token3] = ACTIONS(4864),
    [aux_sym_variable_attributes_token4] = ACTIONS(4864),
    [aux_sym_variable_attributes_token5] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4864),
    [aux_sym_derived_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4864),
    [aux_sym_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4864),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token2] = ACTIONS(4864),
    [aux_sym_subroutine_call_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token2] = ACTIONS(4864),
    [aux_sym_keyword_statement_token3] = ACTIONS(4864),
    [aux_sym_keyword_statement_token4] = ACTIONS(4864),
    [aux_sym_keyword_statement_token6] = ACTIONS(4864),
    [aux_sym_keyword_statement_token7] = ACTIONS(4864),
    [aux_sym_include_statement_token1] = ACTIONS(4864),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4864),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4864),
    [aux_sym_end_if_statement_token1] = ACTIONS(4864),
    [aux_sym_elseif_clause_token2] = ACTIONS(4864),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4864),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token3] = ACTIONS(4864),
    [aux_sym_select_type_statement_token1] = ACTIONS(4864),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4864),
    [aux_sym_associate_statement_token1] = ACTIONS(4864),
    [aux_sym_format_statement_token1] = ACTIONS(4864),
    [aux_sym_print_statement_token1] = ACTIONS(4864),
    [aux_sym_open_statement_token1] = ACTIONS(4864),
    [aux_sym_close_statement_token1] = ACTIONS(4864),
    [aux_sym_inquire_statement_token1] = ACTIONS(4864),
    [aux_sym_enum_statement_token1] = ACTIONS(4864),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token2] = ACTIONS(4864),
    [aux_sym_file_position_statement_token3] = ACTIONS(4864),
    [aux_sym_file_position_statement_token4] = ACTIONS(4864),
    [aux_sym_allocate_statement_token1] = ACTIONS(4864),
    [aux_sym_entry_statement_token1] = ACTIONS(4864),
    [aux_sym_assign_statement_token1] = ACTIONS(4864),
    [aux_sym_logical_expression_token5] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [aux_sym_boolean_literal_token1] = ACTIONS(4866),
    [aux_sym_boolean_literal_token2] = ACTIONS(4866),
    [aux_sym_null_literal_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token2] = ACTIONS(4864),
    [aux_sym_coarray_statement_token6] = ACTIONS(4864),
    [aux_sym_coarray_statement_token8] = ACTIONS(4864),
    [aux_sym_coarray_statement_token11] = ACTIONS(4864),
    [aux_sym_coarray_statement_token12] = ACTIONS(4864),
    [aux_sym_coarray_statement_token13] = ACTIONS(4864),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4864),
    [aux_sym_identifier_token1] = ACTIONS(4864),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4866),
    [sym__float_literal] = ACTIONS(4866),
    [sym__boz_literal] = ACTIONS(4866),
    [sym__string_literal] = ACTIONS(4866),
    [sym__string_literal_kind] = ACTIONS(4866),
  },
  [1066] = {
    [ts_builtin_sym_end] = ACTIONS(5018),
    [aux_sym_preproc_include_token1] = ACTIONS(5016),
    [aux_sym_preproc_def_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token1] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5016),
    [sym_preproc_directive] = ACTIONS(5016),
    [anon_sym_LPAREN2] = ACTIONS(5016),
    [anon_sym_PLUS] = ACTIONS(5018),
    [anon_sym_DASH] = ACTIONS(5018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token2] = ACTIONS(5016),
    [aux_sym_module_statement_token1] = ACTIONS(5016),
    [aux_sym_submodule_statement_token1] = ACTIONS(5016),
    [anon_sym_SEMI] = ACTIONS(5018),
    [aux_sym_interface_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token2] = ACTIONS(5016),
    [aux_sym_block_data_statement_token3] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5016),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5016),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5016),
    [aux_sym_function_statement_token1] = ACTIONS(5016),
    [aux_sym_language_binding_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5016),
    [aux_sym_contains_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token2] = ACTIONS(5016),
    [aux_sym_implicit_statement_token1] = ACTIONS(5016),
    [aux_sym_implicit_statement_token3] = ACTIONS(5016),
    [aux_sym_implicit_statement_token4] = ACTIONS(5016),
    [aux_sym_save_statement_token1] = ACTIONS(5016),
    [aux_sym_private_statement_token1] = ACTIONS(5016),
    [aux_sym_public_statement_token1] = ACTIONS(5016),
    [aux_sym_namelist_statement_token1] = ACTIONS(5016),
    [aux_sym_common_statement_token1] = ACTIONS(5016),
    [aux_sym_import_statement_token1] = ACTIONS(5016),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5016),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5016),
    [aux_sym_variable_attributes_token1] = ACTIONS(5016),
    [aux_sym_variable_attributes_token2] = ACTIONS(5016),
    [aux_sym_variable_attributes_token3] = ACTIONS(5016),
    [aux_sym_variable_attributes_token4] = ACTIONS(5016),
    [aux_sym_variable_attributes_token5] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5016),
    [aux_sym_derived_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5016),
    [aux_sym_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5016),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token2] = ACTIONS(5016),
    [aux_sym_subroutine_call_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token2] = ACTIONS(5016),
    [aux_sym_keyword_statement_token3] = ACTIONS(5016),
    [aux_sym_keyword_statement_token4] = ACTIONS(5016),
    [aux_sym_keyword_statement_token6] = ACTIONS(5016),
    [aux_sym_keyword_statement_token7] = ACTIONS(5016),
    [aux_sym_include_statement_token1] = ACTIONS(5016),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5016),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5016),
    [aux_sym_end_if_statement_token1] = ACTIONS(5016),
    [aux_sym_elseif_clause_token2] = ACTIONS(5016),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5016),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token3] = ACTIONS(5016),
    [aux_sym_select_type_statement_token1] = ACTIONS(5016),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5016),
    [aux_sym_associate_statement_token1] = ACTIONS(5016),
    [aux_sym_format_statement_token1] = ACTIONS(5016),
    [aux_sym_print_statement_token1] = ACTIONS(5016),
    [aux_sym_open_statement_token1] = ACTIONS(5016),
    [aux_sym_close_statement_token1] = ACTIONS(5016),
    [aux_sym_inquire_statement_token1] = ACTIONS(5016),
    [aux_sym_enum_statement_token1] = ACTIONS(5016),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token2] = ACTIONS(5016),
    [aux_sym_file_position_statement_token3] = ACTIONS(5016),
    [aux_sym_file_position_statement_token4] = ACTIONS(5016),
    [aux_sym_allocate_statement_token1] = ACTIONS(5016),
    [aux_sym_entry_statement_token1] = ACTIONS(5016),
    [aux_sym_assign_statement_token1] = ACTIONS(5016),
    [aux_sym_logical_expression_token5] = ACTIONS(5018),
    [anon_sym_DOT] = ACTIONS(5016),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [aux_sym_boolean_literal_token1] = ACTIONS(5018),
    [aux_sym_boolean_literal_token2] = ACTIONS(5018),
    [aux_sym_null_literal_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token2] = ACTIONS(5016),
    [aux_sym_coarray_statement_token6] = ACTIONS(5016),
    [aux_sym_coarray_statement_token8] = ACTIONS(5016),
    [aux_sym_coarray_statement_token11] = ACTIONS(5016),
    [aux_sym_coarray_statement_token12] = ACTIONS(5016),
    [aux_sym_coarray_statement_token13] = ACTIONS(5016),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5016),
    [aux_sym_identifier_token1] = ACTIONS(5016),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5018),
    [sym__float_literal] = ACTIONS(5018),
    [sym__boz_literal] = ACTIONS(5018),
    [sym__string_literal] = ACTIONS(5018),
    [sym__string_literal_kind] = ACTIONS(5018),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(5086),
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [aux_sym_boolean_literal_token1] = ACTIONS(5086),
    [aux_sym_boolean_literal_token2] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5086),
    [sym__float_literal] = ACTIONS(5086),
    [sym__boz_literal] = ACTIONS(5086),
    [sym__string_literal] = ACTIONS(5086),
    [sym__string_literal_kind] = ACTIONS(5086),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(5090),
    [aux_sym_preproc_include_token1] = ACTIONS(5088),
    [aux_sym_preproc_def_token1] = ACTIONS(5088),
    [aux_sym_preproc_if_token1] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5088),
    [sym_preproc_directive] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token2] = ACTIONS(5088),
    [aux_sym_module_statement_token1] = ACTIONS(5088),
    [aux_sym_submodule_statement_token1] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token2] = ACTIONS(5088),
    [aux_sym_block_data_statement_token3] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5088),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5088),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5088),
    [aux_sym_function_statement_token1] = ACTIONS(5088),
    [aux_sym_language_binding_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5088),
    [aux_sym_contains_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token2] = ACTIONS(5088),
    [aux_sym_implicit_statement_token1] = ACTIONS(5088),
    [aux_sym_implicit_statement_token3] = ACTIONS(5088),
    [aux_sym_implicit_statement_token4] = ACTIONS(5088),
    [aux_sym_save_statement_token1] = ACTIONS(5088),
    [aux_sym_private_statement_token1] = ACTIONS(5088),
    [aux_sym_public_statement_token1] = ACTIONS(5088),
    [aux_sym_namelist_statement_token1] = ACTIONS(5088),
    [aux_sym_common_statement_token1] = ACTIONS(5088),
    [aux_sym_import_statement_token1] = ACTIONS(5088),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5088),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5088),
    [aux_sym_variable_attributes_token1] = ACTIONS(5088),
    [aux_sym_variable_attributes_token2] = ACTIONS(5088),
    [aux_sym_variable_attributes_token3] = ACTIONS(5088),
    [aux_sym_variable_attributes_token4] = ACTIONS(5088),
    [aux_sym_variable_attributes_token5] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5088),
    [aux_sym_derived_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5088),
    [aux_sym_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5088),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token2] = ACTIONS(5088),
    [aux_sym_subroutine_call_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token2] = ACTIONS(5088),
    [aux_sym_keyword_statement_token3] = ACTIONS(5088),
    [aux_sym_keyword_statement_token4] = ACTIONS(5088),
    [aux_sym_keyword_statement_token6] = ACTIONS(5088),
    [aux_sym_keyword_statement_token7] = ACTIONS(5088),
    [aux_sym_include_statement_token1] = ACTIONS(5088),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5088),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5088),
    [aux_sym_end_if_statement_token1] = ACTIONS(5088),
    [aux_sym_elseif_clause_token2] = ACTIONS(5088),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5088),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token3] = ACTIONS(5088),
    [aux_sym_select_type_statement_token1] = ACTIONS(5088),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5088),
    [aux_sym_associate_statement_token1] = ACTIONS(5088),
    [aux_sym_format_statement_token1] = ACTIONS(5088),
    [aux_sym_print_statement_token1] = ACTIONS(5088),
    [aux_sym_open_statement_token1] = ACTIONS(5088),
    [aux_sym_close_statement_token1] = ACTIONS(5088),
    [aux_sym_inquire_statement_token1] = ACTIONS(5088),
    [aux_sym_enum_statement_token1] = ACTIONS(5088),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token2] = ACTIONS(5088),
    [aux_sym_file_position_statement_token3] = ACTIONS(5088),
    [aux_sym_file_position_statement_token4] = ACTIONS(5088),
    [aux_sym_allocate_statement_token1] = ACTIONS(5088),
    [aux_sym_entry_statement_token1] = ACTIONS(5088),
    [aux_sym_assign_statement_token1] = ACTIONS(5088),
    [aux_sym_logical_expression_token5] = ACTIONS(5090),
    [anon_sym_DOT] = ACTIONS(5088),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5090),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [aux_sym_boolean_literal_token1] = ACTIONS(5090),
    [aux_sym_boolean_literal_token2] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token2] = ACTIONS(5088),
    [aux_sym_coarray_statement_token6] = ACTIONS(5088),
    [aux_sym_coarray_statement_token8] = ACTIONS(5088),
    [aux_sym_coarray_statement_token11] = ACTIONS(5088),
    [aux_sym_coarray_statement_token12] = ACTIONS(5088),
    [aux_sym_coarray_statement_token13] = ACTIONS(5088),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5088),
    [aux_sym_identifier_token1] = ACTIONS(5088),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5090),
    [sym__float_literal] = ACTIONS(5090),
    [sym__boz_literal] = ACTIONS(5090),
    [sym__string_literal] = ACTIONS(5090),
    [sym__string_literal_kind] = ACTIONS(5090),
  },
  [1069] = {
    [ts_builtin_sym_end] = ACTIONS(4810),
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(5002),
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5002),
    [anon_sym_DASH] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_module_statement_token1] = ACTIONS(5000),
    [aux_sym_submodule_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5002),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token2] = ACTIONS(5000),
    [aux_sym_block_data_statement_token3] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_function_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_assign_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5002),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5002),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [aux_sym_boolean_literal_token1] = ACTIONS(5002),
    [aux_sym_boolean_literal_token2] = ACTIONS(5002),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5002),
    [sym__float_literal] = ACTIONS(5002),
    [sym__boz_literal] = ACTIONS(5002),
    [sym__string_literal] = ACTIONS(5002),
    [sym__string_literal_kind] = ACTIONS(5002),
  },
  [1071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5088),
    [aux_sym_preproc_def_token1] = ACTIONS(5088),
    [aux_sym_preproc_if_token1] = ACTIONS(5088),
    [aux_sym_preproc_if_token2] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5088),
    [sym_preproc_directive] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token1] = ACTIONS(5088),
    [aux_sym_end_program_statement_token2] = ACTIONS(5088),
    [aux_sym_module_statement_token1] = ACTIONS(5088),
    [aux_sym_submodule_statement_token1] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token1] = ACTIONS(5088),
    [aux_sym_block_data_statement_token2] = ACTIONS(5088),
    [aux_sym_block_data_statement_token3] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5088),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5088),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5088),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5088),
    [aux_sym_function_statement_token1] = ACTIONS(5088),
    [aux_sym_language_binding_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5088),
    [aux_sym_contains_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token1] = ACTIONS(5088),
    [aux_sym_use_statement_token2] = ACTIONS(5088),
    [aux_sym_implicit_statement_token1] = ACTIONS(5088),
    [aux_sym_implicit_statement_token3] = ACTIONS(5088),
    [aux_sym_implicit_statement_token4] = ACTIONS(5088),
    [aux_sym_save_statement_token1] = ACTIONS(5088),
    [aux_sym_private_statement_token1] = ACTIONS(5088),
    [aux_sym_public_statement_token1] = ACTIONS(5088),
    [aux_sym_namelist_statement_token1] = ACTIONS(5088),
    [aux_sym_common_statement_token1] = ACTIONS(5088),
    [aux_sym_import_statement_token1] = ACTIONS(5088),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5088),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5088),
    [aux_sym_variable_attributes_token1] = ACTIONS(5088),
    [aux_sym_variable_attributes_token2] = ACTIONS(5088),
    [aux_sym_variable_attributes_token3] = ACTIONS(5088),
    [aux_sym_variable_attributes_token4] = ACTIONS(5088),
    [aux_sym_variable_attributes_token5] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5088),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5088),
    [aux_sym_derived_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token1] = ACTIONS(5088),
    [aux_sym_declared_type_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5088),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5088),
    [aux_sym_type_qualifier_token1] = ACTIONS(5088),
    [aux_sym_type_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5088),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5088),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5088),
    [aux_sym_stop_statement_token2] = ACTIONS(5088),
    [aux_sym_subroutine_call_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token1] = ACTIONS(5088),
    [aux_sym_keyword_statement_token2] = ACTIONS(5088),
    [aux_sym_keyword_statement_token3] = ACTIONS(5088),
    [aux_sym_keyword_statement_token4] = ACTIONS(5088),
    [aux_sym_keyword_statement_token6] = ACTIONS(5088),
    [aux_sym_keyword_statement_token7] = ACTIONS(5088),
    [aux_sym_include_statement_token1] = ACTIONS(5088),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5088),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5088),
    [aux_sym_end_if_statement_token1] = ACTIONS(5088),
    [aux_sym_elseif_clause_token2] = ACTIONS(5088),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5088),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token1] = ACTIONS(5088),
    [aux_sym_select_case_statement_token3] = ACTIONS(5088),
    [aux_sym_select_type_statement_token1] = ACTIONS(5088),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5088),
    [aux_sym_associate_statement_token1] = ACTIONS(5088),
    [aux_sym_format_statement_token1] = ACTIONS(5088),
    [aux_sym_print_statement_token1] = ACTIONS(5088),
    [aux_sym_open_statement_token1] = ACTIONS(5088),
    [aux_sym_close_statement_token1] = ACTIONS(5088),
    [aux_sym_inquire_statement_token1] = ACTIONS(5088),
    [aux_sym_enum_statement_token1] = ACTIONS(5088),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token1] = ACTIONS(5088),
    [aux_sym_file_position_statement_token2] = ACTIONS(5088),
    [aux_sym_file_position_statement_token3] = ACTIONS(5088),
    [aux_sym_file_position_statement_token4] = ACTIONS(5088),
    [aux_sym_allocate_statement_token1] = ACTIONS(5088),
    [aux_sym_entry_statement_token1] = ACTIONS(5088),
    [aux_sym_assign_statement_token1] = ACTIONS(5088),
    [aux_sym_logical_expression_token5] = ACTIONS(5090),
    [anon_sym_DOT] = ACTIONS(5088),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5090),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [aux_sym_boolean_literal_token1] = ACTIONS(5090),
    [aux_sym_boolean_literal_token2] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_statement_token2] = ACTIONS(5088),
    [aux_sym_coarray_statement_token6] = ACTIONS(5088),
    [aux_sym_coarray_statement_token8] = ACTIONS(5088),
    [aux_sym_coarray_statement_token11] = ACTIONS(5088),
    [aux_sym_coarray_statement_token12] = ACTIONS(5088),
    [aux_sym_coarray_statement_token13] = ACTIONS(5088),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5088),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5088),
    [aux_sym_identifier_token1] = ACTIONS(5088),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5090),
    [sym__float_literal] = ACTIONS(5090),
    [sym__boz_literal] = ACTIONS(5090),
    [sym__string_literal] = ACTIONS(5090),
    [sym__string_literal_kind] = ACTIONS(5090),
  },
  [1072] = {
    [ts_builtin_sym_end] = ACTIONS(4874),
    [aux_sym_preproc_include_token1] = ACTIONS(4872),
    [aux_sym_preproc_def_token1] = ACTIONS(4872),
    [aux_sym_preproc_if_token1] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4872),
    [sym_preproc_directive] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token2] = ACTIONS(4872),
    [aux_sym_module_statement_token1] = ACTIONS(4872),
    [aux_sym_submodule_statement_token1] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [aux_sym_interface_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token2] = ACTIONS(4872),
    [aux_sym_block_data_statement_token3] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4872),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4872),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4872),
    [aux_sym_function_statement_token1] = ACTIONS(4872),
    [aux_sym_language_binding_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4872),
    [aux_sym_contains_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token2] = ACTIONS(4872),
    [aux_sym_implicit_statement_token1] = ACTIONS(4872),
    [aux_sym_implicit_statement_token3] = ACTIONS(4872),
    [aux_sym_implicit_statement_token4] = ACTIONS(4872),
    [aux_sym_save_statement_token1] = ACTIONS(4872),
    [aux_sym_private_statement_token1] = ACTIONS(4872),
    [aux_sym_public_statement_token1] = ACTIONS(4872),
    [aux_sym_namelist_statement_token1] = ACTIONS(4872),
    [aux_sym_common_statement_token1] = ACTIONS(4872),
    [aux_sym_import_statement_token1] = ACTIONS(4872),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4872),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4872),
    [aux_sym_variable_attributes_token1] = ACTIONS(4872),
    [aux_sym_variable_attributes_token2] = ACTIONS(4872),
    [aux_sym_variable_attributes_token3] = ACTIONS(4872),
    [aux_sym_variable_attributes_token4] = ACTIONS(4872),
    [aux_sym_variable_attributes_token5] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4872),
    [aux_sym_derived_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4872),
    [aux_sym_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4872),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token2] = ACTIONS(4872),
    [aux_sym_subroutine_call_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token2] = ACTIONS(4872),
    [aux_sym_keyword_statement_token3] = ACTIONS(4872),
    [aux_sym_keyword_statement_token4] = ACTIONS(4872),
    [aux_sym_keyword_statement_token6] = ACTIONS(4872),
    [aux_sym_keyword_statement_token7] = ACTIONS(4872),
    [aux_sym_include_statement_token1] = ACTIONS(4872),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4872),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4872),
    [aux_sym_end_if_statement_token1] = ACTIONS(4872),
    [aux_sym_elseif_clause_token2] = ACTIONS(4872),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4872),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token3] = ACTIONS(4872),
    [aux_sym_select_type_statement_token1] = ACTIONS(4872),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4872),
    [aux_sym_associate_statement_token1] = ACTIONS(4872),
    [aux_sym_format_statement_token1] = ACTIONS(4872),
    [aux_sym_print_statement_token1] = ACTIONS(4872),
    [aux_sym_open_statement_token1] = ACTIONS(4872),
    [aux_sym_close_statement_token1] = ACTIONS(4872),
    [aux_sym_inquire_statement_token1] = ACTIONS(4872),
    [aux_sym_enum_statement_token1] = ACTIONS(4872),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token2] = ACTIONS(4872),
    [aux_sym_file_position_statement_token3] = ACTIONS(4872),
    [aux_sym_file_position_statement_token4] = ACTIONS(4872),
    [aux_sym_allocate_statement_token1] = ACTIONS(4872),
    [aux_sym_entry_statement_token1] = ACTIONS(4872),
    [aux_sym_assign_statement_token1] = ACTIONS(4872),
    [aux_sym_logical_expression_token5] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [aux_sym_boolean_literal_token1] = ACTIONS(4874),
    [aux_sym_boolean_literal_token2] = ACTIONS(4874),
    [aux_sym_null_literal_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token2] = ACTIONS(4872),
    [aux_sym_coarray_statement_token6] = ACTIONS(4872),
    [aux_sym_coarray_statement_token8] = ACTIONS(4872),
    [aux_sym_coarray_statement_token11] = ACTIONS(4872),
    [aux_sym_coarray_statement_token12] = ACTIONS(4872),
    [aux_sym_coarray_statement_token13] = ACTIONS(4872),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4872),
    [aux_sym_identifier_token1] = ACTIONS(4872),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4874),
    [sym__float_literal] = ACTIONS(4874),
    [sym__boz_literal] = ACTIONS(4874),
    [sym__string_literal] = ACTIONS(4874),
    [sym__string_literal_kind] = ACTIONS(4874),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(4906),
    [aux_sym_preproc_include_token1] = ACTIONS(4904),
    [aux_sym_preproc_def_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token1] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4904),
    [sym_preproc_directive] = ACTIONS(4904),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token2] = ACTIONS(4904),
    [aux_sym_module_statement_token1] = ACTIONS(4904),
    [aux_sym_submodule_statement_token1] = ACTIONS(4904),
    [anon_sym_SEMI] = ACTIONS(4906),
    [aux_sym_interface_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token2] = ACTIONS(4904),
    [aux_sym_block_data_statement_token3] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4904),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4904),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4904),
    [aux_sym_function_statement_token1] = ACTIONS(4904),
    [aux_sym_language_binding_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4904),
    [aux_sym_contains_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token2] = ACTIONS(4904),
    [aux_sym_implicit_statement_token1] = ACTIONS(4904),
    [aux_sym_implicit_statement_token3] = ACTIONS(4904),
    [aux_sym_implicit_statement_token4] = ACTIONS(4904),
    [aux_sym_save_statement_token1] = ACTIONS(4904),
    [aux_sym_private_statement_token1] = ACTIONS(4904),
    [aux_sym_public_statement_token1] = ACTIONS(4904),
    [aux_sym_namelist_statement_token1] = ACTIONS(4904),
    [aux_sym_common_statement_token1] = ACTIONS(4904),
    [aux_sym_import_statement_token1] = ACTIONS(4904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4904),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4904),
    [aux_sym_variable_attributes_token1] = ACTIONS(4904),
    [aux_sym_variable_attributes_token2] = ACTIONS(4904),
    [aux_sym_variable_attributes_token3] = ACTIONS(4904),
    [aux_sym_variable_attributes_token4] = ACTIONS(4904),
    [aux_sym_variable_attributes_token5] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4904),
    [aux_sym_derived_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4904),
    [aux_sym_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4904),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token2] = ACTIONS(4904),
    [aux_sym_subroutine_call_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token2] = ACTIONS(4904),
    [aux_sym_keyword_statement_token3] = ACTIONS(4904),
    [aux_sym_keyword_statement_token4] = ACTIONS(4904),
    [aux_sym_keyword_statement_token6] = ACTIONS(4904),
    [aux_sym_keyword_statement_token7] = ACTIONS(4904),
    [aux_sym_include_statement_token1] = ACTIONS(4904),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4904),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4904),
    [aux_sym_end_if_statement_token1] = ACTIONS(4904),
    [aux_sym_elseif_clause_token2] = ACTIONS(4904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4904),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token3] = ACTIONS(4904),
    [aux_sym_select_type_statement_token1] = ACTIONS(4904),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4904),
    [aux_sym_associate_statement_token1] = ACTIONS(4904),
    [aux_sym_format_statement_token1] = ACTIONS(4904),
    [aux_sym_print_statement_token1] = ACTIONS(4904),
    [aux_sym_open_statement_token1] = ACTIONS(4904),
    [aux_sym_close_statement_token1] = ACTIONS(4904),
    [aux_sym_inquire_statement_token1] = ACTIONS(4904),
    [aux_sym_enum_statement_token1] = ACTIONS(4904),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token2] = ACTIONS(4904),
    [aux_sym_file_position_statement_token3] = ACTIONS(4904),
    [aux_sym_file_position_statement_token4] = ACTIONS(4904),
    [aux_sym_allocate_statement_token1] = ACTIONS(4904),
    [aux_sym_entry_statement_token1] = ACTIONS(4904),
    [aux_sym_assign_statement_token1] = ACTIONS(4904),
    [aux_sym_logical_expression_token5] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [aux_sym_boolean_literal_token1] = ACTIONS(4906),
    [aux_sym_boolean_literal_token2] = ACTIONS(4906),
    [aux_sym_null_literal_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token2] = ACTIONS(4904),
    [aux_sym_coarray_statement_token6] = ACTIONS(4904),
    [aux_sym_coarray_statement_token8] = ACTIONS(4904),
    [aux_sym_coarray_statement_token11] = ACTIONS(4904),
    [aux_sym_coarray_statement_token12] = ACTIONS(4904),
    [aux_sym_coarray_statement_token13] = ACTIONS(4904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4904),
    [aux_sym_identifier_token1] = ACTIONS(4904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4906),
    [sym__float_literal] = ACTIONS(4906),
    [sym__boz_literal] = ACTIONS(4906),
    [sym__string_literal] = ACTIONS(4906),
    [sym__string_literal_kind] = ACTIONS(4906),
  },
  [1074] = {
    [ts_builtin_sym_end] = ACTIONS(4950),
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [aux_sym_module_statement_token1] = ACTIONS(4948),
    [aux_sym_submodule_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_block_data_statement_token3] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_function_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4948),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(5010),
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5008),
    [anon_sym_PLUS] = ACTIONS(5010),
    [anon_sym_DASH] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token2] = ACTIONS(5008),
    [aux_sym_module_statement_token1] = ACTIONS(5008),
    [aux_sym_submodule_statement_token1] = ACTIONS(5008),
    [anon_sym_SEMI] = ACTIONS(5010),
    [aux_sym_interface_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token2] = ACTIONS(5008),
    [aux_sym_block_data_statement_token3] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5008),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5008),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5008),
    [aux_sym_function_statement_token1] = ACTIONS(5008),
    [aux_sym_language_binding_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5008),
    [aux_sym_contains_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token2] = ACTIONS(5008),
    [aux_sym_implicit_statement_token1] = ACTIONS(5008),
    [aux_sym_implicit_statement_token3] = ACTIONS(5008),
    [aux_sym_implicit_statement_token4] = ACTIONS(5008),
    [aux_sym_save_statement_token1] = ACTIONS(5008),
    [aux_sym_private_statement_token1] = ACTIONS(5008),
    [aux_sym_public_statement_token1] = ACTIONS(5008),
    [aux_sym_namelist_statement_token1] = ACTIONS(5008),
    [aux_sym_common_statement_token1] = ACTIONS(5008),
    [aux_sym_import_statement_token1] = ACTIONS(5008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5008),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5008),
    [aux_sym_variable_attributes_token1] = ACTIONS(5008),
    [aux_sym_variable_attributes_token2] = ACTIONS(5008),
    [aux_sym_variable_attributes_token3] = ACTIONS(5008),
    [aux_sym_variable_attributes_token4] = ACTIONS(5008),
    [aux_sym_variable_attributes_token5] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5008),
    [aux_sym_derived_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5008),
    [aux_sym_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5008),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token2] = ACTIONS(5008),
    [aux_sym_subroutine_call_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token2] = ACTIONS(5008),
    [aux_sym_keyword_statement_token3] = ACTIONS(5008),
    [aux_sym_keyword_statement_token4] = ACTIONS(5008),
    [aux_sym_keyword_statement_token6] = ACTIONS(5008),
    [aux_sym_keyword_statement_token7] = ACTIONS(5008),
    [aux_sym_include_statement_token1] = ACTIONS(5008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5008),
    [aux_sym_end_if_statement_token1] = ACTIONS(5008),
    [aux_sym_elseif_clause_token2] = ACTIONS(5008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token3] = ACTIONS(5008),
    [aux_sym_select_type_statement_token1] = ACTIONS(5008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5008),
    [aux_sym_associate_statement_token1] = ACTIONS(5008),
    [aux_sym_format_statement_token1] = ACTIONS(5008),
    [aux_sym_print_statement_token1] = ACTIONS(5008),
    [aux_sym_open_statement_token1] = ACTIONS(5008),
    [aux_sym_close_statement_token1] = ACTIONS(5008),
    [aux_sym_inquire_statement_token1] = ACTIONS(5008),
    [aux_sym_enum_statement_token1] = ACTIONS(5008),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token2] = ACTIONS(5008),
    [aux_sym_file_position_statement_token3] = ACTIONS(5008),
    [aux_sym_file_position_statement_token4] = ACTIONS(5008),
    [aux_sym_allocate_statement_token1] = ACTIONS(5008),
    [aux_sym_entry_statement_token1] = ACTIONS(5008),
    [aux_sym_assign_statement_token1] = ACTIONS(5008),
    [aux_sym_logical_expression_token5] = ACTIONS(5010),
    [anon_sym_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5010),
    [anon_sym_LBRACK] = ACTIONS(5010),
    [aux_sym_boolean_literal_token1] = ACTIONS(5010),
    [aux_sym_boolean_literal_token2] = ACTIONS(5010),
    [aux_sym_null_literal_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token2] = ACTIONS(5008),
    [aux_sym_coarray_statement_token6] = ACTIONS(5008),
    [aux_sym_coarray_statement_token8] = ACTIONS(5008),
    [aux_sym_coarray_statement_token11] = ACTIONS(5008),
    [aux_sym_coarray_statement_token12] = ACTIONS(5008),
    [aux_sym_coarray_statement_token13] = ACTIONS(5008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5008),
    [aux_sym_identifier_token1] = ACTIONS(5008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5010),
    [sym__float_literal] = ACTIONS(5010),
    [sym__boz_literal] = ACTIONS(5010),
    [sym__string_literal] = ACTIONS(5010),
    [sym__string_literal_kind] = ACTIONS(5010),
  },
  [1076] = {
    [ts_builtin_sym_end] = ACTIONS(5014),
    [aux_sym_preproc_include_token1] = ACTIONS(5012),
    [aux_sym_preproc_def_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token1] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5012),
    [sym_preproc_directive] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token2] = ACTIONS(5012),
    [aux_sym_module_statement_token1] = ACTIONS(5012),
    [aux_sym_submodule_statement_token1] = ACTIONS(5012),
    [anon_sym_SEMI] = ACTIONS(5014),
    [aux_sym_interface_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token2] = ACTIONS(5012),
    [aux_sym_block_data_statement_token3] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5012),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5012),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5012),
    [aux_sym_function_statement_token1] = ACTIONS(5012),
    [aux_sym_language_binding_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5012),
    [aux_sym_contains_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token2] = ACTIONS(5012),
    [aux_sym_implicit_statement_token1] = ACTIONS(5012),
    [aux_sym_implicit_statement_token3] = ACTIONS(5012),
    [aux_sym_implicit_statement_token4] = ACTIONS(5012),
    [aux_sym_save_statement_token1] = ACTIONS(5012),
    [aux_sym_private_statement_token1] = ACTIONS(5012),
    [aux_sym_public_statement_token1] = ACTIONS(5012),
    [aux_sym_namelist_statement_token1] = ACTIONS(5012),
    [aux_sym_common_statement_token1] = ACTIONS(5012),
    [aux_sym_import_statement_token1] = ACTIONS(5012),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5012),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5012),
    [aux_sym_variable_attributes_token1] = ACTIONS(5012),
    [aux_sym_variable_attributes_token2] = ACTIONS(5012),
    [aux_sym_variable_attributes_token3] = ACTIONS(5012),
    [aux_sym_variable_attributes_token4] = ACTIONS(5012),
    [aux_sym_variable_attributes_token5] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5012),
    [aux_sym_derived_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5012),
    [aux_sym_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5012),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token2] = ACTIONS(5012),
    [aux_sym_subroutine_call_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token2] = ACTIONS(5012),
    [aux_sym_keyword_statement_token3] = ACTIONS(5012),
    [aux_sym_keyword_statement_token4] = ACTIONS(5012),
    [aux_sym_keyword_statement_token6] = ACTIONS(5012),
    [aux_sym_keyword_statement_token7] = ACTIONS(5012),
    [aux_sym_include_statement_token1] = ACTIONS(5012),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5012),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5012),
    [aux_sym_end_if_statement_token1] = ACTIONS(5012),
    [aux_sym_elseif_clause_token2] = ACTIONS(5012),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5012),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token3] = ACTIONS(5012),
    [aux_sym_select_type_statement_token1] = ACTIONS(5012),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5012),
    [aux_sym_associate_statement_token1] = ACTIONS(5012),
    [aux_sym_format_statement_token1] = ACTIONS(5012),
    [aux_sym_print_statement_token1] = ACTIONS(5012),
    [aux_sym_open_statement_token1] = ACTIONS(5012),
    [aux_sym_close_statement_token1] = ACTIONS(5012),
    [aux_sym_inquire_statement_token1] = ACTIONS(5012),
    [aux_sym_enum_statement_token1] = ACTIONS(5012),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token2] = ACTIONS(5012),
    [aux_sym_file_position_statement_token3] = ACTIONS(5012),
    [aux_sym_file_position_statement_token4] = ACTIONS(5012),
    [aux_sym_allocate_statement_token1] = ACTIONS(5012),
    [aux_sym_entry_statement_token1] = ACTIONS(5012),
    [aux_sym_assign_statement_token1] = ACTIONS(5012),
    [aux_sym_logical_expression_token5] = ACTIONS(5014),
    [anon_sym_DOT] = ACTIONS(5012),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5014),
    [anon_sym_LBRACK] = ACTIONS(5014),
    [aux_sym_boolean_literal_token1] = ACTIONS(5014),
    [aux_sym_boolean_literal_token2] = ACTIONS(5014),
    [aux_sym_null_literal_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token2] = ACTIONS(5012),
    [aux_sym_coarray_statement_token6] = ACTIONS(5012),
    [aux_sym_coarray_statement_token8] = ACTIONS(5012),
    [aux_sym_coarray_statement_token11] = ACTIONS(5012),
    [aux_sym_coarray_statement_token12] = ACTIONS(5012),
    [aux_sym_coarray_statement_token13] = ACTIONS(5012),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5012),
    [aux_sym_identifier_token1] = ACTIONS(5012),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5014),
    [sym__float_literal] = ACTIONS(5014),
    [sym__boz_literal] = ACTIONS(5014),
    [sym__string_literal] = ACTIONS(5014),
    [sym__string_literal_kind] = ACTIONS(5014),
  },
  [1077] = {
    [ts_builtin_sym_end] = ACTIONS(4878),
    [aux_sym_preproc_include_token1] = ACTIONS(4876),
    [aux_sym_preproc_def_token1] = ACTIONS(4876),
    [aux_sym_preproc_if_token1] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4876),
    [sym_preproc_directive] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token2] = ACTIONS(4876),
    [aux_sym_module_statement_token1] = ACTIONS(4876),
    [aux_sym_submodule_statement_token1] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [aux_sym_interface_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token2] = ACTIONS(4876),
    [aux_sym_block_data_statement_token3] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4876),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4876),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4876),
    [aux_sym_function_statement_token1] = ACTIONS(4876),
    [aux_sym_language_binding_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4876),
    [aux_sym_contains_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token2] = ACTIONS(4876),
    [aux_sym_implicit_statement_token1] = ACTIONS(4876),
    [aux_sym_implicit_statement_token3] = ACTIONS(4876),
    [aux_sym_implicit_statement_token4] = ACTIONS(4876),
    [aux_sym_save_statement_token1] = ACTIONS(4876),
    [aux_sym_private_statement_token1] = ACTIONS(4876),
    [aux_sym_public_statement_token1] = ACTIONS(4876),
    [aux_sym_namelist_statement_token1] = ACTIONS(4876),
    [aux_sym_common_statement_token1] = ACTIONS(4876),
    [aux_sym_import_statement_token1] = ACTIONS(4876),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4876),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4876),
    [aux_sym_variable_attributes_token1] = ACTIONS(4876),
    [aux_sym_variable_attributes_token2] = ACTIONS(4876),
    [aux_sym_variable_attributes_token3] = ACTIONS(4876),
    [aux_sym_variable_attributes_token4] = ACTIONS(4876),
    [aux_sym_variable_attributes_token5] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4876),
    [aux_sym_derived_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4876),
    [aux_sym_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4876),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token2] = ACTIONS(4876),
    [aux_sym_subroutine_call_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token2] = ACTIONS(4876),
    [aux_sym_keyword_statement_token3] = ACTIONS(4876),
    [aux_sym_keyword_statement_token4] = ACTIONS(4876),
    [aux_sym_keyword_statement_token6] = ACTIONS(4876),
    [aux_sym_keyword_statement_token7] = ACTIONS(4876),
    [aux_sym_include_statement_token1] = ACTIONS(4876),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4876),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4876),
    [aux_sym_end_if_statement_token1] = ACTIONS(4876),
    [aux_sym_elseif_clause_token2] = ACTIONS(4876),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4876),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token3] = ACTIONS(4876),
    [aux_sym_select_type_statement_token1] = ACTIONS(4876),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4876),
    [aux_sym_associate_statement_token1] = ACTIONS(4876),
    [aux_sym_format_statement_token1] = ACTIONS(4876),
    [aux_sym_print_statement_token1] = ACTIONS(4876),
    [aux_sym_open_statement_token1] = ACTIONS(4876),
    [aux_sym_close_statement_token1] = ACTIONS(4876),
    [aux_sym_inquire_statement_token1] = ACTIONS(4876),
    [aux_sym_enum_statement_token1] = ACTIONS(4876),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token2] = ACTIONS(4876),
    [aux_sym_file_position_statement_token3] = ACTIONS(4876),
    [aux_sym_file_position_statement_token4] = ACTIONS(4876),
    [aux_sym_allocate_statement_token1] = ACTIONS(4876),
    [aux_sym_entry_statement_token1] = ACTIONS(4876),
    [aux_sym_assign_statement_token1] = ACTIONS(4876),
    [aux_sym_logical_expression_token5] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [aux_sym_boolean_literal_token1] = ACTIONS(4878),
    [aux_sym_boolean_literal_token2] = ACTIONS(4878),
    [aux_sym_null_literal_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token2] = ACTIONS(4876),
    [aux_sym_coarray_statement_token6] = ACTIONS(4876),
    [aux_sym_coarray_statement_token8] = ACTIONS(4876),
    [aux_sym_coarray_statement_token11] = ACTIONS(4876),
    [aux_sym_coarray_statement_token12] = ACTIONS(4876),
    [aux_sym_coarray_statement_token13] = ACTIONS(4876),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4876),
    [aux_sym_identifier_token1] = ACTIONS(4876),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4878),
    [sym__float_literal] = ACTIONS(4878),
    [sym__boz_literal] = ACTIONS(4878),
    [sym__string_literal] = ACTIONS(4878),
    [sym__string_literal_kind] = ACTIONS(4878),
  },
  [1078] = {
    [ts_builtin_sym_end] = ACTIONS(4882),
    [aux_sym_preproc_include_token1] = ACTIONS(4880),
    [aux_sym_preproc_def_token1] = ACTIONS(4880),
    [aux_sym_preproc_if_token1] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4880),
    [sym_preproc_directive] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token2] = ACTIONS(4880),
    [aux_sym_module_statement_token1] = ACTIONS(4880),
    [aux_sym_submodule_statement_token1] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [aux_sym_interface_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token2] = ACTIONS(4880),
    [aux_sym_block_data_statement_token3] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4880),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4880),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4880),
    [aux_sym_function_statement_token1] = ACTIONS(4880),
    [aux_sym_language_binding_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4880),
    [aux_sym_contains_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token2] = ACTIONS(4880),
    [aux_sym_implicit_statement_token1] = ACTIONS(4880),
    [aux_sym_implicit_statement_token3] = ACTIONS(4880),
    [aux_sym_implicit_statement_token4] = ACTIONS(4880),
    [aux_sym_save_statement_token1] = ACTIONS(4880),
    [aux_sym_private_statement_token1] = ACTIONS(4880),
    [aux_sym_public_statement_token1] = ACTIONS(4880),
    [aux_sym_namelist_statement_token1] = ACTIONS(4880),
    [aux_sym_common_statement_token1] = ACTIONS(4880),
    [aux_sym_import_statement_token1] = ACTIONS(4880),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4880),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4880),
    [aux_sym_variable_attributes_token1] = ACTIONS(4880),
    [aux_sym_variable_attributes_token2] = ACTIONS(4880),
    [aux_sym_variable_attributes_token3] = ACTIONS(4880),
    [aux_sym_variable_attributes_token4] = ACTIONS(4880),
    [aux_sym_variable_attributes_token5] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4880),
    [aux_sym_derived_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4880),
    [aux_sym_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4880),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token2] = ACTIONS(4880),
    [aux_sym_subroutine_call_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token2] = ACTIONS(4880),
    [aux_sym_keyword_statement_token3] = ACTIONS(4880),
    [aux_sym_keyword_statement_token4] = ACTIONS(4880),
    [aux_sym_keyword_statement_token6] = ACTIONS(4880),
    [aux_sym_keyword_statement_token7] = ACTIONS(4880),
    [aux_sym_include_statement_token1] = ACTIONS(4880),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4880),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4880),
    [aux_sym_end_if_statement_token1] = ACTIONS(4880),
    [aux_sym_elseif_clause_token2] = ACTIONS(4880),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4880),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token3] = ACTIONS(4880),
    [aux_sym_select_type_statement_token1] = ACTIONS(4880),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4880),
    [aux_sym_associate_statement_token1] = ACTIONS(4880),
    [aux_sym_format_statement_token1] = ACTIONS(4880),
    [aux_sym_print_statement_token1] = ACTIONS(4880),
    [aux_sym_open_statement_token1] = ACTIONS(4880),
    [aux_sym_close_statement_token1] = ACTIONS(4880),
    [aux_sym_inquire_statement_token1] = ACTIONS(4880),
    [aux_sym_enum_statement_token1] = ACTIONS(4880),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token2] = ACTIONS(4880),
    [aux_sym_file_position_statement_token3] = ACTIONS(4880),
    [aux_sym_file_position_statement_token4] = ACTIONS(4880),
    [aux_sym_allocate_statement_token1] = ACTIONS(4880),
    [aux_sym_entry_statement_token1] = ACTIONS(4880),
    [aux_sym_assign_statement_token1] = ACTIONS(4880),
    [aux_sym_logical_expression_token5] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [aux_sym_boolean_literal_token1] = ACTIONS(4882),
    [aux_sym_boolean_literal_token2] = ACTIONS(4882),
    [aux_sym_null_literal_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token2] = ACTIONS(4880),
    [aux_sym_coarray_statement_token6] = ACTIONS(4880),
    [aux_sym_coarray_statement_token8] = ACTIONS(4880),
    [aux_sym_coarray_statement_token11] = ACTIONS(4880),
    [aux_sym_coarray_statement_token12] = ACTIONS(4880),
    [aux_sym_coarray_statement_token13] = ACTIONS(4880),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4880),
    [aux_sym_identifier_token1] = ACTIONS(4880),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4882),
    [sym__float_literal] = ACTIONS(4882),
    [sym__boz_literal] = ACTIONS(4882),
    [sym__string_literal] = ACTIONS(4882),
    [sym__string_literal_kind] = ACTIONS(4882),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(5110),
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_module_statement_token1] = ACTIONS(5108),
    [aux_sym_submodule_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_block_data_statement_token3] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_function_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5002),
    [anon_sym_DASH] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_module_statement_token1] = ACTIONS(5000),
    [aux_sym_submodule_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5002),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token1] = ACTIONS(5000),
    [aux_sym_block_data_statement_token2] = ACTIONS(5000),
    [aux_sym_block_data_statement_token3] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_function_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5000),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_assign_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5002),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5002),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [aux_sym_boolean_literal_token1] = ACTIONS(5002),
    [aux_sym_boolean_literal_token2] = ACTIONS(5002),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5002),
    [sym__float_literal] = ACTIONS(5002),
    [sym__boz_literal] = ACTIONS(5002),
    [sym__string_literal] = ACTIONS(5002),
    [sym__string_literal_kind] = ACTIONS(5002),
  },
  [1081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5016),
    [aux_sym_preproc_def_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token2] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5016),
    [sym_preproc_directive] = ACTIONS(5016),
    [anon_sym_LPAREN2] = ACTIONS(5016),
    [anon_sym_PLUS] = ACTIONS(5018),
    [anon_sym_DASH] = ACTIONS(5018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token1] = ACTIONS(5016),
    [aux_sym_end_program_statement_token2] = ACTIONS(5016),
    [aux_sym_module_statement_token1] = ACTIONS(5016),
    [aux_sym_submodule_statement_token1] = ACTIONS(5016),
    [anon_sym_SEMI] = ACTIONS(5018),
    [aux_sym_interface_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token1] = ACTIONS(5016),
    [aux_sym_block_data_statement_token2] = ACTIONS(5016),
    [aux_sym_block_data_statement_token3] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5016),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5016),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5016),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5016),
    [aux_sym_function_statement_token1] = ACTIONS(5016),
    [aux_sym_language_binding_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5016),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5016),
    [aux_sym_contains_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token1] = ACTIONS(5016),
    [aux_sym_use_statement_token2] = ACTIONS(5016),
    [aux_sym_implicit_statement_token1] = ACTIONS(5016),
    [aux_sym_implicit_statement_token3] = ACTIONS(5016),
    [aux_sym_implicit_statement_token4] = ACTIONS(5016),
    [aux_sym_save_statement_token1] = ACTIONS(5016),
    [aux_sym_private_statement_token1] = ACTIONS(5016),
    [aux_sym_public_statement_token1] = ACTIONS(5016),
    [aux_sym_namelist_statement_token1] = ACTIONS(5016),
    [aux_sym_common_statement_token1] = ACTIONS(5016),
    [aux_sym_import_statement_token1] = ACTIONS(5016),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5016),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5016),
    [aux_sym_variable_attributes_token1] = ACTIONS(5016),
    [aux_sym_variable_attributes_token2] = ACTIONS(5016),
    [aux_sym_variable_attributes_token3] = ACTIONS(5016),
    [aux_sym_variable_attributes_token4] = ACTIONS(5016),
    [aux_sym_variable_attributes_token5] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5016),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5016),
    [aux_sym_derived_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token1] = ACTIONS(5016),
    [aux_sym_declared_type_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5016),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5016),
    [aux_sym_type_qualifier_token1] = ACTIONS(5016),
    [aux_sym_type_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5016),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5016),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token1] = ACTIONS(5016),
    [aux_sym_stop_statement_token2] = ACTIONS(5016),
    [aux_sym_subroutine_call_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token1] = ACTIONS(5016),
    [aux_sym_keyword_statement_token2] = ACTIONS(5016),
    [aux_sym_keyword_statement_token3] = ACTIONS(5016),
    [aux_sym_keyword_statement_token4] = ACTIONS(5016),
    [aux_sym_keyword_statement_token6] = ACTIONS(5016),
    [aux_sym_keyword_statement_token7] = ACTIONS(5016),
    [aux_sym_include_statement_token1] = ACTIONS(5016),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5016),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5016),
    [aux_sym_end_if_statement_token1] = ACTIONS(5016),
    [aux_sym_elseif_clause_token2] = ACTIONS(5016),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5016),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token1] = ACTIONS(5016),
    [aux_sym_select_case_statement_token3] = ACTIONS(5016),
    [aux_sym_select_type_statement_token1] = ACTIONS(5016),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5016),
    [aux_sym_associate_statement_token1] = ACTIONS(5016),
    [aux_sym_format_statement_token1] = ACTIONS(5016),
    [aux_sym_print_statement_token1] = ACTIONS(5016),
    [aux_sym_open_statement_token1] = ACTIONS(5016),
    [aux_sym_close_statement_token1] = ACTIONS(5016),
    [aux_sym_inquire_statement_token1] = ACTIONS(5016),
    [aux_sym_enum_statement_token1] = ACTIONS(5016),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token1] = ACTIONS(5016),
    [aux_sym_file_position_statement_token2] = ACTIONS(5016),
    [aux_sym_file_position_statement_token3] = ACTIONS(5016),
    [aux_sym_file_position_statement_token4] = ACTIONS(5016),
    [aux_sym_allocate_statement_token1] = ACTIONS(5016),
    [aux_sym_entry_statement_token1] = ACTIONS(5016),
    [aux_sym_assign_statement_token1] = ACTIONS(5016),
    [aux_sym_logical_expression_token5] = ACTIONS(5018),
    [anon_sym_DOT] = ACTIONS(5016),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [aux_sym_boolean_literal_token1] = ACTIONS(5018),
    [aux_sym_boolean_literal_token2] = ACTIONS(5018),
    [aux_sym_null_literal_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_statement_token2] = ACTIONS(5016),
    [aux_sym_coarray_statement_token6] = ACTIONS(5016),
    [aux_sym_coarray_statement_token8] = ACTIONS(5016),
    [aux_sym_coarray_statement_token11] = ACTIONS(5016),
    [aux_sym_coarray_statement_token12] = ACTIONS(5016),
    [aux_sym_coarray_statement_token13] = ACTIONS(5016),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5016),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5016),
    [aux_sym_identifier_token1] = ACTIONS(5016),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5018),
    [sym__float_literal] = ACTIONS(5018),
    [sym__boz_literal] = ACTIONS(5018),
    [sym__string_literal] = ACTIONS(5018),
    [sym__string_literal_kind] = ACTIONS(5018),
  },
  [1082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token1] = ACTIONS(5092),
    [aux_sym_end_program_statement_token2] = ACTIONS(5092),
    [aux_sym_module_statement_token1] = ACTIONS(5092),
    [aux_sym_submodule_statement_token1] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token1] = ACTIONS(5092),
    [aux_sym_block_data_statement_token2] = ACTIONS(5092),
    [aux_sym_block_data_statement_token3] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5092),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5092),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5092),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5092),
    [aux_sym_function_statement_token1] = ACTIONS(5092),
    [aux_sym_language_binding_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5092),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5092),
    [aux_sym_contains_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token1] = ACTIONS(5092),
    [aux_sym_use_statement_token2] = ACTIONS(5092),
    [aux_sym_implicit_statement_token1] = ACTIONS(5092),
    [aux_sym_implicit_statement_token3] = ACTIONS(5092),
    [aux_sym_implicit_statement_token4] = ACTIONS(5092),
    [aux_sym_save_statement_token1] = ACTIONS(5092),
    [aux_sym_private_statement_token1] = ACTIONS(5092),
    [aux_sym_public_statement_token1] = ACTIONS(5092),
    [aux_sym_namelist_statement_token1] = ACTIONS(5092),
    [aux_sym_common_statement_token1] = ACTIONS(5092),
    [aux_sym_import_statement_token1] = ACTIONS(5092),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5092),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5092),
    [aux_sym_variable_attributes_token1] = ACTIONS(5092),
    [aux_sym_variable_attributes_token2] = ACTIONS(5092),
    [aux_sym_variable_attributes_token3] = ACTIONS(5092),
    [aux_sym_variable_attributes_token4] = ACTIONS(5092),
    [aux_sym_variable_attributes_token5] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5092),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5092),
    [aux_sym_derived_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token1] = ACTIONS(5092),
    [aux_sym_declared_type_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5092),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5092),
    [aux_sym_type_qualifier_token1] = ACTIONS(5092),
    [aux_sym_type_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5092),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5092),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5092),
    [aux_sym_stop_statement_token2] = ACTIONS(5092),
    [aux_sym_subroutine_call_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token1] = ACTIONS(5092),
    [aux_sym_keyword_statement_token2] = ACTIONS(5092),
    [aux_sym_keyword_statement_token3] = ACTIONS(5092),
    [aux_sym_keyword_statement_token4] = ACTIONS(5092),
    [aux_sym_keyword_statement_token6] = ACTIONS(5092),
    [aux_sym_keyword_statement_token7] = ACTIONS(5092),
    [aux_sym_include_statement_token1] = ACTIONS(5092),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5092),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5092),
    [aux_sym_end_if_statement_token1] = ACTIONS(5092),
    [aux_sym_elseif_clause_token2] = ACTIONS(5092),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5092),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token1] = ACTIONS(5092),
    [aux_sym_select_case_statement_token3] = ACTIONS(5092),
    [aux_sym_select_type_statement_token1] = ACTIONS(5092),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5092),
    [aux_sym_associate_statement_token1] = ACTIONS(5092),
    [aux_sym_format_statement_token1] = ACTIONS(5092),
    [aux_sym_print_statement_token1] = ACTIONS(5092),
    [aux_sym_open_statement_token1] = ACTIONS(5092),
    [aux_sym_close_statement_token1] = ACTIONS(5092),
    [aux_sym_inquire_statement_token1] = ACTIONS(5092),
    [aux_sym_enum_statement_token1] = ACTIONS(5092),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token1] = ACTIONS(5092),
    [aux_sym_file_position_statement_token2] = ACTIONS(5092),
    [aux_sym_file_position_statement_token3] = ACTIONS(5092),
    [aux_sym_file_position_statement_token4] = ACTIONS(5092),
    [aux_sym_allocate_statement_token1] = ACTIONS(5092),
    [aux_sym_entry_statement_token1] = ACTIONS(5092),
    [aux_sym_assign_statement_token1] = ACTIONS(5092),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5092),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_statement_token2] = ACTIONS(5092),
    [aux_sym_coarray_statement_token6] = ACTIONS(5092),
    [aux_sym_coarray_statement_token8] = ACTIONS(5092),
    [aux_sym_coarray_statement_token11] = ACTIONS(5092),
    [aux_sym_coarray_statement_token12] = ACTIONS(5092),
    [aux_sym_coarray_statement_token13] = ACTIONS(5092),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5092),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5092),
    [aux_sym_identifier_token1] = ACTIONS(5092),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [1083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token2] = ACTIONS(5096),
    [aux_sym_module_statement_token1] = ACTIONS(5096),
    [aux_sym_submodule_statement_token1] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token2] = ACTIONS(5096),
    [aux_sym_block_data_statement_token3] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5096),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5096),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5096),
    [aux_sym_function_statement_token1] = ACTIONS(5096),
    [aux_sym_language_binding_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5096),
    [aux_sym_contains_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token2] = ACTIONS(5096),
    [aux_sym_implicit_statement_token1] = ACTIONS(5096),
    [aux_sym_implicit_statement_token3] = ACTIONS(5096),
    [aux_sym_implicit_statement_token4] = ACTIONS(5096),
    [aux_sym_save_statement_token1] = ACTIONS(5096),
    [aux_sym_private_statement_token1] = ACTIONS(5096),
    [aux_sym_public_statement_token1] = ACTIONS(5096),
    [aux_sym_namelist_statement_token1] = ACTIONS(5096),
    [aux_sym_common_statement_token1] = ACTIONS(5096),
    [aux_sym_import_statement_token1] = ACTIONS(5096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5096),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5096),
    [aux_sym_variable_attributes_token1] = ACTIONS(5096),
    [aux_sym_variable_attributes_token2] = ACTIONS(5096),
    [aux_sym_variable_attributes_token3] = ACTIONS(5096),
    [aux_sym_variable_attributes_token4] = ACTIONS(5096),
    [aux_sym_variable_attributes_token5] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5096),
    [aux_sym_derived_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5096),
    [aux_sym_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5096),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token2] = ACTIONS(5096),
    [aux_sym_subroutine_call_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token2] = ACTIONS(5096),
    [aux_sym_keyword_statement_token3] = ACTIONS(5096),
    [aux_sym_keyword_statement_token4] = ACTIONS(5096),
    [aux_sym_keyword_statement_token6] = ACTIONS(5096),
    [aux_sym_keyword_statement_token7] = ACTIONS(5096),
    [aux_sym_include_statement_token1] = ACTIONS(5096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5096),
    [aux_sym_end_if_statement_token1] = ACTIONS(5096),
    [aux_sym_elseif_clause_token2] = ACTIONS(5096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token3] = ACTIONS(5096),
    [aux_sym_select_type_statement_token1] = ACTIONS(5096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5096),
    [aux_sym_associate_statement_token1] = ACTIONS(5096),
    [aux_sym_format_statement_token1] = ACTIONS(5096),
    [aux_sym_print_statement_token1] = ACTIONS(5096),
    [aux_sym_open_statement_token1] = ACTIONS(5096),
    [aux_sym_close_statement_token1] = ACTIONS(5096),
    [aux_sym_inquire_statement_token1] = ACTIONS(5096),
    [aux_sym_enum_statement_token1] = ACTIONS(5096),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token2] = ACTIONS(5096),
    [aux_sym_file_position_statement_token3] = ACTIONS(5096),
    [aux_sym_file_position_statement_token4] = ACTIONS(5096),
    [aux_sym_allocate_statement_token1] = ACTIONS(5096),
    [aux_sym_entry_statement_token1] = ACTIONS(5096),
    [aux_sym_assign_statement_token1] = ACTIONS(5096),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token2] = ACTIONS(5096),
    [aux_sym_coarray_statement_token6] = ACTIONS(5096),
    [aux_sym_coarray_statement_token8] = ACTIONS(5096),
    [aux_sym_coarray_statement_token11] = ACTIONS(5096),
    [aux_sym_coarray_statement_token12] = ACTIONS(5096),
    [aux_sym_coarray_statement_token13] = ACTIONS(5096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5096),
    [aux_sym_identifier_token1] = ACTIONS(5096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [1084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_module_statement_token1] = ACTIONS(5100),
    [aux_sym_submodule_statement_token1] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_interface_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token2] = ACTIONS(5100),
    [aux_sym_block_data_statement_token3] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5100),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5100),
    [aux_sym_function_statement_token1] = ACTIONS(5100),
    [aux_sym_language_binding_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token1] = ACTIONS(5100),
    [aux_sym_implicit_statement_token3] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_namelist_statement_token1] = ACTIONS(5100),
    [aux_sym_common_statement_token1] = ACTIONS(5100),
    [aux_sym_import_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token1] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token4] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5100),
    [aux_sym_derived_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5100),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_enum_statement_token1] = ACTIONS(5100),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_assign_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4848),
    [aux_sym_preproc_def_token1] = ACTIONS(4848),
    [aux_sym_preproc_if_token1] = ACTIONS(4848),
    [aux_sym_preproc_if_token2] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4848),
    [sym_preproc_directive] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_program_statement_token2] = ACTIONS(4848),
    [aux_sym_module_statement_token1] = ACTIONS(4848),
    [aux_sym_submodule_statement_token1] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [aux_sym_interface_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token1] = ACTIONS(4848),
    [aux_sym_block_data_statement_token2] = ACTIONS(4848),
    [aux_sym_block_data_statement_token3] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4848),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4848),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4848),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4848),
    [aux_sym_function_statement_token1] = ACTIONS(4848),
    [aux_sym_language_binding_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4848),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4848),
    [aux_sym_contains_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token1] = ACTIONS(4848),
    [aux_sym_use_statement_token2] = ACTIONS(4848),
    [aux_sym_implicit_statement_token1] = ACTIONS(4848),
    [aux_sym_implicit_statement_token3] = ACTIONS(4848),
    [aux_sym_implicit_statement_token4] = ACTIONS(4848),
    [aux_sym_save_statement_token1] = ACTIONS(4848),
    [aux_sym_private_statement_token1] = ACTIONS(4848),
    [aux_sym_public_statement_token1] = ACTIONS(4848),
    [aux_sym_namelist_statement_token1] = ACTIONS(4848),
    [aux_sym_common_statement_token1] = ACTIONS(4848),
    [aux_sym_import_statement_token1] = ACTIONS(4848),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4848),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4848),
    [aux_sym_variable_attributes_token1] = ACTIONS(4848),
    [aux_sym_variable_attributes_token2] = ACTIONS(4848),
    [aux_sym_variable_attributes_token3] = ACTIONS(4848),
    [aux_sym_variable_attributes_token4] = ACTIONS(4848),
    [aux_sym_variable_attributes_token5] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4848),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4848),
    [aux_sym_derived_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token1] = ACTIONS(4848),
    [aux_sym_declared_type_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4848),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4848),
    [aux_sym_type_qualifier_token1] = ACTIONS(4848),
    [aux_sym_type_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4848),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4848),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token1] = ACTIONS(4848),
    [aux_sym_stop_statement_token2] = ACTIONS(4848),
    [aux_sym_subroutine_call_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token1] = ACTIONS(4848),
    [aux_sym_keyword_statement_token2] = ACTIONS(4848),
    [aux_sym_keyword_statement_token3] = ACTIONS(4848),
    [aux_sym_keyword_statement_token4] = ACTIONS(4848),
    [aux_sym_keyword_statement_token6] = ACTIONS(4848),
    [aux_sym_keyword_statement_token7] = ACTIONS(4848),
    [aux_sym_include_statement_token1] = ACTIONS(4848),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4848),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4848),
    [aux_sym_end_if_statement_token1] = ACTIONS(4848),
    [aux_sym_elseif_clause_token2] = ACTIONS(4848),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4848),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token1] = ACTIONS(4848),
    [aux_sym_select_case_statement_token3] = ACTIONS(4848),
    [aux_sym_select_type_statement_token1] = ACTIONS(4848),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4848),
    [aux_sym_associate_statement_token1] = ACTIONS(4848),
    [aux_sym_format_statement_token1] = ACTIONS(4848),
    [aux_sym_print_statement_token1] = ACTIONS(4848),
    [aux_sym_open_statement_token1] = ACTIONS(4848),
    [aux_sym_close_statement_token1] = ACTIONS(4848),
    [aux_sym_inquire_statement_token1] = ACTIONS(4848),
    [aux_sym_enum_statement_token1] = ACTIONS(4848),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token1] = ACTIONS(4848),
    [aux_sym_file_position_statement_token2] = ACTIONS(4848),
    [aux_sym_file_position_statement_token3] = ACTIONS(4848),
    [aux_sym_file_position_statement_token4] = ACTIONS(4848),
    [aux_sym_allocate_statement_token1] = ACTIONS(4848),
    [aux_sym_entry_statement_token1] = ACTIONS(4848),
    [aux_sym_assign_statement_token1] = ACTIONS(4848),
    [aux_sym_logical_expression_token5] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [aux_sym_boolean_literal_token1] = ACTIONS(4850),
    [aux_sym_boolean_literal_token2] = ACTIONS(4850),
    [aux_sym_null_literal_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_statement_token2] = ACTIONS(4848),
    [aux_sym_coarray_statement_token6] = ACTIONS(4848),
    [aux_sym_coarray_statement_token8] = ACTIONS(4848),
    [aux_sym_coarray_statement_token11] = ACTIONS(4848),
    [aux_sym_coarray_statement_token12] = ACTIONS(4848),
    [aux_sym_coarray_statement_token13] = ACTIONS(4848),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4848),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4848),
    [aux_sym_identifier_token1] = ACTIONS(4848),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4850),
    [sym__float_literal] = ACTIONS(4850),
    [sym__boz_literal] = ACTIONS(4850),
    [sym__string_literal] = ACTIONS(4850),
    [sym__string_literal_kind] = ACTIONS(4850),
  },
  [1086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(352),
    [aux_sym_preproc_def_token1] = ACTIONS(352),
    [aux_sym_preproc_if_token1] = ACTIONS(352),
    [aux_sym_preproc_if_token2] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(352),
    [sym_preproc_directive] = ACTIONS(352),
    [anon_sym_LPAREN2] = ACTIONS(352),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token1] = ACTIONS(352),
    [aux_sym_end_program_statement_token2] = ACTIONS(352),
    [aux_sym_module_statement_token1] = ACTIONS(352),
    [aux_sym_submodule_statement_token1] = ACTIONS(352),
    [anon_sym_SEMI] = ACTIONS(705),
    [aux_sym_interface_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token1] = ACTIONS(352),
    [aux_sym_block_data_statement_token2] = ACTIONS(352),
    [aux_sym_block_data_statement_token3] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(352),
    [aux_sym_function_statement_token1] = ACTIONS(352),
    [aux_sym_language_binding_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(352),
    [aux_sym_contains_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token1] = ACTIONS(352),
    [aux_sym_use_statement_token2] = ACTIONS(352),
    [aux_sym_implicit_statement_token1] = ACTIONS(352),
    [aux_sym_implicit_statement_token3] = ACTIONS(352),
    [aux_sym_implicit_statement_token4] = ACTIONS(352),
    [aux_sym_save_statement_token1] = ACTIONS(352),
    [aux_sym_private_statement_token1] = ACTIONS(352),
    [aux_sym_public_statement_token1] = ACTIONS(352),
    [aux_sym_namelist_statement_token1] = ACTIONS(352),
    [aux_sym_common_statement_token1] = ACTIONS(352),
    [aux_sym_import_statement_token1] = ACTIONS(352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(352),
    [aux_sym_variable_attributes_token1] = ACTIONS(352),
    [aux_sym_variable_attributes_token2] = ACTIONS(352),
    [aux_sym_variable_attributes_token3] = ACTIONS(352),
    [aux_sym_variable_attributes_token4] = ACTIONS(352),
    [aux_sym_variable_attributes_token5] = ACTIONS(352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(352),
    [aux_sym_derived_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token1] = ACTIONS(352),
    [aux_sym_declared_type_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(352),
    [aux_sym_type_qualifier_token1] = ACTIONS(352),
    [aux_sym_type_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token1] = ACTIONS(352),
    [aux_sym_stop_statement_token2] = ACTIONS(352),
    [aux_sym_subroutine_call_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token1] = ACTIONS(352),
    [aux_sym_keyword_statement_token2] = ACTIONS(352),
    [aux_sym_keyword_statement_token3] = ACTIONS(352),
    [aux_sym_keyword_statement_token4] = ACTIONS(352),
    [aux_sym_keyword_statement_token6] = ACTIONS(352),
    [aux_sym_keyword_statement_token7] = ACTIONS(352),
    [aux_sym_include_statement_token1] = ACTIONS(352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(352),
    [aux_sym_end_if_statement_token1] = ACTIONS(352),
    [aux_sym_elseif_clause_token2] = ACTIONS(352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token1] = ACTIONS(352),
    [aux_sym_select_case_statement_token3] = ACTIONS(352),
    [aux_sym_select_type_statement_token1] = ACTIONS(352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(352),
    [aux_sym_associate_statement_token1] = ACTIONS(352),
    [aux_sym_format_statement_token1] = ACTIONS(352),
    [aux_sym_print_statement_token1] = ACTIONS(352),
    [aux_sym_open_statement_token1] = ACTIONS(352),
    [aux_sym_close_statement_token1] = ACTIONS(352),
    [aux_sym_inquire_statement_token1] = ACTIONS(352),
    [aux_sym_enum_statement_token1] = ACTIONS(352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token1] = ACTIONS(352),
    [aux_sym_file_position_statement_token2] = ACTIONS(352),
    [aux_sym_file_position_statement_token3] = ACTIONS(352),
    [aux_sym_file_position_statement_token4] = ACTIONS(352),
    [aux_sym_allocate_statement_token1] = ACTIONS(352),
    [aux_sym_entry_statement_token1] = ACTIONS(352),
    [aux_sym_assign_statement_token1] = ACTIONS(352),
    [aux_sym_logical_expression_token5] = ACTIONS(705),
    [anon_sym_DOT] = ACTIONS(352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(705),
    [aux_sym_boolean_literal_token1] = ACTIONS(705),
    [aux_sym_boolean_literal_token2] = ACTIONS(705),
    [aux_sym_null_literal_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_statement_token2] = ACTIONS(352),
    [aux_sym_coarray_statement_token6] = ACTIONS(352),
    [aux_sym_coarray_statement_token8] = ACTIONS(352),
    [aux_sym_coarray_statement_token11] = ACTIONS(352),
    [aux_sym_coarray_statement_token12] = ACTIONS(352),
    [aux_sym_coarray_statement_token13] = ACTIONS(352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(352),
    [aux_sym_identifier_token1] = ACTIONS(352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(705),
    [sym__float_literal] = ACTIONS(705),
    [sym__boz_literal] = ACTIONS(705),
    [sym__string_literal] = ACTIONS(705),
    [sym__string_literal_kind] = ACTIONS(705),
  },
  [1087] = {
    [ts_builtin_sym_end] = ACTIONS(5114),
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(5022),
    [aux_sym_preproc_include_token1] = ACTIONS(5020),
    [aux_sym_preproc_def_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token1] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5020),
    [sym_preproc_directive] = ACTIONS(5020),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_PLUS] = ACTIONS(5022),
    [anon_sym_DASH] = ACTIONS(5022),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token2] = ACTIONS(5020),
    [aux_sym_module_statement_token1] = ACTIONS(5020),
    [aux_sym_submodule_statement_token1] = ACTIONS(5020),
    [anon_sym_SEMI] = ACTIONS(5022),
    [aux_sym_interface_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token2] = ACTIONS(5020),
    [aux_sym_block_data_statement_token3] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5020),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5020),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5020),
    [aux_sym_function_statement_token1] = ACTIONS(5020),
    [aux_sym_language_binding_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5020),
    [aux_sym_contains_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token2] = ACTIONS(5020),
    [aux_sym_implicit_statement_token1] = ACTIONS(5020),
    [aux_sym_implicit_statement_token3] = ACTIONS(5020),
    [aux_sym_implicit_statement_token4] = ACTIONS(5020),
    [aux_sym_save_statement_token1] = ACTIONS(5020),
    [aux_sym_private_statement_token1] = ACTIONS(5020),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(5020),
    [aux_sym_common_statement_token1] = ACTIONS(5020),
    [aux_sym_import_statement_token1] = ACTIONS(5020),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5020),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5020),
    [aux_sym_variable_attributes_token1] = ACTIONS(5020),
    [aux_sym_variable_attributes_token2] = ACTIONS(5020),
    [aux_sym_variable_attributes_token3] = ACTIONS(5020),
    [aux_sym_variable_attributes_token4] = ACTIONS(5020),
    [aux_sym_variable_attributes_token5] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5020),
    [aux_sym_derived_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5020),
    [aux_sym_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5020),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token2] = ACTIONS(5020),
    [aux_sym_subroutine_call_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token2] = ACTIONS(5020),
    [aux_sym_keyword_statement_token3] = ACTIONS(5020),
    [aux_sym_keyword_statement_token4] = ACTIONS(5020),
    [aux_sym_keyword_statement_token6] = ACTIONS(5020),
    [aux_sym_keyword_statement_token7] = ACTIONS(5020),
    [aux_sym_include_statement_token1] = ACTIONS(5020),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5020),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5020),
    [aux_sym_end_if_statement_token1] = ACTIONS(5020),
    [aux_sym_elseif_clause_token2] = ACTIONS(5020),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5020),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token3] = ACTIONS(5020),
    [aux_sym_select_type_statement_token1] = ACTIONS(5020),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5020),
    [aux_sym_associate_statement_token1] = ACTIONS(5020),
    [aux_sym_format_statement_token1] = ACTIONS(5020),
    [aux_sym_print_statement_token1] = ACTIONS(5020),
    [aux_sym_open_statement_token1] = ACTIONS(5020),
    [aux_sym_close_statement_token1] = ACTIONS(5020),
    [aux_sym_inquire_statement_token1] = ACTIONS(5020),
    [aux_sym_enum_statement_token1] = ACTIONS(5020),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token2] = ACTIONS(5020),
    [aux_sym_file_position_statement_token3] = ACTIONS(5020),
    [aux_sym_file_position_statement_token4] = ACTIONS(5020),
    [aux_sym_allocate_statement_token1] = ACTIONS(5020),
    [aux_sym_entry_statement_token1] = ACTIONS(5020),
    [aux_sym_assign_statement_token1] = ACTIONS(5020),
    [aux_sym_logical_expression_token5] = ACTIONS(5022),
    [anon_sym_DOT] = ACTIONS(5020),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [aux_sym_boolean_literal_token1] = ACTIONS(5022),
    [aux_sym_boolean_literal_token2] = ACTIONS(5022),
    [aux_sym_null_literal_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token2] = ACTIONS(5020),
    [aux_sym_coarray_statement_token6] = ACTIONS(5020),
    [aux_sym_coarray_statement_token8] = ACTIONS(5020),
    [aux_sym_coarray_statement_token11] = ACTIONS(5020),
    [aux_sym_coarray_statement_token12] = ACTIONS(5020),
    [aux_sym_coarray_statement_token13] = ACTIONS(5020),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5020),
    [aux_sym_identifier_token1] = ACTIONS(5020),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5022),
    [sym__float_literal] = ACTIONS(5022),
    [sym__boz_literal] = ACTIONS(5022),
    [sym__string_literal] = ACTIONS(5022),
    [sym__string_literal_kind] = ACTIONS(5022),
  },
  [1089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4860),
    [aux_sym_preproc_def_token1] = ACTIONS(4860),
    [aux_sym_preproc_if_token1] = ACTIONS(4860),
    [aux_sym_preproc_if_token2] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4860),
    [sym_preproc_directive] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token1] = ACTIONS(4860),
    [aux_sym_end_program_statement_token2] = ACTIONS(4860),
    [aux_sym_module_statement_token1] = ACTIONS(4860),
    [aux_sym_submodule_statement_token1] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [aux_sym_interface_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token1] = ACTIONS(4860),
    [aux_sym_block_data_statement_token2] = ACTIONS(4860),
    [aux_sym_block_data_statement_token3] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4860),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4860),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4860),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4860),
    [aux_sym_function_statement_token1] = ACTIONS(4860),
    [aux_sym_language_binding_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4860),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4860),
    [aux_sym_contains_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token1] = ACTIONS(4860),
    [aux_sym_use_statement_token2] = ACTIONS(4860),
    [aux_sym_implicit_statement_token1] = ACTIONS(4860),
    [aux_sym_implicit_statement_token3] = ACTIONS(4860),
    [aux_sym_implicit_statement_token4] = ACTIONS(4860),
    [aux_sym_save_statement_token1] = ACTIONS(4860),
    [aux_sym_private_statement_token1] = ACTIONS(4860),
    [aux_sym_public_statement_token1] = ACTIONS(4860),
    [aux_sym_namelist_statement_token1] = ACTIONS(4860),
    [aux_sym_common_statement_token1] = ACTIONS(4860),
    [aux_sym_import_statement_token1] = ACTIONS(4860),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4860),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4860),
    [aux_sym_variable_attributes_token1] = ACTIONS(4860),
    [aux_sym_variable_attributes_token2] = ACTIONS(4860),
    [aux_sym_variable_attributes_token3] = ACTIONS(4860),
    [aux_sym_variable_attributes_token4] = ACTIONS(4860),
    [aux_sym_variable_attributes_token5] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4860),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4860),
    [aux_sym_derived_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token1] = ACTIONS(4860),
    [aux_sym_declared_type_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4860),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4860),
    [aux_sym_type_qualifier_token1] = ACTIONS(4860),
    [aux_sym_type_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4860),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4860),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token1] = ACTIONS(4860),
    [aux_sym_stop_statement_token2] = ACTIONS(4860),
    [aux_sym_subroutine_call_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token1] = ACTIONS(4860),
    [aux_sym_keyword_statement_token2] = ACTIONS(4860),
    [aux_sym_keyword_statement_token3] = ACTIONS(4860),
    [aux_sym_keyword_statement_token4] = ACTIONS(4860),
    [aux_sym_keyword_statement_token6] = ACTIONS(4860),
    [aux_sym_keyword_statement_token7] = ACTIONS(4860),
    [aux_sym_include_statement_token1] = ACTIONS(4860),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4860),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4860),
    [aux_sym_end_if_statement_token1] = ACTIONS(4860),
    [aux_sym_elseif_clause_token2] = ACTIONS(4860),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4860),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token1] = ACTIONS(4860),
    [aux_sym_select_case_statement_token3] = ACTIONS(4860),
    [aux_sym_select_type_statement_token1] = ACTIONS(4860),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4860),
    [aux_sym_associate_statement_token1] = ACTIONS(4860),
    [aux_sym_format_statement_token1] = ACTIONS(4860),
    [aux_sym_print_statement_token1] = ACTIONS(4860),
    [aux_sym_open_statement_token1] = ACTIONS(4860),
    [aux_sym_close_statement_token1] = ACTIONS(4860),
    [aux_sym_inquire_statement_token1] = ACTIONS(4860),
    [aux_sym_enum_statement_token1] = ACTIONS(4860),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token1] = ACTIONS(4860),
    [aux_sym_file_position_statement_token2] = ACTIONS(4860),
    [aux_sym_file_position_statement_token3] = ACTIONS(4860),
    [aux_sym_file_position_statement_token4] = ACTIONS(4860),
    [aux_sym_allocate_statement_token1] = ACTIONS(4860),
    [aux_sym_entry_statement_token1] = ACTIONS(4860),
    [aux_sym_assign_statement_token1] = ACTIONS(4860),
    [aux_sym_logical_expression_token5] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [aux_sym_boolean_literal_token1] = ACTIONS(4862),
    [aux_sym_boolean_literal_token2] = ACTIONS(4862),
    [aux_sym_null_literal_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_statement_token2] = ACTIONS(4860),
    [aux_sym_coarray_statement_token6] = ACTIONS(4860),
    [aux_sym_coarray_statement_token8] = ACTIONS(4860),
    [aux_sym_coarray_statement_token11] = ACTIONS(4860),
    [aux_sym_coarray_statement_token12] = ACTIONS(4860),
    [aux_sym_coarray_statement_token13] = ACTIONS(4860),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4860),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4860),
    [aux_sym_identifier_token1] = ACTIONS(4860),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4862),
    [sym__float_literal] = ACTIONS(4862),
    [sym__boz_literal] = ACTIONS(4862),
    [sym__string_literal] = ACTIONS(4862),
    [sym__string_literal_kind] = ACTIONS(4862),
  },
  [1090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4864),
    [aux_sym_preproc_def_token1] = ACTIONS(4864),
    [aux_sym_preproc_if_token1] = ACTIONS(4864),
    [aux_sym_preproc_if_token2] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4864),
    [sym_preproc_directive] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token1] = ACTIONS(4864),
    [aux_sym_end_program_statement_token2] = ACTIONS(4864),
    [aux_sym_module_statement_token1] = ACTIONS(4864),
    [aux_sym_submodule_statement_token1] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4866),
    [aux_sym_interface_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token1] = ACTIONS(4864),
    [aux_sym_block_data_statement_token2] = ACTIONS(4864),
    [aux_sym_block_data_statement_token3] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4864),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4864),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4864),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4864),
    [aux_sym_function_statement_token1] = ACTIONS(4864),
    [aux_sym_language_binding_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4864),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4864),
    [aux_sym_contains_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token1] = ACTIONS(4864),
    [aux_sym_use_statement_token2] = ACTIONS(4864),
    [aux_sym_implicit_statement_token1] = ACTIONS(4864),
    [aux_sym_implicit_statement_token3] = ACTIONS(4864),
    [aux_sym_implicit_statement_token4] = ACTIONS(4864),
    [aux_sym_save_statement_token1] = ACTIONS(4864),
    [aux_sym_private_statement_token1] = ACTIONS(4864),
    [aux_sym_public_statement_token1] = ACTIONS(4864),
    [aux_sym_namelist_statement_token1] = ACTIONS(4864),
    [aux_sym_common_statement_token1] = ACTIONS(4864),
    [aux_sym_import_statement_token1] = ACTIONS(4864),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4864),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4864),
    [aux_sym_variable_attributes_token1] = ACTIONS(4864),
    [aux_sym_variable_attributes_token2] = ACTIONS(4864),
    [aux_sym_variable_attributes_token3] = ACTIONS(4864),
    [aux_sym_variable_attributes_token4] = ACTIONS(4864),
    [aux_sym_variable_attributes_token5] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4864),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4864),
    [aux_sym_derived_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token1] = ACTIONS(4864),
    [aux_sym_declared_type_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4864),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4864),
    [aux_sym_type_qualifier_token1] = ACTIONS(4864),
    [aux_sym_type_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4864),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4864),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token1] = ACTIONS(4864),
    [aux_sym_stop_statement_token2] = ACTIONS(4864),
    [aux_sym_subroutine_call_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token1] = ACTIONS(4864),
    [aux_sym_keyword_statement_token2] = ACTIONS(4864),
    [aux_sym_keyword_statement_token3] = ACTIONS(4864),
    [aux_sym_keyword_statement_token4] = ACTIONS(4864),
    [aux_sym_keyword_statement_token6] = ACTIONS(4864),
    [aux_sym_keyword_statement_token7] = ACTIONS(4864),
    [aux_sym_include_statement_token1] = ACTIONS(4864),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4864),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4864),
    [aux_sym_end_if_statement_token1] = ACTIONS(4864),
    [aux_sym_elseif_clause_token2] = ACTIONS(4864),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4864),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token1] = ACTIONS(4864),
    [aux_sym_select_case_statement_token3] = ACTIONS(4864),
    [aux_sym_select_type_statement_token1] = ACTIONS(4864),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4864),
    [aux_sym_associate_statement_token1] = ACTIONS(4864),
    [aux_sym_format_statement_token1] = ACTIONS(4864),
    [aux_sym_print_statement_token1] = ACTIONS(4864),
    [aux_sym_open_statement_token1] = ACTIONS(4864),
    [aux_sym_close_statement_token1] = ACTIONS(4864),
    [aux_sym_inquire_statement_token1] = ACTIONS(4864),
    [aux_sym_enum_statement_token1] = ACTIONS(4864),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token1] = ACTIONS(4864),
    [aux_sym_file_position_statement_token2] = ACTIONS(4864),
    [aux_sym_file_position_statement_token3] = ACTIONS(4864),
    [aux_sym_file_position_statement_token4] = ACTIONS(4864),
    [aux_sym_allocate_statement_token1] = ACTIONS(4864),
    [aux_sym_entry_statement_token1] = ACTIONS(4864),
    [aux_sym_assign_statement_token1] = ACTIONS(4864),
    [aux_sym_logical_expression_token5] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [aux_sym_boolean_literal_token1] = ACTIONS(4866),
    [aux_sym_boolean_literal_token2] = ACTIONS(4866),
    [aux_sym_null_literal_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_statement_token2] = ACTIONS(4864),
    [aux_sym_coarray_statement_token6] = ACTIONS(4864),
    [aux_sym_coarray_statement_token8] = ACTIONS(4864),
    [aux_sym_coarray_statement_token11] = ACTIONS(4864),
    [aux_sym_coarray_statement_token12] = ACTIONS(4864),
    [aux_sym_coarray_statement_token13] = ACTIONS(4864),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4864),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4864),
    [aux_sym_identifier_token1] = ACTIONS(4864),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4866),
    [sym__float_literal] = ACTIONS(4866),
    [sym__boz_literal] = ACTIONS(4866),
    [sym__string_literal] = ACTIONS(4866),
    [sym__string_literal_kind] = ACTIONS(4866),
  },
  [1091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4868),
    [aux_sym_preproc_def_token1] = ACTIONS(4868),
    [aux_sym_preproc_if_token1] = ACTIONS(4868),
    [aux_sym_preproc_if_token2] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4868),
    [sym_preproc_directive] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token2] = ACTIONS(4868),
    [aux_sym_module_statement_token1] = ACTIONS(4868),
    [aux_sym_submodule_statement_token1] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4870),
    [aux_sym_interface_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token2] = ACTIONS(4868),
    [aux_sym_block_data_statement_token3] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4868),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4868),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4868),
    [aux_sym_function_statement_token1] = ACTIONS(4868),
    [aux_sym_language_binding_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4868),
    [aux_sym_contains_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token2] = ACTIONS(4868),
    [aux_sym_implicit_statement_token1] = ACTIONS(4868),
    [aux_sym_implicit_statement_token3] = ACTIONS(4868),
    [aux_sym_implicit_statement_token4] = ACTIONS(4868),
    [aux_sym_save_statement_token1] = ACTIONS(4868),
    [aux_sym_private_statement_token1] = ACTIONS(4868),
    [aux_sym_public_statement_token1] = ACTIONS(4868),
    [aux_sym_namelist_statement_token1] = ACTIONS(4868),
    [aux_sym_common_statement_token1] = ACTIONS(4868),
    [aux_sym_import_statement_token1] = ACTIONS(4868),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4868),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4868),
    [aux_sym_variable_attributes_token1] = ACTIONS(4868),
    [aux_sym_variable_attributes_token2] = ACTIONS(4868),
    [aux_sym_variable_attributes_token3] = ACTIONS(4868),
    [aux_sym_variable_attributes_token4] = ACTIONS(4868),
    [aux_sym_variable_attributes_token5] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4868),
    [aux_sym_derived_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4868),
    [aux_sym_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4868),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token2] = ACTIONS(4868),
    [aux_sym_subroutine_call_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token2] = ACTIONS(4868),
    [aux_sym_keyword_statement_token3] = ACTIONS(4868),
    [aux_sym_keyword_statement_token4] = ACTIONS(4868),
    [aux_sym_keyword_statement_token6] = ACTIONS(4868),
    [aux_sym_keyword_statement_token7] = ACTIONS(4868),
    [aux_sym_include_statement_token1] = ACTIONS(4868),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4868),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4868),
    [aux_sym_end_if_statement_token1] = ACTIONS(4868),
    [aux_sym_elseif_clause_token2] = ACTIONS(4868),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4868),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token3] = ACTIONS(4868),
    [aux_sym_select_type_statement_token1] = ACTIONS(4868),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4868),
    [aux_sym_associate_statement_token1] = ACTIONS(4868),
    [aux_sym_format_statement_token1] = ACTIONS(4868),
    [aux_sym_print_statement_token1] = ACTIONS(4868),
    [aux_sym_open_statement_token1] = ACTIONS(4868),
    [aux_sym_close_statement_token1] = ACTIONS(4868),
    [aux_sym_inquire_statement_token1] = ACTIONS(4868),
    [aux_sym_enum_statement_token1] = ACTIONS(4868),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token2] = ACTIONS(4868),
    [aux_sym_file_position_statement_token3] = ACTIONS(4868),
    [aux_sym_file_position_statement_token4] = ACTIONS(4868),
    [aux_sym_allocate_statement_token1] = ACTIONS(4868),
    [aux_sym_entry_statement_token1] = ACTIONS(4868),
    [aux_sym_assign_statement_token1] = ACTIONS(4868),
    [aux_sym_logical_expression_token5] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [aux_sym_boolean_literal_token1] = ACTIONS(4870),
    [aux_sym_boolean_literal_token2] = ACTIONS(4870),
    [aux_sym_null_literal_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token2] = ACTIONS(4868),
    [aux_sym_coarray_statement_token6] = ACTIONS(4868),
    [aux_sym_coarray_statement_token8] = ACTIONS(4868),
    [aux_sym_coarray_statement_token11] = ACTIONS(4868),
    [aux_sym_coarray_statement_token12] = ACTIONS(4868),
    [aux_sym_coarray_statement_token13] = ACTIONS(4868),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4868),
    [aux_sym_identifier_token1] = ACTIONS(4868),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4870),
    [sym__float_literal] = ACTIONS(4870),
    [sym__boz_literal] = ACTIONS(4870),
    [sym__string_literal] = ACTIONS(4870),
    [sym__string_literal_kind] = ACTIONS(4870),
  },
  [1092] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4872),
    [aux_sym_preproc_def_token1] = ACTIONS(4872),
    [aux_sym_preproc_if_token1] = ACTIONS(4872),
    [aux_sym_preproc_if_token2] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4872),
    [sym_preproc_directive] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token1] = ACTIONS(4872),
    [aux_sym_end_program_statement_token2] = ACTIONS(4872),
    [aux_sym_module_statement_token1] = ACTIONS(4872),
    [aux_sym_submodule_statement_token1] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [aux_sym_interface_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token1] = ACTIONS(4872),
    [aux_sym_block_data_statement_token2] = ACTIONS(4872),
    [aux_sym_block_data_statement_token3] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4872),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4872),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4872),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4872),
    [aux_sym_function_statement_token1] = ACTIONS(4872),
    [aux_sym_language_binding_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4872),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4872),
    [aux_sym_contains_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token1] = ACTIONS(4872),
    [aux_sym_use_statement_token2] = ACTIONS(4872),
    [aux_sym_implicit_statement_token1] = ACTIONS(4872),
    [aux_sym_implicit_statement_token3] = ACTIONS(4872),
    [aux_sym_implicit_statement_token4] = ACTIONS(4872),
    [aux_sym_save_statement_token1] = ACTIONS(4872),
    [aux_sym_private_statement_token1] = ACTIONS(4872),
    [aux_sym_public_statement_token1] = ACTIONS(4872),
    [aux_sym_namelist_statement_token1] = ACTIONS(4872),
    [aux_sym_common_statement_token1] = ACTIONS(4872),
    [aux_sym_import_statement_token1] = ACTIONS(4872),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4872),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4872),
    [aux_sym_variable_attributes_token1] = ACTIONS(4872),
    [aux_sym_variable_attributes_token2] = ACTIONS(4872),
    [aux_sym_variable_attributes_token3] = ACTIONS(4872),
    [aux_sym_variable_attributes_token4] = ACTIONS(4872),
    [aux_sym_variable_attributes_token5] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4872),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4872),
    [aux_sym_derived_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token1] = ACTIONS(4872),
    [aux_sym_declared_type_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4872),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4872),
    [aux_sym_type_qualifier_token1] = ACTIONS(4872),
    [aux_sym_type_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4872),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4872),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token1] = ACTIONS(4872),
    [aux_sym_stop_statement_token2] = ACTIONS(4872),
    [aux_sym_subroutine_call_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token1] = ACTIONS(4872),
    [aux_sym_keyword_statement_token2] = ACTIONS(4872),
    [aux_sym_keyword_statement_token3] = ACTIONS(4872),
    [aux_sym_keyword_statement_token4] = ACTIONS(4872),
    [aux_sym_keyword_statement_token6] = ACTIONS(4872),
    [aux_sym_keyword_statement_token7] = ACTIONS(4872),
    [aux_sym_include_statement_token1] = ACTIONS(4872),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4872),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4872),
    [aux_sym_end_if_statement_token1] = ACTIONS(4872),
    [aux_sym_elseif_clause_token2] = ACTIONS(4872),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4872),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token1] = ACTIONS(4872),
    [aux_sym_select_case_statement_token3] = ACTIONS(4872),
    [aux_sym_select_type_statement_token1] = ACTIONS(4872),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4872),
    [aux_sym_associate_statement_token1] = ACTIONS(4872),
    [aux_sym_format_statement_token1] = ACTIONS(4872),
    [aux_sym_print_statement_token1] = ACTIONS(4872),
    [aux_sym_open_statement_token1] = ACTIONS(4872),
    [aux_sym_close_statement_token1] = ACTIONS(4872),
    [aux_sym_inquire_statement_token1] = ACTIONS(4872),
    [aux_sym_enum_statement_token1] = ACTIONS(4872),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token1] = ACTIONS(4872),
    [aux_sym_file_position_statement_token2] = ACTIONS(4872),
    [aux_sym_file_position_statement_token3] = ACTIONS(4872),
    [aux_sym_file_position_statement_token4] = ACTIONS(4872),
    [aux_sym_allocate_statement_token1] = ACTIONS(4872),
    [aux_sym_entry_statement_token1] = ACTIONS(4872),
    [aux_sym_assign_statement_token1] = ACTIONS(4872),
    [aux_sym_logical_expression_token5] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [aux_sym_boolean_literal_token1] = ACTIONS(4874),
    [aux_sym_boolean_literal_token2] = ACTIONS(4874),
    [aux_sym_null_literal_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_statement_token2] = ACTIONS(4872),
    [aux_sym_coarray_statement_token6] = ACTIONS(4872),
    [aux_sym_coarray_statement_token8] = ACTIONS(4872),
    [aux_sym_coarray_statement_token11] = ACTIONS(4872),
    [aux_sym_coarray_statement_token12] = ACTIONS(4872),
    [aux_sym_coarray_statement_token13] = ACTIONS(4872),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4872),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4872),
    [aux_sym_identifier_token1] = ACTIONS(4872),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4874),
    [sym__float_literal] = ACTIONS(4874),
    [sym__boz_literal] = ACTIONS(4874),
    [sym__string_literal] = ACTIONS(4874),
    [sym__string_literal_kind] = ACTIONS(4874),
  },
  [1093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4876),
    [aux_sym_preproc_def_token1] = ACTIONS(4876),
    [aux_sym_preproc_if_token1] = ACTIONS(4876),
    [aux_sym_preproc_if_token2] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4876),
    [sym_preproc_directive] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token1] = ACTIONS(4876),
    [aux_sym_end_program_statement_token2] = ACTIONS(4876),
    [aux_sym_module_statement_token1] = ACTIONS(4876),
    [aux_sym_submodule_statement_token1] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [aux_sym_interface_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token1] = ACTIONS(4876),
    [aux_sym_block_data_statement_token2] = ACTIONS(4876),
    [aux_sym_block_data_statement_token3] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4876),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4876),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4876),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4876),
    [aux_sym_function_statement_token1] = ACTIONS(4876),
    [aux_sym_language_binding_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4876),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4876),
    [aux_sym_contains_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token1] = ACTIONS(4876),
    [aux_sym_use_statement_token2] = ACTIONS(4876),
    [aux_sym_implicit_statement_token1] = ACTIONS(4876),
    [aux_sym_implicit_statement_token3] = ACTIONS(4876),
    [aux_sym_implicit_statement_token4] = ACTIONS(4876),
    [aux_sym_save_statement_token1] = ACTIONS(4876),
    [aux_sym_private_statement_token1] = ACTIONS(4876),
    [aux_sym_public_statement_token1] = ACTIONS(4876),
    [aux_sym_namelist_statement_token1] = ACTIONS(4876),
    [aux_sym_common_statement_token1] = ACTIONS(4876),
    [aux_sym_import_statement_token1] = ACTIONS(4876),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4876),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4876),
    [aux_sym_variable_attributes_token1] = ACTIONS(4876),
    [aux_sym_variable_attributes_token2] = ACTIONS(4876),
    [aux_sym_variable_attributes_token3] = ACTIONS(4876),
    [aux_sym_variable_attributes_token4] = ACTIONS(4876),
    [aux_sym_variable_attributes_token5] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4876),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4876),
    [aux_sym_derived_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token1] = ACTIONS(4876),
    [aux_sym_declared_type_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4876),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4876),
    [aux_sym_type_qualifier_token1] = ACTIONS(4876),
    [aux_sym_type_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4876),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4876),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token1] = ACTIONS(4876),
    [aux_sym_stop_statement_token2] = ACTIONS(4876),
    [aux_sym_subroutine_call_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token1] = ACTIONS(4876),
    [aux_sym_keyword_statement_token2] = ACTIONS(4876),
    [aux_sym_keyword_statement_token3] = ACTIONS(4876),
    [aux_sym_keyword_statement_token4] = ACTIONS(4876),
    [aux_sym_keyword_statement_token6] = ACTIONS(4876),
    [aux_sym_keyword_statement_token7] = ACTIONS(4876),
    [aux_sym_include_statement_token1] = ACTIONS(4876),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4876),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4876),
    [aux_sym_end_if_statement_token1] = ACTIONS(4876),
    [aux_sym_elseif_clause_token2] = ACTIONS(4876),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4876),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token1] = ACTIONS(4876),
    [aux_sym_select_case_statement_token3] = ACTIONS(4876),
    [aux_sym_select_type_statement_token1] = ACTIONS(4876),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4876),
    [aux_sym_associate_statement_token1] = ACTIONS(4876),
    [aux_sym_format_statement_token1] = ACTIONS(4876),
    [aux_sym_print_statement_token1] = ACTIONS(4876),
    [aux_sym_open_statement_token1] = ACTIONS(4876),
    [aux_sym_close_statement_token1] = ACTIONS(4876),
    [aux_sym_inquire_statement_token1] = ACTIONS(4876),
    [aux_sym_enum_statement_token1] = ACTIONS(4876),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token1] = ACTIONS(4876),
    [aux_sym_file_position_statement_token2] = ACTIONS(4876),
    [aux_sym_file_position_statement_token3] = ACTIONS(4876),
    [aux_sym_file_position_statement_token4] = ACTIONS(4876),
    [aux_sym_allocate_statement_token1] = ACTIONS(4876),
    [aux_sym_entry_statement_token1] = ACTIONS(4876),
    [aux_sym_assign_statement_token1] = ACTIONS(4876),
    [aux_sym_logical_expression_token5] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [aux_sym_boolean_literal_token1] = ACTIONS(4878),
    [aux_sym_boolean_literal_token2] = ACTIONS(4878),
    [aux_sym_null_literal_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_statement_token2] = ACTIONS(4876),
    [aux_sym_coarray_statement_token6] = ACTIONS(4876),
    [aux_sym_coarray_statement_token8] = ACTIONS(4876),
    [aux_sym_coarray_statement_token11] = ACTIONS(4876),
    [aux_sym_coarray_statement_token12] = ACTIONS(4876),
    [aux_sym_coarray_statement_token13] = ACTIONS(4876),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4876),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4876),
    [aux_sym_identifier_token1] = ACTIONS(4876),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4878),
    [sym__float_literal] = ACTIONS(4878),
    [sym__boz_literal] = ACTIONS(4878),
    [sym__string_literal] = ACTIONS(4878),
    [sym__string_literal_kind] = ACTIONS(4878),
  },
  [1094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4880),
    [aux_sym_preproc_def_token1] = ACTIONS(4880),
    [aux_sym_preproc_if_token1] = ACTIONS(4880),
    [aux_sym_preproc_if_token2] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4880),
    [sym_preproc_directive] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token1] = ACTIONS(4880),
    [aux_sym_end_program_statement_token2] = ACTIONS(4880),
    [aux_sym_module_statement_token1] = ACTIONS(4880),
    [aux_sym_submodule_statement_token1] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [aux_sym_interface_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token1] = ACTIONS(4880),
    [aux_sym_block_data_statement_token2] = ACTIONS(4880),
    [aux_sym_block_data_statement_token3] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4880),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4880),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4880),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4880),
    [aux_sym_function_statement_token1] = ACTIONS(4880),
    [aux_sym_language_binding_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4880),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4880),
    [aux_sym_contains_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token1] = ACTIONS(4880),
    [aux_sym_use_statement_token2] = ACTIONS(4880),
    [aux_sym_implicit_statement_token1] = ACTIONS(4880),
    [aux_sym_implicit_statement_token3] = ACTIONS(4880),
    [aux_sym_implicit_statement_token4] = ACTIONS(4880),
    [aux_sym_save_statement_token1] = ACTIONS(4880),
    [aux_sym_private_statement_token1] = ACTIONS(4880),
    [aux_sym_public_statement_token1] = ACTIONS(4880),
    [aux_sym_namelist_statement_token1] = ACTIONS(4880),
    [aux_sym_common_statement_token1] = ACTIONS(4880),
    [aux_sym_import_statement_token1] = ACTIONS(4880),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4880),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4880),
    [aux_sym_variable_attributes_token1] = ACTIONS(4880),
    [aux_sym_variable_attributes_token2] = ACTIONS(4880),
    [aux_sym_variable_attributes_token3] = ACTIONS(4880),
    [aux_sym_variable_attributes_token4] = ACTIONS(4880),
    [aux_sym_variable_attributes_token5] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4880),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4880),
    [aux_sym_derived_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token1] = ACTIONS(4880),
    [aux_sym_declared_type_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4880),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4880),
    [aux_sym_type_qualifier_token1] = ACTIONS(4880),
    [aux_sym_type_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4880),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4880),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token1] = ACTIONS(4880),
    [aux_sym_stop_statement_token2] = ACTIONS(4880),
    [aux_sym_subroutine_call_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token1] = ACTIONS(4880),
    [aux_sym_keyword_statement_token2] = ACTIONS(4880),
    [aux_sym_keyword_statement_token3] = ACTIONS(4880),
    [aux_sym_keyword_statement_token4] = ACTIONS(4880),
    [aux_sym_keyword_statement_token6] = ACTIONS(4880),
    [aux_sym_keyword_statement_token7] = ACTIONS(4880),
    [aux_sym_include_statement_token1] = ACTIONS(4880),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4880),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4880),
    [aux_sym_end_if_statement_token1] = ACTIONS(4880),
    [aux_sym_elseif_clause_token2] = ACTIONS(4880),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4880),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token1] = ACTIONS(4880),
    [aux_sym_select_case_statement_token3] = ACTIONS(4880),
    [aux_sym_select_type_statement_token1] = ACTIONS(4880),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4880),
    [aux_sym_associate_statement_token1] = ACTIONS(4880),
    [aux_sym_format_statement_token1] = ACTIONS(4880),
    [aux_sym_print_statement_token1] = ACTIONS(4880),
    [aux_sym_open_statement_token1] = ACTIONS(4880),
    [aux_sym_close_statement_token1] = ACTIONS(4880),
    [aux_sym_inquire_statement_token1] = ACTIONS(4880),
    [aux_sym_enum_statement_token1] = ACTIONS(4880),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token1] = ACTIONS(4880),
    [aux_sym_file_position_statement_token2] = ACTIONS(4880),
    [aux_sym_file_position_statement_token3] = ACTIONS(4880),
    [aux_sym_file_position_statement_token4] = ACTIONS(4880),
    [aux_sym_allocate_statement_token1] = ACTIONS(4880),
    [aux_sym_entry_statement_token1] = ACTIONS(4880),
    [aux_sym_assign_statement_token1] = ACTIONS(4880),
    [aux_sym_logical_expression_token5] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [aux_sym_boolean_literal_token1] = ACTIONS(4882),
    [aux_sym_boolean_literal_token2] = ACTIONS(4882),
    [aux_sym_null_literal_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_statement_token2] = ACTIONS(4880),
    [aux_sym_coarray_statement_token6] = ACTIONS(4880),
    [aux_sym_coarray_statement_token8] = ACTIONS(4880),
    [aux_sym_coarray_statement_token11] = ACTIONS(4880),
    [aux_sym_coarray_statement_token12] = ACTIONS(4880),
    [aux_sym_coarray_statement_token13] = ACTIONS(4880),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4880),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4880),
    [aux_sym_identifier_token1] = ACTIONS(4880),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4882),
    [sym__float_literal] = ACTIONS(4882),
    [sym__boz_literal] = ACTIONS(4882),
    [sym__string_literal] = ACTIONS(4882),
    [sym__string_literal_kind] = ACTIONS(4882),
  },
  [1095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4884),
    [aux_sym_preproc_def_token1] = ACTIONS(4884),
    [aux_sym_preproc_if_token1] = ACTIONS(4884),
    [aux_sym_preproc_if_token2] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4884),
    [sym_preproc_directive] = ACTIONS(4884),
    [anon_sym_LPAREN2] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token2] = ACTIONS(4884),
    [aux_sym_module_statement_token1] = ACTIONS(4884),
    [aux_sym_submodule_statement_token1] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [aux_sym_interface_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token2] = ACTIONS(4884),
    [aux_sym_block_data_statement_token3] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4884),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4884),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4884),
    [aux_sym_function_statement_token1] = ACTIONS(4884),
    [aux_sym_language_binding_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4884),
    [aux_sym_contains_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token2] = ACTIONS(4884),
    [aux_sym_implicit_statement_token1] = ACTIONS(4884),
    [aux_sym_implicit_statement_token3] = ACTIONS(4884),
    [aux_sym_implicit_statement_token4] = ACTIONS(4884),
    [aux_sym_save_statement_token1] = ACTIONS(4884),
    [aux_sym_private_statement_token1] = ACTIONS(4884),
    [aux_sym_public_statement_token1] = ACTIONS(4884),
    [aux_sym_namelist_statement_token1] = ACTIONS(4884),
    [aux_sym_common_statement_token1] = ACTIONS(4884),
    [aux_sym_import_statement_token1] = ACTIONS(4884),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4884),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4884),
    [aux_sym_variable_attributes_token1] = ACTIONS(4884),
    [aux_sym_variable_attributes_token2] = ACTIONS(4884),
    [aux_sym_variable_attributes_token3] = ACTIONS(4884),
    [aux_sym_variable_attributes_token4] = ACTIONS(4884),
    [aux_sym_variable_attributes_token5] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4884),
    [aux_sym_derived_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4884),
    [aux_sym_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4884),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token2] = ACTIONS(4884),
    [aux_sym_subroutine_call_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token2] = ACTIONS(4884),
    [aux_sym_keyword_statement_token3] = ACTIONS(4884),
    [aux_sym_keyword_statement_token4] = ACTIONS(4884),
    [aux_sym_keyword_statement_token6] = ACTIONS(4884),
    [aux_sym_keyword_statement_token7] = ACTIONS(4884),
    [aux_sym_include_statement_token1] = ACTIONS(4884),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4884),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4884),
    [aux_sym_end_if_statement_token1] = ACTIONS(4884),
    [aux_sym_elseif_clause_token2] = ACTIONS(4884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4884),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token3] = ACTIONS(4884),
    [aux_sym_select_type_statement_token1] = ACTIONS(4884),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4884),
    [aux_sym_associate_statement_token1] = ACTIONS(4884),
    [aux_sym_format_statement_token1] = ACTIONS(4884),
    [aux_sym_print_statement_token1] = ACTIONS(4884),
    [aux_sym_open_statement_token1] = ACTIONS(4884),
    [aux_sym_close_statement_token1] = ACTIONS(4884),
    [aux_sym_inquire_statement_token1] = ACTIONS(4884),
    [aux_sym_enum_statement_token1] = ACTIONS(4884),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token2] = ACTIONS(4884),
    [aux_sym_file_position_statement_token3] = ACTIONS(4884),
    [aux_sym_file_position_statement_token4] = ACTIONS(4884),
    [aux_sym_allocate_statement_token1] = ACTIONS(4884),
    [aux_sym_entry_statement_token1] = ACTIONS(4884),
    [aux_sym_assign_statement_token1] = ACTIONS(4884),
    [aux_sym_logical_expression_token5] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [aux_sym_boolean_literal_token1] = ACTIONS(4886),
    [aux_sym_boolean_literal_token2] = ACTIONS(4886),
    [aux_sym_null_literal_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token2] = ACTIONS(4884),
    [aux_sym_coarray_statement_token6] = ACTIONS(4884),
    [aux_sym_coarray_statement_token8] = ACTIONS(4884),
    [aux_sym_coarray_statement_token11] = ACTIONS(4884),
    [aux_sym_coarray_statement_token12] = ACTIONS(4884),
    [aux_sym_coarray_statement_token13] = ACTIONS(4884),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4884),
    [aux_sym_identifier_token1] = ACTIONS(4884),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4886),
    [sym__float_literal] = ACTIONS(4886),
    [sym__boz_literal] = ACTIONS(4886),
    [sym__string_literal] = ACTIONS(4886),
    [sym__string_literal_kind] = ACTIONS(4886),
  },
  [1096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4888),
    [aux_sym_preproc_def_token1] = ACTIONS(4888),
    [aux_sym_preproc_if_token1] = ACTIONS(4888),
    [aux_sym_preproc_if_token2] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4888),
    [sym_preproc_directive] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token2] = ACTIONS(4888),
    [aux_sym_module_statement_token1] = ACTIONS(4888),
    [aux_sym_submodule_statement_token1] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4890),
    [aux_sym_interface_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token2] = ACTIONS(4888),
    [aux_sym_block_data_statement_token3] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4888),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4888),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4888),
    [aux_sym_function_statement_token1] = ACTIONS(4888),
    [aux_sym_language_binding_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4888),
    [aux_sym_contains_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token2] = ACTIONS(4888),
    [aux_sym_implicit_statement_token1] = ACTIONS(4888),
    [aux_sym_implicit_statement_token3] = ACTIONS(4888),
    [aux_sym_implicit_statement_token4] = ACTIONS(4888),
    [aux_sym_save_statement_token1] = ACTIONS(4888),
    [aux_sym_private_statement_token1] = ACTIONS(4888),
    [aux_sym_public_statement_token1] = ACTIONS(4888),
    [aux_sym_namelist_statement_token1] = ACTIONS(4888),
    [aux_sym_common_statement_token1] = ACTIONS(4888),
    [aux_sym_import_statement_token1] = ACTIONS(4888),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4888),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4888),
    [aux_sym_variable_attributes_token1] = ACTIONS(4888),
    [aux_sym_variable_attributes_token2] = ACTIONS(4888),
    [aux_sym_variable_attributes_token3] = ACTIONS(4888),
    [aux_sym_variable_attributes_token4] = ACTIONS(4888),
    [aux_sym_variable_attributes_token5] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4888),
    [aux_sym_derived_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4888),
    [aux_sym_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4888),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token2] = ACTIONS(4888),
    [aux_sym_subroutine_call_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token2] = ACTIONS(4888),
    [aux_sym_keyword_statement_token3] = ACTIONS(4888),
    [aux_sym_keyword_statement_token4] = ACTIONS(4888),
    [aux_sym_keyword_statement_token6] = ACTIONS(4888),
    [aux_sym_keyword_statement_token7] = ACTIONS(4888),
    [aux_sym_include_statement_token1] = ACTIONS(4888),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4888),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4888),
    [aux_sym_end_if_statement_token1] = ACTIONS(4888),
    [aux_sym_elseif_clause_token2] = ACTIONS(4888),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4888),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token3] = ACTIONS(4888),
    [aux_sym_select_type_statement_token1] = ACTIONS(4888),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4888),
    [aux_sym_associate_statement_token1] = ACTIONS(4888),
    [aux_sym_format_statement_token1] = ACTIONS(4888),
    [aux_sym_print_statement_token1] = ACTIONS(4888),
    [aux_sym_open_statement_token1] = ACTIONS(4888),
    [aux_sym_close_statement_token1] = ACTIONS(4888),
    [aux_sym_inquire_statement_token1] = ACTIONS(4888),
    [aux_sym_enum_statement_token1] = ACTIONS(4888),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token2] = ACTIONS(4888),
    [aux_sym_file_position_statement_token3] = ACTIONS(4888),
    [aux_sym_file_position_statement_token4] = ACTIONS(4888),
    [aux_sym_allocate_statement_token1] = ACTIONS(4888),
    [aux_sym_entry_statement_token1] = ACTIONS(4888),
    [aux_sym_assign_statement_token1] = ACTIONS(4888),
    [aux_sym_logical_expression_token5] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [aux_sym_boolean_literal_token1] = ACTIONS(4890),
    [aux_sym_boolean_literal_token2] = ACTIONS(4890),
    [aux_sym_null_literal_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token2] = ACTIONS(4888),
    [aux_sym_coarray_statement_token6] = ACTIONS(4888),
    [aux_sym_coarray_statement_token8] = ACTIONS(4888),
    [aux_sym_coarray_statement_token11] = ACTIONS(4888),
    [aux_sym_coarray_statement_token12] = ACTIONS(4888),
    [aux_sym_coarray_statement_token13] = ACTIONS(4888),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4888),
    [aux_sym_identifier_token1] = ACTIONS(4888),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4890),
    [sym__float_literal] = ACTIONS(4890),
    [sym__boz_literal] = ACTIONS(4890),
    [sym__string_literal] = ACTIONS(4890),
    [sym__string_literal_kind] = ACTIONS(4890),
  },
  [1097] = {
    [ts_builtin_sym_end] = ACTIONS(4886),
    [aux_sym_preproc_include_token1] = ACTIONS(4884),
    [aux_sym_preproc_def_token1] = ACTIONS(4884),
    [aux_sym_preproc_if_token1] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4884),
    [sym_preproc_directive] = ACTIONS(4884),
    [anon_sym_LPAREN2] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token1] = ACTIONS(4884),
    [aux_sym_end_program_statement_token2] = ACTIONS(4884),
    [aux_sym_module_statement_token1] = ACTIONS(4884),
    [aux_sym_submodule_statement_token1] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [aux_sym_interface_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token1] = ACTIONS(4884),
    [aux_sym_block_data_statement_token2] = ACTIONS(4884),
    [aux_sym_block_data_statement_token3] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4884),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4884),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4884),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4884),
    [aux_sym_function_statement_token1] = ACTIONS(4884),
    [aux_sym_language_binding_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4884),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4884),
    [aux_sym_contains_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token1] = ACTIONS(4884),
    [aux_sym_use_statement_token2] = ACTIONS(4884),
    [aux_sym_implicit_statement_token1] = ACTIONS(4884),
    [aux_sym_implicit_statement_token3] = ACTIONS(4884),
    [aux_sym_implicit_statement_token4] = ACTIONS(4884),
    [aux_sym_save_statement_token1] = ACTIONS(4884),
    [aux_sym_private_statement_token1] = ACTIONS(4884),
    [aux_sym_public_statement_token1] = ACTIONS(4884),
    [aux_sym_namelist_statement_token1] = ACTIONS(4884),
    [aux_sym_common_statement_token1] = ACTIONS(4884),
    [aux_sym_import_statement_token1] = ACTIONS(4884),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4884),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4884),
    [aux_sym_variable_attributes_token1] = ACTIONS(4884),
    [aux_sym_variable_attributes_token2] = ACTIONS(4884),
    [aux_sym_variable_attributes_token3] = ACTIONS(4884),
    [aux_sym_variable_attributes_token4] = ACTIONS(4884),
    [aux_sym_variable_attributes_token5] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4884),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4884),
    [aux_sym_derived_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token1] = ACTIONS(4884),
    [aux_sym_declared_type_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4884),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4884),
    [aux_sym_type_qualifier_token1] = ACTIONS(4884),
    [aux_sym_type_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4884),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4884),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token1] = ACTIONS(4884),
    [aux_sym_stop_statement_token2] = ACTIONS(4884),
    [aux_sym_subroutine_call_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token1] = ACTIONS(4884),
    [aux_sym_keyword_statement_token2] = ACTIONS(4884),
    [aux_sym_keyword_statement_token3] = ACTIONS(4884),
    [aux_sym_keyword_statement_token4] = ACTIONS(4884),
    [aux_sym_keyword_statement_token6] = ACTIONS(4884),
    [aux_sym_keyword_statement_token7] = ACTIONS(4884),
    [aux_sym_include_statement_token1] = ACTIONS(4884),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4884),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4884),
    [aux_sym_end_if_statement_token1] = ACTIONS(4884),
    [aux_sym_elseif_clause_token2] = ACTIONS(4884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4884),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token1] = ACTIONS(4884),
    [aux_sym_select_case_statement_token3] = ACTIONS(4884),
    [aux_sym_select_type_statement_token1] = ACTIONS(4884),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4884),
    [aux_sym_associate_statement_token1] = ACTIONS(4884),
    [aux_sym_format_statement_token1] = ACTIONS(4884),
    [aux_sym_print_statement_token1] = ACTIONS(4884),
    [aux_sym_open_statement_token1] = ACTIONS(4884),
    [aux_sym_close_statement_token1] = ACTIONS(4884),
    [aux_sym_inquire_statement_token1] = ACTIONS(4884),
    [aux_sym_enum_statement_token1] = ACTIONS(4884),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token1] = ACTIONS(4884),
    [aux_sym_file_position_statement_token2] = ACTIONS(4884),
    [aux_sym_file_position_statement_token3] = ACTIONS(4884),
    [aux_sym_file_position_statement_token4] = ACTIONS(4884),
    [aux_sym_allocate_statement_token1] = ACTIONS(4884),
    [aux_sym_entry_statement_token1] = ACTIONS(4884),
    [aux_sym_assign_statement_token1] = ACTIONS(4884),
    [aux_sym_logical_expression_token5] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [aux_sym_boolean_literal_token1] = ACTIONS(4886),
    [aux_sym_boolean_literal_token2] = ACTIONS(4886),
    [aux_sym_null_literal_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_statement_token2] = ACTIONS(4884),
    [aux_sym_coarray_statement_token6] = ACTIONS(4884),
    [aux_sym_coarray_statement_token8] = ACTIONS(4884),
    [aux_sym_coarray_statement_token11] = ACTIONS(4884),
    [aux_sym_coarray_statement_token12] = ACTIONS(4884),
    [aux_sym_coarray_statement_token13] = ACTIONS(4884),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4884),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4884),
    [aux_sym_identifier_token1] = ACTIONS(4884),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4886),
    [sym__float_literal] = ACTIONS(4886),
    [sym__boz_literal] = ACTIONS(4886),
    [sym__string_literal] = ACTIONS(4886),
    [sym__string_literal_kind] = ACTIONS(4886),
  },
  [1098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1099] = {
    [ts_builtin_sym_end] = ACTIONS(4890),
    [aux_sym_preproc_include_token1] = ACTIONS(4888),
    [aux_sym_preproc_def_token1] = ACTIONS(4888),
    [aux_sym_preproc_if_token1] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4888),
    [sym_preproc_directive] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token1] = ACTIONS(4888),
    [aux_sym_end_program_statement_token2] = ACTIONS(4888),
    [aux_sym_module_statement_token1] = ACTIONS(4888),
    [aux_sym_submodule_statement_token1] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4890),
    [aux_sym_interface_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token1] = ACTIONS(4888),
    [aux_sym_block_data_statement_token2] = ACTIONS(4888),
    [aux_sym_block_data_statement_token3] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4888),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4888),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4888),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4888),
    [aux_sym_function_statement_token1] = ACTIONS(4888),
    [aux_sym_language_binding_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4888),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4888),
    [aux_sym_contains_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token1] = ACTIONS(4888),
    [aux_sym_use_statement_token2] = ACTIONS(4888),
    [aux_sym_implicit_statement_token1] = ACTIONS(4888),
    [aux_sym_implicit_statement_token3] = ACTIONS(4888),
    [aux_sym_implicit_statement_token4] = ACTIONS(4888),
    [aux_sym_save_statement_token1] = ACTIONS(4888),
    [aux_sym_private_statement_token1] = ACTIONS(4888),
    [aux_sym_public_statement_token1] = ACTIONS(4888),
    [aux_sym_namelist_statement_token1] = ACTIONS(4888),
    [aux_sym_common_statement_token1] = ACTIONS(4888),
    [aux_sym_import_statement_token1] = ACTIONS(4888),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4888),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4888),
    [aux_sym_variable_attributes_token1] = ACTIONS(4888),
    [aux_sym_variable_attributes_token2] = ACTIONS(4888),
    [aux_sym_variable_attributes_token3] = ACTIONS(4888),
    [aux_sym_variable_attributes_token4] = ACTIONS(4888),
    [aux_sym_variable_attributes_token5] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4888),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4888),
    [aux_sym_derived_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token1] = ACTIONS(4888),
    [aux_sym_declared_type_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4888),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4888),
    [aux_sym_type_qualifier_token1] = ACTIONS(4888),
    [aux_sym_type_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4888),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4888),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token1] = ACTIONS(4888),
    [aux_sym_stop_statement_token2] = ACTIONS(4888),
    [aux_sym_subroutine_call_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token1] = ACTIONS(4888),
    [aux_sym_keyword_statement_token2] = ACTIONS(4888),
    [aux_sym_keyword_statement_token3] = ACTIONS(4888),
    [aux_sym_keyword_statement_token4] = ACTIONS(4888),
    [aux_sym_keyword_statement_token6] = ACTIONS(4888),
    [aux_sym_keyword_statement_token7] = ACTIONS(4888),
    [aux_sym_include_statement_token1] = ACTIONS(4888),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4888),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4888),
    [aux_sym_end_if_statement_token1] = ACTIONS(4888),
    [aux_sym_elseif_clause_token2] = ACTIONS(4888),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4888),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token1] = ACTIONS(4888),
    [aux_sym_select_case_statement_token3] = ACTIONS(4888),
    [aux_sym_select_type_statement_token1] = ACTIONS(4888),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4888),
    [aux_sym_associate_statement_token1] = ACTIONS(4888),
    [aux_sym_format_statement_token1] = ACTIONS(4888),
    [aux_sym_print_statement_token1] = ACTIONS(4888),
    [aux_sym_open_statement_token1] = ACTIONS(4888),
    [aux_sym_close_statement_token1] = ACTIONS(4888),
    [aux_sym_inquire_statement_token1] = ACTIONS(4888),
    [aux_sym_enum_statement_token1] = ACTIONS(4888),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token1] = ACTIONS(4888),
    [aux_sym_file_position_statement_token2] = ACTIONS(4888),
    [aux_sym_file_position_statement_token3] = ACTIONS(4888),
    [aux_sym_file_position_statement_token4] = ACTIONS(4888),
    [aux_sym_allocate_statement_token1] = ACTIONS(4888),
    [aux_sym_entry_statement_token1] = ACTIONS(4888),
    [aux_sym_assign_statement_token1] = ACTIONS(4888),
    [aux_sym_logical_expression_token5] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [aux_sym_boolean_literal_token1] = ACTIONS(4890),
    [aux_sym_boolean_literal_token2] = ACTIONS(4890),
    [aux_sym_null_literal_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_statement_token2] = ACTIONS(4888),
    [aux_sym_coarray_statement_token6] = ACTIONS(4888),
    [aux_sym_coarray_statement_token8] = ACTIONS(4888),
    [aux_sym_coarray_statement_token11] = ACTIONS(4888),
    [aux_sym_coarray_statement_token12] = ACTIONS(4888),
    [aux_sym_coarray_statement_token13] = ACTIONS(4888),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4888),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4888),
    [aux_sym_identifier_token1] = ACTIONS(4888),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4890),
    [sym__float_literal] = ACTIONS(4890),
    [sym__boz_literal] = ACTIONS(4890),
    [sym__string_literal] = ACTIONS(4890),
    [sym__string_literal_kind] = ACTIONS(4890),
  },
  [1100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4904),
    [aux_sym_preproc_def_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token2] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4904),
    [sym_preproc_directive] = ACTIONS(4904),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token1] = ACTIONS(4904),
    [aux_sym_end_program_statement_token2] = ACTIONS(4904),
    [aux_sym_module_statement_token1] = ACTIONS(4904),
    [aux_sym_submodule_statement_token1] = ACTIONS(4904),
    [anon_sym_SEMI] = ACTIONS(4906),
    [aux_sym_interface_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token1] = ACTIONS(4904),
    [aux_sym_block_data_statement_token2] = ACTIONS(4904),
    [aux_sym_block_data_statement_token3] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4904),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4904),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4904),
    [aux_sym_function_statement_token1] = ACTIONS(4904),
    [aux_sym_language_binding_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4904),
    [aux_sym_contains_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token1] = ACTIONS(4904),
    [aux_sym_use_statement_token2] = ACTIONS(4904),
    [aux_sym_implicit_statement_token1] = ACTIONS(4904),
    [aux_sym_implicit_statement_token3] = ACTIONS(4904),
    [aux_sym_implicit_statement_token4] = ACTIONS(4904),
    [aux_sym_save_statement_token1] = ACTIONS(4904),
    [aux_sym_private_statement_token1] = ACTIONS(4904),
    [aux_sym_public_statement_token1] = ACTIONS(4904),
    [aux_sym_namelist_statement_token1] = ACTIONS(4904),
    [aux_sym_common_statement_token1] = ACTIONS(4904),
    [aux_sym_import_statement_token1] = ACTIONS(4904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4904),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4904),
    [aux_sym_variable_attributes_token1] = ACTIONS(4904),
    [aux_sym_variable_attributes_token2] = ACTIONS(4904),
    [aux_sym_variable_attributes_token3] = ACTIONS(4904),
    [aux_sym_variable_attributes_token4] = ACTIONS(4904),
    [aux_sym_variable_attributes_token5] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4904),
    [aux_sym_derived_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token1] = ACTIONS(4904),
    [aux_sym_declared_type_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4904),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4904),
    [aux_sym_type_qualifier_token1] = ACTIONS(4904),
    [aux_sym_type_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4904),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4904),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token1] = ACTIONS(4904),
    [aux_sym_stop_statement_token2] = ACTIONS(4904),
    [aux_sym_subroutine_call_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token1] = ACTIONS(4904),
    [aux_sym_keyword_statement_token2] = ACTIONS(4904),
    [aux_sym_keyword_statement_token3] = ACTIONS(4904),
    [aux_sym_keyword_statement_token4] = ACTIONS(4904),
    [aux_sym_keyword_statement_token6] = ACTIONS(4904),
    [aux_sym_keyword_statement_token7] = ACTIONS(4904),
    [aux_sym_include_statement_token1] = ACTIONS(4904),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4904),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4904),
    [aux_sym_end_if_statement_token1] = ACTIONS(4904),
    [aux_sym_elseif_clause_token2] = ACTIONS(4904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4904),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token1] = ACTIONS(4904),
    [aux_sym_select_case_statement_token3] = ACTIONS(4904),
    [aux_sym_select_type_statement_token1] = ACTIONS(4904),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4904),
    [aux_sym_associate_statement_token1] = ACTIONS(4904),
    [aux_sym_format_statement_token1] = ACTIONS(4904),
    [aux_sym_print_statement_token1] = ACTIONS(4904),
    [aux_sym_open_statement_token1] = ACTIONS(4904),
    [aux_sym_close_statement_token1] = ACTIONS(4904),
    [aux_sym_inquire_statement_token1] = ACTIONS(4904),
    [aux_sym_enum_statement_token1] = ACTIONS(4904),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token1] = ACTIONS(4904),
    [aux_sym_file_position_statement_token2] = ACTIONS(4904),
    [aux_sym_file_position_statement_token3] = ACTIONS(4904),
    [aux_sym_file_position_statement_token4] = ACTIONS(4904),
    [aux_sym_allocate_statement_token1] = ACTIONS(4904),
    [aux_sym_entry_statement_token1] = ACTIONS(4904),
    [aux_sym_assign_statement_token1] = ACTIONS(4904),
    [aux_sym_logical_expression_token5] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [aux_sym_boolean_literal_token1] = ACTIONS(4906),
    [aux_sym_boolean_literal_token2] = ACTIONS(4906),
    [aux_sym_null_literal_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_statement_token2] = ACTIONS(4904),
    [aux_sym_coarray_statement_token6] = ACTIONS(4904),
    [aux_sym_coarray_statement_token8] = ACTIONS(4904),
    [aux_sym_coarray_statement_token11] = ACTIONS(4904),
    [aux_sym_coarray_statement_token12] = ACTIONS(4904),
    [aux_sym_coarray_statement_token13] = ACTIONS(4904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4904),
    [aux_sym_identifier_token1] = ACTIONS(4904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4906),
    [sym__float_literal] = ACTIONS(4906),
    [sym__boz_literal] = ACTIONS(4906),
    [sym__string_literal] = ACTIONS(4906),
    [sym__string_literal_kind] = ACTIONS(4906),
  },
  [1101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4908),
    [aux_sym_preproc_def_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token2] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4908),
    [sym_preproc_directive] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token2] = ACTIONS(4908),
    [aux_sym_module_statement_token1] = ACTIONS(4908),
    [aux_sym_submodule_statement_token1] = ACTIONS(4908),
    [anon_sym_SEMI] = ACTIONS(4910),
    [aux_sym_interface_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token2] = ACTIONS(4908),
    [aux_sym_block_data_statement_token3] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4908),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4908),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4908),
    [aux_sym_function_statement_token1] = ACTIONS(4908),
    [aux_sym_language_binding_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4908),
    [aux_sym_contains_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token2] = ACTIONS(4908),
    [aux_sym_implicit_statement_token1] = ACTIONS(4908),
    [aux_sym_implicit_statement_token3] = ACTIONS(4908),
    [aux_sym_implicit_statement_token4] = ACTIONS(4908),
    [aux_sym_save_statement_token1] = ACTIONS(4908),
    [aux_sym_private_statement_token1] = ACTIONS(4908),
    [aux_sym_public_statement_token1] = ACTIONS(4908),
    [aux_sym_namelist_statement_token1] = ACTIONS(4908),
    [aux_sym_common_statement_token1] = ACTIONS(4908),
    [aux_sym_import_statement_token1] = ACTIONS(4908),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4908),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4908),
    [aux_sym_variable_attributes_token1] = ACTIONS(4908),
    [aux_sym_variable_attributes_token2] = ACTIONS(4908),
    [aux_sym_variable_attributes_token3] = ACTIONS(4908),
    [aux_sym_variable_attributes_token4] = ACTIONS(4908),
    [aux_sym_variable_attributes_token5] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4908),
    [aux_sym_derived_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4908),
    [aux_sym_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4908),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token2] = ACTIONS(4908),
    [aux_sym_subroutine_call_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token2] = ACTIONS(4908),
    [aux_sym_keyword_statement_token3] = ACTIONS(4908),
    [aux_sym_keyword_statement_token4] = ACTIONS(4908),
    [aux_sym_keyword_statement_token6] = ACTIONS(4908),
    [aux_sym_keyword_statement_token7] = ACTIONS(4908),
    [aux_sym_include_statement_token1] = ACTIONS(4908),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4908),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4908),
    [aux_sym_end_if_statement_token1] = ACTIONS(4908),
    [aux_sym_elseif_clause_token2] = ACTIONS(4908),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4908),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token3] = ACTIONS(4908),
    [aux_sym_select_type_statement_token1] = ACTIONS(4908),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4908),
    [aux_sym_associate_statement_token1] = ACTIONS(4908),
    [aux_sym_format_statement_token1] = ACTIONS(4908),
    [aux_sym_print_statement_token1] = ACTIONS(4908),
    [aux_sym_open_statement_token1] = ACTIONS(4908),
    [aux_sym_close_statement_token1] = ACTIONS(4908),
    [aux_sym_inquire_statement_token1] = ACTIONS(4908),
    [aux_sym_enum_statement_token1] = ACTIONS(4908),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token2] = ACTIONS(4908),
    [aux_sym_file_position_statement_token3] = ACTIONS(4908),
    [aux_sym_file_position_statement_token4] = ACTIONS(4908),
    [aux_sym_allocate_statement_token1] = ACTIONS(4908),
    [aux_sym_entry_statement_token1] = ACTIONS(4908),
    [aux_sym_assign_statement_token1] = ACTIONS(4908),
    [aux_sym_logical_expression_token5] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [aux_sym_boolean_literal_token1] = ACTIONS(4910),
    [aux_sym_boolean_literal_token2] = ACTIONS(4910),
    [aux_sym_null_literal_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token2] = ACTIONS(4908),
    [aux_sym_coarray_statement_token6] = ACTIONS(4908),
    [aux_sym_coarray_statement_token8] = ACTIONS(4908),
    [aux_sym_coarray_statement_token11] = ACTIONS(4908),
    [aux_sym_coarray_statement_token12] = ACTIONS(4908),
    [aux_sym_coarray_statement_token13] = ACTIONS(4908),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4908),
    [aux_sym_identifier_token1] = ACTIONS(4908),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4910),
    [sym__float_literal] = ACTIONS(4910),
    [sym__boz_literal] = ACTIONS(4910),
    [sym__string_literal] = ACTIONS(4910),
    [sym__string_literal_kind] = ACTIONS(4910),
  },
  [1102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4912),
    [aux_sym_preproc_def_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4912),
    [sym_preproc_directive] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_DASH] = ACTIONS(4914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token2] = ACTIONS(4912),
    [aux_sym_module_statement_token1] = ACTIONS(4912),
    [aux_sym_submodule_statement_token1] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4914),
    [aux_sym_interface_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token2] = ACTIONS(4912),
    [aux_sym_block_data_statement_token3] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4912),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4912),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4912),
    [aux_sym_function_statement_token1] = ACTIONS(4912),
    [aux_sym_language_binding_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4912),
    [aux_sym_contains_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token2] = ACTIONS(4912),
    [aux_sym_implicit_statement_token1] = ACTIONS(4912),
    [aux_sym_implicit_statement_token3] = ACTIONS(4912),
    [aux_sym_implicit_statement_token4] = ACTIONS(4912),
    [aux_sym_save_statement_token1] = ACTIONS(4912),
    [aux_sym_private_statement_token1] = ACTIONS(4912),
    [aux_sym_public_statement_token1] = ACTIONS(4912),
    [aux_sym_namelist_statement_token1] = ACTIONS(4912),
    [aux_sym_common_statement_token1] = ACTIONS(4912),
    [aux_sym_import_statement_token1] = ACTIONS(4912),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4912),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4912),
    [aux_sym_variable_attributes_token1] = ACTIONS(4912),
    [aux_sym_variable_attributes_token2] = ACTIONS(4912),
    [aux_sym_variable_attributes_token3] = ACTIONS(4912),
    [aux_sym_variable_attributes_token4] = ACTIONS(4912),
    [aux_sym_variable_attributes_token5] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4912),
    [aux_sym_derived_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4912),
    [aux_sym_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4912),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token2] = ACTIONS(4912),
    [aux_sym_subroutine_call_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token2] = ACTIONS(4912),
    [aux_sym_keyword_statement_token3] = ACTIONS(4912),
    [aux_sym_keyword_statement_token4] = ACTIONS(4912),
    [aux_sym_keyword_statement_token6] = ACTIONS(4912),
    [aux_sym_keyword_statement_token7] = ACTIONS(4912),
    [aux_sym_include_statement_token1] = ACTIONS(4912),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4912),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4912),
    [aux_sym_end_if_statement_token1] = ACTIONS(4912),
    [aux_sym_elseif_clause_token2] = ACTIONS(4912),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4912),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token3] = ACTIONS(4912),
    [aux_sym_select_type_statement_token1] = ACTIONS(4912),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4912),
    [aux_sym_associate_statement_token1] = ACTIONS(4912),
    [aux_sym_format_statement_token1] = ACTIONS(4912),
    [aux_sym_print_statement_token1] = ACTIONS(4912),
    [aux_sym_open_statement_token1] = ACTIONS(4912),
    [aux_sym_close_statement_token1] = ACTIONS(4912),
    [aux_sym_inquire_statement_token1] = ACTIONS(4912),
    [aux_sym_enum_statement_token1] = ACTIONS(4912),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token2] = ACTIONS(4912),
    [aux_sym_file_position_statement_token3] = ACTIONS(4912),
    [aux_sym_file_position_statement_token4] = ACTIONS(4912),
    [aux_sym_allocate_statement_token1] = ACTIONS(4912),
    [aux_sym_entry_statement_token1] = ACTIONS(4912),
    [aux_sym_assign_statement_token1] = ACTIONS(4912),
    [aux_sym_logical_expression_token5] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4912),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4914),
    [aux_sym_boolean_literal_token1] = ACTIONS(4914),
    [aux_sym_boolean_literal_token2] = ACTIONS(4914),
    [aux_sym_null_literal_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token2] = ACTIONS(4912),
    [aux_sym_coarray_statement_token6] = ACTIONS(4912),
    [aux_sym_coarray_statement_token8] = ACTIONS(4912),
    [aux_sym_coarray_statement_token11] = ACTIONS(4912),
    [aux_sym_coarray_statement_token12] = ACTIONS(4912),
    [aux_sym_coarray_statement_token13] = ACTIONS(4912),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4912),
    [aux_sym_identifier_token1] = ACTIONS(4912),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4914),
    [sym__float_literal] = ACTIONS(4914),
    [sym__boz_literal] = ACTIONS(4914),
    [sym__string_literal] = ACTIONS(4914),
    [sym__string_literal_kind] = ACTIONS(4914),
  },
  [1103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4916),
    [aux_sym_preproc_def_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token2] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4916),
    [sym_preproc_directive] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_PLUS] = ACTIONS(4918),
    [anon_sym_DASH] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token1] = ACTIONS(4916),
    [aux_sym_end_program_statement_token2] = ACTIONS(4916),
    [aux_sym_module_statement_token1] = ACTIONS(4916),
    [aux_sym_submodule_statement_token1] = ACTIONS(4916),
    [anon_sym_SEMI] = ACTIONS(4918),
    [aux_sym_interface_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token1] = ACTIONS(4916),
    [aux_sym_block_data_statement_token2] = ACTIONS(4916),
    [aux_sym_block_data_statement_token3] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4916),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4916),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4916),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4916),
    [aux_sym_function_statement_token1] = ACTIONS(4916),
    [aux_sym_language_binding_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4916),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4916),
    [aux_sym_contains_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token1] = ACTIONS(4916),
    [aux_sym_use_statement_token2] = ACTIONS(4916),
    [aux_sym_implicit_statement_token1] = ACTIONS(4916),
    [aux_sym_implicit_statement_token3] = ACTIONS(4916),
    [aux_sym_implicit_statement_token4] = ACTIONS(4916),
    [aux_sym_save_statement_token1] = ACTIONS(4916),
    [aux_sym_private_statement_token1] = ACTIONS(4916),
    [aux_sym_public_statement_token1] = ACTIONS(4916),
    [aux_sym_namelist_statement_token1] = ACTIONS(4916),
    [aux_sym_common_statement_token1] = ACTIONS(4916),
    [aux_sym_import_statement_token1] = ACTIONS(4916),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4916),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4916),
    [aux_sym_variable_attributes_token1] = ACTIONS(4916),
    [aux_sym_variable_attributes_token2] = ACTIONS(4916),
    [aux_sym_variable_attributes_token3] = ACTIONS(4916),
    [aux_sym_variable_attributes_token4] = ACTIONS(4916),
    [aux_sym_variable_attributes_token5] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4916),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4916),
    [aux_sym_derived_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4916),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4916),
    [aux_sym_type_qualifier_token1] = ACTIONS(4916),
    [aux_sym_type_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4916),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4916),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token1] = ACTIONS(4916),
    [aux_sym_stop_statement_token2] = ACTIONS(4916),
    [aux_sym_subroutine_call_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token1] = ACTIONS(4916),
    [aux_sym_keyword_statement_token2] = ACTIONS(4916),
    [aux_sym_keyword_statement_token3] = ACTIONS(4916),
    [aux_sym_keyword_statement_token4] = ACTIONS(4916),
    [aux_sym_keyword_statement_token6] = ACTIONS(4916),
    [aux_sym_keyword_statement_token7] = ACTIONS(4916),
    [aux_sym_include_statement_token1] = ACTIONS(4916),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4916),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4916),
    [aux_sym_end_if_statement_token1] = ACTIONS(4916),
    [aux_sym_elseif_clause_token2] = ACTIONS(4916),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4916),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token1] = ACTIONS(4916),
    [aux_sym_select_case_statement_token3] = ACTIONS(4916),
    [aux_sym_select_type_statement_token1] = ACTIONS(4916),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4916),
    [aux_sym_associate_statement_token1] = ACTIONS(4916),
    [aux_sym_format_statement_token1] = ACTIONS(4916),
    [aux_sym_print_statement_token1] = ACTIONS(4916),
    [aux_sym_open_statement_token1] = ACTIONS(4916),
    [aux_sym_close_statement_token1] = ACTIONS(4916),
    [aux_sym_inquire_statement_token1] = ACTIONS(4916),
    [aux_sym_enum_statement_token1] = ACTIONS(4916),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token1] = ACTIONS(4916),
    [aux_sym_file_position_statement_token2] = ACTIONS(4916),
    [aux_sym_file_position_statement_token3] = ACTIONS(4916),
    [aux_sym_file_position_statement_token4] = ACTIONS(4916),
    [aux_sym_allocate_statement_token1] = ACTIONS(4916),
    [aux_sym_entry_statement_token1] = ACTIONS(4916),
    [aux_sym_assign_statement_token1] = ACTIONS(4916),
    [aux_sym_logical_expression_token5] = ACTIONS(4918),
    [anon_sym_DOT] = ACTIONS(4916),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4918),
    [anon_sym_LBRACK] = ACTIONS(4918),
    [aux_sym_boolean_literal_token1] = ACTIONS(4918),
    [aux_sym_boolean_literal_token2] = ACTIONS(4918),
    [aux_sym_null_literal_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_statement_token2] = ACTIONS(4916),
    [aux_sym_coarray_statement_token6] = ACTIONS(4916),
    [aux_sym_coarray_statement_token8] = ACTIONS(4916),
    [aux_sym_coarray_statement_token11] = ACTIONS(4916),
    [aux_sym_coarray_statement_token12] = ACTIONS(4916),
    [aux_sym_coarray_statement_token13] = ACTIONS(4916),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4916),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4916),
    [aux_sym_identifier_token1] = ACTIONS(4916),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4918),
    [sym__float_literal] = ACTIONS(4918),
    [sym__boz_literal] = ACTIONS(4918),
    [sym__string_literal] = ACTIONS(4918),
    [sym__string_literal_kind] = ACTIONS(4918),
  },
  [1104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token2] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token1] = ACTIONS(4920),
    [aux_sym_end_program_statement_token2] = ACTIONS(4920),
    [aux_sym_module_statement_token1] = ACTIONS(4920),
    [aux_sym_submodule_statement_token1] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [aux_sym_interface_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token1] = ACTIONS(4920),
    [aux_sym_block_data_statement_token2] = ACTIONS(4920),
    [aux_sym_block_data_statement_token3] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4920),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4920),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4920),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4920),
    [aux_sym_function_statement_token1] = ACTIONS(4920),
    [aux_sym_language_binding_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4920),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4920),
    [aux_sym_contains_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token1] = ACTIONS(4920),
    [aux_sym_use_statement_token2] = ACTIONS(4920),
    [aux_sym_implicit_statement_token1] = ACTIONS(4920),
    [aux_sym_implicit_statement_token3] = ACTIONS(4920),
    [aux_sym_implicit_statement_token4] = ACTIONS(4920),
    [aux_sym_save_statement_token1] = ACTIONS(4920),
    [aux_sym_private_statement_token1] = ACTIONS(4920),
    [aux_sym_public_statement_token1] = ACTIONS(4920),
    [aux_sym_namelist_statement_token1] = ACTIONS(4920),
    [aux_sym_common_statement_token1] = ACTIONS(4920),
    [aux_sym_import_statement_token1] = ACTIONS(4920),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4920),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4920),
    [aux_sym_variable_attributes_token1] = ACTIONS(4920),
    [aux_sym_variable_attributes_token2] = ACTIONS(4920),
    [aux_sym_variable_attributes_token3] = ACTIONS(4920),
    [aux_sym_variable_attributes_token4] = ACTIONS(4920),
    [aux_sym_variable_attributes_token5] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4920),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4920),
    [aux_sym_derived_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token1] = ACTIONS(4920),
    [aux_sym_declared_type_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4920),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4920),
    [aux_sym_type_qualifier_token1] = ACTIONS(4920),
    [aux_sym_type_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4920),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4920),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token1] = ACTIONS(4920),
    [aux_sym_stop_statement_token2] = ACTIONS(4920),
    [aux_sym_subroutine_call_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token1] = ACTIONS(4920),
    [aux_sym_keyword_statement_token2] = ACTIONS(4920),
    [aux_sym_keyword_statement_token3] = ACTIONS(4920),
    [aux_sym_keyword_statement_token4] = ACTIONS(4920),
    [aux_sym_keyword_statement_token6] = ACTIONS(4920),
    [aux_sym_keyword_statement_token7] = ACTIONS(4920),
    [aux_sym_include_statement_token1] = ACTIONS(4920),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4920),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4920),
    [aux_sym_end_if_statement_token1] = ACTIONS(4920),
    [aux_sym_elseif_clause_token2] = ACTIONS(4920),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4920),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token1] = ACTIONS(4920),
    [aux_sym_select_case_statement_token3] = ACTIONS(4920),
    [aux_sym_select_type_statement_token1] = ACTIONS(4920),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4920),
    [aux_sym_associate_statement_token1] = ACTIONS(4920),
    [aux_sym_format_statement_token1] = ACTIONS(4920),
    [aux_sym_print_statement_token1] = ACTIONS(4920),
    [aux_sym_open_statement_token1] = ACTIONS(4920),
    [aux_sym_close_statement_token1] = ACTIONS(4920),
    [aux_sym_inquire_statement_token1] = ACTIONS(4920),
    [aux_sym_enum_statement_token1] = ACTIONS(4920),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token1] = ACTIONS(4920),
    [aux_sym_file_position_statement_token2] = ACTIONS(4920),
    [aux_sym_file_position_statement_token3] = ACTIONS(4920),
    [aux_sym_file_position_statement_token4] = ACTIONS(4920),
    [aux_sym_allocate_statement_token1] = ACTIONS(4920),
    [aux_sym_entry_statement_token1] = ACTIONS(4920),
    [aux_sym_assign_statement_token1] = ACTIONS(4920),
    [aux_sym_logical_expression_token5] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [aux_sym_boolean_literal_token1] = ACTIONS(4922),
    [aux_sym_boolean_literal_token2] = ACTIONS(4922),
    [aux_sym_null_literal_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_statement_token2] = ACTIONS(4920),
    [aux_sym_coarray_statement_token6] = ACTIONS(4920),
    [aux_sym_coarray_statement_token8] = ACTIONS(4920),
    [aux_sym_coarray_statement_token11] = ACTIONS(4920),
    [aux_sym_coarray_statement_token12] = ACTIONS(4920),
    [aux_sym_coarray_statement_token13] = ACTIONS(4920),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4920),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4920),
    [aux_sym_identifier_token1] = ACTIONS(4920),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4922),
    [sym__float_literal] = ACTIONS(4922),
    [sym__boz_literal] = ACTIONS(4922),
    [sym__string_literal] = ACTIONS(4922),
    [sym__string_literal_kind] = ACTIONS(4922),
  },
  [1105] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4924),
    [aux_sym_preproc_def_token1] = ACTIONS(4924),
    [aux_sym_preproc_if_token1] = ACTIONS(4924),
    [aux_sym_preproc_if_token2] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4924),
    [sym_preproc_directive] = ACTIONS(4924),
    [anon_sym_LPAREN2] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token1] = ACTIONS(4924),
    [aux_sym_end_program_statement_token2] = ACTIONS(4924),
    [aux_sym_module_statement_token1] = ACTIONS(4924),
    [aux_sym_submodule_statement_token1] = ACTIONS(4924),
    [anon_sym_SEMI] = ACTIONS(4926),
    [aux_sym_interface_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token1] = ACTIONS(4924),
    [aux_sym_block_data_statement_token2] = ACTIONS(4924),
    [aux_sym_block_data_statement_token3] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4924),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4924),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4924),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4924),
    [aux_sym_function_statement_token1] = ACTIONS(4924),
    [aux_sym_language_binding_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4924),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4924),
    [aux_sym_contains_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token1] = ACTIONS(4924),
    [aux_sym_use_statement_token2] = ACTIONS(4924),
    [aux_sym_implicit_statement_token1] = ACTIONS(4924),
    [aux_sym_implicit_statement_token3] = ACTIONS(4924),
    [aux_sym_implicit_statement_token4] = ACTIONS(4924),
    [aux_sym_save_statement_token1] = ACTIONS(4924),
    [aux_sym_private_statement_token1] = ACTIONS(4924),
    [aux_sym_public_statement_token1] = ACTIONS(4924),
    [aux_sym_namelist_statement_token1] = ACTIONS(4924),
    [aux_sym_common_statement_token1] = ACTIONS(4924),
    [aux_sym_import_statement_token1] = ACTIONS(4924),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4924),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4924),
    [aux_sym_variable_attributes_token1] = ACTIONS(4924),
    [aux_sym_variable_attributes_token2] = ACTIONS(4924),
    [aux_sym_variable_attributes_token3] = ACTIONS(4924),
    [aux_sym_variable_attributes_token4] = ACTIONS(4924),
    [aux_sym_variable_attributes_token5] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4924),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4924),
    [aux_sym_derived_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token1] = ACTIONS(4924),
    [aux_sym_declared_type_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4924),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4924),
    [aux_sym_type_qualifier_token1] = ACTIONS(4924),
    [aux_sym_type_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4924),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4924),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token1] = ACTIONS(4924),
    [aux_sym_stop_statement_token2] = ACTIONS(4924),
    [aux_sym_subroutine_call_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token1] = ACTIONS(4924),
    [aux_sym_keyword_statement_token2] = ACTIONS(4924),
    [aux_sym_keyword_statement_token3] = ACTIONS(4924),
    [aux_sym_keyword_statement_token4] = ACTIONS(4924),
    [aux_sym_keyword_statement_token6] = ACTIONS(4924),
    [aux_sym_keyword_statement_token7] = ACTIONS(4924),
    [aux_sym_include_statement_token1] = ACTIONS(4924),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4924),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4924),
    [aux_sym_end_if_statement_token1] = ACTIONS(4924),
    [aux_sym_elseif_clause_token2] = ACTIONS(4924),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4924),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token1] = ACTIONS(4924),
    [aux_sym_select_case_statement_token3] = ACTIONS(4924),
    [aux_sym_select_type_statement_token1] = ACTIONS(4924),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4924),
    [aux_sym_associate_statement_token1] = ACTIONS(4924),
    [aux_sym_format_statement_token1] = ACTIONS(4924),
    [aux_sym_print_statement_token1] = ACTIONS(4924),
    [aux_sym_open_statement_token1] = ACTIONS(4924),
    [aux_sym_close_statement_token1] = ACTIONS(4924),
    [aux_sym_inquire_statement_token1] = ACTIONS(4924),
    [aux_sym_enum_statement_token1] = ACTIONS(4924),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token1] = ACTIONS(4924),
    [aux_sym_file_position_statement_token2] = ACTIONS(4924),
    [aux_sym_file_position_statement_token3] = ACTIONS(4924),
    [aux_sym_file_position_statement_token4] = ACTIONS(4924),
    [aux_sym_allocate_statement_token1] = ACTIONS(4924),
    [aux_sym_entry_statement_token1] = ACTIONS(4924),
    [aux_sym_assign_statement_token1] = ACTIONS(4924),
    [aux_sym_logical_expression_token5] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [aux_sym_boolean_literal_token1] = ACTIONS(4926),
    [aux_sym_boolean_literal_token2] = ACTIONS(4926),
    [aux_sym_null_literal_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_statement_token2] = ACTIONS(4924),
    [aux_sym_coarray_statement_token6] = ACTIONS(4924),
    [aux_sym_coarray_statement_token8] = ACTIONS(4924),
    [aux_sym_coarray_statement_token11] = ACTIONS(4924),
    [aux_sym_coarray_statement_token12] = ACTIONS(4924),
    [aux_sym_coarray_statement_token13] = ACTIONS(4924),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4924),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4924),
    [aux_sym_identifier_token1] = ACTIONS(4924),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4926),
    [sym__float_literal] = ACTIONS(4926),
    [sym__boz_literal] = ACTIONS(4926),
    [sym__string_literal] = ACTIONS(4926),
    [sym__string_literal_kind] = ACTIONS(4926),
  },
  [1106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4928),
    [aux_sym_preproc_def_token1] = ACTIONS(4928),
    [aux_sym_preproc_if_token1] = ACTIONS(4928),
    [aux_sym_preproc_if_token2] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4928),
    [sym_preproc_directive] = ACTIONS(4928),
    [anon_sym_LPAREN2] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token1] = ACTIONS(4928),
    [aux_sym_end_program_statement_token2] = ACTIONS(4928),
    [aux_sym_module_statement_token1] = ACTIONS(4928),
    [aux_sym_submodule_statement_token1] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [aux_sym_interface_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token1] = ACTIONS(4928),
    [aux_sym_block_data_statement_token2] = ACTIONS(4928),
    [aux_sym_block_data_statement_token3] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4928),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4928),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4928),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4928),
    [aux_sym_function_statement_token1] = ACTIONS(4928),
    [aux_sym_language_binding_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4928),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4928),
    [aux_sym_contains_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token1] = ACTIONS(4928),
    [aux_sym_use_statement_token2] = ACTIONS(4928),
    [aux_sym_implicit_statement_token1] = ACTIONS(4928),
    [aux_sym_implicit_statement_token3] = ACTIONS(4928),
    [aux_sym_implicit_statement_token4] = ACTIONS(4928),
    [aux_sym_save_statement_token1] = ACTIONS(4928),
    [aux_sym_private_statement_token1] = ACTIONS(4928),
    [aux_sym_public_statement_token1] = ACTIONS(4928),
    [aux_sym_namelist_statement_token1] = ACTIONS(4928),
    [aux_sym_common_statement_token1] = ACTIONS(4928),
    [aux_sym_import_statement_token1] = ACTIONS(4928),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4928),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4928),
    [aux_sym_variable_attributes_token1] = ACTIONS(4928),
    [aux_sym_variable_attributes_token2] = ACTIONS(4928),
    [aux_sym_variable_attributes_token3] = ACTIONS(4928),
    [aux_sym_variable_attributes_token4] = ACTIONS(4928),
    [aux_sym_variable_attributes_token5] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4928),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4928),
    [aux_sym_derived_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token1] = ACTIONS(4928),
    [aux_sym_declared_type_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4928),
    [aux_sym_type_qualifier_token1] = ACTIONS(4928),
    [aux_sym_type_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4928),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4928),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token1] = ACTIONS(4928),
    [aux_sym_stop_statement_token2] = ACTIONS(4928),
    [aux_sym_subroutine_call_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token1] = ACTIONS(4928),
    [aux_sym_keyword_statement_token2] = ACTIONS(4928),
    [aux_sym_keyword_statement_token3] = ACTIONS(4928),
    [aux_sym_keyword_statement_token4] = ACTIONS(4928),
    [aux_sym_keyword_statement_token6] = ACTIONS(4928),
    [aux_sym_keyword_statement_token7] = ACTIONS(4928),
    [aux_sym_include_statement_token1] = ACTIONS(4928),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4928),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4928),
    [aux_sym_end_if_statement_token1] = ACTIONS(4928),
    [aux_sym_elseif_clause_token2] = ACTIONS(4928),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4928),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token1] = ACTIONS(4928),
    [aux_sym_select_case_statement_token3] = ACTIONS(4928),
    [aux_sym_select_type_statement_token1] = ACTIONS(4928),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4928),
    [aux_sym_associate_statement_token1] = ACTIONS(4928),
    [aux_sym_format_statement_token1] = ACTIONS(4928),
    [aux_sym_print_statement_token1] = ACTIONS(4928),
    [aux_sym_open_statement_token1] = ACTIONS(4928),
    [aux_sym_close_statement_token1] = ACTIONS(4928),
    [aux_sym_inquire_statement_token1] = ACTIONS(4928),
    [aux_sym_enum_statement_token1] = ACTIONS(4928),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token1] = ACTIONS(4928),
    [aux_sym_file_position_statement_token2] = ACTIONS(4928),
    [aux_sym_file_position_statement_token3] = ACTIONS(4928),
    [aux_sym_file_position_statement_token4] = ACTIONS(4928),
    [aux_sym_allocate_statement_token1] = ACTIONS(4928),
    [aux_sym_entry_statement_token1] = ACTIONS(4928),
    [aux_sym_assign_statement_token1] = ACTIONS(4928),
    [aux_sym_logical_expression_token5] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [aux_sym_boolean_literal_token1] = ACTIONS(4930),
    [aux_sym_boolean_literal_token2] = ACTIONS(4930),
    [aux_sym_null_literal_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_statement_token2] = ACTIONS(4928),
    [aux_sym_coarray_statement_token6] = ACTIONS(4928),
    [aux_sym_coarray_statement_token8] = ACTIONS(4928),
    [aux_sym_coarray_statement_token11] = ACTIONS(4928),
    [aux_sym_coarray_statement_token12] = ACTIONS(4928),
    [aux_sym_coarray_statement_token13] = ACTIONS(4928),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4928),
    [aux_sym_identifier_token1] = ACTIONS(4928),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4930),
    [sym__float_literal] = ACTIONS(4930),
    [sym__boz_literal] = ACTIONS(4930),
    [sym__string_literal] = ACTIONS(4930),
    [sym__string_literal_kind] = ACTIONS(4930),
  },
  [1107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token1] = ACTIONS(4932),
    [aux_sym_end_program_statement_token2] = ACTIONS(4932),
    [aux_sym_module_statement_token1] = ACTIONS(4932),
    [aux_sym_submodule_statement_token1] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4934),
    [aux_sym_interface_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token1] = ACTIONS(4932),
    [aux_sym_block_data_statement_token2] = ACTIONS(4932),
    [aux_sym_block_data_statement_token3] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4932),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4932),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4932),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4932),
    [aux_sym_function_statement_token1] = ACTIONS(4932),
    [aux_sym_language_binding_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4932),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4932),
    [aux_sym_contains_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token1] = ACTIONS(4932),
    [aux_sym_use_statement_token2] = ACTIONS(4932),
    [aux_sym_implicit_statement_token1] = ACTIONS(4932),
    [aux_sym_implicit_statement_token3] = ACTIONS(4932),
    [aux_sym_implicit_statement_token4] = ACTIONS(4932),
    [aux_sym_save_statement_token1] = ACTIONS(4932),
    [aux_sym_private_statement_token1] = ACTIONS(4932),
    [aux_sym_public_statement_token1] = ACTIONS(4932),
    [aux_sym_namelist_statement_token1] = ACTIONS(4932),
    [aux_sym_common_statement_token1] = ACTIONS(4932),
    [aux_sym_import_statement_token1] = ACTIONS(4932),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4932),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4932),
    [aux_sym_variable_attributes_token1] = ACTIONS(4932),
    [aux_sym_variable_attributes_token2] = ACTIONS(4932),
    [aux_sym_variable_attributes_token3] = ACTIONS(4932),
    [aux_sym_variable_attributes_token4] = ACTIONS(4932),
    [aux_sym_variable_attributes_token5] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4932),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4932),
    [aux_sym_derived_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token1] = ACTIONS(4932),
    [aux_sym_declared_type_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4932),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4932),
    [aux_sym_type_qualifier_token1] = ACTIONS(4932),
    [aux_sym_type_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4932),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4932),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token1] = ACTIONS(4932),
    [aux_sym_stop_statement_token2] = ACTIONS(4932),
    [aux_sym_subroutine_call_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token1] = ACTIONS(4932),
    [aux_sym_keyword_statement_token2] = ACTIONS(4932),
    [aux_sym_keyword_statement_token3] = ACTIONS(4932),
    [aux_sym_keyword_statement_token4] = ACTIONS(4932),
    [aux_sym_keyword_statement_token6] = ACTIONS(4932),
    [aux_sym_keyword_statement_token7] = ACTIONS(4932),
    [aux_sym_include_statement_token1] = ACTIONS(4932),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4932),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4932),
    [aux_sym_end_if_statement_token1] = ACTIONS(4932),
    [aux_sym_elseif_clause_token2] = ACTIONS(4932),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4932),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token1] = ACTIONS(4932),
    [aux_sym_select_case_statement_token3] = ACTIONS(4932),
    [aux_sym_select_type_statement_token1] = ACTIONS(4932),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4932),
    [aux_sym_associate_statement_token1] = ACTIONS(4932),
    [aux_sym_format_statement_token1] = ACTIONS(4932),
    [aux_sym_print_statement_token1] = ACTIONS(4932),
    [aux_sym_open_statement_token1] = ACTIONS(4932),
    [aux_sym_close_statement_token1] = ACTIONS(4932),
    [aux_sym_inquire_statement_token1] = ACTIONS(4932),
    [aux_sym_enum_statement_token1] = ACTIONS(4932),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token1] = ACTIONS(4932),
    [aux_sym_file_position_statement_token2] = ACTIONS(4932),
    [aux_sym_file_position_statement_token3] = ACTIONS(4932),
    [aux_sym_file_position_statement_token4] = ACTIONS(4932),
    [aux_sym_allocate_statement_token1] = ACTIONS(4932),
    [aux_sym_entry_statement_token1] = ACTIONS(4932),
    [aux_sym_assign_statement_token1] = ACTIONS(4932),
    [aux_sym_logical_expression_token5] = ACTIONS(4934),
    [anon_sym_DOT] = ACTIONS(4932),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4934),
    [anon_sym_LBRACK] = ACTIONS(4934),
    [aux_sym_boolean_literal_token1] = ACTIONS(4934),
    [aux_sym_boolean_literal_token2] = ACTIONS(4934),
    [aux_sym_null_literal_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_statement_token2] = ACTIONS(4932),
    [aux_sym_coarray_statement_token6] = ACTIONS(4932),
    [aux_sym_coarray_statement_token8] = ACTIONS(4932),
    [aux_sym_coarray_statement_token11] = ACTIONS(4932),
    [aux_sym_coarray_statement_token12] = ACTIONS(4932),
    [aux_sym_coarray_statement_token13] = ACTIONS(4932),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4932),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4932),
    [aux_sym_identifier_token1] = ACTIONS(4932),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4934),
    [sym__float_literal] = ACTIONS(4934),
    [sym__boz_literal] = ACTIONS(4934),
    [sym__string_literal] = ACTIONS(4934),
    [sym__string_literal_kind] = ACTIONS(4934),
  },
  [1108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token1] = ACTIONS(4936),
    [aux_sym_end_program_statement_token2] = ACTIONS(4936),
    [aux_sym_module_statement_token1] = ACTIONS(4936),
    [aux_sym_submodule_statement_token1] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4938),
    [aux_sym_interface_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token1] = ACTIONS(4936),
    [aux_sym_block_data_statement_token2] = ACTIONS(4936),
    [aux_sym_block_data_statement_token3] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4936),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4936),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4936),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4936),
    [aux_sym_function_statement_token1] = ACTIONS(4936),
    [aux_sym_language_binding_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4936),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4936),
    [aux_sym_contains_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token1] = ACTIONS(4936),
    [aux_sym_use_statement_token2] = ACTIONS(4936),
    [aux_sym_implicit_statement_token1] = ACTIONS(4936),
    [aux_sym_implicit_statement_token3] = ACTIONS(4936),
    [aux_sym_implicit_statement_token4] = ACTIONS(4936),
    [aux_sym_save_statement_token1] = ACTIONS(4936),
    [aux_sym_private_statement_token1] = ACTIONS(4936),
    [aux_sym_public_statement_token1] = ACTIONS(4936),
    [aux_sym_namelist_statement_token1] = ACTIONS(4936),
    [aux_sym_common_statement_token1] = ACTIONS(4936),
    [aux_sym_import_statement_token1] = ACTIONS(4936),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4936),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4936),
    [aux_sym_variable_attributes_token1] = ACTIONS(4936),
    [aux_sym_variable_attributes_token2] = ACTIONS(4936),
    [aux_sym_variable_attributes_token3] = ACTIONS(4936),
    [aux_sym_variable_attributes_token4] = ACTIONS(4936),
    [aux_sym_variable_attributes_token5] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4936),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4936),
    [aux_sym_derived_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token1] = ACTIONS(4936),
    [aux_sym_declared_type_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4936),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4936),
    [aux_sym_type_qualifier_token1] = ACTIONS(4936),
    [aux_sym_type_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4936),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4936),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token1] = ACTIONS(4936),
    [aux_sym_stop_statement_token2] = ACTIONS(4936),
    [aux_sym_subroutine_call_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token1] = ACTIONS(4936),
    [aux_sym_keyword_statement_token2] = ACTIONS(4936),
    [aux_sym_keyword_statement_token3] = ACTIONS(4936),
    [aux_sym_keyword_statement_token4] = ACTIONS(4936),
    [aux_sym_keyword_statement_token6] = ACTIONS(4936),
    [aux_sym_keyword_statement_token7] = ACTIONS(4936),
    [aux_sym_include_statement_token1] = ACTIONS(4936),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4936),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4936),
    [aux_sym_end_if_statement_token1] = ACTIONS(4936),
    [aux_sym_elseif_clause_token2] = ACTIONS(4936),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4936),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token1] = ACTIONS(4936),
    [aux_sym_select_case_statement_token3] = ACTIONS(4936),
    [aux_sym_select_type_statement_token1] = ACTIONS(4936),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4936),
    [aux_sym_associate_statement_token1] = ACTIONS(4936),
    [aux_sym_format_statement_token1] = ACTIONS(4936),
    [aux_sym_print_statement_token1] = ACTIONS(4936),
    [aux_sym_open_statement_token1] = ACTIONS(4936),
    [aux_sym_close_statement_token1] = ACTIONS(4936),
    [aux_sym_inquire_statement_token1] = ACTIONS(4936),
    [aux_sym_enum_statement_token1] = ACTIONS(4936),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token1] = ACTIONS(4936),
    [aux_sym_file_position_statement_token2] = ACTIONS(4936),
    [aux_sym_file_position_statement_token3] = ACTIONS(4936),
    [aux_sym_file_position_statement_token4] = ACTIONS(4936),
    [aux_sym_allocate_statement_token1] = ACTIONS(4936),
    [aux_sym_entry_statement_token1] = ACTIONS(4936),
    [aux_sym_assign_statement_token1] = ACTIONS(4936),
    [aux_sym_logical_expression_token5] = ACTIONS(4938),
    [anon_sym_DOT] = ACTIONS(4936),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4938),
    [aux_sym_boolean_literal_token1] = ACTIONS(4938),
    [aux_sym_boolean_literal_token2] = ACTIONS(4938),
    [aux_sym_null_literal_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_statement_token2] = ACTIONS(4936),
    [aux_sym_coarray_statement_token6] = ACTIONS(4936),
    [aux_sym_coarray_statement_token8] = ACTIONS(4936),
    [aux_sym_coarray_statement_token11] = ACTIONS(4936),
    [aux_sym_coarray_statement_token12] = ACTIONS(4936),
    [aux_sym_coarray_statement_token13] = ACTIONS(4936),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4936),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4936),
    [aux_sym_identifier_token1] = ACTIONS(4936),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4938),
    [sym__float_literal] = ACTIONS(4938),
    [sym__boz_literal] = ACTIONS(4938),
    [sym__string_literal] = ACTIONS(4938),
    [sym__string_literal_kind] = ACTIONS(4938),
  },
  [1109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4940),
    [aux_sym_preproc_def_token1] = ACTIONS(4940),
    [aux_sym_preproc_if_token1] = ACTIONS(4940),
    [aux_sym_preproc_if_token2] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4940),
    [sym_preproc_directive] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token1] = ACTIONS(4940),
    [aux_sym_end_program_statement_token2] = ACTIONS(4940),
    [aux_sym_module_statement_token1] = ACTIONS(4940),
    [aux_sym_submodule_statement_token1] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [aux_sym_interface_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token1] = ACTIONS(4940),
    [aux_sym_block_data_statement_token2] = ACTIONS(4940),
    [aux_sym_block_data_statement_token3] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4940),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4940),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4940),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4940),
    [aux_sym_function_statement_token1] = ACTIONS(4940),
    [aux_sym_language_binding_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4940),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4940),
    [aux_sym_contains_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token1] = ACTIONS(4940),
    [aux_sym_use_statement_token2] = ACTIONS(4940),
    [aux_sym_implicit_statement_token1] = ACTIONS(4940),
    [aux_sym_implicit_statement_token3] = ACTIONS(4940),
    [aux_sym_implicit_statement_token4] = ACTIONS(4940),
    [aux_sym_save_statement_token1] = ACTIONS(4940),
    [aux_sym_private_statement_token1] = ACTIONS(4940),
    [aux_sym_public_statement_token1] = ACTIONS(4940),
    [aux_sym_namelist_statement_token1] = ACTIONS(4940),
    [aux_sym_common_statement_token1] = ACTIONS(4940),
    [aux_sym_import_statement_token1] = ACTIONS(4940),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4940),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4940),
    [aux_sym_variable_attributes_token1] = ACTIONS(4940),
    [aux_sym_variable_attributes_token2] = ACTIONS(4940),
    [aux_sym_variable_attributes_token3] = ACTIONS(4940),
    [aux_sym_variable_attributes_token4] = ACTIONS(4940),
    [aux_sym_variable_attributes_token5] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4940),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4940),
    [aux_sym_derived_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token1] = ACTIONS(4940),
    [aux_sym_declared_type_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4940),
    [aux_sym_type_qualifier_token1] = ACTIONS(4940),
    [aux_sym_type_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4940),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4940),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token1] = ACTIONS(4940),
    [aux_sym_stop_statement_token2] = ACTIONS(4940),
    [aux_sym_subroutine_call_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token1] = ACTIONS(4940),
    [aux_sym_keyword_statement_token2] = ACTIONS(4940),
    [aux_sym_keyword_statement_token3] = ACTIONS(4940),
    [aux_sym_keyword_statement_token4] = ACTIONS(4940),
    [aux_sym_keyword_statement_token6] = ACTIONS(4940),
    [aux_sym_keyword_statement_token7] = ACTIONS(4940),
    [aux_sym_include_statement_token1] = ACTIONS(4940),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4940),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4940),
    [aux_sym_end_if_statement_token1] = ACTIONS(4940),
    [aux_sym_elseif_clause_token2] = ACTIONS(4940),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4940),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token1] = ACTIONS(4940),
    [aux_sym_select_case_statement_token3] = ACTIONS(4940),
    [aux_sym_select_type_statement_token1] = ACTIONS(4940),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4940),
    [aux_sym_associate_statement_token1] = ACTIONS(4940),
    [aux_sym_format_statement_token1] = ACTIONS(4940),
    [aux_sym_print_statement_token1] = ACTIONS(4940),
    [aux_sym_open_statement_token1] = ACTIONS(4940),
    [aux_sym_close_statement_token1] = ACTIONS(4940),
    [aux_sym_inquire_statement_token1] = ACTIONS(4940),
    [aux_sym_enum_statement_token1] = ACTIONS(4940),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token1] = ACTIONS(4940),
    [aux_sym_file_position_statement_token2] = ACTIONS(4940),
    [aux_sym_file_position_statement_token3] = ACTIONS(4940),
    [aux_sym_file_position_statement_token4] = ACTIONS(4940),
    [aux_sym_allocate_statement_token1] = ACTIONS(4940),
    [aux_sym_entry_statement_token1] = ACTIONS(4940),
    [aux_sym_assign_statement_token1] = ACTIONS(4940),
    [aux_sym_logical_expression_token5] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [aux_sym_boolean_literal_token1] = ACTIONS(4942),
    [aux_sym_boolean_literal_token2] = ACTIONS(4942),
    [aux_sym_null_literal_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_statement_token2] = ACTIONS(4940),
    [aux_sym_coarray_statement_token6] = ACTIONS(4940),
    [aux_sym_coarray_statement_token8] = ACTIONS(4940),
    [aux_sym_coarray_statement_token11] = ACTIONS(4940),
    [aux_sym_coarray_statement_token12] = ACTIONS(4940),
    [aux_sym_coarray_statement_token13] = ACTIONS(4940),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4940),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4940),
    [aux_sym_identifier_token1] = ACTIONS(4940),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4942),
    [sym__float_literal] = ACTIONS(4942),
    [sym__boz_literal] = ACTIONS(4942),
    [sym__string_literal] = ACTIONS(4942),
    [sym__string_literal_kind] = ACTIONS(4942),
  },
  [1110] = {
    [ts_builtin_sym_end] = ACTIONS(5030),
    [aux_sym_preproc_include_token1] = ACTIONS(5028),
    [aux_sym_preproc_def_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token1] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5028),
    [sym_preproc_directive] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token2] = ACTIONS(5028),
    [aux_sym_module_statement_token1] = ACTIONS(5028),
    [aux_sym_submodule_statement_token1] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_interface_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token2] = ACTIONS(5028),
    [aux_sym_block_data_statement_token3] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5028),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5028),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5028),
    [aux_sym_function_statement_token1] = ACTIONS(5028),
    [aux_sym_language_binding_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5028),
    [aux_sym_contains_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token2] = ACTIONS(5028),
    [aux_sym_implicit_statement_token1] = ACTIONS(5028),
    [aux_sym_implicit_statement_token3] = ACTIONS(5028),
    [aux_sym_implicit_statement_token4] = ACTIONS(5028),
    [aux_sym_save_statement_token1] = ACTIONS(5028),
    [aux_sym_private_statement_token1] = ACTIONS(5028),
    [aux_sym_public_statement_token1] = ACTIONS(5028),
    [aux_sym_namelist_statement_token1] = ACTIONS(5028),
    [aux_sym_common_statement_token1] = ACTIONS(5028),
    [aux_sym_import_statement_token1] = ACTIONS(5028),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5028),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5028),
    [aux_sym_variable_attributes_token1] = ACTIONS(5028),
    [aux_sym_variable_attributes_token2] = ACTIONS(5028),
    [aux_sym_variable_attributes_token3] = ACTIONS(5028),
    [aux_sym_variable_attributes_token4] = ACTIONS(5028),
    [aux_sym_variable_attributes_token5] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5028),
    [aux_sym_derived_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5028),
    [aux_sym_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5028),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token2] = ACTIONS(5028),
    [aux_sym_subroutine_call_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token2] = ACTIONS(5028),
    [aux_sym_keyword_statement_token3] = ACTIONS(5028),
    [aux_sym_keyword_statement_token4] = ACTIONS(5028),
    [aux_sym_keyword_statement_token6] = ACTIONS(5028),
    [aux_sym_keyword_statement_token7] = ACTIONS(5028),
    [aux_sym_include_statement_token1] = ACTIONS(5028),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5028),
    [aux_sym_end_if_statement_token1] = ACTIONS(5028),
    [aux_sym_elseif_clause_token2] = ACTIONS(5028),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5028),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token3] = ACTIONS(5028),
    [aux_sym_select_type_statement_token1] = ACTIONS(5028),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5028),
    [aux_sym_associate_statement_token1] = ACTIONS(5028),
    [aux_sym_format_statement_token1] = ACTIONS(5028),
    [aux_sym_print_statement_token1] = ACTIONS(5028),
    [aux_sym_open_statement_token1] = ACTIONS(5028),
    [aux_sym_close_statement_token1] = ACTIONS(5028),
    [aux_sym_inquire_statement_token1] = ACTIONS(5028),
    [aux_sym_enum_statement_token1] = ACTIONS(5028),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token2] = ACTIONS(5028),
    [aux_sym_file_position_statement_token3] = ACTIONS(5028),
    [aux_sym_file_position_statement_token4] = ACTIONS(5028),
    [aux_sym_allocate_statement_token1] = ACTIONS(5028),
    [aux_sym_entry_statement_token1] = ACTIONS(5028),
    [aux_sym_assign_statement_token1] = ACTIONS(5028),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token2] = ACTIONS(5028),
    [aux_sym_coarray_statement_token6] = ACTIONS(5028),
    [aux_sym_coarray_statement_token8] = ACTIONS(5028),
    [aux_sym_coarray_statement_token11] = ACTIONS(5028),
    [aux_sym_coarray_statement_token12] = ACTIONS(5028),
    [aux_sym_coarray_statement_token13] = ACTIONS(5028),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5028),
    [aux_sym_identifier_token1] = ACTIONS(5028),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5028),
    [aux_sym_preproc_def_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token2] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5028),
    [sym_preproc_directive] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token1] = ACTIONS(5028),
    [aux_sym_end_program_statement_token2] = ACTIONS(5028),
    [aux_sym_module_statement_token1] = ACTIONS(5028),
    [aux_sym_submodule_statement_token1] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_interface_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token1] = ACTIONS(5028),
    [aux_sym_block_data_statement_token2] = ACTIONS(5028),
    [aux_sym_block_data_statement_token3] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5028),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5028),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5028),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5028),
    [aux_sym_function_statement_token1] = ACTIONS(5028),
    [aux_sym_language_binding_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5028),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5028),
    [aux_sym_contains_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token1] = ACTIONS(5028),
    [aux_sym_use_statement_token2] = ACTIONS(5028),
    [aux_sym_implicit_statement_token1] = ACTIONS(5028),
    [aux_sym_implicit_statement_token3] = ACTIONS(5028),
    [aux_sym_implicit_statement_token4] = ACTIONS(5028),
    [aux_sym_save_statement_token1] = ACTIONS(5028),
    [aux_sym_private_statement_token1] = ACTIONS(5028),
    [aux_sym_public_statement_token1] = ACTIONS(5028),
    [aux_sym_namelist_statement_token1] = ACTIONS(5028),
    [aux_sym_common_statement_token1] = ACTIONS(5028),
    [aux_sym_import_statement_token1] = ACTIONS(5028),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5028),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5028),
    [aux_sym_variable_attributes_token1] = ACTIONS(5028),
    [aux_sym_variable_attributes_token2] = ACTIONS(5028),
    [aux_sym_variable_attributes_token3] = ACTIONS(5028),
    [aux_sym_variable_attributes_token4] = ACTIONS(5028),
    [aux_sym_variable_attributes_token5] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5028),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5028),
    [aux_sym_derived_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token1] = ACTIONS(5028),
    [aux_sym_declared_type_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5028),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5028),
    [aux_sym_type_qualifier_token1] = ACTIONS(5028),
    [aux_sym_type_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5028),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5028),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token1] = ACTIONS(5028),
    [aux_sym_stop_statement_token2] = ACTIONS(5028),
    [aux_sym_subroutine_call_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token1] = ACTIONS(5028),
    [aux_sym_keyword_statement_token2] = ACTIONS(5028),
    [aux_sym_keyword_statement_token3] = ACTIONS(5028),
    [aux_sym_keyword_statement_token4] = ACTIONS(5028),
    [aux_sym_keyword_statement_token6] = ACTIONS(5028),
    [aux_sym_keyword_statement_token7] = ACTIONS(5028),
    [aux_sym_include_statement_token1] = ACTIONS(5028),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5028),
    [aux_sym_end_if_statement_token1] = ACTIONS(5028),
    [aux_sym_elseif_clause_token2] = ACTIONS(5028),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5028),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token1] = ACTIONS(5028),
    [aux_sym_select_case_statement_token3] = ACTIONS(5028),
    [aux_sym_select_type_statement_token1] = ACTIONS(5028),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5028),
    [aux_sym_associate_statement_token1] = ACTIONS(5028),
    [aux_sym_format_statement_token1] = ACTIONS(5028),
    [aux_sym_print_statement_token1] = ACTIONS(5028),
    [aux_sym_open_statement_token1] = ACTIONS(5028),
    [aux_sym_close_statement_token1] = ACTIONS(5028),
    [aux_sym_inquire_statement_token1] = ACTIONS(5028),
    [aux_sym_enum_statement_token1] = ACTIONS(5028),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token1] = ACTIONS(5028),
    [aux_sym_file_position_statement_token2] = ACTIONS(5028),
    [aux_sym_file_position_statement_token3] = ACTIONS(5028),
    [aux_sym_file_position_statement_token4] = ACTIONS(5028),
    [aux_sym_allocate_statement_token1] = ACTIONS(5028),
    [aux_sym_entry_statement_token1] = ACTIONS(5028),
    [aux_sym_assign_statement_token1] = ACTIONS(5028),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_statement_token2] = ACTIONS(5028),
    [aux_sym_coarray_statement_token6] = ACTIONS(5028),
    [aux_sym_coarray_statement_token8] = ACTIONS(5028),
    [aux_sym_coarray_statement_token11] = ACTIONS(5028),
    [aux_sym_coarray_statement_token12] = ACTIONS(5028),
    [aux_sym_coarray_statement_token13] = ACTIONS(5028),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5028),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5028),
    [aux_sym_identifier_token1] = ACTIONS(5028),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_module_statement_token1] = ACTIONS(5032),
    [aux_sym_submodule_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token2] = ACTIONS(5032),
    [aux_sym_block_data_statement_token3] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_function_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_assign_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1113] = {
    [ts_builtin_sym_end] = ACTIONS(4854),
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [aux_sym_module_statement_token1] = ACTIONS(4852),
    [aux_sym_submodule_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_block_data_statement_token3] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_function_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4852),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4958),
    [aux_sym_preproc_if_token1] = ACTIONS(4958),
    [aux_sym_preproc_if_token2] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4958),
    [sym_preproc_directive] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4958),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token1] = ACTIONS(4958),
    [aux_sym_end_program_statement_token2] = ACTIONS(4958),
    [aux_sym_module_statement_token1] = ACTIONS(4958),
    [aux_sym_submodule_statement_token1] = ACTIONS(4958),
    [anon_sym_SEMI] = ACTIONS(4960),
    [aux_sym_interface_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token1] = ACTIONS(4958),
    [aux_sym_block_data_statement_token2] = ACTIONS(4958),
    [aux_sym_block_data_statement_token3] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4958),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4958),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4958),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4958),
    [aux_sym_function_statement_token1] = ACTIONS(4958),
    [aux_sym_language_binding_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4958),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4958),
    [aux_sym_contains_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token1] = ACTIONS(4958),
    [aux_sym_use_statement_token2] = ACTIONS(4958),
    [aux_sym_implicit_statement_token1] = ACTIONS(4958),
    [aux_sym_implicit_statement_token3] = ACTIONS(4958),
    [aux_sym_implicit_statement_token4] = ACTIONS(4958),
    [aux_sym_save_statement_token1] = ACTIONS(4958),
    [aux_sym_private_statement_token1] = ACTIONS(4958),
    [aux_sym_public_statement_token1] = ACTIONS(4958),
    [aux_sym_namelist_statement_token1] = ACTIONS(4958),
    [aux_sym_common_statement_token1] = ACTIONS(4958),
    [aux_sym_import_statement_token1] = ACTIONS(4958),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4958),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4958),
    [aux_sym_variable_attributes_token1] = ACTIONS(4958),
    [aux_sym_variable_attributes_token2] = ACTIONS(4958),
    [aux_sym_variable_attributes_token3] = ACTIONS(4958),
    [aux_sym_variable_attributes_token4] = ACTIONS(4958),
    [aux_sym_variable_attributes_token5] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4958),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4958),
    [aux_sym_derived_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token1] = ACTIONS(4958),
    [aux_sym_declared_type_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4958),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4958),
    [aux_sym_type_qualifier_token1] = ACTIONS(4958),
    [aux_sym_type_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4958),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4958),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token1] = ACTIONS(4958),
    [aux_sym_stop_statement_token2] = ACTIONS(4958),
    [aux_sym_subroutine_call_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token1] = ACTIONS(4958),
    [aux_sym_keyword_statement_token2] = ACTIONS(4958),
    [aux_sym_keyword_statement_token3] = ACTIONS(4958),
    [aux_sym_keyword_statement_token4] = ACTIONS(4958),
    [aux_sym_keyword_statement_token6] = ACTIONS(4958),
    [aux_sym_keyword_statement_token7] = ACTIONS(4958),
    [aux_sym_include_statement_token1] = ACTIONS(4958),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4958),
    [aux_sym_end_if_statement_token1] = ACTIONS(4958),
    [aux_sym_elseif_clause_token2] = ACTIONS(4958),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token1] = ACTIONS(4958),
    [aux_sym_select_case_statement_token3] = ACTIONS(4958),
    [aux_sym_select_type_statement_token1] = ACTIONS(4958),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4958),
    [aux_sym_associate_statement_token1] = ACTIONS(4958),
    [aux_sym_format_statement_token1] = ACTIONS(4958),
    [aux_sym_print_statement_token1] = ACTIONS(4958),
    [aux_sym_open_statement_token1] = ACTIONS(4958),
    [aux_sym_close_statement_token1] = ACTIONS(4958),
    [aux_sym_inquire_statement_token1] = ACTIONS(4958),
    [aux_sym_enum_statement_token1] = ACTIONS(4958),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token1] = ACTIONS(4958),
    [aux_sym_file_position_statement_token2] = ACTIONS(4958),
    [aux_sym_file_position_statement_token3] = ACTIONS(4958),
    [aux_sym_file_position_statement_token4] = ACTIONS(4958),
    [aux_sym_allocate_statement_token1] = ACTIONS(4958),
    [aux_sym_entry_statement_token1] = ACTIONS(4958),
    [aux_sym_assign_statement_token1] = ACTIONS(4958),
    [aux_sym_logical_expression_token5] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4960),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [aux_sym_boolean_literal_token1] = ACTIONS(4960),
    [aux_sym_boolean_literal_token2] = ACTIONS(4960),
    [aux_sym_null_literal_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_statement_token2] = ACTIONS(4958),
    [aux_sym_coarray_statement_token6] = ACTIONS(4958),
    [aux_sym_coarray_statement_token8] = ACTIONS(4958),
    [aux_sym_coarray_statement_token11] = ACTIONS(4958),
    [aux_sym_coarray_statement_token12] = ACTIONS(4958),
    [aux_sym_coarray_statement_token13] = ACTIONS(4958),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4958),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4958),
    [aux_sym_identifier_token1] = ACTIONS(4958),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4960),
    [sym__float_literal] = ACTIONS(4960),
    [sym__boz_literal] = ACTIONS(4960),
    [sym__string_literal] = ACTIONS(4960),
    [sym__string_literal_kind] = ACTIONS(4960),
  },
  [1117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4806),
    [aux_sym_preproc_def_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4806),
    [sym_preproc_directive] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(4806),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token2] = ACTIONS(4806),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4810),
    [aux_sym_interface_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token1] = ACTIONS(4806),
    [aux_sym_block_data_statement_token2] = ACTIONS(4806),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4806),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4806),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4806),
    [aux_sym_contains_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token1] = ACTIONS(4806),
    [aux_sym_use_statement_token2] = ACTIONS(4806),
    [aux_sym_implicit_statement_token1] = ACTIONS(4806),
    [aux_sym_implicit_statement_token3] = ACTIONS(4806),
    [aux_sym_implicit_statement_token4] = ACTIONS(4806),
    [aux_sym_save_statement_token1] = ACTIONS(4806),
    [aux_sym_private_statement_token1] = ACTIONS(4806),
    [aux_sym_public_statement_token1] = ACTIONS(4806),
    [aux_sym_namelist_statement_token1] = ACTIONS(4806),
    [aux_sym_common_statement_token1] = ACTIONS(4806),
    [aux_sym_import_statement_token1] = ACTIONS(4806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4806),
    [aux_sym_variable_attributes_token1] = ACTIONS(4806),
    [aux_sym_variable_attributes_token2] = ACTIONS(4806),
    [aux_sym_variable_attributes_token3] = ACTIONS(4806),
    [aux_sym_variable_attributes_token4] = ACTIONS(4806),
    [aux_sym_variable_attributes_token5] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4806),
    [aux_sym_derived_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token1] = ACTIONS(4806),
    [aux_sym_declared_type_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4806),
    [aux_sym_type_qualifier_token1] = ACTIONS(4806),
    [aux_sym_type_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token1] = ACTIONS(4806),
    [aux_sym_stop_statement_token2] = ACTIONS(4806),
    [aux_sym_subroutine_call_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token1] = ACTIONS(4806),
    [aux_sym_keyword_statement_token2] = ACTIONS(4806),
    [aux_sym_keyword_statement_token3] = ACTIONS(4806),
    [aux_sym_keyword_statement_token4] = ACTIONS(4806),
    [aux_sym_keyword_statement_token6] = ACTIONS(4806),
    [aux_sym_keyword_statement_token7] = ACTIONS(4806),
    [aux_sym_include_statement_token1] = ACTIONS(4806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4806),
    [aux_sym_end_if_statement_token1] = ACTIONS(4806),
    [aux_sym_elseif_clause_token2] = ACTIONS(4806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token1] = ACTIONS(4806),
    [aux_sym_select_case_statement_token3] = ACTIONS(4806),
    [aux_sym_select_type_statement_token1] = ACTIONS(4806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4806),
    [aux_sym_associate_statement_token1] = ACTIONS(4806),
    [aux_sym_format_statement_token1] = ACTIONS(4806),
    [aux_sym_print_statement_token1] = ACTIONS(4806),
    [aux_sym_open_statement_token1] = ACTIONS(4806),
    [aux_sym_close_statement_token1] = ACTIONS(4806),
    [aux_sym_inquire_statement_token1] = ACTIONS(4806),
    [aux_sym_enum_statement_token1] = ACTIONS(4806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token1] = ACTIONS(4806),
    [aux_sym_file_position_statement_token2] = ACTIONS(4806),
    [aux_sym_file_position_statement_token3] = ACTIONS(4806),
    [aux_sym_file_position_statement_token4] = ACTIONS(4806),
    [aux_sym_allocate_statement_token1] = ACTIONS(4806),
    [aux_sym_entry_statement_token1] = ACTIONS(4806),
    [aux_sym_assign_statement_token1] = ACTIONS(4806),
    [aux_sym_logical_expression_token5] = ACTIONS(4810),
    [anon_sym_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [aux_sym_boolean_literal_token1] = ACTIONS(4810),
    [aux_sym_boolean_literal_token2] = ACTIONS(4810),
    [aux_sym_null_literal_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_statement_token2] = ACTIONS(4806),
    [aux_sym_coarray_statement_token6] = ACTIONS(4806),
    [aux_sym_coarray_statement_token8] = ACTIONS(4806),
    [aux_sym_coarray_statement_token11] = ACTIONS(4806),
    [aux_sym_coarray_statement_token12] = ACTIONS(4806),
    [aux_sym_coarray_statement_token13] = ACTIONS(4806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4806),
    [aux_sym_identifier_token1] = ACTIONS(4806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4810),
    [sym__float_literal] = ACTIONS(4810),
    [sym__boz_literal] = ACTIONS(4810),
    [sym__string_literal] = ACTIONS(4810),
    [sym__string_literal_kind] = ACTIONS(4810),
  },
  [1118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4962),
    [aux_sym_preproc_def_token1] = ACTIONS(4962),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_if_token2] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4962),
    [sym_preproc_directive] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token2] = ACTIONS(4962),
    [aux_sym_module_statement_token1] = ACTIONS(4962),
    [aux_sym_submodule_statement_token1] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4964),
    [aux_sym_interface_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token2] = ACTIONS(4962),
    [aux_sym_block_data_statement_token3] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4962),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4962),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4962),
    [aux_sym_function_statement_token1] = ACTIONS(4962),
    [aux_sym_language_binding_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4962),
    [aux_sym_contains_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token2] = ACTIONS(4962),
    [aux_sym_implicit_statement_token1] = ACTIONS(4962),
    [aux_sym_implicit_statement_token3] = ACTIONS(4962),
    [aux_sym_implicit_statement_token4] = ACTIONS(4962),
    [aux_sym_save_statement_token1] = ACTIONS(4962),
    [aux_sym_private_statement_token1] = ACTIONS(4962),
    [aux_sym_public_statement_token1] = ACTIONS(4962),
    [aux_sym_namelist_statement_token1] = ACTIONS(4962),
    [aux_sym_common_statement_token1] = ACTIONS(4962),
    [aux_sym_import_statement_token1] = ACTIONS(4962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4962),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4962),
    [aux_sym_variable_attributes_token1] = ACTIONS(4962),
    [aux_sym_variable_attributes_token2] = ACTIONS(4962),
    [aux_sym_variable_attributes_token3] = ACTIONS(4962),
    [aux_sym_variable_attributes_token4] = ACTIONS(4962),
    [aux_sym_variable_attributes_token5] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4962),
    [aux_sym_derived_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4962),
    [aux_sym_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4962),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token2] = ACTIONS(4962),
    [aux_sym_subroutine_call_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token2] = ACTIONS(4962),
    [aux_sym_keyword_statement_token3] = ACTIONS(4962),
    [aux_sym_keyword_statement_token4] = ACTIONS(4962),
    [aux_sym_keyword_statement_token6] = ACTIONS(4962),
    [aux_sym_keyword_statement_token7] = ACTIONS(4962),
    [aux_sym_include_statement_token1] = ACTIONS(4962),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4962),
    [aux_sym_end_if_statement_token1] = ACTIONS(4962),
    [aux_sym_elseif_clause_token2] = ACTIONS(4962),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4962),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token3] = ACTIONS(4962),
    [aux_sym_select_type_statement_token1] = ACTIONS(4962),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4962),
    [aux_sym_associate_statement_token1] = ACTIONS(4962),
    [aux_sym_format_statement_token1] = ACTIONS(4962),
    [aux_sym_print_statement_token1] = ACTIONS(4962),
    [aux_sym_open_statement_token1] = ACTIONS(4962),
    [aux_sym_close_statement_token1] = ACTIONS(4962),
    [aux_sym_inquire_statement_token1] = ACTIONS(4962),
    [aux_sym_enum_statement_token1] = ACTIONS(4962),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token2] = ACTIONS(4962),
    [aux_sym_file_position_statement_token3] = ACTIONS(4962),
    [aux_sym_file_position_statement_token4] = ACTIONS(4962),
    [aux_sym_allocate_statement_token1] = ACTIONS(4962),
    [aux_sym_entry_statement_token1] = ACTIONS(4962),
    [aux_sym_assign_statement_token1] = ACTIONS(4962),
    [aux_sym_logical_expression_token5] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [aux_sym_boolean_literal_token1] = ACTIONS(4964),
    [aux_sym_boolean_literal_token2] = ACTIONS(4964),
    [aux_sym_null_literal_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token2] = ACTIONS(4962),
    [aux_sym_coarray_statement_token6] = ACTIONS(4962),
    [aux_sym_coarray_statement_token8] = ACTIONS(4962),
    [aux_sym_coarray_statement_token11] = ACTIONS(4962),
    [aux_sym_coarray_statement_token12] = ACTIONS(4962),
    [aux_sym_coarray_statement_token13] = ACTIONS(4962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4962),
    [aux_sym_identifier_token1] = ACTIONS(4962),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4964),
    [sym__float_literal] = ACTIONS(4964),
    [sym__boz_literal] = ACTIONS(4964),
    [sym__string_literal] = ACTIONS(4964),
    [sym__string_literal_kind] = ACTIONS(4964),
  },
  [1119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4966),
    [aux_sym_preproc_def_token1] = ACTIONS(4966),
    [aux_sym_preproc_if_token1] = ACTIONS(4966),
    [aux_sym_preproc_if_token2] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4966),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token2] = ACTIONS(4966),
    [aux_sym_module_statement_token1] = ACTIONS(4966),
    [aux_sym_submodule_statement_token1] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4968),
    [aux_sym_interface_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token2] = ACTIONS(4966),
    [aux_sym_block_data_statement_token3] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4966),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4966),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4966),
    [aux_sym_function_statement_token1] = ACTIONS(4966),
    [aux_sym_language_binding_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4966),
    [aux_sym_contains_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token2] = ACTIONS(4966),
    [aux_sym_implicit_statement_token1] = ACTIONS(4966),
    [aux_sym_implicit_statement_token3] = ACTIONS(4966),
    [aux_sym_implicit_statement_token4] = ACTIONS(4966),
    [aux_sym_save_statement_token1] = ACTIONS(4966),
    [aux_sym_private_statement_token1] = ACTIONS(4966),
    [aux_sym_public_statement_token1] = ACTIONS(4966),
    [aux_sym_namelist_statement_token1] = ACTIONS(4966),
    [aux_sym_common_statement_token1] = ACTIONS(4966),
    [aux_sym_import_statement_token1] = ACTIONS(4966),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4966),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4966),
    [aux_sym_variable_attributes_token1] = ACTIONS(4966),
    [aux_sym_variable_attributes_token2] = ACTIONS(4966),
    [aux_sym_variable_attributes_token3] = ACTIONS(4966),
    [aux_sym_variable_attributes_token4] = ACTIONS(4966),
    [aux_sym_variable_attributes_token5] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4966),
    [aux_sym_derived_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4966),
    [aux_sym_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4966),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token2] = ACTIONS(4966),
    [aux_sym_subroutine_call_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token2] = ACTIONS(4966),
    [aux_sym_keyword_statement_token3] = ACTIONS(4966),
    [aux_sym_keyword_statement_token4] = ACTIONS(4966),
    [aux_sym_keyword_statement_token6] = ACTIONS(4966),
    [aux_sym_keyword_statement_token7] = ACTIONS(4966),
    [aux_sym_include_statement_token1] = ACTIONS(4966),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4966),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4966),
    [aux_sym_end_if_statement_token1] = ACTIONS(4966),
    [aux_sym_elseif_clause_token2] = ACTIONS(4966),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token3] = ACTIONS(4966),
    [aux_sym_select_type_statement_token1] = ACTIONS(4966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4966),
    [aux_sym_associate_statement_token1] = ACTIONS(4966),
    [aux_sym_format_statement_token1] = ACTIONS(4966),
    [aux_sym_print_statement_token1] = ACTIONS(4966),
    [aux_sym_open_statement_token1] = ACTIONS(4966),
    [aux_sym_close_statement_token1] = ACTIONS(4966),
    [aux_sym_inquire_statement_token1] = ACTIONS(4966),
    [aux_sym_enum_statement_token1] = ACTIONS(4966),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token2] = ACTIONS(4966),
    [aux_sym_file_position_statement_token3] = ACTIONS(4966),
    [aux_sym_file_position_statement_token4] = ACTIONS(4966),
    [aux_sym_allocate_statement_token1] = ACTIONS(4966),
    [aux_sym_entry_statement_token1] = ACTIONS(4966),
    [aux_sym_assign_statement_token1] = ACTIONS(4966),
    [aux_sym_logical_expression_token5] = ACTIONS(4968),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4968),
    [aux_sym_boolean_literal_token1] = ACTIONS(4968),
    [aux_sym_boolean_literal_token2] = ACTIONS(4968),
    [aux_sym_null_literal_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token2] = ACTIONS(4966),
    [aux_sym_coarray_statement_token6] = ACTIONS(4966),
    [aux_sym_coarray_statement_token8] = ACTIONS(4966),
    [aux_sym_coarray_statement_token11] = ACTIONS(4966),
    [aux_sym_coarray_statement_token12] = ACTIONS(4966),
    [aux_sym_coarray_statement_token13] = ACTIONS(4966),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4966),
    [aux_sym_identifier_token1] = ACTIONS(4966),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4968),
    [sym__float_literal] = ACTIONS(4968),
    [sym__boz_literal] = ACTIONS(4968),
    [sym__string_literal] = ACTIONS(4968),
    [sym__string_literal_kind] = ACTIONS(4968),
  },
  [1120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4970),
    [aux_sym_preproc_def_token1] = ACTIONS(4970),
    [aux_sym_preproc_if_token1] = ACTIONS(4970),
    [aux_sym_preproc_if_token2] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4970),
    [sym_preproc_directive] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token2] = ACTIONS(4970),
    [aux_sym_module_statement_token1] = ACTIONS(4970),
    [aux_sym_submodule_statement_token1] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4972),
    [aux_sym_interface_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token2] = ACTIONS(4970),
    [aux_sym_block_data_statement_token3] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4970),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4970),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4970),
    [aux_sym_function_statement_token1] = ACTIONS(4970),
    [aux_sym_language_binding_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4970),
    [aux_sym_contains_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token2] = ACTIONS(4970),
    [aux_sym_implicit_statement_token1] = ACTIONS(4970),
    [aux_sym_implicit_statement_token3] = ACTIONS(4970),
    [aux_sym_implicit_statement_token4] = ACTIONS(4970),
    [aux_sym_save_statement_token1] = ACTIONS(4970),
    [aux_sym_private_statement_token1] = ACTIONS(4970),
    [aux_sym_public_statement_token1] = ACTIONS(4970),
    [aux_sym_namelist_statement_token1] = ACTIONS(4970),
    [aux_sym_common_statement_token1] = ACTIONS(4970),
    [aux_sym_import_statement_token1] = ACTIONS(4970),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4970),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4970),
    [aux_sym_variable_attributes_token1] = ACTIONS(4970),
    [aux_sym_variable_attributes_token2] = ACTIONS(4970),
    [aux_sym_variable_attributes_token3] = ACTIONS(4970),
    [aux_sym_variable_attributes_token4] = ACTIONS(4970),
    [aux_sym_variable_attributes_token5] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4970),
    [aux_sym_derived_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4970),
    [aux_sym_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4970),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token2] = ACTIONS(4970),
    [aux_sym_subroutine_call_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token2] = ACTIONS(4970),
    [aux_sym_keyword_statement_token3] = ACTIONS(4970),
    [aux_sym_keyword_statement_token4] = ACTIONS(4970),
    [aux_sym_keyword_statement_token6] = ACTIONS(4970),
    [aux_sym_keyword_statement_token7] = ACTIONS(4970),
    [aux_sym_include_statement_token1] = ACTIONS(4970),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4970),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4970),
    [aux_sym_end_if_statement_token1] = ACTIONS(4970),
    [aux_sym_elseif_clause_token2] = ACTIONS(4970),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4970),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token3] = ACTIONS(4970),
    [aux_sym_select_type_statement_token1] = ACTIONS(4970),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4970),
    [aux_sym_associate_statement_token1] = ACTIONS(4970),
    [aux_sym_format_statement_token1] = ACTIONS(4970),
    [aux_sym_print_statement_token1] = ACTIONS(4970),
    [aux_sym_open_statement_token1] = ACTIONS(4970),
    [aux_sym_close_statement_token1] = ACTIONS(4970),
    [aux_sym_inquire_statement_token1] = ACTIONS(4970),
    [aux_sym_enum_statement_token1] = ACTIONS(4970),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token2] = ACTIONS(4970),
    [aux_sym_file_position_statement_token3] = ACTIONS(4970),
    [aux_sym_file_position_statement_token4] = ACTIONS(4970),
    [aux_sym_allocate_statement_token1] = ACTIONS(4970),
    [aux_sym_entry_statement_token1] = ACTIONS(4970),
    [aux_sym_assign_statement_token1] = ACTIONS(4970),
    [aux_sym_logical_expression_token5] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [aux_sym_boolean_literal_token1] = ACTIONS(4972),
    [aux_sym_boolean_literal_token2] = ACTIONS(4972),
    [aux_sym_null_literal_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token2] = ACTIONS(4970),
    [aux_sym_coarray_statement_token6] = ACTIONS(4970),
    [aux_sym_coarray_statement_token8] = ACTIONS(4970),
    [aux_sym_coarray_statement_token11] = ACTIONS(4970),
    [aux_sym_coarray_statement_token12] = ACTIONS(4970),
    [aux_sym_coarray_statement_token13] = ACTIONS(4970),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4970),
    [aux_sym_identifier_token1] = ACTIONS(4970),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4972),
    [sym__float_literal] = ACTIONS(4972),
    [sym__boz_literal] = ACTIONS(4972),
    [sym__string_literal] = ACTIONS(4972),
    [sym__string_literal_kind] = ACTIONS(4972),
  },
  [1121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4974),
    [aux_sym_preproc_def_token1] = ACTIONS(4974),
    [aux_sym_preproc_if_token1] = ACTIONS(4974),
    [aux_sym_preproc_if_token2] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4974),
    [sym_preproc_directive] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token2] = ACTIONS(4974),
    [aux_sym_module_statement_token1] = ACTIONS(4974),
    [aux_sym_submodule_statement_token1] = ACTIONS(4974),
    [anon_sym_SEMI] = ACTIONS(4976),
    [aux_sym_interface_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token2] = ACTIONS(4974),
    [aux_sym_block_data_statement_token3] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4974),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4974),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4974),
    [aux_sym_function_statement_token1] = ACTIONS(4974),
    [aux_sym_language_binding_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4974),
    [aux_sym_contains_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token2] = ACTIONS(4974),
    [aux_sym_implicit_statement_token1] = ACTIONS(4974),
    [aux_sym_implicit_statement_token3] = ACTIONS(4974),
    [aux_sym_implicit_statement_token4] = ACTIONS(4974),
    [aux_sym_save_statement_token1] = ACTIONS(4974),
    [aux_sym_private_statement_token1] = ACTIONS(4974),
    [aux_sym_public_statement_token1] = ACTIONS(4974),
    [aux_sym_namelist_statement_token1] = ACTIONS(4974),
    [aux_sym_common_statement_token1] = ACTIONS(4974),
    [aux_sym_import_statement_token1] = ACTIONS(4974),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4974),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4974),
    [aux_sym_variable_attributes_token1] = ACTIONS(4974),
    [aux_sym_variable_attributes_token2] = ACTIONS(4974),
    [aux_sym_variable_attributes_token3] = ACTIONS(4974),
    [aux_sym_variable_attributes_token4] = ACTIONS(4974),
    [aux_sym_variable_attributes_token5] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4974),
    [aux_sym_derived_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4974),
    [aux_sym_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4974),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token2] = ACTIONS(4974),
    [aux_sym_subroutine_call_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token2] = ACTIONS(4974),
    [aux_sym_keyword_statement_token3] = ACTIONS(4974),
    [aux_sym_keyword_statement_token4] = ACTIONS(4974),
    [aux_sym_keyword_statement_token6] = ACTIONS(4974),
    [aux_sym_keyword_statement_token7] = ACTIONS(4974),
    [aux_sym_include_statement_token1] = ACTIONS(4974),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4974),
    [aux_sym_end_if_statement_token1] = ACTIONS(4974),
    [aux_sym_elseif_clause_token2] = ACTIONS(4974),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4974),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token3] = ACTIONS(4974),
    [aux_sym_select_type_statement_token1] = ACTIONS(4974),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4974),
    [aux_sym_associate_statement_token1] = ACTIONS(4974),
    [aux_sym_format_statement_token1] = ACTIONS(4974),
    [aux_sym_print_statement_token1] = ACTIONS(4974),
    [aux_sym_open_statement_token1] = ACTIONS(4974),
    [aux_sym_close_statement_token1] = ACTIONS(4974),
    [aux_sym_inquire_statement_token1] = ACTIONS(4974),
    [aux_sym_enum_statement_token1] = ACTIONS(4974),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token2] = ACTIONS(4974),
    [aux_sym_file_position_statement_token3] = ACTIONS(4974),
    [aux_sym_file_position_statement_token4] = ACTIONS(4974),
    [aux_sym_allocate_statement_token1] = ACTIONS(4974),
    [aux_sym_entry_statement_token1] = ACTIONS(4974),
    [aux_sym_assign_statement_token1] = ACTIONS(4974),
    [aux_sym_logical_expression_token5] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [aux_sym_boolean_literal_token1] = ACTIONS(4976),
    [aux_sym_boolean_literal_token2] = ACTIONS(4976),
    [aux_sym_null_literal_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token2] = ACTIONS(4974),
    [aux_sym_coarray_statement_token6] = ACTIONS(4974),
    [aux_sym_coarray_statement_token8] = ACTIONS(4974),
    [aux_sym_coarray_statement_token11] = ACTIONS(4974),
    [aux_sym_coarray_statement_token12] = ACTIONS(4974),
    [aux_sym_coarray_statement_token13] = ACTIONS(4974),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4974),
    [aux_sym_identifier_token1] = ACTIONS(4974),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4976),
    [sym__float_literal] = ACTIONS(4976),
    [sym__boz_literal] = ACTIONS(4976),
    [sym__string_literal] = ACTIONS(4976),
    [sym__string_literal_kind] = ACTIONS(4976),
  },
  [1122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4978),
    [aux_sym_preproc_def_token1] = ACTIONS(4978),
    [aux_sym_preproc_if_token1] = ACTIONS(4978),
    [aux_sym_preproc_if_token2] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4978),
    [sym_preproc_directive] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_PLUS] = ACTIONS(4980),
    [anon_sym_DASH] = ACTIONS(4980),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token1] = ACTIONS(4978),
    [aux_sym_end_program_statement_token2] = ACTIONS(4978),
    [aux_sym_module_statement_token1] = ACTIONS(4978),
    [aux_sym_submodule_statement_token1] = ACTIONS(4978),
    [anon_sym_SEMI] = ACTIONS(4980),
    [aux_sym_interface_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token1] = ACTIONS(4978),
    [aux_sym_block_data_statement_token2] = ACTIONS(4978),
    [aux_sym_block_data_statement_token3] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4978),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4978),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4978),
    [aux_sym_function_statement_token1] = ACTIONS(4978),
    [aux_sym_language_binding_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4978),
    [aux_sym_contains_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token1] = ACTIONS(4978),
    [aux_sym_use_statement_token2] = ACTIONS(4978),
    [aux_sym_implicit_statement_token1] = ACTIONS(4978),
    [aux_sym_implicit_statement_token3] = ACTIONS(4978),
    [aux_sym_implicit_statement_token4] = ACTIONS(4978),
    [aux_sym_save_statement_token1] = ACTIONS(4978),
    [aux_sym_private_statement_token1] = ACTIONS(4978),
    [aux_sym_public_statement_token1] = ACTIONS(4978),
    [aux_sym_namelist_statement_token1] = ACTIONS(4978),
    [aux_sym_common_statement_token1] = ACTIONS(4978),
    [aux_sym_import_statement_token1] = ACTIONS(4978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4978),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4978),
    [aux_sym_variable_attributes_token1] = ACTIONS(4978),
    [aux_sym_variable_attributes_token2] = ACTIONS(4978),
    [aux_sym_variable_attributes_token3] = ACTIONS(4978),
    [aux_sym_variable_attributes_token4] = ACTIONS(4978),
    [aux_sym_variable_attributes_token5] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4978),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4978),
    [aux_sym_derived_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token1] = ACTIONS(4978),
    [aux_sym_declared_type_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4978),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4978),
    [aux_sym_type_qualifier_token1] = ACTIONS(4978),
    [aux_sym_type_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4978),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4978),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token1] = ACTIONS(4978),
    [aux_sym_stop_statement_token2] = ACTIONS(4978),
    [aux_sym_subroutine_call_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token1] = ACTIONS(4978),
    [aux_sym_keyword_statement_token2] = ACTIONS(4978),
    [aux_sym_keyword_statement_token3] = ACTIONS(4978),
    [aux_sym_keyword_statement_token4] = ACTIONS(4978),
    [aux_sym_keyword_statement_token6] = ACTIONS(4978),
    [aux_sym_keyword_statement_token7] = ACTIONS(4978),
    [aux_sym_include_statement_token1] = ACTIONS(4978),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4978),
    [aux_sym_end_if_statement_token1] = ACTIONS(4978),
    [aux_sym_elseif_clause_token2] = ACTIONS(4978),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4978),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token1] = ACTIONS(4978),
    [aux_sym_select_case_statement_token3] = ACTIONS(4978),
    [aux_sym_select_type_statement_token1] = ACTIONS(4978),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4978),
    [aux_sym_associate_statement_token1] = ACTIONS(4978),
    [aux_sym_format_statement_token1] = ACTIONS(4978),
    [aux_sym_print_statement_token1] = ACTIONS(4978),
    [aux_sym_open_statement_token1] = ACTIONS(4978),
    [aux_sym_close_statement_token1] = ACTIONS(4978),
    [aux_sym_inquire_statement_token1] = ACTIONS(4978),
    [aux_sym_enum_statement_token1] = ACTIONS(4978),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token1] = ACTIONS(4978),
    [aux_sym_file_position_statement_token2] = ACTIONS(4978),
    [aux_sym_file_position_statement_token3] = ACTIONS(4978),
    [aux_sym_file_position_statement_token4] = ACTIONS(4978),
    [aux_sym_allocate_statement_token1] = ACTIONS(4978),
    [aux_sym_entry_statement_token1] = ACTIONS(4978),
    [aux_sym_assign_statement_token1] = ACTIONS(4978),
    [aux_sym_logical_expression_token5] = ACTIONS(4980),
    [anon_sym_DOT] = ACTIONS(4978),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4980),
    [anon_sym_LBRACK] = ACTIONS(4980),
    [aux_sym_boolean_literal_token1] = ACTIONS(4980),
    [aux_sym_boolean_literal_token2] = ACTIONS(4980),
    [aux_sym_null_literal_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_statement_token2] = ACTIONS(4978),
    [aux_sym_coarray_statement_token6] = ACTIONS(4978),
    [aux_sym_coarray_statement_token8] = ACTIONS(4978),
    [aux_sym_coarray_statement_token11] = ACTIONS(4978),
    [aux_sym_coarray_statement_token12] = ACTIONS(4978),
    [aux_sym_coarray_statement_token13] = ACTIONS(4978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4978),
    [aux_sym_identifier_token1] = ACTIONS(4978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4980),
    [sym__float_literal] = ACTIONS(4980),
    [sym__boz_literal] = ACTIONS(4980),
    [sym__string_literal] = ACTIONS(4980),
    [sym__string_literal_kind] = ACTIONS(4980),
  },
  [1123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4768),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [aux_sym_module_statement_token1] = ACTIONS(4768),
    [aux_sym_submodule_statement_token1] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_block_data_statement_token3] = ACTIONS(4768),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4768),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_function_statement_token1] = ACTIONS(4768),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4768),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4768),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1124] = {
    [ts_builtin_sym_end] = ACTIONS(4914),
    [aux_sym_preproc_include_token1] = ACTIONS(4912),
    [aux_sym_preproc_def_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token1] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4912),
    [sym_preproc_directive] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_DASH] = ACTIONS(4914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token1] = ACTIONS(4912),
    [aux_sym_end_program_statement_token2] = ACTIONS(4912),
    [aux_sym_module_statement_token1] = ACTIONS(4912),
    [aux_sym_submodule_statement_token1] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4914),
    [aux_sym_interface_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token1] = ACTIONS(4912),
    [aux_sym_block_data_statement_token2] = ACTIONS(4912),
    [aux_sym_block_data_statement_token3] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4912),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4912),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4912),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4912),
    [aux_sym_function_statement_token1] = ACTIONS(4912),
    [aux_sym_language_binding_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4912),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4912),
    [aux_sym_contains_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token1] = ACTIONS(4912),
    [aux_sym_use_statement_token2] = ACTIONS(4912),
    [aux_sym_implicit_statement_token1] = ACTIONS(4912),
    [aux_sym_implicit_statement_token3] = ACTIONS(4912),
    [aux_sym_implicit_statement_token4] = ACTIONS(4912),
    [aux_sym_save_statement_token1] = ACTIONS(4912),
    [aux_sym_private_statement_token1] = ACTIONS(4912),
    [aux_sym_public_statement_token1] = ACTIONS(4912),
    [aux_sym_namelist_statement_token1] = ACTIONS(4912),
    [aux_sym_common_statement_token1] = ACTIONS(4912),
    [aux_sym_import_statement_token1] = ACTIONS(4912),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4912),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4912),
    [aux_sym_variable_attributes_token1] = ACTIONS(4912),
    [aux_sym_variable_attributes_token2] = ACTIONS(4912),
    [aux_sym_variable_attributes_token3] = ACTIONS(4912),
    [aux_sym_variable_attributes_token4] = ACTIONS(4912),
    [aux_sym_variable_attributes_token5] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4912),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4912),
    [aux_sym_derived_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token1] = ACTIONS(4912),
    [aux_sym_declared_type_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4912),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4912),
    [aux_sym_type_qualifier_token1] = ACTIONS(4912),
    [aux_sym_type_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4912),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4912),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token1] = ACTIONS(4912),
    [aux_sym_stop_statement_token2] = ACTIONS(4912),
    [aux_sym_subroutine_call_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token1] = ACTIONS(4912),
    [aux_sym_keyword_statement_token2] = ACTIONS(4912),
    [aux_sym_keyword_statement_token3] = ACTIONS(4912),
    [aux_sym_keyword_statement_token4] = ACTIONS(4912),
    [aux_sym_keyword_statement_token6] = ACTIONS(4912),
    [aux_sym_keyword_statement_token7] = ACTIONS(4912),
    [aux_sym_include_statement_token1] = ACTIONS(4912),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4912),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4912),
    [aux_sym_end_if_statement_token1] = ACTIONS(4912),
    [aux_sym_elseif_clause_token2] = ACTIONS(4912),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4912),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token1] = ACTIONS(4912),
    [aux_sym_select_case_statement_token3] = ACTIONS(4912),
    [aux_sym_select_type_statement_token1] = ACTIONS(4912),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4912),
    [aux_sym_associate_statement_token1] = ACTIONS(4912),
    [aux_sym_format_statement_token1] = ACTIONS(4912),
    [aux_sym_print_statement_token1] = ACTIONS(4912),
    [aux_sym_open_statement_token1] = ACTIONS(4912),
    [aux_sym_close_statement_token1] = ACTIONS(4912),
    [aux_sym_inquire_statement_token1] = ACTIONS(4912),
    [aux_sym_enum_statement_token1] = ACTIONS(4912),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token1] = ACTIONS(4912),
    [aux_sym_file_position_statement_token2] = ACTIONS(4912),
    [aux_sym_file_position_statement_token3] = ACTIONS(4912),
    [aux_sym_file_position_statement_token4] = ACTIONS(4912),
    [aux_sym_allocate_statement_token1] = ACTIONS(4912),
    [aux_sym_entry_statement_token1] = ACTIONS(4912),
    [aux_sym_assign_statement_token1] = ACTIONS(4912),
    [aux_sym_logical_expression_token5] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4912),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4914),
    [aux_sym_boolean_literal_token1] = ACTIONS(4914),
    [aux_sym_boolean_literal_token2] = ACTIONS(4914),
    [aux_sym_null_literal_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_statement_token2] = ACTIONS(4912),
    [aux_sym_coarray_statement_token6] = ACTIONS(4912),
    [aux_sym_coarray_statement_token8] = ACTIONS(4912),
    [aux_sym_coarray_statement_token11] = ACTIONS(4912),
    [aux_sym_coarray_statement_token12] = ACTIONS(4912),
    [aux_sym_coarray_statement_token13] = ACTIONS(4912),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4912),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4912),
    [aux_sym_identifier_token1] = ACTIONS(4912),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4914),
    [sym__float_literal] = ACTIONS(4914),
    [sym__boz_literal] = ACTIONS(4914),
    [sym__string_literal] = ACTIONS(4914),
    [sym__string_literal_kind] = ACTIONS(4914),
  },
  [1125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5036),
    [aux_sym_preproc_def_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_PLUS] = ACTIONS(5038),
    [anon_sym_DASH] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_end_program_statement_token2] = ACTIONS(5036),
    [aux_sym_module_statement_token1] = ACTIONS(5036),
    [aux_sym_submodule_statement_token1] = ACTIONS(5036),
    [anon_sym_SEMI] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token2] = ACTIONS(5036),
    [aux_sym_block_data_statement_token3] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5036),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5036),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5036),
    [aux_sym_function_statement_token1] = ACTIONS(5036),
    [aux_sym_language_binding_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5036),
    [aux_sym_contains_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token1] = ACTIONS(5036),
    [aux_sym_use_statement_token2] = ACTIONS(5036),
    [aux_sym_implicit_statement_token1] = ACTIONS(5036),
    [aux_sym_implicit_statement_token3] = ACTIONS(5036),
    [aux_sym_implicit_statement_token4] = ACTIONS(5036),
    [aux_sym_save_statement_token1] = ACTIONS(5036),
    [aux_sym_private_statement_token1] = ACTIONS(5036),
    [aux_sym_public_statement_token1] = ACTIONS(5036),
    [aux_sym_namelist_statement_token1] = ACTIONS(5036),
    [aux_sym_common_statement_token1] = ACTIONS(5036),
    [aux_sym_import_statement_token1] = ACTIONS(5036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5036),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5036),
    [aux_sym_variable_attributes_token1] = ACTIONS(5036),
    [aux_sym_variable_attributes_token2] = ACTIONS(5036),
    [aux_sym_variable_attributes_token3] = ACTIONS(5036),
    [aux_sym_variable_attributes_token4] = ACTIONS(5036),
    [aux_sym_variable_attributes_token5] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5036),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5036),
    [aux_sym_derived_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token1] = ACTIONS(5036),
    [aux_sym_declared_type_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5036),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5036),
    [aux_sym_type_qualifier_token1] = ACTIONS(5036),
    [aux_sym_type_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5036),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5036),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token1] = ACTIONS(5036),
    [aux_sym_stop_statement_token2] = ACTIONS(5036),
    [aux_sym_subroutine_call_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token1] = ACTIONS(5036),
    [aux_sym_keyword_statement_token2] = ACTIONS(5036),
    [aux_sym_keyword_statement_token3] = ACTIONS(5036),
    [aux_sym_keyword_statement_token4] = ACTIONS(5036),
    [aux_sym_keyword_statement_token6] = ACTIONS(5036),
    [aux_sym_keyword_statement_token7] = ACTIONS(5036),
    [aux_sym_include_statement_token1] = ACTIONS(5036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5036),
    [aux_sym_end_if_statement_token1] = ACTIONS(5036),
    [aux_sym_elseif_clause_token2] = ACTIONS(5036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token1] = ACTIONS(5036),
    [aux_sym_select_case_statement_token3] = ACTIONS(5036),
    [aux_sym_select_type_statement_token1] = ACTIONS(5036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5036),
    [aux_sym_associate_statement_token1] = ACTIONS(5036),
    [aux_sym_format_statement_token1] = ACTIONS(5036),
    [aux_sym_print_statement_token1] = ACTIONS(5036),
    [aux_sym_open_statement_token1] = ACTIONS(5036),
    [aux_sym_close_statement_token1] = ACTIONS(5036),
    [aux_sym_inquire_statement_token1] = ACTIONS(5036),
    [aux_sym_enum_statement_token1] = ACTIONS(5036),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token1] = ACTIONS(5036),
    [aux_sym_file_position_statement_token2] = ACTIONS(5036),
    [aux_sym_file_position_statement_token3] = ACTIONS(5036),
    [aux_sym_file_position_statement_token4] = ACTIONS(5036),
    [aux_sym_allocate_statement_token1] = ACTIONS(5036),
    [aux_sym_entry_statement_token1] = ACTIONS(5036),
    [aux_sym_assign_statement_token1] = ACTIONS(5036),
    [aux_sym_logical_expression_token5] = ACTIONS(5038),
    [anon_sym_DOT] = ACTIONS(5036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5038),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [aux_sym_boolean_literal_token1] = ACTIONS(5038),
    [aux_sym_boolean_literal_token2] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_statement_token2] = ACTIONS(5036),
    [aux_sym_coarray_statement_token6] = ACTIONS(5036),
    [aux_sym_coarray_statement_token8] = ACTIONS(5036),
    [aux_sym_coarray_statement_token11] = ACTIONS(5036),
    [aux_sym_coarray_statement_token12] = ACTIONS(5036),
    [aux_sym_coarray_statement_token13] = ACTIONS(5036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5036),
    [aux_sym_identifier_token1] = ACTIONS(5036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5038),
    [sym__float_literal] = ACTIONS(5038),
    [sym__boz_literal] = ACTIONS(5038),
    [sym__string_literal] = ACTIONS(5038),
    [sym__string_literal_kind] = ACTIONS(5038),
  },
  [1126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5040),
    [aux_sym_preproc_def_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token2] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5040),
    [sym_preproc_directive] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5040),
    [anon_sym_PLUS] = ACTIONS(5042),
    [anon_sym_DASH] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_end_program_statement_token2] = ACTIONS(5040),
    [aux_sym_module_statement_token1] = ACTIONS(5040),
    [aux_sym_submodule_statement_token1] = ACTIONS(5040),
    [anon_sym_SEMI] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token2] = ACTIONS(5040),
    [aux_sym_block_data_statement_token3] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5040),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5040),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5040),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5040),
    [aux_sym_function_statement_token1] = ACTIONS(5040),
    [aux_sym_language_binding_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5040),
    [aux_sym_contains_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token1] = ACTIONS(5040),
    [aux_sym_use_statement_token2] = ACTIONS(5040),
    [aux_sym_implicit_statement_token1] = ACTIONS(5040),
    [aux_sym_implicit_statement_token3] = ACTIONS(5040),
    [aux_sym_implicit_statement_token4] = ACTIONS(5040),
    [aux_sym_save_statement_token1] = ACTIONS(5040),
    [aux_sym_private_statement_token1] = ACTIONS(5040),
    [aux_sym_public_statement_token1] = ACTIONS(5040),
    [aux_sym_namelist_statement_token1] = ACTIONS(5040),
    [aux_sym_common_statement_token1] = ACTIONS(5040),
    [aux_sym_import_statement_token1] = ACTIONS(5040),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5040),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5040),
    [aux_sym_variable_attributes_token1] = ACTIONS(5040),
    [aux_sym_variable_attributes_token2] = ACTIONS(5040),
    [aux_sym_variable_attributes_token3] = ACTIONS(5040),
    [aux_sym_variable_attributes_token4] = ACTIONS(5040),
    [aux_sym_variable_attributes_token5] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5040),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5040),
    [aux_sym_derived_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token1] = ACTIONS(5040),
    [aux_sym_declared_type_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5040),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5040),
    [aux_sym_type_qualifier_token1] = ACTIONS(5040),
    [aux_sym_type_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5040),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5040),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5040),
    [aux_sym_stop_statement_token2] = ACTIONS(5040),
    [aux_sym_subroutine_call_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token1] = ACTIONS(5040),
    [aux_sym_keyword_statement_token2] = ACTIONS(5040),
    [aux_sym_keyword_statement_token3] = ACTIONS(5040),
    [aux_sym_keyword_statement_token4] = ACTIONS(5040),
    [aux_sym_keyword_statement_token6] = ACTIONS(5040),
    [aux_sym_keyword_statement_token7] = ACTIONS(5040),
    [aux_sym_include_statement_token1] = ACTIONS(5040),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5040),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5040),
    [aux_sym_end_if_statement_token1] = ACTIONS(5040),
    [aux_sym_elseif_clause_token2] = ACTIONS(5040),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5040),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token1] = ACTIONS(5040),
    [aux_sym_select_case_statement_token3] = ACTIONS(5040),
    [aux_sym_select_type_statement_token1] = ACTIONS(5040),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5040),
    [aux_sym_associate_statement_token1] = ACTIONS(5040),
    [aux_sym_format_statement_token1] = ACTIONS(5040),
    [aux_sym_print_statement_token1] = ACTIONS(5040),
    [aux_sym_open_statement_token1] = ACTIONS(5040),
    [aux_sym_close_statement_token1] = ACTIONS(5040),
    [aux_sym_inquire_statement_token1] = ACTIONS(5040),
    [aux_sym_enum_statement_token1] = ACTIONS(5040),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token1] = ACTIONS(5040),
    [aux_sym_file_position_statement_token2] = ACTIONS(5040),
    [aux_sym_file_position_statement_token3] = ACTIONS(5040),
    [aux_sym_file_position_statement_token4] = ACTIONS(5040),
    [aux_sym_allocate_statement_token1] = ACTIONS(5040),
    [aux_sym_entry_statement_token1] = ACTIONS(5040),
    [aux_sym_assign_statement_token1] = ACTIONS(5040),
    [aux_sym_logical_expression_token5] = ACTIONS(5042),
    [anon_sym_DOT] = ACTIONS(5040),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5042),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [aux_sym_boolean_literal_token1] = ACTIONS(5042),
    [aux_sym_boolean_literal_token2] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_statement_token2] = ACTIONS(5040),
    [aux_sym_coarray_statement_token6] = ACTIONS(5040),
    [aux_sym_coarray_statement_token8] = ACTIONS(5040),
    [aux_sym_coarray_statement_token11] = ACTIONS(5040),
    [aux_sym_coarray_statement_token12] = ACTIONS(5040),
    [aux_sym_coarray_statement_token13] = ACTIONS(5040),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5040),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5040),
    [aux_sym_identifier_token1] = ACTIONS(5040),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5042),
    [sym__float_literal] = ACTIONS(5042),
    [sym__boz_literal] = ACTIONS(5042),
    [sym__string_literal] = ACTIONS(5042),
    [sym__string_literal_kind] = ACTIONS(5042),
  },
  [1127] = {
    [ts_builtin_sym_end] = ACTIONS(4964),
    [aux_sym_preproc_include_token1] = ACTIONS(4962),
    [aux_sym_preproc_def_token1] = ACTIONS(4962),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4962),
    [sym_preproc_directive] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token1] = ACTIONS(4962),
    [aux_sym_end_program_statement_token2] = ACTIONS(4962),
    [aux_sym_module_statement_token1] = ACTIONS(4962),
    [aux_sym_submodule_statement_token1] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4964),
    [aux_sym_interface_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token1] = ACTIONS(4962),
    [aux_sym_block_data_statement_token2] = ACTIONS(4962),
    [aux_sym_block_data_statement_token3] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4962),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4962),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4962),
    [aux_sym_function_statement_token1] = ACTIONS(4962),
    [aux_sym_language_binding_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4962),
    [aux_sym_contains_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token1] = ACTIONS(4962),
    [aux_sym_use_statement_token2] = ACTIONS(4962),
    [aux_sym_implicit_statement_token1] = ACTIONS(4962),
    [aux_sym_implicit_statement_token3] = ACTIONS(4962),
    [aux_sym_implicit_statement_token4] = ACTIONS(4962),
    [aux_sym_save_statement_token1] = ACTIONS(4962),
    [aux_sym_private_statement_token1] = ACTIONS(4962),
    [aux_sym_public_statement_token1] = ACTIONS(4962),
    [aux_sym_namelist_statement_token1] = ACTIONS(4962),
    [aux_sym_common_statement_token1] = ACTIONS(4962),
    [aux_sym_import_statement_token1] = ACTIONS(4962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4962),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4962),
    [aux_sym_variable_attributes_token1] = ACTIONS(4962),
    [aux_sym_variable_attributes_token2] = ACTIONS(4962),
    [aux_sym_variable_attributes_token3] = ACTIONS(4962),
    [aux_sym_variable_attributes_token4] = ACTIONS(4962),
    [aux_sym_variable_attributes_token5] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4962),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4962),
    [aux_sym_derived_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token1] = ACTIONS(4962),
    [aux_sym_declared_type_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4962),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4962),
    [aux_sym_type_qualifier_token1] = ACTIONS(4962),
    [aux_sym_type_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4962),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4962),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token1] = ACTIONS(4962),
    [aux_sym_stop_statement_token2] = ACTIONS(4962),
    [aux_sym_subroutine_call_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token1] = ACTIONS(4962),
    [aux_sym_keyword_statement_token2] = ACTIONS(4962),
    [aux_sym_keyword_statement_token3] = ACTIONS(4962),
    [aux_sym_keyword_statement_token4] = ACTIONS(4962),
    [aux_sym_keyword_statement_token6] = ACTIONS(4962),
    [aux_sym_keyword_statement_token7] = ACTIONS(4962),
    [aux_sym_include_statement_token1] = ACTIONS(4962),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4962),
    [aux_sym_end_if_statement_token1] = ACTIONS(4962),
    [aux_sym_elseif_clause_token2] = ACTIONS(4962),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4962),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token1] = ACTIONS(4962),
    [aux_sym_select_case_statement_token3] = ACTIONS(4962),
    [aux_sym_select_type_statement_token1] = ACTIONS(4962),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4962),
    [aux_sym_associate_statement_token1] = ACTIONS(4962),
    [aux_sym_format_statement_token1] = ACTIONS(4962),
    [aux_sym_print_statement_token1] = ACTIONS(4962),
    [aux_sym_open_statement_token1] = ACTIONS(4962),
    [aux_sym_close_statement_token1] = ACTIONS(4962),
    [aux_sym_inquire_statement_token1] = ACTIONS(4962),
    [aux_sym_enum_statement_token1] = ACTIONS(4962),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token1] = ACTIONS(4962),
    [aux_sym_file_position_statement_token2] = ACTIONS(4962),
    [aux_sym_file_position_statement_token3] = ACTIONS(4962),
    [aux_sym_file_position_statement_token4] = ACTIONS(4962),
    [aux_sym_allocate_statement_token1] = ACTIONS(4962),
    [aux_sym_entry_statement_token1] = ACTIONS(4962),
    [aux_sym_assign_statement_token1] = ACTIONS(4962),
    [aux_sym_logical_expression_token5] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [aux_sym_boolean_literal_token1] = ACTIONS(4964),
    [aux_sym_boolean_literal_token2] = ACTIONS(4964),
    [aux_sym_null_literal_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_statement_token2] = ACTIONS(4962),
    [aux_sym_coarray_statement_token6] = ACTIONS(4962),
    [aux_sym_coarray_statement_token8] = ACTIONS(4962),
    [aux_sym_coarray_statement_token11] = ACTIONS(4962),
    [aux_sym_coarray_statement_token12] = ACTIONS(4962),
    [aux_sym_coarray_statement_token13] = ACTIONS(4962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4962),
    [aux_sym_identifier_token1] = ACTIONS(4962),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4964),
    [sym__float_literal] = ACTIONS(4964),
    [sym__boz_literal] = ACTIONS(4964),
    [sym__string_literal] = ACTIONS(4964),
    [sym__string_literal_kind] = ACTIONS(4964),
  },
  [1128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4982),
    [aux_sym_preproc_def_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token2] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4982),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4982),
    [sym_preproc_directive] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_PLUS] = ACTIONS(4984),
    [anon_sym_DASH] = ACTIONS(4984),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token1] = ACTIONS(4982),
    [aux_sym_end_program_statement_token2] = ACTIONS(4982),
    [aux_sym_module_statement_token1] = ACTIONS(4982),
    [aux_sym_submodule_statement_token1] = ACTIONS(4982),
    [anon_sym_SEMI] = ACTIONS(4984),
    [aux_sym_interface_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token1] = ACTIONS(4982),
    [aux_sym_block_data_statement_token2] = ACTIONS(4982),
    [aux_sym_block_data_statement_token3] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4982),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4982),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4982),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4982),
    [aux_sym_function_statement_token1] = ACTIONS(4982),
    [aux_sym_language_binding_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4982),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4982),
    [aux_sym_contains_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token1] = ACTIONS(4982),
    [aux_sym_use_statement_token2] = ACTIONS(4982),
    [aux_sym_implicit_statement_token1] = ACTIONS(4982),
    [aux_sym_implicit_statement_token3] = ACTIONS(4982),
    [aux_sym_implicit_statement_token4] = ACTIONS(4982),
    [aux_sym_save_statement_token1] = ACTIONS(4982),
    [aux_sym_private_statement_token1] = ACTIONS(4982),
    [aux_sym_public_statement_token1] = ACTIONS(4982),
    [aux_sym_namelist_statement_token1] = ACTIONS(4982),
    [aux_sym_common_statement_token1] = ACTIONS(4982),
    [aux_sym_import_statement_token1] = ACTIONS(4982),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4982),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4982),
    [aux_sym_variable_attributes_token1] = ACTIONS(4982),
    [aux_sym_variable_attributes_token2] = ACTIONS(4982),
    [aux_sym_variable_attributes_token3] = ACTIONS(4982),
    [aux_sym_variable_attributes_token4] = ACTIONS(4982),
    [aux_sym_variable_attributes_token5] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4982),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4982),
    [aux_sym_derived_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token1] = ACTIONS(4982),
    [aux_sym_declared_type_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4982),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4982),
    [aux_sym_type_qualifier_token1] = ACTIONS(4982),
    [aux_sym_type_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4982),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4982),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token1] = ACTIONS(4982),
    [aux_sym_stop_statement_token2] = ACTIONS(4982),
    [aux_sym_subroutine_call_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token1] = ACTIONS(4982),
    [aux_sym_keyword_statement_token2] = ACTIONS(4982),
    [aux_sym_keyword_statement_token3] = ACTIONS(4982),
    [aux_sym_keyword_statement_token4] = ACTIONS(4982),
    [aux_sym_keyword_statement_token6] = ACTIONS(4982),
    [aux_sym_keyword_statement_token7] = ACTIONS(4982),
    [aux_sym_include_statement_token1] = ACTIONS(4982),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4982),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4982),
    [aux_sym_end_if_statement_token1] = ACTIONS(4982),
    [aux_sym_elseif_clause_token2] = ACTIONS(4982),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4982),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token1] = ACTIONS(4982),
    [aux_sym_select_case_statement_token3] = ACTIONS(4982),
    [aux_sym_select_type_statement_token1] = ACTIONS(4982),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4982),
    [aux_sym_associate_statement_token1] = ACTIONS(4982),
    [aux_sym_format_statement_token1] = ACTIONS(4982),
    [aux_sym_print_statement_token1] = ACTIONS(4982),
    [aux_sym_open_statement_token1] = ACTIONS(4982),
    [aux_sym_close_statement_token1] = ACTIONS(4982),
    [aux_sym_inquire_statement_token1] = ACTIONS(4982),
    [aux_sym_enum_statement_token1] = ACTIONS(4982),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token1] = ACTIONS(4982),
    [aux_sym_file_position_statement_token2] = ACTIONS(4982),
    [aux_sym_file_position_statement_token3] = ACTIONS(4982),
    [aux_sym_file_position_statement_token4] = ACTIONS(4982),
    [aux_sym_allocate_statement_token1] = ACTIONS(4982),
    [aux_sym_entry_statement_token1] = ACTIONS(4982),
    [aux_sym_assign_statement_token1] = ACTIONS(4982),
    [aux_sym_logical_expression_token5] = ACTIONS(4984),
    [anon_sym_DOT] = ACTIONS(4982),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4984),
    [anon_sym_LBRACK] = ACTIONS(4984),
    [aux_sym_boolean_literal_token1] = ACTIONS(4984),
    [aux_sym_boolean_literal_token2] = ACTIONS(4984),
    [aux_sym_null_literal_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_statement_token2] = ACTIONS(4982),
    [aux_sym_coarray_statement_token6] = ACTIONS(4982),
    [aux_sym_coarray_statement_token8] = ACTIONS(4982),
    [aux_sym_coarray_statement_token11] = ACTIONS(4982),
    [aux_sym_coarray_statement_token12] = ACTIONS(4982),
    [aux_sym_coarray_statement_token13] = ACTIONS(4982),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4982),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4982),
    [aux_sym_identifier_token1] = ACTIONS(4982),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4984),
    [sym__float_literal] = ACTIONS(4984),
    [sym__boz_literal] = ACTIONS(4984),
    [sym__string_literal] = ACTIONS(4984),
    [sym__string_literal_kind] = ACTIONS(4984),
  },
  [1129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4818),
    [aux_sym_preproc_def_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token1] = ACTIONS(4818),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4818),
    [sym_preproc_directive] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token2] = ACTIONS(4818),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4822),
    [aux_sym_interface_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token1] = ACTIONS(4818),
    [aux_sym_block_data_statement_token2] = ACTIONS(4818),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4818),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4818),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4818),
    [aux_sym_contains_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token1] = ACTIONS(4818),
    [aux_sym_use_statement_token2] = ACTIONS(4818),
    [aux_sym_implicit_statement_token1] = ACTIONS(4818),
    [aux_sym_implicit_statement_token3] = ACTIONS(4818),
    [aux_sym_implicit_statement_token4] = ACTIONS(4818),
    [aux_sym_save_statement_token1] = ACTIONS(4818),
    [aux_sym_private_statement_token1] = ACTIONS(4818),
    [aux_sym_public_statement_token1] = ACTIONS(4818),
    [aux_sym_namelist_statement_token1] = ACTIONS(4818),
    [aux_sym_common_statement_token1] = ACTIONS(4818),
    [aux_sym_import_statement_token1] = ACTIONS(4818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4818),
    [aux_sym_variable_attributes_token1] = ACTIONS(4818),
    [aux_sym_variable_attributes_token2] = ACTIONS(4818),
    [aux_sym_variable_attributes_token3] = ACTIONS(4818),
    [aux_sym_variable_attributes_token4] = ACTIONS(4818),
    [aux_sym_variable_attributes_token5] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4818),
    [aux_sym_derived_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token1] = ACTIONS(4818),
    [aux_sym_declared_type_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4818),
    [aux_sym_type_qualifier_token1] = ACTIONS(4818),
    [aux_sym_type_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token1] = ACTIONS(4818),
    [aux_sym_stop_statement_token2] = ACTIONS(4818),
    [aux_sym_subroutine_call_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token1] = ACTIONS(4818),
    [aux_sym_keyword_statement_token2] = ACTIONS(4818),
    [aux_sym_keyword_statement_token3] = ACTIONS(4818),
    [aux_sym_keyword_statement_token4] = ACTIONS(4818),
    [aux_sym_keyword_statement_token6] = ACTIONS(4818),
    [aux_sym_keyword_statement_token7] = ACTIONS(4818),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4818),
    [aux_sym_end_if_statement_token1] = ACTIONS(4818),
    [aux_sym_elseif_clause_token2] = ACTIONS(4818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token1] = ACTIONS(4818),
    [aux_sym_select_case_statement_token3] = ACTIONS(4818),
    [aux_sym_select_type_statement_token1] = ACTIONS(4818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4818),
    [aux_sym_associate_statement_token1] = ACTIONS(4818),
    [aux_sym_format_statement_token1] = ACTIONS(4818),
    [aux_sym_print_statement_token1] = ACTIONS(4818),
    [aux_sym_open_statement_token1] = ACTIONS(4818),
    [aux_sym_close_statement_token1] = ACTIONS(4818),
    [aux_sym_inquire_statement_token1] = ACTIONS(4818),
    [aux_sym_enum_statement_token1] = ACTIONS(4818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token1] = ACTIONS(4818),
    [aux_sym_file_position_statement_token2] = ACTIONS(4818),
    [aux_sym_file_position_statement_token3] = ACTIONS(4818),
    [aux_sym_file_position_statement_token4] = ACTIONS(4818),
    [aux_sym_allocate_statement_token1] = ACTIONS(4818),
    [aux_sym_entry_statement_token1] = ACTIONS(4818),
    [aux_sym_assign_statement_token1] = ACTIONS(4818),
    [aux_sym_logical_expression_token5] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_boolean_literal_token1] = ACTIONS(4822),
    [aux_sym_boolean_literal_token2] = ACTIONS(4822),
    [aux_sym_null_literal_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_statement_token2] = ACTIONS(4818),
    [aux_sym_coarray_statement_token6] = ACTIONS(4818),
    [aux_sym_coarray_statement_token8] = ACTIONS(4818),
    [aux_sym_coarray_statement_token11] = ACTIONS(4818),
    [aux_sym_coarray_statement_token12] = ACTIONS(4818),
    [aux_sym_coarray_statement_token13] = ACTIONS(4818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4818),
    [aux_sym_identifier_token1] = ACTIONS(4818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4822),
    [sym__float_literal] = ACTIONS(4822),
    [sym__boz_literal] = ACTIONS(4822),
    [sym__string_literal] = ACTIONS(4822),
    [sym__string_literal_kind] = ACTIONS(4822),
  },
  [1130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5046),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5046),
    [anon_sym_LBRACK] = ACTIONS(5046),
    [aux_sym_boolean_literal_token1] = ACTIONS(5046),
    [aux_sym_boolean_literal_token2] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5046),
    [sym__float_literal] = ACTIONS(5046),
    [sym__boz_literal] = ACTIONS(5046),
    [sym__string_literal] = ACTIONS(5046),
    [sym__string_literal_kind] = ACTIONS(5046),
  },
  [1131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5048),
    [aux_sym_preproc_def_token1] = ACTIONS(5048),
    [aux_sym_preproc_if_token1] = ACTIONS(5048),
    [aux_sym_preproc_if_token2] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5048),
    [sym_preproc_directive] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(5048),
    [anon_sym_PLUS] = ACTIONS(5050),
    [anon_sym_DASH] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token1] = ACTIONS(5048),
    [aux_sym_end_program_statement_token2] = ACTIONS(5048),
    [aux_sym_module_statement_token1] = ACTIONS(5048),
    [aux_sym_submodule_statement_token1] = ACTIONS(5048),
    [anon_sym_SEMI] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token1] = ACTIONS(5048),
    [aux_sym_block_data_statement_token2] = ACTIONS(5048),
    [aux_sym_block_data_statement_token3] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5048),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5048),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5048),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5048),
    [aux_sym_function_statement_token1] = ACTIONS(5048),
    [aux_sym_language_binding_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5048),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5048),
    [aux_sym_contains_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token1] = ACTIONS(5048),
    [aux_sym_use_statement_token2] = ACTIONS(5048),
    [aux_sym_implicit_statement_token1] = ACTIONS(5048),
    [aux_sym_implicit_statement_token3] = ACTIONS(5048),
    [aux_sym_implicit_statement_token4] = ACTIONS(5048),
    [aux_sym_save_statement_token1] = ACTIONS(5048),
    [aux_sym_private_statement_token1] = ACTIONS(5048),
    [aux_sym_public_statement_token1] = ACTIONS(5048),
    [aux_sym_namelist_statement_token1] = ACTIONS(5048),
    [aux_sym_common_statement_token1] = ACTIONS(5048),
    [aux_sym_import_statement_token1] = ACTIONS(5048),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5048),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5048),
    [aux_sym_variable_attributes_token1] = ACTIONS(5048),
    [aux_sym_variable_attributes_token2] = ACTIONS(5048),
    [aux_sym_variable_attributes_token3] = ACTIONS(5048),
    [aux_sym_variable_attributes_token4] = ACTIONS(5048),
    [aux_sym_variable_attributes_token5] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5048),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5048),
    [aux_sym_derived_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token1] = ACTIONS(5048),
    [aux_sym_declared_type_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5048),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5048),
    [aux_sym_type_qualifier_token1] = ACTIONS(5048),
    [aux_sym_type_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5048),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5048),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5048),
    [aux_sym_stop_statement_token2] = ACTIONS(5048),
    [aux_sym_subroutine_call_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token1] = ACTIONS(5048),
    [aux_sym_keyword_statement_token2] = ACTIONS(5048),
    [aux_sym_keyword_statement_token3] = ACTIONS(5048),
    [aux_sym_keyword_statement_token4] = ACTIONS(5048),
    [aux_sym_keyword_statement_token6] = ACTIONS(5048),
    [aux_sym_keyword_statement_token7] = ACTIONS(5048),
    [aux_sym_include_statement_token1] = ACTIONS(5048),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5048),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5048),
    [aux_sym_end_if_statement_token1] = ACTIONS(5048),
    [aux_sym_elseif_clause_token2] = ACTIONS(5048),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5048),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token1] = ACTIONS(5048),
    [aux_sym_select_case_statement_token3] = ACTIONS(5048),
    [aux_sym_select_type_statement_token1] = ACTIONS(5048),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5048),
    [aux_sym_associate_statement_token1] = ACTIONS(5048),
    [aux_sym_format_statement_token1] = ACTIONS(5048),
    [aux_sym_print_statement_token1] = ACTIONS(5048),
    [aux_sym_open_statement_token1] = ACTIONS(5048),
    [aux_sym_close_statement_token1] = ACTIONS(5048),
    [aux_sym_inquire_statement_token1] = ACTIONS(5048),
    [aux_sym_enum_statement_token1] = ACTIONS(5048),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token1] = ACTIONS(5048),
    [aux_sym_file_position_statement_token2] = ACTIONS(5048),
    [aux_sym_file_position_statement_token3] = ACTIONS(5048),
    [aux_sym_file_position_statement_token4] = ACTIONS(5048),
    [aux_sym_allocate_statement_token1] = ACTIONS(5048),
    [aux_sym_entry_statement_token1] = ACTIONS(5048),
    [aux_sym_assign_statement_token1] = ACTIONS(5048),
    [aux_sym_logical_expression_token5] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(5048),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5050),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [aux_sym_boolean_literal_token1] = ACTIONS(5050),
    [aux_sym_boolean_literal_token2] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_statement_token2] = ACTIONS(5048),
    [aux_sym_coarray_statement_token6] = ACTIONS(5048),
    [aux_sym_coarray_statement_token8] = ACTIONS(5048),
    [aux_sym_coarray_statement_token11] = ACTIONS(5048),
    [aux_sym_coarray_statement_token12] = ACTIONS(5048),
    [aux_sym_coarray_statement_token13] = ACTIONS(5048),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5048),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5048),
    [aux_sym_identifier_token1] = ACTIONS(5048),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5050),
    [sym__float_literal] = ACTIONS(5050),
    [sym__boz_literal] = ACTIONS(5050),
    [sym__string_literal] = ACTIONS(5050),
    [sym__string_literal_kind] = ACTIONS(5050),
  },
  [1133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_DASH] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token1] = ACTIONS(4992),
    [aux_sym_end_program_statement_token2] = ACTIONS(4992),
    [aux_sym_module_statement_token1] = ACTIONS(4992),
    [aux_sym_submodule_statement_token1] = ACTIONS(4992),
    [anon_sym_SEMI] = ACTIONS(4994),
    [aux_sym_interface_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token1] = ACTIONS(4992),
    [aux_sym_block_data_statement_token2] = ACTIONS(4992),
    [aux_sym_block_data_statement_token3] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4992),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4992),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4992),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4992),
    [aux_sym_function_statement_token1] = ACTIONS(4992),
    [aux_sym_language_binding_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4992),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4992),
    [aux_sym_contains_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token1] = ACTIONS(4992),
    [aux_sym_use_statement_token2] = ACTIONS(4992),
    [aux_sym_implicit_statement_token1] = ACTIONS(4992),
    [aux_sym_implicit_statement_token3] = ACTIONS(4992),
    [aux_sym_implicit_statement_token4] = ACTIONS(4992),
    [aux_sym_save_statement_token1] = ACTIONS(4992),
    [aux_sym_private_statement_token1] = ACTIONS(4992),
    [aux_sym_public_statement_token1] = ACTIONS(4992),
    [aux_sym_namelist_statement_token1] = ACTIONS(4992),
    [aux_sym_common_statement_token1] = ACTIONS(4992),
    [aux_sym_import_statement_token1] = ACTIONS(4992),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4992),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4992),
    [aux_sym_variable_attributes_token1] = ACTIONS(4992),
    [aux_sym_variable_attributes_token2] = ACTIONS(4992),
    [aux_sym_variable_attributes_token3] = ACTIONS(4992),
    [aux_sym_variable_attributes_token4] = ACTIONS(4992),
    [aux_sym_variable_attributes_token5] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4992),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4992),
    [aux_sym_derived_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token1] = ACTIONS(4992),
    [aux_sym_declared_type_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4992),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4992),
    [aux_sym_type_qualifier_token1] = ACTIONS(4992),
    [aux_sym_type_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4992),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4992),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token1] = ACTIONS(4992),
    [aux_sym_stop_statement_token2] = ACTIONS(4992),
    [aux_sym_subroutine_call_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token1] = ACTIONS(4992),
    [aux_sym_keyword_statement_token2] = ACTIONS(4992),
    [aux_sym_keyword_statement_token3] = ACTIONS(4992),
    [aux_sym_keyword_statement_token4] = ACTIONS(4992),
    [aux_sym_keyword_statement_token6] = ACTIONS(4992),
    [aux_sym_keyword_statement_token7] = ACTIONS(4992),
    [aux_sym_include_statement_token1] = ACTIONS(4992),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4992),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4992),
    [aux_sym_end_if_statement_token1] = ACTIONS(4992),
    [aux_sym_elseif_clause_token2] = ACTIONS(4992),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4992),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token1] = ACTIONS(4992),
    [aux_sym_select_case_statement_token3] = ACTIONS(4992),
    [aux_sym_select_type_statement_token1] = ACTIONS(4992),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4992),
    [aux_sym_associate_statement_token1] = ACTIONS(4992),
    [aux_sym_format_statement_token1] = ACTIONS(4992),
    [aux_sym_print_statement_token1] = ACTIONS(4992),
    [aux_sym_open_statement_token1] = ACTIONS(4992),
    [aux_sym_close_statement_token1] = ACTIONS(4992),
    [aux_sym_inquire_statement_token1] = ACTIONS(4992),
    [aux_sym_enum_statement_token1] = ACTIONS(4992),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token1] = ACTIONS(4992),
    [aux_sym_file_position_statement_token2] = ACTIONS(4992),
    [aux_sym_file_position_statement_token3] = ACTIONS(4992),
    [aux_sym_file_position_statement_token4] = ACTIONS(4992),
    [aux_sym_allocate_statement_token1] = ACTIONS(4992),
    [aux_sym_entry_statement_token1] = ACTIONS(4992),
    [aux_sym_assign_statement_token1] = ACTIONS(4992),
    [aux_sym_logical_expression_token5] = ACTIONS(4994),
    [anon_sym_DOT] = ACTIONS(4992),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4994),
    [anon_sym_LBRACK] = ACTIONS(4994),
    [aux_sym_boolean_literal_token1] = ACTIONS(4994),
    [aux_sym_boolean_literal_token2] = ACTIONS(4994),
    [aux_sym_null_literal_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_statement_token2] = ACTIONS(4992),
    [aux_sym_coarray_statement_token6] = ACTIONS(4992),
    [aux_sym_coarray_statement_token8] = ACTIONS(4992),
    [aux_sym_coarray_statement_token11] = ACTIONS(4992),
    [aux_sym_coarray_statement_token12] = ACTIONS(4992),
    [aux_sym_coarray_statement_token13] = ACTIONS(4992),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4992),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4992),
    [aux_sym_identifier_token1] = ACTIONS(4992),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4994),
    [sym__float_literal] = ACTIONS(4994),
    [sym__boz_literal] = ACTIONS(4994),
    [sym__string_literal] = ACTIONS(4994),
    [sym__string_literal_kind] = ACTIONS(4994),
  },
  [1134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4998),
    [anon_sym_DASH] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token1] = ACTIONS(4996),
    [aux_sym_end_program_statement_token2] = ACTIONS(4996),
    [aux_sym_module_statement_token1] = ACTIONS(4996),
    [aux_sym_submodule_statement_token1] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4998),
    [aux_sym_interface_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token1] = ACTIONS(4996),
    [aux_sym_block_data_statement_token2] = ACTIONS(4996),
    [aux_sym_block_data_statement_token3] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4996),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4996),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4996),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4996),
    [aux_sym_function_statement_token1] = ACTIONS(4996),
    [aux_sym_language_binding_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4996),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4996),
    [aux_sym_contains_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token1] = ACTIONS(4996),
    [aux_sym_use_statement_token2] = ACTIONS(4996),
    [aux_sym_implicit_statement_token1] = ACTIONS(4996),
    [aux_sym_implicit_statement_token3] = ACTIONS(4996),
    [aux_sym_implicit_statement_token4] = ACTIONS(4996),
    [aux_sym_save_statement_token1] = ACTIONS(4996),
    [aux_sym_private_statement_token1] = ACTIONS(4996),
    [aux_sym_public_statement_token1] = ACTIONS(4996),
    [aux_sym_namelist_statement_token1] = ACTIONS(4996),
    [aux_sym_common_statement_token1] = ACTIONS(4996),
    [aux_sym_import_statement_token1] = ACTIONS(4996),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4996),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4996),
    [aux_sym_variable_attributes_token1] = ACTIONS(4996),
    [aux_sym_variable_attributes_token2] = ACTIONS(4996),
    [aux_sym_variable_attributes_token3] = ACTIONS(4996),
    [aux_sym_variable_attributes_token4] = ACTIONS(4996),
    [aux_sym_variable_attributes_token5] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4996),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4996),
    [aux_sym_derived_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token1] = ACTIONS(4996),
    [aux_sym_declared_type_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4996),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4996),
    [aux_sym_type_qualifier_token1] = ACTIONS(4996),
    [aux_sym_type_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4996),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4996),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token1] = ACTIONS(4996),
    [aux_sym_stop_statement_token2] = ACTIONS(4996),
    [aux_sym_subroutine_call_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token1] = ACTIONS(4996),
    [aux_sym_keyword_statement_token2] = ACTIONS(4996),
    [aux_sym_keyword_statement_token3] = ACTIONS(4996),
    [aux_sym_keyword_statement_token4] = ACTIONS(4996),
    [aux_sym_keyword_statement_token6] = ACTIONS(4996),
    [aux_sym_keyword_statement_token7] = ACTIONS(4996),
    [aux_sym_include_statement_token1] = ACTIONS(4996),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4996),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4996),
    [aux_sym_end_if_statement_token1] = ACTIONS(4996),
    [aux_sym_elseif_clause_token2] = ACTIONS(4996),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4996),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token1] = ACTIONS(4996),
    [aux_sym_select_case_statement_token3] = ACTIONS(4996),
    [aux_sym_select_type_statement_token1] = ACTIONS(4996),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4996),
    [aux_sym_associate_statement_token1] = ACTIONS(4996),
    [aux_sym_format_statement_token1] = ACTIONS(4996),
    [aux_sym_print_statement_token1] = ACTIONS(4996),
    [aux_sym_open_statement_token1] = ACTIONS(4996),
    [aux_sym_close_statement_token1] = ACTIONS(4996),
    [aux_sym_inquire_statement_token1] = ACTIONS(4996),
    [aux_sym_enum_statement_token1] = ACTIONS(4996),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token1] = ACTIONS(4996),
    [aux_sym_file_position_statement_token2] = ACTIONS(4996),
    [aux_sym_file_position_statement_token3] = ACTIONS(4996),
    [aux_sym_file_position_statement_token4] = ACTIONS(4996),
    [aux_sym_allocate_statement_token1] = ACTIONS(4996),
    [aux_sym_entry_statement_token1] = ACTIONS(4996),
    [aux_sym_assign_statement_token1] = ACTIONS(4996),
    [aux_sym_logical_expression_token5] = ACTIONS(4998),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4998),
    [anon_sym_LBRACK] = ACTIONS(4998),
    [aux_sym_boolean_literal_token1] = ACTIONS(4998),
    [aux_sym_boolean_literal_token2] = ACTIONS(4998),
    [aux_sym_null_literal_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_statement_token2] = ACTIONS(4996),
    [aux_sym_coarray_statement_token6] = ACTIONS(4996),
    [aux_sym_coarray_statement_token8] = ACTIONS(4996),
    [aux_sym_coarray_statement_token11] = ACTIONS(4996),
    [aux_sym_coarray_statement_token12] = ACTIONS(4996),
    [aux_sym_coarray_statement_token13] = ACTIONS(4996),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4996),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4996),
    [aux_sym_identifier_token1] = ACTIONS(4996),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4998),
    [sym__float_literal] = ACTIONS(4998),
    [sym__boz_literal] = ACTIONS(4998),
    [sym__string_literal] = ACTIONS(4998),
    [sym__string_literal_kind] = ACTIONS(4998),
  },
  [1135] = {
    [ts_builtin_sym_end] = ACTIONS(5098),
    [aux_sym_preproc_include_token1] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token1] = ACTIONS(5096),
    [aux_sym_end_program_statement_token2] = ACTIONS(5096),
    [aux_sym_module_statement_token1] = ACTIONS(5096),
    [aux_sym_submodule_statement_token1] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token1] = ACTIONS(5096),
    [aux_sym_block_data_statement_token2] = ACTIONS(5096),
    [aux_sym_block_data_statement_token3] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5096),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5096),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5096),
    [aux_sym_function_statement_token1] = ACTIONS(5096),
    [aux_sym_language_binding_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5096),
    [aux_sym_contains_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token1] = ACTIONS(5096),
    [aux_sym_use_statement_token2] = ACTIONS(5096),
    [aux_sym_implicit_statement_token1] = ACTIONS(5096),
    [aux_sym_implicit_statement_token3] = ACTIONS(5096),
    [aux_sym_implicit_statement_token4] = ACTIONS(5096),
    [aux_sym_save_statement_token1] = ACTIONS(5096),
    [aux_sym_private_statement_token1] = ACTIONS(5096),
    [aux_sym_public_statement_token1] = ACTIONS(5096),
    [aux_sym_namelist_statement_token1] = ACTIONS(5096),
    [aux_sym_common_statement_token1] = ACTIONS(5096),
    [aux_sym_import_statement_token1] = ACTIONS(5096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5096),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5096),
    [aux_sym_variable_attributes_token1] = ACTIONS(5096),
    [aux_sym_variable_attributes_token2] = ACTIONS(5096),
    [aux_sym_variable_attributes_token3] = ACTIONS(5096),
    [aux_sym_variable_attributes_token4] = ACTIONS(5096),
    [aux_sym_variable_attributes_token5] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5096),
    [aux_sym_derived_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token1] = ACTIONS(5096),
    [aux_sym_declared_type_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5096),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5096),
    [aux_sym_type_qualifier_token1] = ACTIONS(5096),
    [aux_sym_type_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5096),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5096),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5096),
    [aux_sym_stop_statement_token2] = ACTIONS(5096),
    [aux_sym_subroutine_call_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token1] = ACTIONS(5096),
    [aux_sym_keyword_statement_token2] = ACTIONS(5096),
    [aux_sym_keyword_statement_token3] = ACTIONS(5096),
    [aux_sym_keyword_statement_token4] = ACTIONS(5096),
    [aux_sym_keyword_statement_token6] = ACTIONS(5096),
    [aux_sym_keyword_statement_token7] = ACTIONS(5096),
    [aux_sym_include_statement_token1] = ACTIONS(5096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5096),
    [aux_sym_end_if_statement_token1] = ACTIONS(5096),
    [aux_sym_elseif_clause_token2] = ACTIONS(5096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token1] = ACTIONS(5096),
    [aux_sym_select_case_statement_token3] = ACTIONS(5096),
    [aux_sym_select_type_statement_token1] = ACTIONS(5096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5096),
    [aux_sym_associate_statement_token1] = ACTIONS(5096),
    [aux_sym_format_statement_token1] = ACTIONS(5096),
    [aux_sym_print_statement_token1] = ACTIONS(5096),
    [aux_sym_open_statement_token1] = ACTIONS(5096),
    [aux_sym_close_statement_token1] = ACTIONS(5096),
    [aux_sym_inquire_statement_token1] = ACTIONS(5096),
    [aux_sym_enum_statement_token1] = ACTIONS(5096),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token1] = ACTIONS(5096),
    [aux_sym_file_position_statement_token2] = ACTIONS(5096),
    [aux_sym_file_position_statement_token3] = ACTIONS(5096),
    [aux_sym_file_position_statement_token4] = ACTIONS(5096),
    [aux_sym_allocate_statement_token1] = ACTIONS(5096),
    [aux_sym_entry_statement_token1] = ACTIONS(5096),
    [aux_sym_assign_statement_token1] = ACTIONS(5096),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_statement_token2] = ACTIONS(5096),
    [aux_sym_coarray_statement_token6] = ACTIONS(5096),
    [aux_sym_coarray_statement_token8] = ACTIONS(5096),
    [aux_sym_coarray_statement_token11] = ACTIONS(5096),
    [aux_sym_coarray_statement_token12] = ACTIONS(5096),
    [aux_sym_coarray_statement_token13] = ACTIONS(5096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5096),
    [aux_sym_identifier_token1] = ACTIONS(5096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [1136] = {
    [ts_builtin_sym_end] = ACTIONS(4910),
    [aux_sym_preproc_include_token1] = ACTIONS(4908),
    [aux_sym_preproc_def_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token1] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4908),
    [sym_preproc_directive] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token1] = ACTIONS(4908),
    [aux_sym_end_program_statement_token2] = ACTIONS(4908),
    [aux_sym_module_statement_token1] = ACTIONS(4908),
    [aux_sym_submodule_statement_token1] = ACTIONS(4908),
    [anon_sym_SEMI] = ACTIONS(4910),
    [aux_sym_interface_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token1] = ACTIONS(4908),
    [aux_sym_block_data_statement_token2] = ACTIONS(4908),
    [aux_sym_block_data_statement_token3] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4908),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4908),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4908),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4908),
    [aux_sym_function_statement_token1] = ACTIONS(4908),
    [aux_sym_language_binding_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4908),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4908),
    [aux_sym_contains_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token1] = ACTIONS(4908),
    [aux_sym_use_statement_token2] = ACTIONS(4908),
    [aux_sym_implicit_statement_token1] = ACTIONS(4908),
    [aux_sym_implicit_statement_token3] = ACTIONS(4908),
    [aux_sym_implicit_statement_token4] = ACTIONS(4908),
    [aux_sym_save_statement_token1] = ACTIONS(4908),
    [aux_sym_private_statement_token1] = ACTIONS(4908),
    [aux_sym_public_statement_token1] = ACTIONS(4908),
    [aux_sym_namelist_statement_token1] = ACTIONS(4908),
    [aux_sym_common_statement_token1] = ACTIONS(4908),
    [aux_sym_import_statement_token1] = ACTIONS(4908),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4908),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4908),
    [aux_sym_variable_attributes_token1] = ACTIONS(4908),
    [aux_sym_variable_attributes_token2] = ACTIONS(4908),
    [aux_sym_variable_attributes_token3] = ACTIONS(4908),
    [aux_sym_variable_attributes_token4] = ACTIONS(4908),
    [aux_sym_variable_attributes_token5] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4908),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4908),
    [aux_sym_derived_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token1] = ACTIONS(4908),
    [aux_sym_declared_type_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4908),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4908),
    [aux_sym_type_qualifier_token1] = ACTIONS(4908),
    [aux_sym_type_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4908),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4908),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token1] = ACTIONS(4908),
    [aux_sym_stop_statement_token2] = ACTIONS(4908),
    [aux_sym_subroutine_call_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token1] = ACTIONS(4908),
    [aux_sym_keyword_statement_token2] = ACTIONS(4908),
    [aux_sym_keyword_statement_token3] = ACTIONS(4908),
    [aux_sym_keyword_statement_token4] = ACTIONS(4908),
    [aux_sym_keyword_statement_token6] = ACTIONS(4908),
    [aux_sym_keyword_statement_token7] = ACTIONS(4908),
    [aux_sym_include_statement_token1] = ACTIONS(4908),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4908),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4908),
    [aux_sym_end_if_statement_token1] = ACTIONS(4908),
    [aux_sym_elseif_clause_token2] = ACTIONS(4908),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4908),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token1] = ACTIONS(4908),
    [aux_sym_select_case_statement_token3] = ACTIONS(4908),
    [aux_sym_select_type_statement_token1] = ACTIONS(4908),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4908),
    [aux_sym_associate_statement_token1] = ACTIONS(4908),
    [aux_sym_format_statement_token1] = ACTIONS(4908),
    [aux_sym_print_statement_token1] = ACTIONS(4908),
    [aux_sym_open_statement_token1] = ACTIONS(4908),
    [aux_sym_close_statement_token1] = ACTIONS(4908),
    [aux_sym_inquire_statement_token1] = ACTIONS(4908),
    [aux_sym_enum_statement_token1] = ACTIONS(4908),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token1] = ACTIONS(4908),
    [aux_sym_file_position_statement_token2] = ACTIONS(4908),
    [aux_sym_file_position_statement_token3] = ACTIONS(4908),
    [aux_sym_file_position_statement_token4] = ACTIONS(4908),
    [aux_sym_allocate_statement_token1] = ACTIONS(4908),
    [aux_sym_entry_statement_token1] = ACTIONS(4908),
    [aux_sym_assign_statement_token1] = ACTIONS(4908),
    [aux_sym_logical_expression_token5] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [aux_sym_boolean_literal_token1] = ACTIONS(4910),
    [aux_sym_boolean_literal_token2] = ACTIONS(4910),
    [aux_sym_null_literal_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_statement_token2] = ACTIONS(4908),
    [aux_sym_coarray_statement_token6] = ACTIONS(4908),
    [aux_sym_coarray_statement_token8] = ACTIONS(4908),
    [aux_sym_coarray_statement_token11] = ACTIONS(4908),
    [aux_sym_coarray_statement_token12] = ACTIONS(4908),
    [aux_sym_coarray_statement_token13] = ACTIONS(4908),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4908),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4908),
    [aux_sym_identifier_token1] = ACTIONS(4908),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4910),
    [sym__float_literal] = ACTIONS(4910),
    [sym__boz_literal] = ACTIONS(4910),
    [sym__string_literal] = ACTIONS(4910),
    [sym__string_literal_kind] = ACTIONS(4910),
  },
  [1137] = {
    [ts_builtin_sym_end] = ACTIONS(5034),
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_module_statement_token1] = ACTIONS(5032),
    [aux_sym_submodule_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token2] = ACTIONS(5032),
    [aux_sym_block_data_statement_token3] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_function_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5032),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_assign_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_module_statement_token1] = ACTIONS(5116),
    [aux_sym_submodule_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token1] = ACTIONS(5116),
    [aux_sym_block_data_statement_token2] = ACTIONS(5116),
    [aux_sym_block_data_statement_token3] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_function_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5116),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_assign_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4786),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [aux_sym_module_statement_token1] = ACTIONS(4786),
    [aux_sym_submodule_statement_token1] = ACTIONS(4786),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_block_data_statement_token3] = ACTIONS(4786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_function_statement_token1] = ACTIONS(4786),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4786),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1140] = {
    [ts_builtin_sym_end] = ACTIONS(5102),
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_module_statement_token1] = ACTIONS(5100),
    [aux_sym_submodule_statement_token1] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_interface_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token1] = ACTIONS(5100),
    [aux_sym_block_data_statement_token2] = ACTIONS(5100),
    [aux_sym_block_data_statement_token3] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5100),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5100),
    [aux_sym_function_statement_token1] = ACTIONS(5100),
    [aux_sym_language_binding_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token1] = ACTIONS(5100),
    [aux_sym_implicit_statement_token3] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_namelist_statement_token1] = ACTIONS(5100),
    [aux_sym_common_statement_token1] = ACTIONS(5100),
    [aux_sym_import_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token1] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token4] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5100),
    [aux_sym_derived_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token1] = ACTIONS(5100),
    [aux_sym_declared_type_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5100),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5100),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_enum_statement_token1] = ACTIONS(5100),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_assign_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5008),
    [anon_sym_PLUS] = ACTIONS(5010),
    [anon_sym_DASH] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token1] = ACTIONS(5008),
    [aux_sym_end_program_statement_token2] = ACTIONS(5008),
    [aux_sym_module_statement_token1] = ACTIONS(5008),
    [aux_sym_submodule_statement_token1] = ACTIONS(5008),
    [anon_sym_SEMI] = ACTIONS(5010),
    [aux_sym_interface_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token1] = ACTIONS(5008),
    [aux_sym_block_data_statement_token2] = ACTIONS(5008),
    [aux_sym_block_data_statement_token3] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5008),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5008),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5008),
    [aux_sym_function_statement_token1] = ACTIONS(5008),
    [aux_sym_language_binding_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5008),
    [aux_sym_contains_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token1] = ACTIONS(5008),
    [aux_sym_use_statement_token2] = ACTIONS(5008),
    [aux_sym_implicit_statement_token1] = ACTIONS(5008),
    [aux_sym_implicit_statement_token3] = ACTIONS(5008),
    [aux_sym_implicit_statement_token4] = ACTIONS(5008),
    [aux_sym_save_statement_token1] = ACTIONS(5008),
    [aux_sym_private_statement_token1] = ACTIONS(5008),
    [aux_sym_public_statement_token1] = ACTIONS(5008),
    [aux_sym_namelist_statement_token1] = ACTIONS(5008),
    [aux_sym_common_statement_token1] = ACTIONS(5008),
    [aux_sym_import_statement_token1] = ACTIONS(5008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5008),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5008),
    [aux_sym_variable_attributes_token1] = ACTIONS(5008),
    [aux_sym_variable_attributes_token2] = ACTIONS(5008),
    [aux_sym_variable_attributes_token3] = ACTIONS(5008),
    [aux_sym_variable_attributes_token4] = ACTIONS(5008),
    [aux_sym_variable_attributes_token5] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5008),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5008),
    [aux_sym_derived_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token1] = ACTIONS(5008),
    [aux_sym_declared_type_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5008),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5008),
    [aux_sym_type_qualifier_token1] = ACTIONS(5008),
    [aux_sym_type_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5008),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5008),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token1] = ACTIONS(5008),
    [aux_sym_stop_statement_token2] = ACTIONS(5008),
    [aux_sym_subroutine_call_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token1] = ACTIONS(5008),
    [aux_sym_keyword_statement_token2] = ACTIONS(5008),
    [aux_sym_keyword_statement_token3] = ACTIONS(5008),
    [aux_sym_keyword_statement_token4] = ACTIONS(5008),
    [aux_sym_keyword_statement_token6] = ACTIONS(5008),
    [aux_sym_keyword_statement_token7] = ACTIONS(5008),
    [aux_sym_include_statement_token1] = ACTIONS(5008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5008),
    [aux_sym_end_if_statement_token1] = ACTIONS(5008),
    [aux_sym_elseif_clause_token2] = ACTIONS(5008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token1] = ACTIONS(5008),
    [aux_sym_select_case_statement_token3] = ACTIONS(5008),
    [aux_sym_select_type_statement_token1] = ACTIONS(5008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5008),
    [aux_sym_associate_statement_token1] = ACTIONS(5008),
    [aux_sym_format_statement_token1] = ACTIONS(5008),
    [aux_sym_print_statement_token1] = ACTIONS(5008),
    [aux_sym_open_statement_token1] = ACTIONS(5008),
    [aux_sym_close_statement_token1] = ACTIONS(5008),
    [aux_sym_inquire_statement_token1] = ACTIONS(5008),
    [aux_sym_enum_statement_token1] = ACTIONS(5008),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token1] = ACTIONS(5008),
    [aux_sym_file_position_statement_token2] = ACTIONS(5008),
    [aux_sym_file_position_statement_token3] = ACTIONS(5008),
    [aux_sym_file_position_statement_token4] = ACTIONS(5008),
    [aux_sym_allocate_statement_token1] = ACTIONS(5008),
    [aux_sym_entry_statement_token1] = ACTIONS(5008),
    [aux_sym_assign_statement_token1] = ACTIONS(5008),
    [aux_sym_logical_expression_token5] = ACTIONS(5010),
    [anon_sym_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5010),
    [anon_sym_LBRACK] = ACTIONS(5010),
    [aux_sym_boolean_literal_token1] = ACTIONS(5010),
    [aux_sym_boolean_literal_token2] = ACTIONS(5010),
    [aux_sym_null_literal_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_statement_token2] = ACTIONS(5008),
    [aux_sym_coarray_statement_token6] = ACTIONS(5008),
    [aux_sym_coarray_statement_token8] = ACTIONS(5008),
    [aux_sym_coarray_statement_token11] = ACTIONS(5008),
    [aux_sym_coarray_statement_token12] = ACTIONS(5008),
    [aux_sym_coarray_statement_token13] = ACTIONS(5008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5008),
    [aux_sym_identifier_token1] = ACTIONS(5008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5010),
    [sym__float_literal] = ACTIONS(5010),
    [sym__boz_literal] = ACTIONS(5010),
    [sym__string_literal] = ACTIONS(5010),
    [sym__string_literal_kind] = ACTIONS(5010),
  },
  [1142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5012),
    [aux_sym_preproc_def_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token2] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5012),
    [sym_preproc_directive] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token1] = ACTIONS(5012),
    [aux_sym_end_program_statement_token2] = ACTIONS(5012),
    [aux_sym_module_statement_token1] = ACTIONS(5012),
    [aux_sym_submodule_statement_token1] = ACTIONS(5012),
    [anon_sym_SEMI] = ACTIONS(5014),
    [aux_sym_interface_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token1] = ACTIONS(5012),
    [aux_sym_block_data_statement_token2] = ACTIONS(5012),
    [aux_sym_block_data_statement_token3] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5012),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5012),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5012),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5012),
    [aux_sym_function_statement_token1] = ACTIONS(5012),
    [aux_sym_language_binding_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5012),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5012),
    [aux_sym_contains_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token1] = ACTIONS(5012),
    [aux_sym_use_statement_token2] = ACTIONS(5012),
    [aux_sym_implicit_statement_token1] = ACTIONS(5012),
    [aux_sym_implicit_statement_token3] = ACTIONS(5012),
    [aux_sym_implicit_statement_token4] = ACTIONS(5012),
    [aux_sym_save_statement_token1] = ACTIONS(5012),
    [aux_sym_private_statement_token1] = ACTIONS(5012),
    [aux_sym_public_statement_token1] = ACTIONS(5012),
    [aux_sym_namelist_statement_token1] = ACTIONS(5012),
    [aux_sym_common_statement_token1] = ACTIONS(5012),
    [aux_sym_import_statement_token1] = ACTIONS(5012),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5012),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5012),
    [aux_sym_variable_attributes_token1] = ACTIONS(5012),
    [aux_sym_variable_attributes_token2] = ACTIONS(5012),
    [aux_sym_variable_attributes_token3] = ACTIONS(5012),
    [aux_sym_variable_attributes_token4] = ACTIONS(5012),
    [aux_sym_variable_attributes_token5] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5012),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5012),
    [aux_sym_derived_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token1] = ACTIONS(5012),
    [aux_sym_declared_type_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5012),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5012),
    [aux_sym_type_qualifier_token1] = ACTIONS(5012),
    [aux_sym_type_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5012),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5012),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token1] = ACTIONS(5012),
    [aux_sym_stop_statement_token2] = ACTIONS(5012),
    [aux_sym_subroutine_call_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token1] = ACTIONS(5012),
    [aux_sym_keyword_statement_token2] = ACTIONS(5012),
    [aux_sym_keyword_statement_token3] = ACTIONS(5012),
    [aux_sym_keyword_statement_token4] = ACTIONS(5012),
    [aux_sym_keyword_statement_token6] = ACTIONS(5012),
    [aux_sym_keyword_statement_token7] = ACTIONS(5012),
    [aux_sym_include_statement_token1] = ACTIONS(5012),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5012),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5012),
    [aux_sym_end_if_statement_token1] = ACTIONS(5012),
    [aux_sym_elseif_clause_token2] = ACTIONS(5012),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5012),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token1] = ACTIONS(5012),
    [aux_sym_select_case_statement_token3] = ACTIONS(5012),
    [aux_sym_select_type_statement_token1] = ACTIONS(5012),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5012),
    [aux_sym_associate_statement_token1] = ACTIONS(5012),
    [aux_sym_format_statement_token1] = ACTIONS(5012),
    [aux_sym_print_statement_token1] = ACTIONS(5012),
    [aux_sym_open_statement_token1] = ACTIONS(5012),
    [aux_sym_close_statement_token1] = ACTIONS(5012),
    [aux_sym_inquire_statement_token1] = ACTIONS(5012),
    [aux_sym_enum_statement_token1] = ACTIONS(5012),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token1] = ACTIONS(5012),
    [aux_sym_file_position_statement_token2] = ACTIONS(5012),
    [aux_sym_file_position_statement_token3] = ACTIONS(5012),
    [aux_sym_file_position_statement_token4] = ACTIONS(5012),
    [aux_sym_allocate_statement_token1] = ACTIONS(5012),
    [aux_sym_entry_statement_token1] = ACTIONS(5012),
    [aux_sym_assign_statement_token1] = ACTIONS(5012),
    [aux_sym_logical_expression_token5] = ACTIONS(5014),
    [anon_sym_DOT] = ACTIONS(5012),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5014),
    [anon_sym_LBRACK] = ACTIONS(5014),
    [aux_sym_boolean_literal_token1] = ACTIONS(5014),
    [aux_sym_boolean_literal_token2] = ACTIONS(5014),
    [aux_sym_null_literal_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_statement_token2] = ACTIONS(5012),
    [aux_sym_coarray_statement_token6] = ACTIONS(5012),
    [aux_sym_coarray_statement_token8] = ACTIONS(5012),
    [aux_sym_coarray_statement_token11] = ACTIONS(5012),
    [aux_sym_coarray_statement_token12] = ACTIONS(5012),
    [aux_sym_coarray_statement_token13] = ACTIONS(5012),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5012),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5012),
    [aux_sym_identifier_token1] = ACTIONS(5012),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5014),
    [sym__float_literal] = ACTIONS(5014),
    [sym__boz_literal] = ACTIONS(5014),
    [sym__string_literal] = ACTIONS(5014),
    [sym__string_literal_kind] = ACTIONS(5014),
  },
  [1143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5020),
    [aux_sym_preproc_def_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token2] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5020),
    [sym_preproc_directive] = ACTIONS(5020),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_PLUS] = ACTIONS(5022),
    [anon_sym_DASH] = ACTIONS(5022),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token1] = ACTIONS(5020),
    [aux_sym_end_program_statement_token2] = ACTIONS(5020),
    [aux_sym_module_statement_token1] = ACTIONS(5020),
    [aux_sym_submodule_statement_token1] = ACTIONS(5020),
    [anon_sym_SEMI] = ACTIONS(5022),
    [aux_sym_interface_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token1] = ACTIONS(5020),
    [aux_sym_block_data_statement_token2] = ACTIONS(5020),
    [aux_sym_block_data_statement_token3] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5020),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5020),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5020),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5020),
    [aux_sym_function_statement_token1] = ACTIONS(5020),
    [aux_sym_language_binding_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5020),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5020),
    [aux_sym_contains_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token1] = ACTIONS(5020),
    [aux_sym_use_statement_token2] = ACTIONS(5020),
    [aux_sym_implicit_statement_token1] = ACTIONS(5020),
    [aux_sym_implicit_statement_token3] = ACTIONS(5020),
    [aux_sym_implicit_statement_token4] = ACTIONS(5020),
    [aux_sym_save_statement_token1] = ACTIONS(5020),
    [aux_sym_private_statement_token1] = ACTIONS(5020),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(5020),
    [aux_sym_common_statement_token1] = ACTIONS(5020),
    [aux_sym_import_statement_token1] = ACTIONS(5020),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5020),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5020),
    [aux_sym_variable_attributes_token1] = ACTIONS(5020),
    [aux_sym_variable_attributes_token2] = ACTIONS(5020),
    [aux_sym_variable_attributes_token3] = ACTIONS(5020),
    [aux_sym_variable_attributes_token4] = ACTIONS(5020),
    [aux_sym_variable_attributes_token5] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5020),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5020),
    [aux_sym_derived_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token1] = ACTIONS(5020),
    [aux_sym_declared_type_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5020),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5020),
    [aux_sym_type_qualifier_token1] = ACTIONS(5020),
    [aux_sym_type_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5020),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5020),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token1] = ACTIONS(5020),
    [aux_sym_stop_statement_token2] = ACTIONS(5020),
    [aux_sym_subroutine_call_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token1] = ACTIONS(5020),
    [aux_sym_keyword_statement_token2] = ACTIONS(5020),
    [aux_sym_keyword_statement_token3] = ACTIONS(5020),
    [aux_sym_keyword_statement_token4] = ACTIONS(5020),
    [aux_sym_keyword_statement_token6] = ACTIONS(5020),
    [aux_sym_keyword_statement_token7] = ACTIONS(5020),
    [aux_sym_include_statement_token1] = ACTIONS(5020),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5020),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5020),
    [aux_sym_end_if_statement_token1] = ACTIONS(5020),
    [aux_sym_elseif_clause_token2] = ACTIONS(5020),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5020),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token1] = ACTIONS(5020),
    [aux_sym_select_case_statement_token3] = ACTIONS(5020),
    [aux_sym_select_type_statement_token1] = ACTIONS(5020),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5020),
    [aux_sym_associate_statement_token1] = ACTIONS(5020),
    [aux_sym_format_statement_token1] = ACTIONS(5020),
    [aux_sym_print_statement_token1] = ACTIONS(5020),
    [aux_sym_open_statement_token1] = ACTIONS(5020),
    [aux_sym_close_statement_token1] = ACTIONS(5020),
    [aux_sym_inquire_statement_token1] = ACTIONS(5020),
    [aux_sym_enum_statement_token1] = ACTIONS(5020),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token1] = ACTIONS(5020),
    [aux_sym_file_position_statement_token2] = ACTIONS(5020),
    [aux_sym_file_position_statement_token3] = ACTIONS(5020),
    [aux_sym_file_position_statement_token4] = ACTIONS(5020),
    [aux_sym_allocate_statement_token1] = ACTIONS(5020),
    [aux_sym_entry_statement_token1] = ACTIONS(5020),
    [aux_sym_assign_statement_token1] = ACTIONS(5020),
    [aux_sym_logical_expression_token5] = ACTIONS(5022),
    [anon_sym_DOT] = ACTIONS(5020),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [aux_sym_boolean_literal_token1] = ACTIONS(5022),
    [aux_sym_boolean_literal_token2] = ACTIONS(5022),
    [aux_sym_null_literal_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_statement_token2] = ACTIONS(5020),
    [aux_sym_coarray_statement_token6] = ACTIONS(5020),
    [aux_sym_coarray_statement_token8] = ACTIONS(5020),
    [aux_sym_coarray_statement_token11] = ACTIONS(5020),
    [aux_sym_coarray_statement_token12] = ACTIONS(5020),
    [aux_sym_coarray_statement_token13] = ACTIONS(5020),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5020),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5020),
    [aux_sym_identifier_token1] = ACTIONS(5020),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5022),
    [sym__float_literal] = ACTIONS(5022),
    [sym__boz_literal] = ACTIONS(5022),
    [sym__string_literal] = ACTIONS(5022),
    [sym__string_literal_kind] = ACTIONS(5022),
  },
  [1144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4806),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [aux_sym_module_statement_token1] = ACTIONS(4806),
    [aux_sym_submodule_statement_token1] = ACTIONS(4806),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_block_data_statement_token3] = ACTIONS(4806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_function_statement_token1] = ACTIONS(4806),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4806),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1145] = {
    [ts_builtin_sym_end] = ACTIONS(4968),
    [aux_sym_preproc_include_token1] = ACTIONS(4966),
    [aux_sym_preproc_def_token1] = ACTIONS(4966),
    [aux_sym_preproc_if_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4966),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token1] = ACTIONS(4966),
    [aux_sym_end_program_statement_token2] = ACTIONS(4966),
    [aux_sym_module_statement_token1] = ACTIONS(4966),
    [aux_sym_submodule_statement_token1] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4968),
    [aux_sym_interface_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token1] = ACTIONS(4966),
    [aux_sym_block_data_statement_token2] = ACTIONS(4966),
    [aux_sym_block_data_statement_token3] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4966),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4966),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4966),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4966),
    [aux_sym_function_statement_token1] = ACTIONS(4966),
    [aux_sym_language_binding_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4966),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4966),
    [aux_sym_contains_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token1] = ACTIONS(4966),
    [aux_sym_use_statement_token2] = ACTIONS(4966),
    [aux_sym_implicit_statement_token1] = ACTIONS(4966),
    [aux_sym_implicit_statement_token3] = ACTIONS(4966),
    [aux_sym_implicit_statement_token4] = ACTIONS(4966),
    [aux_sym_save_statement_token1] = ACTIONS(4966),
    [aux_sym_private_statement_token1] = ACTIONS(4966),
    [aux_sym_public_statement_token1] = ACTIONS(4966),
    [aux_sym_namelist_statement_token1] = ACTIONS(4966),
    [aux_sym_common_statement_token1] = ACTIONS(4966),
    [aux_sym_import_statement_token1] = ACTIONS(4966),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4966),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4966),
    [aux_sym_variable_attributes_token1] = ACTIONS(4966),
    [aux_sym_variable_attributes_token2] = ACTIONS(4966),
    [aux_sym_variable_attributes_token3] = ACTIONS(4966),
    [aux_sym_variable_attributes_token4] = ACTIONS(4966),
    [aux_sym_variable_attributes_token5] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4966),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4966),
    [aux_sym_derived_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token1] = ACTIONS(4966),
    [aux_sym_declared_type_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4966),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4966),
    [aux_sym_type_qualifier_token1] = ACTIONS(4966),
    [aux_sym_type_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4966),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4966),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token1] = ACTIONS(4966),
    [aux_sym_stop_statement_token2] = ACTIONS(4966),
    [aux_sym_subroutine_call_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token1] = ACTIONS(4966),
    [aux_sym_keyword_statement_token2] = ACTIONS(4966),
    [aux_sym_keyword_statement_token3] = ACTIONS(4966),
    [aux_sym_keyword_statement_token4] = ACTIONS(4966),
    [aux_sym_keyword_statement_token6] = ACTIONS(4966),
    [aux_sym_keyword_statement_token7] = ACTIONS(4966),
    [aux_sym_include_statement_token1] = ACTIONS(4966),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4966),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4966),
    [aux_sym_end_if_statement_token1] = ACTIONS(4966),
    [aux_sym_elseif_clause_token2] = ACTIONS(4966),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token1] = ACTIONS(4966),
    [aux_sym_select_case_statement_token3] = ACTIONS(4966),
    [aux_sym_select_type_statement_token1] = ACTIONS(4966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4966),
    [aux_sym_associate_statement_token1] = ACTIONS(4966),
    [aux_sym_format_statement_token1] = ACTIONS(4966),
    [aux_sym_print_statement_token1] = ACTIONS(4966),
    [aux_sym_open_statement_token1] = ACTIONS(4966),
    [aux_sym_close_statement_token1] = ACTIONS(4966),
    [aux_sym_inquire_statement_token1] = ACTIONS(4966),
    [aux_sym_enum_statement_token1] = ACTIONS(4966),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token1] = ACTIONS(4966),
    [aux_sym_file_position_statement_token2] = ACTIONS(4966),
    [aux_sym_file_position_statement_token3] = ACTIONS(4966),
    [aux_sym_file_position_statement_token4] = ACTIONS(4966),
    [aux_sym_allocate_statement_token1] = ACTIONS(4966),
    [aux_sym_entry_statement_token1] = ACTIONS(4966),
    [aux_sym_assign_statement_token1] = ACTIONS(4966),
    [aux_sym_logical_expression_token5] = ACTIONS(4968),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4968),
    [aux_sym_boolean_literal_token1] = ACTIONS(4968),
    [aux_sym_boolean_literal_token2] = ACTIONS(4968),
    [aux_sym_null_literal_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_statement_token2] = ACTIONS(4966),
    [aux_sym_coarray_statement_token6] = ACTIONS(4966),
    [aux_sym_coarray_statement_token8] = ACTIONS(4966),
    [aux_sym_coarray_statement_token11] = ACTIONS(4966),
    [aux_sym_coarray_statement_token12] = ACTIONS(4966),
    [aux_sym_coarray_statement_token13] = ACTIONS(4966),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4966),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4966),
    [aux_sym_identifier_token1] = ACTIONS(4966),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4968),
    [sym__float_literal] = ACTIONS(4968),
    [sym__boz_literal] = ACTIONS(4968),
    [sym__string_literal] = ACTIONS(4968),
    [sym__string_literal_kind] = ACTIONS(4968),
  },
  [1146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5052),
    [aux_sym_preproc_def_token1] = ACTIONS(5052),
    [aux_sym_preproc_if_token1] = ACTIONS(5052),
    [aux_sym_preproc_if_token2] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5052),
    [sym_preproc_directive] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(5052),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token1] = ACTIONS(5052),
    [aux_sym_end_program_statement_token2] = ACTIONS(5052),
    [aux_sym_module_statement_token1] = ACTIONS(5052),
    [aux_sym_submodule_statement_token1] = ACTIONS(5052),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token1] = ACTIONS(5052),
    [aux_sym_block_data_statement_token2] = ACTIONS(5052),
    [aux_sym_block_data_statement_token3] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5052),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5052),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5052),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5052),
    [aux_sym_function_statement_token1] = ACTIONS(5052),
    [aux_sym_language_binding_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5052),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5052),
    [aux_sym_contains_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token1] = ACTIONS(5052),
    [aux_sym_use_statement_token2] = ACTIONS(5052),
    [aux_sym_implicit_statement_token1] = ACTIONS(5052),
    [aux_sym_implicit_statement_token3] = ACTIONS(5052),
    [aux_sym_implicit_statement_token4] = ACTIONS(5052),
    [aux_sym_save_statement_token1] = ACTIONS(5052),
    [aux_sym_private_statement_token1] = ACTIONS(5052),
    [aux_sym_public_statement_token1] = ACTIONS(5052),
    [aux_sym_namelist_statement_token1] = ACTIONS(5052),
    [aux_sym_common_statement_token1] = ACTIONS(5052),
    [aux_sym_import_statement_token1] = ACTIONS(5052),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5052),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5052),
    [aux_sym_variable_attributes_token1] = ACTIONS(5052),
    [aux_sym_variable_attributes_token2] = ACTIONS(5052),
    [aux_sym_variable_attributes_token3] = ACTIONS(5052),
    [aux_sym_variable_attributes_token4] = ACTIONS(5052),
    [aux_sym_variable_attributes_token5] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5052),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5052),
    [aux_sym_derived_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token1] = ACTIONS(5052),
    [aux_sym_declared_type_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5052),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5052),
    [aux_sym_type_qualifier_token1] = ACTIONS(5052),
    [aux_sym_type_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5052),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5052),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5052),
    [aux_sym_stop_statement_token2] = ACTIONS(5052),
    [aux_sym_subroutine_call_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token1] = ACTIONS(5052),
    [aux_sym_keyword_statement_token2] = ACTIONS(5052),
    [aux_sym_keyword_statement_token3] = ACTIONS(5052),
    [aux_sym_keyword_statement_token4] = ACTIONS(5052),
    [aux_sym_keyword_statement_token6] = ACTIONS(5052),
    [aux_sym_keyword_statement_token7] = ACTIONS(5052),
    [aux_sym_include_statement_token1] = ACTIONS(5052),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5052),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5052),
    [aux_sym_end_if_statement_token1] = ACTIONS(5052),
    [aux_sym_elseif_clause_token2] = ACTIONS(5052),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5052),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token1] = ACTIONS(5052),
    [aux_sym_select_case_statement_token3] = ACTIONS(5052),
    [aux_sym_select_type_statement_token1] = ACTIONS(5052),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5052),
    [aux_sym_associate_statement_token1] = ACTIONS(5052),
    [aux_sym_format_statement_token1] = ACTIONS(5052),
    [aux_sym_print_statement_token1] = ACTIONS(5052),
    [aux_sym_open_statement_token1] = ACTIONS(5052),
    [aux_sym_close_statement_token1] = ACTIONS(5052),
    [aux_sym_inquire_statement_token1] = ACTIONS(5052),
    [aux_sym_enum_statement_token1] = ACTIONS(5052),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token1] = ACTIONS(5052),
    [aux_sym_file_position_statement_token2] = ACTIONS(5052),
    [aux_sym_file_position_statement_token3] = ACTIONS(5052),
    [aux_sym_file_position_statement_token4] = ACTIONS(5052),
    [aux_sym_allocate_statement_token1] = ACTIONS(5052),
    [aux_sym_entry_statement_token1] = ACTIONS(5052),
    [aux_sym_assign_statement_token1] = ACTIONS(5052),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5052),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_statement_token2] = ACTIONS(5052),
    [aux_sym_coarray_statement_token6] = ACTIONS(5052),
    [aux_sym_coarray_statement_token8] = ACTIONS(5052),
    [aux_sym_coarray_statement_token11] = ACTIONS(5052),
    [aux_sym_coarray_statement_token12] = ACTIONS(5052),
    [aux_sym_coarray_statement_token13] = ACTIONS(5052),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5052),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5052),
    [aux_sym_identifier_token1] = ACTIONS(5052),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1147] = {
    [ts_builtin_sym_end] = ACTIONS(4972),
    [aux_sym_preproc_include_token1] = ACTIONS(4970),
    [aux_sym_preproc_def_token1] = ACTIONS(4970),
    [aux_sym_preproc_if_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4970),
    [sym_preproc_directive] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token1] = ACTIONS(4970),
    [aux_sym_end_program_statement_token2] = ACTIONS(4970),
    [aux_sym_module_statement_token1] = ACTIONS(4970),
    [aux_sym_submodule_statement_token1] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4972),
    [aux_sym_interface_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token1] = ACTIONS(4970),
    [aux_sym_block_data_statement_token2] = ACTIONS(4970),
    [aux_sym_block_data_statement_token3] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4970),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4970),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4970),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4970),
    [aux_sym_function_statement_token1] = ACTIONS(4970),
    [aux_sym_language_binding_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4970),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4970),
    [aux_sym_contains_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token1] = ACTIONS(4970),
    [aux_sym_use_statement_token2] = ACTIONS(4970),
    [aux_sym_implicit_statement_token1] = ACTIONS(4970),
    [aux_sym_implicit_statement_token3] = ACTIONS(4970),
    [aux_sym_implicit_statement_token4] = ACTIONS(4970),
    [aux_sym_save_statement_token1] = ACTIONS(4970),
    [aux_sym_private_statement_token1] = ACTIONS(4970),
    [aux_sym_public_statement_token1] = ACTIONS(4970),
    [aux_sym_namelist_statement_token1] = ACTIONS(4970),
    [aux_sym_common_statement_token1] = ACTIONS(4970),
    [aux_sym_import_statement_token1] = ACTIONS(4970),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4970),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4970),
    [aux_sym_variable_attributes_token1] = ACTIONS(4970),
    [aux_sym_variable_attributes_token2] = ACTIONS(4970),
    [aux_sym_variable_attributes_token3] = ACTIONS(4970),
    [aux_sym_variable_attributes_token4] = ACTIONS(4970),
    [aux_sym_variable_attributes_token5] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4970),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4970),
    [aux_sym_derived_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token1] = ACTIONS(4970),
    [aux_sym_declared_type_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4970),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4970),
    [aux_sym_type_qualifier_token1] = ACTIONS(4970),
    [aux_sym_type_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4970),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4970),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token1] = ACTIONS(4970),
    [aux_sym_stop_statement_token2] = ACTIONS(4970),
    [aux_sym_subroutine_call_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token1] = ACTIONS(4970),
    [aux_sym_keyword_statement_token2] = ACTIONS(4970),
    [aux_sym_keyword_statement_token3] = ACTIONS(4970),
    [aux_sym_keyword_statement_token4] = ACTIONS(4970),
    [aux_sym_keyword_statement_token6] = ACTIONS(4970),
    [aux_sym_keyword_statement_token7] = ACTIONS(4970),
    [aux_sym_include_statement_token1] = ACTIONS(4970),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4970),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4970),
    [aux_sym_end_if_statement_token1] = ACTIONS(4970),
    [aux_sym_elseif_clause_token2] = ACTIONS(4970),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4970),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token1] = ACTIONS(4970),
    [aux_sym_select_case_statement_token3] = ACTIONS(4970),
    [aux_sym_select_type_statement_token1] = ACTIONS(4970),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4970),
    [aux_sym_associate_statement_token1] = ACTIONS(4970),
    [aux_sym_format_statement_token1] = ACTIONS(4970),
    [aux_sym_print_statement_token1] = ACTIONS(4970),
    [aux_sym_open_statement_token1] = ACTIONS(4970),
    [aux_sym_close_statement_token1] = ACTIONS(4970),
    [aux_sym_inquire_statement_token1] = ACTIONS(4970),
    [aux_sym_enum_statement_token1] = ACTIONS(4970),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token1] = ACTIONS(4970),
    [aux_sym_file_position_statement_token2] = ACTIONS(4970),
    [aux_sym_file_position_statement_token3] = ACTIONS(4970),
    [aux_sym_file_position_statement_token4] = ACTIONS(4970),
    [aux_sym_allocate_statement_token1] = ACTIONS(4970),
    [aux_sym_entry_statement_token1] = ACTIONS(4970),
    [aux_sym_assign_statement_token1] = ACTIONS(4970),
    [aux_sym_logical_expression_token5] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [aux_sym_boolean_literal_token1] = ACTIONS(4972),
    [aux_sym_boolean_literal_token2] = ACTIONS(4972),
    [aux_sym_null_literal_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_statement_token2] = ACTIONS(4970),
    [aux_sym_coarray_statement_token6] = ACTIONS(4970),
    [aux_sym_coarray_statement_token8] = ACTIONS(4970),
    [aux_sym_coarray_statement_token11] = ACTIONS(4970),
    [aux_sym_coarray_statement_token12] = ACTIONS(4970),
    [aux_sym_coarray_statement_token13] = ACTIONS(4970),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4970),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4970),
    [aux_sym_identifier_token1] = ACTIONS(4970),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4972),
    [sym__float_literal] = ACTIONS(4972),
    [sym__boz_literal] = ACTIONS(4972),
    [sym__string_literal] = ACTIONS(4972),
    [sym__string_literal_kind] = ACTIONS(4972),
  },
  [1148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5058),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [aux_sym_boolean_literal_token1] = ACTIONS(5058),
    [aux_sym_boolean_literal_token2] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5058),
    [sym__float_literal] = ACTIONS(5058),
    [sym__boz_literal] = ACTIONS(5058),
    [sym__string_literal] = ACTIONS(5058),
    [sym__string_literal_kind] = ACTIONS(5058),
  },
  [1149] = {
    [ts_builtin_sym_end] = ACTIONS(4894),
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token2] = ACTIONS(4892),
    [aux_sym_module_statement_token1] = ACTIONS(4892),
    [aux_sym_submodule_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_block_data_statement_token3] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_function_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4892),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5060),
    [aux_sym_preproc_def_token1] = ACTIONS(5060),
    [aux_sym_preproc_if_token1] = ACTIONS(5060),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5060),
    [sym_preproc_directive] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_PLUS] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token2] = ACTIONS(5060),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token1] = ACTIONS(5060),
    [aux_sym_block_data_statement_token2] = ACTIONS(5060),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5060),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5060),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5060),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5060),
    [aux_sym_contains_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token1] = ACTIONS(5060),
    [aux_sym_use_statement_token2] = ACTIONS(5060),
    [aux_sym_implicit_statement_token1] = ACTIONS(5060),
    [aux_sym_implicit_statement_token3] = ACTIONS(5060),
    [aux_sym_implicit_statement_token4] = ACTIONS(5060),
    [aux_sym_save_statement_token1] = ACTIONS(5060),
    [aux_sym_private_statement_token1] = ACTIONS(5060),
    [aux_sym_public_statement_token1] = ACTIONS(5060),
    [aux_sym_namelist_statement_token1] = ACTIONS(5060),
    [aux_sym_common_statement_token1] = ACTIONS(5060),
    [aux_sym_import_statement_token1] = ACTIONS(5060),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5060),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5060),
    [aux_sym_variable_attributes_token1] = ACTIONS(5060),
    [aux_sym_variable_attributes_token2] = ACTIONS(5060),
    [aux_sym_variable_attributes_token3] = ACTIONS(5060),
    [aux_sym_variable_attributes_token4] = ACTIONS(5060),
    [aux_sym_variable_attributes_token5] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5060),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5060),
    [aux_sym_derived_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token1] = ACTIONS(5060),
    [aux_sym_declared_type_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5060),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5060),
    [aux_sym_type_qualifier_token1] = ACTIONS(5060),
    [aux_sym_type_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5060),
    [aux_sym_stop_statement_token2] = ACTIONS(5060),
    [aux_sym_subroutine_call_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token1] = ACTIONS(5060),
    [aux_sym_keyword_statement_token2] = ACTIONS(5060),
    [aux_sym_keyword_statement_token3] = ACTIONS(5060),
    [aux_sym_keyword_statement_token4] = ACTIONS(5060),
    [aux_sym_keyword_statement_token6] = ACTIONS(5060),
    [aux_sym_keyword_statement_token7] = ACTIONS(5060),
    [aux_sym_include_statement_token1] = ACTIONS(5060),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5060),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5060),
    [aux_sym_end_if_statement_token1] = ACTIONS(5060),
    [aux_sym_elseif_clause_token2] = ACTIONS(5060),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5060),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token1] = ACTIONS(5060),
    [aux_sym_select_case_statement_token3] = ACTIONS(5060),
    [aux_sym_select_type_statement_token1] = ACTIONS(5060),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5060),
    [aux_sym_associate_statement_token1] = ACTIONS(5060),
    [aux_sym_format_statement_token1] = ACTIONS(5060),
    [aux_sym_print_statement_token1] = ACTIONS(5060),
    [aux_sym_open_statement_token1] = ACTIONS(5060),
    [aux_sym_close_statement_token1] = ACTIONS(5060),
    [aux_sym_inquire_statement_token1] = ACTIONS(5060),
    [aux_sym_enum_statement_token1] = ACTIONS(5060),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token1] = ACTIONS(5060),
    [aux_sym_file_position_statement_token2] = ACTIONS(5060),
    [aux_sym_file_position_statement_token3] = ACTIONS(5060),
    [aux_sym_file_position_statement_token4] = ACTIONS(5060),
    [aux_sym_allocate_statement_token1] = ACTIONS(5060),
    [aux_sym_entry_statement_token1] = ACTIONS(5060),
    [aux_sym_assign_statement_token1] = ACTIONS(5060),
    [aux_sym_logical_expression_token5] = ACTIONS(5062),
    [anon_sym_DOT] = ACTIONS(5060),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [aux_sym_boolean_literal_token1] = ACTIONS(5062),
    [aux_sym_boolean_literal_token2] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_statement_token2] = ACTIONS(5060),
    [aux_sym_coarray_statement_token6] = ACTIONS(5060),
    [aux_sym_coarray_statement_token8] = ACTIONS(5060),
    [aux_sym_coarray_statement_token11] = ACTIONS(5060),
    [aux_sym_coarray_statement_token12] = ACTIONS(5060),
    [aux_sym_coarray_statement_token13] = ACTIONS(5060),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5060),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5060),
    [aux_sym_identifier_token1] = ACTIONS(5060),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5062),
    [sym__float_literal] = ACTIONS(5062),
    [sym__boz_literal] = ACTIONS(5062),
    [sym__string_literal] = ACTIONS(5062),
    [sym__string_literal_kind] = ACTIONS(5062),
  },
  [1151] = {
    [ts_builtin_sym_end] = ACTIONS(4976),
    [aux_sym_preproc_include_token1] = ACTIONS(4974),
    [aux_sym_preproc_def_token1] = ACTIONS(4974),
    [aux_sym_preproc_if_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4974),
    [sym_preproc_directive] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token1] = ACTIONS(4974),
    [aux_sym_end_program_statement_token2] = ACTIONS(4974),
    [aux_sym_module_statement_token1] = ACTIONS(4974),
    [aux_sym_submodule_statement_token1] = ACTIONS(4974),
    [anon_sym_SEMI] = ACTIONS(4976),
    [aux_sym_interface_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token1] = ACTIONS(4974),
    [aux_sym_block_data_statement_token2] = ACTIONS(4974),
    [aux_sym_block_data_statement_token3] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4974),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4974),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4974),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4974),
    [aux_sym_function_statement_token1] = ACTIONS(4974),
    [aux_sym_language_binding_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4974),
    [aux_sym_contains_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token1] = ACTIONS(4974),
    [aux_sym_use_statement_token2] = ACTIONS(4974),
    [aux_sym_implicit_statement_token1] = ACTIONS(4974),
    [aux_sym_implicit_statement_token3] = ACTIONS(4974),
    [aux_sym_implicit_statement_token4] = ACTIONS(4974),
    [aux_sym_save_statement_token1] = ACTIONS(4974),
    [aux_sym_private_statement_token1] = ACTIONS(4974),
    [aux_sym_public_statement_token1] = ACTIONS(4974),
    [aux_sym_namelist_statement_token1] = ACTIONS(4974),
    [aux_sym_common_statement_token1] = ACTIONS(4974),
    [aux_sym_import_statement_token1] = ACTIONS(4974),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4974),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4974),
    [aux_sym_variable_attributes_token1] = ACTIONS(4974),
    [aux_sym_variable_attributes_token2] = ACTIONS(4974),
    [aux_sym_variable_attributes_token3] = ACTIONS(4974),
    [aux_sym_variable_attributes_token4] = ACTIONS(4974),
    [aux_sym_variable_attributes_token5] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4974),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4974),
    [aux_sym_derived_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token1] = ACTIONS(4974),
    [aux_sym_declared_type_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4974),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4974),
    [aux_sym_type_qualifier_token1] = ACTIONS(4974),
    [aux_sym_type_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4974),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4974),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token1] = ACTIONS(4974),
    [aux_sym_stop_statement_token2] = ACTIONS(4974),
    [aux_sym_subroutine_call_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token1] = ACTIONS(4974),
    [aux_sym_keyword_statement_token2] = ACTIONS(4974),
    [aux_sym_keyword_statement_token3] = ACTIONS(4974),
    [aux_sym_keyword_statement_token4] = ACTIONS(4974),
    [aux_sym_keyword_statement_token6] = ACTIONS(4974),
    [aux_sym_keyword_statement_token7] = ACTIONS(4974),
    [aux_sym_include_statement_token1] = ACTIONS(4974),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4974),
    [aux_sym_end_if_statement_token1] = ACTIONS(4974),
    [aux_sym_elseif_clause_token2] = ACTIONS(4974),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4974),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token1] = ACTIONS(4974),
    [aux_sym_select_case_statement_token3] = ACTIONS(4974),
    [aux_sym_select_type_statement_token1] = ACTIONS(4974),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4974),
    [aux_sym_associate_statement_token1] = ACTIONS(4974),
    [aux_sym_format_statement_token1] = ACTIONS(4974),
    [aux_sym_print_statement_token1] = ACTIONS(4974),
    [aux_sym_open_statement_token1] = ACTIONS(4974),
    [aux_sym_close_statement_token1] = ACTIONS(4974),
    [aux_sym_inquire_statement_token1] = ACTIONS(4974),
    [aux_sym_enum_statement_token1] = ACTIONS(4974),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token1] = ACTIONS(4974),
    [aux_sym_file_position_statement_token2] = ACTIONS(4974),
    [aux_sym_file_position_statement_token3] = ACTIONS(4974),
    [aux_sym_file_position_statement_token4] = ACTIONS(4974),
    [aux_sym_allocate_statement_token1] = ACTIONS(4974),
    [aux_sym_entry_statement_token1] = ACTIONS(4974),
    [aux_sym_assign_statement_token1] = ACTIONS(4974),
    [aux_sym_logical_expression_token5] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [aux_sym_boolean_literal_token1] = ACTIONS(4976),
    [aux_sym_boolean_literal_token2] = ACTIONS(4976),
    [aux_sym_null_literal_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_statement_token2] = ACTIONS(4974),
    [aux_sym_coarray_statement_token6] = ACTIONS(4974),
    [aux_sym_coarray_statement_token8] = ACTIONS(4974),
    [aux_sym_coarray_statement_token11] = ACTIONS(4974),
    [aux_sym_coarray_statement_token12] = ACTIONS(4974),
    [aux_sym_coarray_statement_token13] = ACTIONS(4974),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4974),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4974),
    [aux_sym_identifier_token1] = ACTIONS(4974),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4976),
    [sym__float_literal] = ACTIONS(4976),
    [sym__boz_literal] = ACTIONS(4976),
    [sym__string_literal] = ACTIONS(4976),
    [sym__string_literal_kind] = ACTIONS(4976),
  },
  [1152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5064),
    [aux_sym_preproc_def_token1] = ACTIONS(5064),
    [aux_sym_preproc_if_token1] = ACTIONS(5064),
    [aux_sym_preproc_if_token2] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5064),
    [sym_preproc_directive] = ACTIONS(5064),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_PLUS] = ACTIONS(5066),
    [anon_sym_DASH] = ACTIONS(5066),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token1] = ACTIONS(5064),
    [aux_sym_end_program_statement_token2] = ACTIONS(5064),
    [aux_sym_module_statement_token1] = ACTIONS(5064),
    [aux_sym_submodule_statement_token1] = ACTIONS(5064),
    [anon_sym_SEMI] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token1] = ACTIONS(5064),
    [aux_sym_block_data_statement_token2] = ACTIONS(5064),
    [aux_sym_block_data_statement_token3] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5064),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5064),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5064),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5064),
    [aux_sym_function_statement_token1] = ACTIONS(5064),
    [aux_sym_language_binding_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5064),
    [aux_sym_contains_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token1] = ACTIONS(5064),
    [aux_sym_use_statement_token2] = ACTIONS(5064),
    [aux_sym_implicit_statement_token1] = ACTIONS(5064),
    [aux_sym_implicit_statement_token3] = ACTIONS(5064),
    [aux_sym_implicit_statement_token4] = ACTIONS(5064),
    [aux_sym_save_statement_token1] = ACTIONS(5064),
    [aux_sym_private_statement_token1] = ACTIONS(5064),
    [aux_sym_public_statement_token1] = ACTIONS(5064),
    [aux_sym_namelist_statement_token1] = ACTIONS(5064),
    [aux_sym_common_statement_token1] = ACTIONS(5064),
    [aux_sym_import_statement_token1] = ACTIONS(5064),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5064),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5064),
    [aux_sym_variable_attributes_token1] = ACTIONS(5064),
    [aux_sym_variable_attributes_token2] = ACTIONS(5064),
    [aux_sym_variable_attributes_token3] = ACTIONS(5064),
    [aux_sym_variable_attributes_token4] = ACTIONS(5064),
    [aux_sym_variable_attributes_token5] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5064),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5064),
    [aux_sym_derived_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token1] = ACTIONS(5064),
    [aux_sym_declared_type_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5064),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5064),
    [aux_sym_type_qualifier_token1] = ACTIONS(5064),
    [aux_sym_type_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5064),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5064),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5064),
    [aux_sym_stop_statement_token2] = ACTIONS(5064),
    [aux_sym_subroutine_call_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token1] = ACTIONS(5064),
    [aux_sym_keyword_statement_token2] = ACTIONS(5064),
    [aux_sym_keyword_statement_token3] = ACTIONS(5064),
    [aux_sym_keyword_statement_token4] = ACTIONS(5064),
    [aux_sym_keyword_statement_token6] = ACTIONS(5064),
    [aux_sym_keyword_statement_token7] = ACTIONS(5064),
    [aux_sym_include_statement_token1] = ACTIONS(5064),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5064),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5064),
    [aux_sym_end_if_statement_token1] = ACTIONS(5064),
    [aux_sym_elseif_clause_token2] = ACTIONS(5064),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5064),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token1] = ACTIONS(5064),
    [aux_sym_select_case_statement_token3] = ACTIONS(5064),
    [aux_sym_select_type_statement_token1] = ACTIONS(5064),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5064),
    [aux_sym_associate_statement_token1] = ACTIONS(5064),
    [aux_sym_format_statement_token1] = ACTIONS(5064),
    [aux_sym_print_statement_token1] = ACTIONS(5064),
    [aux_sym_open_statement_token1] = ACTIONS(5064),
    [aux_sym_close_statement_token1] = ACTIONS(5064),
    [aux_sym_inquire_statement_token1] = ACTIONS(5064),
    [aux_sym_enum_statement_token1] = ACTIONS(5064),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token1] = ACTIONS(5064),
    [aux_sym_file_position_statement_token2] = ACTIONS(5064),
    [aux_sym_file_position_statement_token3] = ACTIONS(5064),
    [aux_sym_file_position_statement_token4] = ACTIONS(5064),
    [aux_sym_allocate_statement_token1] = ACTIONS(5064),
    [aux_sym_entry_statement_token1] = ACTIONS(5064),
    [aux_sym_assign_statement_token1] = ACTIONS(5064),
    [aux_sym_logical_expression_token5] = ACTIONS(5066),
    [anon_sym_DOT] = ACTIONS(5064),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [aux_sym_boolean_literal_token1] = ACTIONS(5066),
    [aux_sym_boolean_literal_token2] = ACTIONS(5066),
    [aux_sym_null_literal_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_statement_token2] = ACTIONS(5064),
    [aux_sym_coarray_statement_token6] = ACTIONS(5064),
    [aux_sym_coarray_statement_token8] = ACTIONS(5064),
    [aux_sym_coarray_statement_token11] = ACTIONS(5064),
    [aux_sym_coarray_statement_token12] = ACTIONS(5064),
    [aux_sym_coarray_statement_token13] = ACTIONS(5064),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5064),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5064),
    [aux_sym_identifier_token1] = ACTIONS(5064),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5066),
    [sym__float_literal] = ACTIONS(5066),
    [sym__boz_literal] = ACTIONS(5066),
    [sym__string_literal] = ACTIONS(5066),
    [sym__string_literal_kind] = ACTIONS(5066),
  },
  [1153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5068),
    [aux_sym_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5072),
    [aux_sym_preproc_def_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token2] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5072),
    [sym_preproc_directive] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token2] = ACTIONS(5072),
    [aux_sym_module_statement_token1] = ACTIONS(5072),
    [aux_sym_submodule_statement_token1] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token1] = ACTIONS(5072),
    [aux_sym_block_data_statement_token2] = ACTIONS(5072),
    [aux_sym_block_data_statement_token3] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5072),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5072),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5072),
    [aux_sym_function_statement_token1] = ACTIONS(5072),
    [aux_sym_language_binding_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5072),
    [aux_sym_contains_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token2] = ACTIONS(5072),
    [aux_sym_implicit_statement_token1] = ACTIONS(5072),
    [aux_sym_implicit_statement_token3] = ACTIONS(5072),
    [aux_sym_implicit_statement_token4] = ACTIONS(5072),
    [aux_sym_save_statement_token1] = ACTIONS(5072),
    [aux_sym_private_statement_token1] = ACTIONS(5072),
    [aux_sym_public_statement_token1] = ACTIONS(5072),
    [aux_sym_namelist_statement_token1] = ACTIONS(5072),
    [aux_sym_common_statement_token1] = ACTIONS(5072),
    [aux_sym_import_statement_token1] = ACTIONS(5072),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5072),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5072),
    [aux_sym_variable_attributes_token1] = ACTIONS(5072),
    [aux_sym_variable_attributes_token2] = ACTIONS(5072),
    [aux_sym_variable_attributes_token3] = ACTIONS(5072),
    [aux_sym_variable_attributes_token4] = ACTIONS(5072),
    [aux_sym_variable_attributes_token5] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5072),
    [aux_sym_derived_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5072),
    [aux_sym_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5072),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5072),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token2] = ACTIONS(5072),
    [aux_sym_subroutine_call_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token2] = ACTIONS(5072),
    [aux_sym_keyword_statement_token3] = ACTIONS(5072),
    [aux_sym_keyword_statement_token4] = ACTIONS(5072),
    [aux_sym_keyword_statement_token6] = ACTIONS(5072),
    [aux_sym_keyword_statement_token7] = ACTIONS(5072),
    [aux_sym_include_statement_token1] = ACTIONS(5072),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5072),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5072),
    [aux_sym_end_if_statement_token1] = ACTIONS(5072),
    [aux_sym_elseif_clause_token2] = ACTIONS(5072),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5072),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token3] = ACTIONS(5072),
    [aux_sym_select_type_statement_token1] = ACTIONS(5072),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5072),
    [aux_sym_associate_statement_token1] = ACTIONS(5072),
    [aux_sym_format_statement_token1] = ACTIONS(5072),
    [aux_sym_print_statement_token1] = ACTIONS(5072),
    [aux_sym_open_statement_token1] = ACTIONS(5072),
    [aux_sym_close_statement_token1] = ACTIONS(5072),
    [aux_sym_inquire_statement_token1] = ACTIONS(5072),
    [aux_sym_enum_statement_token1] = ACTIONS(5072),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token2] = ACTIONS(5072),
    [aux_sym_file_position_statement_token3] = ACTIONS(5072),
    [aux_sym_file_position_statement_token4] = ACTIONS(5072),
    [aux_sym_allocate_statement_token1] = ACTIONS(5072),
    [aux_sym_entry_statement_token1] = ACTIONS(5072),
    [aux_sym_assign_statement_token1] = ACTIONS(5072),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token2] = ACTIONS(5072),
    [aux_sym_coarray_statement_token6] = ACTIONS(5072),
    [aux_sym_coarray_statement_token8] = ACTIONS(5072),
    [aux_sym_coarray_statement_token11] = ACTIONS(5072),
    [aux_sym_coarray_statement_token12] = ACTIONS(5072),
    [aux_sym_coarray_statement_token13] = ACTIONS(5072),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5072),
    [aux_sym_identifier_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4818),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [aux_sym_module_statement_token1] = ACTIONS(4818),
    [aux_sym_submodule_statement_token1] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_block_data_statement_token3] = ACTIONS(4818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_function_statement_token1] = ACTIONS(4818),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4818),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token2] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token2] = ACTIONS(5076),
    [aux_sym_module_statement_token1] = ACTIONS(5076),
    [aux_sym_submodule_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_interface_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_block_data_statement_token3] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5076),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5076),
    [aux_sym_function_statement_token1] = ACTIONS(5076),
    [aux_sym_language_binding_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token1] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_namelist_statement_token1] = ACTIONS(5076),
    [aux_sym_common_statement_token1] = ACTIONS(5076),
    [aux_sym_import_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token1] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token4] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5076),
    [aux_sym_derived_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5076),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_enum_statement_token1] = ACTIONS(5076),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [1157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5080),
    [aux_sym_submodule_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_block_data_statement_token3] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_function_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [1158] = {
    [ts_builtin_sym_end] = ACTIONS(4870),
    [aux_sym_preproc_include_token1] = ACTIONS(4868),
    [aux_sym_preproc_def_token1] = ACTIONS(4868),
    [aux_sym_preproc_if_token1] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4868),
    [sym_preproc_directive] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token1] = ACTIONS(4868),
    [aux_sym_end_program_statement_token2] = ACTIONS(4868),
    [aux_sym_module_statement_token1] = ACTIONS(4868),
    [aux_sym_submodule_statement_token1] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4870),
    [aux_sym_interface_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token1] = ACTIONS(4868),
    [aux_sym_block_data_statement_token2] = ACTIONS(4868),
    [aux_sym_block_data_statement_token3] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4868),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4868),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4868),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4868),
    [aux_sym_function_statement_token1] = ACTIONS(4868),
    [aux_sym_language_binding_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4868),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4868),
    [aux_sym_contains_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token1] = ACTIONS(4868),
    [aux_sym_use_statement_token2] = ACTIONS(4868),
    [aux_sym_implicit_statement_token1] = ACTIONS(4868),
    [aux_sym_implicit_statement_token3] = ACTIONS(4868),
    [aux_sym_implicit_statement_token4] = ACTIONS(4868),
    [aux_sym_save_statement_token1] = ACTIONS(4868),
    [aux_sym_private_statement_token1] = ACTIONS(4868),
    [aux_sym_public_statement_token1] = ACTIONS(4868),
    [aux_sym_namelist_statement_token1] = ACTIONS(4868),
    [aux_sym_common_statement_token1] = ACTIONS(4868),
    [aux_sym_import_statement_token1] = ACTIONS(4868),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4868),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4868),
    [aux_sym_variable_attributes_token1] = ACTIONS(4868),
    [aux_sym_variable_attributes_token2] = ACTIONS(4868),
    [aux_sym_variable_attributes_token3] = ACTIONS(4868),
    [aux_sym_variable_attributes_token4] = ACTIONS(4868),
    [aux_sym_variable_attributes_token5] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4868),
    [aux_sym_derived_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token1] = ACTIONS(4868),
    [aux_sym_declared_type_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4868),
    [aux_sym_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4868),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4868),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token1] = ACTIONS(4868),
    [aux_sym_stop_statement_token2] = ACTIONS(4868),
    [aux_sym_subroutine_call_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token1] = ACTIONS(4868),
    [aux_sym_keyword_statement_token2] = ACTIONS(4868),
    [aux_sym_keyword_statement_token3] = ACTIONS(4868),
    [aux_sym_keyword_statement_token4] = ACTIONS(4868),
    [aux_sym_keyword_statement_token6] = ACTIONS(4868),
    [aux_sym_keyword_statement_token7] = ACTIONS(4868),
    [aux_sym_include_statement_token1] = ACTIONS(4868),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4868),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4868),
    [aux_sym_end_if_statement_token1] = ACTIONS(4868),
    [aux_sym_elseif_clause_token2] = ACTIONS(4868),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4868),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token1] = ACTIONS(4868),
    [aux_sym_select_case_statement_token3] = ACTIONS(4868),
    [aux_sym_select_type_statement_token1] = ACTIONS(4868),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4868),
    [aux_sym_associate_statement_token1] = ACTIONS(4868),
    [aux_sym_format_statement_token1] = ACTIONS(4868),
    [aux_sym_print_statement_token1] = ACTIONS(4868),
    [aux_sym_open_statement_token1] = ACTIONS(4868),
    [aux_sym_close_statement_token1] = ACTIONS(4868),
    [aux_sym_inquire_statement_token1] = ACTIONS(4868),
    [aux_sym_enum_statement_token1] = ACTIONS(4868),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token1] = ACTIONS(4868),
    [aux_sym_file_position_statement_token2] = ACTIONS(4868),
    [aux_sym_file_position_statement_token3] = ACTIONS(4868),
    [aux_sym_file_position_statement_token4] = ACTIONS(4868),
    [aux_sym_allocate_statement_token1] = ACTIONS(4868),
    [aux_sym_entry_statement_token1] = ACTIONS(4868),
    [aux_sym_assign_statement_token1] = ACTIONS(4868),
    [aux_sym_logical_expression_token5] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [aux_sym_boolean_literal_token1] = ACTIONS(4870),
    [aux_sym_boolean_literal_token2] = ACTIONS(4870),
    [aux_sym_null_literal_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_statement_token2] = ACTIONS(4868),
    [aux_sym_coarray_statement_token6] = ACTIONS(4868),
    [aux_sym_coarray_statement_token8] = ACTIONS(4868),
    [aux_sym_coarray_statement_token11] = ACTIONS(4868),
    [aux_sym_coarray_statement_token12] = ACTIONS(4868),
    [aux_sym_coarray_statement_token13] = ACTIONS(4868),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4868),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4868),
    [aux_sym_identifier_token1] = ACTIONS(4868),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4870),
    [sym__float_literal] = ACTIONS(4870),
    [sym__boz_literal] = ACTIONS(4870),
    [sym__string_literal] = ACTIONS(4870),
    [sym__string_literal_kind] = ACTIONS(4870),
  },
  [1159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5202),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [aux_sym_preproc_else_token1] = ACTIONS(5212),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1166] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token2] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [aux_sym_preproc_else_token1] = ACTIONS(4728),
    [aux_sym_preproc_elif_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [sym_preproc_comment] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_keyword_statement_token6] = ACTIONS(4728),
    [aux_sym_keyword_statement_token7] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token3] = ACTIONS(4728),
    [aux_sym_select_type_statement_token1] = ACTIONS(4728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4728),
    [aux_sym_associate_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_print_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_close_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token2] = ACTIONS(4728),
    [aux_sym_file_position_statement_token3] = ACTIONS(4728),
    [aux_sym_file_position_statement_token4] = ACTIONS(4728),
    [aux_sym_allocate_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_assign_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_statement_token13] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [1167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [aux_sym_preproc_else_token1] = ACTIONS(5216),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [aux_sym_preproc_else_token1] = ACTIONS(5220),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [aux_sym_preproc_else_token1] = ACTIONS(5224),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token2] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [aux_sym_preproc_else_token1] = ACTIONS(4732),
    [aux_sym_preproc_elif_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [sym_preproc_comment] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_keyword_statement_token6] = ACTIONS(4732),
    [aux_sym_keyword_statement_token7] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4732),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token3] = ACTIONS(4732),
    [aux_sym_select_type_statement_token1] = ACTIONS(4732),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4732),
    [aux_sym_associate_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_print_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_close_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token2] = ACTIONS(4732),
    [aux_sym_file_position_statement_token3] = ACTIONS(4732),
    [aux_sym_file_position_statement_token4] = ACTIONS(4732),
    [aux_sym_allocate_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_assign_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_statement_token13] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [1173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [aux_sym_preproc_else_token1] = ACTIONS(5228),
    [aux_sym_preproc_elif_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [aux_sym_preproc_else_token1] = ACTIONS(5232),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token2] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [aux_sym_preproc_else_token1] = ACTIONS(4720),
    [aux_sym_preproc_elif_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [sym_preproc_comment] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_keyword_statement_token6] = ACTIONS(4720),
    [aux_sym_keyword_statement_token7] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token3] = ACTIONS(4720),
    [aux_sym_select_type_statement_token1] = ACTIONS(4720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4720),
    [aux_sym_associate_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_print_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_close_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token2] = ACTIONS(4720),
    [aux_sym_file_position_statement_token3] = ACTIONS(4720),
    [aux_sym_file_position_statement_token4] = ACTIONS(4720),
    [aux_sym_allocate_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_assign_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_statement_token13] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [1177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [aux_sym_preproc_else_token1] = ACTIONS(5248),
    [aux_sym_preproc_elif_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5254),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5258),
    [aux_sym_preproc_def_token1] = ACTIONS(5258),
    [aux_sym_preproc_if_token1] = ACTIONS(5258),
    [aux_sym_preproc_if_token2] = ACTIONS(5261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5258),
    [aux_sym_preproc_else_token1] = ACTIONS(5261),
    [aux_sym_preproc_elif_token1] = ACTIONS(5261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5261),
    [sym_preproc_directive] = ACTIONS(5258),
    [anon_sym_LPAREN2] = ACTIONS(5258),
    [anon_sym_PLUS] = ACTIONS(5263),
    [anon_sym_DASH] = ACTIONS(5263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5258),
    [aux_sym_end_program_statement_token2] = ACTIONS(5266),
    [anon_sym_SEMI] = ACTIONS(5263),
    [aux_sym_interface_statement_token1] = ACTIONS(5258),
    [aux_sym_block_data_statement_token1] = ACTIONS(5258),
    [aux_sym_block_data_statement_token2] = ACTIONS(5258),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5258),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5258),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5258),
    [aux_sym_language_binding_token1] = ACTIONS(5258),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5258),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5258),
    [aux_sym_contains_statement_token1] = ACTIONS(5258),
    [aux_sym_use_statement_token1] = ACTIONS(5258),
    [aux_sym_use_statement_token2] = ACTIONS(5258),
    [aux_sym_implicit_statement_token1] = ACTIONS(5258),
    [aux_sym_implicit_statement_token3] = ACTIONS(5258),
    [aux_sym_implicit_statement_token4] = ACTIONS(5258),
    [aux_sym_save_statement_token1] = ACTIONS(5258),
    [aux_sym_private_statement_token1] = ACTIONS(5258),
    [aux_sym_public_statement_token1] = ACTIONS(5258),
    [aux_sym_namelist_statement_token1] = ACTIONS(5258),
    [aux_sym_common_statement_token1] = ACTIONS(5258),
    [aux_sym_import_statement_token1] = ACTIONS(5258),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5258),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5258),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5258),
    [aux_sym_variable_attributes_token1] = ACTIONS(5258),
    [aux_sym_variable_attributes_token2] = ACTIONS(5258),
    [aux_sym_variable_attributes_token3] = ACTIONS(5258),
    [aux_sym_variable_attributes_token4] = ACTIONS(5258),
    [aux_sym_variable_attributes_token5] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5258),
    [aux_sym_derived_type_token1] = ACTIONS(5258),
    [aux_sym_declared_type_token1] = ACTIONS(5258),
    [aux_sym_declared_type_token2] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5258),
    [aux_sym_type_qualifier_token1] = ACTIONS(5258),
    [aux_sym_type_qualifier_token2] = ACTIONS(5258),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5258),
    [aux_sym_stop_statement_token1] = ACTIONS(5258),
    [aux_sym_stop_statement_token2] = ACTIONS(5258),
    [aux_sym_subroutine_call_token1] = ACTIONS(5258),
    [aux_sym_keyword_statement_token1] = ACTIONS(5258),
    [aux_sym_keyword_statement_token2] = ACTIONS(5258),
    [aux_sym_keyword_statement_token3] = ACTIONS(5258),
    [aux_sym_keyword_statement_token4] = ACTIONS(5258),
    [aux_sym_keyword_statement_token6] = ACTIONS(5258),
    [aux_sym_keyword_statement_token7] = ACTIONS(5258),
    [aux_sym_include_statement_token1] = ACTIONS(5258),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5258),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5258),
    [aux_sym_end_if_statement_token1] = ACTIONS(5258),
    [aux_sym_elseif_clause_token2] = ACTIONS(5258),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5258),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5258),
    [aux_sym_select_case_statement_token1] = ACTIONS(5258),
    [aux_sym_select_case_statement_token3] = ACTIONS(5258),
    [aux_sym_select_type_statement_token1] = ACTIONS(5258),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5258),
    [aux_sym_associate_statement_token1] = ACTIONS(5258),
    [aux_sym_format_statement_token1] = ACTIONS(5258),
    [aux_sym_print_statement_token1] = ACTIONS(5258),
    [aux_sym_open_statement_token1] = ACTIONS(5258),
    [aux_sym_close_statement_token1] = ACTIONS(5258),
    [aux_sym_inquire_statement_token1] = ACTIONS(5258),
    [aux_sym_enum_statement_token1] = ACTIONS(5258),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5258),
    [aux_sym_file_position_statement_token1] = ACTIONS(5258),
    [aux_sym_file_position_statement_token2] = ACTIONS(5258),
    [aux_sym_file_position_statement_token3] = ACTIONS(5258),
    [aux_sym_file_position_statement_token4] = ACTIONS(5258),
    [aux_sym_allocate_statement_token1] = ACTIONS(5258),
    [aux_sym_entry_statement_token1] = ACTIONS(5258),
    [aux_sym_assign_statement_token1] = ACTIONS(5258),
    [aux_sym_logical_expression_token5] = ACTIONS(5263),
    [anon_sym_DOT] = ACTIONS(5258),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [aux_sym_boolean_literal_token1] = ACTIONS(5263),
    [aux_sym_boolean_literal_token2] = ACTIONS(5263),
    [aux_sym_null_literal_token1] = ACTIONS(5258),
    [aux_sym_coarray_statement_token1] = ACTIONS(5258),
    [aux_sym_coarray_statement_token2] = ACTIONS(5258),
    [aux_sym_coarray_statement_token6] = ACTIONS(5258),
    [aux_sym_coarray_statement_token8] = ACTIONS(5258),
    [aux_sym_coarray_statement_token11] = ACTIONS(5258),
    [aux_sym_coarray_statement_token12] = ACTIONS(5258),
    [aux_sym_coarray_statement_token13] = ACTIONS(5258),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5258),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5258),
    [aux_sym_identifier_token1] = ACTIONS(5258),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5263),
    [sym__float_literal] = ACTIONS(5263),
    [sym__boz_literal] = ACTIONS(5263),
    [sym__string_literal] = ACTIONS(5263),
    [sym__string_literal_kind] = ACTIONS(5263),
  },
  [1186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [aux_sym_preproc_else_token1] = ACTIONS(5300),
    [aux_sym_preproc_elif_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [aux_sym_preproc_else_token1] = ACTIONS(5308),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token2] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [aux_sym_preproc_else_token1] = ACTIONS(4724),
    [aux_sym_preproc_elif_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [sym_preproc_comment] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_keyword_statement_token6] = ACTIONS(4724),
    [aux_sym_keyword_statement_token7] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token3] = ACTIONS(4724),
    [aux_sym_select_type_statement_token1] = ACTIONS(4724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4724),
    [aux_sym_associate_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_print_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_close_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token2] = ACTIONS(4724),
    [aux_sym_file_position_statement_token3] = ACTIONS(4724),
    [aux_sym_file_position_statement_token4] = ACTIONS(4724),
    [aux_sym_allocate_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_assign_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_statement_token13] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [1198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [aux_sym_preproc_else_token1] = ACTIONS(5314),
    [aux_sym_preproc_elif_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [aux_sym_preproc_else_token1] = ACTIONS(5216),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [aux_sym_preproc_else_token1] = ACTIONS(5220),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [aux_sym_preproc_else_token1] = ACTIONS(5248),
    [aux_sym_preproc_elif_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [aux_sym_preproc_else_token1] = ACTIONS(5224),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [aux_sym_preproc_else_token1] = ACTIONS(5228),
    [aux_sym_preproc_elif_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [aux_sym_preproc_else_token1] = ACTIONS(5232),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [aux_sym_preproc_else_token1] = ACTIONS(5308),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [aux_sym_preproc_else_token1] = ACTIONS(5212),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [aux_sym_preproc_else_token1] = ACTIONS(4844),
    [aux_sym_preproc_elif_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [aux_sym_preproc_else_token1] = ACTIONS(5004),
    [aux_sym_preproc_elif_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [aux_sym_preproc_else_token1] = ACTIONS(5300),
    [aux_sym_preproc_elif_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5318),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5322),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5326),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [sym_preproc_comment] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token2] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5330),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5330),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5330),
    [aux_sym_language_binding_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5330),
    [aux_sym_contains_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token2] = ACTIONS(5330),
    [aux_sym_implicit_statement_token1] = ACTIONS(5330),
    [aux_sym_implicit_statement_token3] = ACTIONS(5330),
    [aux_sym_implicit_statement_token4] = ACTIONS(5330),
    [aux_sym_save_statement_token1] = ACTIONS(5330),
    [aux_sym_private_statement_token1] = ACTIONS(5330),
    [aux_sym_public_statement_token1] = ACTIONS(5330),
    [aux_sym_namelist_statement_token1] = ACTIONS(5330),
    [aux_sym_common_statement_token1] = ACTIONS(5330),
    [aux_sym_import_statement_token1] = ACTIONS(5330),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5330),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5330),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5330),
    [aux_sym_variable_attributes_token1] = ACTIONS(5330),
    [aux_sym_variable_attributes_token2] = ACTIONS(5330),
    [aux_sym_variable_attributes_token3] = ACTIONS(5330),
    [aux_sym_variable_attributes_token4] = ACTIONS(5330),
    [aux_sym_variable_attributes_token5] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5330),
    [aux_sym_derived_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5330),
    [aux_sym_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token2] = ACTIONS(5330),
    [aux_sym_subroutine_call_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token2] = ACTIONS(5330),
    [aux_sym_keyword_statement_token3] = ACTIONS(5330),
    [aux_sym_keyword_statement_token4] = ACTIONS(5330),
    [aux_sym_keyword_statement_token6] = ACTIONS(5330),
    [aux_sym_keyword_statement_token7] = ACTIONS(5330),
    [aux_sym_include_statement_token1] = ACTIONS(5330),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5330),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5330),
    [aux_sym_end_if_statement_token1] = ACTIONS(5330),
    [aux_sym_elseif_clause_token2] = ACTIONS(5330),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5330),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token3] = ACTIONS(5330),
    [aux_sym_select_type_statement_token1] = ACTIONS(5330),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5330),
    [aux_sym_associate_statement_token1] = ACTIONS(5330),
    [aux_sym_format_statement_token1] = ACTIONS(5330),
    [aux_sym_print_statement_token1] = ACTIONS(5330),
    [aux_sym_open_statement_token1] = ACTIONS(5330),
    [aux_sym_close_statement_token1] = ACTIONS(5330),
    [aux_sym_inquire_statement_token1] = ACTIONS(5330),
    [aux_sym_enum_statement_token1] = ACTIONS(5330),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token2] = ACTIONS(5330),
    [aux_sym_file_position_statement_token3] = ACTIONS(5330),
    [aux_sym_file_position_statement_token4] = ACTIONS(5330),
    [aux_sym_allocate_statement_token1] = ACTIONS(5330),
    [aux_sym_entry_statement_token1] = ACTIONS(5330),
    [aux_sym_assign_statement_token1] = ACTIONS(5330),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token2] = ACTIONS(5330),
    [aux_sym_coarray_statement_token6] = ACTIONS(5330),
    [aux_sym_coarray_statement_token8] = ACTIONS(5330),
    [aux_sym_coarray_statement_token11] = ACTIONS(5330),
    [aux_sym_coarray_statement_token12] = ACTIONS(5330),
    [aux_sym_coarray_statement_token13] = ACTIONS(5330),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5330),
    [aux_sym_identifier_token1] = ACTIONS(5330),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [sym_preproc_comment] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token2] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5340),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [aux_sym_boolean_literal_token1] = ACTIONS(5340),
    [aux_sym_boolean_literal_token2] = ACTIONS(5340),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5340),
    [sym__float_literal] = ACTIONS(5340),
    [sym__boz_literal] = ACTIONS(5340),
    [sym__string_literal] = ACTIONS(5340),
    [sym__string_literal_kind] = ACTIONS(5340),
  },
  [1241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5342),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5344),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5346),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [sym_preproc_comment] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token2] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5356),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [aux_sym_boolean_literal_token1] = ACTIONS(5356),
    [aux_sym_boolean_literal_token2] = ACTIONS(5356),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5356),
    [sym__float_literal] = ACTIONS(5356),
    [sym__boz_literal] = ACTIONS(5356),
    [sym__string_literal] = ACTIONS(5356),
    [sym__string_literal_kind] = ACTIONS(5356),
  },
  [1247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [sym_preproc_comment] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5330),
    [aux_sym_end_program_statement_token2] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token2] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5330),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5330),
    [aux_sym_language_binding_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5330),
    [aux_sym_contains_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token2] = ACTIONS(5330),
    [aux_sym_implicit_statement_token1] = ACTIONS(5330),
    [aux_sym_implicit_statement_token3] = ACTIONS(5330),
    [aux_sym_implicit_statement_token4] = ACTIONS(5330),
    [aux_sym_save_statement_token1] = ACTIONS(5330),
    [aux_sym_private_statement_token1] = ACTIONS(5330),
    [aux_sym_public_statement_token1] = ACTIONS(5330),
    [aux_sym_namelist_statement_token1] = ACTIONS(5330),
    [aux_sym_common_statement_token1] = ACTIONS(5330),
    [aux_sym_import_statement_token1] = ACTIONS(5330),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5330),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5330),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5330),
    [aux_sym_variable_attributes_token1] = ACTIONS(5330),
    [aux_sym_variable_attributes_token2] = ACTIONS(5330),
    [aux_sym_variable_attributes_token3] = ACTIONS(5330),
    [aux_sym_variable_attributes_token4] = ACTIONS(5330),
    [aux_sym_variable_attributes_token5] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5330),
    [aux_sym_derived_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5330),
    [aux_sym_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token2] = ACTIONS(5330),
    [aux_sym_subroutine_call_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token2] = ACTIONS(5330),
    [aux_sym_keyword_statement_token3] = ACTIONS(5330),
    [aux_sym_keyword_statement_token4] = ACTIONS(5330),
    [aux_sym_keyword_statement_token6] = ACTIONS(5330),
    [aux_sym_keyword_statement_token7] = ACTIONS(5330),
    [aux_sym_include_statement_token1] = ACTIONS(5330),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5330),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5330),
    [aux_sym_end_if_statement_token1] = ACTIONS(5330),
    [aux_sym_elseif_clause_token2] = ACTIONS(5330),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5330),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token3] = ACTIONS(5330),
    [aux_sym_select_type_statement_token1] = ACTIONS(5330),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5330),
    [aux_sym_associate_statement_token1] = ACTIONS(5330),
    [aux_sym_format_statement_token1] = ACTIONS(5330),
    [aux_sym_print_statement_token1] = ACTIONS(5330),
    [aux_sym_open_statement_token1] = ACTIONS(5330),
    [aux_sym_close_statement_token1] = ACTIONS(5330),
    [aux_sym_inquire_statement_token1] = ACTIONS(5330),
    [aux_sym_enum_statement_token1] = ACTIONS(5330),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token2] = ACTIONS(5330),
    [aux_sym_file_position_statement_token3] = ACTIONS(5330),
    [aux_sym_file_position_statement_token4] = ACTIONS(5330),
    [aux_sym_allocate_statement_token1] = ACTIONS(5330),
    [aux_sym_entry_statement_token1] = ACTIONS(5330),
    [aux_sym_assign_statement_token1] = ACTIONS(5330),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token2] = ACTIONS(5330),
    [aux_sym_coarray_statement_token6] = ACTIONS(5330),
    [aux_sym_coarray_statement_token8] = ACTIONS(5330),
    [aux_sym_coarray_statement_token11] = ACTIONS(5330),
    [aux_sym_coarray_statement_token12] = ACTIONS(5330),
    [aux_sym_coarray_statement_token13] = ACTIONS(5330),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5330),
    [aux_sym_identifier_token1] = ACTIONS(5330),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5364),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [sym_preproc_comment] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5366),
    [aux_sym_end_program_statement_token2] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token2] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5366),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5366),
    [aux_sym_language_binding_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5366),
    [aux_sym_contains_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token2] = ACTIONS(5366),
    [aux_sym_implicit_statement_token1] = ACTIONS(5366),
    [aux_sym_implicit_statement_token3] = ACTIONS(5366),
    [aux_sym_implicit_statement_token4] = ACTIONS(5366),
    [aux_sym_save_statement_token1] = ACTIONS(5366),
    [aux_sym_private_statement_token1] = ACTIONS(5366),
    [aux_sym_public_statement_token1] = ACTIONS(5366),
    [aux_sym_namelist_statement_token1] = ACTIONS(5366),
    [aux_sym_common_statement_token1] = ACTIONS(5366),
    [aux_sym_import_statement_token1] = ACTIONS(5366),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5366),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5366),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5366),
    [aux_sym_variable_attributes_token1] = ACTIONS(5366),
    [aux_sym_variable_attributes_token2] = ACTIONS(5366),
    [aux_sym_variable_attributes_token3] = ACTIONS(5366),
    [aux_sym_variable_attributes_token4] = ACTIONS(5366),
    [aux_sym_variable_attributes_token5] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5366),
    [aux_sym_derived_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5366),
    [aux_sym_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token2] = ACTIONS(5366),
    [aux_sym_subroutine_call_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token2] = ACTIONS(5366),
    [aux_sym_keyword_statement_token3] = ACTIONS(5366),
    [aux_sym_keyword_statement_token4] = ACTIONS(5366),
    [aux_sym_keyword_statement_token6] = ACTIONS(5366),
    [aux_sym_keyword_statement_token7] = ACTIONS(5366),
    [aux_sym_include_statement_token1] = ACTIONS(5366),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5366),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5366),
    [aux_sym_end_if_statement_token1] = ACTIONS(5366),
    [aux_sym_elseif_clause_token2] = ACTIONS(5366),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5366),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token3] = ACTIONS(5366),
    [aux_sym_select_type_statement_token1] = ACTIONS(5366),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5366),
    [aux_sym_associate_statement_token1] = ACTIONS(5366),
    [aux_sym_format_statement_token1] = ACTIONS(5366),
    [aux_sym_print_statement_token1] = ACTIONS(5366),
    [aux_sym_open_statement_token1] = ACTIONS(5366),
    [aux_sym_close_statement_token1] = ACTIONS(5366),
    [aux_sym_inquire_statement_token1] = ACTIONS(5366),
    [aux_sym_enum_statement_token1] = ACTIONS(5366),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token2] = ACTIONS(5366),
    [aux_sym_file_position_statement_token3] = ACTIONS(5366),
    [aux_sym_file_position_statement_token4] = ACTIONS(5366),
    [aux_sym_allocate_statement_token1] = ACTIONS(5366),
    [aux_sym_entry_statement_token1] = ACTIONS(5366),
    [aux_sym_assign_statement_token1] = ACTIONS(5366),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5366),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token2] = ACTIONS(5366),
    [aux_sym_coarray_statement_token6] = ACTIONS(5366),
    [aux_sym_coarray_statement_token8] = ACTIONS(5366),
    [aux_sym_coarray_statement_token11] = ACTIONS(5366),
    [aux_sym_coarray_statement_token12] = ACTIONS(5366),
    [aux_sym_coarray_statement_token13] = ACTIONS(5366),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5366),
    [aux_sym_identifier_token1] = ACTIONS(5366),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [sym_preproc_comment] = ACTIONS(5378),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5356),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_end_function_statement_token1] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [aux_sym_boolean_literal_token1] = ACTIONS(5356),
    [aux_sym_boolean_literal_token2] = ACTIONS(5356),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5356),
    [sym__float_literal] = ACTIONS(5356),
    [sym__boz_literal] = ACTIONS(5356),
    [sym__string_literal] = ACTIONS(5356),
    [sym__string_literal_kind] = ACTIONS(5356),
  },
  [1258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5258),
    [aux_sym_preproc_def_token1] = ACTIONS(5258),
    [aux_sym_preproc_if_token1] = ACTIONS(5258),
    [aux_sym_preproc_if_token2] = ACTIONS(5261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5258),
    [sym_preproc_directive] = ACTIONS(5258),
    [anon_sym_LPAREN2] = ACTIONS(5258),
    [anon_sym_PLUS] = ACTIONS(5263),
    [anon_sym_DASH] = ACTIONS(5263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5258),
    [aux_sym_end_program_statement_token2] = ACTIONS(5266),
    [anon_sym_SEMI] = ACTIONS(5263),
    [aux_sym_interface_statement_token1] = ACTIONS(5258),
    [aux_sym_block_data_statement_token1] = ACTIONS(5258),
    [aux_sym_block_data_statement_token2] = ACTIONS(5258),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5258),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5258),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5258),
    [aux_sym_language_binding_token1] = ACTIONS(5258),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5258),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5258),
    [aux_sym_contains_statement_token1] = ACTIONS(5258),
    [aux_sym_use_statement_token1] = ACTIONS(5258),
    [aux_sym_use_statement_token2] = ACTIONS(5258),
    [aux_sym_implicit_statement_token1] = ACTIONS(5258),
    [aux_sym_implicit_statement_token3] = ACTIONS(5258),
    [aux_sym_implicit_statement_token4] = ACTIONS(5258),
    [aux_sym_save_statement_token1] = ACTIONS(5258),
    [aux_sym_private_statement_token1] = ACTIONS(5258),
    [aux_sym_public_statement_token1] = ACTIONS(5258),
    [aux_sym_namelist_statement_token1] = ACTIONS(5258),
    [aux_sym_common_statement_token1] = ACTIONS(5258),
    [aux_sym_import_statement_token1] = ACTIONS(5258),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5258),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5258),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5258),
    [aux_sym_variable_attributes_token1] = ACTIONS(5258),
    [aux_sym_variable_attributes_token2] = ACTIONS(5258),
    [aux_sym_variable_attributes_token3] = ACTIONS(5258),
    [aux_sym_variable_attributes_token4] = ACTIONS(5258),
    [aux_sym_variable_attributes_token5] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5258),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5258),
    [aux_sym_derived_type_token1] = ACTIONS(5258),
    [aux_sym_declared_type_token1] = ACTIONS(5258),
    [aux_sym_declared_type_token2] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5258),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5258),
    [aux_sym_type_qualifier_token1] = ACTIONS(5258),
    [aux_sym_type_qualifier_token2] = ACTIONS(5258),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5258),
    [aux_sym_stop_statement_token1] = ACTIONS(5258),
    [aux_sym_stop_statement_token2] = ACTIONS(5258),
    [aux_sym_subroutine_call_token1] = ACTIONS(5258),
    [aux_sym_keyword_statement_token1] = ACTIONS(5258),
    [aux_sym_keyword_statement_token2] = ACTIONS(5258),
    [aux_sym_keyword_statement_token3] = ACTIONS(5258),
    [aux_sym_keyword_statement_token4] = ACTIONS(5258),
    [aux_sym_keyword_statement_token6] = ACTIONS(5258),
    [aux_sym_keyword_statement_token7] = ACTIONS(5258),
    [aux_sym_include_statement_token1] = ACTIONS(5258),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5258),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5258),
    [aux_sym_end_if_statement_token1] = ACTIONS(5258),
    [aux_sym_elseif_clause_token2] = ACTIONS(5258),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5258),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5258),
    [aux_sym_select_case_statement_token1] = ACTIONS(5258),
    [aux_sym_select_case_statement_token3] = ACTIONS(5258),
    [aux_sym_select_type_statement_token1] = ACTIONS(5258),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5258),
    [aux_sym_associate_statement_token1] = ACTIONS(5258),
    [aux_sym_format_statement_token1] = ACTIONS(5258),
    [aux_sym_print_statement_token1] = ACTIONS(5258),
    [aux_sym_open_statement_token1] = ACTIONS(5258),
    [aux_sym_close_statement_token1] = ACTIONS(5258),
    [aux_sym_inquire_statement_token1] = ACTIONS(5258),
    [aux_sym_enum_statement_token1] = ACTIONS(5258),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5258),
    [aux_sym_file_position_statement_token1] = ACTIONS(5258),
    [aux_sym_file_position_statement_token2] = ACTIONS(5258),
    [aux_sym_file_position_statement_token3] = ACTIONS(5258),
    [aux_sym_file_position_statement_token4] = ACTIONS(5258),
    [aux_sym_allocate_statement_token1] = ACTIONS(5258),
    [aux_sym_entry_statement_token1] = ACTIONS(5258),
    [aux_sym_assign_statement_token1] = ACTIONS(5258),
    [aux_sym_logical_expression_token5] = ACTIONS(5263),
    [anon_sym_DOT] = ACTIONS(5258),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [aux_sym_boolean_literal_token1] = ACTIONS(5263),
    [aux_sym_boolean_literal_token2] = ACTIONS(5263),
    [aux_sym_null_literal_token1] = ACTIONS(5258),
    [aux_sym_coarray_statement_token1] = ACTIONS(5258),
    [aux_sym_coarray_statement_token2] = ACTIONS(5258),
    [aux_sym_coarray_statement_token6] = ACTIONS(5258),
    [aux_sym_coarray_statement_token8] = ACTIONS(5258),
    [aux_sym_coarray_statement_token11] = ACTIONS(5258),
    [aux_sym_coarray_statement_token12] = ACTIONS(5258),
    [aux_sym_coarray_statement_token13] = ACTIONS(5258),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5258),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5258),
    [aux_sym_identifier_token1] = ACTIONS(5258),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5263),
    [sym__float_literal] = ACTIONS(5263),
    [sym__boz_literal] = ACTIONS(5263),
    [sym__string_literal] = ACTIONS(5263),
    [sym__string_literal_kind] = ACTIONS(5263),
  },
  [1259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5382),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [sym_preproc_comment] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token2] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5388),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [aux_sym_boolean_literal_token1] = ACTIONS(5388),
    [aux_sym_boolean_literal_token2] = ACTIONS(5388),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5388),
    [sym__float_literal] = ACTIONS(5388),
    [sym__boz_literal] = ACTIONS(5388),
    [sym__string_literal] = ACTIONS(5388),
    [sym__string_literal_kind] = ACTIONS(5388),
  },
  [1262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5390),
    [aux_sym_preproc_def_token1] = ACTIONS(5390),
    [aux_sym_preproc_if_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5390),
    [sym_preproc_directive] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [sym_preproc_comment] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5390),
    [aux_sym_end_program_statement_token2] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token2] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5390),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5390),
    [aux_sym_language_binding_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5390),
    [aux_sym_contains_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token2] = ACTIONS(5390),
    [aux_sym_implicit_statement_token1] = ACTIONS(5390),
    [aux_sym_implicit_statement_token3] = ACTIONS(5390),
    [aux_sym_implicit_statement_token4] = ACTIONS(5390),
    [aux_sym_save_statement_token1] = ACTIONS(5390),
    [aux_sym_private_statement_token1] = ACTIONS(5390),
    [aux_sym_public_statement_token1] = ACTIONS(5390),
    [aux_sym_namelist_statement_token1] = ACTIONS(5390),
    [aux_sym_common_statement_token1] = ACTIONS(5390),
    [aux_sym_import_statement_token1] = ACTIONS(5390),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5390),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5390),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5390),
    [aux_sym_variable_attributes_token1] = ACTIONS(5390),
    [aux_sym_variable_attributes_token2] = ACTIONS(5390),
    [aux_sym_variable_attributes_token3] = ACTIONS(5390),
    [aux_sym_variable_attributes_token4] = ACTIONS(5390),
    [aux_sym_variable_attributes_token5] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5390),
    [aux_sym_derived_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5390),
    [aux_sym_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token2] = ACTIONS(5390),
    [aux_sym_subroutine_call_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token2] = ACTIONS(5390),
    [aux_sym_keyword_statement_token3] = ACTIONS(5390),
    [aux_sym_keyword_statement_token4] = ACTIONS(5390),
    [aux_sym_keyword_statement_token6] = ACTIONS(5390),
    [aux_sym_keyword_statement_token7] = ACTIONS(5390),
    [aux_sym_include_statement_token1] = ACTIONS(5390),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5390),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5390),
    [aux_sym_end_if_statement_token1] = ACTIONS(5390),
    [aux_sym_elseif_clause_token2] = ACTIONS(5390),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5390),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token3] = ACTIONS(5390),
    [aux_sym_select_type_statement_token1] = ACTIONS(5390),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5390),
    [aux_sym_associate_statement_token1] = ACTIONS(5390),
    [aux_sym_format_statement_token1] = ACTIONS(5390),
    [aux_sym_print_statement_token1] = ACTIONS(5390),
    [aux_sym_open_statement_token1] = ACTIONS(5390),
    [aux_sym_close_statement_token1] = ACTIONS(5390),
    [aux_sym_inquire_statement_token1] = ACTIONS(5390),
    [aux_sym_enum_statement_token1] = ACTIONS(5390),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token2] = ACTIONS(5390),
    [aux_sym_file_position_statement_token3] = ACTIONS(5390),
    [aux_sym_file_position_statement_token4] = ACTIONS(5390),
    [aux_sym_allocate_statement_token1] = ACTIONS(5390),
    [aux_sym_entry_statement_token1] = ACTIONS(5390),
    [aux_sym_assign_statement_token1] = ACTIONS(5390),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token2] = ACTIONS(5390),
    [aux_sym_coarray_statement_token6] = ACTIONS(5390),
    [aux_sym_coarray_statement_token8] = ACTIONS(5390),
    [aux_sym_coarray_statement_token11] = ACTIONS(5390),
    [aux_sym_coarray_statement_token12] = ACTIONS(5390),
    [aux_sym_coarray_statement_token13] = ACTIONS(5390),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5390),
    [aux_sym_identifier_token1] = ACTIONS(5390),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [sym_preproc_comment] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5398),
    [aux_sym_end_program_statement_token2] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token2] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5398),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5398),
    [aux_sym_language_binding_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5398),
    [aux_sym_contains_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token2] = ACTIONS(5398),
    [aux_sym_implicit_statement_token1] = ACTIONS(5398),
    [aux_sym_implicit_statement_token3] = ACTIONS(5398),
    [aux_sym_implicit_statement_token4] = ACTIONS(5398),
    [aux_sym_save_statement_token1] = ACTIONS(5398),
    [aux_sym_private_statement_token1] = ACTIONS(5398),
    [aux_sym_public_statement_token1] = ACTIONS(5398),
    [aux_sym_namelist_statement_token1] = ACTIONS(5398),
    [aux_sym_common_statement_token1] = ACTIONS(5398),
    [aux_sym_import_statement_token1] = ACTIONS(5398),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5398),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5398),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5398),
    [aux_sym_variable_attributes_token1] = ACTIONS(5398),
    [aux_sym_variable_attributes_token2] = ACTIONS(5398),
    [aux_sym_variable_attributes_token3] = ACTIONS(5398),
    [aux_sym_variable_attributes_token4] = ACTIONS(5398),
    [aux_sym_variable_attributes_token5] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5398),
    [aux_sym_derived_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5398),
    [aux_sym_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token2] = ACTIONS(5398),
    [aux_sym_subroutine_call_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token2] = ACTIONS(5398),
    [aux_sym_keyword_statement_token3] = ACTIONS(5398),
    [aux_sym_keyword_statement_token4] = ACTIONS(5398),
    [aux_sym_keyword_statement_token6] = ACTIONS(5398),
    [aux_sym_keyword_statement_token7] = ACTIONS(5398),
    [aux_sym_include_statement_token1] = ACTIONS(5398),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5398),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5398),
    [aux_sym_end_if_statement_token1] = ACTIONS(5398),
    [aux_sym_elseif_clause_token2] = ACTIONS(5398),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5398),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token3] = ACTIONS(5398),
    [aux_sym_select_type_statement_token1] = ACTIONS(5398),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5398),
    [aux_sym_associate_statement_token1] = ACTIONS(5398),
    [aux_sym_format_statement_token1] = ACTIONS(5398),
    [aux_sym_print_statement_token1] = ACTIONS(5398),
    [aux_sym_open_statement_token1] = ACTIONS(5398),
    [aux_sym_close_statement_token1] = ACTIONS(5398),
    [aux_sym_inquire_statement_token1] = ACTIONS(5398),
    [aux_sym_enum_statement_token1] = ACTIONS(5398),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token2] = ACTIONS(5398),
    [aux_sym_file_position_statement_token3] = ACTIONS(5398),
    [aux_sym_file_position_statement_token4] = ACTIONS(5398),
    [aux_sym_allocate_statement_token1] = ACTIONS(5398),
    [aux_sym_entry_statement_token1] = ACTIONS(5398),
    [aux_sym_assign_statement_token1] = ACTIONS(5398),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token2] = ACTIONS(5398),
    [aux_sym_coarray_statement_token6] = ACTIONS(5398),
    [aux_sym_coarray_statement_token8] = ACTIONS(5398),
    [aux_sym_coarray_statement_token11] = ACTIONS(5398),
    [aux_sym_coarray_statement_token12] = ACTIONS(5398),
    [aux_sym_coarray_statement_token13] = ACTIONS(5398),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5398),
    [aux_sym_identifier_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [sym_preproc_comment] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5388),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_end_function_statement_token1] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [aux_sym_boolean_literal_token1] = ACTIONS(5388),
    [aux_sym_boolean_literal_token2] = ACTIONS(5388),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5388),
    [sym__float_literal] = ACTIONS(5388),
    [sym__boz_literal] = ACTIONS(5388),
    [sym__string_literal] = ACTIONS(5388),
    [sym__string_literal_kind] = ACTIONS(5388),
  },
  [1266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5390),
    [aux_sym_preproc_def_token1] = ACTIONS(5390),
    [aux_sym_preproc_if_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5390),
    [sym_preproc_directive] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [sym_preproc_comment] = ACTIONS(5406),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token2] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5390),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5390),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5390),
    [aux_sym_language_binding_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5390),
    [aux_sym_contains_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token2] = ACTIONS(5390),
    [aux_sym_implicit_statement_token1] = ACTIONS(5390),
    [aux_sym_implicit_statement_token3] = ACTIONS(5390),
    [aux_sym_implicit_statement_token4] = ACTIONS(5390),
    [aux_sym_save_statement_token1] = ACTIONS(5390),
    [aux_sym_private_statement_token1] = ACTIONS(5390),
    [aux_sym_public_statement_token1] = ACTIONS(5390),
    [aux_sym_namelist_statement_token1] = ACTIONS(5390),
    [aux_sym_common_statement_token1] = ACTIONS(5390),
    [aux_sym_import_statement_token1] = ACTIONS(5390),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5390),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5390),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5390),
    [aux_sym_variable_attributes_token1] = ACTIONS(5390),
    [aux_sym_variable_attributes_token2] = ACTIONS(5390),
    [aux_sym_variable_attributes_token3] = ACTIONS(5390),
    [aux_sym_variable_attributes_token4] = ACTIONS(5390),
    [aux_sym_variable_attributes_token5] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5390),
    [aux_sym_derived_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5390),
    [aux_sym_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token2] = ACTIONS(5390),
    [aux_sym_subroutine_call_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token2] = ACTIONS(5390),
    [aux_sym_keyword_statement_token3] = ACTIONS(5390),
    [aux_sym_keyword_statement_token4] = ACTIONS(5390),
    [aux_sym_keyword_statement_token6] = ACTIONS(5390),
    [aux_sym_keyword_statement_token7] = ACTIONS(5390),
    [aux_sym_include_statement_token1] = ACTIONS(5390),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5390),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5390),
    [aux_sym_end_if_statement_token1] = ACTIONS(5390),
    [aux_sym_elseif_clause_token2] = ACTIONS(5390),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5390),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token3] = ACTIONS(5390),
    [aux_sym_select_type_statement_token1] = ACTIONS(5390),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5390),
    [aux_sym_associate_statement_token1] = ACTIONS(5390),
    [aux_sym_format_statement_token1] = ACTIONS(5390),
    [aux_sym_print_statement_token1] = ACTIONS(5390),
    [aux_sym_open_statement_token1] = ACTIONS(5390),
    [aux_sym_close_statement_token1] = ACTIONS(5390),
    [aux_sym_inquire_statement_token1] = ACTIONS(5390),
    [aux_sym_enum_statement_token1] = ACTIONS(5390),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token2] = ACTIONS(5390),
    [aux_sym_file_position_statement_token3] = ACTIONS(5390),
    [aux_sym_file_position_statement_token4] = ACTIONS(5390),
    [aux_sym_allocate_statement_token1] = ACTIONS(5390),
    [aux_sym_entry_statement_token1] = ACTIONS(5390),
    [aux_sym_assign_statement_token1] = ACTIONS(5390),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token2] = ACTIONS(5390),
    [aux_sym_coarray_statement_token6] = ACTIONS(5390),
    [aux_sym_coarray_statement_token8] = ACTIONS(5390),
    [aux_sym_coarray_statement_token11] = ACTIONS(5390),
    [aux_sym_coarray_statement_token12] = ACTIONS(5390),
    [aux_sym_coarray_statement_token13] = ACTIONS(5390),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5390),
    [aux_sym_identifier_token1] = ACTIONS(5390),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5390),
    [aux_sym_preproc_def_token1] = ACTIONS(5390),
    [aux_sym_preproc_if_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5390),
    [sym_preproc_directive] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [sym_preproc_comment] = ACTIONS(5410),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token2] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5390),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5390),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5390),
    [aux_sym_language_binding_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5390),
    [aux_sym_contains_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token2] = ACTIONS(5390),
    [aux_sym_implicit_statement_token1] = ACTIONS(5390),
    [aux_sym_implicit_statement_token3] = ACTIONS(5390),
    [aux_sym_implicit_statement_token4] = ACTIONS(5390),
    [aux_sym_save_statement_token1] = ACTIONS(5390),
    [aux_sym_private_statement_token1] = ACTIONS(5390),
    [aux_sym_public_statement_token1] = ACTIONS(5390),
    [aux_sym_namelist_statement_token1] = ACTIONS(5390),
    [aux_sym_common_statement_token1] = ACTIONS(5390),
    [aux_sym_import_statement_token1] = ACTIONS(5390),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5390),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5390),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5390),
    [aux_sym_variable_attributes_token1] = ACTIONS(5390),
    [aux_sym_variable_attributes_token2] = ACTIONS(5390),
    [aux_sym_variable_attributes_token3] = ACTIONS(5390),
    [aux_sym_variable_attributes_token4] = ACTIONS(5390),
    [aux_sym_variable_attributes_token5] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5390),
    [aux_sym_derived_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5390),
    [aux_sym_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token2] = ACTIONS(5390),
    [aux_sym_subroutine_call_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token2] = ACTIONS(5390),
    [aux_sym_keyword_statement_token3] = ACTIONS(5390),
    [aux_sym_keyword_statement_token4] = ACTIONS(5390),
    [aux_sym_keyword_statement_token6] = ACTIONS(5390),
    [aux_sym_keyword_statement_token7] = ACTIONS(5390),
    [aux_sym_include_statement_token1] = ACTIONS(5390),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5390),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5390),
    [aux_sym_end_if_statement_token1] = ACTIONS(5390),
    [aux_sym_elseif_clause_token2] = ACTIONS(5390),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5390),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token3] = ACTIONS(5390),
    [aux_sym_select_type_statement_token1] = ACTIONS(5390),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5390),
    [aux_sym_associate_statement_token1] = ACTIONS(5390),
    [aux_sym_format_statement_token1] = ACTIONS(5390),
    [aux_sym_print_statement_token1] = ACTIONS(5390),
    [aux_sym_open_statement_token1] = ACTIONS(5390),
    [aux_sym_close_statement_token1] = ACTIONS(5390),
    [aux_sym_inquire_statement_token1] = ACTIONS(5390),
    [aux_sym_enum_statement_token1] = ACTIONS(5390),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token2] = ACTIONS(5390),
    [aux_sym_file_position_statement_token3] = ACTIONS(5390),
    [aux_sym_file_position_statement_token4] = ACTIONS(5390),
    [aux_sym_allocate_statement_token1] = ACTIONS(5390),
    [aux_sym_entry_statement_token1] = ACTIONS(5390),
    [aux_sym_assign_statement_token1] = ACTIONS(5390),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token2] = ACTIONS(5390),
    [aux_sym_coarray_statement_token6] = ACTIONS(5390),
    [aux_sym_coarray_statement_token8] = ACTIONS(5390),
    [aux_sym_coarray_statement_token11] = ACTIONS(5390),
    [aux_sym_coarray_statement_token12] = ACTIONS(5390),
    [aux_sym_coarray_statement_token13] = ACTIONS(5390),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5390),
    [aux_sym_identifier_token1] = ACTIONS(5390),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [sym_preproc_comment] = ACTIONS(5414),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_end_function_statement_token1] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [sym_preproc_comment] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token2] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5366),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5366),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5366),
    [aux_sym_language_binding_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5366),
    [aux_sym_contains_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token2] = ACTIONS(5366),
    [aux_sym_implicit_statement_token1] = ACTIONS(5366),
    [aux_sym_implicit_statement_token3] = ACTIONS(5366),
    [aux_sym_implicit_statement_token4] = ACTIONS(5366),
    [aux_sym_save_statement_token1] = ACTIONS(5366),
    [aux_sym_private_statement_token1] = ACTIONS(5366),
    [aux_sym_public_statement_token1] = ACTIONS(5366),
    [aux_sym_namelist_statement_token1] = ACTIONS(5366),
    [aux_sym_common_statement_token1] = ACTIONS(5366),
    [aux_sym_import_statement_token1] = ACTIONS(5366),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5366),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5366),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5366),
    [aux_sym_variable_attributes_token1] = ACTIONS(5366),
    [aux_sym_variable_attributes_token2] = ACTIONS(5366),
    [aux_sym_variable_attributes_token3] = ACTIONS(5366),
    [aux_sym_variable_attributes_token4] = ACTIONS(5366),
    [aux_sym_variable_attributes_token5] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5366),
    [aux_sym_derived_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5366),
    [aux_sym_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token2] = ACTIONS(5366),
    [aux_sym_subroutine_call_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token2] = ACTIONS(5366),
    [aux_sym_keyword_statement_token3] = ACTIONS(5366),
    [aux_sym_keyword_statement_token4] = ACTIONS(5366),
    [aux_sym_keyword_statement_token6] = ACTIONS(5366),
    [aux_sym_keyword_statement_token7] = ACTIONS(5366),
    [aux_sym_include_statement_token1] = ACTIONS(5366),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5366),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5366),
    [aux_sym_end_if_statement_token1] = ACTIONS(5366),
    [aux_sym_elseif_clause_token2] = ACTIONS(5366),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5366),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token3] = ACTIONS(5366),
    [aux_sym_select_type_statement_token1] = ACTIONS(5366),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5366),
    [aux_sym_associate_statement_token1] = ACTIONS(5366),
    [aux_sym_format_statement_token1] = ACTIONS(5366),
    [aux_sym_print_statement_token1] = ACTIONS(5366),
    [aux_sym_open_statement_token1] = ACTIONS(5366),
    [aux_sym_close_statement_token1] = ACTIONS(5366),
    [aux_sym_inquire_statement_token1] = ACTIONS(5366),
    [aux_sym_enum_statement_token1] = ACTIONS(5366),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token2] = ACTIONS(5366),
    [aux_sym_file_position_statement_token3] = ACTIONS(5366),
    [aux_sym_file_position_statement_token4] = ACTIONS(5366),
    [aux_sym_allocate_statement_token1] = ACTIONS(5366),
    [aux_sym_entry_statement_token1] = ACTIONS(5366),
    [aux_sym_assign_statement_token1] = ACTIONS(5366),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5366),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token2] = ACTIONS(5366),
    [aux_sym_coarray_statement_token6] = ACTIONS(5366),
    [aux_sym_coarray_statement_token8] = ACTIONS(5366),
    [aux_sym_coarray_statement_token11] = ACTIONS(5366),
    [aux_sym_coarray_statement_token12] = ACTIONS(5366),
    [aux_sym_coarray_statement_token13] = ACTIONS(5366),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5366),
    [aux_sym_identifier_token1] = ACTIONS(5366),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5418),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [sym_preproc_comment] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token2] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5398),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5398),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5398),
    [aux_sym_language_binding_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5398),
    [aux_sym_contains_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token2] = ACTIONS(5398),
    [aux_sym_implicit_statement_token1] = ACTIONS(5398),
    [aux_sym_implicit_statement_token3] = ACTIONS(5398),
    [aux_sym_implicit_statement_token4] = ACTIONS(5398),
    [aux_sym_save_statement_token1] = ACTIONS(5398),
    [aux_sym_private_statement_token1] = ACTIONS(5398),
    [aux_sym_public_statement_token1] = ACTIONS(5398),
    [aux_sym_namelist_statement_token1] = ACTIONS(5398),
    [aux_sym_common_statement_token1] = ACTIONS(5398),
    [aux_sym_import_statement_token1] = ACTIONS(5398),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5398),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5398),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5398),
    [aux_sym_variable_attributes_token1] = ACTIONS(5398),
    [aux_sym_variable_attributes_token2] = ACTIONS(5398),
    [aux_sym_variable_attributes_token3] = ACTIONS(5398),
    [aux_sym_variable_attributes_token4] = ACTIONS(5398),
    [aux_sym_variable_attributes_token5] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5398),
    [aux_sym_derived_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5398),
    [aux_sym_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token2] = ACTIONS(5398),
    [aux_sym_subroutine_call_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token2] = ACTIONS(5398),
    [aux_sym_keyword_statement_token3] = ACTIONS(5398),
    [aux_sym_keyword_statement_token4] = ACTIONS(5398),
    [aux_sym_keyword_statement_token6] = ACTIONS(5398),
    [aux_sym_keyword_statement_token7] = ACTIONS(5398),
    [aux_sym_include_statement_token1] = ACTIONS(5398),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5398),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5398),
    [aux_sym_end_if_statement_token1] = ACTIONS(5398),
    [aux_sym_elseif_clause_token2] = ACTIONS(5398),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5398),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token3] = ACTIONS(5398),
    [aux_sym_select_type_statement_token1] = ACTIONS(5398),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5398),
    [aux_sym_associate_statement_token1] = ACTIONS(5398),
    [aux_sym_format_statement_token1] = ACTIONS(5398),
    [aux_sym_print_statement_token1] = ACTIONS(5398),
    [aux_sym_open_statement_token1] = ACTIONS(5398),
    [aux_sym_close_statement_token1] = ACTIONS(5398),
    [aux_sym_inquire_statement_token1] = ACTIONS(5398),
    [aux_sym_enum_statement_token1] = ACTIONS(5398),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token2] = ACTIONS(5398),
    [aux_sym_file_position_statement_token3] = ACTIONS(5398),
    [aux_sym_file_position_statement_token4] = ACTIONS(5398),
    [aux_sym_allocate_statement_token1] = ACTIONS(5398),
    [aux_sym_entry_statement_token1] = ACTIONS(5398),
    [aux_sym_assign_statement_token1] = ACTIONS(5398),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token2] = ACTIONS(5398),
    [aux_sym_coarray_statement_token6] = ACTIONS(5398),
    [aux_sym_coarray_statement_token8] = ACTIONS(5398),
    [aux_sym_coarray_statement_token11] = ACTIONS(5398),
    [aux_sym_coarray_statement_token12] = ACTIONS(5398),
    [aux_sym_coarray_statement_token13] = ACTIONS(5398),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5398),
    [aux_sym_identifier_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [sym_preproc_comment] = ACTIONS(5426),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5430),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [sym_preproc_comment] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5340),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [aux_sym_boolean_literal_token1] = ACTIONS(5340),
    [aux_sym_boolean_literal_token2] = ACTIONS(5340),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5340),
    [sym__float_literal] = ACTIONS(5340),
    [sym__boz_literal] = ACTIONS(5340),
    [sym__string_literal] = ACTIONS(5340),
    [sym__string_literal_kind] = ACTIONS(5340),
  },
  [1281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [sym_preproc_comment] = ACTIONS(5434),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token2] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5366),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5366),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5366),
    [aux_sym_language_binding_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5366),
    [aux_sym_contains_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token2] = ACTIONS(5366),
    [aux_sym_implicit_statement_token1] = ACTIONS(5366),
    [aux_sym_implicit_statement_token3] = ACTIONS(5366),
    [aux_sym_implicit_statement_token4] = ACTIONS(5366),
    [aux_sym_save_statement_token1] = ACTIONS(5366),
    [aux_sym_private_statement_token1] = ACTIONS(5366),
    [aux_sym_public_statement_token1] = ACTIONS(5366),
    [aux_sym_namelist_statement_token1] = ACTIONS(5366),
    [aux_sym_common_statement_token1] = ACTIONS(5366),
    [aux_sym_import_statement_token1] = ACTIONS(5366),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5366),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5366),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5366),
    [aux_sym_variable_attributes_token1] = ACTIONS(5366),
    [aux_sym_variable_attributes_token2] = ACTIONS(5366),
    [aux_sym_variable_attributes_token3] = ACTIONS(5366),
    [aux_sym_variable_attributes_token4] = ACTIONS(5366),
    [aux_sym_variable_attributes_token5] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5366),
    [aux_sym_derived_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5366),
    [aux_sym_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token2] = ACTIONS(5366),
    [aux_sym_subroutine_call_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token2] = ACTIONS(5366),
    [aux_sym_keyword_statement_token3] = ACTIONS(5366),
    [aux_sym_keyword_statement_token4] = ACTIONS(5366),
    [aux_sym_keyword_statement_token6] = ACTIONS(5366),
    [aux_sym_keyword_statement_token7] = ACTIONS(5366),
    [aux_sym_include_statement_token1] = ACTIONS(5366),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5366),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5366),
    [aux_sym_end_if_statement_token1] = ACTIONS(5366),
    [aux_sym_elseif_clause_token2] = ACTIONS(5366),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5366),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token3] = ACTIONS(5366),
    [aux_sym_select_type_statement_token1] = ACTIONS(5366),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5366),
    [aux_sym_associate_statement_token1] = ACTIONS(5366),
    [aux_sym_format_statement_token1] = ACTIONS(5366),
    [aux_sym_print_statement_token1] = ACTIONS(5366),
    [aux_sym_open_statement_token1] = ACTIONS(5366),
    [aux_sym_close_statement_token1] = ACTIONS(5366),
    [aux_sym_inquire_statement_token1] = ACTIONS(5366),
    [aux_sym_enum_statement_token1] = ACTIONS(5366),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token2] = ACTIONS(5366),
    [aux_sym_file_position_statement_token3] = ACTIONS(5366),
    [aux_sym_file_position_statement_token4] = ACTIONS(5366),
    [aux_sym_allocate_statement_token1] = ACTIONS(5366),
    [aux_sym_entry_statement_token1] = ACTIONS(5366),
    [aux_sym_assign_statement_token1] = ACTIONS(5366),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5366),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token2] = ACTIONS(5366),
    [aux_sym_coarray_statement_token6] = ACTIONS(5366),
    [aux_sym_coarray_statement_token8] = ACTIONS(5366),
    [aux_sym_coarray_statement_token11] = ACTIONS(5366),
    [aux_sym_coarray_statement_token12] = ACTIONS(5366),
    [aux_sym_coarray_statement_token13] = ACTIONS(5366),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5366),
    [aux_sym_identifier_token1] = ACTIONS(5366),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [sym_preproc_comment] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token2] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5398),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5398),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5398),
    [aux_sym_language_binding_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5398),
    [aux_sym_contains_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token2] = ACTIONS(5398),
    [aux_sym_implicit_statement_token1] = ACTIONS(5398),
    [aux_sym_implicit_statement_token3] = ACTIONS(5398),
    [aux_sym_implicit_statement_token4] = ACTIONS(5398),
    [aux_sym_save_statement_token1] = ACTIONS(5398),
    [aux_sym_private_statement_token1] = ACTIONS(5398),
    [aux_sym_public_statement_token1] = ACTIONS(5398),
    [aux_sym_namelist_statement_token1] = ACTIONS(5398),
    [aux_sym_common_statement_token1] = ACTIONS(5398),
    [aux_sym_import_statement_token1] = ACTIONS(5398),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5398),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5398),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5398),
    [aux_sym_variable_attributes_token1] = ACTIONS(5398),
    [aux_sym_variable_attributes_token2] = ACTIONS(5398),
    [aux_sym_variable_attributes_token3] = ACTIONS(5398),
    [aux_sym_variable_attributes_token4] = ACTIONS(5398),
    [aux_sym_variable_attributes_token5] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5398),
    [aux_sym_derived_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5398),
    [aux_sym_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token2] = ACTIONS(5398),
    [aux_sym_subroutine_call_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token2] = ACTIONS(5398),
    [aux_sym_keyword_statement_token3] = ACTIONS(5398),
    [aux_sym_keyword_statement_token4] = ACTIONS(5398),
    [aux_sym_keyword_statement_token6] = ACTIONS(5398),
    [aux_sym_keyword_statement_token7] = ACTIONS(5398),
    [aux_sym_include_statement_token1] = ACTIONS(5398),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5398),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5398),
    [aux_sym_end_if_statement_token1] = ACTIONS(5398),
    [aux_sym_elseif_clause_token2] = ACTIONS(5398),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5398),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token3] = ACTIONS(5398),
    [aux_sym_select_type_statement_token1] = ACTIONS(5398),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5398),
    [aux_sym_associate_statement_token1] = ACTIONS(5398),
    [aux_sym_format_statement_token1] = ACTIONS(5398),
    [aux_sym_print_statement_token1] = ACTIONS(5398),
    [aux_sym_open_statement_token1] = ACTIONS(5398),
    [aux_sym_close_statement_token1] = ACTIONS(5398),
    [aux_sym_inquire_statement_token1] = ACTIONS(5398),
    [aux_sym_enum_statement_token1] = ACTIONS(5398),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token2] = ACTIONS(5398),
    [aux_sym_file_position_statement_token3] = ACTIONS(5398),
    [aux_sym_file_position_statement_token4] = ACTIONS(5398),
    [aux_sym_allocate_statement_token1] = ACTIONS(5398),
    [aux_sym_entry_statement_token1] = ACTIONS(5398),
    [aux_sym_assign_statement_token1] = ACTIONS(5398),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token2] = ACTIONS(5398),
    [aux_sym_coarray_statement_token6] = ACTIONS(5398),
    [aux_sym_coarray_statement_token8] = ACTIONS(5398),
    [aux_sym_coarray_statement_token11] = ACTIONS(5398),
    [aux_sym_coarray_statement_token12] = ACTIONS(5398),
    [aux_sym_coarray_statement_token13] = ACTIONS(5398),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5398),
    [aux_sym_identifier_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5442),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5448),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_end_function_statement_token1] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5452),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [sym_preproc_comment] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5340),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [aux_sym_boolean_literal_token1] = ACTIONS(5340),
    [aux_sym_boolean_literal_token2] = ACTIONS(5340),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5340),
    [sym__float_literal] = ACTIONS(5340),
    [sym__boz_literal] = ACTIONS(5340),
    [sym__string_literal] = ACTIONS(5340),
    [sym__string_literal_kind] = ACTIONS(5340),
  },
  [1298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5458),
    [aux_sym_preproc_def_token1] = ACTIONS(5458),
    [aux_sym_preproc_if_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5458),
    [sym_preproc_directive] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [sym_preproc_comment] = ACTIONS(5460),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5462),
    [aux_sym_interface_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token2] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5458),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5458),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5458),
    [aux_sym_language_binding_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5458),
    [aux_sym_contains_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token2] = ACTIONS(5458),
    [aux_sym_implicit_statement_token1] = ACTIONS(5458),
    [aux_sym_implicit_statement_token3] = ACTIONS(5458),
    [aux_sym_implicit_statement_token4] = ACTIONS(5458),
    [aux_sym_save_statement_token1] = ACTIONS(5458),
    [aux_sym_private_statement_token1] = ACTIONS(5458),
    [aux_sym_public_statement_token1] = ACTIONS(5458),
    [aux_sym_namelist_statement_token1] = ACTIONS(5458),
    [aux_sym_common_statement_token1] = ACTIONS(5458),
    [aux_sym_import_statement_token1] = ACTIONS(5458),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5458),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5458),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5458),
    [aux_sym_variable_attributes_token1] = ACTIONS(5458),
    [aux_sym_variable_attributes_token2] = ACTIONS(5458),
    [aux_sym_variable_attributes_token3] = ACTIONS(5458),
    [aux_sym_variable_attributes_token4] = ACTIONS(5458),
    [aux_sym_variable_attributes_token5] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5458),
    [aux_sym_derived_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5458),
    [aux_sym_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token2] = ACTIONS(5458),
    [aux_sym_subroutine_call_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token2] = ACTIONS(5458),
    [aux_sym_keyword_statement_token3] = ACTIONS(5458),
    [aux_sym_keyword_statement_token4] = ACTIONS(5458),
    [aux_sym_keyword_statement_token6] = ACTIONS(5458),
    [aux_sym_keyword_statement_token7] = ACTIONS(5458),
    [aux_sym_include_statement_token1] = ACTIONS(5458),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5458),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5458),
    [aux_sym_end_if_statement_token1] = ACTIONS(5458),
    [aux_sym_elseif_clause_token2] = ACTIONS(5458),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5458),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token3] = ACTIONS(5458),
    [aux_sym_select_type_statement_token1] = ACTIONS(5458),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5458),
    [aux_sym_associate_statement_token1] = ACTIONS(5458),
    [aux_sym_format_statement_token1] = ACTIONS(5458),
    [aux_sym_print_statement_token1] = ACTIONS(5458),
    [aux_sym_open_statement_token1] = ACTIONS(5458),
    [aux_sym_close_statement_token1] = ACTIONS(5458),
    [aux_sym_inquire_statement_token1] = ACTIONS(5458),
    [aux_sym_enum_statement_token1] = ACTIONS(5458),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token2] = ACTIONS(5458),
    [aux_sym_file_position_statement_token3] = ACTIONS(5458),
    [aux_sym_file_position_statement_token4] = ACTIONS(5458),
    [aux_sym_allocate_statement_token1] = ACTIONS(5458),
    [aux_sym_entry_statement_token1] = ACTIONS(5458),
    [aux_sym_assign_statement_token1] = ACTIONS(5458),
    [aux_sym_logical_expression_token5] = ACTIONS(5462),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5462),
    [aux_sym_boolean_literal_token1] = ACTIONS(5462),
    [aux_sym_boolean_literal_token2] = ACTIONS(5462),
    [aux_sym_null_literal_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token2] = ACTIONS(5458),
    [aux_sym_coarray_statement_token6] = ACTIONS(5458),
    [aux_sym_coarray_statement_token8] = ACTIONS(5458),
    [aux_sym_coarray_statement_token11] = ACTIONS(5458),
    [aux_sym_coarray_statement_token12] = ACTIONS(5458),
    [aux_sym_coarray_statement_token13] = ACTIONS(5458),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5458),
    [aux_sym_identifier_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5462),
    [sym__float_literal] = ACTIONS(5462),
    [sym__boz_literal] = ACTIONS(5462),
    [sym__string_literal] = ACTIONS(5462),
    [sym__string_literal_kind] = ACTIONS(5462),
  },
  [1299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [sym_preproc_comment] = ACTIONS(5470),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5472),
    [aux_sym_interface_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token2] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5468),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5468),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5468),
    [aux_sym_language_binding_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5468),
    [aux_sym_contains_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token2] = ACTIONS(5468),
    [aux_sym_implicit_statement_token1] = ACTIONS(5468),
    [aux_sym_implicit_statement_token3] = ACTIONS(5468),
    [aux_sym_implicit_statement_token4] = ACTIONS(5468),
    [aux_sym_save_statement_token1] = ACTIONS(5468),
    [aux_sym_private_statement_token1] = ACTIONS(5468),
    [aux_sym_public_statement_token1] = ACTIONS(5468),
    [aux_sym_namelist_statement_token1] = ACTIONS(5468),
    [aux_sym_common_statement_token1] = ACTIONS(5468),
    [aux_sym_import_statement_token1] = ACTIONS(5468),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5468),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5468),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5468),
    [aux_sym_variable_attributes_token1] = ACTIONS(5468),
    [aux_sym_variable_attributes_token2] = ACTIONS(5468),
    [aux_sym_variable_attributes_token3] = ACTIONS(5468),
    [aux_sym_variable_attributes_token4] = ACTIONS(5468),
    [aux_sym_variable_attributes_token5] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5468),
    [aux_sym_derived_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5468),
    [aux_sym_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token2] = ACTIONS(5468),
    [aux_sym_subroutine_call_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token2] = ACTIONS(5468),
    [aux_sym_keyword_statement_token3] = ACTIONS(5468),
    [aux_sym_keyword_statement_token4] = ACTIONS(5468),
    [aux_sym_keyword_statement_token6] = ACTIONS(5468),
    [aux_sym_keyword_statement_token7] = ACTIONS(5468),
    [aux_sym_include_statement_token1] = ACTIONS(5468),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5468),
    [aux_sym_end_if_statement_token1] = ACTIONS(5468),
    [aux_sym_elseif_clause_token2] = ACTIONS(5468),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5468),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token3] = ACTIONS(5468),
    [aux_sym_select_type_statement_token1] = ACTIONS(5468),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5468),
    [aux_sym_associate_statement_token1] = ACTIONS(5468),
    [aux_sym_format_statement_token1] = ACTIONS(5468),
    [aux_sym_print_statement_token1] = ACTIONS(5468),
    [aux_sym_open_statement_token1] = ACTIONS(5468),
    [aux_sym_close_statement_token1] = ACTIONS(5468),
    [aux_sym_inquire_statement_token1] = ACTIONS(5468),
    [aux_sym_enum_statement_token1] = ACTIONS(5468),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token2] = ACTIONS(5468),
    [aux_sym_file_position_statement_token3] = ACTIONS(5468),
    [aux_sym_file_position_statement_token4] = ACTIONS(5468),
    [aux_sym_allocate_statement_token1] = ACTIONS(5468),
    [aux_sym_entry_statement_token1] = ACTIONS(5468),
    [aux_sym_assign_statement_token1] = ACTIONS(5468),
    [aux_sym_logical_expression_token5] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [aux_sym_boolean_literal_token1] = ACTIONS(5472),
    [aux_sym_boolean_literal_token2] = ACTIONS(5472),
    [aux_sym_null_literal_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token2] = ACTIONS(5468),
    [aux_sym_coarray_statement_token6] = ACTIONS(5468),
    [aux_sym_coarray_statement_token8] = ACTIONS(5468),
    [aux_sym_coarray_statement_token11] = ACTIONS(5468),
    [aux_sym_coarray_statement_token12] = ACTIONS(5468),
    [aux_sym_coarray_statement_token13] = ACTIONS(5468),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5468),
    [aux_sym_identifier_token1] = ACTIONS(5468),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5472),
    [sym__float_literal] = ACTIONS(5472),
    [sym__boz_literal] = ACTIONS(5472),
    [sym__string_literal] = ACTIONS(5472),
    [sym__string_literal_kind] = ACTIONS(5472),
  },
  [1302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [sym_preproc_comment] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token2] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5330),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5330),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5330),
    [aux_sym_language_binding_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5330),
    [aux_sym_contains_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token2] = ACTIONS(5330),
    [aux_sym_implicit_statement_token1] = ACTIONS(5330),
    [aux_sym_implicit_statement_token3] = ACTIONS(5330),
    [aux_sym_implicit_statement_token4] = ACTIONS(5330),
    [aux_sym_save_statement_token1] = ACTIONS(5330),
    [aux_sym_private_statement_token1] = ACTIONS(5330),
    [aux_sym_public_statement_token1] = ACTIONS(5330),
    [aux_sym_namelist_statement_token1] = ACTIONS(5330),
    [aux_sym_common_statement_token1] = ACTIONS(5330),
    [aux_sym_import_statement_token1] = ACTIONS(5330),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5330),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5330),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5330),
    [aux_sym_variable_attributes_token1] = ACTIONS(5330),
    [aux_sym_variable_attributes_token2] = ACTIONS(5330),
    [aux_sym_variable_attributes_token3] = ACTIONS(5330),
    [aux_sym_variable_attributes_token4] = ACTIONS(5330),
    [aux_sym_variable_attributes_token5] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5330),
    [aux_sym_derived_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5330),
    [aux_sym_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token2] = ACTIONS(5330),
    [aux_sym_subroutine_call_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token2] = ACTIONS(5330),
    [aux_sym_keyword_statement_token3] = ACTIONS(5330),
    [aux_sym_keyword_statement_token4] = ACTIONS(5330),
    [aux_sym_keyword_statement_token6] = ACTIONS(5330),
    [aux_sym_keyword_statement_token7] = ACTIONS(5330),
    [aux_sym_include_statement_token1] = ACTIONS(5330),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5330),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5330),
    [aux_sym_end_if_statement_token1] = ACTIONS(5330),
    [aux_sym_elseif_clause_token2] = ACTIONS(5330),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5330),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token3] = ACTIONS(5330),
    [aux_sym_select_type_statement_token1] = ACTIONS(5330),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5330),
    [aux_sym_associate_statement_token1] = ACTIONS(5330),
    [aux_sym_format_statement_token1] = ACTIONS(5330),
    [aux_sym_print_statement_token1] = ACTIONS(5330),
    [aux_sym_open_statement_token1] = ACTIONS(5330),
    [aux_sym_close_statement_token1] = ACTIONS(5330),
    [aux_sym_inquire_statement_token1] = ACTIONS(5330),
    [aux_sym_enum_statement_token1] = ACTIONS(5330),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token2] = ACTIONS(5330),
    [aux_sym_file_position_statement_token3] = ACTIONS(5330),
    [aux_sym_file_position_statement_token4] = ACTIONS(5330),
    [aux_sym_allocate_statement_token1] = ACTIONS(5330),
    [aux_sym_entry_statement_token1] = ACTIONS(5330),
    [aux_sym_assign_statement_token1] = ACTIONS(5330),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token2] = ACTIONS(5330),
    [aux_sym_coarray_statement_token6] = ACTIONS(5330),
    [aux_sym_coarray_statement_token8] = ACTIONS(5330),
    [aux_sym_coarray_statement_token11] = ACTIONS(5330),
    [aux_sym_coarray_statement_token12] = ACTIONS(5330),
    [aux_sym_coarray_statement_token13] = ACTIONS(5330),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5330),
    [aux_sym_identifier_token1] = ACTIONS(5330),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [sym_preproc_comment] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_end_function_statement_token1] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_end_function_statement_token1] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5458),
    [aux_sym_preproc_def_token1] = ACTIONS(5458),
    [aux_sym_preproc_if_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5458),
    [sym_preproc_directive] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [sym_preproc_comment] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5462),
    [aux_sym_interface_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token2] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5458),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5458),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5458),
    [aux_sym_language_binding_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5458),
    [aux_sym_contains_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token2] = ACTIONS(5458),
    [aux_sym_implicit_statement_token1] = ACTIONS(5458),
    [aux_sym_implicit_statement_token3] = ACTIONS(5458),
    [aux_sym_implicit_statement_token4] = ACTIONS(5458),
    [aux_sym_save_statement_token1] = ACTIONS(5458),
    [aux_sym_private_statement_token1] = ACTIONS(5458),
    [aux_sym_public_statement_token1] = ACTIONS(5458),
    [aux_sym_namelist_statement_token1] = ACTIONS(5458),
    [aux_sym_common_statement_token1] = ACTIONS(5458),
    [aux_sym_import_statement_token1] = ACTIONS(5458),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5458),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5458),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5458),
    [aux_sym_variable_attributes_token1] = ACTIONS(5458),
    [aux_sym_variable_attributes_token2] = ACTIONS(5458),
    [aux_sym_variable_attributes_token3] = ACTIONS(5458),
    [aux_sym_variable_attributes_token4] = ACTIONS(5458),
    [aux_sym_variable_attributes_token5] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5458),
    [aux_sym_derived_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5458),
    [aux_sym_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token2] = ACTIONS(5458),
    [aux_sym_subroutine_call_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token2] = ACTIONS(5458),
    [aux_sym_keyword_statement_token3] = ACTIONS(5458),
    [aux_sym_keyword_statement_token4] = ACTIONS(5458),
    [aux_sym_keyword_statement_token6] = ACTIONS(5458),
    [aux_sym_keyword_statement_token7] = ACTIONS(5458),
    [aux_sym_include_statement_token1] = ACTIONS(5458),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5458),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5458),
    [aux_sym_end_if_statement_token1] = ACTIONS(5458),
    [aux_sym_elseif_clause_token2] = ACTIONS(5458),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5458),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token3] = ACTIONS(5458),
    [aux_sym_select_type_statement_token1] = ACTIONS(5458),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5458),
    [aux_sym_associate_statement_token1] = ACTIONS(5458),
    [aux_sym_format_statement_token1] = ACTIONS(5458),
    [aux_sym_print_statement_token1] = ACTIONS(5458),
    [aux_sym_open_statement_token1] = ACTIONS(5458),
    [aux_sym_close_statement_token1] = ACTIONS(5458),
    [aux_sym_inquire_statement_token1] = ACTIONS(5458),
    [aux_sym_enum_statement_token1] = ACTIONS(5458),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token2] = ACTIONS(5458),
    [aux_sym_file_position_statement_token3] = ACTIONS(5458),
    [aux_sym_file_position_statement_token4] = ACTIONS(5458),
    [aux_sym_allocate_statement_token1] = ACTIONS(5458),
    [aux_sym_entry_statement_token1] = ACTIONS(5458),
    [aux_sym_assign_statement_token1] = ACTIONS(5458),
    [aux_sym_logical_expression_token5] = ACTIONS(5462),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5462),
    [aux_sym_boolean_literal_token1] = ACTIONS(5462),
    [aux_sym_boolean_literal_token2] = ACTIONS(5462),
    [aux_sym_null_literal_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token2] = ACTIONS(5458),
    [aux_sym_coarray_statement_token6] = ACTIONS(5458),
    [aux_sym_coarray_statement_token8] = ACTIONS(5458),
    [aux_sym_coarray_statement_token11] = ACTIONS(5458),
    [aux_sym_coarray_statement_token12] = ACTIONS(5458),
    [aux_sym_coarray_statement_token13] = ACTIONS(5458),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5458),
    [aux_sym_identifier_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5462),
    [sym__float_literal] = ACTIONS(5462),
    [sym__boz_literal] = ACTIONS(5462),
    [sym__string_literal] = ACTIONS(5462),
    [sym__string_literal_kind] = ACTIONS(5462),
  },
  [1311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [sym_preproc_comment] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5388),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [aux_sym_boolean_literal_token1] = ACTIONS(5388),
    [aux_sym_boolean_literal_token2] = ACTIONS(5388),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5388),
    [sym__float_literal] = ACTIONS(5388),
    [sym__boz_literal] = ACTIONS(5388),
    [sym__string_literal] = ACTIONS(5388),
    [sym__string_literal_kind] = ACTIONS(5388),
  },
  [1314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [sym_preproc_comment] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [sym_preproc_comment] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5472),
    [aux_sym_interface_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token2] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5468),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5468),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5468),
    [aux_sym_language_binding_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5468),
    [aux_sym_contains_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token2] = ACTIONS(5468),
    [aux_sym_implicit_statement_token1] = ACTIONS(5468),
    [aux_sym_implicit_statement_token3] = ACTIONS(5468),
    [aux_sym_implicit_statement_token4] = ACTIONS(5468),
    [aux_sym_save_statement_token1] = ACTIONS(5468),
    [aux_sym_private_statement_token1] = ACTIONS(5468),
    [aux_sym_public_statement_token1] = ACTIONS(5468),
    [aux_sym_namelist_statement_token1] = ACTIONS(5468),
    [aux_sym_common_statement_token1] = ACTIONS(5468),
    [aux_sym_import_statement_token1] = ACTIONS(5468),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5468),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5468),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5468),
    [aux_sym_variable_attributes_token1] = ACTIONS(5468),
    [aux_sym_variable_attributes_token2] = ACTIONS(5468),
    [aux_sym_variable_attributes_token3] = ACTIONS(5468),
    [aux_sym_variable_attributes_token4] = ACTIONS(5468),
    [aux_sym_variable_attributes_token5] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5468),
    [aux_sym_derived_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5468),
    [aux_sym_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token2] = ACTIONS(5468),
    [aux_sym_subroutine_call_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token2] = ACTIONS(5468),
    [aux_sym_keyword_statement_token3] = ACTIONS(5468),
    [aux_sym_keyword_statement_token4] = ACTIONS(5468),
    [aux_sym_keyword_statement_token6] = ACTIONS(5468),
    [aux_sym_keyword_statement_token7] = ACTIONS(5468),
    [aux_sym_include_statement_token1] = ACTIONS(5468),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5468),
    [aux_sym_end_if_statement_token1] = ACTIONS(5468),
    [aux_sym_elseif_clause_token2] = ACTIONS(5468),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5468),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token3] = ACTIONS(5468),
    [aux_sym_select_type_statement_token1] = ACTIONS(5468),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5468),
    [aux_sym_associate_statement_token1] = ACTIONS(5468),
    [aux_sym_format_statement_token1] = ACTIONS(5468),
    [aux_sym_print_statement_token1] = ACTIONS(5468),
    [aux_sym_open_statement_token1] = ACTIONS(5468),
    [aux_sym_close_statement_token1] = ACTIONS(5468),
    [aux_sym_inquire_statement_token1] = ACTIONS(5468),
    [aux_sym_enum_statement_token1] = ACTIONS(5468),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token2] = ACTIONS(5468),
    [aux_sym_file_position_statement_token3] = ACTIONS(5468),
    [aux_sym_file_position_statement_token4] = ACTIONS(5468),
    [aux_sym_allocate_statement_token1] = ACTIONS(5468),
    [aux_sym_entry_statement_token1] = ACTIONS(5468),
    [aux_sym_assign_statement_token1] = ACTIONS(5468),
    [aux_sym_logical_expression_token5] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [aux_sym_boolean_literal_token1] = ACTIONS(5472),
    [aux_sym_boolean_literal_token2] = ACTIONS(5472),
    [aux_sym_null_literal_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token2] = ACTIONS(5468),
    [aux_sym_coarray_statement_token6] = ACTIONS(5468),
    [aux_sym_coarray_statement_token8] = ACTIONS(5468),
    [aux_sym_coarray_statement_token11] = ACTIONS(5468),
    [aux_sym_coarray_statement_token12] = ACTIONS(5468),
    [aux_sym_coarray_statement_token13] = ACTIONS(5468),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5468),
    [aux_sym_identifier_token1] = ACTIONS(5468),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5472),
    [sym__float_literal] = ACTIONS(5472),
    [sym__boz_literal] = ACTIONS(5472),
    [sym__string_literal] = ACTIONS(5472),
    [sym__string_literal_kind] = ACTIONS(5472),
  },
  [1317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [sym_preproc_comment] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_end_function_statement_token1] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_end_function_statement_token1] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [sym_preproc_comment] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5388),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [aux_sym_boolean_literal_token1] = ACTIONS(5388),
    [aux_sym_boolean_literal_token2] = ACTIONS(5388),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5388),
    [sym__float_literal] = ACTIONS(5388),
    [sym__boz_literal] = ACTIONS(5388),
    [sym__string_literal] = ACTIONS(5388),
    [sym__string_literal_kind] = ACTIONS(5388),
  },
  [1323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5506),
    [aux_sym_preproc_def_token1] = ACTIONS(5506),
    [aux_sym_preproc_if_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5506),
    [sym_preproc_directive] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [sym_preproc_comment] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5510),
    [aux_sym_interface_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token2] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5506),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5506),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5506),
    [aux_sym_language_binding_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5506),
    [aux_sym_contains_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token2] = ACTIONS(5506),
    [aux_sym_implicit_statement_token1] = ACTIONS(5506),
    [aux_sym_implicit_statement_token3] = ACTIONS(5506),
    [aux_sym_implicit_statement_token4] = ACTIONS(5506),
    [aux_sym_save_statement_token1] = ACTIONS(5506),
    [aux_sym_private_statement_token1] = ACTIONS(5506),
    [aux_sym_public_statement_token1] = ACTIONS(5506),
    [aux_sym_namelist_statement_token1] = ACTIONS(5506),
    [aux_sym_common_statement_token1] = ACTIONS(5506),
    [aux_sym_import_statement_token1] = ACTIONS(5506),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5506),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5506),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5506),
    [aux_sym_variable_attributes_token1] = ACTIONS(5506),
    [aux_sym_variable_attributes_token2] = ACTIONS(5506),
    [aux_sym_variable_attributes_token3] = ACTIONS(5506),
    [aux_sym_variable_attributes_token4] = ACTIONS(5506),
    [aux_sym_variable_attributes_token5] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5506),
    [aux_sym_derived_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5506),
    [aux_sym_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token2] = ACTIONS(5506),
    [aux_sym_subroutine_call_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token2] = ACTIONS(5506),
    [aux_sym_keyword_statement_token3] = ACTIONS(5506),
    [aux_sym_keyword_statement_token4] = ACTIONS(5506),
    [aux_sym_keyword_statement_token6] = ACTIONS(5506),
    [aux_sym_keyword_statement_token7] = ACTIONS(5506),
    [aux_sym_include_statement_token1] = ACTIONS(5506),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5506),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5506),
    [aux_sym_end_if_statement_token1] = ACTIONS(5506),
    [aux_sym_elseif_clause_token2] = ACTIONS(5506),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5506),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token3] = ACTIONS(5506),
    [aux_sym_select_type_statement_token1] = ACTIONS(5506),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5506),
    [aux_sym_associate_statement_token1] = ACTIONS(5506),
    [aux_sym_format_statement_token1] = ACTIONS(5506),
    [aux_sym_print_statement_token1] = ACTIONS(5506),
    [aux_sym_open_statement_token1] = ACTIONS(5506),
    [aux_sym_close_statement_token1] = ACTIONS(5506),
    [aux_sym_inquire_statement_token1] = ACTIONS(5506),
    [aux_sym_enum_statement_token1] = ACTIONS(5506),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token2] = ACTIONS(5506),
    [aux_sym_file_position_statement_token3] = ACTIONS(5506),
    [aux_sym_file_position_statement_token4] = ACTIONS(5506),
    [aux_sym_allocate_statement_token1] = ACTIONS(5506),
    [aux_sym_entry_statement_token1] = ACTIONS(5506),
    [aux_sym_assign_statement_token1] = ACTIONS(5506),
    [aux_sym_logical_expression_token5] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [aux_sym_boolean_literal_token1] = ACTIONS(5510),
    [aux_sym_boolean_literal_token2] = ACTIONS(5510),
    [aux_sym_null_literal_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token2] = ACTIONS(5506),
    [aux_sym_coarray_statement_token6] = ACTIONS(5506),
    [aux_sym_coarray_statement_token8] = ACTIONS(5506),
    [aux_sym_coarray_statement_token11] = ACTIONS(5506),
    [aux_sym_coarray_statement_token12] = ACTIONS(5506),
    [aux_sym_coarray_statement_token13] = ACTIONS(5506),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5506),
    [aux_sym_identifier_token1] = ACTIONS(5506),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5510),
    [sym__float_literal] = ACTIONS(5510),
    [sym__boz_literal] = ACTIONS(5510),
    [sym__string_literal] = ACTIONS(5510),
    [sym__string_literal_kind] = ACTIONS(5510),
  },
  [1324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [sym_preproc_comment] = ACTIONS(5512),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5506),
    [aux_sym_preproc_def_token1] = ACTIONS(5506),
    [aux_sym_preproc_if_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5506),
    [sym_preproc_directive] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [sym_preproc_comment] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5510),
    [aux_sym_interface_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token2] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5506),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5506),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5506),
    [aux_sym_language_binding_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5506),
    [aux_sym_contains_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token2] = ACTIONS(5506),
    [aux_sym_implicit_statement_token1] = ACTIONS(5506),
    [aux_sym_implicit_statement_token3] = ACTIONS(5506),
    [aux_sym_implicit_statement_token4] = ACTIONS(5506),
    [aux_sym_save_statement_token1] = ACTIONS(5506),
    [aux_sym_private_statement_token1] = ACTIONS(5506),
    [aux_sym_public_statement_token1] = ACTIONS(5506),
    [aux_sym_namelist_statement_token1] = ACTIONS(5506),
    [aux_sym_common_statement_token1] = ACTIONS(5506),
    [aux_sym_import_statement_token1] = ACTIONS(5506),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5506),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5506),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5506),
    [aux_sym_variable_attributes_token1] = ACTIONS(5506),
    [aux_sym_variable_attributes_token2] = ACTIONS(5506),
    [aux_sym_variable_attributes_token3] = ACTIONS(5506),
    [aux_sym_variable_attributes_token4] = ACTIONS(5506),
    [aux_sym_variable_attributes_token5] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5506),
    [aux_sym_derived_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5506),
    [aux_sym_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token2] = ACTIONS(5506),
    [aux_sym_subroutine_call_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token2] = ACTIONS(5506),
    [aux_sym_keyword_statement_token3] = ACTIONS(5506),
    [aux_sym_keyword_statement_token4] = ACTIONS(5506),
    [aux_sym_keyword_statement_token6] = ACTIONS(5506),
    [aux_sym_keyword_statement_token7] = ACTIONS(5506),
    [aux_sym_include_statement_token1] = ACTIONS(5506),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5506),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5506),
    [aux_sym_end_if_statement_token1] = ACTIONS(5506),
    [aux_sym_elseif_clause_token2] = ACTIONS(5506),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5506),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token3] = ACTIONS(5506),
    [aux_sym_select_type_statement_token1] = ACTIONS(5506),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5506),
    [aux_sym_associate_statement_token1] = ACTIONS(5506),
    [aux_sym_format_statement_token1] = ACTIONS(5506),
    [aux_sym_print_statement_token1] = ACTIONS(5506),
    [aux_sym_open_statement_token1] = ACTIONS(5506),
    [aux_sym_close_statement_token1] = ACTIONS(5506),
    [aux_sym_inquire_statement_token1] = ACTIONS(5506),
    [aux_sym_enum_statement_token1] = ACTIONS(5506),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token2] = ACTIONS(5506),
    [aux_sym_file_position_statement_token3] = ACTIONS(5506),
    [aux_sym_file_position_statement_token4] = ACTIONS(5506),
    [aux_sym_allocate_statement_token1] = ACTIONS(5506),
    [aux_sym_entry_statement_token1] = ACTIONS(5506),
    [aux_sym_assign_statement_token1] = ACTIONS(5506),
    [aux_sym_logical_expression_token5] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [aux_sym_boolean_literal_token1] = ACTIONS(5510),
    [aux_sym_boolean_literal_token2] = ACTIONS(5510),
    [aux_sym_null_literal_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token2] = ACTIONS(5506),
    [aux_sym_coarray_statement_token6] = ACTIONS(5506),
    [aux_sym_coarray_statement_token8] = ACTIONS(5506),
    [aux_sym_coarray_statement_token11] = ACTIONS(5506),
    [aux_sym_coarray_statement_token12] = ACTIONS(5506),
    [aux_sym_coarray_statement_token13] = ACTIONS(5506),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5506),
    [aux_sym_identifier_token1] = ACTIONS(5506),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5510),
    [sym__float_literal] = ACTIONS(5510),
    [sym__boz_literal] = ACTIONS(5510),
    [sym__string_literal] = ACTIONS(5510),
    [sym__string_literal_kind] = ACTIONS(5510),
  },
  [1326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5518),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_end_function_statement_token1] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5520),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_end_function_statement_token1] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [sym_preproc_comment] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5356),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [aux_sym_boolean_literal_token1] = ACTIONS(5356),
    [aux_sym_boolean_literal_token2] = ACTIONS(5356),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5356),
    [sym__float_literal] = ACTIONS(5356),
    [sym__boz_literal] = ACTIONS(5356),
    [sym__string_literal] = ACTIONS(5356),
    [sym__string_literal_kind] = ACTIONS(5356),
  },
  [1331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5524),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_end_function_statement_token1] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5458),
    [aux_sym_preproc_def_token1] = ACTIONS(5458),
    [aux_sym_preproc_if_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5458),
    [sym_preproc_directive] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [sym_preproc_comment] = ACTIONS(5528),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5458),
    [aux_sym_end_program_statement_token2] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5462),
    [aux_sym_interface_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token2] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5458),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5458),
    [aux_sym_language_binding_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5458),
    [aux_sym_contains_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token2] = ACTIONS(5458),
    [aux_sym_implicit_statement_token1] = ACTIONS(5458),
    [aux_sym_implicit_statement_token3] = ACTIONS(5458),
    [aux_sym_implicit_statement_token4] = ACTIONS(5458),
    [aux_sym_save_statement_token1] = ACTIONS(5458),
    [aux_sym_private_statement_token1] = ACTIONS(5458),
    [aux_sym_public_statement_token1] = ACTIONS(5458),
    [aux_sym_namelist_statement_token1] = ACTIONS(5458),
    [aux_sym_common_statement_token1] = ACTIONS(5458),
    [aux_sym_import_statement_token1] = ACTIONS(5458),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5458),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5458),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5458),
    [aux_sym_variable_attributes_token1] = ACTIONS(5458),
    [aux_sym_variable_attributes_token2] = ACTIONS(5458),
    [aux_sym_variable_attributes_token3] = ACTIONS(5458),
    [aux_sym_variable_attributes_token4] = ACTIONS(5458),
    [aux_sym_variable_attributes_token5] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5458),
    [aux_sym_derived_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5458),
    [aux_sym_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token2] = ACTIONS(5458),
    [aux_sym_subroutine_call_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token2] = ACTIONS(5458),
    [aux_sym_keyword_statement_token3] = ACTIONS(5458),
    [aux_sym_keyword_statement_token4] = ACTIONS(5458),
    [aux_sym_keyword_statement_token6] = ACTIONS(5458),
    [aux_sym_keyword_statement_token7] = ACTIONS(5458),
    [aux_sym_include_statement_token1] = ACTIONS(5458),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5458),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5458),
    [aux_sym_end_if_statement_token1] = ACTIONS(5458),
    [aux_sym_elseif_clause_token2] = ACTIONS(5458),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5458),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token3] = ACTIONS(5458),
    [aux_sym_select_type_statement_token1] = ACTIONS(5458),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5458),
    [aux_sym_associate_statement_token1] = ACTIONS(5458),
    [aux_sym_format_statement_token1] = ACTIONS(5458),
    [aux_sym_print_statement_token1] = ACTIONS(5458),
    [aux_sym_open_statement_token1] = ACTIONS(5458),
    [aux_sym_close_statement_token1] = ACTIONS(5458),
    [aux_sym_inquire_statement_token1] = ACTIONS(5458),
    [aux_sym_enum_statement_token1] = ACTIONS(5458),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token2] = ACTIONS(5458),
    [aux_sym_file_position_statement_token3] = ACTIONS(5458),
    [aux_sym_file_position_statement_token4] = ACTIONS(5458),
    [aux_sym_allocate_statement_token1] = ACTIONS(5458),
    [aux_sym_entry_statement_token1] = ACTIONS(5458),
    [aux_sym_assign_statement_token1] = ACTIONS(5458),
    [aux_sym_logical_expression_token5] = ACTIONS(5462),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5462),
    [aux_sym_boolean_literal_token1] = ACTIONS(5462),
    [aux_sym_boolean_literal_token2] = ACTIONS(5462),
    [aux_sym_null_literal_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token2] = ACTIONS(5458),
    [aux_sym_coarray_statement_token6] = ACTIONS(5458),
    [aux_sym_coarray_statement_token8] = ACTIONS(5458),
    [aux_sym_coarray_statement_token11] = ACTIONS(5458),
    [aux_sym_coarray_statement_token12] = ACTIONS(5458),
    [aux_sym_coarray_statement_token13] = ACTIONS(5458),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5458),
    [aux_sym_identifier_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5462),
    [sym__float_literal] = ACTIONS(5462),
    [sym__boz_literal] = ACTIONS(5462),
    [sym__string_literal] = ACTIONS(5462),
    [sym__string_literal_kind] = ACTIONS(5462),
  },
  [1334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5532),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5536),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [sym_preproc_comment] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5356),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [aux_sym_boolean_literal_token1] = ACTIONS(5356),
    [aux_sym_boolean_literal_token2] = ACTIONS(5356),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5356),
    [sym__float_literal] = ACTIONS(5356),
    [sym__boz_literal] = ACTIONS(5356),
    [sym__string_literal] = ACTIONS(5356),
    [sym__string_literal_kind] = ACTIONS(5356),
  },
  [1339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [sym_preproc_comment] = ACTIONS(5540),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5468),
    [aux_sym_end_program_statement_token2] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5472),
    [aux_sym_interface_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token2] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5468),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5468),
    [aux_sym_language_binding_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5468),
    [aux_sym_contains_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token2] = ACTIONS(5468),
    [aux_sym_implicit_statement_token1] = ACTIONS(5468),
    [aux_sym_implicit_statement_token3] = ACTIONS(5468),
    [aux_sym_implicit_statement_token4] = ACTIONS(5468),
    [aux_sym_save_statement_token1] = ACTIONS(5468),
    [aux_sym_private_statement_token1] = ACTIONS(5468),
    [aux_sym_public_statement_token1] = ACTIONS(5468),
    [aux_sym_namelist_statement_token1] = ACTIONS(5468),
    [aux_sym_common_statement_token1] = ACTIONS(5468),
    [aux_sym_import_statement_token1] = ACTIONS(5468),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5468),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5468),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5468),
    [aux_sym_variable_attributes_token1] = ACTIONS(5468),
    [aux_sym_variable_attributes_token2] = ACTIONS(5468),
    [aux_sym_variable_attributes_token3] = ACTIONS(5468),
    [aux_sym_variable_attributes_token4] = ACTIONS(5468),
    [aux_sym_variable_attributes_token5] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5468),
    [aux_sym_derived_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5468),
    [aux_sym_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token2] = ACTIONS(5468),
    [aux_sym_subroutine_call_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token2] = ACTIONS(5468),
    [aux_sym_keyword_statement_token3] = ACTIONS(5468),
    [aux_sym_keyword_statement_token4] = ACTIONS(5468),
    [aux_sym_keyword_statement_token6] = ACTIONS(5468),
    [aux_sym_keyword_statement_token7] = ACTIONS(5468),
    [aux_sym_include_statement_token1] = ACTIONS(5468),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5468),
    [aux_sym_end_if_statement_token1] = ACTIONS(5468),
    [aux_sym_elseif_clause_token2] = ACTIONS(5468),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5468),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token3] = ACTIONS(5468),
    [aux_sym_select_type_statement_token1] = ACTIONS(5468),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5468),
    [aux_sym_associate_statement_token1] = ACTIONS(5468),
    [aux_sym_format_statement_token1] = ACTIONS(5468),
    [aux_sym_print_statement_token1] = ACTIONS(5468),
    [aux_sym_open_statement_token1] = ACTIONS(5468),
    [aux_sym_close_statement_token1] = ACTIONS(5468),
    [aux_sym_inquire_statement_token1] = ACTIONS(5468),
    [aux_sym_enum_statement_token1] = ACTIONS(5468),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token2] = ACTIONS(5468),
    [aux_sym_file_position_statement_token3] = ACTIONS(5468),
    [aux_sym_file_position_statement_token4] = ACTIONS(5468),
    [aux_sym_allocate_statement_token1] = ACTIONS(5468),
    [aux_sym_entry_statement_token1] = ACTIONS(5468),
    [aux_sym_assign_statement_token1] = ACTIONS(5468),
    [aux_sym_logical_expression_token5] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [aux_sym_boolean_literal_token1] = ACTIONS(5472),
    [aux_sym_boolean_literal_token2] = ACTIONS(5472),
    [aux_sym_null_literal_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token2] = ACTIONS(5468),
    [aux_sym_coarray_statement_token6] = ACTIONS(5468),
    [aux_sym_coarray_statement_token8] = ACTIONS(5468),
    [aux_sym_coarray_statement_token11] = ACTIONS(5468),
    [aux_sym_coarray_statement_token12] = ACTIONS(5468),
    [aux_sym_coarray_statement_token13] = ACTIONS(5468),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5468),
    [aux_sym_identifier_token1] = ACTIONS(5468),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5472),
    [sym__float_literal] = ACTIONS(5472),
    [sym__boz_literal] = ACTIONS(5472),
    [sym__string_literal] = ACTIONS(5472),
    [sym__string_literal_kind] = ACTIONS(5472),
  },
  [1340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [sym_preproc_comment] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5506),
    [aux_sym_preproc_def_token1] = ACTIONS(5506),
    [aux_sym_preproc_if_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5506),
    [sym_preproc_directive] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [sym_preproc_comment] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5510),
    [aux_sym_interface_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token2] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5506),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5506),
    [aux_sym_language_binding_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5506),
    [aux_sym_end_function_statement_token1] = ACTIONS(5506),
    [aux_sym_contains_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token2] = ACTIONS(5506),
    [aux_sym_implicit_statement_token1] = ACTIONS(5506),
    [aux_sym_implicit_statement_token3] = ACTIONS(5506),
    [aux_sym_implicit_statement_token4] = ACTIONS(5506),
    [aux_sym_save_statement_token1] = ACTIONS(5506),
    [aux_sym_private_statement_token1] = ACTIONS(5506),
    [aux_sym_public_statement_token1] = ACTIONS(5506),
    [aux_sym_namelist_statement_token1] = ACTIONS(5506),
    [aux_sym_common_statement_token1] = ACTIONS(5506),
    [aux_sym_import_statement_token1] = ACTIONS(5506),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5506),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5506),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5506),
    [aux_sym_variable_attributes_token1] = ACTIONS(5506),
    [aux_sym_variable_attributes_token2] = ACTIONS(5506),
    [aux_sym_variable_attributes_token3] = ACTIONS(5506),
    [aux_sym_variable_attributes_token4] = ACTIONS(5506),
    [aux_sym_variable_attributes_token5] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5506),
    [aux_sym_derived_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5506),
    [aux_sym_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token2] = ACTIONS(5506),
    [aux_sym_subroutine_call_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token2] = ACTIONS(5506),
    [aux_sym_keyword_statement_token3] = ACTIONS(5506),
    [aux_sym_keyword_statement_token4] = ACTIONS(5506),
    [aux_sym_keyword_statement_token6] = ACTIONS(5506),
    [aux_sym_keyword_statement_token7] = ACTIONS(5506),
    [aux_sym_include_statement_token1] = ACTIONS(5506),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5506),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5506),
    [aux_sym_end_if_statement_token1] = ACTIONS(5506),
    [aux_sym_elseif_clause_token2] = ACTIONS(5506),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5506),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token3] = ACTIONS(5506),
    [aux_sym_select_type_statement_token1] = ACTIONS(5506),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5506),
    [aux_sym_associate_statement_token1] = ACTIONS(5506),
    [aux_sym_format_statement_token1] = ACTIONS(5506),
    [aux_sym_print_statement_token1] = ACTIONS(5506),
    [aux_sym_open_statement_token1] = ACTIONS(5506),
    [aux_sym_close_statement_token1] = ACTIONS(5506),
    [aux_sym_inquire_statement_token1] = ACTIONS(5506),
    [aux_sym_enum_statement_token1] = ACTIONS(5506),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token2] = ACTIONS(5506),
    [aux_sym_file_position_statement_token3] = ACTIONS(5506),
    [aux_sym_file_position_statement_token4] = ACTIONS(5506),
    [aux_sym_allocate_statement_token1] = ACTIONS(5506),
    [aux_sym_entry_statement_token1] = ACTIONS(5506),
    [aux_sym_assign_statement_token1] = ACTIONS(5506),
    [aux_sym_logical_expression_token5] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [aux_sym_boolean_literal_token1] = ACTIONS(5510),
    [aux_sym_boolean_literal_token2] = ACTIONS(5510),
    [aux_sym_null_literal_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token2] = ACTIONS(5506),
    [aux_sym_coarray_statement_token6] = ACTIONS(5506),
    [aux_sym_coarray_statement_token8] = ACTIONS(5506),
    [aux_sym_coarray_statement_token11] = ACTIONS(5506),
    [aux_sym_coarray_statement_token12] = ACTIONS(5506),
    [aux_sym_coarray_statement_token13] = ACTIONS(5506),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5506),
    [aux_sym_identifier_token1] = ACTIONS(5506),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5510),
    [sym__float_literal] = ACTIONS(5510),
    [sym__boz_literal] = ACTIONS(5510),
    [sym__string_literal] = ACTIONS(5510),
    [sym__string_literal_kind] = ACTIONS(5510),
  },
  [1344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5390),
    [aux_sym_preproc_def_token1] = ACTIONS(5390),
    [aux_sym_preproc_if_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5390),
    [sym_preproc_directive] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [sym_preproc_comment] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token1] = ACTIONS(5390),
    [aux_sym_block_data_statement_token2] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5390),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5390),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5390),
    [aux_sym_language_binding_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5390),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5390),
    [aux_sym_end_function_statement_token1] = ACTIONS(5390),
    [aux_sym_contains_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token1] = ACTIONS(5390),
    [aux_sym_use_statement_token2] = ACTIONS(5390),
    [aux_sym_implicit_statement_token1] = ACTIONS(5390),
    [aux_sym_implicit_statement_token3] = ACTIONS(5390),
    [aux_sym_implicit_statement_token4] = ACTIONS(5390),
    [aux_sym_save_statement_token1] = ACTIONS(5390),
    [aux_sym_private_statement_token1] = ACTIONS(5390),
    [aux_sym_public_statement_token1] = ACTIONS(5390),
    [aux_sym_namelist_statement_token1] = ACTIONS(5390),
    [aux_sym_common_statement_token1] = ACTIONS(5390),
    [aux_sym_import_statement_token1] = ACTIONS(5390),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5390),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5390),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5390),
    [aux_sym_variable_attributes_token1] = ACTIONS(5390),
    [aux_sym_variable_attributes_token2] = ACTIONS(5390),
    [aux_sym_variable_attributes_token3] = ACTIONS(5390),
    [aux_sym_variable_attributes_token4] = ACTIONS(5390),
    [aux_sym_variable_attributes_token5] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5390),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5390),
    [aux_sym_derived_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token1] = ACTIONS(5390),
    [aux_sym_declared_type_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5390),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5390),
    [aux_sym_type_qualifier_token1] = ACTIONS(5390),
    [aux_sym_type_qualifier_token2] = ACTIONS(5390),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token1] = ACTIONS(5390),
    [aux_sym_stop_statement_token2] = ACTIONS(5390),
    [aux_sym_subroutine_call_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token1] = ACTIONS(5390),
    [aux_sym_keyword_statement_token2] = ACTIONS(5390),
    [aux_sym_keyword_statement_token3] = ACTIONS(5390),
    [aux_sym_keyword_statement_token4] = ACTIONS(5390),
    [aux_sym_keyword_statement_token6] = ACTIONS(5390),
    [aux_sym_keyword_statement_token7] = ACTIONS(5390),
    [aux_sym_include_statement_token1] = ACTIONS(5390),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5390),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5390),
    [aux_sym_end_if_statement_token1] = ACTIONS(5390),
    [aux_sym_elseif_clause_token2] = ACTIONS(5390),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5390),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token1] = ACTIONS(5390),
    [aux_sym_select_case_statement_token3] = ACTIONS(5390),
    [aux_sym_select_type_statement_token1] = ACTIONS(5390),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5390),
    [aux_sym_associate_statement_token1] = ACTIONS(5390),
    [aux_sym_format_statement_token1] = ACTIONS(5390),
    [aux_sym_print_statement_token1] = ACTIONS(5390),
    [aux_sym_open_statement_token1] = ACTIONS(5390),
    [aux_sym_close_statement_token1] = ACTIONS(5390),
    [aux_sym_inquire_statement_token1] = ACTIONS(5390),
    [aux_sym_enum_statement_token1] = ACTIONS(5390),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token1] = ACTIONS(5390),
    [aux_sym_file_position_statement_token2] = ACTIONS(5390),
    [aux_sym_file_position_statement_token3] = ACTIONS(5390),
    [aux_sym_file_position_statement_token4] = ACTIONS(5390),
    [aux_sym_allocate_statement_token1] = ACTIONS(5390),
    [aux_sym_entry_statement_token1] = ACTIONS(5390),
    [aux_sym_assign_statement_token1] = ACTIONS(5390),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_statement_token2] = ACTIONS(5390),
    [aux_sym_coarray_statement_token6] = ACTIONS(5390),
    [aux_sym_coarray_statement_token8] = ACTIONS(5390),
    [aux_sym_coarray_statement_token11] = ACTIONS(5390),
    [aux_sym_coarray_statement_token12] = ACTIONS(5390),
    [aux_sym_coarray_statement_token13] = ACTIONS(5390),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5390),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5390),
    [aux_sym_identifier_token1] = ACTIONS(5390),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_end_function_statement_token1] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [aux_sym_end_program_statement_token2] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [sym_preproc_comment] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token1] = ACTIONS(5366),
    [aux_sym_block_data_statement_token2] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5366),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5366),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5366),
    [aux_sym_language_binding_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5366),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5366),
    [aux_sym_end_function_statement_token1] = ACTIONS(5366),
    [aux_sym_contains_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token1] = ACTIONS(5366),
    [aux_sym_use_statement_token2] = ACTIONS(5366),
    [aux_sym_implicit_statement_token1] = ACTIONS(5366),
    [aux_sym_implicit_statement_token3] = ACTIONS(5366),
    [aux_sym_implicit_statement_token4] = ACTIONS(5366),
    [aux_sym_save_statement_token1] = ACTIONS(5366),
    [aux_sym_private_statement_token1] = ACTIONS(5366),
    [aux_sym_public_statement_token1] = ACTIONS(5366),
    [aux_sym_namelist_statement_token1] = ACTIONS(5366),
    [aux_sym_common_statement_token1] = ACTIONS(5366),
    [aux_sym_import_statement_token1] = ACTIONS(5366),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5366),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5366),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5366),
    [aux_sym_variable_attributes_token1] = ACTIONS(5366),
    [aux_sym_variable_attributes_token2] = ACTIONS(5366),
    [aux_sym_variable_attributes_token3] = ACTIONS(5366),
    [aux_sym_variable_attributes_token4] = ACTIONS(5366),
    [aux_sym_variable_attributes_token5] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5366),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5366),
    [aux_sym_derived_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token1] = ACTIONS(5366),
    [aux_sym_declared_type_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5366),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5366),
    [aux_sym_type_qualifier_token1] = ACTIONS(5366),
    [aux_sym_type_qualifier_token2] = ACTIONS(5366),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token1] = ACTIONS(5366),
    [aux_sym_stop_statement_token2] = ACTIONS(5366),
    [aux_sym_subroutine_call_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token1] = ACTIONS(5366),
    [aux_sym_keyword_statement_token2] = ACTIONS(5366),
    [aux_sym_keyword_statement_token3] = ACTIONS(5366),
    [aux_sym_keyword_statement_token4] = ACTIONS(5366),
    [aux_sym_keyword_statement_token6] = ACTIONS(5366),
    [aux_sym_keyword_statement_token7] = ACTIONS(5366),
    [aux_sym_include_statement_token1] = ACTIONS(5366),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5366),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5366),
    [aux_sym_end_if_statement_token1] = ACTIONS(5366),
    [aux_sym_elseif_clause_token2] = ACTIONS(5366),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5366),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token1] = ACTIONS(5366),
    [aux_sym_select_case_statement_token3] = ACTIONS(5366),
    [aux_sym_select_type_statement_token1] = ACTIONS(5366),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5366),
    [aux_sym_associate_statement_token1] = ACTIONS(5366),
    [aux_sym_format_statement_token1] = ACTIONS(5366),
    [aux_sym_print_statement_token1] = ACTIONS(5366),
    [aux_sym_open_statement_token1] = ACTIONS(5366),
    [aux_sym_close_statement_token1] = ACTIONS(5366),
    [aux_sym_inquire_statement_token1] = ACTIONS(5366),
    [aux_sym_enum_statement_token1] = ACTIONS(5366),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token1] = ACTIONS(5366),
    [aux_sym_file_position_statement_token2] = ACTIONS(5366),
    [aux_sym_file_position_statement_token3] = ACTIONS(5366),
    [aux_sym_file_position_statement_token4] = ACTIONS(5366),
    [aux_sym_allocate_statement_token1] = ACTIONS(5366),
    [aux_sym_entry_statement_token1] = ACTIONS(5366),
    [aux_sym_assign_statement_token1] = ACTIONS(5366),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5366),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_statement_token2] = ACTIONS(5366),
    [aux_sym_coarray_statement_token6] = ACTIONS(5366),
    [aux_sym_coarray_statement_token8] = ACTIONS(5366),
    [aux_sym_coarray_statement_token11] = ACTIONS(5366),
    [aux_sym_coarray_statement_token12] = ACTIONS(5366),
    [aux_sym_coarray_statement_token13] = ACTIONS(5366),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5366),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5366),
    [aux_sym_identifier_token1] = ACTIONS(5366),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [sym_preproc_comment] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_end_function_statement_token1] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [sym_preproc_comment] = ACTIONS(5556),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token1] = ACTIONS(5398),
    [aux_sym_block_data_statement_token2] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5398),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5398),
    [aux_sym_language_binding_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5398),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5398),
    [aux_sym_end_function_statement_token1] = ACTIONS(5398),
    [aux_sym_contains_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token1] = ACTIONS(5398),
    [aux_sym_use_statement_token2] = ACTIONS(5398),
    [aux_sym_implicit_statement_token1] = ACTIONS(5398),
    [aux_sym_implicit_statement_token3] = ACTIONS(5398),
    [aux_sym_implicit_statement_token4] = ACTIONS(5398),
    [aux_sym_save_statement_token1] = ACTIONS(5398),
    [aux_sym_private_statement_token1] = ACTIONS(5398),
    [aux_sym_public_statement_token1] = ACTIONS(5398),
    [aux_sym_namelist_statement_token1] = ACTIONS(5398),
    [aux_sym_common_statement_token1] = ACTIONS(5398),
    [aux_sym_import_statement_token1] = ACTIONS(5398),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5398),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5398),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5398),
    [aux_sym_variable_attributes_token1] = ACTIONS(5398),
    [aux_sym_variable_attributes_token2] = ACTIONS(5398),
    [aux_sym_variable_attributes_token3] = ACTIONS(5398),
    [aux_sym_variable_attributes_token4] = ACTIONS(5398),
    [aux_sym_variable_attributes_token5] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5398),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5398),
    [aux_sym_derived_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token1] = ACTIONS(5398),
    [aux_sym_declared_type_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5398),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5398),
    [aux_sym_type_qualifier_token1] = ACTIONS(5398),
    [aux_sym_type_qualifier_token2] = ACTIONS(5398),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token1] = ACTIONS(5398),
    [aux_sym_stop_statement_token2] = ACTIONS(5398),
    [aux_sym_subroutine_call_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token1] = ACTIONS(5398),
    [aux_sym_keyword_statement_token2] = ACTIONS(5398),
    [aux_sym_keyword_statement_token3] = ACTIONS(5398),
    [aux_sym_keyword_statement_token4] = ACTIONS(5398),
    [aux_sym_keyword_statement_token6] = ACTIONS(5398),
    [aux_sym_keyword_statement_token7] = ACTIONS(5398),
    [aux_sym_include_statement_token1] = ACTIONS(5398),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5398),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5398),
    [aux_sym_end_if_statement_token1] = ACTIONS(5398),
    [aux_sym_elseif_clause_token2] = ACTIONS(5398),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5398),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token1] = ACTIONS(5398),
    [aux_sym_select_case_statement_token3] = ACTIONS(5398),
    [aux_sym_select_type_statement_token1] = ACTIONS(5398),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5398),
    [aux_sym_associate_statement_token1] = ACTIONS(5398),
    [aux_sym_format_statement_token1] = ACTIONS(5398),
    [aux_sym_print_statement_token1] = ACTIONS(5398),
    [aux_sym_open_statement_token1] = ACTIONS(5398),
    [aux_sym_close_statement_token1] = ACTIONS(5398),
    [aux_sym_inquire_statement_token1] = ACTIONS(5398),
    [aux_sym_enum_statement_token1] = ACTIONS(5398),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token1] = ACTIONS(5398),
    [aux_sym_file_position_statement_token2] = ACTIONS(5398),
    [aux_sym_file_position_statement_token3] = ACTIONS(5398),
    [aux_sym_file_position_statement_token4] = ACTIONS(5398),
    [aux_sym_allocate_statement_token1] = ACTIONS(5398),
    [aux_sym_entry_statement_token1] = ACTIONS(5398),
    [aux_sym_assign_statement_token1] = ACTIONS(5398),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_statement_token2] = ACTIONS(5398),
    [aux_sym_coarray_statement_token6] = ACTIONS(5398),
    [aux_sym_coarray_statement_token8] = ACTIONS(5398),
    [aux_sym_coarray_statement_token11] = ACTIONS(5398),
    [aux_sym_coarray_statement_token12] = ACTIONS(5398),
    [aux_sym_coarray_statement_token13] = ACTIONS(5398),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5398),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5398),
    [aux_sym_identifier_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [sym_preproc_comment] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_end_function_statement_token1] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5506),
    [aux_sym_preproc_def_token1] = ACTIONS(5506),
    [aux_sym_preproc_if_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5506),
    [sym_preproc_directive] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [sym_preproc_comment] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5506),
    [aux_sym_end_program_statement_token2] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5510),
    [aux_sym_interface_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token1] = ACTIONS(5506),
    [aux_sym_block_data_statement_token2] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5506),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5506),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5506),
    [aux_sym_language_binding_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5506),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5506),
    [aux_sym_contains_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token1] = ACTIONS(5506),
    [aux_sym_use_statement_token2] = ACTIONS(5506),
    [aux_sym_implicit_statement_token1] = ACTIONS(5506),
    [aux_sym_implicit_statement_token3] = ACTIONS(5506),
    [aux_sym_implicit_statement_token4] = ACTIONS(5506),
    [aux_sym_save_statement_token1] = ACTIONS(5506),
    [aux_sym_private_statement_token1] = ACTIONS(5506),
    [aux_sym_public_statement_token1] = ACTIONS(5506),
    [aux_sym_namelist_statement_token1] = ACTIONS(5506),
    [aux_sym_common_statement_token1] = ACTIONS(5506),
    [aux_sym_import_statement_token1] = ACTIONS(5506),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5506),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5506),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5506),
    [aux_sym_variable_attributes_token1] = ACTIONS(5506),
    [aux_sym_variable_attributes_token2] = ACTIONS(5506),
    [aux_sym_variable_attributes_token3] = ACTIONS(5506),
    [aux_sym_variable_attributes_token4] = ACTIONS(5506),
    [aux_sym_variable_attributes_token5] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5506),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5506),
    [aux_sym_derived_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token1] = ACTIONS(5506),
    [aux_sym_declared_type_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5506),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5506),
    [aux_sym_type_qualifier_token1] = ACTIONS(5506),
    [aux_sym_type_qualifier_token2] = ACTIONS(5506),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token1] = ACTIONS(5506),
    [aux_sym_stop_statement_token2] = ACTIONS(5506),
    [aux_sym_subroutine_call_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token1] = ACTIONS(5506),
    [aux_sym_keyword_statement_token2] = ACTIONS(5506),
    [aux_sym_keyword_statement_token3] = ACTIONS(5506),
    [aux_sym_keyword_statement_token4] = ACTIONS(5506),
    [aux_sym_keyword_statement_token6] = ACTIONS(5506),
    [aux_sym_keyword_statement_token7] = ACTIONS(5506),
    [aux_sym_include_statement_token1] = ACTIONS(5506),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5506),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5506),
    [aux_sym_end_if_statement_token1] = ACTIONS(5506),
    [aux_sym_elseif_clause_token2] = ACTIONS(5506),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5506),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token1] = ACTIONS(5506),
    [aux_sym_select_case_statement_token3] = ACTIONS(5506),
    [aux_sym_select_type_statement_token1] = ACTIONS(5506),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5506),
    [aux_sym_associate_statement_token1] = ACTIONS(5506),
    [aux_sym_format_statement_token1] = ACTIONS(5506),
    [aux_sym_print_statement_token1] = ACTIONS(5506),
    [aux_sym_open_statement_token1] = ACTIONS(5506),
    [aux_sym_close_statement_token1] = ACTIONS(5506),
    [aux_sym_inquire_statement_token1] = ACTIONS(5506),
    [aux_sym_enum_statement_token1] = ACTIONS(5506),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token1] = ACTIONS(5506),
    [aux_sym_file_position_statement_token2] = ACTIONS(5506),
    [aux_sym_file_position_statement_token3] = ACTIONS(5506),
    [aux_sym_file_position_statement_token4] = ACTIONS(5506),
    [aux_sym_allocate_statement_token1] = ACTIONS(5506),
    [aux_sym_entry_statement_token1] = ACTIONS(5506),
    [aux_sym_assign_statement_token1] = ACTIONS(5506),
    [aux_sym_logical_expression_token5] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [aux_sym_boolean_literal_token1] = ACTIONS(5510),
    [aux_sym_boolean_literal_token2] = ACTIONS(5510),
    [aux_sym_null_literal_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_statement_token2] = ACTIONS(5506),
    [aux_sym_coarray_statement_token6] = ACTIONS(5506),
    [aux_sym_coarray_statement_token8] = ACTIONS(5506),
    [aux_sym_coarray_statement_token11] = ACTIONS(5506),
    [aux_sym_coarray_statement_token12] = ACTIONS(5506),
    [aux_sym_coarray_statement_token13] = ACTIONS(5506),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5506),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5506),
    [aux_sym_identifier_token1] = ACTIONS(5506),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5510),
    [sym__float_literal] = ACTIONS(5510),
    [sym__boz_literal] = ACTIONS(5510),
    [sym__string_literal] = ACTIONS(5510),
    [sym__string_literal_kind] = ACTIONS(5510),
  },
  [1361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_end_function_statement_token1] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [sym_preproc_comment] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5340),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_end_function_statement_token1] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [aux_sym_boolean_literal_token1] = ACTIONS(5340),
    [aux_sym_boolean_literal_token2] = ACTIONS(5340),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5340),
    [sym__float_literal] = ACTIONS(5340),
    [sym__boz_literal] = ACTIONS(5340),
    [sym__string_literal] = ACTIONS(5340),
    [sym__string_literal_kind] = ACTIONS(5340),
  },
  [1365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [sym_preproc_comment] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_end_function_statement_token1] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4736),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4736),
    [sym_preproc_directive] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [sym_preproc_comment] = ACTIONS(5574),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4736),
    [aux_sym_end_program_statement_token2] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4742),
    [aux_sym_interface_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token1] = ACTIONS(4736),
    [aux_sym_block_data_statement_token2] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4736),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4736),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4736),
    [aux_sym_language_binding_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4736),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4736),
    [aux_sym_contains_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token1] = ACTIONS(4736),
    [aux_sym_use_statement_token2] = ACTIONS(4736),
    [aux_sym_implicit_statement_token1] = ACTIONS(4736),
    [aux_sym_implicit_statement_token3] = ACTIONS(4736),
    [aux_sym_implicit_statement_token4] = ACTIONS(4736),
    [aux_sym_save_statement_token1] = ACTIONS(4736),
    [aux_sym_private_statement_token1] = ACTIONS(4736),
    [aux_sym_public_statement_token1] = ACTIONS(4736),
    [aux_sym_namelist_statement_token1] = ACTIONS(4736),
    [aux_sym_common_statement_token1] = ACTIONS(4736),
    [aux_sym_import_statement_token1] = ACTIONS(4736),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4736),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4736),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4736),
    [aux_sym_variable_attributes_token1] = ACTIONS(4736),
    [aux_sym_variable_attributes_token2] = ACTIONS(4736),
    [aux_sym_variable_attributes_token3] = ACTIONS(4736),
    [aux_sym_variable_attributes_token4] = ACTIONS(4736),
    [aux_sym_variable_attributes_token5] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4736),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4736),
    [aux_sym_derived_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token1] = ACTIONS(4736),
    [aux_sym_declared_type_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4736),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4736),
    [aux_sym_type_qualifier_token1] = ACTIONS(4736),
    [aux_sym_type_qualifier_token2] = ACTIONS(4736),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token1] = ACTIONS(4736),
    [aux_sym_stop_statement_token2] = ACTIONS(4736),
    [aux_sym_subroutine_call_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token1] = ACTIONS(4736),
    [aux_sym_keyword_statement_token2] = ACTIONS(4736),
    [aux_sym_keyword_statement_token3] = ACTIONS(4736),
    [aux_sym_keyword_statement_token4] = ACTIONS(4736),
    [aux_sym_keyword_statement_token6] = ACTIONS(4736),
    [aux_sym_keyword_statement_token7] = ACTIONS(4736),
    [aux_sym_include_statement_token1] = ACTIONS(4736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4736),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4736),
    [aux_sym_end_if_statement_token1] = ACTIONS(4736),
    [aux_sym_elseif_clause_token2] = ACTIONS(4736),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4736),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token1] = ACTIONS(4736),
    [aux_sym_select_case_statement_token3] = ACTIONS(4736),
    [aux_sym_select_type_statement_token1] = ACTIONS(4736),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4736),
    [aux_sym_associate_statement_token1] = ACTIONS(4736),
    [aux_sym_format_statement_token1] = ACTIONS(4736),
    [aux_sym_print_statement_token1] = ACTIONS(4736),
    [aux_sym_open_statement_token1] = ACTIONS(4736),
    [aux_sym_close_statement_token1] = ACTIONS(4736),
    [aux_sym_inquire_statement_token1] = ACTIONS(4736),
    [aux_sym_enum_statement_token1] = ACTIONS(4736),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token1] = ACTIONS(4736),
    [aux_sym_file_position_statement_token2] = ACTIONS(4736),
    [aux_sym_file_position_statement_token3] = ACTIONS(4736),
    [aux_sym_file_position_statement_token4] = ACTIONS(4736),
    [aux_sym_allocate_statement_token1] = ACTIONS(4736),
    [aux_sym_entry_statement_token1] = ACTIONS(4736),
    [aux_sym_assign_statement_token1] = ACTIONS(4736),
    [aux_sym_logical_expression_token5] = ACTIONS(4742),
    [anon_sym_DOT] = ACTIONS(4736),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [aux_sym_boolean_literal_token1] = ACTIONS(4742),
    [aux_sym_boolean_literal_token2] = ACTIONS(4742),
    [aux_sym_null_literal_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_statement_token2] = ACTIONS(4736),
    [aux_sym_coarray_statement_token6] = ACTIONS(4736),
    [aux_sym_coarray_statement_token8] = ACTIONS(4736),
    [aux_sym_coarray_statement_token11] = ACTIONS(4736),
    [aux_sym_coarray_statement_token12] = ACTIONS(4736),
    [aux_sym_coarray_statement_token13] = ACTIONS(4736),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4736),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4736),
    [aux_sym_identifier_token1] = ACTIONS(4736),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4742),
    [sym__float_literal] = ACTIONS(4742),
    [sym__boz_literal] = ACTIONS(4742),
    [sym__string_literal] = ACTIONS(4742),
    [sym__string_literal_kind] = ACTIONS(4742),
  },
  [1367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [sym_preproc_comment] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token1] = ACTIONS(5330),
    [aux_sym_block_data_statement_token2] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5330),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5330),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5330),
    [aux_sym_language_binding_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5330),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5330),
    [aux_sym_end_function_statement_token1] = ACTIONS(5330),
    [aux_sym_contains_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token1] = ACTIONS(5330),
    [aux_sym_use_statement_token2] = ACTIONS(5330),
    [aux_sym_implicit_statement_token1] = ACTIONS(5330),
    [aux_sym_implicit_statement_token3] = ACTIONS(5330),
    [aux_sym_implicit_statement_token4] = ACTIONS(5330),
    [aux_sym_save_statement_token1] = ACTIONS(5330),
    [aux_sym_private_statement_token1] = ACTIONS(5330),
    [aux_sym_public_statement_token1] = ACTIONS(5330),
    [aux_sym_namelist_statement_token1] = ACTIONS(5330),
    [aux_sym_common_statement_token1] = ACTIONS(5330),
    [aux_sym_import_statement_token1] = ACTIONS(5330),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5330),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5330),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5330),
    [aux_sym_variable_attributes_token1] = ACTIONS(5330),
    [aux_sym_variable_attributes_token2] = ACTIONS(5330),
    [aux_sym_variable_attributes_token3] = ACTIONS(5330),
    [aux_sym_variable_attributes_token4] = ACTIONS(5330),
    [aux_sym_variable_attributes_token5] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5330),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5330),
    [aux_sym_derived_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token1] = ACTIONS(5330),
    [aux_sym_declared_type_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5330),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5330),
    [aux_sym_type_qualifier_token1] = ACTIONS(5330),
    [aux_sym_type_qualifier_token2] = ACTIONS(5330),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token1] = ACTIONS(5330),
    [aux_sym_stop_statement_token2] = ACTIONS(5330),
    [aux_sym_subroutine_call_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token1] = ACTIONS(5330),
    [aux_sym_keyword_statement_token2] = ACTIONS(5330),
    [aux_sym_keyword_statement_token3] = ACTIONS(5330),
    [aux_sym_keyword_statement_token4] = ACTIONS(5330),
    [aux_sym_keyword_statement_token6] = ACTIONS(5330),
    [aux_sym_keyword_statement_token7] = ACTIONS(5330),
    [aux_sym_include_statement_token1] = ACTIONS(5330),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5330),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5330),
    [aux_sym_end_if_statement_token1] = ACTIONS(5330),
    [aux_sym_elseif_clause_token2] = ACTIONS(5330),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5330),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token1] = ACTIONS(5330),
    [aux_sym_select_case_statement_token3] = ACTIONS(5330),
    [aux_sym_select_type_statement_token1] = ACTIONS(5330),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5330),
    [aux_sym_associate_statement_token1] = ACTIONS(5330),
    [aux_sym_format_statement_token1] = ACTIONS(5330),
    [aux_sym_print_statement_token1] = ACTIONS(5330),
    [aux_sym_open_statement_token1] = ACTIONS(5330),
    [aux_sym_close_statement_token1] = ACTIONS(5330),
    [aux_sym_inquire_statement_token1] = ACTIONS(5330),
    [aux_sym_enum_statement_token1] = ACTIONS(5330),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token1] = ACTIONS(5330),
    [aux_sym_file_position_statement_token2] = ACTIONS(5330),
    [aux_sym_file_position_statement_token3] = ACTIONS(5330),
    [aux_sym_file_position_statement_token4] = ACTIONS(5330),
    [aux_sym_allocate_statement_token1] = ACTIONS(5330),
    [aux_sym_entry_statement_token1] = ACTIONS(5330),
    [aux_sym_assign_statement_token1] = ACTIONS(5330),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_statement_token2] = ACTIONS(5330),
    [aux_sym_coarray_statement_token6] = ACTIONS(5330),
    [aux_sym_coarray_statement_token8] = ACTIONS(5330),
    [aux_sym_coarray_statement_token11] = ACTIONS(5330),
    [aux_sym_coarray_statement_token12] = ACTIONS(5330),
    [aux_sym_coarray_statement_token13] = ACTIONS(5330),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5330),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5330),
    [aux_sym_identifier_token1] = ACTIONS(5330),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [sym_preproc_comment] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_end_function_statement_token1] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [sym_preproc_comment] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4748),
    [aux_sym_preproc_def_token1] = ACTIONS(4748),
    [aux_sym_preproc_if_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4748),
    [sym_preproc_directive] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [sym_preproc_comment] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4754),
    [aux_sym_interface_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(4748),
    [aux_sym_block_data_statement_token2] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4748),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4748),
    [aux_sym_language_binding_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4748),
    [aux_sym_end_function_statement_token1] = ACTIONS(4748),
    [aux_sym_contains_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token1] = ACTIONS(4748),
    [aux_sym_use_statement_token2] = ACTIONS(4748),
    [aux_sym_implicit_statement_token1] = ACTIONS(4748),
    [aux_sym_implicit_statement_token3] = ACTIONS(4748),
    [aux_sym_implicit_statement_token4] = ACTIONS(4748),
    [aux_sym_save_statement_token1] = ACTIONS(4748),
    [aux_sym_private_statement_token1] = ACTIONS(4748),
    [aux_sym_public_statement_token1] = ACTIONS(4748),
    [aux_sym_namelist_statement_token1] = ACTIONS(4748),
    [aux_sym_common_statement_token1] = ACTIONS(4748),
    [aux_sym_import_statement_token1] = ACTIONS(4748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4748),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4748),
    [aux_sym_variable_attributes_token1] = ACTIONS(4748),
    [aux_sym_variable_attributes_token2] = ACTIONS(4748),
    [aux_sym_variable_attributes_token3] = ACTIONS(4748),
    [aux_sym_variable_attributes_token4] = ACTIONS(4748),
    [aux_sym_variable_attributes_token5] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4748),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4748),
    [aux_sym_derived_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token1] = ACTIONS(4748),
    [aux_sym_declared_type_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4748),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4748),
    [aux_sym_type_qualifier_token1] = ACTIONS(4748),
    [aux_sym_type_qualifier_token2] = ACTIONS(4748),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token1] = ACTIONS(4748),
    [aux_sym_stop_statement_token2] = ACTIONS(4748),
    [aux_sym_subroutine_call_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token1] = ACTIONS(4748),
    [aux_sym_keyword_statement_token2] = ACTIONS(4748),
    [aux_sym_keyword_statement_token3] = ACTIONS(4748),
    [aux_sym_keyword_statement_token4] = ACTIONS(4748),
    [aux_sym_keyword_statement_token6] = ACTIONS(4748),
    [aux_sym_keyword_statement_token7] = ACTIONS(4748),
    [aux_sym_include_statement_token1] = ACTIONS(4748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4748),
    [aux_sym_end_if_statement_token1] = ACTIONS(4748),
    [aux_sym_elseif_clause_token2] = ACTIONS(4748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token1] = ACTIONS(4748),
    [aux_sym_select_case_statement_token3] = ACTIONS(4748),
    [aux_sym_select_type_statement_token1] = ACTIONS(4748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4748),
    [aux_sym_associate_statement_token1] = ACTIONS(4748),
    [aux_sym_format_statement_token1] = ACTIONS(4748),
    [aux_sym_print_statement_token1] = ACTIONS(4748),
    [aux_sym_open_statement_token1] = ACTIONS(4748),
    [aux_sym_close_statement_token1] = ACTIONS(4748),
    [aux_sym_inquire_statement_token1] = ACTIONS(4748),
    [aux_sym_enum_statement_token1] = ACTIONS(4748),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token1] = ACTIONS(4748),
    [aux_sym_file_position_statement_token2] = ACTIONS(4748),
    [aux_sym_file_position_statement_token3] = ACTIONS(4748),
    [aux_sym_file_position_statement_token4] = ACTIONS(4748),
    [aux_sym_allocate_statement_token1] = ACTIONS(4748),
    [aux_sym_entry_statement_token1] = ACTIONS(4748),
    [aux_sym_assign_statement_token1] = ACTIONS(4748),
    [aux_sym_logical_expression_token5] = ACTIONS(4754),
    [anon_sym_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [aux_sym_boolean_literal_token1] = ACTIONS(4754),
    [aux_sym_boolean_literal_token2] = ACTIONS(4754),
    [aux_sym_null_literal_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_statement_token2] = ACTIONS(4748),
    [aux_sym_coarray_statement_token6] = ACTIONS(4748),
    [aux_sym_coarray_statement_token8] = ACTIONS(4748),
    [aux_sym_coarray_statement_token11] = ACTIONS(4748),
    [aux_sym_coarray_statement_token12] = ACTIONS(4748),
    [aux_sym_coarray_statement_token13] = ACTIONS(4748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4748),
    [aux_sym_identifier_token1] = ACTIONS(4748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4754),
    [sym__float_literal] = ACTIONS(4754),
    [sym__boz_literal] = ACTIONS(4754),
    [sym__string_literal] = ACTIONS(4754),
    [sym__string_literal_kind] = ACTIONS(4754),
  },
  [1373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5458),
    [aux_sym_preproc_def_token1] = ACTIONS(5458),
    [aux_sym_preproc_if_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5458),
    [sym_preproc_directive] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [sym_preproc_comment] = ACTIONS(5586),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5462),
    [aux_sym_interface_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token1] = ACTIONS(5458),
    [aux_sym_block_data_statement_token2] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5458),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5458),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5458),
    [aux_sym_language_binding_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5458),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5458),
    [aux_sym_end_function_statement_token1] = ACTIONS(5458),
    [aux_sym_contains_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token1] = ACTIONS(5458),
    [aux_sym_use_statement_token2] = ACTIONS(5458),
    [aux_sym_implicit_statement_token1] = ACTIONS(5458),
    [aux_sym_implicit_statement_token3] = ACTIONS(5458),
    [aux_sym_implicit_statement_token4] = ACTIONS(5458),
    [aux_sym_save_statement_token1] = ACTIONS(5458),
    [aux_sym_private_statement_token1] = ACTIONS(5458),
    [aux_sym_public_statement_token1] = ACTIONS(5458),
    [aux_sym_namelist_statement_token1] = ACTIONS(5458),
    [aux_sym_common_statement_token1] = ACTIONS(5458),
    [aux_sym_import_statement_token1] = ACTIONS(5458),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5458),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5458),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5458),
    [aux_sym_variable_attributes_token1] = ACTIONS(5458),
    [aux_sym_variable_attributes_token2] = ACTIONS(5458),
    [aux_sym_variable_attributes_token3] = ACTIONS(5458),
    [aux_sym_variable_attributes_token4] = ACTIONS(5458),
    [aux_sym_variable_attributes_token5] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5458),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5458),
    [aux_sym_derived_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token1] = ACTIONS(5458),
    [aux_sym_declared_type_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5458),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5458),
    [aux_sym_type_qualifier_token1] = ACTIONS(5458),
    [aux_sym_type_qualifier_token2] = ACTIONS(5458),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token1] = ACTIONS(5458),
    [aux_sym_stop_statement_token2] = ACTIONS(5458),
    [aux_sym_subroutine_call_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token1] = ACTIONS(5458),
    [aux_sym_keyword_statement_token2] = ACTIONS(5458),
    [aux_sym_keyword_statement_token3] = ACTIONS(5458),
    [aux_sym_keyword_statement_token4] = ACTIONS(5458),
    [aux_sym_keyword_statement_token6] = ACTIONS(5458),
    [aux_sym_keyword_statement_token7] = ACTIONS(5458),
    [aux_sym_include_statement_token1] = ACTIONS(5458),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5458),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5458),
    [aux_sym_end_if_statement_token1] = ACTIONS(5458),
    [aux_sym_elseif_clause_token2] = ACTIONS(5458),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5458),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token1] = ACTIONS(5458),
    [aux_sym_select_case_statement_token3] = ACTIONS(5458),
    [aux_sym_select_type_statement_token1] = ACTIONS(5458),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5458),
    [aux_sym_associate_statement_token1] = ACTIONS(5458),
    [aux_sym_format_statement_token1] = ACTIONS(5458),
    [aux_sym_print_statement_token1] = ACTIONS(5458),
    [aux_sym_open_statement_token1] = ACTIONS(5458),
    [aux_sym_close_statement_token1] = ACTIONS(5458),
    [aux_sym_inquire_statement_token1] = ACTIONS(5458),
    [aux_sym_enum_statement_token1] = ACTIONS(5458),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token1] = ACTIONS(5458),
    [aux_sym_file_position_statement_token2] = ACTIONS(5458),
    [aux_sym_file_position_statement_token3] = ACTIONS(5458),
    [aux_sym_file_position_statement_token4] = ACTIONS(5458),
    [aux_sym_allocate_statement_token1] = ACTIONS(5458),
    [aux_sym_entry_statement_token1] = ACTIONS(5458),
    [aux_sym_assign_statement_token1] = ACTIONS(5458),
    [aux_sym_logical_expression_token5] = ACTIONS(5462),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5462),
    [aux_sym_boolean_literal_token1] = ACTIONS(5462),
    [aux_sym_boolean_literal_token2] = ACTIONS(5462),
    [aux_sym_null_literal_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_statement_token2] = ACTIONS(5458),
    [aux_sym_coarray_statement_token6] = ACTIONS(5458),
    [aux_sym_coarray_statement_token8] = ACTIONS(5458),
    [aux_sym_coarray_statement_token11] = ACTIONS(5458),
    [aux_sym_coarray_statement_token12] = ACTIONS(5458),
    [aux_sym_coarray_statement_token13] = ACTIONS(5458),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5458),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5458),
    [aux_sym_identifier_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5462),
    [sym__float_literal] = ACTIONS(5462),
    [sym__boz_literal] = ACTIONS(5462),
    [sym__string_literal] = ACTIONS(5462),
    [sym__string_literal_kind] = ACTIONS(5462),
  },
  [1374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [sym_preproc_comment] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_end_function_statement_token1] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [sym_preproc_comment] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5472),
    [aux_sym_interface_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token1] = ACTIONS(5468),
    [aux_sym_block_data_statement_token2] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5468),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5468),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5468),
    [aux_sym_language_binding_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5468),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5468),
    [aux_sym_end_function_statement_token1] = ACTIONS(5468),
    [aux_sym_contains_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token1] = ACTIONS(5468),
    [aux_sym_use_statement_token2] = ACTIONS(5468),
    [aux_sym_implicit_statement_token1] = ACTIONS(5468),
    [aux_sym_implicit_statement_token3] = ACTIONS(5468),
    [aux_sym_implicit_statement_token4] = ACTIONS(5468),
    [aux_sym_save_statement_token1] = ACTIONS(5468),
    [aux_sym_private_statement_token1] = ACTIONS(5468),
    [aux_sym_public_statement_token1] = ACTIONS(5468),
    [aux_sym_namelist_statement_token1] = ACTIONS(5468),
    [aux_sym_common_statement_token1] = ACTIONS(5468),
    [aux_sym_import_statement_token1] = ACTIONS(5468),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5468),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5468),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5468),
    [aux_sym_variable_attributes_token1] = ACTIONS(5468),
    [aux_sym_variable_attributes_token2] = ACTIONS(5468),
    [aux_sym_variable_attributes_token3] = ACTIONS(5468),
    [aux_sym_variable_attributes_token4] = ACTIONS(5468),
    [aux_sym_variable_attributes_token5] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5468),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5468),
    [aux_sym_derived_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token1] = ACTIONS(5468),
    [aux_sym_declared_type_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5468),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5468),
    [aux_sym_type_qualifier_token1] = ACTIONS(5468),
    [aux_sym_type_qualifier_token2] = ACTIONS(5468),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token1] = ACTIONS(5468),
    [aux_sym_stop_statement_token2] = ACTIONS(5468),
    [aux_sym_subroutine_call_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token1] = ACTIONS(5468),
    [aux_sym_keyword_statement_token2] = ACTIONS(5468),
    [aux_sym_keyword_statement_token3] = ACTIONS(5468),
    [aux_sym_keyword_statement_token4] = ACTIONS(5468),
    [aux_sym_keyword_statement_token6] = ACTIONS(5468),
    [aux_sym_keyword_statement_token7] = ACTIONS(5468),
    [aux_sym_include_statement_token1] = ACTIONS(5468),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5468),
    [aux_sym_end_if_statement_token1] = ACTIONS(5468),
    [aux_sym_elseif_clause_token2] = ACTIONS(5468),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5468),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token1] = ACTIONS(5468),
    [aux_sym_select_case_statement_token3] = ACTIONS(5468),
    [aux_sym_select_type_statement_token1] = ACTIONS(5468),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5468),
    [aux_sym_associate_statement_token1] = ACTIONS(5468),
    [aux_sym_format_statement_token1] = ACTIONS(5468),
    [aux_sym_print_statement_token1] = ACTIONS(5468),
    [aux_sym_open_statement_token1] = ACTIONS(5468),
    [aux_sym_close_statement_token1] = ACTIONS(5468),
    [aux_sym_inquire_statement_token1] = ACTIONS(5468),
    [aux_sym_enum_statement_token1] = ACTIONS(5468),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token1] = ACTIONS(5468),
    [aux_sym_file_position_statement_token2] = ACTIONS(5468),
    [aux_sym_file_position_statement_token3] = ACTIONS(5468),
    [aux_sym_file_position_statement_token4] = ACTIONS(5468),
    [aux_sym_allocate_statement_token1] = ACTIONS(5468),
    [aux_sym_entry_statement_token1] = ACTIONS(5468),
    [aux_sym_assign_statement_token1] = ACTIONS(5468),
    [aux_sym_logical_expression_token5] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [aux_sym_boolean_literal_token1] = ACTIONS(5472),
    [aux_sym_boolean_literal_token2] = ACTIONS(5472),
    [aux_sym_null_literal_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_statement_token2] = ACTIONS(5468),
    [aux_sym_coarray_statement_token6] = ACTIONS(5468),
    [aux_sym_coarray_statement_token8] = ACTIONS(5468),
    [aux_sym_coarray_statement_token11] = ACTIONS(5468),
    [aux_sym_coarray_statement_token12] = ACTIONS(5468),
    [aux_sym_coarray_statement_token13] = ACTIONS(5468),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5468),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5468),
    [aux_sym_identifier_token1] = ACTIONS(5468),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5472),
    [sym__float_literal] = ACTIONS(5472),
    [sym__boz_literal] = ACTIONS(5472),
    [sym__string_literal] = ACTIONS(5472),
    [sym__string_literal_kind] = ACTIONS(5472),
  },
  [1377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [sym_preproc_comment] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_end_function_statement_token1] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5594),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_language_binding_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token1] = ACTIONS(5594),
    [aux_sym_implicit_statement_token3] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_namelist_statement_token1] = ACTIONS(5594),
    [aux_sym_common_statement_token1] = ACTIONS(5594),
    [aux_sym_import_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token1] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token4] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5594),
    [aux_sym_derived_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_enum_statement_token1] = ACTIONS(5594),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_assign_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5600),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_end_function_statement_token1] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [aux_sym_boolean_literal_token1] = ACTIONS(5600),
    [aux_sym_boolean_literal_token2] = ACTIONS(5600),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5600),
    [sym__float_literal] = ACTIONS(5600),
    [sym__boz_literal] = ACTIONS(5600),
    [sym__string_literal] = ACTIONS(5600),
    [sym__string_literal_kind] = ACTIONS(5600),
  },
  [1383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_end_function_statement_token1] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_end_function_statement_token1] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_end_function_statement_token1] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_end_function_statement_token1] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_interface_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token2] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5602),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5602),
    [aux_sym_language_binding_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5602),
    [aux_sym_end_function_statement_token1] = ACTIONS(5602),
    [aux_sym_contains_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token2] = ACTIONS(5602),
    [aux_sym_implicit_statement_token1] = ACTIONS(5602),
    [aux_sym_implicit_statement_token3] = ACTIONS(5602),
    [aux_sym_implicit_statement_token4] = ACTIONS(5602),
    [aux_sym_save_statement_token1] = ACTIONS(5602),
    [aux_sym_private_statement_token1] = ACTIONS(5602),
    [aux_sym_public_statement_token1] = ACTIONS(5602),
    [aux_sym_namelist_statement_token1] = ACTIONS(5602),
    [aux_sym_common_statement_token1] = ACTIONS(5602),
    [aux_sym_import_statement_token1] = ACTIONS(5602),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5602),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5602),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5602),
    [aux_sym_variable_attributes_token1] = ACTIONS(5602),
    [aux_sym_variable_attributes_token2] = ACTIONS(5602),
    [aux_sym_variable_attributes_token3] = ACTIONS(5602),
    [aux_sym_variable_attributes_token4] = ACTIONS(5602),
    [aux_sym_variable_attributes_token5] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5602),
    [aux_sym_derived_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5602),
    [aux_sym_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token2] = ACTIONS(5602),
    [aux_sym_subroutine_call_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token2] = ACTIONS(5602),
    [aux_sym_keyword_statement_token3] = ACTIONS(5602),
    [aux_sym_keyword_statement_token4] = ACTIONS(5602),
    [aux_sym_keyword_statement_token6] = ACTIONS(5602),
    [aux_sym_keyword_statement_token7] = ACTIONS(5602),
    [aux_sym_include_statement_token1] = ACTIONS(5602),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5602),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5602),
    [aux_sym_end_if_statement_token1] = ACTIONS(5602),
    [aux_sym_elseif_clause_token2] = ACTIONS(5602),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5602),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token3] = ACTIONS(5602),
    [aux_sym_select_type_statement_token1] = ACTIONS(5602),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5602),
    [aux_sym_associate_statement_token1] = ACTIONS(5602),
    [aux_sym_format_statement_token1] = ACTIONS(5602),
    [aux_sym_print_statement_token1] = ACTIONS(5602),
    [aux_sym_open_statement_token1] = ACTIONS(5602),
    [aux_sym_close_statement_token1] = ACTIONS(5602),
    [aux_sym_inquire_statement_token1] = ACTIONS(5602),
    [aux_sym_enum_statement_token1] = ACTIONS(5602),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token2] = ACTIONS(5602),
    [aux_sym_file_position_statement_token3] = ACTIONS(5602),
    [aux_sym_file_position_statement_token4] = ACTIONS(5602),
    [aux_sym_allocate_statement_token1] = ACTIONS(5602),
    [aux_sym_entry_statement_token1] = ACTIONS(5602),
    [aux_sym_assign_statement_token1] = ACTIONS(5602),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token2] = ACTIONS(5602),
    [aux_sym_coarray_statement_token6] = ACTIONS(5602),
    [aux_sym_coarray_statement_token8] = ACTIONS(5602),
    [aux_sym_coarray_statement_token11] = ACTIONS(5602),
    [aux_sym_coarray_statement_token12] = ACTIONS(5602),
    [aux_sym_coarray_statement_token13] = ACTIONS(5602),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5602),
    [aux_sym_identifier_token1] = ACTIONS(5602),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_end_function_statement_token1] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_end_function_statement_token1] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_end_function_statement_token1] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_end_function_statement_token1] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_language_binding_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_end_function_statement_token1] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token1] = ACTIONS(5606),
    [aux_sym_implicit_statement_token3] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_namelist_statement_token1] = ACTIONS(5606),
    [aux_sym_common_statement_token1] = ACTIONS(5606),
    [aux_sym_import_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token1] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token4] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5606),
    [aux_sym_derived_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_enum_statement_token1] = ACTIONS(5606),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_assign_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_end_function_statement_token1] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [aux_sym_interface_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token2] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5610),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5610),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5610),
    [aux_sym_language_binding_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5610),
    [aux_sym_contains_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token2] = ACTIONS(5610),
    [aux_sym_implicit_statement_token1] = ACTIONS(5610),
    [aux_sym_implicit_statement_token3] = ACTIONS(5610),
    [aux_sym_implicit_statement_token4] = ACTIONS(5610),
    [aux_sym_save_statement_token1] = ACTIONS(5610),
    [aux_sym_private_statement_token1] = ACTIONS(5610),
    [aux_sym_public_statement_token1] = ACTIONS(5610),
    [aux_sym_namelist_statement_token1] = ACTIONS(5610),
    [aux_sym_common_statement_token1] = ACTIONS(5610),
    [aux_sym_import_statement_token1] = ACTIONS(5610),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5610),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5610),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5610),
    [aux_sym_variable_attributes_token1] = ACTIONS(5610),
    [aux_sym_variable_attributes_token2] = ACTIONS(5610),
    [aux_sym_variable_attributes_token3] = ACTIONS(5610),
    [aux_sym_variable_attributes_token4] = ACTIONS(5610),
    [aux_sym_variable_attributes_token5] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5610),
    [aux_sym_derived_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5610),
    [aux_sym_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token2] = ACTIONS(5610),
    [aux_sym_subroutine_call_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token2] = ACTIONS(5610),
    [aux_sym_keyword_statement_token3] = ACTIONS(5610),
    [aux_sym_keyword_statement_token4] = ACTIONS(5610),
    [aux_sym_keyword_statement_token6] = ACTIONS(5610),
    [aux_sym_keyword_statement_token7] = ACTIONS(5610),
    [aux_sym_include_statement_token1] = ACTIONS(5610),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5610),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5610),
    [aux_sym_end_if_statement_token1] = ACTIONS(5610),
    [aux_sym_elseif_clause_token2] = ACTIONS(5610),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5610),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token3] = ACTIONS(5610),
    [aux_sym_select_type_statement_token1] = ACTIONS(5610),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5610),
    [aux_sym_associate_statement_token1] = ACTIONS(5610),
    [aux_sym_format_statement_token1] = ACTIONS(5610),
    [aux_sym_print_statement_token1] = ACTIONS(5610),
    [aux_sym_open_statement_token1] = ACTIONS(5610),
    [aux_sym_close_statement_token1] = ACTIONS(5610),
    [aux_sym_inquire_statement_token1] = ACTIONS(5610),
    [aux_sym_enum_statement_token1] = ACTIONS(5610),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token2] = ACTIONS(5610),
    [aux_sym_file_position_statement_token3] = ACTIONS(5610),
    [aux_sym_file_position_statement_token4] = ACTIONS(5610),
    [aux_sym_allocate_statement_token1] = ACTIONS(5610),
    [aux_sym_entry_statement_token1] = ACTIONS(5610),
    [aux_sym_assign_statement_token1] = ACTIONS(5610),
    [aux_sym_logical_expression_token5] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [aux_sym_boolean_literal_token1] = ACTIONS(5612),
    [aux_sym_boolean_literal_token2] = ACTIONS(5612),
    [aux_sym_null_literal_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token2] = ACTIONS(5610),
    [aux_sym_coarray_statement_token6] = ACTIONS(5610),
    [aux_sym_coarray_statement_token8] = ACTIONS(5610),
    [aux_sym_coarray_statement_token11] = ACTIONS(5610),
    [aux_sym_coarray_statement_token12] = ACTIONS(5610),
    [aux_sym_coarray_statement_token13] = ACTIONS(5610),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5610),
    [aux_sym_identifier_token1] = ACTIONS(5610),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5612),
    [sym__float_literal] = ACTIONS(5612),
    [sym__boz_literal] = ACTIONS(5612),
    [sym__string_literal] = ACTIONS(5612),
    [sym__string_literal_kind] = ACTIONS(5612),
  },
  [1405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_program_statement_token2] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_program_statement_token2] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_interface_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token2] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5614),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5614),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5614),
    [aux_sym_language_binding_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5614),
    [aux_sym_contains_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token2] = ACTIONS(5614),
    [aux_sym_implicit_statement_token1] = ACTIONS(5614),
    [aux_sym_implicit_statement_token3] = ACTIONS(5614),
    [aux_sym_implicit_statement_token4] = ACTIONS(5614),
    [aux_sym_save_statement_token1] = ACTIONS(5614),
    [aux_sym_private_statement_token1] = ACTIONS(5614),
    [aux_sym_public_statement_token1] = ACTIONS(5614),
    [aux_sym_namelist_statement_token1] = ACTIONS(5614),
    [aux_sym_common_statement_token1] = ACTIONS(5614),
    [aux_sym_import_statement_token1] = ACTIONS(5614),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5614),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5614),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5614),
    [aux_sym_variable_attributes_token1] = ACTIONS(5614),
    [aux_sym_variable_attributes_token2] = ACTIONS(5614),
    [aux_sym_variable_attributes_token3] = ACTIONS(5614),
    [aux_sym_variable_attributes_token4] = ACTIONS(5614),
    [aux_sym_variable_attributes_token5] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5614),
    [aux_sym_derived_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5614),
    [aux_sym_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token2] = ACTIONS(5614),
    [aux_sym_subroutine_call_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token2] = ACTIONS(5614),
    [aux_sym_keyword_statement_token3] = ACTIONS(5614),
    [aux_sym_keyword_statement_token4] = ACTIONS(5614),
    [aux_sym_keyword_statement_token6] = ACTIONS(5614),
    [aux_sym_keyword_statement_token7] = ACTIONS(5614),
    [aux_sym_include_statement_token1] = ACTIONS(5614),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5614),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5614),
    [aux_sym_end_if_statement_token1] = ACTIONS(5614),
    [aux_sym_elseif_clause_token2] = ACTIONS(5614),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5614),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token3] = ACTIONS(5614),
    [aux_sym_select_type_statement_token1] = ACTIONS(5614),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5614),
    [aux_sym_associate_statement_token1] = ACTIONS(5614),
    [aux_sym_format_statement_token1] = ACTIONS(5614),
    [aux_sym_print_statement_token1] = ACTIONS(5614),
    [aux_sym_open_statement_token1] = ACTIONS(5614),
    [aux_sym_close_statement_token1] = ACTIONS(5614),
    [aux_sym_inquire_statement_token1] = ACTIONS(5614),
    [aux_sym_enum_statement_token1] = ACTIONS(5614),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token2] = ACTIONS(5614),
    [aux_sym_file_position_statement_token3] = ACTIONS(5614),
    [aux_sym_file_position_statement_token4] = ACTIONS(5614),
    [aux_sym_allocate_statement_token1] = ACTIONS(5614),
    [aux_sym_entry_statement_token1] = ACTIONS(5614),
    [aux_sym_assign_statement_token1] = ACTIONS(5614),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token2] = ACTIONS(5614),
    [aux_sym_coarray_statement_token6] = ACTIONS(5614),
    [aux_sym_coarray_statement_token8] = ACTIONS(5614),
    [aux_sym_coarray_statement_token11] = ACTIONS(5614),
    [aux_sym_coarray_statement_token12] = ACTIONS(5614),
    [aux_sym_coarray_statement_token13] = ACTIONS(5614),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5614),
    [aux_sym_identifier_token1] = ACTIONS(5614),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5620),
    [anon_sym_DASH] = ACTIONS(5620),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5620),
    [aux_sym_interface_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_language_binding_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_end_function_statement_token1] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token1] = ACTIONS(5618),
    [aux_sym_implicit_statement_token3] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_namelist_statement_token1] = ACTIONS(5618),
    [aux_sym_common_statement_token1] = ACTIONS(5618),
    [aux_sym_import_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token1] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token4] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5618),
    [aux_sym_derived_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_enum_statement_token1] = ACTIONS(5618),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_assign_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [aux_sym_boolean_literal_token1] = ACTIONS(5620),
    [aux_sym_boolean_literal_token2] = ACTIONS(5620),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5620),
    [sym__float_literal] = ACTIONS(5620),
    [sym__boz_literal] = ACTIONS(5620),
    [sym__string_literal] = ACTIONS(5620),
    [sym__string_literal_kind] = ACTIONS(5620),
  },
  [1422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [aux_sym_interface_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token2] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5622),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5622),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5622),
    [aux_sym_language_binding_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5622),
    [aux_sym_contains_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token2] = ACTIONS(5622),
    [aux_sym_implicit_statement_token1] = ACTIONS(5622),
    [aux_sym_implicit_statement_token3] = ACTIONS(5622),
    [aux_sym_implicit_statement_token4] = ACTIONS(5622),
    [aux_sym_save_statement_token1] = ACTIONS(5622),
    [aux_sym_private_statement_token1] = ACTIONS(5622),
    [aux_sym_public_statement_token1] = ACTIONS(5622),
    [aux_sym_namelist_statement_token1] = ACTIONS(5622),
    [aux_sym_common_statement_token1] = ACTIONS(5622),
    [aux_sym_import_statement_token1] = ACTIONS(5622),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5622),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5622),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5622),
    [aux_sym_variable_attributes_token1] = ACTIONS(5622),
    [aux_sym_variable_attributes_token2] = ACTIONS(5622),
    [aux_sym_variable_attributes_token3] = ACTIONS(5622),
    [aux_sym_variable_attributes_token4] = ACTIONS(5622),
    [aux_sym_variable_attributes_token5] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5622),
    [aux_sym_derived_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5622),
    [aux_sym_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token2] = ACTIONS(5622),
    [aux_sym_subroutine_call_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token2] = ACTIONS(5622),
    [aux_sym_keyword_statement_token3] = ACTIONS(5622),
    [aux_sym_keyword_statement_token4] = ACTIONS(5622),
    [aux_sym_keyword_statement_token6] = ACTIONS(5622),
    [aux_sym_keyword_statement_token7] = ACTIONS(5622),
    [aux_sym_include_statement_token1] = ACTIONS(5622),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5622),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5622),
    [aux_sym_end_if_statement_token1] = ACTIONS(5622),
    [aux_sym_elseif_clause_token2] = ACTIONS(5622),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5622),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token3] = ACTIONS(5622),
    [aux_sym_select_type_statement_token1] = ACTIONS(5622),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5622),
    [aux_sym_associate_statement_token1] = ACTIONS(5622),
    [aux_sym_format_statement_token1] = ACTIONS(5622),
    [aux_sym_print_statement_token1] = ACTIONS(5622),
    [aux_sym_open_statement_token1] = ACTIONS(5622),
    [aux_sym_close_statement_token1] = ACTIONS(5622),
    [aux_sym_inquire_statement_token1] = ACTIONS(5622),
    [aux_sym_enum_statement_token1] = ACTIONS(5622),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token2] = ACTIONS(5622),
    [aux_sym_file_position_statement_token3] = ACTIONS(5622),
    [aux_sym_file_position_statement_token4] = ACTIONS(5622),
    [aux_sym_allocate_statement_token1] = ACTIONS(5622),
    [aux_sym_entry_statement_token1] = ACTIONS(5622),
    [aux_sym_assign_statement_token1] = ACTIONS(5622),
    [aux_sym_logical_expression_token5] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [aux_sym_boolean_literal_token1] = ACTIONS(5624),
    [aux_sym_boolean_literal_token2] = ACTIONS(5624),
    [aux_sym_null_literal_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token2] = ACTIONS(5622),
    [aux_sym_coarray_statement_token6] = ACTIONS(5622),
    [aux_sym_coarray_statement_token8] = ACTIONS(5622),
    [aux_sym_coarray_statement_token11] = ACTIONS(5622),
    [aux_sym_coarray_statement_token12] = ACTIONS(5622),
    [aux_sym_coarray_statement_token13] = ACTIONS(5622),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5622),
    [aux_sym_identifier_token1] = ACTIONS(5622),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5624),
    [sym__float_literal] = ACTIONS(5624),
    [sym__boz_literal] = ACTIONS(5624),
    [sym__string_literal] = ACTIONS(5624),
    [sym__string_literal_kind] = ACTIONS(5624),
  },
  [1423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [aux_sym_interface_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token2] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5610),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5610),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5610),
    [aux_sym_language_binding_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5610),
    [aux_sym_contains_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token2] = ACTIONS(5610),
    [aux_sym_implicit_statement_token1] = ACTIONS(5610),
    [aux_sym_implicit_statement_token3] = ACTIONS(5610),
    [aux_sym_implicit_statement_token4] = ACTIONS(5610),
    [aux_sym_save_statement_token1] = ACTIONS(5610),
    [aux_sym_private_statement_token1] = ACTIONS(5610),
    [aux_sym_public_statement_token1] = ACTIONS(5610),
    [aux_sym_namelist_statement_token1] = ACTIONS(5610),
    [aux_sym_common_statement_token1] = ACTIONS(5610),
    [aux_sym_import_statement_token1] = ACTIONS(5610),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5610),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5610),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5610),
    [aux_sym_variable_attributes_token1] = ACTIONS(5610),
    [aux_sym_variable_attributes_token2] = ACTIONS(5610),
    [aux_sym_variable_attributes_token3] = ACTIONS(5610),
    [aux_sym_variable_attributes_token4] = ACTIONS(5610),
    [aux_sym_variable_attributes_token5] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5610),
    [aux_sym_derived_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5610),
    [aux_sym_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token2] = ACTIONS(5610),
    [aux_sym_subroutine_call_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token2] = ACTIONS(5610),
    [aux_sym_keyword_statement_token3] = ACTIONS(5610),
    [aux_sym_keyword_statement_token4] = ACTIONS(5610),
    [aux_sym_keyword_statement_token6] = ACTIONS(5610),
    [aux_sym_keyword_statement_token7] = ACTIONS(5610),
    [aux_sym_include_statement_token1] = ACTIONS(5610),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5610),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5610),
    [aux_sym_end_if_statement_token1] = ACTIONS(5610),
    [aux_sym_elseif_clause_token2] = ACTIONS(5610),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5610),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token3] = ACTIONS(5610),
    [aux_sym_select_type_statement_token1] = ACTIONS(5610),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5610),
    [aux_sym_associate_statement_token1] = ACTIONS(5610),
    [aux_sym_format_statement_token1] = ACTIONS(5610),
    [aux_sym_print_statement_token1] = ACTIONS(5610),
    [aux_sym_open_statement_token1] = ACTIONS(5610),
    [aux_sym_close_statement_token1] = ACTIONS(5610),
    [aux_sym_inquire_statement_token1] = ACTIONS(5610),
    [aux_sym_enum_statement_token1] = ACTIONS(5610),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token2] = ACTIONS(5610),
    [aux_sym_file_position_statement_token3] = ACTIONS(5610),
    [aux_sym_file_position_statement_token4] = ACTIONS(5610),
    [aux_sym_allocate_statement_token1] = ACTIONS(5610),
    [aux_sym_entry_statement_token1] = ACTIONS(5610),
    [aux_sym_assign_statement_token1] = ACTIONS(5610),
    [aux_sym_logical_expression_token5] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [aux_sym_boolean_literal_token1] = ACTIONS(5612),
    [aux_sym_boolean_literal_token2] = ACTIONS(5612),
    [aux_sym_null_literal_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token2] = ACTIONS(5610),
    [aux_sym_coarray_statement_token6] = ACTIONS(5610),
    [aux_sym_coarray_statement_token8] = ACTIONS(5610),
    [aux_sym_coarray_statement_token11] = ACTIONS(5610),
    [aux_sym_coarray_statement_token12] = ACTIONS(5610),
    [aux_sym_coarray_statement_token13] = ACTIONS(5610),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5610),
    [aux_sym_identifier_token1] = ACTIONS(5610),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5612),
    [sym__float_literal] = ACTIONS(5612),
    [sym__boz_literal] = ACTIONS(5612),
    [sym__string_literal] = ACTIONS(5612),
    [sym__string_literal_kind] = ACTIONS(5612),
  },
  [1429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_end_function_statement_token1] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_end_program_statement_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_language_binding_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token1] = ACTIONS(5606),
    [aux_sym_implicit_statement_token3] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_namelist_statement_token1] = ACTIONS(5606),
    [aux_sym_common_statement_token1] = ACTIONS(5606),
    [aux_sym_import_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token1] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token4] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5606),
    [aux_sym_derived_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_enum_statement_token1] = ACTIONS(5606),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_assign_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_program_statement_token2] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5626),
    [aux_sym_preproc_def_token1] = ACTIONS(5626),
    [aux_sym_preproc_if_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5626),
    [sym_preproc_directive] = ACTIONS(5626),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_interface_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token2] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5626),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5626),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5626),
    [aux_sym_language_binding_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5626),
    [aux_sym_contains_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token2] = ACTIONS(5626),
    [aux_sym_implicit_statement_token1] = ACTIONS(5626),
    [aux_sym_implicit_statement_token3] = ACTIONS(5626),
    [aux_sym_implicit_statement_token4] = ACTIONS(5626),
    [aux_sym_save_statement_token1] = ACTIONS(5626),
    [aux_sym_private_statement_token1] = ACTIONS(5626),
    [aux_sym_public_statement_token1] = ACTIONS(5626),
    [aux_sym_namelist_statement_token1] = ACTIONS(5626),
    [aux_sym_common_statement_token1] = ACTIONS(5626),
    [aux_sym_import_statement_token1] = ACTIONS(5626),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5626),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5626),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5626),
    [aux_sym_variable_attributes_token1] = ACTIONS(5626),
    [aux_sym_variable_attributes_token2] = ACTIONS(5626),
    [aux_sym_variable_attributes_token3] = ACTIONS(5626),
    [aux_sym_variable_attributes_token4] = ACTIONS(5626),
    [aux_sym_variable_attributes_token5] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5626),
    [aux_sym_derived_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5626),
    [aux_sym_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token2] = ACTIONS(5626),
    [aux_sym_subroutine_call_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token2] = ACTIONS(5626),
    [aux_sym_keyword_statement_token3] = ACTIONS(5626),
    [aux_sym_keyword_statement_token4] = ACTIONS(5626),
    [aux_sym_keyword_statement_token6] = ACTIONS(5626),
    [aux_sym_keyword_statement_token7] = ACTIONS(5626),
    [aux_sym_include_statement_token1] = ACTIONS(5626),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5626),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5626),
    [aux_sym_end_if_statement_token1] = ACTIONS(5626),
    [aux_sym_elseif_clause_token2] = ACTIONS(5626),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5626),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token3] = ACTIONS(5626),
    [aux_sym_select_type_statement_token1] = ACTIONS(5626),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5626),
    [aux_sym_associate_statement_token1] = ACTIONS(5626),
    [aux_sym_format_statement_token1] = ACTIONS(5626),
    [aux_sym_print_statement_token1] = ACTIONS(5626),
    [aux_sym_open_statement_token1] = ACTIONS(5626),
    [aux_sym_close_statement_token1] = ACTIONS(5626),
    [aux_sym_inquire_statement_token1] = ACTIONS(5626),
    [aux_sym_enum_statement_token1] = ACTIONS(5626),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token2] = ACTIONS(5626),
    [aux_sym_file_position_statement_token3] = ACTIONS(5626),
    [aux_sym_file_position_statement_token4] = ACTIONS(5626),
    [aux_sym_allocate_statement_token1] = ACTIONS(5626),
    [aux_sym_entry_statement_token1] = ACTIONS(5626),
    [aux_sym_assign_statement_token1] = ACTIONS(5626),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token2] = ACTIONS(5626),
    [aux_sym_coarray_statement_token6] = ACTIONS(5626),
    [aux_sym_coarray_statement_token8] = ACTIONS(5626),
    [aux_sym_coarray_statement_token11] = ACTIONS(5626),
    [aux_sym_coarray_statement_token12] = ACTIONS(5626),
    [aux_sym_coarray_statement_token13] = ACTIONS(5626),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5626),
    [aux_sym_identifier_token1] = ACTIONS(5626),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [aux_sym_end_program_statement_token2] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_interface_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token2] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5614),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5614),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5614),
    [aux_sym_language_binding_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5614),
    [aux_sym_contains_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token2] = ACTIONS(5614),
    [aux_sym_implicit_statement_token1] = ACTIONS(5614),
    [aux_sym_implicit_statement_token3] = ACTIONS(5614),
    [aux_sym_implicit_statement_token4] = ACTIONS(5614),
    [aux_sym_save_statement_token1] = ACTIONS(5614),
    [aux_sym_private_statement_token1] = ACTIONS(5614),
    [aux_sym_public_statement_token1] = ACTIONS(5614),
    [aux_sym_namelist_statement_token1] = ACTIONS(5614),
    [aux_sym_common_statement_token1] = ACTIONS(5614),
    [aux_sym_import_statement_token1] = ACTIONS(5614),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5614),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5614),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5614),
    [aux_sym_variable_attributes_token1] = ACTIONS(5614),
    [aux_sym_variable_attributes_token2] = ACTIONS(5614),
    [aux_sym_variable_attributes_token3] = ACTIONS(5614),
    [aux_sym_variable_attributes_token4] = ACTIONS(5614),
    [aux_sym_variable_attributes_token5] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5614),
    [aux_sym_derived_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5614),
    [aux_sym_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token2] = ACTIONS(5614),
    [aux_sym_subroutine_call_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token2] = ACTIONS(5614),
    [aux_sym_keyword_statement_token3] = ACTIONS(5614),
    [aux_sym_keyword_statement_token4] = ACTIONS(5614),
    [aux_sym_keyword_statement_token6] = ACTIONS(5614),
    [aux_sym_keyword_statement_token7] = ACTIONS(5614),
    [aux_sym_include_statement_token1] = ACTIONS(5614),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5614),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5614),
    [aux_sym_end_if_statement_token1] = ACTIONS(5614),
    [aux_sym_elseif_clause_token2] = ACTIONS(5614),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5614),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token3] = ACTIONS(5614),
    [aux_sym_select_type_statement_token1] = ACTIONS(5614),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5614),
    [aux_sym_associate_statement_token1] = ACTIONS(5614),
    [aux_sym_format_statement_token1] = ACTIONS(5614),
    [aux_sym_print_statement_token1] = ACTIONS(5614),
    [aux_sym_open_statement_token1] = ACTIONS(5614),
    [aux_sym_close_statement_token1] = ACTIONS(5614),
    [aux_sym_inquire_statement_token1] = ACTIONS(5614),
    [aux_sym_enum_statement_token1] = ACTIONS(5614),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token2] = ACTIONS(5614),
    [aux_sym_file_position_statement_token3] = ACTIONS(5614),
    [aux_sym_file_position_statement_token4] = ACTIONS(5614),
    [aux_sym_allocate_statement_token1] = ACTIONS(5614),
    [aux_sym_entry_statement_token1] = ACTIONS(5614),
    [aux_sym_assign_statement_token1] = ACTIONS(5614),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token2] = ACTIONS(5614),
    [aux_sym_coarray_statement_token6] = ACTIONS(5614),
    [aux_sym_coarray_statement_token8] = ACTIONS(5614),
    [aux_sym_coarray_statement_token11] = ACTIONS(5614),
    [aux_sym_coarray_statement_token12] = ACTIONS(5614),
    [aux_sym_coarray_statement_token13] = ACTIONS(5614),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5614),
    [aux_sym_identifier_token1] = ACTIONS(5614),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_end_function_statement_token1] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_PLUS] = ACTIONS(5632),
    [anon_sym_DASH] = ACTIONS(5632),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5632),
    [aux_sym_interface_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_language_binding_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token1] = ACTIONS(5630),
    [aux_sym_implicit_statement_token3] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_namelist_statement_token1] = ACTIONS(5630),
    [aux_sym_common_statement_token1] = ACTIONS(5630),
    [aux_sym_import_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token1] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token4] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5630),
    [aux_sym_derived_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_enum_statement_token1] = ACTIONS(5630),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_assign_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [aux_sym_boolean_literal_token1] = ACTIONS(5632),
    [aux_sym_boolean_literal_token2] = ACTIONS(5632),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5632),
    [sym__float_literal] = ACTIONS(5632),
    [sym__boz_literal] = ACTIONS(5632),
    [sym__string_literal] = ACTIONS(5632),
    [sym__string_literal_kind] = ACTIONS(5632),
  },
  [1452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_end_function_statement_token1] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [aux_sym_interface_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token2] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5622),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5622),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5622),
    [aux_sym_language_binding_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5622),
    [aux_sym_contains_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token2] = ACTIONS(5622),
    [aux_sym_implicit_statement_token1] = ACTIONS(5622),
    [aux_sym_implicit_statement_token3] = ACTIONS(5622),
    [aux_sym_implicit_statement_token4] = ACTIONS(5622),
    [aux_sym_save_statement_token1] = ACTIONS(5622),
    [aux_sym_private_statement_token1] = ACTIONS(5622),
    [aux_sym_public_statement_token1] = ACTIONS(5622),
    [aux_sym_namelist_statement_token1] = ACTIONS(5622),
    [aux_sym_common_statement_token1] = ACTIONS(5622),
    [aux_sym_import_statement_token1] = ACTIONS(5622),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5622),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5622),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5622),
    [aux_sym_variable_attributes_token1] = ACTIONS(5622),
    [aux_sym_variable_attributes_token2] = ACTIONS(5622),
    [aux_sym_variable_attributes_token3] = ACTIONS(5622),
    [aux_sym_variable_attributes_token4] = ACTIONS(5622),
    [aux_sym_variable_attributes_token5] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5622),
    [aux_sym_derived_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5622),
    [aux_sym_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token2] = ACTIONS(5622),
    [aux_sym_subroutine_call_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token2] = ACTIONS(5622),
    [aux_sym_keyword_statement_token3] = ACTIONS(5622),
    [aux_sym_keyword_statement_token4] = ACTIONS(5622),
    [aux_sym_keyword_statement_token6] = ACTIONS(5622),
    [aux_sym_keyword_statement_token7] = ACTIONS(5622),
    [aux_sym_include_statement_token1] = ACTIONS(5622),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5622),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5622),
    [aux_sym_end_if_statement_token1] = ACTIONS(5622),
    [aux_sym_elseif_clause_token2] = ACTIONS(5622),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5622),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token3] = ACTIONS(5622),
    [aux_sym_select_type_statement_token1] = ACTIONS(5622),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5622),
    [aux_sym_associate_statement_token1] = ACTIONS(5622),
    [aux_sym_format_statement_token1] = ACTIONS(5622),
    [aux_sym_print_statement_token1] = ACTIONS(5622),
    [aux_sym_open_statement_token1] = ACTIONS(5622),
    [aux_sym_close_statement_token1] = ACTIONS(5622),
    [aux_sym_inquire_statement_token1] = ACTIONS(5622),
    [aux_sym_enum_statement_token1] = ACTIONS(5622),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token2] = ACTIONS(5622),
    [aux_sym_file_position_statement_token3] = ACTIONS(5622),
    [aux_sym_file_position_statement_token4] = ACTIONS(5622),
    [aux_sym_allocate_statement_token1] = ACTIONS(5622),
    [aux_sym_entry_statement_token1] = ACTIONS(5622),
    [aux_sym_assign_statement_token1] = ACTIONS(5622),
    [aux_sym_logical_expression_token5] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [aux_sym_boolean_literal_token1] = ACTIONS(5624),
    [aux_sym_boolean_literal_token2] = ACTIONS(5624),
    [aux_sym_null_literal_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token2] = ACTIONS(5622),
    [aux_sym_coarray_statement_token6] = ACTIONS(5622),
    [aux_sym_coarray_statement_token8] = ACTIONS(5622),
    [aux_sym_coarray_statement_token11] = ACTIONS(5622),
    [aux_sym_coarray_statement_token12] = ACTIONS(5622),
    [aux_sym_coarray_statement_token13] = ACTIONS(5622),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5622),
    [aux_sym_identifier_token1] = ACTIONS(5622),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5624),
    [sym__float_literal] = ACTIONS(5624),
    [sym__boz_literal] = ACTIONS(5624),
    [sym__string_literal] = ACTIONS(5624),
    [sym__string_literal_kind] = ACTIONS(5624),
  },
  [1455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_end_function_statement_token1] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_end_function_statement_token1] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_end_function_statement_token1] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5610),
    [aux_sym_end_program_statement_token2] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [aux_sym_interface_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token2] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5610),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5610),
    [aux_sym_language_binding_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5610),
    [aux_sym_contains_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token2] = ACTIONS(5610),
    [aux_sym_implicit_statement_token1] = ACTIONS(5610),
    [aux_sym_implicit_statement_token3] = ACTIONS(5610),
    [aux_sym_implicit_statement_token4] = ACTIONS(5610),
    [aux_sym_save_statement_token1] = ACTIONS(5610),
    [aux_sym_private_statement_token1] = ACTIONS(5610),
    [aux_sym_public_statement_token1] = ACTIONS(5610),
    [aux_sym_namelist_statement_token1] = ACTIONS(5610),
    [aux_sym_common_statement_token1] = ACTIONS(5610),
    [aux_sym_import_statement_token1] = ACTIONS(5610),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5610),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5610),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5610),
    [aux_sym_variable_attributes_token1] = ACTIONS(5610),
    [aux_sym_variable_attributes_token2] = ACTIONS(5610),
    [aux_sym_variable_attributes_token3] = ACTIONS(5610),
    [aux_sym_variable_attributes_token4] = ACTIONS(5610),
    [aux_sym_variable_attributes_token5] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5610),
    [aux_sym_derived_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5610),
    [aux_sym_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token2] = ACTIONS(5610),
    [aux_sym_subroutine_call_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token2] = ACTIONS(5610),
    [aux_sym_keyword_statement_token3] = ACTIONS(5610),
    [aux_sym_keyword_statement_token4] = ACTIONS(5610),
    [aux_sym_keyword_statement_token6] = ACTIONS(5610),
    [aux_sym_keyword_statement_token7] = ACTIONS(5610),
    [aux_sym_include_statement_token1] = ACTIONS(5610),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5610),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5610),
    [aux_sym_end_if_statement_token1] = ACTIONS(5610),
    [aux_sym_elseif_clause_token2] = ACTIONS(5610),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5610),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token3] = ACTIONS(5610),
    [aux_sym_select_type_statement_token1] = ACTIONS(5610),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5610),
    [aux_sym_associate_statement_token1] = ACTIONS(5610),
    [aux_sym_format_statement_token1] = ACTIONS(5610),
    [aux_sym_print_statement_token1] = ACTIONS(5610),
    [aux_sym_open_statement_token1] = ACTIONS(5610),
    [aux_sym_close_statement_token1] = ACTIONS(5610),
    [aux_sym_inquire_statement_token1] = ACTIONS(5610),
    [aux_sym_enum_statement_token1] = ACTIONS(5610),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token2] = ACTIONS(5610),
    [aux_sym_file_position_statement_token3] = ACTIONS(5610),
    [aux_sym_file_position_statement_token4] = ACTIONS(5610),
    [aux_sym_allocate_statement_token1] = ACTIONS(5610),
    [aux_sym_entry_statement_token1] = ACTIONS(5610),
    [aux_sym_assign_statement_token1] = ACTIONS(5610),
    [aux_sym_logical_expression_token5] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [aux_sym_boolean_literal_token1] = ACTIONS(5612),
    [aux_sym_boolean_literal_token2] = ACTIONS(5612),
    [aux_sym_null_literal_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token2] = ACTIONS(5610),
    [aux_sym_coarray_statement_token6] = ACTIONS(5610),
    [aux_sym_coarray_statement_token8] = ACTIONS(5610),
    [aux_sym_coarray_statement_token11] = ACTIONS(5610),
    [aux_sym_coarray_statement_token12] = ACTIONS(5610),
    [aux_sym_coarray_statement_token13] = ACTIONS(5610),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5610),
    [aux_sym_identifier_token1] = ACTIONS(5610),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5612),
    [sym__float_literal] = ACTIONS(5612),
    [sym__boz_literal] = ACTIONS(5612),
    [sym__string_literal] = ACTIONS(5612),
    [sym__string_literal_kind] = ACTIONS(5612),
  },
  [1465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_end_function_statement_token1] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5600),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [aux_sym_boolean_literal_token1] = ACTIONS(5600),
    [aux_sym_boolean_literal_token2] = ACTIONS(5600),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5600),
    [sym__float_literal] = ACTIONS(5600),
    [sym__boz_literal] = ACTIONS(5600),
    [sym__string_literal] = ACTIONS(5600),
    [sym__string_literal_kind] = ACTIONS(5600),
  },
  [1467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5602),
    [aux_sym_end_program_statement_token2] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_interface_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token2] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5602),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5602),
    [aux_sym_language_binding_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5602),
    [aux_sym_contains_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token2] = ACTIONS(5602),
    [aux_sym_implicit_statement_token1] = ACTIONS(5602),
    [aux_sym_implicit_statement_token3] = ACTIONS(5602),
    [aux_sym_implicit_statement_token4] = ACTIONS(5602),
    [aux_sym_save_statement_token1] = ACTIONS(5602),
    [aux_sym_private_statement_token1] = ACTIONS(5602),
    [aux_sym_public_statement_token1] = ACTIONS(5602),
    [aux_sym_namelist_statement_token1] = ACTIONS(5602),
    [aux_sym_common_statement_token1] = ACTIONS(5602),
    [aux_sym_import_statement_token1] = ACTIONS(5602),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5602),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5602),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5602),
    [aux_sym_variable_attributes_token1] = ACTIONS(5602),
    [aux_sym_variable_attributes_token2] = ACTIONS(5602),
    [aux_sym_variable_attributes_token3] = ACTIONS(5602),
    [aux_sym_variable_attributes_token4] = ACTIONS(5602),
    [aux_sym_variable_attributes_token5] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5602),
    [aux_sym_derived_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5602),
    [aux_sym_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token2] = ACTIONS(5602),
    [aux_sym_subroutine_call_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token2] = ACTIONS(5602),
    [aux_sym_keyword_statement_token3] = ACTIONS(5602),
    [aux_sym_keyword_statement_token4] = ACTIONS(5602),
    [aux_sym_keyword_statement_token6] = ACTIONS(5602),
    [aux_sym_keyword_statement_token7] = ACTIONS(5602),
    [aux_sym_include_statement_token1] = ACTIONS(5602),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5602),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5602),
    [aux_sym_end_if_statement_token1] = ACTIONS(5602),
    [aux_sym_elseif_clause_token2] = ACTIONS(5602),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5602),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token3] = ACTIONS(5602),
    [aux_sym_select_type_statement_token1] = ACTIONS(5602),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5602),
    [aux_sym_associate_statement_token1] = ACTIONS(5602),
    [aux_sym_format_statement_token1] = ACTIONS(5602),
    [aux_sym_print_statement_token1] = ACTIONS(5602),
    [aux_sym_open_statement_token1] = ACTIONS(5602),
    [aux_sym_close_statement_token1] = ACTIONS(5602),
    [aux_sym_inquire_statement_token1] = ACTIONS(5602),
    [aux_sym_enum_statement_token1] = ACTIONS(5602),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token2] = ACTIONS(5602),
    [aux_sym_file_position_statement_token3] = ACTIONS(5602),
    [aux_sym_file_position_statement_token4] = ACTIONS(5602),
    [aux_sym_allocate_statement_token1] = ACTIONS(5602),
    [aux_sym_entry_statement_token1] = ACTIONS(5602),
    [aux_sym_assign_statement_token1] = ACTIONS(5602),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token2] = ACTIONS(5602),
    [aux_sym_coarray_statement_token6] = ACTIONS(5602),
    [aux_sym_coarray_statement_token8] = ACTIONS(5602),
    [aux_sym_coarray_statement_token11] = ACTIONS(5602),
    [aux_sym_coarray_statement_token12] = ACTIONS(5602),
    [aux_sym_coarray_statement_token13] = ACTIONS(5602),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5602),
    [aux_sym_identifier_token1] = ACTIONS(5602),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_end_function_statement_token1] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_end_program_statement_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_language_binding_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token1] = ACTIONS(5594),
    [aux_sym_implicit_statement_token3] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_namelist_statement_token1] = ACTIONS(5594),
    [aux_sym_common_statement_token1] = ACTIONS(5594),
    [aux_sym_import_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token1] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token4] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5594),
    [aux_sym_derived_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_enum_statement_token1] = ACTIONS(5594),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_assign_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5634),
    [aux_sym_preproc_def_token1] = ACTIONS(5634),
    [aux_sym_preproc_if_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5634),
    [sym_preproc_directive] = ACTIONS(5634),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5634),
    [aux_sym_end_program_statement_token2] = ACTIONS(5634),
    [anon_sym_SEMI] = ACTIONS(5636),
    [aux_sym_interface_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token2] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5634),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5634),
    [aux_sym_language_binding_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5634),
    [aux_sym_contains_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token2] = ACTIONS(5634),
    [aux_sym_implicit_statement_token1] = ACTIONS(5634),
    [aux_sym_implicit_statement_token3] = ACTIONS(5634),
    [aux_sym_implicit_statement_token4] = ACTIONS(5634),
    [aux_sym_save_statement_token1] = ACTIONS(5634),
    [aux_sym_private_statement_token1] = ACTIONS(5634),
    [aux_sym_public_statement_token1] = ACTIONS(5634),
    [aux_sym_namelist_statement_token1] = ACTIONS(5634),
    [aux_sym_common_statement_token1] = ACTIONS(5634),
    [aux_sym_import_statement_token1] = ACTIONS(5634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5634),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5634),
    [aux_sym_variable_attributes_token1] = ACTIONS(5634),
    [aux_sym_variable_attributes_token2] = ACTIONS(5634),
    [aux_sym_variable_attributes_token3] = ACTIONS(5634),
    [aux_sym_variable_attributes_token4] = ACTIONS(5634),
    [aux_sym_variable_attributes_token5] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5634),
    [aux_sym_derived_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5634),
    [aux_sym_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token2] = ACTIONS(5634),
    [aux_sym_subroutine_call_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token2] = ACTIONS(5634),
    [aux_sym_keyword_statement_token3] = ACTIONS(5634),
    [aux_sym_keyword_statement_token4] = ACTIONS(5634),
    [aux_sym_keyword_statement_token6] = ACTIONS(5634),
    [aux_sym_keyword_statement_token7] = ACTIONS(5634),
    [aux_sym_include_statement_token1] = ACTIONS(5634),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5634),
    [aux_sym_end_if_statement_token1] = ACTIONS(5634),
    [aux_sym_elseif_clause_token2] = ACTIONS(5634),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5634),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token3] = ACTIONS(5634),
    [aux_sym_select_type_statement_token1] = ACTIONS(5634),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5634),
    [aux_sym_associate_statement_token1] = ACTIONS(5634),
    [aux_sym_format_statement_token1] = ACTIONS(5634),
    [aux_sym_print_statement_token1] = ACTIONS(5634),
    [aux_sym_open_statement_token1] = ACTIONS(5634),
    [aux_sym_close_statement_token1] = ACTIONS(5634),
    [aux_sym_inquire_statement_token1] = ACTIONS(5634),
    [aux_sym_enum_statement_token1] = ACTIONS(5634),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token2] = ACTIONS(5634),
    [aux_sym_file_position_statement_token3] = ACTIONS(5634),
    [aux_sym_file_position_statement_token4] = ACTIONS(5634),
    [aux_sym_allocate_statement_token1] = ACTIONS(5634),
    [aux_sym_entry_statement_token1] = ACTIONS(5634),
    [aux_sym_assign_statement_token1] = ACTIONS(5634),
    [aux_sym_logical_expression_token5] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [aux_sym_boolean_literal_token1] = ACTIONS(5636),
    [aux_sym_boolean_literal_token2] = ACTIONS(5636),
    [aux_sym_null_literal_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token2] = ACTIONS(5634),
    [aux_sym_coarray_statement_token6] = ACTIONS(5634),
    [aux_sym_coarray_statement_token8] = ACTIONS(5634),
    [aux_sym_coarray_statement_token11] = ACTIONS(5634),
    [aux_sym_coarray_statement_token12] = ACTIONS(5634),
    [aux_sym_coarray_statement_token13] = ACTIONS(5634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5634),
    [aux_sym_identifier_token1] = ACTIONS(5634),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5636),
    [sym__float_literal] = ACTIONS(5636),
    [sym__boz_literal] = ACTIONS(5636),
    [sym__string_literal] = ACTIONS(5636),
    [sym__string_literal_kind] = ACTIONS(5636),
  },
  [1472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5626),
    [aux_sym_preproc_def_token1] = ACTIONS(5626),
    [aux_sym_preproc_if_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5626),
    [sym_preproc_directive] = ACTIONS(5626),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_interface_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token2] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5626),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5626),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5626),
    [aux_sym_language_binding_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5626),
    [aux_sym_contains_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token2] = ACTIONS(5626),
    [aux_sym_implicit_statement_token1] = ACTIONS(5626),
    [aux_sym_implicit_statement_token3] = ACTIONS(5626),
    [aux_sym_implicit_statement_token4] = ACTIONS(5626),
    [aux_sym_save_statement_token1] = ACTIONS(5626),
    [aux_sym_private_statement_token1] = ACTIONS(5626),
    [aux_sym_public_statement_token1] = ACTIONS(5626),
    [aux_sym_namelist_statement_token1] = ACTIONS(5626),
    [aux_sym_common_statement_token1] = ACTIONS(5626),
    [aux_sym_import_statement_token1] = ACTIONS(5626),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5626),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5626),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5626),
    [aux_sym_variable_attributes_token1] = ACTIONS(5626),
    [aux_sym_variable_attributes_token2] = ACTIONS(5626),
    [aux_sym_variable_attributes_token3] = ACTIONS(5626),
    [aux_sym_variable_attributes_token4] = ACTIONS(5626),
    [aux_sym_variable_attributes_token5] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5626),
    [aux_sym_derived_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5626),
    [aux_sym_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token2] = ACTIONS(5626),
    [aux_sym_subroutine_call_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token2] = ACTIONS(5626),
    [aux_sym_keyword_statement_token3] = ACTIONS(5626),
    [aux_sym_keyword_statement_token4] = ACTIONS(5626),
    [aux_sym_keyword_statement_token6] = ACTIONS(5626),
    [aux_sym_keyword_statement_token7] = ACTIONS(5626),
    [aux_sym_include_statement_token1] = ACTIONS(5626),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5626),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5626),
    [aux_sym_end_if_statement_token1] = ACTIONS(5626),
    [aux_sym_elseif_clause_token2] = ACTIONS(5626),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5626),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token3] = ACTIONS(5626),
    [aux_sym_select_type_statement_token1] = ACTIONS(5626),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5626),
    [aux_sym_associate_statement_token1] = ACTIONS(5626),
    [aux_sym_format_statement_token1] = ACTIONS(5626),
    [aux_sym_print_statement_token1] = ACTIONS(5626),
    [aux_sym_open_statement_token1] = ACTIONS(5626),
    [aux_sym_close_statement_token1] = ACTIONS(5626),
    [aux_sym_inquire_statement_token1] = ACTIONS(5626),
    [aux_sym_enum_statement_token1] = ACTIONS(5626),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token2] = ACTIONS(5626),
    [aux_sym_file_position_statement_token3] = ACTIONS(5626),
    [aux_sym_file_position_statement_token4] = ACTIONS(5626),
    [aux_sym_allocate_statement_token1] = ACTIONS(5626),
    [aux_sym_entry_statement_token1] = ACTIONS(5626),
    [aux_sym_assign_statement_token1] = ACTIONS(5626),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token2] = ACTIONS(5626),
    [aux_sym_coarray_statement_token6] = ACTIONS(5626),
    [aux_sym_coarray_statement_token8] = ACTIONS(5626),
    [aux_sym_coarray_statement_token11] = ACTIONS(5626),
    [aux_sym_coarray_statement_token12] = ACTIONS(5626),
    [aux_sym_coarray_statement_token13] = ACTIONS(5626),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5626),
    [aux_sym_identifier_token1] = ACTIONS(5626),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_end_function_statement_token1] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_PLUS] = ACTIONS(5632),
    [anon_sym_DASH] = ACTIONS(5632),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5632),
    [aux_sym_interface_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5630),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_language_binding_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token1] = ACTIONS(5630),
    [aux_sym_implicit_statement_token3] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_namelist_statement_token1] = ACTIONS(5630),
    [aux_sym_common_statement_token1] = ACTIONS(5630),
    [aux_sym_import_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token1] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token4] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5630),
    [aux_sym_derived_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_enum_statement_token1] = ACTIONS(5630),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_assign_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [aux_sym_boolean_literal_token1] = ACTIONS(5632),
    [aux_sym_boolean_literal_token2] = ACTIONS(5632),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5632),
    [sym__float_literal] = ACTIONS(5632),
    [sym__boz_literal] = ACTIONS(5632),
    [sym__string_literal] = ACTIONS(5632),
    [sym__string_literal_kind] = ACTIONS(5632),
  },
  [1484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_language_binding_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token1] = ACTIONS(5606),
    [aux_sym_implicit_statement_token3] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_namelist_statement_token1] = ACTIONS(5606),
    [aux_sym_common_statement_token1] = ACTIONS(5606),
    [aux_sym_import_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token1] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token4] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5606),
    [aux_sym_derived_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_enum_statement_token1] = ACTIONS(5606),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_assign_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_end_function_statement_token1] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5622),
    [aux_sym_end_program_statement_token2] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [aux_sym_interface_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token2] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5622),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5622),
    [aux_sym_language_binding_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5622),
    [aux_sym_contains_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token2] = ACTIONS(5622),
    [aux_sym_implicit_statement_token1] = ACTIONS(5622),
    [aux_sym_implicit_statement_token3] = ACTIONS(5622),
    [aux_sym_implicit_statement_token4] = ACTIONS(5622),
    [aux_sym_save_statement_token1] = ACTIONS(5622),
    [aux_sym_private_statement_token1] = ACTIONS(5622),
    [aux_sym_public_statement_token1] = ACTIONS(5622),
    [aux_sym_namelist_statement_token1] = ACTIONS(5622),
    [aux_sym_common_statement_token1] = ACTIONS(5622),
    [aux_sym_import_statement_token1] = ACTIONS(5622),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5622),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5622),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5622),
    [aux_sym_variable_attributes_token1] = ACTIONS(5622),
    [aux_sym_variable_attributes_token2] = ACTIONS(5622),
    [aux_sym_variable_attributes_token3] = ACTIONS(5622),
    [aux_sym_variable_attributes_token4] = ACTIONS(5622),
    [aux_sym_variable_attributes_token5] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5622),
    [aux_sym_derived_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5622),
    [aux_sym_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token2] = ACTIONS(5622),
    [aux_sym_subroutine_call_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token2] = ACTIONS(5622),
    [aux_sym_keyword_statement_token3] = ACTIONS(5622),
    [aux_sym_keyword_statement_token4] = ACTIONS(5622),
    [aux_sym_keyword_statement_token6] = ACTIONS(5622),
    [aux_sym_keyword_statement_token7] = ACTIONS(5622),
    [aux_sym_include_statement_token1] = ACTIONS(5622),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5622),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5622),
    [aux_sym_end_if_statement_token1] = ACTIONS(5622),
    [aux_sym_elseif_clause_token2] = ACTIONS(5622),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5622),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token3] = ACTIONS(5622),
    [aux_sym_select_type_statement_token1] = ACTIONS(5622),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5622),
    [aux_sym_associate_statement_token1] = ACTIONS(5622),
    [aux_sym_format_statement_token1] = ACTIONS(5622),
    [aux_sym_print_statement_token1] = ACTIONS(5622),
    [aux_sym_open_statement_token1] = ACTIONS(5622),
    [aux_sym_close_statement_token1] = ACTIONS(5622),
    [aux_sym_inquire_statement_token1] = ACTIONS(5622),
    [aux_sym_enum_statement_token1] = ACTIONS(5622),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token2] = ACTIONS(5622),
    [aux_sym_file_position_statement_token3] = ACTIONS(5622),
    [aux_sym_file_position_statement_token4] = ACTIONS(5622),
    [aux_sym_allocate_statement_token1] = ACTIONS(5622),
    [aux_sym_entry_statement_token1] = ACTIONS(5622),
    [aux_sym_assign_statement_token1] = ACTIONS(5622),
    [aux_sym_logical_expression_token5] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [aux_sym_boolean_literal_token1] = ACTIONS(5624),
    [aux_sym_boolean_literal_token2] = ACTIONS(5624),
    [aux_sym_null_literal_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token2] = ACTIONS(5622),
    [aux_sym_coarray_statement_token6] = ACTIONS(5622),
    [aux_sym_coarray_statement_token8] = ACTIONS(5622),
    [aux_sym_coarray_statement_token11] = ACTIONS(5622),
    [aux_sym_coarray_statement_token12] = ACTIONS(5622),
    [aux_sym_coarray_statement_token13] = ACTIONS(5622),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5622),
    [aux_sym_identifier_token1] = ACTIONS(5622),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5624),
    [sym__float_literal] = ACTIONS(5624),
    [sym__boz_literal] = ACTIONS(5624),
    [sym__string_literal] = ACTIONS(5624),
    [sym__string_literal_kind] = ACTIONS(5624),
  },
  [1488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5620),
    [anon_sym_DASH] = ACTIONS(5620),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5620),
    [aux_sym_interface_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_language_binding_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token1] = ACTIONS(5618),
    [aux_sym_implicit_statement_token3] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_namelist_statement_token1] = ACTIONS(5618),
    [aux_sym_common_statement_token1] = ACTIONS(5618),
    [aux_sym_import_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token1] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token4] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5618),
    [aux_sym_derived_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_enum_statement_token1] = ACTIONS(5618),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_assign_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [aux_sym_boolean_literal_token1] = ACTIONS(5620),
    [aux_sym_boolean_literal_token2] = ACTIONS(5620),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5620),
    [sym__float_literal] = ACTIONS(5620),
    [sym__boz_literal] = ACTIONS(5620),
    [sym__string_literal] = ACTIONS(5620),
    [sym__string_literal_kind] = ACTIONS(5620),
  },
  [1491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_end_function_statement_token1] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_end_function_statement_token1] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_end_function_statement_token1] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_end_function_statement_token1] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_end_function_statement_token1] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_end_function_statement_token1] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5600),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [aux_sym_boolean_literal_token1] = ACTIONS(5600),
    [aux_sym_boolean_literal_token2] = ACTIONS(5600),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5600),
    [sym__float_literal] = ACTIONS(5600),
    [sym__boz_literal] = ACTIONS(5600),
    [sym__string_literal] = ACTIONS(5600),
    [sym__string_literal_kind] = ACTIONS(5600),
  },
  [1499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_end_function_statement_token1] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_end_function_statement_token1] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token1] = ACTIONS(5606),
    [aux_sym_block_data_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5606),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_language_binding_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token1] = ACTIONS(5606),
    [aux_sym_implicit_statement_token3] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_namelist_statement_token1] = ACTIONS(5606),
    [aux_sym_common_statement_token1] = ACTIONS(5606),
    [aux_sym_import_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token1] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token4] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5606),
    [aux_sym_derived_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token1] = ACTIONS(5606),
    [aux_sym_declared_type_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_enum_statement_token1] = ACTIONS(5606),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_assign_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5620),
    [anon_sym_DASH] = ACTIONS(5620),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5620),
    [aux_sym_interface_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5618),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_language_binding_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token1] = ACTIONS(5618),
    [aux_sym_implicit_statement_token3] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_namelist_statement_token1] = ACTIONS(5618),
    [aux_sym_common_statement_token1] = ACTIONS(5618),
    [aux_sym_import_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token1] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token4] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5618),
    [aux_sym_derived_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_enum_statement_token1] = ACTIONS(5618),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_assign_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [aux_sym_boolean_literal_token1] = ACTIONS(5620),
    [aux_sym_boolean_literal_token2] = ACTIONS(5620),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5620),
    [sym__float_literal] = ACTIONS(5620),
    [sym__boz_literal] = ACTIONS(5620),
    [sym__string_literal] = ACTIONS(5620),
    [sym__string_literal_kind] = ACTIONS(5620),
  },
  [1506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [aux_sym_end_program_statement_token2] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_end_function_statement_token1] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_end_function_statement_token1] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_interface_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token2] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5602),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5602),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5602),
    [aux_sym_language_binding_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5602),
    [aux_sym_contains_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token2] = ACTIONS(5602),
    [aux_sym_implicit_statement_token1] = ACTIONS(5602),
    [aux_sym_implicit_statement_token3] = ACTIONS(5602),
    [aux_sym_implicit_statement_token4] = ACTIONS(5602),
    [aux_sym_save_statement_token1] = ACTIONS(5602),
    [aux_sym_private_statement_token1] = ACTIONS(5602),
    [aux_sym_public_statement_token1] = ACTIONS(5602),
    [aux_sym_namelist_statement_token1] = ACTIONS(5602),
    [aux_sym_common_statement_token1] = ACTIONS(5602),
    [aux_sym_import_statement_token1] = ACTIONS(5602),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5602),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5602),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5602),
    [aux_sym_variable_attributes_token1] = ACTIONS(5602),
    [aux_sym_variable_attributes_token2] = ACTIONS(5602),
    [aux_sym_variable_attributes_token3] = ACTIONS(5602),
    [aux_sym_variable_attributes_token4] = ACTIONS(5602),
    [aux_sym_variable_attributes_token5] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5602),
    [aux_sym_derived_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5602),
    [aux_sym_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token2] = ACTIONS(5602),
    [aux_sym_subroutine_call_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token2] = ACTIONS(5602),
    [aux_sym_keyword_statement_token3] = ACTIONS(5602),
    [aux_sym_keyword_statement_token4] = ACTIONS(5602),
    [aux_sym_keyword_statement_token6] = ACTIONS(5602),
    [aux_sym_keyword_statement_token7] = ACTIONS(5602),
    [aux_sym_include_statement_token1] = ACTIONS(5602),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5602),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5602),
    [aux_sym_end_if_statement_token1] = ACTIONS(5602),
    [aux_sym_elseif_clause_token2] = ACTIONS(5602),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5602),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token3] = ACTIONS(5602),
    [aux_sym_select_type_statement_token1] = ACTIONS(5602),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5602),
    [aux_sym_associate_statement_token1] = ACTIONS(5602),
    [aux_sym_format_statement_token1] = ACTIONS(5602),
    [aux_sym_print_statement_token1] = ACTIONS(5602),
    [aux_sym_open_statement_token1] = ACTIONS(5602),
    [aux_sym_close_statement_token1] = ACTIONS(5602),
    [aux_sym_inquire_statement_token1] = ACTIONS(5602),
    [aux_sym_enum_statement_token1] = ACTIONS(5602),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token2] = ACTIONS(5602),
    [aux_sym_file_position_statement_token3] = ACTIONS(5602),
    [aux_sym_file_position_statement_token4] = ACTIONS(5602),
    [aux_sym_allocate_statement_token1] = ACTIONS(5602),
    [aux_sym_entry_statement_token1] = ACTIONS(5602),
    [aux_sym_assign_statement_token1] = ACTIONS(5602),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token2] = ACTIONS(5602),
    [aux_sym_coarray_statement_token6] = ACTIONS(5602),
    [aux_sym_coarray_statement_token8] = ACTIONS(5602),
    [aux_sym_coarray_statement_token11] = ACTIONS(5602),
    [aux_sym_coarray_statement_token12] = ACTIONS(5602),
    [aux_sym_coarray_statement_token13] = ACTIONS(5602),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5602),
    [aux_sym_identifier_token1] = ACTIONS(5602),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [aux_sym_end_program_statement_token2] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_keyword_statement_token6] = ACTIONS(4720),
    [aux_sym_keyword_statement_token7] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token3] = ACTIONS(4720),
    [aux_sym_select_type_statement_token1] = ACTIONS(4720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4720),
    [aux_sym_associate_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_print_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_close_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token2] = ACTIONS(4720),
    [aux_sym_file_position_statement_token3] = ACTIONS(4720),
    [aux_sym_file_position_statement_token4] = ACTIONS(4720),
    [aux_sym_allocate_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_assign_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_statement_token13] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [1516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5634),
    [aux_sym_preproc_def_token1] = ACTIONS(5634),
    [aux_sym_preproc_if_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5634),
    [sym_preproc_directive] = ACTIONS(5634),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5634),
    [anon_sym_SEMI] = ACTIONS(5636),
    [aux_sym_interface_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token2] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5634),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5634),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5634),
    [aux_sym_language_binding_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5634),
    [aux_sym_contains_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token2] = ACTIONS(5634),
    [aux_sym_implicit_statement_token1] = ACTIONS(5634),
    [aux_sym_implicit_statement_token3] = ACTIONS(5634),
    [aux_sym_implicit_statement_token4] = ACTIONS(5634),
    [aux_sym_save_statement_token1] = ACTIONS(5634),
    [aux_sym_private_statement_token1] = ACTIONS(5634),
    [aux_sym_public_statement_token1] = ACTIONS(5634),
    [aux_sym_namelist_statement_token1] = ACTIONS(5634),
    [aux_sym_common_statement_token1] = ACTIONS(5634),
    [aux_sym_import_statement_token1] = ACTIONS(5634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5634),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5634),
    [aux_sym_variable_attributes_token1] = ACTIONS(5634),
    [aux_sym_variable_attributes_token2] = ACTIONS(5634),
    [aux_sym_variable_attributes_token3] = ACTIONS(5634),
    [aux_sym_variable_attributes_token4] = ACTIONS(5634),
    [aux_sym_variable_attributes_token5] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5634),
    [aux_sym_derived_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5634),
    [aux_sym_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token2] = ACTIONS(5634),
    [aux_sym_subroutine_call_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token2] = ACTIONS(5634),
    [aux_sym_keyword_statement_token3] = ACTIONS(5634),
    [aux_sym_keyword_statement_token4] = ACTIONS(5634),
    [aux_sym_keyword_statement_token6] = ACTIONS(5634),
    [aux_sym_keyword_statement_token7] = ACTIONS(5634),
    [aux_sym_include_statement_token1] = ACTIONS(5634),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5634),
    [aux_sym_end_if_statement_token1] = ACTIONS(5634),
    [aux_sym_elseif_clause_token2] = ACTIONS(5634),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5634),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token3] = ACTIONS(5634),
    [aux_sym_select_type_statement_token1] = ACTIONS(5634),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5634),
    [aux_sym_associate_statement_token1] = ACTIONS(5634),
    [aux_sym_format_statement_token1] = ACTIONS(5634),
    [aux_sym_print_statement_token1] = ACTIONS(5634),
    [aux_sym_open_statement_token1] = ACTIONS(5634),
    [aux_sym_close_statement_token1] = ACTIONS(5634),
    [aux_sym_inquire_statement_token1] = ACTIONS(5634),
    [aux_sym_enum_statement_token1] = ACTIONS(5634),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token2] = ACTIONS(5634),
    [aux_sym_file_position_statement_token3] = ACTIONS(5634),
    [aux_sym_file_position_statement_token4] = ACTIONS(5634),
    [aux_sym_allocate_statement_token1] = ACTIONS(5634),
    [aux_sym_entry_statement_token1] = ACTIONS(5634),
    [aux_sym_assign_statement_token1] = ACTIONS(5634),
    [aux_sym_logical_expression_token5] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [aux_sym_boolean_literal_token1] = ACTIONS(5636),
    [aux_sym_boolean_literal_token2] = ACTIONS(5636),
    [aux_sym_null_literal_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token2] = ACTIONS(5634),
    [aux_sym_coarray_statement_token6] = ACTIONS(5634),
    [aux_sym_coarray_statement_token8] = ACTIONS(5634),
    [aux_sym_coarray_statement_token11] = ACTIONS(5634),
    [aux_sym_coarray_statement_token12] = ACTIONS(5634),
    [aux_sym_coarray_statement_token13] = ACTIONS(5634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5634),
    [aux_sym_identifier_token1] = ACTIONS(5634),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5636),
    [sym__float_literal] = ACTIONS(5636),
    [sym__boz_literal] = ACTIONS(5636),
    [sym__string_literal] = ACTIONS(5636),
    [sym__string_literal_kind] = ACTIONS(5636),
  },
  [1517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5626),
    [aux_sym_preproc_def_token1] = ACTIONS(5626),
    [aux_sym_preproc_if_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5626),
    [sym_preproc_directive] = ACTIONS(5626),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5626),
    [aux_sym_end_program_statement_token2] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_interface_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token2] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5626),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5626),
    [aux_sym_language_binding_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5626),
    [aux_sym_contains_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token2] = ACTIONS(5626),
    [aux_sym_implicit_statement_token1] = ACTIONS(5626),
    [aux_sym_implicit_statement_token3] = ACTIONS(5626),
    [aux_sym_implicit_statement_token4] = ACTIONS(5626),
    [aux_sym_save_statement_token1] = ACTIONS(5626),
    [aux_sym_private_statement_token1] = ACTIONS(5626),
    [aux_sym_public_statement_token1] = ACTIONS(5626),
    [aux_sym_namelist_statement_token1] = ACTIONS(5626),
    [aux_sym_common_statement_token1] = ACTIONS(5626),
    [aux_sym_import_statement_token1] = ACTIONS(5626),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5626),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5626),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5626),
    [aux_sym_variable_attributes_token1] = ACTIONS(5626),
    [aux_sym_variable_attributes_token2] = ACTIONS(5626),
    [aux_sym_variable_attributes_token3] = ACTIONS(5626),
    [aux_sym_variable_attributes_token4] = ACTIONS(5626),
    [aux_sym_variable_attributes_token5] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5626),
    [aux_sym_derived_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5626),
    [aux_sym_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token2] = ACTIONS(5626),
    [aux_sym_subroutine_call_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token2] = ACTIONS(5626),
    [aux_sym_keyword_statement_token3] = ACTIONS(5626),
    [aux_sym_keyword_statement_token4] = ACTIONS(5626),
    [aux_sym_keyword_statement_token6] = ACTIONS(5626),
    [aux_sym_keyword_statement_token7] = ACTIONS(5626),
    [aux_sym_include_statement_token1] = ACTIONS(5626),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5626),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5626),
    [aux_sym_end_if_statement_token1] = ACTIONS(5626),
    [aux_sym_elseif_clause_token2] = ACTIONS(5626),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5626),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token3] = ACTIONS(5626),
    [aux_sym_select_type_statement_token1] = ACTIONS(5626),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5626),
    [aux_sym_associate_statement_token1] = ACTIONS(5626),
    [aux_sym_format_statement_token1] = ACTIONS(5626),
    [aux_sym_print_statement_token1] = ACTIONS(5626),
    [aux_sym_open_statement_token1] = ACTIONS(5626),
    [aux_sym_close_statement_token1] = ACTIONS(5626),
    [aux_sym_inquire_statement_token1] = ACTIONS(5626),
    [aux_sym_enum_statement_token1] = ACTIONS(5626),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token2] = ACTIONS(5626),
    [aux_sym_file_position_statement_token3] = ACTIONS(5626),
    [aux_sym_file_position_statement_token4] = ACTIONS(5626),
    [aux_sym_allocate_statement_token1] = ACTIONS(5626),
    [aux_sym_entry_statement_token1] = ACTIONS(5626),
    [aux_sym_assign_statement_token1] = ACTIONS(5626),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token2] = ACTIONS(5626),
    [aux_sym_coarray_statement_token6] = ACTIONS(5626),
    [aux_sym_coarray_statement_token8] = ACTIONS(5626),
    [aux_sym_coarray_statement_token11] = ACTIONS(5626),
    [aux_sym_coarray_statement_token12] = ACTIONS(5626),
    [aux_sym_coarray_statement_token13] = ACTIONS(5626),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5626),
    [aux_sym_identifier_token1] = ACTIONS(5626),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_end_function_statement_token1] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5638),
    [aux_sym_preproc_def_token1] = ACTIONS(5638),
    [aux_sym_preproc_if_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5638),
    [sym_preproc_directive] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5638),
    [aux_sym_end_program_statement_token2] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_interface_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token2] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5638),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5638),
    [aux_sym_language_binding_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5638),
    [aux_sym_contains_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token2] = ACTIONS(5638),
    [aux_sym_implicit_statement_token1] = ACTIONS(5638),
    [aux_sym_implicit_statement_token3] = ACTIONS(5638),
    [aux_sym_implicit_statement_token4] = ACTIONS(5638),
    [aux_sym_save_statement_token1] = ACTIONS(5638),
    [aux_sym_private_statement_token1] = ACTIONS(5638),
    [aux_sym_public_statement_token1] = ACTIONS(5638),
    [aux_sym_namelist_statement_token1] = ACTIONS(5638),
    [aux_sym_common_statement_token1] = ACTIONS(5638),
    [aux_sym_import_statement_token1] = ACTIONS(5638),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5638),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5638),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5638),
    [aux_sym_variable_attributes_token1] = ACTIONS(5638),
    [aux_sym_variable_attributes_token2] = ACTIONS(5638),
    [aux_sym_variable_attributes_token3] = ACTIONS(5638),
    [aux_sym_variable_attributes_token4] = ACTIONS(5638),
    [aux_sym_variable_attributes_token5] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5638),
    [aux_sym_derived_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5638),
    [aux_sym_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token2] = ACTIONS(5638),
    [aux_sym_subroutine_call_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token2] = ACTIONS(5638),
    [aux_sym_keyword_statement_token3] = ACTIONS(5638),
    [aux_sym_keyword_statement_token4] = ACTIONS(5638),
    [aux_sym_keyword_statement_token6] = ACTIONS(5638),
    [aux_sym_keyword_statement_token7] = ACTIONS(5638),
    [aux_sym_include_statement_token1] = ACTIONS(5638),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5638),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5638),
    [aux_sym_end_if_statement_token1] = ACTIONS(5638),
    [aux_sym_elseif_clause_token2] = ACTIONS(5638),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5638),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token3] = ACTIONS(5638),
    [aux_sym_select_type_statement_token1] = ACTIONS(5638),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5638),
    [aux_sym_associate_statement_token1] = ACTIONS(5638),
    [aux_sym_format_statement_token1] = ACTIONS(5638),
    [aux_sym_print_statement_token1] = ACTIONS(5638),
    [aux_sym_open_statement_token1] = ACTIONS(5638),
    [aux_sym_close_statement_token1] = ACTIONS(5638),
    [aux_sym_inquire_statement_token1] = ACTIONS(5638),
    [aux_sym_enum_statement_token1] = ACTIONS(5638),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token2] = ACTIONS(5638),
    [aux_sym_file_position_statement_token3] = ACTIONS(5638),
    [aux_sym_file_position_statement_token4] = ACTIONS(5638),
    [aux_sym_allocate_statement_token1] = ACTIONS(5638),
    [aux_sym_entry_statement_token1] = ACTIONS(5638),
    [aux_sym_assign_statement_token1] = ACTIONS(5638),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token2] = ACTIONS(5638),
    [aux_sym_coarray_statement_token6] = ACTIONS(5638),
    [aux_sym_coarray_statement_token8] = ACTIONS(5638),
    [aux_sym_coarray_statement_token11] = ACTIONS(5638),
    [aux_sym_coarray_statement_token12] = ACTIONS(5638),
    [aux_sym_coarray_statement_token13] = ACTIONS(5638),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5638),
    [aux_sym_identifier_token1] = ACTIONS(5638),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_end_function_statement_token1] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5638),
    [aux_sym_preproc_def_token1] = ACTIONS(5638),
    [aux_sym_preproc_if_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5638),
    [sym_preproc_directive] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_interface_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token2] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5638),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5638),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5638),
    [aux_sym_language_binding_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5638),
    [aux_sym_contains_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token2] = ACTIONS(5638),
    [aux_sym_implicit_statement_token1] = ACTIONS(5638),
    [aux_sym_implicit_statement_token3] = ACTIONS(5638),
    [aux_sym_implicit_statement_token4] = ACTIONS(5638),
    [aux_sym_save_statement_token1] = ACTIONS(5638),
    [aux_sym_private_statement_token1] = ACTIONS(5638),
    [aux_sym_public_statement_token1] = ACTIONS(5638),
    [aux_sym_namelist_statement_token1] = ACTIONS(5638),
    [aux_sym_common_statement_token1] = ACTIONS(5638),
    [aux_sym_import_statement_token1] = ACTIONS(5638),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5638),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5638),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5638),
    [aux_sym_variable_attributes_token1] = ACTIONS(5638),
    [aux_sym_variable_attributes_token2] = ACTIONS(5638),
    [aux_sym_variable_attributes_token3] = ACTIONS(5638),
    [aux_sym_variable_attributes_token4] = ACTIONS(5638),
    [aux_sym_variable_attributes_token5] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5638),
    [aux_sym_derived_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5638),
    [aux_sym_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token2] = ACTIONS(5638),
    [aux_sym_subroutine_call_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token2] = ACTIONS(5638),
    [aux_sym_keyword_statement_token3] = ACTIONS(5638),
    [aux_sym_keyword_statement_token4] = ACTIONS(5638),
    [aux_sym_keyword_statement_token6] = ACTIONS(5638),
    [aux_sym_keyword_statement_token7] = ACTIONS(5638),
    [aux_sym_include_statement_token1] = ACTIONS(5638),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5638),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5638),
    [aux_sym_end_if_statement_token1] = ACTIONS(5638),
    [aux_sym_elseif_clause_token2] = ACTIONS(5638),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5638),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token3] = ACTIONS(5638),
    [aux_sym_select_type_statement_token1] = ACTIONS(5638),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5638),
    [aux_sym_associate_statement_token1] = ACTIONS(5638),
    [aux_sym_format_statement_token1] = ACTIONS(5638),
    [aux_sym_print_statement_token1] = ACTIONS(5638),
    [aux_sym_open_statement_token1] = ACTIONS(5638),
    [aux_sym_close_statement_token1] = ACTIONS(5638),
    [aux_sym_inquire_statement_token1] = ACTIONS(5638),
    [aux_sym_enum_statement_token1] = ACTIONS(5638),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token2] = ACTIONS(5638),
    [aux_sym_file_position_statement_token3] = ACTIONS(5638),
    [aux_sym_file_position_statement_token4] = ACTIONS(5638),
    [aux_sym_allocate_statement_token1] = ACTIONS(5638),
    [aux_sym_entry_statement_token1] = ACTIONS(5638),
    [aux_sym_assign_statement_token1] = ACTIONS(5638),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token2] = ACTIONS(5638),
    [aux_sym_coarray_statement_token6] = ACTIONS(5638),
    [aux_sym_coarray_statement_token8] = ACTIONS(5638),
    [aux_sym_coarray_statement_token11] = ACTIONS(5638),
    [aux_sym_coarray_statement_token12] = ACTIONS(5638),
    [aux_sym_coarray_statement_token13] = ACTIONS(5638),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5638),
    [aux_sym_identifier_token1] = ACTIONS(5638),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_interface_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token1] = ACTIONS(5602),
    [aux_sym_block_data_statement_token2] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5602),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5602),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5602),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5602),
    [aux_sym_language_binding_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5602),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5602),
    [aux_sym_contains_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token1] = ACTIONS(5602),
    [aux_sym_use_statement_token2] = ACTIONS(5602),
    [aux_sym_implicit_statement_token1] = ACTIONS(5602),
    [aux_sym_implicit_statement_token3] = ACTIONS(5602),
    [aux_sym_implicit_statement_token4] = ACTIONS(5602),
    [aux_sym_save_statement_token1] = ACTIONS(5602),
    [aux_sym_private_statement_token1] = ACTIONS(5602),
    [aux_sym_public_statement_token1] = ACTIONS(5602),
    [aux_sym_namelist_statement_token1] = ACTIONS(5602),
    [aux_sym_common_statement_token1] = ACTIONS(5602),
    [aux_sym_import_statement_token1] = ACTIONS(5602),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5602),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5602),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5602),
    [aux_sym_variable_attributes_token1] = ACTIONS(5602),
    [aux_sym_variable_attributes_token2] = ACTIONS(5602),
    [aux_sym_variable_attributes_token3] = ACTIONS(5602),
    [aux_sym_variable_attributes_token4] = ACTIONS(5602),
    [aux_sym_variable_attributes_token5] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5602),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5602),
    [aux_sym_derived_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token1] = ACTIONS(5602),
    [aux_sym_declared_type_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5602),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5602),
    [aux_sym_type_qualifier_token1] = ACTIONS(5602),
    [aux_sym_type_qualifier_token2] = ACTIONS(5602),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token1] = ACTIONS(5602),
    [aux_sym_stop_statement_token2] = ACTIONS(5602),
    [aux_sym_subroutine_call_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token1] = ACTIONS(5602),
    [aux_sym_keyword_statement_token2] = ACTIONS(5602),
    [aux_sym_keyword_statement_token3] = ACTIONS(5602),
    [aux_sym_keyword_statement_token4] = ACTIONS(5602),
    [aux_sym_keyword_statement_token6] = ACTIONS(5602),
    [aux_sym_keyword_statement_token7] = ACTIONS(5602),
    [aux_sym_include_statement_token1] = ACTIONS(5602),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5602),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5602),
    [aux_sym_end_if_statement_token1] = ACTIONS(5602),
    [aux_sym_elseif_clause_token2] = ACTIONS(5602),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5602),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token1] = ACTIONS(5602),
    [aux_sym_select_case_statement_token3] = ACTIONS(5602),
    [aux_sym_select_type_statement_token1] = ACTIONS(5602),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5602),
    [aux_sym_associate_statement_token1] = ACTIONS(5602),
    [aux_sym_format_statement_token1] = ACTIONS(5602),
    [aux_sym_print_statement_token1] = ACTIONS(5602),
    [aux_sym_open_statement_token1] = ACTIONS(5602),
    [aux_sym_close_statement_token1] = ACTIONS(5602),
    [aux_sym_inquire_statement_token1] = ACTIONS(5602),
    [aux_sym_enum_statement_token1] = ACTIONS(5602),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token1] = ACTIONS(5602),
    [aux_sym_file_position_statement_token2] = ACTIONS(5602),
    [aux_sym_file_position_statement_token3] = ACTIONS(5602),
    [aux_sym_file_position_statement_token4] = ACTIONS(5602),
    [aux_sym_allocate_statement_token1] = ACTIONS(5602),
    [aux_sym_entry_statement_token1] = ACTIONS(5602),
    [aux_sym_assign_statement_token1] = ACTIONS(5602),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_statement_token2] = ACTIONS(5602),
    [aux_sym_coarray_statement_token6] = ACTIONS(5602),
    [aux_sym_coarray_statement_token8] = ACTIONS(5602),
    [aux_sym_coarray_statement_token11] = ACTIONS(5602),
    [aux_sym_coarray_statement_token12] = ACTIONS(5602),
    [aux_sym_coarray_statement_token13] = ACTIONS(5602),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5602),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5602),
    [aux_sym_identifier_token1] = ACTIONS(5602),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_end_function_statement_token1] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_end_function_statement_token1] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_PLUS] = ACTIONS(5632),
    [anon_sym_DASH] = ACTIONS(5632),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_end_program_statement_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5632),
    [aux_sym_interface_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_language_binding_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token1] = ACTIONS(5630),
    [aux_sym_implicit_statement_token3] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_namelist_statement_token1] = ACTIONS(5630),
    [aux_sym_common_statement_token1] = ACTIONS(5630),
    [aux_sym_import_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token1] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token4] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5630),
    [aux_sym_derived_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_enum_statement_token1] = ACTIONS(5630),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_assign_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [aux_sym_boolean_literal_token1] = ACTIONS(5632),
    [aux_sym_boolean_literal_token2] = ACTIONS(5632),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5632),
    [sym__float_literal] = ACTIONS(5632),
    [sym__boz_literal] = ACTIONS(5632),
    [sym__string_literal] = ACTIONS(5632),
    [sym__string_literal_kind] = ACTIONS(5632),
  },
  [1537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [aux_sym_end_program_statement_token2] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_keyword_statement_token6] = ACTIONS(4732),
    [aux_sym_keyword_statement_token7] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4732),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token3] = ACTIONS(4732),
    [aux_sym_select_type_statement_token1] = ACTIONS(4732),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4732),
    [aux_sym_associate_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_print_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_close_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token2] = ACTIONS(4732),
    [aux_sym_file_position_statement_token3] = ACTIONS(4732),
    [aux_sym_file_position_statement_token4] = ACTIONS(4732),
    [aux_sym_allocate_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_assign_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_statement_token13] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [1538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_language_binding_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token1] = ACTIONS(5594),
    [aux_sym_implicit_statement_token3] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_namelist_statement_token1] = ACTIONS(5594),
    [aux_sym_common_statement_token1] = ACTIONS(5594),
    [aux_sym_import_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token1] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token4] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5594),
    [aux_sym_derived_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_enum_statement_token1] = ACTIONS(5594),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_assign_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_end_function_statement_token1] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5634),
    [aux_sym_preproc_def_token1] = ACTIONS(5634),
    [aux_sym_preproc_if_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5634),
    [sym_preproc_directive] = ACTIONS(5634),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5634),
    [anon_sym_SEMI] = ACTIONS(5636),
    [aux_sym_interface_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token2] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5634),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5634),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5634),
    [aux_sym_language_binding_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5634),
    [aux_sym_contains_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token2] = ACTIONS(5634),
    [aux_sym_implicit_statement_token1] = ACTIONS(5634),
    [aux_sym_implicit_statement_token3] = ACTIONS(5634),
    [aux_sym_implicit_statement_token4] = ACTIONS(5634),
    [aux_sym_save_statement_token1] = ACTIONS(5634),
    [aux_sym_private_statement_token1] = ACTIONS(5634),
    [aux_sym_public_statement_token1] = ACTIONS(5634),
    [aux_sym_namelist_statement_token1] = ACTIONS(5634),
    [aux_sym_common_statement_token1] = ACTIONS(5634),
    [aux_sym_import_statement_token1] = ACTIONS(5634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5634),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5634),
    [aux_sym_variable_attributes_token1] = ACTIONS(5634),
    [aux_sym_variable_attributes_token2] = ACTIONS(5634),
    [aux_sym_variable_attributes_token3] = ACTIONS(5634),
    [aux_sym_variable_attributes_token4] = ACTIONS(5634),
    [aux_sym_variable_attributes_token5] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5634),
    [aux_sym_derived_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5634),
    [aux_sym_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token2] = ACTIONS(5634),
    [aux_sym_subroutine_call_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token2] = ACTIONS(5634),
    [aux_sym_keyword_statement_token3] = ACTIONS(5634),
    [aux_sym_keyword_statement_token4] = ACTIONS(5634),
    [aux_sym_keyword_statement_token6] = ACTIONS(5634),
    [aux_sym_keyword_statement_token7] = ACTIONS(5634),
    [aux_sym_include_statement_token1] = ACTIONS(5634),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5634),
    [aux_sym_end_if_statement_token1] = ACTIONS(5634),
    [aux_sym_elseif_clause_token2] = ACTIONS(5634),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5634),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token3] = ACTIONS(5634),
    [aux_sym_select_type_statement_token1] = ACTIONS(5634),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5634),
    [aux_sym_associate_statement_token1] = ACTIONS(5634),
    [aux_sym_format_statement_token1] = ACTIONS(5634),
    [aux_sym_print_statement_token1] = ACTIONS(5634),
    [aux_sym_open_statement_token1] = ACTIONS(5634),
    [aux_sym_close_statement_token1] = ACTIONS(5634),
    [aux_sym_inquire_statement_token1] = ACTIONS(5634),
    [aux_sym_enum_statement_token1] = ACTIONS(5634),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token2] = ACTIONS(5634),
    [aux_sym_file_position_statement_token3] = ACTIONS(5634),
    [aux_sym_file_position_statement_token4] = ACTIONS(5634),
    [aux_sym_allocate_statement_token1] = ACTIONS(5634),
    [aux_sym_entry_statement_token1] = ACTIONS(5634),
    [aux_sym_assign_statement_token1] = ACTIONS(5634),
    [aux_sym_logical_expression_token5] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [aux_sym_boolean_literal_token1] = ACTIONS(5636),
    [aux_sym_boolean_literal_token2] = ACTIONS(5636),
    [aux_sym_null_literal_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token2] = ACTIONS(5634),
    [aux_sym_coarray_statement_token6] = ACTIONS(5634),
    [aux_sym_coarray_statement_token8] = ACTIONS(5634),
    [aux_sym_coarray_statement_token11] = ACTIONS(5634),
    [aux_sym_coarray_statement_token12] = ACTIONS(5634),
    [aux_sym_coarray_statement_token13] = ACTIONS(5634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5634),
    [aux_sym_identifier_token1] = ACTIONS(5634),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5636),
    [sym__float_literal] = ACTIONS(5636),
    [sym__boz_literal] = ACTIONS(5636),
    [sym__string_literal] = ACTIONS(5636),
    [sym__string_literal_kind] = ACTIONS(5636),
  },
  [1546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5638),
    [aux_sym_preproc_def_token1] = ACTIONS(5638),
    [aux_sym_preproc_if_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5638),
    [sym_preproc_directive] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_interface_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token2] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5638),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5638),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5638),
    [aux_sym_language_binding_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5638),
    [aux_sym_contains_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token2] = ACTIONS(5638),
    [aux_sym_implicit_statement_token1] = ACTIONS(5638),
    [aux_sym_implicit_statement_token3] = ACTIONS(5638),
    [aux_sym_implicit_statement_token4] = ACTIONS(5638),
    [aux_sym_save_statement_token1] = ACTIONS(5638),
    [aux_sym_private_statement_token1] = ACTIONS(5638),
    [aux_sym_public_statement_token1] = ACTIONS(5638),
    [aux_sym_namelist_statement_token1] = ACTIONS(5638),
    [aux_sym_common_statement_token1] = ACTIONS(5638),
    [aux_sym_import_statement_token1] = ACTIONS(5638),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5638),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5638),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5638),
    [aux_sym_variable_attributes_token1] = ACTIONS(5638),
    [aux_sym_variable_attributes_token2] = ACTIONS(5638),
    [aux_sym_variable_attributes_token3] = ACTIONS(5638),
    [aux_sym_variable_attributes_token4] = ACTIONS(5638),
    [aux_sym_variable_attributes_token5] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5638),
    [aux_sym_derived_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5638),
    [aux_sym_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token2] = ACTIONS(5638),
    [aux_sym_subroutine_call_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token2] = ACTIONS(5638),
    [aux_sym_keyword_statement_token3] = ACTIONS(5638),
    [aux_sym_keyword_statement_token4] = ACTIONS(5638),
    [aux_sym_keyword_statement_token6] = ACTIONS(5638),
    [aux_sym_keyword_statement_token7] = ACTIONS(5638),
    [aux_sym_include_statement_token1] = ACTIONS(5638),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5638),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5638),
    [aux_sym_end_if_statement_token1] = ACTIONS(5638),
    [aux_sym_elseif_clause_token2] = ACTIONS(5638),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5638),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token3] = ACTIONS(5638),
    [aux_sym_select_type_statement_token1] = ACTIONS(5638),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5638),
    [aux_sym_associate_statement_token1] = ACTIONS(5638),
    [aux_sym_format_statement_token1] = ACTIONS(5638),
    [aux_sym_print_statement_token1] = ACTIONS(5638),
    [aux_sym_open_statement_token1] = ACTIONS(5638),
    [aux_sym_close_statement_token1] = ACTIONS(5638),
    [aux_sym_inquire_statement_token1] = ACTIONS(5638),
    [aux_sym_enum_statement_token1] = ACTIONS(5638),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token2] = ACTIONS(5638),
    [aux_sym_file_position_statement_token3] = ACTIONS(5638),
    [aux_sym_file_position_statement_token4] = ACTIONS(5638),
    [aux_sym_allocate_statement_token1] = ACTIONS(5638),
    [aux_sym_entry_statement_token1] = ACTIONS(5638),
    [aux_sym_assign_statement_token1] = ACTIONS(5638),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token2] = ACTIONS(5638),
    [aux_sym_coarray_statement_token6] = ACTIONS(5638),
    [aux_sym_coarray_statement_token8] = ACTIONS(5638),
    [aux_sym_coarray_statement_token11] = ACTIONS(5638),
    [aux_sym_coarray_statement_token12] = ACTIONS(5638),
    [aux_sym_coarray_statement_token13] = ACTIONS(5638),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5638),
    [aux_sym_identifier_token1] = ACTIONS(5638),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token1] = ACTIONS(5594),
    [aux_sym_block_data_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_language_binding_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_end_function_statement_token1] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token1] = ACTIONS(5594),
    [aux_sym_implicit_statement_token3] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_namelist_statement_token1] = ACTIONS(5594),
    [aux_sym_common_statement_token1] = ACTIONS(5594),
    [aux_sym_import_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token1] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token4] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5594),
    [aux_sym_derived_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token1] = ACTIONS(5594),
    [aux_sym_declared_type_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_enum_statement_token1] = ACTIONS(5594),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_assign_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5642),
    [aux_sym_preproc_def_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5642),
    [sym_preproc_directive] = ACTIONS(5642),
    [anon_sym_LPAREN2] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5642),
    [aux_sym_end_program_statement_token2] = ACTIONS(5642),
    [anon_sym_SEMI] = ACTIONS(5644),
    [aux_sym_interface_statement_token1] = ACTIONS(5642),
    [aux_sym_block_data_statement_token1] = ACTIONS(5642),
    [aux_sym_block_data_statement_token2] = ACTIONS(5642),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5642),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5642),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5642),
    [aux_sym_language_binding_token1] = ACTIONS(5642),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5642),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5642),
    [aux_sym_contains_statement_token1] = ACTIONS(5642),
    [aux_sym_use_statement_token1] = ACTIONS(5642),
    [aux_sym_use_statement_token2] = ACTIONS(5642),
    [aux_sym_implicit_statement_token1] = ACTIONS(5642),
    [aux_sym_implicit_statement_token3] = ACTIONS(5642),
    [aux_sym_implicit_statement_token4] = ACTIONS(5642),
    [aux_sym_save_statement_token1] = ACTIONS(5642),
    [aux_sym_private_statement_token1] = ACTIONS(5642),
    [aux_sym_public_statement_token1] = ACTIONS(5642),
    [aux_sym_namelist_statement_token1] = ACTIONS(5642),
    [aux_sym_common_statement_token1] = ACTIONS(5642),
    [aux_sym_import_statement_token1] = ACTIONS(5642),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5642),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5642),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5642),
    [aux_sym_variable_attributes_token1] = ACTIONS(5642),
    [aux_sym_variable_attributes_token2] = ACTIONS(5642),
    [aux_sym_variable_attributes_token3] = ACTIONS(5642),
    [aux_sym_variable_attributes_token4] = ACTIONS(5642),
    [aux_sym_variable_attributes_token5] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5642),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5642),
    [aux_sym_derived_type_token1] = ACTIONS(5642),
    [aux_sym_declared_type_token1] = ACTIONS(5642),
    [aux_sym_declared_type_token2] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5642),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5642),
    [aux_sym_type_qualifier_token1] = ACTIONS(5642),
    [aux_sym_type_qualifier_token2] = ACTIONS(5642),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5642),
    [aux_sym_stop_statement_token1] = ACTIONS(5642),
    [aux_sym_stop_statement_token2] = ACTIONS(5642),
    [aux_sym_subroutine_call_token1] = ACTIONS(5642),
    [aux_sym_keyword_statement_token1] = ACTIONS(5642),
    [aux_sym_keyword_statement_token2] = ACTIONS(5642),
    [aux_sym_keyword_statement_token3] = ACTIONS(5642),
    [aux_sym_keyword_statement_token4] = ACTIONS(5642),
    [aux_sym_keyword_statement_token6] = ACTIONS(5642),
    [aux_sym_keyword_statement_token7] = ACTIONS(5642),
    [aux_sym_include_statement_token1] = ACTIONS(5642),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5642),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5642),
    [aux_sym_end_if_statement_token1] = ACTIONS(5642),
    [aux_sym_elseif_clause_token2] = ACTIONS(5642),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5642),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5642),
    [aux_sym_select_case_statement_token1] = ACTIONS(5642),
    [aux_sym_select_case_statement_token3] = ACTIONS(5642),
    [aux_sym_select_type_statement_token1] = ACTIONS(5642),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5642),
    [aux_sym_associate_statement_token1] = ACTIONS(5642),
    [aux_sym_format_statement_token1] = ACTIONS(5642),
    [aux_sym_print_statement_token1] = ACTIONS(5642),
    [aux_sym_open_statement_token1] = ACTIONS(5642),
    [aux_sym_close_statement_token1] = ACTIONS(5642),
    [aux_sym_inquire_statement_token1] = ACTIONS(5642),
    [aux_sym_enum_statement_token1] = ACTIONS(5642),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5642),
    [aux_sym_file_position_statement_token1] = ACTIONS(5642),
    [aux_sym_file_position_statement_token2] = ACTIONS(5642),
    [aux_sym_file_position_statement_token3] = ACTIONS(5642),
    [aux_sym_file_position_statement_token4] = ACTIONS(5642),
    [aux_sym_allocate_statement_token1] = ACTIONS(5642),
    [aux_sym_entry_statement_token1] = ACTIONS(5642),
    [aux_sym_assign_statement_token1] = ACTIONS(5642),
    [aux_sym_logical_expression_token5] = ACTIONS(5644),
    [anon_sym_DOT] = ACTIONS(5642),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5644),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [aux_sym_boolean_literal_token1] = ACTIONS(5644),
    [aux_sym_boolean_literal_token2] = ACTIONS(5644),
    [aux_sym_null_literal_token1] = ACTIONS(5642),
    [aux_sym_coarray_statement_token1] = ACTIONS(5642),
    [aux_sym_coarray_statement_token2] = ACTIONS(5642),
    [aux_sym_coarray_statement_token6] = ACTIONS(5642),
    [aux_sym_coarray_statement_token8] = ACTIONS(5642),
    [aux_sym_coarray_statement_token11] = ACTIONS(5642),
    [aux_sym_coarray_statement_token12] = ACTIONS(5642),
    [aux_sym_coarray_statement_token13] = ACTIONS(5642),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5642),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5642),
    [aux_sym_identifier_token1] = ACTIONS(5642),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5644),
    [sym__float_literal] = ACTIONS(5644),
    [sym__boz_literal] = ACTIONS(5644),
    [sym__string_literal] = ACTIONS(5644),
    [sym__string_literal_kind] = ACTIONS(5644),
  },
  [1556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5638),
    [aux_sym_preproc_def_token1] = ACTIONS(5638),
    [aux_sym_preproc_if_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5638),
    [sym_preproc_directive] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_interface_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token1] = ACTIONS(5638),
    [aux_sym_block_data_statement_token2] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5638),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5638),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5638),
    [aux_sym_language_binding_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5638),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5638),
    [aux_sym_end_function_statement_token1] = ACTIONS(5638),
    [aux_sym_contains_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token1] = ACTIONS(5638),
    [aux_sym_use_statement_token2] = ACTIONS(5638),
    [aux_sym_implicit_statement_token1] = ACTIONS(5638),
    [aux_sym_implicit_statement_token3] = ACTIONS(5638),
    [aux_sym_implicit_statement_token4] = ACTIONS(5638),
    [aux_sym_save_statement_token1] = ACTIONS(5638),
    [aux_sym_private_statement_token1] = ACTIONS(5638),
    [aux_sym_public_statement_token1] = ACTIONS(5638),
    [aux_sym_namelist_statement_token1] = ACTIONS(5638),
    [aux_sym_common_statement_token1] = ACTIONS(5638),
    [aux_sym_import_statement_token1] = ACTIONS(5638),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5638),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5638),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5638),
    [aux_sym_variable_attributes_token1] = ACTIONS(5638),
    [aux_sym_variable_attributes_token2] = ACTIONS(5638),
    [aux_sym_variable_attributes_token3] = ACTIONS(5638),
    [aux_sym_variable_attributes_token4] = ACTIONS(5638),
    [aux_sym_variable_attributes_token5] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5638),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5638),
    [aux_sym_derived_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token1] = ACTIONS(5638),
    [aux_sym_declared_type_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5638),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5638),
    [aux_sym_type_qualifier_token1] = ACTIONS(5638),
    [aux_sym_type_qualifier_token2] = ACTIONS(5638),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5638),
    [aux_sym_stop_statement_token2] = ACTIONS(5638),
    [aux_sym_subroutine_call_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token1] = ACTIONS(5638),
    [aux_sym_keyword_statement_token2] = ACTIONS(5638),
    [aux_sym_keyword_statement_token3] = ACTIONS(5638),
    [aux_sym_keyword_statement_token4] = ACTIONS(5638),
    [aux_sym_keyword_statement_token6] = ACTIONS(5638),
    [aux_sym_keyword_statement_token7] = ACTIONS(5638),
    [aux_sym_include_statement_token1] = ACTIONS(5638),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5638),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5638),
    [aux_sym_end_if_statement_token1] = ACTIONS(5638),
    [aux_sym_elseif_clause_token2] = ACTIONS(5638),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5638),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token1] = ACTIONS(5638),
    [aux_sym_select_case_statement_token3] = ACTIONS(5638),
    [aux_sym_select_type_statement_token1] = ACTIONS(5638),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5638),
    [aux_sym_associate_statement_token1] = ACTIONS(5638),
    [aux_sym_format_statement_token1] = ACTIONS(5638),
    [aux_sym_print_statement_token1] = ACTIONS(5638),
    [aux_sym_open_statement_token1] = ACTIONS(5638),
    [aux_sym_close_statement_token1] = ACTIONS(5638),
    [aux_sym_inquire_statement_token1] = ACTIONS(5638),
    [aux_sym_enum_statement_token1] = ACTIONS(5638),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token1] = ACTIONS(5638),
    [aux_sym_file_position_statement_token2] = ACTIONS(5638),
    [aux_sym_file_position_statement_token3] = ACTIONS(5638),
    [aux_sym_file_position_statement_token4] = ACTIONS(5638),
    [aux_sym_allocate_statement_token1] = ACTIONS(5638),
    [aux_sym_entry_statement_token1] = ACTIONS(5638),
    [aux_sym_assign_statement_token1] = ACTIONS(5638),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_statement_token2] = ACTIONS(5638),
    [aux_sym_coarray_statement_token6] = ACTIONS(5638),
    [aux_sym_coarray_statement_token8] = ACTIONS(5638),
    [aux_sym_coarray_statement_token11] = ACTIONS(5638),
    [aux_sym_coarray_statement_token12] = ACTIONS(5638),
    [aux_sym_coarray_statement_token13] = ACTIONS(5638),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5638),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5638),
    [aux_sym_identifier_token1] = ACTIONS(5638),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_end_function_statement_token1] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5620),
    [anon_sym_DASH] = ACTIONS(5620),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_end_program_statement_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5620),
    [aux_sym_interface_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token1] = ACTIONS(5618),
    [aux_sym_block_data_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_language_binding_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token1] = ACTIONS(5618),
    [aux_sym_implicit_statement_token3] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_namelist_statement_token1] = ACTIONS(5618),
    [aux_sym_common_statement_token1] = ACTIONS(5618),
    [aux_sym_import_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token1] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token4] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5618),
    [aux_sym_derived_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token1] = ACTIONS(5618),
    [aux_sym_declared_type_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_enum_statement_token1] = ACTIONS(5618),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_assign_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [aux_sym_boolean_literal_token1] = ACTIONS(5620),
    [aux_sym_boolean_literal_token2] = ACTIONS(5620),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5620),
    [sym__float_literal] = ACTIONS(5620),
    [sym__boz_literal] = ACTIONS(5620),
    [sym__string_literal] = ACTIONS(5620),
    [sym__string_literal_kind] = ACTIONS(5620),
  },
  [1564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_end_function_statement_token1] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_end_function_statement_token1] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [aux_sym_interface_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token1] = ACTIONS(5610),
    [aux_sym_block_data_statement_token2] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5610),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5610),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5610),
    [aux_sym_language_binding_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5610),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5610),
    [aux_sym_end_function_statement_token1] = ACTIONS(5610),
    [aux_sym_contains_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token1] = ACTIONS(5610),
    [aux_sym_use_statement_token2] = ACTIONS(5610),
    [aux_sym_implicit_statement_token1] = ACTIONS(5610),
    [aux_sym_implicit_statement_token3] = ACTIONS(5610),
    [aux_sym_implicit_statement_token4] = ACTIONS(5610),
    [aux_sym_save_statement_token1] = ACTIONS(5610),
    [aux_sym_private_statement_token1] = ACTIONS(5610),
    [aux_sym_public_statement_token1] = ACTIONS(5610),
    [aux_sym_namelist_statement_token1] = ACTIONS(5610),
    [aux_sym_common_statement_token1] = ACTIONS(5610),
    [aux_sym_import_statement_token1] = ACTIONS(5610),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5610),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5610),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5610),
    [aux_sym_variable_attributes_token1] = ACTIONS(5610),
    [aux_sym_variable_attributes_token2] = ACTIONS(5610),
    [aux_sym_variable_attributes_token3] = ACTIONS(5610),
    [aux_sym_variable_attributes_token4] = ACTIONS(5610),
    [aux_sym_variable_attributes_token5] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5610),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5610),
    [aux_sym_derived_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token1] = ACTIONS(5610),
    [aux_sym_declared_type_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5610),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5610),
    [aux_sym_type_qualifier_token1] = ACTIONS(5610),
    [aux_sym_type_qualifier_token2] = ACTIONS(5610),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5610),
    [aux_sym_stop_statement_token2] = ACTIONS(5610),
    [aux_sym_subroutine_call_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token1] = ACTIONS(5610),
    [aux_sym_keyword_statement_token2] = ACTIONS(5610),
    [aux_sym_keyword_statement_token3] = ACTIONS(5610),
    [aux_sym_keyword_statement_token4] = ACTIONS(5610),
    [aux_sym_keyword_statement_token6] = ACTIONS(5610),
    [aux_sym_keyword_statement_token7] = ACTIONS(5610),
    [aux_sym_include_statement_token1] = ACTIONS(5610),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5610),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5610),
    [aux_sym_end_if_statement_token1] = ACTIONS(5610),
    [aux_sym_elseif_clause_token2] = ACTIONS(5610),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5610),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token1] = ACTIONS(5610),
    [aux_sym_select_case_statement_token3] = ACTIONS(5610),
    [aux_sym_select_type_statement_token1] = ACTIONS(5610),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5610),
    [aux_sym_associate_statement_token1] = ACTIONS(5610),
    [aux_sym_format_statement_token1] = ACTIONS(5610),
    [aux_sym_print_statement_token1] = ACTIONS(5610),
    [aux_sym_open_statement_token1] = ACTIONS(5610),
    [aux_sym_close_statement_token1] = ACTIONS(5610),
    [aux_sym_inquire_statement_token1] = ACTIONS(5610),
    [aux_sym_enum_statement_token1] = ACTIONS(5610),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token1] = ACTIONS(5610),
    [aux_sym_file_position_statement_token2] = ACTIONS(5610),
    [aux_sym_file_position_statement_token3] = ACTIONS(5610),
    [aux_sym_file_position_statement_token4] = ACTIONS(5610),
    [aux_sym_allocate_statement_token1] = ACTIONS(5610),
    [aux_sym_entry_statement_token1] = ACTIONS(5610),
    [aux_sym_assign_statement_token1] = ACTIONS(5610),
    [aux_sym_logical_expression_token5] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [aux_sym_boolean_literal_token1] = ACTIONS(5612),
    [aux_sym_boolean_literal_token2] = ACTIONS(5612),
    [aux_sym_null_literal_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_statement_token2] = ACTIONS(5610),
    [aux_sym_coarray_statement_token6] = ACTIONS(5610),
    [aux_sym_coarray_statement_token8] = ACTIONS(5610),
    [aux_sym_coarray_statement_token11] = ACTIONS(5610),
    [aux_sym_coarray_statement_token12] = ACTIONS(5610),
    [aux_sym_coarray_statement_token13] = ACTIONS(5610),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5610),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5610),
    [aux_sym_identifier_token1] = ACTIONS(5610),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5612),
    [sym__float_literal] = ACTIONS(5612),
    [sym__boz_literal] = ACTIONS(5612),
    [sym__string_literal] = ACTIONS(5612),
    [sym__string_literal_kind] = ACTIONS(5612),
  },
  [1581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_end_function_statement_token1] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [aux_sym_end_program_statement_token2] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [aux_sym_end_program_statement_token2] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_keyword_statement_token6] = ACTIONS(4728),
    [aux_sym_keyword_statement_token7] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token3] = ACTIONS(4728),
    [aux_sym_select_type_statement_token1] = ACTIONS(4728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4728),
    [aux_sym_associate_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_print_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_close_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token2] = ACTIONS(4728),
    [aux_sym_file_position_statement_token3] = ACTIONS(4728),
    [aux_sym_file_position_statement_token4] = ACTIONS(4728),
    [aux_sym_allocate_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_assign_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_statement_token13] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [1591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5646),
    [aux_sym_preproc_def_token1] = ACTIONS(5646),
    [aux_sym_preproc_if_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5646),
    [sym_preproc_directive] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5646),
    [aux_sym_end_program_statement_token2] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5648),
    [aux_sym_interface_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token2] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5646),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5646),
    [aux_sym_language_binding_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5646),
    [aux_sym_contains_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token2] = ACTIONS(5646),
    [aux_sym_implicit_statement_token1] = ACTIONS(5646),
    [aux_sym_implicit_statement_token3] = ACTIONS(5646),
    [aux_sym_implicit_statement_token4] = ACTIONS(5646),
    [aux_sym_save_statement_token1] = ACTIONS(5646),
    [aux_sym_private_statement_token1] = ACTIONS(5646),
    [aux_sym_public_statement_token1] = ACTIONS(5646),
    [aux_sym_namelist_statement_token1] = ACTIONS(5646),
    [aux_sym_common_statement_token1] = ACTIONS(5646),
    [aux_sym_import_statement_token1] = ACTIONS(5646),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5646),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5646),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5646),
    [aux_sym_variable_attributes_token1] = ACTIONS(5646),
    [aux_sym_variable_attributes_token2] = ACTIONS(5646),
    [aux_sym_variable_attributes_token3] = ACTIONS(5646),
    [aux_sym_variable_attributes_token4] = ACTIONS(5646),
    [aux_sym_variable_attributes_token5] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5646),
    [aux_sym_derived_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5646),
    [aux_sym_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token2] = ACTIONS(5646),
    [aux_sym_subroutine_call_token1] = ACTIONS(5646),
    [aux_sym_keyword_statement_token1] = ACTIONS(5646),
    [aux_sym_keyword_statement_token2] = ACTIONS(5646),
    [aux_sym_keyword_statement_token3] = ACTIONS(5646),
    [aux_sym_keyword_statement_token4] = ACTIONS(5646),
    [aux_sym_keyword_statement_token6] = ACTIONS(5646),
    [aux_sym_keyword_statement_token7] = ACTIONS(5646),
    [aux_sym_include_statement_token1] = ACTIONS(5646),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5646),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5646),
    [aux_sym_end_if_statement_token1] = ACTIONS(5646),
    [aux_sym_elseif_clause_token2] = ACTIONS(5646),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5646),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5646),
    [aux_sym_select_case_statement_token1] = ACTIONS(5646),
    [aux_sym_select_case_statement_token3] = ACTIONS(5646),
    [aux_sym_select_type_statement_token1] = ACTIONS(5646),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5646),
    [aux_sym_associate_statement_token1] = ACTIONS(5646),
    [aux_sym_format_statement_token1] = ACTIONS(5646),
    [aux_sym_print_statement_token1] = ACTIONS(5646),
    [aux_sym_open_statement_token1] = ACTIONS(5646),
    [aux_sym_close_statement_token1] = ACTIONS(5646),
    [aux_sym_inquire_statement_token1] = ACTIONS(5646),
    [aux_sym_enum_statement_token1] = ACTIONS(5646),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5646),
    [aux_sym_file_position_statement_token1] = ACTIONS(5646),
    [aux_sym_file_position_statement_token2] = ACTIONS(5646),
    [aux_sym_file_position_statement_token3] = ACTIONS(5646),
    [aux_sym_file_position_statement_token4] = ACTIONS(5646),
    [aux_sym_allocate_statement_token1] = ACTIONS(5646),
    [aux_sym_entry_statement_token1] = ACTIONS(5646),
    [aux_sym_assign_statement_token1] = ACTIONS(5646),
    [aux_sym_logical_expression_token5] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [aux_sym_boolean_literal_token1] = ACTIONS(5648),
    [aux_sym_boolean_literal_token2] = ACTIONS(5648),
    [aux_sym_null_literal_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token2] = ACTIONS(5646),
    [aux_sym_coarray_statement_token6] = ACTIONS(5646),
    [aux_sym_coarray_statement_token8] = ACTIONS(5646),
    [aux_sym_coarray_statement_token11] = ACTIONS(5646),
    [aux_sym_coarray_statement_token12] = ACTIONS(5646),
    [aux_sym_coarray_statement_token13] = ACTIONS(5646),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5646),
    [aux_sym_identifier_token1] = ACTIONS(5646),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5648),
    [sym__float_literal] = ACTIONS(5648),
    [sym__boz_literal] = ACTIONS(5648),
    [sym__string_literal] = ACTIONS(5648),
    [sym__string_literal_kind] = ACTIONS(5648),
  },
  [1592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5634),
    [aux_sym_preproc_def_token1] = ACTIONS(5634),
    [aux_sym_preproc_if_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5634),
    [sym_preproc_directive] = ACTIONS(5634),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5634),
    [anon_sym_SEMI] = ACTIONS(5636),
    [aux_sym_interface_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token1] = ACTIONS(5634),
    [aux_sym_block_data_statement_token2] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5634),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5634),
    [aux_sym_language_binding_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5634),
    [aux_sym_end_function_statement_token1] = ACTIONS(5634),
    [aux_sym_contains_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token1] = ACTIONS(5634),
    [aux_sym_use_statement_token2] = ACTIONS(5634),
    [aux_sym_implicit_statement_token1] = ACTIONS(5634),
    [aux_sym_implicit_statement_token3] = ACTIONS(5634),
    [aux_sym_implicit_statement_token4] = ACTIONS(5634),
    [aux_sym_save_statement_token1] = ACTIONS(5634),
    [aux_sym_private_statement_token1] = ACTIONS(5634),
    [aux_sym_public_statement_token1] = ACTIONS(5634),
    [aux_sym_namelist_statement_token1] = ACTIONS(5634),
    [aux_sym_common_statement_token1] = ACTIONS(5634),
    [aux_sym_import_statement_token1] = ACTIONS(5634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5634),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5634),
    [aux_sym_variable_attributes_token1] = ACTIONS(5634),
    [aux_sym_variable_attributes_token2] = ACTIONS(5634),
    [aux_sym_variable_attributes_token3] = ACTIONS(5634),
    [aux_sym_variable_attributes_token4] = ACTIONS(5634),
    [aux_sym_variable_attributes_token5] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5634),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5634),
    [aux_sym_derived_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token1] = ACTIONS(5634),
    [aux_sym_declared_type_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5634),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5634),
    [aux_sym_type_qualifier_token1] = ACTIONS(5634),
    [aux_sym_type_qualifier_token2] = ACTIONS(5634),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5634),
    [aux_sym_stop_statement_token2] = ACTIONS(5634),
    [aux_sym_subroutine_call_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token1] = ACTIONS(5634),
    [aux_sym_keyword_statement_token2] = ACTIONS(5634),
    [aux_sym_keyword_statement_token3] = ACTIONS(5634),
    [aux_sym_keyword_statement_token4] = ACTIONS(5634),
    [aux_sym_keyword_statement_token6] = ACTIONS(5634),
    [aux_sym_keyword_statement_token7] = ACTIONS(5634),
    [aux_sym_include_statement_token1] = ACTIONS(5634),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5634),
    [aux_sym_end_if_statement_token1] = ACTIONS(5634),
    [aux_sym_elseif_clause_token2] = ACTIONS(5634),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5634),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token1] = ACTIONS(5634),
    [aux_sym_select_case_statement_token3] = ACTIONS(5634),
    [aux_sym_select_type_statement_token1] = ACTIONS(5634),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5634),
    [aux_sym_associate_statement_token1] = ACTIONS(5634),
    [aux_sym_format_statement_token1] = ACTIONS(5634),
    [aux_sym_print_statement_token1] = ACTIONS(5634),
    [aux_sym_open_statement_token1] = ACTIONS(5634),
    [aux_sym_close_statement_token1] = ACTIONS(5634),
    [aux_sym_inquire_statement_token1] = ACTIONS(5634),
    [aux_sym_enum_statement_token1] = ACTIONS(5634),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token1] = ACTIONS(5634),
    [aux_sym_file_position_statement_token2] = ACTIONS(5634),
    [aux_sym_file_position_statement_token3] = ACTIONS(5634),
    [aux_sym_file_position_statement_token4] = ACTIONS(5634),
    [aux_sym_allocate_statement_token1] = ACTIONS(5634),
    [aux_sym_entry_statement_token1] = ACTIONS(5634),
    [aux_sym_assign_statement_token1] = ACTIONS(5634),
    [aux_sym_logical_expression_token5] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [aux_sym_boolean_literal_token1] = ACTIONS(5636),
    [aux_sym_boolean_literal_token2] = ACTIONS(5636),
    [aux_sym_null_literal_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_statement_token2] = ACTIONS(5634),
    [aux_sym_coarray_statement_token6] = ACTIONS(5634),
    [aux_sym_coarray_statement_token8] = ACTIONS(5634),
    [aux_sym_coarray_statement_token11] = ACTIONS(5634),
    [aux_sym_coarray_statement_token12] = ACTIONS(5634),
    [aux_sym_coarray_statement_token13] = ACTIONS(5634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5634),
    [aux_sym_identifier_token1] = ACTIONS(5634),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5636),
    [sym__float_literal] = ACTIONS(5636),
    [sym__boz_literal] = ACTIONS(5636),
    [sym__string_literal] = ACTIONS(5636),
    [sym__string_literal_kind] = ACTIONS(5636),
  },
  [1598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_interface_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token2] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5614),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5614),
    [aux_sym_language_binding_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5614),
    [aux_sym_end_function_statement_token1] = ACTIONS(5614),
    [aux_sym_contains_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token2] = ACTIONS(5614),
    [aux_sym_implicit_statement_token1] = ACTIONS(5614),
    [aux_sym_implicit_statement_token3] = ACTIONS(5614),
    [aux_sym_implicit_statement_token4] = ACTIONS(5614),
    [aux_sym_save_statement_token1] = ACTIONS(5614),
    [aux_sym_private_statement_token1] = ACTIONS(5614),
    [aux_sym_public_statement_token1] = ACTIONS(5614),
    [aux_sym_namelist_statement_token1] = ACTIONS(5614),
    [aux_sym_common_statement_token1] = ACTIONS(5614),
    [aux_sym_import_statement_token1] = ACTIONS(5614),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5614),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5614),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5614),
    [aux_sym_variable_attributes_token1] = ACTIONS(5614),
    [aux_sym_variable_attributes_token2] = ACTIONS(5614),
    [aux_sym_variable_attributes_token3] = ACTIONS(5614),
    [aux_sym_variable_attributes_token4] = ACTIONS(5614),
    [aux_sym_variable_attributes_token5] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5614),
    [aux_sym_derived_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5614),
    [aux_sym_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token2] = ACTIONS(5614),
    [aux_sym_subroutine_call_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token2] = ACTIONS(5614),
    [aux_sym_keyword_statement_token3] = ACTIONS(5614),
    [aux_sym_keyword_statement_token4] = ACTIONS(5614),
    [aux_sym_keyword_statement_token6] = ACTIONS(5614),
    [aux_sym_keyword_statement_token7] = ACTIONS(5614),
    [aux_sym_include_statement_token1] = ACTIONS(5614),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5614),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5614),
    [aux_sym_end_if_statement_token1] = ACTIONS(5614),
    [aux_sym_elseif_clause_token2] = ACTIONS(5614),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5614),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token3] = ACTIONS(5614),
    [aux_sym_select_type_statement_token1] = ACTIONS(5614),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5614),
    [aux_sym_associate_statement_token1] = ACTIONS(5614),
    [aux_sym_format_statement_token1] = ACTIONS(5614),
    [aux_sym_print_statement_token1] = ACTIONS(5614),
    [aux_sym_open_statement_token1] = ACTIONS(5614),
    [aux_sym_close_statement_token1] = ACTIONS(5614),
    [aux_sym_inquire_statement_token1] = ACTIONS(5614),
    [aux_sym_enum_statement_token1] = ACTIONS(5614),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token2] = ACTIONS(5614),
    [aux_sym_file_position_statement_token3] = ACTIONS(5614),
    [aux_sym_file_position_statement_token4] = ACTIONS(5614),
    [aux_sym_allocate_statement_token1] = ACTIONS(5614),
    [aux_sym_entry_statement_token1] = ACTIONS(5614),
    [aux_sym_assign_statement_token1] = ACTIONS(5614),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token2] = ACTIONS(5614),
    [aux_sym_coarray_statement_token6] = ACTIONS(5614),
    [aux_sym_coarray_statement_token8] = ACTIONS(5614),
    [aux_sym_coarray_statement_token11] = ACTIONS(5614),
    [aux_sym_coarray_statement_token12] = ACTIONS(5614),
    [aux_sym_coarray_statement_token13] = ACTIONS(5614),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5614),
    [aux_sym_identifier_token1] = ACTIONS(5614),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4986),
    [aux_sym_preproc_def_token1] = ACTIONS(4986),
    [aux_sym_preproc_if_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4986),
    [sym_preproc_directive] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(4990),
    [anon_sym_DASH] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4990),
    [aux_sym_interface_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token1] = ACTIONS(4986),
    [aux_sym_block_data_statement_token2] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4986),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4986),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4986),
    [aux_sym_language_binding_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4986),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4986),
    [aux_sym_end_function_statement_token1] = ACTIONS(4986),
    [aux_sym_contains_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token1] = ACTIONS(4986),
    [aux_sym_use_statement_token2] = ACTIONS(4986),
    [aux_sym_implicit_statement_token1] = ACTIONS(4986),
    [aux_sym_implicit_statement_token3] = ACTIONS(4986),
    [aux_sym_implicit_statement_token4] = ACTIONS(4986),
    [aux_sym_save_statement_token1] = ACTIONS(4986),
    [aux_sym_private_statement_token1] = ACTIONS(4986),
    [aux_sym_public_statement_token1] = ACTIONS(4986),
    [aux_sym_namelist_statement_token1] = ACTIONS(4986),
    [aux_sym_common_statement_token1] = ACTIONS(4986),
    [aux_sym_import_statement_token1] = ACTIONS(4986),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4986),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4986),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4986),
    [aux_sym_variable_attributes_token1] = ACTIONS(4986),
    [aux_sym_variable_attributes_token2] = ACTIONS(4986),
    [aux_sym_variable_attributes_token3] = ACTIONS(4986),
    [aux_sym_variable_attributes_token4] = ACTIONS(4986),
    [aux_sym_variable_attributes_token5] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4986),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4986),
    [aux_sym_derived_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token1] = ACTIONS(4986),
    [aux_sym_declared_type_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4986),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4986),
    [aux_sym_type_qualifier_token1] = ACTIONS(4986),
    [aux_sym_type_qualifier_token2] = ACTIONS(4986),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token1] = ACTIONS(4986),
    [aux_sym_stop_statement_token2] = ACTIONS(4986),
    [aux_sym_subroutine_call_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token1] = ACTIONS(4986),
    [aux_sym_keyword_statement_token2] = ACTIONS(4986),
    [aux_sym_keyword_statement_token3] = ACTIONS(4986),
    [aux_sym_keyword_statement_token4] = ACTIONS(4986),
    [aux_sym_keyword_statement_token6] = ACTIONS(4986),
    [aux_sym_keyword_statement_token7] = ACTIONS(4986),
    [aux_sym_include_statement_token1] = ACTIONS(4986),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4986),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4986),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(4986),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4986),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token1] = ACTIONS(4986),
    [aux_sym_select_case_statement_token3] = ACTIONS(4986),
    [aux_sym_select_type_statement_token1] = ACTIONS(4986),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4986),
    [aux_sym_associate_statement_token1] = ACTIONS(4986),
    [aux_sym_format_statement_token1] = ACTIONS(4986),
    [aux_sym_print_statement_token1] = ACTIONS(4986),
    [aux_sym_open_statement_token1] = ACTIONS(4986),
    [aux_sym_close_statement_token1] = ACTIONS(4986),
    [aux_sym_inquire_statement_token1] = ACTIONS(4986),
    [aux_sym_enum_statement_token1] = ACTIONS(4986),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token1] = ACTIONS(4986),
    [aux_sym_file_position_statement_token2] = ACTIONS(4986),
    [aux_sym_file_position_statement_token3] = ACTIONS(4986),
    [aux_sym_file_position_statement_token4] = ACTIONS(4986),
    [aux_sym_allocate_statement_token1] = ACTIONS(4986),
    [aux_sym_entry_statement_token1] = ACTIONS(4986),
    [aux_sym_assign_statement_token1] = ACTIONS(4986),
    [aux_sym_logical_expression_token5] = ACTIONS(4990),
    [anon_sym_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4990),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [aux_sym_boolean_literal_token1] = ACTIONS(4990),
    [aux_sym_boolean_literal_token2] = ACTIONS(4990),
    [aux_sym_null_literal_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_statement_token2] = ACTIONS(4986),
    [aux_sym_coarray_statement_token6] = ACTIONS(4986),
    [aux_sym_coarray_statement_token8] = ACTIONS(4986),
    [aux_sym_coarray_statement_token11] = ACTIONS(4986),
    [aux_sym_coarray_statement_token12] = ACTIONS(4986),
    [aux_sym_coarray_statement_token13] = ACTIONS(4986),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4986),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4986),
    [aux_sym_identifier_token1] = ACTIONS(4986),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4990),
    [sym__float_literal] = ACTIONS(4990),
    [sym__boz_literal] = ACTIONS(4990),
    [sym__string_literal] = ACTIONS(4990),
    [sym__string_literal_kind] = ACTIONS(4990),
  },
  [1606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [aux_sym_interface_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token1] = ACTIONS(5622),
    [aux_sym_block_data_statement_token2] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5622),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5622),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5622),
    [aux_sym_language_binding_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5622),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5622),
    [aux_sym_end_function_statement_token1] = ACTIONS(5622),
    [aux_sym_contains_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token1] = ACTIONS(5622),
    [aux_sym_use_statement_token2] = ACTIONS(5622),
    [aux_sym_implicit_statement_token1] = ACTIONS(5622),
    [aux_sym_implicit_statement_token3] = ACTIONS(5622),
    [aux_sym_implicit_statement_token4] = ACTIONS(5622),
    [aux_sym_save_statement_token1] = ACTIONS(5622),
    [aux_sym_private_statement_token1] = ACTIONS(5622),
    [aux_sym_public_statement_token1] = ACTIONS(5622),
    [aux_sym_namelist_statement_token1] = ACTIONS(5622),
    [aux_sym_common_statement_token1] = ACTIONS(5622),
    [aux_sym_import_statement_token1] = ACTIONS(5622),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5622),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5622),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5622),
    [aux_sym_variable_attributes_token1] = ACTIONS(5622),
    [aux_sym_variable_attributes_token2] = ACTIONS(5622),
    [aux_sym_variable_attributes_token3] = ACTIONS(5622),
    [aux_sym_variable_attributes_token4] = ACTIONS(5622),
    [aux_sym_variable_attributes_token5] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5622),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5622),
    [aux_sym_derived_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token1] = ACTIONS(5622),
    [aux_sym_declared_type_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5622),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5622),
    [aux_sym_type_qualifier_token1] = ACTIONS(5622),
    [aux_sym_type_qualifier_token2] = ACTIONS(5622),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5622),
    [aux_sym_stop_statement_token2] = ACTIONS(5622),
    [aux_sym_subroutine_call_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token1] = ACTIONS(5622),
    [aux_sym_keyword_statement_token2] = ACTIONS(5622),
    [aux_sym_keyword_statement_token3] = ACTIONS(5622),
    [aux_sym_keyword_statement_token4] = ACTIONS(5622),
    [aux_sym_keyword_statement_token6] = ACTIONS(5622),
    [aux_sym_keyword_statement_token7] = ACTIONS(5622),
    [aux_sym_include_statement_token1] = ACTIONS(5622),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5622),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5622),
    [aux_sym_end_if_statement_token1] = ACTIONS(5622),
    [aux_sym_elseif_clause_token2] = ACTIONS(5622),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5622),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token1] = ACTIONS(5622),
    [aux_sym_select_case_statement_token3] = ACTIONS(5622),
    [aux_sym_select_type_statement_token1] = ACTIONS(5622),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5622),
    [aux_sym_associate_statement_token1] = ACTIONS(5622),
    [aux_sym_format_statement_token1] = ACTIONS(5622),
    [aux_sym_print_statement_token1] = ACTIONS(5622),
    [aux_sym_open_statement_token1] = ACTIONS(5622),
    [aux_sym_close_statement_token1] = ACTIONS(5622),
    [aux_sym_inquire_statement_token1] = ACTIONS(5622),
    [aux_sym_enum_statement_token1] = ACTIONS(5622),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token1] = ACTIONS(5622),
    [aux_sym_file_position_statement_token2] = ACTIONS(5622),
    [aux_sym_file_position_statement_token3] = ACTIONS(5622),
    [aux_sym_file_position_statement_token4] = ACTIONS(5622),
    [aux_sym_allocate_statement_token1] = ACTIONS(5622),
    [aux_sym_entry_statement_token1] = ACTIONS(5622),
    [aux_sym_assign_statement_token1] = ACTIONS(5622),
    [aux_sym_logical_expression_token5] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [aux_sym_boolean_literal_token1] = ACTIONS(5624),
    [aux_sym_boolean_literal_token2] = ACTIONS(5624),
    [aux_sym_null_literal_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_statement_token2] = ACTIONS(5622),
    [aux_sym_coarray_statement_token6] = ACTIONS(5622),
    [aux_sym_coarray_statement_token8] = ACTIONS(5622),
    [aux_sym_coarray_statement_token11] = ACTIONS(5622),
    [aux_sym_coarray_statement_token12] = ACTIONS(5622),
    [aux_sym_coarray_statement_token13] = ACTIONS(5622),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5622),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5622),
    [aux_sym_identifier_token1] = ACTIONS(5622),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5624),
    [sym__float_literal] = ACTIONS(5624),
    [sym__boz_literal] = ACTIONS(5624),
    [sym__string_literal] = ACTIONS(5624),
    [sym__string_literal_kind] = ACTIONS(5624),
  },
  [1612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_end_function_statement_token1] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [aux_sym_end_program_statement_token2] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5600),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [aux_sym_boolean_literal_token1] = ACTIONS(5600),
    [aux_sym_boolean_literal_token2] = ACTIONS(5600),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5600),
    [sym__float_literal] = ACTIONS(5600),
    [sym__boz_literal] = ACTIONS(5600),
    [sym__string_literal] = ACTIONS(5600),
    [sym__string_literal_kind] = ACTIONS(5600),
  },
  [1625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_end_function_statement_token1] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4760),
    [aux_sym_preproc_def_token1] = ACTIONS(4760),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4760),
    [sym_preproc_directive] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4766),
    [aux_sym_interface_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token1] = ACTIONS(4760),
    [aux_sym_block_data_statement_token2] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4760),
    [aux_sym_language_binding_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4760),
    [aux_sym_end_function_statement_token1] = ACTIONS(4760),
    [aux_sym_contains_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token1] = ACTIONS(4760),
    [aux_sym_use_statement_token2] = ACTIONS(4760),
    [aux_sym_implicit_statement_token1] = ACTIONS(4760),
    [aux_sym_implicit_statement_token3] = ACTIONS(4760),
    [aux_sym_implicit_statement_token4] = ACTIONS(4760),
    [aux_sym_save_statement_token1] = ACTIONS(4760),
    [aux_sym_private_statement_token1] = ACTIONS(4760),
    [aux_sym_public_statement_token1] = ACTIONS(4760),
    [aux_sym_namelist_statement_token1] = ACTIONS(4760),
    [aux_sym_common_statement_token1] = ACTIONS(4760),
    [aux_sym_import_statement_token1] = ACTIONS(4760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4760),
    [aux_sym_variable_attributes_token1] = ACTIONS(4760),
    [aux_sym_variable_attributes_token2] = ACTIONS(4760),
    [aux_sym_variable_attributes_token3] = ACTIONS(4760),
    [aux_sym_variable_attributes_token4] = ACTIONS(4760),
    [aux_sym_variable_attributes_token5] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4760),
    [aux_sym_derived_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token1] = ACTIONS(4760),
    [aux_sym_declared_type_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4760),
    [aux_sym_type_qualifier_token1] = ACTIONS(4760),
    [aux_sym_type_qualifier_token2] = ACTIONS(4760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token1] = ACTIONS(4760),
    [aux_sym_stop_statement_token2] = ACTIONS(4760),
    [aux_sym_subroutine_call_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token1] = ACTIONS(4760),
    [aux_sym_keyword_statement_token2] = ACTIONS(4760),
    [aux_sym_keyword_statement_token3] = ACTIONS(4760),
    [aux_sym_keyword_statement_token4] = ACTIONS(4760),
    [aux_sym_keyword_statement_token6] = ACTIONS(4760),
    [aux_sym_keyword_statement_token7] = ACTIONS(4760),
    [aux_sym_include_statement_token1] = ACTIONS(4760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4760),
    [aux_sym_end_if_statement_token1] = ACTIONS(4760),
    [aux_sym_elseif_clause_token2] = ACTIONS(4760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token1] = ACTIONS(4760),
    [aux_sym_select_case_statement_token3] = ACTIONS(4760),
    [aux_sym_select_type_statement_token1] = ACTIONS(4760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4760),
    [aux_sym_associate_statement_token1] = ACTIONS(4760),
    [aux_sym_format_statement_token1] = ACTIONS(4760),
    [aux_sym_print_statement_token1] = ACTIONS(4760),
    [aux_sym_open_statement_token1] = ACTIONS(4760),
    [aux_sym_close_statement_token1] = ACTIONS(4760),
    [aux_sym_inquire_statement_token1] = ACTIONS(4760),
    [aux_sym_enum_statement_token1] = ACTIONS(4760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token1] = ACTIONS(4760),
    [aux_sym_file_position_statement_token2] = ACTIONS(4760),
    [aux_sym_file_position_statement_token3] = ACTIONS(4760),
    [aux_sym_file_position_statement_token4] = ACTIONS(4760),
    [aux_sym_allocate_statement_token1] = ACTIONS(4760),
    [aux_sym_entry_statement_token1] = ACTIONS(4760),
    [aux_sym_assign_statement_token1] = ACTIONS(4760),
    [aux_sym_logical_expression_token5] = ACTIONS(4766),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4766),
    [aux_sym_boolean_literal_token1] = ACTIONS(4766),
    [aux_sym_boolean_literal_token2] = ACTIONS(4766),
    [aux_sym_null_literal_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_statement_token2] = ACTIONS(4760),
    [aux_sym_coarray_statement_token6] = ACTIONS(4760),
    [aux_sym_coarray_statement_token8] = ACTIONS(4760),
    [aux_sym_coarray_statement_token11] = ACTIONS(4760),
    [aux_sym_coarray_statement_token12] = ACTIONS(4760),
    [aux_sym_coarray_statement_token13] = ACTIONS(4760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4760),
    [aux_sym_identifier_token1] = ACTIONS(4760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4766),
    [sym__float_literal] = ACTIONS(4766),
    [sym__boz_literal] = ACTIONS(4766),
    [sym__string_literal] = ACTIONS(4766),
    [sym__string_literal_kind] = ACTIONS(4766),
  },
  [1634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5626),
    [aux_sym_preproc_def_token1] = ACTIONS(5626),
    [aux_sym_preproc_if_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5626),
    [sym_preproc_directive] = ACTIONS(5626),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_interface_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token1] = ACTIONS(5626),
    [aux_sym_block_data_statement_token2] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5626),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5626),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5626),
    [aux_sym_language_binding_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5626),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5626),
    [aux_sym_end_function_statement_token1] = ACTIONS(5626),
    [aux_sym_contains_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token1] = ACTIONS(5626),
    [aux_sym_use_statement_token2] = ACTIONS(5626),
    [aux_sym_implicit_statement_token1] = ACTIONS(5626),
    [aux_sym_implicit_statement_token3] = ACTIONS(5626),
    [aux_sym_implicit_statement_token4] = ACTIONS(5626),
    [aux_sym_save_statement_token1] = ACTIONS(5626),
    [aux_sym_private_statement_token1] = ACTIONS(5626),
    [aux_sym_public_statement_token1] = ACTIONS(5626),
    [aux_sym_namelist_statement_token1] = ACTIONS(5626),
    [aux_sym_common_statement_token1] = ACTIONS(5626),
    [aux_sym_import_statement_token1] = ACTIONS(5626),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5626),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5626),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5626),
    [aux_sym_variable_attributes_token1] = ACTIONS(5626),
    [aux_sym_variable_attributes_token2] = ACTIONS(5626),
    [aux_sym_variable_attributes_token3] = ACTIONS(5626),
    [aux_sym_variable_attributes_token4] = ACTIONS(5626),
    [aux_sym_variable_attributes_token5] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5626),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5626),
    [aux_sym_derived_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token1] = ACTIONS(5626),
    [aux_sym_declared_type_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5626),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5626),
    [aux_sym_type_qualifier_token1] = ACTIONS(5626),
    [aux_sym_type_qualifier_token2] = ACTIONS(5626),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token1] = ACTIONS(5626),
    [aux_sym_stop_statement_token2] = ACTIONS(5626),
    [aux_sym_subroutine_call_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token1] = ACTIONS(5626),
    [aux_sym_keyword_statement_token2] = ACTIONS(5626),
    [aux_sym_keyword_statement_token3] = ACTIONS(5626),
    [aux_sym_keyword_statement_token4] = ACTIONS(5626),
    [aux_sym_keyword_statement_token6] = ACTIONS(5626),
    [aux_sym_keyword_statement_token7] = ACTIONS(5626),
    [aux_sym_include_statement_token1] = ACTIONS(5626),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5626),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5626),
    [aux_sym_end_if_statement_token1] = ACTIONS(5626),
    [aux_sym_elseif_clause_token2] = ACTIONS(5626),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5626),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token1] = ACTIONS(5626),
    [aux_sym_select_case_statement_token3] = ACTIONS(5626),
    [aux_sym_select_type_statement_token1] = ACTIONS(5626),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5626),
    [aux_sym_associate_statement_token1] = ACTIONS(5626),
    [aux_sym_format_statement_token1] = ACTIONS(5626),
    [aux_sym_print_statement_token1] = ACTIONS(5626),
    [aux_sym_open_statement_token1] = ACTIONS(5626),
    [aux_sym_close_statement_token1] = ACTIONS(5626),
    [aux_sym_inquire_statement_token1] = ACTIONS(5626),
    [aux_sym_enum_statement_token1] = ACTIONS(5626),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token1] = ACTIONS(5626),
    [aux_sym_file_position_statement_token2] = ACTIONS(5626),
    [aux_sym_file_position_statement_token3] = ACTIONS(5626),
    [aux_sym_file_position_statement_token4] = ACTIONS(5626),
    [aux_sym_allocate_statement_token1] = ACTIONS(5626),
    [aux_sym_entry_statement_token1] = ACTIONS(5626),
    [aux_sym_assign_statement_token1] = ACTIONS(5626),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_statement_token2] = ACTIONS(5626),
    [aux_sym_coarray_statement_token6] = ACTIONS(5626),
    [aux_sym_coarray_statement_token8] = ACTIONS(5626),
    [aux_sym_coarray_statement_token11] = ACTIONS(5626),
    [aux_sym_coarray_statement_token12] = ACTIONS(5626),
    [aux_sym_coarray_statement_token13] = ACTIONS(5626),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5626),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5626),
    [aux_sym_identifier_token1] = ACTIONS(5626),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_end_function_statement_token1] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_interface_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(4952),
    [aux_sym_block_data_statement_token2] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4952),
    [aux_sym_language_binding_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4952),
    [aux_sym_contains_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token1] = ACTIONS(4952),
    [aux_sym_use_statement_token2] = ACTIONS(4952),
    [aux_sym_implicit_statement_token1] = ACTIONS(4952),
    [aux_sym_implicit_statement_token3] = ACTIONS(4952),
    [aux_sym_implicit_statement_token4] = ACTIONS(4952),
    [aux_sym_save_statement_token1] = ACTIONS(4952),
    [aux_sym_private_statement_token1] = ACTIONS(4952),
    [aux_sym_public_statement_token1] = ACTIONS(4952),
    [aux_sym_namelist_statement_token1] = ACTIONS(4952),
    [aux_sym_common_statement_token1] = ACTIONS(4952),
    [aux_sym_import_statement_token1] = ACTIONS(4952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4952),
    [aux_sym_variable_attributes_token1] = ACTIONS(4952),
    [aux_sym_variable_attributes_token2] = ACTIONS(4952),
    [aux_sym_variable_attributes_token3] = ACTIONS(4952),
    [aux_sym_variable_attributes_token4] = ACTIONS(4952),
    [aux_sym_variable_attributes_token5] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4952),
    [aux_sym_derived_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token1] = ACTIONS(4952),
    [aux_sym_declared_type_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4952),
    [aux_sym_type_qualifier_token1] = ACTIONS(4952),
    [aux_sym_type_qualifier_token2] = ACTIONS(4952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token1] = ACTIONS(4952),
    [aux_sym_stop_statement_token2] = ACTIONS(4952),
    [aux_sym_subroutine_call_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token1] = ACTIONS(4952),
    [aux_sym_keyword_statement_token2] = ACTIONS(4952),
    [aux_sym_keyword_statement_token3] = ACTIONS(4952),
    [aux_sym_keyword_statement_token4] = ACTIONS(4952),
    [aux_sym_keyword_statement_token6] = ACTIONS(4952),
    [aux_sym_keyword_statement_token7] = ACTIONS(4952),
    [aux_sym_include_statement_token1] = ACTIONS(4952),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4952),
    [aux_sym_end_if_statement_token1] = ACTIONS(4952),
    [aux_sym_elseif_clause_token2] = ACTIONS(4952),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4952),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token1] = ACTIONS(4952),
    [aux_sym_select_case_statement_token3] = ACTIONS(4952),
    [aux_sym_select_type_statement_token1] = ACTIONS(4952),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4952),
    [aux_sym_associate_statement_token1] = ACTIONS(4952),
    [aux_sym_format_statement_token1] = ACTIONS(4952),
    [aux_sym_print_statement_token1] = ACTIONS(4952),
    [aux_sym_open_statement_token1] = ACTIONS(4952),
    [aux_sym_close_statement_token1] = ACTIONS(4952),
    [aux_sym_inquire_statement_token1] = ACTIONS(4952),
    [aux_sym_enum_statement_token1] = ACTIONS(4952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token1] = ACTIONS(4952),
    [aux_sym_file_position_statement_token2] = ACTIONS(4952),
    [aux_sym_file_position_statement_token3] = ACTIONS(4952),
    [aux_sym_file_position_statement_token4] = ACTIONS(4952),
    [aux_sym_allocate_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4952),
    [aux_sym_assign_statement_token1] = ACTIONS(4952),
    [aux_sym_logical_expression_token5] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [aux_sym_boolean_literal_token1] = ACTIONS(4956),
    [aux_sym_boolean_literal_token2] = ACTIONS(4956),
    [aux_sym_null_literal_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_statement_token2] = ACTIONS(4952),
    [aux_sym_coarray_statement_token6] = ACTIONS(4952),
    [aux_sym_coarray_statement_token8] = ACTIONS(4952),
    [aux_sym_coarray_statement_token11] = ACTIONS(4952),
    [aux_sym_coarray_statement_token12] = ACTIONS(4952),
    [aux_sym_coarray_statement_token13] = ACTIONS(4952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4952),
    [aux_sym_identifier_token1] = ACTIONS(4952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4956),
    [sym__float_literal] = ACTIONS(4956),
    [sym__boz_literal] = ACTIONS(4956),
    [sym__string_literal] = ACTIONS(4956),
    [sym__string_literal_kind] = ACTIONS(4956),
  },
  [1638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5614),
    [aux_sym_end_program_statement_token2] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_interface_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token1] = ACTIONS(5614),
    [aux_sym_block_data_statement_token2] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5614),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5614),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5614),
    [aux_sym_language_binding_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5614),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5614),
    [aux_sym_contains_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token1] = ACTIONS(5614),
    [aux_sym_use_statement_token2] = ACTIONS(5614),
    [aux_sym_implicit_statement_token1] = ACTIONS(5614),
    [aux_sym_implicit_statement_token3] = ACTIONS(5614),
    [aux_sym_implicit_statement_token4] = ACTIONS(5614),
    [aux_sym_save_statement_token1] = ACTIONS(5614),
    [aux_sym_private_statement_token1] = ACTIONS(5614),
    [aux_sym_public_statement_token1] = ACTIONS(5614),
    [aux_sym_namelist_statement_token1] = ACTIONS(5614),
    [aux_sym_common_statement_token1] = ACTIONS(5614),
    [aux_sym_import_statement_token1] = ACTIONS(5614),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5614),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5614),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5614),
    [aux_sym_variable_attributes_token1] = ACTIONS(5614),
    [aux_sym_variable_attributes_token2] = ACTIONS(5614),
    [aux_sym_variable_attributes_token3] = ACTIONS(5614),
    [aux_sym_variable_attributes_token4] = ACTIONS(5614),
    [aux_sym_variable_attributes_token5] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5614),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5614),
    [aux_sym_derived_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token1] = ACTIONS(5614),
    [aux_sym_declared_type_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5614),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5614),
    [aux_sym_type_qualifier_token1] = ACTIONS(5614),
    [aux_sym_type_qualifier_token2] = ACTIONS(5614),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token1] = ACTIONS(5614),
    [aux_sym_stop_statement_token2] = ACTIONS(5614),
    [aux_sym_subroutine_call_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token1] = ACTIONS(5614),
    [aux_sym_keyword_statement_token2] = ACTIONS(5614),
    [aux_sym_keyword_statement_token3] = ACTIONS(5614),
    [aux_sym_keyword_statement_token4] = ACTIONS(5614),
    [aux_sym_keyword_statement_token6] = ACTIONS(5614),
    [aux_sym_keyword_statement_token7] = ACTIONS(5614),
    [aux_sym_include_statement_token1] = ACTIONS(5614),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5614),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5614),
    [aux_sym_end_if_statement_token1] = ACTIONS(5614),
    [aux_sym_elseif_clause_token2] = ACTIONS(5614),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5614),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token1] = ACTIONS(5614),
    [aux_sym_select_case_statement_token3] = ACTIONS(5614),
    [aux_sym_select_type_statement_token1] = ACTIONS(5614),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5614),
    [aux_sym_associate_statement_token1] = ACTIONS(5614),
    [aux_sym_format_statement_token1] = ACTIONS(5614),
    [aux_sym_print_statement_token1] = ACTIONS(5614),
    [aux_sym_open_statement_token1] = ACTIONS(5614),
    [aux_sym_close_statement_token1] = ACTIONS(5614),
    [aux_sym_inquire_statement_token1] = ACTIONS(5614),
    [aux_sym_enum_statement_token1] = ACTIONS(5614),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token1] = ACTIONS(5614),
    [aux_sym_file_position_statement_token2] = ACTIONS(5614),
    [aux_sym_file_position_statement_token3] = ACTIONS(5614),
    [aux_sym_file_position_statement_token4] = ACTIONS(5614),
    [aux_sym_allocate_statement_token1] = ACTIONS(5614),
    [aux_sym_entry_statement_token1] = ACTIONS(5614),
    [aux_sym_assign_statement_token1] = ACTIONS(5614),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_statement_token2] = ACTIONS(5614),
    [aux_sym_coarray_statement_token6] = ACTIONS(5614),
    [aux_sym_coarray_statement_token8] = ACTIONS(5614),
    [aux_sym_coarray_statement_token11] = ACTIONS(5614),
    [aux_sym_coarray_statement_token12] = ACTIONS(5614),
    [aux_sym_coarray_statement_token13] = ACTIONS(5614),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5614),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5614),
    [aux_sym_identifier_token1] = ACTIONS(5614),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_end_function_statement_token1] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4792),
    [aux_sym_preproc_def_token1] = ACTIONS(4792),
    [aux_sym_preproc_if_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4792),
    [sym_preproc_directive] = ACTIONS(4792),
    [anon_sym_LPAREN2] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4798),
    [aux_sym_interface_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token1] = ACTIONS(4792),
    [aux_sym_block_data_statement_token2] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4792),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4792),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4792),
    [aux_sym_language_binding_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4792),
    [aux_sym_contains_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token1] = ACTIONS(4792),
    [aux_sym_use_statement_token2] = ACTIONS(4792),
    [aux_sym_implicit_statement_token1] = ACTIONS(4792),
    [aux_sym_implicit_statement_token3] = ACTIONS(4792),
    [aux_sym_implicit_statement_token4] = ACTIONS(4792),
    [aux_sym_save_statement_token1] = ACTIONS(4792),
    [aux_sym_private_statement_token1] = ACTIONS(4792),
    [aux_sym_public_statement_token1] = ACTIONS(4792),
    [aux_sym_namelist_statement_token1] = ACTIONS(4792),
    [aux_sym_common_statement_token1] = ACTIONS(4792),
    [aux_sym_import_statement_token1] = ACTIONS(4792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4792),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4792),
    [aux_sym_variable_attributes_token1] = ACTIONS(4792),
    [aux_sym_variable_attributes_token2] = ACTIONS(4792),
    [aux_sym_variable_attributes_token3] = ACTIONS(4792),
    [aux_sym_variable_attributes_token4] = ACTIONS(4792),
    [aux_sym_variable_attributes_token5] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4792),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4792),
    [aux_sym_derived_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token1] = ACTIONS(4792),
    [aux_sym_declared_type_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4792),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4792),
    [aux_sym_type_qualifier_token1] = ACTIONS(4792),
    [aux_sym_type_qualifier_token2] = ACTIONS(4792),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token1] = ACTIONS(4792),
    [aux_sym_stop_statement_token2] = ACTIONS(4792),
    [aux_sym_subroutine_call_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token1] = ACTIONS(4792),
    [aux_sym_keyword_statement_token2] = ACTIONS(4792),
    [aux_sym_keyword_statement_token3] = ACTIONS(4792),
    [aux_sym_keyword_statement_token4] = ACTIONS(4792),
    [aux_sym_keyword_statement_token6] = ACTIONS(4792),
    [aux_sym_keyword_statement_token7] = ACTIONS(4792),
    [aux_sym_include_statement_token1] = ACTIONS(4792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4792),
    [aux_sym_end_if_statement_token1] = ACTIONS(4792),
    [aux_sym_elseif_clause_token2] = ACTIONS(4792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token1] = ACTIONS(4792),
    [aux_sym_select_case_statement_token3] = ACTIONS(4792),
    [aux_sym_select_type_statement_token1] = ACTIONS(4792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4792),
    [aux_sym_associate_statement_token1] = ACTIONS(4792),
    [aux_sym_format_statement_token1] = ACTIONS(4792),
    [aux_sym_print_statement_token1] = ACTIONS(4792),
    [aux_sym_open_statement_token1] = ACTIONS(4792),
    [aux_sym_close_statement_token1] = ACTIONS(4792),
    [aux_sym_inquire_statement_token1] = ACTIONS(4792),
    [aux_sym_enum_statement_token1] = ACTIONS(4792),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token1] = ACTIONS(4792),
    [aux_sym_file_position_statement_token2] = ACTIONS(4792),
    [aux_sym_file_position_statement_token3] = ACTIONS(4792),
    [aux_sym_file_position_statement_token4] = ACTIONS(4792),
    [aux_sym_allocate_statement_token1] = ACTIONS(4792),
    [aux_sym_entry_statement_token1] = ACTIONS(4792),
    [aux_sym_assign_statement_token1] = ACTIONS(4792),
    [aux_sym_logical_expression_token5] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4798),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [aux_sym_boolean_literal_token1] = ACTIONS(4798),
    [aux_sym_boolean_literal_token2] = ACTIONS(4798),
    [aux_sym_null_literal_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_statement_token2] = ACTIONS(4792),
    [aux_sym_coarray_statement_token6] = ACTIONS(4792),
    [aux_sym_coarray_statement_token8] = ACTIONS(4792),
    [aux_sym_coarray_statement_token11] = ACTIONS(4792),
    [aux_sym_coarray_statement_token12] = ACTIONS(4792),
    [aux_sym_coarray_statement_token13] = ACTIONS(4792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4792),
    [aux_sym_identifier_token1] = ACTIONS(4792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4798),
    [sym__float_literal] = ACTIONS(4798),
    [sym__boz_literal] = ACTIONS(4798),
    [sym__string_literal] = ACTIONS(4798),
    [sym__string_literal_kind] = ACTIONS(4798),
  },
  [1642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_end_function_statement_token1] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_PLUS] = ACTIONS(5632),
    [anon_sym_DASH] = ACTIONS(5632),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5632),
    [aux_sym_interface_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token1] = ACTIONS(5630),
    [aux_sym_block_data_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_language_binding_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_end_function_statement_token1] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token1] = ACTIONS(5630),
    [aux_sym_implicit_statement_token3] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_namelist_statement_token1] = ACTIONS(5630),
    [aux_sym_common_statement_token1] = ACTIONS(5630),
    [aux_sym_import_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token1] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token4] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5630),
    [aux_sym_derived_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token1] = ACTIONS(5630),
    [aux_sym_declared_type_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_enum_statement_token1] = ACTIONS(5630),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_assign_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [aux_sym_boolean_literal_token1] = ACTIONS(5632),
    [aux_sym_boolean_literal_token2] = ACTIONS(5632),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5632),
    [sym__float_literal] = ACTIONS(5632),
    [sym__boz_literal] = ACTIONS(5632),
    [sym__string_literal] = ACTIONS(5632),
    [sym__string_literal_kind] = ACTIONS(5632),
  },
  [1644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_end_function_statement_token1] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5316),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_end_function_statement_token1] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [aux_sym_boolean_literal_token1] = ACTIONS(5316),
    [aux_sym_boolean_literal_token2] = ACTIONS(5316),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5316),
    [sym__float_literal] = ACTIONS(5316),
    [sym__boz_literal] = ACTIONS(5316),
    [sym__string_literal] = ACTIONS(5316),
    [sym__string_literal_kind] = ACTIONS(5316),
  },
  [1646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_end_function_statement_token1] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5256),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [aux_sym_boolean_literal_token1] = ACTIONS(5256),
    [aux_sym_boolean_literal_token2] = ACTIONS(5256),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5256),
    [sym__float_literal] = ACTIONS(5256),
    [sym__boz_literal] = ACTIONS(5256),
    [sym__string_literal] = ACTIONS(5256),
    [sym__string_literal_kind] = ACTIONS(5256),
  },
  [1650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_end_function_statement_token1] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_end_function_statement_token1] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1664] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1665] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token2] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [aux_sym_end_program_statement_token2] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_keyword_statement_token6] = ACTIONS(4724),
    [aux_sym_keyword_statement_token7] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token3] = ACTIONS(4724),
    [aux_sym_select_type_statement_token1] = ACTIONS(4724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4724),
    [aux_sym_associate_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_print_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_close_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token2] = ACTIONS(4724),
    [aux_sym_file_position_statement_token3] = ACTIONS(4724),
    [aux_sym_file_position_statement_token4] = ACTIONS(4724),
    [aux_sym_allocate_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_assign_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_statement_token13] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [1668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_program_statement_token2] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1669] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_keyword_statement_token6] = ACTIONS(4844),
    [aux_sym_keyword_statement_token7] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_select_case_statement_token3] = ACTIONS(4844),
    [aux_sym_select_type_statement_token1] = ACTIONS(4844),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4844),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4844),
    [aux_sym_associate_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_print_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_close_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token1] = ACTIONS(4844),
    [aux_sym_file_position_statement_token2] = ACTIONS(4844),
    [aux_sym_file_position_statement_token3] = ACTIONS(4844),
    [aux_sym_file_position_statement_token4] = ACTIONS(4844),
    [aux_sym_allocate_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_assign_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_statement_token13] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1672] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1677] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_keyword_statement_token6] = ACTIONS(5004),
    [aux_sym_keyword_statement_token7] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5004),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_select_case_statement_token3] = ACTIONS(5004),
    [aux_sym_select_type_statement_token1] = ACTIONS(5004),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5004),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5004),
    [aux_sym_associate_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_print_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_close_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token1] = ACTIONS(5004),
    [aux_sym_file_position_statement_token2] = ACTIONS(5004),
    [aux_sym_file_position_statement_token3] = ACTIONS(5004),
    [aux_sym_file_position_statement_token4] = ACTIONS(5004),
    [aux_sym_allocate_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_assign_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_statement_token13] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1683] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1694] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_assign_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_keyword_statement_token6] = ACTIONS(4892),
    [aux_sym_keyword_statement_token7] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4892),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_select_case_statement_token3] = ACTIONS(4892),
    [aux_sym_select_type_statement_token1] = ACTIONS(4892),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4892),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4892),
    [aux_sym_associate_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_print_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_close_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token1] = ACTIONS(4892),
    [aux_sym_file_position_statement_token2] = ACTIONS(4892),
    [aux_sym_file_position_statement_token3] = ACTIONS(4892),
    [aux_sym_file_position_statement_token4] = ACTIONS(4892),
    [aux_sym_allocate_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_assign_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_statement_token13] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1703] = {
    [sym_statement_label] = STATE(7078),
    [sym_statement_label_reference] = STATE(7083),
    [sym__io_arguments] = STATE(3062),
    [sym_format_identifier] = STATE(7093),
    [sym__io_expressions] = STATE(7083),
    [sym__expression] = STATE(4945),
    [sym_parenthesized_expression] = STATE(5164),
    [sym_derived_type_member_expression] = STATE(5164),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5164),
    [sym_math_expression] = STATE(5164),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5164),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5164),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5164),
    [anon_sym_LPAREN2] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(5670),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5672),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1704] = {
    [sym__expression] = STATE(4656),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5682),
    [anon_sym_PLUS] = ACTIONS(5685),
    [anon_sym_DASH] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5697),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(5688),
  },
  [1705] = {
    [sym__kind] = STATE(4063),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5708),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5710),
    [aux_sym_end_program_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ] = ACTIONS(5710),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5706),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5706),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5706),
    [aux_sym_use_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ_GT] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5706),
    [aux_sym_implicit_statement_token4] = ACTIONS(5706),
    [aux_sym_save_statement_token1] = ACTIONS(5706),
    [aux_sym_private_statement_token1] = ACTIONS(5706),
    [aux_sym_public_statement_token1] = ACTIONS(5706),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5706),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5706),
    [aux_sym_variable_attributes_token2] = ACTIONS(5706),
    [aux_sym_variable_attributes_token3] = ACTIONS(5706),
    [aux_sym_variable_attributes_token5] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5706),
    [aux_sym_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym_stop_statement_token1] = ACTIONS(5706),
    [aux_sym_stop_statement_token2] = ACTIONS(5706),
    [aux_sym_subroutine_call_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token2] = ACTIONS(5706),
    [aux_sym_keyword_statement_token3] = ACTIONS(5706),
    [aux_sym_keyword_statement_token4] = ACTIONS(5706),
    [aux_sym_keyword_statement_token6] = ACTIONS(5706),
    [aux_sym_keyword_statement_token7] = ACTIONS(5706),
    [aux_sym_include_statement_token1] = ACTIONS(5706),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5706),
    [aux_sym_end_if_statement_token1] = ACTIONS(5706),
    [aux_sym_elseif_clause_token2] = ACTIONS(5706),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5706),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token3] = ACTIONS(5706),
    [aux_sym_select_type_statement_token1] = ACTIONS(5706),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5706),
    [aux_sym_associate_statement_token1] = ACTIONS(5706),
    [aux_sym_format_statement_token1] = ACTIONS(5706),
    [aux_sym_print_statement_token1] = ACTIONS(5706),
    [aux_sym_open_statement_token1] = ACTIONS(5706),
    [aux_sym_close_statement_token1] = ACTIONS(5706),
    [aux_sym_inquire_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token2] = ACTIONS(5706),
    [aux_sym_file_position_statement_token3] = ACTIONS(5706),
    [aux_sym_file_position_statement_token4] = ACTIONS(5706),
    [aux_sym_allocate_statement_token1] = ACTIONS(5706),
    [aux_sym_entry_statement_token1] = ACTIONS(5706),
    [aux_sym_assign_statement_token1] = ACTIONS(5706),
    [aux_sym_logical_expression_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token2] = ACTIONS(5712),
    [aux_sym_logical_expression_token3] = ACTIONS(5712),
    [aux_sym_logical_expression_token4] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5708),
    [aux_sym_relational_expression_token1] = ACTIONS(5712),
    [aux_sym_relational_expression_token2] = ACTIONS(5712),
    [aux_sym_relational_expression_token3] = ACTIONS(5712),
    [aux_sym_relational_expression_token4] = ACTIONS(5712),
    [aux_sym_relational_expression_token5] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [aux_sym_relational_expression_token6] = ACTIONS(5712),
    [anon_sym_SLASH_SLASH] = ACTIONS(5712),
    [anon_sym_STAR_STAR] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [aux_sym_boolean_literal_token1] = ACTIONS(5708),
    [aux_sym_boolean_literal_token2] = ACTIONS(5708),
    [anon_sym__] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token2] = ACTIONS(5706),
    [aux_sym_coarray_statement_token6] = ACTIONS(5706),
    [aux_sym_coarray_statement_token8] = ACTIONS(5706),
    [aux_sym_coarray_statement_token11] = ACTIONS(5706),
    [aux_sym_coarray_statement_token12] = ACTIONS(5706),
    [aux_sym_coarray_statement_token13] = ACTIONS(5706),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5706),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5708),
    [sym__float_literal] = ACTIONS(5708),
    [sym__boz_literal] = ACTIONS(5708),
    [sym__string_literal] = ACTIONS(5708),
    [sym__string_literal_kind] = ACTIONS(5708),
  },
  [1706] = {
    [sym_data_set] = STATE(3011),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5088),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5088),
    [sym_implied_do_loop_expression] = STATE(5088),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5088),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [1707] = {
    [sym__kind] = STATE(4063),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5708),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5710),
    [aux_sym_end_program_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ] = ACTIONS(5710),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5706),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5706),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5706),
    [aux_sym_use_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ_GT] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5706),
    [aux_sym_save_statement_token1] = ACTIONS(5706),
    [aux_sym_private_statement_token1] = ACTIONS(5706),
    [aux_sym_public_statement_token1] = ACTIONS(5706),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5706),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5706),
    [aux_sym_variable_attributes_token2] = ACTIONS(5706),
    [aux_sym_variable_attributes_token3] = ACTIONS(5706),
    [aux_sym_variable_attributes_token5] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5706),
    [aux_sym_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym_stop_statement_token1] = ACTIONS(5706),
    [aux_sym_stop_statement_token2] = ACTIONS(5706),
    [aux_sym_subroutine_call_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token2] = ACTIONS(5706),
    [aux_sym_keyword_statement_token3] = ACTIONS(5706),
    [aux_sym_keyword_statement_token4] = ACTIONS(5706),
    [aux_sym_keyword_statement_token6] = ACTIONS(5706),
    [aux_sym_keyword_statement_token7] = ACTIONS(5706),
    [aux_sym_include_statement_token1] = ACTIONS(5706),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5706),
    [aux_sym_end_if_statement_token1] = ACTIONS(5706),
    [aux_sym_elseif_clause_token2] = ACTIONS(5706),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5706),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5706),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token3] = ACTIONS(5706),
    [aux_sym_select_type_statement_token1] = ACTIONS(5706),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5706),
    [aux_sym_associate_statement_token1] = ACTIONS(5706),
    [aux_sym_format_statement_token1] = ACTIONS(5706),
    [aux_sym_print_statement_token1] = ACTIONS(5706),
    [aux_sym_open_statement_token1] = ACTIONS(5706),
    [aux_sym_close_statement_token1] = ACTIONS(5706),
    [aux_sym_inquire_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token2] = ACTIONS(5706),
    [aux_sym_file_position_statement_token3] = ACTIONS(5706),
    [aux_sym_file_position_statement_token4] = ACTIONS(5706),
    [aux_sym_allocate_statement_token1] = ACTIONS(5706),
    [aux_sym_entry_statement_token1] = ACTIONS(5706),
    [aux_sym_assign_statement_token1] = ACTIONS(5706),
    [aux_sym_logical_expression_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token2] = ACTIONS(5712),
    [aux_sym_logical_expression_token3] = ACTIONS(5712),
    [aux_sym_logical_expression_token4] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5708),
    [aux_sym_relational_expression_token1] = ACTIONS(5712),
    [aux_sym_relational_expression_token2] = ACTIONS(5712),
    [aux_sym_relational_expression_token3] = ACTIONS(5712),
    [aux_sym_relational_expression_token4] = ACTIONS(5712),
    [aux_sym_relational_expression_token5] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [aux_sym_relational_expression_token6] = ACTIONS(5712),
    [anon_sym_SLASH_SLASH] = ACTIONS(5712),
    [anon_sym_STAR_STAR] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [aux_sym_boolean_literal_token1] = ACTIONS(5708),
    [aux_sym_boolean_literal_token2] = ACTIONS(5708),
    [anon_sym__] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token2] = ACTIONS(5706),
    [aux_sym_coarray_statement_token6] = ACTIONS(5706),
    [aux_sym_coarray_statement_token8] = ACTIONS(5706),
    [aux_sym_coarray_statement_token11] = ACTIONS(5706),
    [aux_sym_coarray_statement_token12] = ACTIONS(5706),
    [aux_sym_coarray_statement_token13] = ACTIONS(5706),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5706),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5708),
    [sym__float_literal] = ACTIONS(5708),
    [sym__boz_literal] = ACTIONS(5708),
    [sym__string_literal] = ACTIONS(5708),
    [sym__string_literal_kind] = ACTIONS(5708),
  },
  [1708] = {
    [sym__kind] = STATE(4063),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5708),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5710),
    [aux_sym_end_program_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token1] = ACTIONS(5706),
    [aux_sym_block_data_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ] = ACTIONS(5710),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5706),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5706),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5706),
    [aux_sym_use_statement_token2] = ACTIONS(5706),
    [anon_sym_EQ_GT] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5706),
    [aux_sym_save_statement_token1] = ACTIONS(5706),
    [aux_sym_private_statement_token1] = ACTIONS(5706),
    [aux_sym_public_statement_token1] = ACTIONS(5706),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5706),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5706),
    [aux_sym_variable_attributes_token2] = ACTIONS(5706),
    [aux_sym_variable_attributes_token3] = ACTIONS(5706),
    [aux_sym_variable_attributes_token5] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5706),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5706),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5706),
    [aux_sym_type_qualifier_token1] = ACTIONS(5706),
    [aux_sym_type_qualifier_token2] = ACTIONS(5706),
    [aux_sym_stop_statement_token1] = ACTIONS(5706),
    [aux_sym_stop_statement_token2] = ACTIONS(5706),
    [aux_sym_subroutine_call_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token1] = ACTIONS(5706),
    [aux_sym_keyword_statement_token2] = ACTIONS(5706),
    [aux_sym_keyword_statement_token3] = ACTIONS(5706),
    [aux_sym_keyword_statement_token4] = ACTIONS(5706),
    [aux_sym_keyword_statement_token6] = ACTIONS(5706),
    [aux_sym_keyword_statement_token7] = ACTIONS(5706),
    [aux_sym_include_statement_token1] = ACTIONS(5706),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5706),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5706),
    [aux_sym_end_if_statement_token1] = ACTIONS(5706),
    [aux_sym_elseif_clause_token2] = ACTIONS(5706),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5706),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token1] = ACTIONS(5706),
    [aux_sym_select_case_statement_token3] = ACTIONS(5706),
    [aux_sym_select_type_statement_token1] = ACTIONS(5706),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5706),
    [aux_sym_associate_statement_token1] = ACTIONS(5706),
    [aux_sym_format_statement_token1] = ACTIONS(5706),
    [aux_sym_print_statement_token1] = ACTIONS(5706),
    [aux_sym_open_statement_token1] = ACTIONS(5706),
    [aux_sym_close_statement_token1] = ACTIONS(5706),
    [aux_sym_inquire_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token1] = ACTIONS(5706),
    [aux_sym_file_position_statement_token2] = ACTIONS(5706),
    [aux_sym_file_position_statement_token3] = ACTIONS(5706),
    [aux_sym_file_position_statement_token4] = ACTIONS(5706),
    [aux_sym_allocate_statement_token1] = ACTIONS(5706),
    [aux_sym_entry_statement_token1] = ACTIONS(5706),
    [aux_sym_assign_statement_token1] = ACTIONS(5706),
    [aux_sym_logical_expression_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token2] = ACTIONS(5712),
    [aux_sym_logical_expression_token3] = ACTIONS(5712),
    [aux_sym_logical_expression_token4] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5708),
    [aux_sym_relational_expression_token1] = ACTIONS(5712),
    [aux_sym_relational_expression_token2] = ACTIONS(5712),
    [aux_sym_relational_expression_token3] = ACTIONS(5712),
    [aux_sym_relational_expression_token4] = ACTIONS(5712),
    [aux_sym_relational_expression_token5] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [aux_sym_relational_expression_token6] = ACTIONS(5712),
    [anon_sym_SLASH_SLASH] = ACTIONS(5712),
    [anon_sym_STAR_STAR] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [aux_sym_boolean_literal_token1] = ACTIONS(5708),
    [aux_sym_boolean_literal_token2] = ACTIONS(5708),
    [anon_sym__] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_statement_token2] = ACTIONS(5706),
    [aux_sym_coarray_statement_token6] = ACTIONS(5706),
    [aux_sym_coarray_statement_token8] = ACTIONS(5706),
    [aux_sym_coarray_statement_token11] = ACTIONS(5706),
    [aux_sym_coarray_statement_token12] = ACTIONS(5706),
    [aux_sym_coarray_statement_token13] = ACTIONS(5706),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5706),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5706),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5708),
    [sym__float_literal] = ACTIONS(5708),
    [sym__boz_literal] = ACTIONS(5708),
    [sym__string_literal] = ACTIONS(5708),
    [sym__string_literal_kind] = ACTIONS(5708),
  },
  [1709] = {
    [sym__expression] = STATE(4614),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token2] = ACTIONS(4724),
    [aux_sym_preproc_else_token1] = ACTIONS(4724),
    [aux_sym_preproc_elif_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [sym_preproc_comment] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [1711] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token2] = ACTIONS(4720),
    [aux_sym_preproc_else_token1] = ACTIONS(4720),
    [aux_sym_preproc_elif_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [sym_preproc_comment] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [1712] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1713] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token2] = ACTIONS(4728),
    [aux_sym_preproc_else_token1] = ACTIONS(4728),
    [aux_sym_preproc_elif_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [sym_preproc_comment] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [1714] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token2] = ACTIONS(4732),
    [aux_sym_preproc_else_token1] = ACTIONS(4732),
    [aux_sym_preproc_elif_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [sym_preproc_comment] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [1715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5731),
    [aux_sym_preproc_def_token1] = ACTIONS(5731),
    [aux_sym_preproc_if_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5731),
    [sym_preproc_directive] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [sym_preproc_comment] = ACTIONS(5733),
    [anon_sym_PLUS] = ACTIONS(5735),
    [anon_sym_DASH] = ACTIONS(5735),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5731),
    [aux_sym_end_module_statement_token1] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5735),
    [aux_sym_interface_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token2] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5731),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5731),
    [aux_sym_language_binding_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5731),
    [aux_sym_contains_statement_token1] = ACTIONS(5731),
    [aux_sym_use_statement_token1] = ACTIONS(5731),
    [aux_sym_use_statement_token2] = ACTIONS(5731),
    [aux_sym_implicit_statement_token1] = ACTIONS(5731),
    [aux_sym_implicit_statement_token3] = ACTIONS(5731),
    [aux_sym_implicit_statement_token4] = ACTIONS(5731),
    [aux_sym_save_statement_token1] = ACTIONS(5731),
    [aux_sym_private_statement_token1] = ACTIONS(5731),
    [aux_sym_public_statement_token1] = ACTIONS(5731),
    [aux_sym_namelist_statement_token1] = ACTIONS(5731),
    [aux_sym_common_statement_token1] = ACTIONS(5731),
    [aux_sym_import_statement_token1] = ACTIONS(5731),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5731),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5731),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5731),
    [aux_sym_variable_attributes_token1] = ACTIONS(5731),
    [aux_sym_variable_attributes_token2] = ACTIONS(5731),
    [aux_sym_variable_attributes_token3] = ACTIONS(5731),
    [aux_sym_variable_attributes_token4] = ACTIONS(5731),
    [aux_sym_variable_attributes_token5] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5731),
    [aux_sym_derived_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5731),
    [aux_sym_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token2] = ACTIONS(5731),
    [aux_sym_subroutine_call_token1] = ACTIONS(5731),
    [aux_sym_keyword_statement_token2] = ACTIONS(5731),
    [aux_sym_keyword_statement_token3] = ACTIONS(5731),
    [aux_sym_keyword_statement_token4] = ACTIONS(5731),
    [aux_sym_include_statement_token1] = ACTIONS(5731),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5731),
    [aux_sym_end_if_statement_token1] = ACTIONS(5731),
    [aux_sym_elseif_clause_token2] = ACTIONS(5731),
    [aux_sym_select_case_statement_token1] = ACTIONS(5731),
    [aux_sym_format_statement_token1] = ACTIONS(5731),
    [aux_sym_open_statement_token1] = ACTIONS(5731),
    [aux_sym_inquire_statement_token1] = ACTIONS(5731),
    [aux_sym_enum_statement_token1] = ACTIONS(5731),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5731),
    [aux_sym_entry_statement_token1] = ACTIONS(5731),
    [aux_sym_logical_expression_token5] = ACTIONS(5735),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [aux_sym_boolean_literal_token1] = ACTIONS(5735),
    [aux_sym_boolean_literal_token2] = ACTIONS(5735),
    [aux_sym_null_literal_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token2] = ACTIONS(5731),
    [aux_sym_coarray_statement_token6] = ACTIONS(5731),
    [aux_sym_coarray_statement_token8] = ACTIONS(5731),
    [aux_sym_coarray_statement_token11] = ACTIONS(5731),
    [aux_sym_coarray_statement_token12] = ACTIONS(5731),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5731),
    [aux_sym_identifier_token1] = ACTIONS(5731),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5735),
    [sym__float_literal] = ACTIONS(5735),
    [sym__boz_literal] = ACTIONS(5735),
    [sym__string_literal] = ACTIONS(5735),
    [sym__string_literal_kind] = ACTIONS(5735),
  },
  [1717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5737),
    [aux_sym_preproc_def_token1] = ACTIONS(5737),
    [aux_sym_preproc_if_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5737),
    [sym_preproc_directive] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [sym_preproc_comment] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5737),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5741),
    [aux_sym_interface_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token2] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5737),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5737),
    [aux_sym_language_binding_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5737),
    [aux_sym_contains_statement_token1] = ACTIONS(5737),
    [aux_sym_use_statement_token1] = ACTIONS(5737),
    [aux_sym_use_statement_token2] = ACTIONS(5737),
    [aux_sym_implicit_statement_token1] = ACTIONS(5737),
    [aux_sym_implicit_statement_token3] = ACTIONS(5737),
    [aux_sym_implicit_statement_token4] = ACTIONS(5737),
    [aux_sym_save_statement_token1] = ACTIONS(5737),
    [aux_sym_private_statement_token1] = ACTIONS(5737),
    [aux_sym_public_statement_token1] = ACTIONS(5737),
    [aux_sym_namelist_statement_token1] = ACTIONS(5737),
    [aux_sym_common_statement_token1] = ACTIONS(5737),
    [aux_sym_import_statement_token1] = ACTIONS(5737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5737),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5737),
    [aux_sym_variable_attributes_token1] = ACTIONS(5737),
    [aux_sym_variable_attributes_token2] = ACTIONS(5737),
    [aux_sym_variable_attributes_token3] = ACTIONS(5737),
    [aux_sym_variable_attributes_token4] = ACTIONS(5737),
    [aux_sym_variable_attributes_token5] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5737),
    [aux_sym_derived_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5737),
    [aux_sym_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token2] = ACTIONS(5737),
    [aux_sym_subroutine_call_token1] = ACTIONS(5737),
    [aux_sym_keyword_statement_token2] = ACTIONS(5737),
    [aux_sym_keyword_statement_token3] = ACTIONS(5737),
    [aux_sym_keyword_statement_token4] = ACTIONS(5737),
    [aux_sym_include_statement_token1] = ACTIONS(5737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5737),
    [aux_sym_end_if_statement_token1] = ACTIONS(5737),
    [aux_sym_elseif_clause_token2] = ACTIONS(5737),
    [aux_sym_select_case_statement_token1] = ACTIONS(5737),
    [aux_sym_format_statement_token1] = ACTIONS(5737),
    [aux_sym_open_statement_token1] = ACTIONS(5737),
    [aux_sym_inquire_statement_token1] = ACTIONS(5737),
    [aux_sym_enum_statement_token1] = ACTIONS(5737),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5737),
    [aux_sym_entry_statement_token1] = ACTIONS(5737),
    [aux_sym_logical_expression_token5] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [aux_sym_boolean_literal_token1] = ACTIONS(5741),
    [aux_sym_boolean_literal_token2] = ACTIONS(5741),
    [aux_sym_null_literal_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token2] = ACTIONS(5737),
    [aux_sym_coarray_statement_token6] = ACTIONS(5737),
    [aux_sym_coarray_statement_token8] = ACTIONS(5737),
    [aux_sym_coarray_statement_token11] = ACTIONS(5737),
    [aux_sym_coarray_statement_token12] = ACTIONS(5737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5737),
    [aux_sym_identifier_token1] = ACTIONS(5737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5741),
    [sym__float_literal] = ACTIONS(5741),
    [sym__boz_literal] = ACTIONS(5741),
    [sym__string_literal] = ACTIONS(5741),
    [sym__string_literal_kind] = ACTIONS(5741),
  },
  [1718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5743),
    [aux_sym_preproc_def_token1] = ACTIONS(5743),
    [aux_sym_preproc_if_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5743),
    [sym_preproc_directive] = ACTIONS(5743),
    [anon_sym_LPAREN2] = ACTIONS(5743),
    [sym_preproc_comment] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5743),
    [aux_sym_end_module_statement_token1] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5747),
    [aux_sym_interface_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token2] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5743),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5743),
    [aux_sym_language_binding_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5743),
    [aux_sym_contains_statement_token1] = ACTIONS(5743),
    [aux_sym_use_statement_token1] = ACTIONS(5743),
    [aux_sym_use_statement_token2] = ACTIONS(5743),
    [aux_sym_implicit_statement_token1] = ACTIONS(5743),
    [aux_sym_implicit_statement_token3] = ACTIONS(5743),
    [aux_sym_implicit_statement_token4] = ACTIONS(5743),
    [aux_sym_save_statement_token1] = ACTIONS(5743),
    [aux_sym_private_statement_token1] = ACTIONS(5743),
    [aux_sym_public_statement_token1] = ACTIONS(5743),
    [aux_sym_namelist_statement_token1] = ACTIONS(5743),
    [aux_sym_common_statement_token1] = ACTIONS(5743),
    [aux_sym_import_statement_token1] = ACTIONS(5743),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5743),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5743),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5743),
    [aux_sym_variable_attributes_token1] = ACTIONS(5743),
    [aux_sym_variable_attributes_token2] = ACTIONS(5743),
    [aux_sym_variable_attributes_token3] = ACTIONS(5743),
    [aux_sym_variable_attributes_token4] = ACTIONS(5743),
    [aux_sym_variable_attributes_token5] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5743),
    [aux_sym_derived_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5743),
    [aux_sym_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token2] = ACTIONS(5743),
    [aux_sym_subroutine_call_token1] = ACTIONS(5743),
    [aux_sym_keyword_statement_token2] = ACTIONS(5743),
    [aux_sym_keyword_statement_token3] = ACTIONS(5743),
    [aux_sym_keyword_statement_token4] = ACTIONS(5743),
    [aux_sym_include_statement_token1] = ACTIONS(5743),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5743),
    [aux_sym_end_if_statement_token1] = ACTIONS(5743),
    [aux_sym_elseif_clause_token2] = ACTIONS(5743),
    [aux_sym_select_case_statement_token1] = ACTIONS(5743),
    [aux_sym_format_statement_token1] = ACTIONS(5743),
    [aux_sym_open_statement_token1] = ACTIONS(5743),
    [aux_sym_inquire_statement_token1] = ACTIONS(5743),
    [aux_sym_enum_statement_token1] = ACTIONS(5743),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5743),
    [aux_sym_entry_statement_token1] = ACTIONS(5743),
    [aux_sym_logical_expression_token5] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [aux_sym_boolean_literal_token1] = ACTIONS(5747),
    [aux_sym_boolean_literal_token2] = ACTIONS(5747),
    [aux_sym_null_literal_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token2] = ACTIONS(5743),
    [aux_sym_coarray_statement_token6] = ACTIONS(5743),
    [aux_sym_coarray_statement_token8] = ACTIONS(5743),
    [aux_sym_coarray_statement_token11] = ACTIONS(5743),
    [aux_sym_coarray_statement_token12] = ACTIONS(5743),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5743),
    [aux_sym_identifier_token1] = ACTIONS(5743),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5747),
    [sym__float_literal] = ACTIONS(5747),
    [sym__boz_literal] = ACTIONS(5747),
    [sym__string_literal] = ACTIONS(5747),
    [sym__string_literal_kind] = ACTIONS(5747),
  },
  [1719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [sym_preproc_comment] = ACTIONS(5751),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [aux_sym_end_module_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_contains_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5755),
    [aux_sym_preproc_def_token1] = ACTIONS(5755),
    [aux_sym_preproc_if_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5755),
    [sym_preproc_directive] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [sym_preproc_comment] = ACTIONS(5757),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5755),
    [aux_sym_end_module_statement_token1] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5759),
    [aux_sym_interface_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token2] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5755),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5755),
    [aux_sym_language_binding_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5755),
    [aux_sym_contains_statement_token1] = ACTIONS(5755),
    [aux_sym_use_statement_token1] = ACTIONS(5755),
    [aux_sym_use_statement_token2] = ACTIONS(5755),
    [aux_sym_implicit_statement_token1] = ACTIONS(5755),
    [aux_sym_implicit_statement_token3] = ACTIONS(5755),
    [aux_sym_implicit_statement_token4] = ACTIONS(5755),
    [aux_sym_save_statement_token1] = ACTIONS(5755),
    [aux_sym_private_statement_token1] = ACTIONS(5755),
    [aux_sym_public_statement_token1] = ACTIONS(5755),
    [aux_sym_namelist_statement_token1] = ACTIONS(5755),
    [aux_sym_common_statement_token1] = ACTIONS(5755),
    [aux_sym_import_statement_token1] = ACTIONS(5755),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5755),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5755),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5755),
    [aux_sym_variable_attributes_token1] = ACTIONS(5755),
    [aux_sym_variable_attributes_token2] = ACTIONS(5755),
    [aux_sym_variable_attributes_token3] = ACTIONS(5755),
    [aux_sym_variable_attributes_token4] = ACTIONS(5755),
    [aux_sym_variable_attributes_token5] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5755),
    [aux_sym_derived_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5755),
    [aux_sym_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token2] = ACTIONS(5755),
    [aux_sym_subroutine_call_token1] = ACTIONS(5755),
    [aux_sym_keyword_statement_token2] = ACTIONS(5755),
    [aux_sym_keyword_statement_token3] = ACTIONS(5755),
    [aux_sym_keyword_statement_token4] = ACTIONS(5755),
    [aux_sym_include_statement_token1] = ACTIONS(5755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5755),
    [aux_sym_end_if_statement_token1] = ACTIONS(5755),
    [aux_sym_elseif_clause_token2] = ACTIONS(5755),
    [aux_sym_select_case_statement_token1] = ACTIONS(5755),
    [aux_sym_format_statement_token1] = ACTIONS(5755),
    [aux_sym_open_statement_token1] = ACTIONS(5755),
    [aux_sym_inquire_statement_token1] = ACTIONS(5755),
    [aux_sym_enum_statement_token1] = ACTIONS(5755),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5755),
    [aux_sym_entry_statement_token1] = ACTIONS(5755),
    [aux_sym_logical_expression_token5] = ACTIONS(5759),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5759),
    [anon_sym_LBRACK] = ACTIONS(5759),
    [aux_sym_boolean_literal_token1] = ACTIONS(5759),
    [aux_sym_boolean_literal_token2] = ACTIONS(5759),
    [aux_sym_null_literal_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token2] = ACTIONS(5755),
    [aux_sym_coarray_statement_token6] = ACTIONS(5755),
    [aux_sym_coarray_statement_token8] = ACTIONS(5755),
    [aux_sym_coarray_statement_token11] = ACTIONS(5755),
    [aux_sym_coarray_statement_token12] = ACTIONS(5755),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5755),
    [aux_sym_identifier_token1] = ACTIONS(5755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5759),
    [sym__float_literal] = ACTIONS(5759),
    [sym__boz_literal] = ACTIONS(5759),
    [sym__string_literal] = ACTIONS(5759),
    [sym__string_literal_kind] = ACTIONS(5759),
  },
  [1721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_else_token1] = ACTIONS(5216),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1724] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_else_token1] = ACTIONS(5220),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1725] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_else_token1] = ACTIONS(5224),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1726] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_else_token1] = ACTIONS(5228),
    [aux_sym_preproc_elif_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_else_token1] = ACTIONS(5232),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1731] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_else_token1] = ACTIONS(5308),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1734] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1735] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [sym_preproc_comment] = ACTIONS(5763),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [aux_sym_end_module_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_contains_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1736] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1738] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [aux_sym_preproc_else_token1] = ACTIONS(4844),
    [aux_sym_preproc_elif_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_else_token1] = ACTIONS(5004),
    [aux_sym_preproc_elif_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1741] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5731),
    [aux_sym_preproc_def_token1] = ACTIONS(5731),
    [aux_sym_preproc_if_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5731),
    [sym_preproc_directive] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [sym_preproc_comment] = ACTIONS(5767),
    [anon_sym_PLUS] = ACTIONS(5735),
    [anon_sym_DASH] = ACTIONS(5735),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5731),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5735),
    [aux_sym_interface_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token2] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5731),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5731),
    [aux_sym_language_binding_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5731),
    [aux_sym_contains_statement_token1] = ACTIONS(5731),
    [aux_sym_use_statement_token1] = ACTIONS(5731),
    [aux_sym_use_statement_token2] = ACTIONS(5731),
    [aux_sym_implicit_statement_token1] = ACTIONS(5731),
    [aux_sym_implicit_statement_token3] = ACTIONS(5731),
    [aux_sym_implicit_statement_token4] = ACTIONS(5731),
    [aux_sym_save_statement_token1] = ACTIONS(5731),
    [aux_sym_private_statement_token1] = ACTIONS(5731),
    [aux_sym_public_statement_token1] = ACTIONS(5731),
    [aux_sym_namelist_statement_token1] = ACTIONS(5731),
    [aux_sym_common_statement_token1] = ACTIONS(5731),
    [aux_sym_import_statement_token1] = ACTIONS(5731),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5731),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5731),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5731),
    [aux_sym_variable_attributes_token1] = ACTIONS(5731),
    [aux_sym_variable_attributes_token2] = ACTIONS(5731),
    [aux_sym_variable_attributes_token3] = ACTIONS(5731),
    [aux_sym_variable_attributes_token4] = ACTIONS(5731),
    [aux_sym_variable_attributes_token5] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5731),
    [aux_sym_derived_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5731),
    [aux_sym_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token2] = ACTIONS(5731),
    [aux_sym_subroutine_call_token1] = ACTIONS(5731),
    [aux_sym_keyword_statement_token2] = ACTIONS(5731),
    [aux_sym_keyword_statement_token3] = ACTIONS(5731),
    [aux_sym_keyword_statement_token4] = ACTIONS(5731),
    [aux_sym_include_statement_token1] = ACTIONS(5731),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5731),
    [aux_sym_end_if_statement_token1] = ACTIONS(5731),
    [aux_sym_elseif_clause_token2] = ACTIONS(5731),
    [aux_sym_select_case_statement_token1] = ACTIONS(5731),
    [aux_sym_format_statement_token1] = ACTIONS(5731),
    [aux_sym_open_statement_token1] = ACTIONS(5731),
    [aux_sym_inquire_statement_token1] = ACTIONS(5731),
    [aux_sym_enum_statement_token1] = ACTIONS(5731),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5731),
    [aux_sym_entry_statement_token1] = ACTIONS(5731),
    [aux_sym_logical_expression_token5] = ACTIONS(5735),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [aux_sym_boolean_literal_token1] = ACTIONS(5735),
    [aux_sym_boolean_literal_token2] = ACTIONS(5735),
    [aux_sym_null_literal_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token2] = ACTIONS(5731),
    [aux_sym_coarray_statement_token6] = ACTIONS(5731),
    [aux_sym_coarray_statement_token8] = ACTIONS(5731),
    [aux_sym_coarray_statement_token11] = ACTIONS(5731),
    [aux_sym_coarray_statement_token12] = ACTIONS(5731),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5731),
    [aux_sym_identifier_token1] = ACTIONS(5731),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5735),
    [sym__float_literal] = ACTIONS(5735),
    [sym__boz_literal] = ACTIONS(5735),
    [sym__string_literal] = ACTIONS(5735),
    [sym__string_literal_kind] = ACTIONS(5735),
  },
  [1742] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [sym_preproc_comment] = ACTIONS(5771),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_contains_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5775),
    [aux_sym_preproc_def_token1] = ACTIONS(5775),
    [aux_sym_preproc_if_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5775),
    [sym_preproc_directive] = ACTIONS(5775),
    [anon_sym_LPAREN2] = ACTIONS(5775),
    [sym_preproc_comment] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5775),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5775),
    [anon_sym_SEMI] = ACTIONS(5779),
    [aux_sym_interface_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token2] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5775),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5775),
    [aux_sym_language_binding_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5775),
    [aux_sym_contains_statement_token1] = ACTIONS(5775),
    [aux_sym_use_statement_token1] = ACTIONS(5775),
    [aux_sym_use_statement_token2] = ACTIONS(5775),
    [aux_sym_implicit_statement_token1] = ACTIONS(5775),
    [aux_sym_implicit_statement_token3] = ACTIONS(5775),
    [aux_sym_implicit_statement_token4] = ACTIONS(5775),
    [aux_sym_save_statement_token1] = ACTIONS(5775),
    [aux_sym_private_statement_token1] = ACTIONS(5775),
    [aux_sym_public_statement_token1] = ACTIONS(5775),
    [aux_sym_namelist_statement_token1] = ACTIONS(5775),
    [aux_sym_common_statement_token1] = ACTIONS(5775),
    [aux_sym_import_statement_token1] = ACTIONS(5775),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5775),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5775),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5775),
    [aux_sym_variable_attributes_token1] = ACTIONS(5775),
    [aux_sym_variable_attributes_token2] = ACTIONS(5775),
    [aux_sym_variable_attributes_token3] = ACTIONS(5775),
    [aux_sym_variable_attributes_token4] = ACTIONS(5775),
    [aux_sym_variable_attributes_token5] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5775),
    [aux_sym_derived_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5775),
    [aux_sym_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token2] = ACTIONS(5775),
    [aux_sym_subroutine_call_token1] = ACTIONS(5775),
    [aux_sym_keyword_statement_token2] = ACTIONS(5775),
    [aux_sym_keyword_statement_token3] = ACTIONS(5775),
    [aux_sym_keyword_statement_token4] = ACTIONS(5775),
    [aux_sym_include_statement_token1] = ACTIONS(5775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5775),
    [aux_sym_end_if_statement_token1] = ACTIONS(5775),
    [aux_sym_elseif_clause_token2] = ACTIONS(5775),
    [aux_sym_select_case_statement_token1] = ACTIONS(5775),
    [aux_sym_format_statement_token1] = ACTIONS(5775),
    [aux_sym_open_statement_token1] = ACTIONS(5775),
    [aux_sym_inquire_statement_token1] = ACTIONS(5775),
    [aux_sym_enum_statement_token1] = ACTIONS(5775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5775),
    [aux_sym_entry_statement_token1] = ACTIONS(5775),
    [aux_sym_logical_expression_token5] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [aux_sym_boolean_literal_token1] = ACTIONS(5779),
    [aux_sym_boolean_literal_token2] = ACTIONS(5779),
    [aux_sym_null_literal_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token2] = ACTIONS(5775),
    [aux_sym_coarray_statement_token6] = ACTIONS(5775),
    [aux_sym_coarray_statement_token8] = ACTIONS(5775),
    [aux_sym_coarray_statement_token11] = ACTIONS(5775),
    [aux_sym_coarray_statement_token12] = ACTIONS(5775),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5775),
    [aux_sym_identifier_token1] = ACTIONS(5775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5779),
    [sym__float_literal] = ACTIONS(5779),
    [sym__boz_literal] = ACTIONS(5779),
    [sym__string_literal] = ACTIONS(5779),
    [sym__string_literal_kind] = ACTIONS(5779),
  },
  [1744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [sym_preproc_comment] = ACTIONS(5781),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_contains_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5743),
    [aux_sym_preproc_def_token1] = ACTIONS(5743),
    [aux_sym_preproc_if_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5743),
    [sym_preproc_directive] = ACTIONS(5743),
    [anon_sym_LPAREN2] = ACTIONS(5743),
    [sym_preproc_comment] = ACTIONS(5783),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5743),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5747),
    [aux_sym_interface_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token2] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5743),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5743),
    [aux_sym_language_binding_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5743),
    [aux_sym_contains_statement_token1] = ACTIONS(5743),
    [aux_sym_use_statement_token1] = ACTIONS(5743),
    [aux_sym_use_statement_token2] = ACTIONS(5743),
    [aux_sym_implicit_statement_token1] = ACTIONS(5743),
    [aux_sym_implicit_statement_token3] = ACTIONS(5743),
    [aux_sym_implicit_statement_token4] = ACTIONS(5743),
    [aux_sym_save_statement_token1] = ACTIONS(5743),
    [aux_sym_private_statement_token1] = ACTIONS(5743),
    [aux_sym_public_statement_token1] = ACTIONS(5743),
    [aux_sym_namelist_statement_token1] = ACTIONS(5743),
    [aux_sym_common_statement_token1] = ACTIONS(5743),
    [aux_sym_import_statement_token1] = ACTIONS(5743),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5743),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5743),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5743),
    [aux_sym_variable_attributes_token1] = ACTIONS(5743),
    [aux_sym_variable_attributes_token2] = ACTIONS(5743),
    [aux_sym_variable_attributes_token3] = ACTIONS(5743),
    [aux_sym_variable_attributes_token4] = ACTIONS(5743),
    [aux_sym_variable_attributes_token5] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5743),
    [aux_sym_derived_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5743),
    [aux_sym_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token2] = ACTIONS(5743),
    [aux_sym_subroutine_call_token1] = ACTIONS(5743),
    [aux_sym_keyword_statement_token2] = ACTIONS(5743),
    [aux_sym_keyword_statement_token3] = ACTIONS(5743),
    [aux_sym_keyword_statement_token4] = ACTIONS(5743),
    [aux_sym_include_statement_token1] = ACTIONS(5743),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5743),
    [aux_sym_end_if_statement_token1] = ACTIONS(5743),
    [aux_sym_elseif_clause_token2] = ACTIONS(5743),
    [aux_sym_select_case_statement_token1] = ACTIONS(5743),
    [aux_sym_format_statement_token1] = ACTIONS(5743),
    [aux_sym_open_statement_token1] = ACTIONS(5743),
    [aux_sym_inquire_statement_token1] = ACTIONS(5743),
    [aux_sym_enum_statement_token1] = ACTIONS(5743),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5743),
    [aux_sym_entry_statement_token1] = ACTIONS(5743),
    [aux_sym_logical_expression_token5] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [aux_sym_boolean_literal_token1] = ACTIONS(5747),
    [aux_sym_boolean_literal_token2] = ACTIONS(5747),
    [aux_sym_null_literal_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token2] = ACTIONS(5743),
    [aux_sym_coarray_statement_token6] = ACTIONS(5743),
    [aux_sym_coarray_statement_token8] = ACTIONS(5743),
    [aux_sym_coarray_statement_token11] = ACTIONS(5743),
    [aux_sym_coarray_statement_token12] = ACTIONS(5743),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5743),
    [aux_sym_identifier_token1] = ACTIONS(5743),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5747),
    [sym__float_literal] = ACTIONS(5747),
    [sym__boz_literal] = ACTIONS(5747),
    [sym__string_literal] = ACTIONS(5747),
    [sym__string_literal_kind] = ACTIONS(5747),
  },
  [1746] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1747] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1748] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1749] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1750] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_else_token1] = ACTIONS(5300),
    [aux_sym_preproc_elif_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1751] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_else_token1] = ACTIONS(5212),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5775),
    [aux_sym_preproc_def_token1] = ACTIONS(5775),
    [aux_sym_preproc_if_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5775),
    [sym_preproc_directive] = ACTIONS(5775),
    [anon_sym_LPAREN2] = ACTIONS(5775),
    [sym_preproc_comment] = ACTIONS(5785),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5775),
    [aux_sym_end_module_statement_token1] = ACTIONS(5775),
    [anon_sym_SEMI] = ACTIONS(5779),
    [aux_sym_interface_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token2] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5775),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5775),
    [aux_sym_language_binding_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5775),
    [aux_sym_contains_statement_token1] = ACTIONS(5775),
    [aux_sym_use_statement_token1] = ACTIONS(5775),
    [aux_sym_use_statement_token2] = ACTIONS(5775),
    [aux_sym_implicit_statement_token1] = ACTIONS(5775),
    [aux_sym_implicit_statement_token3] = ACTIONS(5775),
    [aux_sym_implicit_statement_token4] = ACTIONS(5775),
    [aux_sym_save_statement_token1] = ACTIONS(5775),
    [aux_sym_private_statement_token1] = ACTIONS(5775),
    [aux_sym_public_statement_token1] = ACTIONS(5775),
    [aux_sym_namelist_statement_token1] = ACTIONS(5775),
    [aux_sym_common_statement_token1] = ACTIONS(5775),
    [aux_sym_import_statement_token1] = ACTIONS(5775),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5775),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5775),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5775),
    [aux_sym_variable_attributes_token1] = ACTIONS(5775),
    [aux_sym_variable_attributes_token2] = ACTIONS(5775),
    [aux_sym_variable_attributes_token3] = ACTIONS(5775),
    [aux_sym_variable_attributes_token4] = ACTIONS(5775),
    [aux_sym_variable_attributes_token5] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5775),
    [aux_sym_derived_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5775),
    [aux_sym_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token2] = ACTIONS(5775),
    [aux_sym_subroutine_call_token1] = ACTIONS(5775),
    [aux_sym_keyword_statement_token2] = ACTIONS(5775),
    [aux_sym_keyword_statement_token3] = ACTIONS(5775),
    [aux_sym_keyword_statement_token4] = ACTIONS(5775),
    [aux_sym_include_statement_token1] = ACTIONS(5775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5775),
    [aux_sym_end_if_statement_token1] = ACTIONS(5775),
    [aux_sym_elseif_clause_token2] = ACTIONS(5775),
    [aux_sym_select_case_statement_token1] = ACTIONS(5775),
    [aux_sym_format_statement_token1] = ACTIONS(5775),
    [aux_sym_open_statement_token1] = ACTIONS(5775),
    [aux_sym_inquire_statement_token1] = ACTIONS(5775),
    [aux_sym_enum_statement_token1] = ACTIONS(5775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5775),
    [aux_sym_entry_statement_token1] = ACTIONS(5775),
    [aux_sym_logical_expression_token5] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [aux_sym_boolean_literal_token1] = ACTIONS(5779),
    [aux_sym_boolean_literal_token2] = ACTIONS(5779),
    [aux_sym_null_literal_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token2] = ACTIONS(5775),
    [aux_sym_coarray_statement_token6] = ACTIONS(5775),
    [aux_sym_coarray_statement_token8] = ACTIONS(5775),
    [aux_sym_coarray_statement_token11] = ACTIONS(5775),
    [aux_sym_coarray_statement_token12] = ACTIONS(5775),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5775),
    [aux_sym_identifier_token1] = ACTIONS(5775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5779),
    [sym__float_literal] = ACTIONS(5779),
    [sym__boz_literal] = ACTIONS(5779),
    [sym__string_literal] = ACTIONS(5779),
    [sym__string_literal_kind] = ACTIONS(5779),
  },
  [1753] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_else_token1] = ACTIONS(5248),
    [aux_sym_preproc_elif_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [sym_preproc_comment] = ACTIONS(5787),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_contains_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1755] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5737),
    [aux_sym_preproc_def_token1] = ACTIONS(5737),
    [aux_sym_preproc_if_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5737),
    [sym_preproc_directive] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [sym_preproc_comment] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5737),
    [aux_sym_end_module_statement_token1] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5741),
    [aux_sym_interface_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token2] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5737),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5737),
    [aux_sym_language_binding_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5737),
    [aux_sym_contains_statement_token1] = ACTIONS(5737),
    [aux_sym_use_statement_token1] = ACTIONS(5737),
    [aux_sym_use_statement_token2] = ACTIONS(5737),
    [aux_sym_implicit_statement_token1] = ACTIONS(5737),
    [aux_sym_implicit_statement_token3] = ACTIONS(5737),
    [aux_sym_implicit_statement_token4] = ACTIONS(5737),
    [aux_sym_save_statement_token1] = ACTIONS(5737),
    [aux_sym_private_statement_token1] = ACTIONS(5737),
    [aux_sym_public_statement_token1] = ACTIONS(5737),
    [aux_sym_namelist_statement_token1] = ACTIONS(5737),
    [aux_sym_common_statement_token1] = ACTIONS(5737),
    [aux_sym_import_statement_token1] = ACTIONS(5737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5737),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5737),
    [aux_sym_variable_attributes_token1] = ACTIONS(5737),
    [aux_sym_variable_attributes_token2] = ACTIONS(5737),
    [aux_sym_variable_attributes_token3] = ACTIONS(5737),
    [aux_sym_variable_attributes_token4] = ACTIONS(5737),
    [aux_sym_variable_attributes_token5] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5737),
    [aux_sym_derived_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5737),
    [aux_sym_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token2] = ACTIONS(5737),
    [aux_sym_subroutine_call_token1] = ACTIONS(5737),
    [aux_sym_keyword_statement_token2] = ACTIONS(5737),
    [aux_sym_keyword_statement_token3] = ACTIONS(5737),
    [aux_sym_keyword_statement_token4] = ACTIONS(5737),
    [aux_sym_include_statement_token1] = ACTIONS(5737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5737),
    [aux_sym_end_if_statement_token1] = ACTIONS(5737),
    [aux_sym_elseif_clause_token2] = ACTIONS(5737),
    [aux_sym_select_case_statement_token1] = ACTIONS(5737),
    [aux_sym_format_statement_token1] = ACTIONS(5737),
    [aux_sym_open_statement_token1] = ACTIONS(5737),
    [aux_sym_inquire_statement_token1] = ACTIONS(5737),
    [aux_sym_enum_statement_token1] = ACTIONS(5737),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5737),
    [aux_sym_entry_statement_token1] = ACTIONS(5737),
    [aux_sym_logical_expression_token5] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [aux_sym_boolean_literal_token1] = ACTIONS(5741),
    [aux_sym_boolean_literal_token2] = ACTIONS(5741),
    [aux_sym_null_literal_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token2] = ACTIONS(5737),
    [aux_sym_coarray_statement_token6] = ACTIONS(5737),
    [aux_sym_coarray_statement_token8] = ACTIONS(5737),
    [aux_sym_coarray_statement_token11] = ACTIONS(5737),
    [aux_sym_coarray_statement_token12] = ACTIONS(5737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5737),
    [aux_sym_identifier_token1] = ACTIONS(5737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5741),
    [sym__float_literal] = ACTIONS(5741),
    [sym__boz_literal] = ACTIONS(5741),
    [sym__string_literal] = ACTIONS(5741),
    [sym__string_literal_kind] = ACTIONS(5741),
  },
  [1756] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1757] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1758] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1759] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1760] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1761] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5755),
    [aux_sym_preproc_def_token1] = ACTIONS(5755),
    [aux_sym_preproc_if_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5755),
    [sym_preproc_directive] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [sym_preproc_comment] = ACTIONS(5791),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5755),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5759),
    [aux_sym_interface_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token2] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5755),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5755),
    [aux_sym_language_binding_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5755),
    [aux_sym_contains_statement_token1] = ACTIONS(5755),
    [aux_sym_use_statement_token1] = ACTIONS(5755),
    [aux_sym_use_statement_token2] = ACTIONS(5755),
    [aux_sym_implicit_statement_token1] = ACTIONS(5755),
    [aux_sym_implicit_statement_token3] = ACTIONS(5755),
    [aux_sym_implicit_statement_token4] = ACTIONS(5755),
    [aux_sym_save_statement_token1] = ACTIONS(5755),
    [aux_sym_private_statement_token1] = ACTIONS(5755),
    [aux_sym_public_statement_token1] = ACTIONS(5755),
    [aux_sym_namelist_statement_token1] = ACTIONS(5755),
    [aux_sym_common_statement_token1] = ACTIONS(5755),
    [aux_sym_import_statement_token1] = ACTIONS(5755),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5755),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5755),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5755),
    [aux_sym_variable_attributes_token1] = ACTIONS(5755),
    [aux_sym_variable_attributes_token2] = ACTIONS(5755),
    [aux_sym_variable_attributes_token3] = ACTIONS(5755),
    [aux_sym_variable_attributes_token4] = ACTIONS(5755),
    [aux_sym_variable_attributes_token5] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5755),
    [aux_sym_derived_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5755),
    [aux_sym_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token2] = ACTIONS(5755),
    [aux_sym_subroutine_call_token1] = ACTIONS(5755),
    [aux_sym_keyword_statement_token2] = ACTIONS(5755),
    [aux_sym_keyword_statement_token3] = ACTIONS(5755),
    [aux_sym_keyword_statement_token4] = ACTIONS(5755),
    [aux_sym_include_statement_token1] = ACTIONS(5755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5755),
    [aux_sym_end_if_statement_token1] = ACTIONS(5755),
    [aux_sym_elseif_clause_token2] = ACTIONS(5755),
    [aux_sym_select_case_statement_token1] = ACTIONS(5755),
    [aux_sym_format_statement_token1] = ACTIONS(5755),
    [aux_sym_open_statement_token1] = ACTIONS(5755),
    [aux_sym_inquire_statement_token1] = ACTIONS(5755),
    [aux_sym_enum_statement_token1] = ACTIONS(5755),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5755),
    [aux_sym_entry_statement_token1] = ACTIONS(5755),
    [aux_sym_logical_expression_token5] = ACTIONS(5759),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5759),
    [anon_sym_LBRACK] = ACTIONS(5759),
    [aux_sym_boolean_literal_token1] = ACTIONS(5759),
    [aux_sym_boolean_literal_token2] = ACTIONS(5759),
    [aux_sym_null_literal_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token2] = ACTIONS(5755),
    [aux_sym_coarray_statement_token6] = ACTIONS(5755),
    [aux_sym_coarray_statement_token8] = ACTIONS(5755),
    [aux_sym_coarray_statement_token11] = ACTIONS(5755),
    [aux_sym_coarray_statement_token12] = ACTIONS(5755),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5755),
    [aux_sym_identifier_token1] = ACTIONS(5755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5759),
    [sym__float_literal] = ACTIONS(5759),
    [sym__boz_literal] = ACTIONS(5759),
    [sym__string_literal] = ACTIONS(5759),
    [sym__string_literal_kind] = ACTIONS(5759),
  },
  [1764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5793),
    [aux_sym_preproc_def_token1] = ACTIONS(5793),
    [aux_sym_preproc_if_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5793),
    [sym_preproc_directive] = ACTIONS(5793),
    [anon_sym_LPAREN2] = ACTIONS(5793),
    [sym_preproc_comment] = ACTIONS(5795),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5793),
    [aux_sym_end_module_statement_token1] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5797),
    [aux_sym_interface_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token2] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5793),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5793),
    [aux_sym_language_binding_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5793),
    [aux_sym_contains_statement_token1] = ACTIONS(5793),
    [aux_sym_use_statement_token1] = ACTIONS(5793),
    [aux_sym_use_statement_token2] = ACTIONS(5793),
    [aux_sym_implicit_statement_token1] = ACTIONS(5793),
    [aux_sym_implicit_statement_token3] = ACTIONS(5793),
    [aux_sym_implicit_statement_token4] = ACTIONS(5793),
    [aux_sym_save_statement_token1] = ACTIONS(5793),
    [aux_sym_private_statement_token1] = ACTIONS(5793),
    [aux_sym_public_statement_token1] = ACTIONS(5793),
    [aux_sym_namelist_statement_token1] = ACTIONS(5793),
    [aux_sym_common_statement_token1] = ACTIONS(5793),
    [aux_sym_import_statement_token1] = ACTIONS(5793),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5793),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5793),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5793),
    [aux_sym_variable_attributes_token1] = ACTIONS(5793),
    [aux_sym_variable_attributes_token2] = ACTIONS(5793),
    [aux_sym_variable_attributes_token3] = ACTIONS(5793),
    [aux_sym_variable_attributes_token4] = ACTIONS(5793),
    [aux_sym_variable_attributes_token5] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5793),
    [aux_sym_derived_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5793),
    [aux_sym_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token2] = ACTIONS(5793),
    [aux_sym_subroutine_call_token1] = ACTIONS(5793),
    [aux_sym_keyword_statement_token2] = ACTIONS(5793),
    [aux_sym_keyword_statement_token3] = ACTIONS(5793),
    [aux_sym_keyword_statement_token4] = ACTIONS(5793),
    [aux_sym_include_statement_token1] = ACTIONS(5793),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5793),
    [aux_sym_end_if_statement_token1] = ACTIONS(5793),
    [aux_sym_elseif_clause_token2] = ACTIONS(5793),
    [aux_sym_select_case_statement_token1] = ACTIONS(5793),
    [aux_sym_format_statement_token1] = ACTIONS(5793),
    [aux_sym_open_statement_token1] = ACTIONS(5793),
    [aux_sym_inquire_statement_token1] = ACTIONS(5793),
    [aux_sym_enum_statement_token1] = ACTIONS(5793),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5793),
    [aux_sym_entry_statement_token1] = ACTIONS(5793),
    [aux_sym_logical_expression_token5] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [aux_sym_boolean_literal_token1] = ACTIONS(5797),
    [aux_sym_boolean_literal_token2] = ACTIONS(5797),
    [aux_sym_null_literal_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token2] = ACTIONS(5793),
    [aux_sym_coarray_statement_token6] = ACTIONS(5793),
    [aux_sym_coarray_statement_token8] = ACTIONS(5793),
    [aux_sym_coarray_statement_token11] = ACTIONS(5793),
    [aux_sym_coarray_statement_token12] = ACTIONS(5793),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5793),
    [aux_sym_identifier_token1] = ACTIONS(5793),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5797),
    [sym__float_literal] = ACTIONS(5797),
    [sym__boz_literal] = ACTIONS(5797),
    [sym__string_literal] = ACTIONS(5797),
    [sym__string_literal_kind] = ACTIONS(5797),
  },
  [1765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [sym_preproc_comment] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [aux_sym_end_module_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_contains_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5805),
    [aux_sym_preproc_def_token1] = ACTIONS(5805),
    [aux_sym_preproc_if_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5805),
    [sym_preproc_directive] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [sym_preproc_comment] = ACTIONS(5807),
    [anon_sym_PLUS] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5809),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5805),
    [aux_sym_end_module_statement_token1] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5809),
    [aux_sym_interface_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token2] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5805),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5805),
    [aux_sym_language_binding_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5805),
    [aux_sym_contains_statement_token1] = ACTIONS(5805),
    [aux_sym_use_statement_token1] = ACTIONS(5805),
    [aux_sym_use_statement_token2] = ACTIONS(5805),
    [aux_sym_implicit_statement_token1] = ACTIONS(5805),
    [aux_sym_implicit_statement_token3] = ACTIONS(5805),
    [aux_sym_implicit_statement_token4] = ACTIONS(5805),
    [aux_sym_save_statement_token1] = ACTIONS(5805),
    [aux_sym_private_statement_token1] = ACTIONS(5805),
    [aux_sym_public_statement_token1] = ACTIONS(5805),
    [aux_sym_namelist_statement_token1] = ACTIONS(5805),
    [aux_sym_common_statement_token1] = ACTIONS(5805),
    [aux_sym_import_statement_token1] = ACTIONS(5805),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5805),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5805),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5805),
    [aux_sym_variable_attributes_token1] = ACTIONS(5805),
    [aux_sym_variable_attributes_token2] = ACTIONS(5805),
    [aux_sym_variable_attributes_token3] = ACTIONS(5805),
    [aux_sym_variable_attributes_token4] = ACTIONS(5805),
    [aux_sym_variable_attributes_token5] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5805),
    [aux_sym_derived_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5805),
    [aux_sym_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token2] = ACTIONS(5805),
    [aux_sym_subroutine_call_token1] = ACTIONS(5805),
    [aux_sym_keyword_statement_token2] = ACTIONS(5805),
    [aux_sym_keyword_statement_token3] = ACTIONS(5805),
    [aux_sym_keyword_statement_token4] = ACTIONS(5805),
    [aux_sym_include_statement_token1] = ACTIONS(5805),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5805),
    [aux_sym_end_if_statement_token1] = ACTIONS(5805),
    [aux_sym_elseif_clause_token2] = ACTIONS(5805),
    [aux_sym_select_case_statement_token1] = ACTIONS(5805),
    [aux_sym_format_statement_token1] = ACTIONS(5805),
    [aux_sym_open_statement_token1] = ACTIONS(5805),
    [aux_sym_inquire_statement_token1] = ACTIONS(5805),
    [aux_sym_enum_statement_token1] = ACTIONS(5805),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5805),
    [aux_sym_entry_statement_token1] = ACTIONS(5805),
    [aux_sym_logical_expression_token5] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [aux_sym_boolean_literal_token1] = ACTIONS(5809),
    [aux_sym_boolean_literal_token2] = ACTIONS(5809),
    [aux_sym_null_literal_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token2] = ACTIONS(5805),
    [aux_sym_coarray_statement_token6] = ACTIONS(5805),
    [aux_sym_coarray_statement_token8] = ACTIONS(5805),
    [aux_sym_coarray_statement_token11] = ACTIONS(5805),
    [aux_sym_coarray_statement_token12] = ACTIONS(5805),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5805),
    [aux_sym_identifier_token1] = ACTIONS(5805),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5809),
    [sym__float_literal] = ACTIONS(5809),
    [sym__boz_literal] = ACTIONS(5809),
    [sym__string_literal] = ACTIONS(5809),
    [sym__string_literal_kind] = ACTIONS(5809),
  },
  [1767] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [sym_preproc_comment] = ACTIONS(5813),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [aux_sym_end_module_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_contains_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1768] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5817),
    [aux_sym_preproc_def_token1] = ACTIONS(5817),
    [aux_sym_preproc_if_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5817),
    [sym_preproc_directive] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [sym_preproc_comment] = ACTIONS(5819),
    [anon_sym_PLUS] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5817),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5821),
    [aux_sym_interface_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token2] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5817),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5817),
    [aux_sym_language_binding_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5817),
    [aux_sym_contains_statement_token1] = ACTIONS(5817),
    [aux_sym_use_statement_token1] = ACTIONS(5817),
    [aux_sym_use_statement_token2] = ACTIONS(5817),
    [aux_sym_implicit_statement_token1] = ACTIONS(5817),
    [aux_sym_implicit_statement_token3] = ACTIONS(5817),
    [aux_sym_implicit_statement_token4] = ACTIONS(5817),
    [aux_sym_save_statement_token1] = ACTIONS(5817),
    [aux_sym_private_statement_token1] = ACTIONS(5817),
    [aux_sym_public_statement_token1] = ACTIONS(5817),
    [aux_sym_namelist_statement_token1] = ACTIONS(5817),
    [aux_sym_common_statement_token1] = ACTIONS(5817),
    [aux_sym_import_statement_token1] = ACTIONS(5817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5817),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5817),
    [aux_sym_variable_attributes_token1] = ACTIONS(5817),
    [aux_sym_variable_attributes_token2] = ACTIONS(5817),
    [aux_sym_variable_attributes_token3] = ACTIONS(5817),
    [aux_sym_variable_attributes_token4] = ACTIONS(5817),
    [aux_sym_variable_attributes_token5] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5817),
    [aux_sym_derived_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5817),
    [aux_sym_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token2] = ACTIONS(5817),
    [aux_sym_subroutine_call_token1] = ACTIONS(5817),
    [aux_sym_keyword_statement_token2] = ACTIONS(5817),
    [aux_sym_keyword_statement_token3] = ACTIONS(5817),
    [aux_sym_keyword_statement_token4] = ACTIONS(5817),
    [aux_sym_include_statement_token1] = ACTIONS(5817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5817),
    [aux_sym_end_if_statement_token1] = ACTIONS(5817),
    [aux_sym_elseif_clause_token2] = ACTIONS(5817),
    [aux_sym_select_case_statement_token1] = ACTIONS(5817),
    [aux_sym_format_statement_token1] = ACTIONS(5817),
    [aux_sym_open_statement_token1] = ACTIONS(5817),
    [aux_sym_inquire_statement_token1] = ACTIONS(5817),
    [aux_sym_enum_statement_token1] = ACTIONS(5817),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5817),
    [aux_sym_entry_statement_token1] = ACTIONS(5817),
    [aux_sym_logical_expression_token5] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [aux_sym_boolean_literal_token1] = ACTIONS(5821),
    [aux_sym_boolean_literal_token2] = ACTIONS(5821),
    [aux_sym_null_literal_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token2] = ACTIONS(5817),
    [aux_sym_coarray_statement_token6] = ACTIONS(5817),
    [aux_sym_coarray_statement_token8] = ACTIONS(5817),
    [aux_sym_coarray_statement_token11] = ACTIONS(5817),
    [aux_sym_coarray_statement_token12] = ACTIONS(5817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5817),
    [aux_sym_identifier_token1] = ACTIONS(5817),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5821),
    [sym__float_literal] = ACTIONS(5821),
    [sym__boz_literal] = ACTIONS(5821),
    [sym__string_literal] = ACTIONS(5821),
    [sym__string_literal_kind] = ACTIONS(5821),
  },
  [1769] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5823),
    [aux_sym_preproc_def_token1] = ACTIONS(5823),
    [aux_sym_preproc_if_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5823),
    [sym_preproc_directive] = ACTIONS(5823),
    [anon_sym_LPAREN2] = ACTIONS(5823),
    [sym_preproc_comment] = ACTIONS(5825),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5823),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5827),
    [aux_sym_interface_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token2] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5823),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5823),
    [aux_sym_language_binding_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5823),
    [aux_sym_contains_statement_token1] = ACTIONS(5823),
    [aux_sym_use_statement_token1] = ACTIONS(5823),
    [aux_sym_use_statement_token2] = ACTIONS(5823),
    [aux_sym_implicit_statement_token1] = ACTIONS(5823),
    [aux_sym_implicit_statement_token3] = ACTIONS(5823),
    [aux_sym_implicit_statement_token4] = ACTIONS(5823),
    [aux_sym_save_statement_token1] = ACTIONS(5823),
    [aux_sym_private_statement_token1] = ACTIONS(5823),
    [aux_sym_public_statement_token1] = ACTIONS(5823),
    [aux_sym_namelist_statement_token1] = ACTIONS(5823),
    [aux_sym_common_statement_token1] = ACTIONS(5823),
    [aux_sym_import_statement_token1] = ACTIONS(5823),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5823),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5823),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5823),
    [aux_sym_variable_attributes_token1] = ACTIONS(5823),
    [aux_sym_variable_attributes_token2] = ACTIONS(5823),
    [aux_sym_variable_attributes_token3] = ACTIONS(5823),
    [aux_sym_variable_attributes_token4] = ACTIONS(5823),
    [aux_sym_variable_attributes_token5] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5823),
    [aux_sym_derived_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5823),
    [aux_sym_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token2] = ACTIONS(5823),
    [aux_sym_subroutine_call_token1] = ACTIONS(5823),
    [aux_sym_keyword_statement_token2] = ACTIONS(5823),
    [aux_sym_keyword_statement_token3] = ACTIONS(5823),
    [aux_sym_keyword_statement_token4] = ACTIONS(5823),
    [aux_sym_include_statement_token1] = ACTIONS(5823),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5823),
    [aux_sym_end_if_statement_token1] = ACTIONS(5823),
    [aux_sym_elseif_clause_token2] = ACTIONS(5823),
    [aux_sym_select_case_statement_token1] = ACTIONS(5823),
    [aux_sym_format_statement_token1] = ACTIONS(5823),
    [aux_sym_open_statement_token1] = ACTIONS(5823),
    [aux_sym_inquire_statement_token1] = ACTIONS(5823),
    [aux_sym_enum_statement_token1] = ACTIONS(5823),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5823),
    [aux_sym_entry_statement_token1] = ACTIONS(5823),
    [aux_sym_logical_expression_token5] = ACTIONS(5827),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5827),
    [aux_sym_boolean_literal_token1] = ACTIONS(5827),
    [aux_sym_boolean_literal_token2] = ACTIONS(5827),
    [aux_sym_null_literal_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token2] = ACTIONS(5823),
    [aux_sym_coarray_statement_token6] = ACTIONS(5823),
    [aux_sym_coarray_statement_token8] = ACTIONS(5823),
    [aux_sym_coarray_statement_token11] = ACTIONS(5823),
    [aux_sym_coarray_statement_token12] = ACTIONS(5823),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5823),
    [aux_sym_identifier_token1] = ACTIONS(5823),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5827),
    [sym__float_literal] = ACTIONS(5827),
    [sym__boz_literal] = ACTIONS(5827),
    [sym__string_literal] = ACTIONS(5827),
    [sym__string_literal_kind] = ACTIONS(5827),
  },
  [1770] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [sym_preproc_comment] = ACTIONS(5831),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_contains_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5835),
    [aux_sym_preproc_def_token1] = ACTIONS(5835),
    [aux_sym_preproc_if_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5835),
    [sym_preproc_directive] = ACTIONS(5835),
    [anon_sym_LPAREN2] = ACTIONS(5835),
    [sym_preproc_comment] = ACTIONS(5837),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5835),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5835),
    [anon_sym_SEMI] = ACTIONS(5839),
    [aux_sym_interface_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token2] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5835),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5835),
    [aux_sym_language_binding_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5835),
    [aux_sym_contains_statement_token1] = ACTIONS(5835),
    [aux_sym_use_statement_token1] = ACTIONS(5835),
    [aux_sym_use_statement_token2] = ACTIONS(5835),
    [aux_sym_implicit_statement_token1] = ACTIONS(5835),
    [aux_sym_implicit_statement_token3] = ACTIONS(5835),
    [aux_sym_implicit_statement_token4] = ACTIONS(5835),
    [aux_sym_save_statement_token1] = ACTIONS(5835),
    [aux_sym_private_statement_token1] = ACTIONS(5835),
    [aux_sym_public_statement_token1] = ACTIONS(5835),
    [aux_sym_namelist_statement_token1] = ACTIONS(5835),
    [aux_sym_common_statement_token1] = ACTIONS(5835),
    [aux_sym_import_statement_token1] = ACTIONS(5835),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5835),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5835),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5835),
    [aux_sym_variable_attributes_token1] = ACTIONS(5835),
    [aux_sym_variable_attributes_token2] = ACTIONS(5835),
    [aux_sym_variable_attributes_token3] = ACTIONS(5835),
    [aux_sym_variable_attributes_token4] = ACTIONS(5835),
    [aux_sym_variable_attributes_token5] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5835),
    [aux_sym_derived_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5835),
    [aux_sym_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token2] = ACTIONS(5835),
    [aux_sym_subroutine_call_token1] = ACTIONS(5835),
    [aux_sym_keyword_statement_token2] = ACTIONS(5835),
    [aux_sym_keyword_statement_token3] = ACTIONS(5835),
    [aux_sym_keyword_statement_token4] = ACTIONS(5835),
    [aux_sym_include_statement_token1] = ACTIONS(5835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5835),
    [aux_sym_end_if_statement_token1] = ACTIONS(5835),
    [aux_sym_elseif_clause_token2] = ACTIONS(5835),
    [aux_sym_select_case_statement_token1] = ACTIONS(5835),
    [aux_sym_format_statement_token1] = ACTIONS(5835),
    [aux_sym_open_statement_token1] = ACTIONS(5835),
    [aux_sym_inquire_statement_token1] = ACTIONS(5835),
    [aux_sym_enum_statement_token1] = ACTIONS(5835),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5835),
    [aux_sym_entry_statement_token1] = ACTIONS(5835),
    [aux_sym_logical_expression_token5] = ACTIONS(5839),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5839),
    [aux_sym_boolean_literal_token1] = ACTIONS(5839),
    [aux_sym_boolean_literal_token2] = ACTIONS(5839),
    [aux_sym_null_literal_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token2] = ACTIONS(5835),
    [aux_sym_coarray_statement_token6] = ACTIONS(5835),
    [aux_sym_coarray_statement_token8] = ACTIONS(5835),
    [aux_sym_coarray_statement_token11] = ACTIONS(5835),
    [aux_sym_coarray_statement_token12] = ACTIONS(5835),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5835),
    [aux_sym_identifier_token1] = ACTIONS(5835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5839),
    [sym__float_literal] = ACTIONS(5839),
    [sym__boz_literal] = ACTIONS(5839),
    [sym__string_literal] = ACTIONS(5839),
    [sym__string_literal_kind] = ACTIONS(5839),
  },
  [1772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5817),
    [aux_sym_preproc_def_token1] = ACTIONS(5817),
    [aux_sym_preproc_if_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5817),
    [sym_preproc_directive] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [sym_preproc_comment] = ACTIONS(5841),
    [anon_sym_PLUS] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5817),
    [aux_sym_end_module_statement_token1] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5821),
    [aux_sym_interface_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token2] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5817),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5817),
    [aux_sym_language_binding_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5817),
    [aux_sym_contains_statement_token1] = ACTIONS(5817),
    [aux_sym_use_statement_token1] = ACTIONS(5817),
    [aux_sym_use_statement_token2] = ACTIONS(5817),
    [aux_sym_implicit_statement_token1] = ACTIONS(5817),
    [aux_sym_implicit_statement_token3] = ACTIONS(5817),
    [aux_sym_implicit_statement_token4] = ACTIONS(5817),
    [aux_sym_save_statement_token1] = ACTIONS(5817),
    [aux_sym_private_statement_token1] = ACTIONS(5817),
    [aux_sym_public_statement_token1] = ACTIONS(5817),
    [aux_sym_namelist_statement_token1] = ACTIONS(5817),
    [aux_sym_common_statement_token1] = ACTIONS(5817),
    [aux_sym_import_statement_token1] = ACTIONS(5817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5817),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5817),
    [aux_sym_variable_attributes_token1] = ACTIONS(5817),
    [aux_sym_variable_attributes_token2] = ACTIONS(5817),
    [aux_sym_variable_attributes_token3] = ACTIONS(5817),
    [aux_sym_variable_attributes_token4] = ACTIONS(5817),
    [aux_sym_variable_attributes_token5] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5817),
    [aux_sym_derived_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5817),
    [aux_sym_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token2] = ACTIONS(5817),
    [aux_sym_subroutine_call_token1] = ACTIONS(5817),
    [aux_sym_keyword_statement_token2] = ACTIONS(5817),
    [aux_sym_keyword_statement_token3] = ACTIONS(5817),
    [aux_sym_keyword_statement_token4] = ACTIONS(5817),
    [aux_sym_include_statement_token1] = ACTIONS(5817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5817),
    [aux_sym_end_if_statement_token1] = ACTIONS(5817),
    [aux_sym_elseif_clause_token2] = ACTIONS(5817),
    [aux_sym_select_case_statement_token1] = ACTIONS(5817),
    [aux_sym_format_statement_token1] = ACTIONS(5817),
    [aux_sym_open_statement_token1] = ACTIONS(5817),
    [aux_sym_inquire_statement_token1] = ACTIONS(5817),
    [aux_sym_enum_statement_token1] = ACTIONS(5817),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5817),
    [aux_sym_entry_statement_token1] = ACTIONS(5817),
    [aux_sym_logical_expression_token5] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [aux_sym_boolean_literal_token1] = ACTIONS(5821),
    [aux_sym_boolean_literal_token2] = ACTIONS(5821),
    [aux_sym_null_literal_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token2] = ACTIONS(5817),
    [aux_sym_coarray_statement_token6] = ACTIONS(5817),
    [aux_sym_coarray_statement_token8] = ACTIONS(5817),
    [aux_sym_coarray_statement_token11] = ACTIONS(5817),
    [aux_sym_coarray_statement_token12] = ACTIONS(5817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5817),
    [aux_sym_identifier_token1] = ACTIONS(5817),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5821),
    [sym__float_literal] = ACTIONS(5821),
    [sym__boz_literal] = ACTIONS(5821),
    [sym__string_literal] = ACTIONS(5821),
    [sym__string_literal_kind] = ACTIONS(5821),
  },
  [1773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5823),
    [aux_sym_preproc_def_token1] = ACTIONS(5823),
    [aux_sym_preproc_if_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5823),
    [sym_preproc_directive] = ACTIONS(5823),
    [anon_sym_LPAREN2] = ACTIONS(5823),
    [sym_preproc_comment] = ACTIONS(5843),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5823),
    [aux_sym_end_module_statement_token1] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5827),
    [aux_sym_interface_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token2] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5823),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5823),
    [aux_sym_language_binding_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5823),
    [aux_sym_contains_statement_token1] = ACTIONS(5823),
    [aux_sym_use_statement_token1] = ACTIONS(5823),
    [aux_sym_use_statement_token2] = ACTIONS(5823),
    [aux_sym_implicit_statement_token1] = ACTIONS(5823),
    [aux_sym_implicit_statement_token3] = ACTIONS(5823),
    [aux_sym_implicit_statement_token4] = ACTIONS(5823),
    [aux_sym_save_statement_token1] = ACTIONS(5823),
    [aux_sym_private_statement_token1] = ACTIONS(5823),
    [aux_sym_public_statement_token1] = ACTIONS(5823),
    [aux_sym_namelist_statement_token1] = ACTIONS(5823),
    [aux_sym_common_statement_token1] = ACTIONS(5823),
    [aux_sym_import_statement_token1] = ACTIONS(5823),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5823),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5823),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5823),
    [aux_sym_variable_attributes_token1] = ACTIONS(5823),
    [aux_sym_variable_attributes_token2] = ACTIONS(5823),
    [aux_sym_variable_attributes_token3] = ACTIONS(5823),
    [aux_sym_variable_attributes_token4] = ACTIONS(5823),
    [aux_sym_variable_attributes_token5] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5823),
    [aux_sym_derived_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5823),
    [aux_sym_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token2] = ACTIONS(5823),
    [aux_sym_subroutine_call_token1] = ACTIONS(5823),
    [aux_sym_keyword_statement_token2] = ACTIONS(5823),
    [aux_sym_keyword_statement_token3] = ACTIONS(5823),
    [aux_sym_keyword_statement_token4] = ACTIONS(5823),
    [aux_sym_include_statement_token1] = ACTIONS(5823),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5823),
    [aux_sym_end_if_statement_token1] = ACTIONS(5823),
    [aux_sym_elseif_clause_token2] = ACTIONS(5823),
    [aux_sym_select_case_statement_token1] = ACTIONS(5823),
    [aux_sym_format_statement_token1] = ACTIONS(5823),
    [aux_sym_open_statement_token1] = ACTIONS(5823),
    [aux_sym_inquire_statement_token1] = ACTIONS(5823),
    [aux_sym_enum_statement_token1] = ACTIONS(5823),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5823),
    [aux_sym_entry_statement_token1] = ACTIONS(5823),
    [aux_sym_logical_expression_token5] = ACTIONS(5827),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5827),
    [aux_sym_boolean_literal_token1] = ACTIONS(5827),
    [aux_sym_boolean_literal_token2] = ACTIONS(5827),
    [aux_sym_null_literal_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token2] = ACTIONS(5823),
    [aux_sym_coarray_statement_token6] = ACTIONS(5823),
    [aux_sym_coarray_statement_token8] = ACTIONS(5823),
    [aux_sym_coarray_statement_token11] = ACTIONS(5823),
    [aux_sym_coarray_statement_token12] = ACTIONS(5823),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5823),
    [aux_sym_identifier_token1] = ACTIONS(5823),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5827),
    [sym__float_literal] = ACTIONS(5827),
    [sym__boz_literal] = ACTIONS(5827),
    [sym__string_literal] = ACTIONS(5827),
    [sym__string_literal_kind] = ACTIONS(5827),
  },
  [1774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [sym_preproc_comment] = ACTIONS(5845),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [aux_sym_end_module_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_contains_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5835),
    [aux_sym_preproc_def_token1] = ACTIONS(5835),
    [aux_sym_preproc_if_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5835),
    [sym_preproc_directive] = ACTIONS(5835),
    [anon_sym_LPAREN2] = ACTIONS(5835),
    [sym_preproc_comment] = ACTIONS(5847),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5835),
    [aux_sym_end_module_statement_token1] = ACTIONS(5835),
    [anon_sym_SEMI] = ACTIONS(5839),
    [aux_sym_interface_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token2] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5835),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5835),
    [aux_sym_language_binding_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5835),
    [aux_sym_contains_statement_token1] = ACTIONS(5835),
    [aux_sym_use_statement_token1] = ACTIONS(5835),
    [aux_sym_use_statement_token2] = ACTIONS(5835),
    [aux_sym_implicit_statement_token1] = ACTIONS(5835),
    [aux_sym_implicit_statement_token3] = ACTIONS(5835),
    [aux_sym_implicit_statement_token4] = ACTIONS(5835),
    [aux_sym_save_statement_token1] = ACTIONS(5835),
    [aux_sym_private_statement_token1] = ACTIONS(5835),
    [aux_sym_public_statement_token1] = ACTIONS(5835),
    [aux_sym_namelist_statement_token1] = ACTIONS(5835),
    [aux_sym_common_statement_token1] = ACTIONS(5835),
    [aux_sym_import_statement_token1] = ACTIONS(5835),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5835),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5835),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5835),
    [aux_sym_variable_attributes_token1] = ACTIONS(5835),
    [aux_sym_variable_attributes_token2] = ACTIONS(5835),
    [aux_sym_variable_attributes_token3] = ACTIONS(5835),
    [aux_sym_variable_attributes_token4] = ACTIONS(5835),
    [aux_sym_variable_attributes_token5] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5835),
    [aux_sym_derived_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5835),
    [aux_sym_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token2] = ACTIONS(5835),
    [aux_sym_subroutine_call_token1] = ACTIONS(5835),
    [aux_sym_keyword_statement_token2] = ACTIONS(5835),
    [aux_sym_keyword_statement_token3] = ACTIONS(5835),
    [aux_sym_keyword_statement_token4] = ACTIONS(5835),
    [aux_sym_include_statement_token1] = ACTIONS(5835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5835),
    [aux_sym_end_if_statement_token1] = ACTIONS(5835),
    [aux_sym_elseif_clause_token2] = ACTIONS(5835),
    [aux_sym_select_case_statement_token1] = ACTIONS(5835),
    [aux_sym_format_statement_token1] = ACTIONS(5835),
    [aux_sym_open_statement_token1] = ACTIONS(5835),
    [aux_sym_inquire_statement_token1] = ACTIONS(5835),
    [aux_sym_enum_statement_token1] = ACTIONS(5835),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5835),
    [aux_sym_entry_statement_token1] = ACTIONS(5835),
    [aux_sym_logical_expression_token5] = ACTIONS(5839),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5839),
    [aux_sym_boolean_literal_token1] = ACTIONS(5839),
    [aux_sym_boolean_literal_token2] = ACTIONS(5839),
    [aux_sym_null_literal_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token2] = ACTIONS(5835),
    [aux_sym_coarray_statement_token6] = ACTIONS(5835),
    [aux_sym_coarray_statement_token8] = ACTIONS(5835),
    [aux_sym_coarray_statement_token11] = ACTIONS(5835),
    [aux_sym_coarray_statement_token12] = ACTIONS(5835),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5835),
    [aux_sym_identifier_token1] = ACTIONS(5835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5839),
    [sym__float_literal] = ACTIONS(5839),
    [sym__boz_literal] = ACTIONS(5839),
    [sym__string_literal] = ACTIONS(5839),
    [sym__string_literal_kind] = ACTIONS(5839),
  },
  [1776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5793),
    [aux_sym_preproc_def_token1] = ACTIONS(5793),
    [aux_sym_preproc_if_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5793),
    [sym_preproc_directive] = ACTIONS(5793),
    [anon_sym_LPAREN2] = ACTIONS(5793),
    [sym_preproc_comment] = ACTIONS(5849),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5793),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5797),
    [aux_sym_interface_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token2] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5793),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5793),
    [aux_sym_language_binding_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5793),
    [aux_sym_contains_statement_token1] = ACTIONS(5793),
    [aux_sym_use_statement_token1] = ACTIONS(5793),
    [aux_sym_use_statement_token2] = ACTIONS(5793),
    [aux_sym_implicit_statement_token1] = ACTIONS(5793),
    [aux_sym_implicit_statement_token3] = ACTIONS(5793),
    [aux_sym_implicit_statement_token4] = ACTIONS(5793),
    [aux_sym_save_statement_token1] = ACTIONS(5793),
    [aux_sym_private_statement_token1] = ACTIONS(5793),
    [aux_sym_public_statement_token1] = ACTIONS(5793),
    [aux_sym_namelist_statement_token1] = ACTIONS(5793),
    [aux_sym_common_statement_token1] = ACTIONS(5793),
    [aux_sym_import_statement_token1] = ACTIONS(5793),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5793),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5793),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5793),
    [aux_sym_variable_attributes_token1] = ACTIONS(5793),
    [aux_sym_variable_attributes_token2] = ACTIONS(5793),
    [aux_sym_variable_attributes_token3] = ACTIONS(5793),
    [aux_sym_variable_attributes_token4] = ACTIONS(5793),
    [aux_sym_variable_attributes_token5] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5793),
    [aux_sym_derived_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5793),
    [aux_sym_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token2] = ACTIONS(5793),
    [aux_sym_subroutine_call_token1] = ACTIONS(5793),
    [aux_sym_keyword_statement_token2] = ACTIONS(5793),
    [aux_sym_keyword_statement_token3] = ACTIONS(5793),
    [aux_sym_keyword_statement_token4] = ACTIONS(5793),
    [aux_sym_include_statement_token1] = ACTIONS(5793),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5793),
    [aux_sym_end_if_statement_token1] = ACTIONS(5793),
    [aux_sym_elseif_clause_token2] = ACTIONS(5793),
    [aux_sym_select_case_statement_token1] = ACTIONS(5793),
    [aux_sym_format_statement_token1] = ACTIONS(5793),
    [aux_sym_open_statement_token1] = ACTIONS(5793),
    [aux_sym_inquire_statement_token1] = ACTIONS(5793),
    [aux_sym_enum_statement_token1] = ACTIONS(5793),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5793),
    [aux_sym_entry_statement_token1] = ACTIONS(5793),
    [aux_sym_logical_expression_token5] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [aux_sym_boolean_literal_token1] = ACTIONS(5797),
    [aux_sym_boolean_literal_token2] = ACTIONS(5797),
    [aux_sym_null_literal_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token2] = ACTIONS(5793),
    [aux_sym_coarray_statement_token6] = ACTIONS(5793),
    [aux_sym_coarray_statement_token8] = ACTIONS(5793),
    [aux_sym_coarray_statement_token11] = ACTIONS(5793),
    [aux_sym_coarray_statement_token12] = ACTIONS(5793),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5793),
    [aux_sym_identifier_token1] = ACTIONS(5793),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5797),
    [sym__float_literal] = ACTIONS(5797),
    [sym__boz_literal] = ACTIONS(5797),
    [sym__string_literal] = ACTIONS(5797),
    [sym__string_literal_kind] = ACTIONS(5797),
  },
  [1777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [sym_preproc_comment] = ACTIONS(5851),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_contains_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5805),
    [aux_sym_preproc_def_token1] = ACTIONS(5805),
    [aux_sym_preproc_if_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5805),
    [sym_preproc_directive] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [sym_preproc_comment] = ACTIONS(5853),
    [anon_sym_PLUS] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5809),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5805),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5809),
    [aux_sym_interface_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token2] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5805),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5805),
    [aux_sym_language_binding_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5805),
    [aux_sym_contains_statement_token1] = ACTIONS(5805),
    [aux_sym_use_statement_token1] = ACTIONS(5805),
    [aux_sym_use_statement_token2] = ACTIONS(5805),
    [aux_sym_implicit_statement_token1] = ACTIONS(5805),
    [aux_sym_implicit_statement_token3] = ACTIONS(5805),
    [aux_sym_implicit_statement_token4] = ACTIONS(5805),
    [aux_sym_save_statement_token1] = ACTIONS(5805),
    [aux_sym_private_statement_token1] = ACTIONS(5805),
    [aux_sym_public_statement_token1] = ACTIONS(5805),
    [aux_sym_namelist_statement_token1] = ACTIONS(5805),
    [aux_sym_common_statement_token1] = ACTIONS(5805),
    [aux_sym_import_statement_token1] = ACTIONS(5805),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5805),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5805),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5805),
    [aux_sym_variable_attributes_token1] = ACTIONS(5805),
    [aux_sym_variable_attributes_token2] = ACTIONS(5805),
    [aux_sym_variable_attributes_token3] = ACTIONS(5805),
    [aux_sym_variable_attributes_token4] = ACTIONS(5805),
    [aux_sym_variable_attributes_token5] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5805),
    [aux_sym_derived_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5805),
    [aux_sym_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token2] = ACTIONS(5805),
    [aux_sym_subroutine_call_token1] = ACTIONS(5805),
    [aux_sym_keyword_statement_token2] = ACTIONS(5805),
    [aux_sym_keyword_statement_token3] = ACTIONS(5805),
    [aux_sym_keyword_statement_token4] = ACTIONS(5805),
    [aux_sym_include_statement_token1] = ACTIONS(5805),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5805),
    [aux_sym_end_if_statement_token1] = ACTIONS(5805),
    [aux_sym_elseif_clause_token2] = ACTIONS(5805),
    [aux_sym_select_case_statement_token1] = ACTIONS(5805),
    [aux_sym_format_statement_token1] = ACTIONS(5805),
    [aux_sym_open_statement_token1] = ACTIONS(5805),
    [aux_sym_inquire_statement_token1] = ACTIONS(5805),
    [aux_sym_enum_statement_token1] = ACTIONS(5805),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5805),
    [aux_sym_entry_statement_token1] = ACTIONS(5805),
    [aux_sym_logical_expression_token5] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [aux_sym_boolean_literal_token1] = ACTIONS(5809),
    [aux_sym_boolean_literal_token2] = ACTIONS(5809),
    [aux_sym_null_literal_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token2] = ACTIONS(5805),
    [aux_sym_coarray_statement_token6] = ACTIONS(5805),
    [aux_sym_coarray_statement_token8] = ACTIONS(5805),
    [aux_sym_coarray_statement_token11] = ACTIONS(5805),
    [aux_sym_coarray_statement_token12] = ACTIONS(5805),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5805),
    [aux_sym_identifier_token1] = ACTIONS(5805),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5809),
    [sym__float_literal] = ACTIONS(5809),
    [sym__boz_literal] = ACTIONS(5809),
    [sym__string_literal] = ACTIONS(5809),
    [sym__string_literal_kind] = ACTIONS(5809),
  },
  [1779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [sym_preproc_comment] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_contains_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [sym_preproc_comment] = ACTIONS(5857),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [aux_sym_end_module_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_contains_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_contains_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1783] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5859),
    [aux_sym_preproc_def_token1] = ACTIONS(5859),
    [aux_sym_preproc_if_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5859),
    [sym_preproc_directive] = ACTIONS(5859),
    [anon_sym_LPAREN2] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5859),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5859),
    [anon_sym_SEMI] = ACTIONS(5861),
    [aux_sym_interface_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token2] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5859),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5859),
    [aux_sym_language_binding_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5859),
    [aux_sym_contains_statement_token1] = ACTIONS(5859),
    [aux_sym_use_statement_token1] = ACTIONS(5859),
    [aux_sym_use_statement_token2] = ACTIONS(5859),
    [aux_sym_implicit_statement_token1] = ACTIONS(5859),
    [aux_sym_implicit_statement_token3] = ACTIONS(5859),
    [aux_sym_implicit_statement_token4] = ACTIONS(5859),
    [aux_sym_save_statement_token1] = ACTIONS(5859),
    [aux_sym_private_statement_token1] = ACTIONS(5859),
    [aux_sym_public_statement_token1] = ACTIONS(5859),
    [aux_sym_namelist_statement_token1] = ACTIONS(5859),
    [aux_sym_common_statement_token1] = ACTIONS(5859),
    [aux_sym_import_statement_token1] = ACTIONS(5859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5859),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5859),
    [aux_sym_variable_attributes_token1] = ACTIONS(5859),
    [aux_sym_variable_attributes_token2] = ACTIONS(5859),
    [aux_sym_variable_attributes_token3] = ACTIONS(5859),
    [aux_sym_variable_attributes_token4] = ACTIONS(5859),
    [aux_sym_variable_attributes_token5] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5859),
    [aux_sym_derived_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5859),
    [aux_sym_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token2] = ACTIONS(5859),
    [aux_sym_subroutine_call_token1] = ACTIONS(5859),
    [aux_sym_keyword_statement_token2] = ACTIONS(5859),
    [aux_sym_keyword_statement_token3] = ACTIONS(5859),
    [aux_sym_keyword_statement_token4] = ACTIONS(5859),
    [aux_sym_include_statement_token1] = ACTIONS(5859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5859),
    [aux_sym_end_if_statement_token1] = ACTIONS(5859),
    [aux_sym_elseif_clause_token2] = ACTIONS(5859),
    [aux_sym_select_case_statement_token1] = ACTIONS(5859),
    [aux_sym_format_statement_token1] = ACTIONS(5859),
    [aux_sym_open_statement_token1] = ACTIONS(5859),
    [aux_sym_inquire_statement_token1] = ACTIONS(5859),
    [aux_sym_enum_statement_token1] = ACTIONS(5859),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5859),
    [aux_sym_entry_statement_token1] = ACTIONS(5859),
    [aux_sym_logical_expression_token5] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [aux_sym_boolean_literal_token1] = ACTIONS(5861),
    [aux_sym_boolean_literal_token2] = ACTIONS(5861),
    [aux_sym_null_literal_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token2] = ACTIONS(5859),
    [aux_sym_coarray_statement_token6] = ACTIONS(5859),
    [aux_sym_coarray_statement_token8] = ACTIONS(5859),
    [aux_sym_coarray_statement_token11] = ACTIONS(5859),
    [aux_sym_coarray_statement_token12] = ACTIONS(5859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5859),
    [aux_sym_identifier_token1] = ACTIONS(5859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5861),
    [sym__float_literal] = ACTIONS(5861),
    [sym__boz_literal] = ACTIONS(5861),
    [sym__string_literal] = ACTIONS(5861),
    [sym__string_literal_kind] = ACTIONS(5861),
  },
  [1784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_module_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1785] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_module_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_module_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1789] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_module_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [aux_sym_end_module_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [1791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [aux_sym_end_module_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [1792] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [aux_sym_end_module_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_contains_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_module_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_module_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [aux_sym_end_module_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [1796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [aux_sym_end_module_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [1797] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5863),
    [aux_sym_preproc_def_token1] = ACTIONS(5863),
    [aux_sym_preproc_if_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5863),
    [sym_preproc_directive] = ACTIONS(5863),
    [anon_sym_LPAREN2] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5863),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [aux_sym_interface_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token2] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5863),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5863),
    [aux_sym_language_binding_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5863),
    [aux_sym_contains_statement_token1] = ACTIONS(5863),
    [aux_sym_use_statement_token1] = ACTIONS(5863),
    [aux_sym_use_statement_token2] = ACTIONS(5863),
    [aux_sym_implicit_statement_token1] = ACTIONS(5863),
    [aux_sym_implicit_statement_token3] = ACTIONS(5863),
    [aux_sym_implicit_statement_token4] = ACTIONS(5863),
    [aux_sym_save_statement_token1] = ACTIONS(5863),
    [aux_sym_private_statement_token1] = ACTIONS(5863),
    [aux_sym_public_statement_token1] = ACTIONS(5863),
    [aux_sym_namelist_statement_token1] = ACTIONS(5863),
    [aux_sym_common_statement_token1] = ACTIONS(5863),
    [aux_sym_import_statement_token1] = ACTIONS(5863),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5863),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5863),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5863),
    [aux_sym_variable_attributes_token1] = ACTIONS(5863),
    [aux_sym_variable_attributes_token2] = ACTIONS(5863),
    [aux_sym_variable_attributes_token3] = ACTIONS(5863),
    [aux_sym_variable_attributes_token4] = ACTIONS(5863),
    [aux_sym_variable_attributes_token5] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5863),
    [aux_sym_derived_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5863),
    [aux_sym_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token2] = ACTIONS(5863),
    [aux_sym_subroutine_call_token1] = ACTIONS(5863),
    [aux_sym_keyword_statement_token2] = ACTIONS(5863),
    [aux_sym_keyword_statement_token3] = ACTIONS(5863),
    [aux_sym_keyword_statement_token4] = ACTIONS(5863),
    [aux_sym_include_statement_token1] = ACTIONS(5863),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5863),
    [aux_sym_end_if_statement_token1] = ACTIONS(5863),
    [aux_sym_elseif_clause_token2] = ACTIONS(5863),
    [aux_sym_select_case_statement_token1] = ACTIONS(5863),
    [aux_sym_format_statement_token1] = ACTIONS(5863),
    [aux_sym_open_statement_token1] = ACTIONS(5863),
    [aux_sym_inquire_statement_token1] = ACTIONS(5863),
    [aux_sym_enum_statement_token1] = ACTIONS(5863),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5863),
    [aux_sym_entry_statement_token1] = ACTIONS(5863),
    [aux_sym_logical_expression_token5] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [aux_sym_boolean_literal_token1] = ACTIONS(5865),
    [aux_sym_boolean_literal_token2] = ACTIONS(5865),
    [aux_sym_null_literal_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token2] = ACTIONS(5863),
    [aux_sym_coarray_statement_token6] = ACTIONS(5863),
    [aux_sym_coarray_statement_token8] = ACTIONS(5863),
    [aux_sym_coarray_statement_token11] = ACTIONS(5863),
    [aux_sym_coarray_statement_token12] = ACTIONS(5863),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5863),
    [aux_sym_identifier_token1] = ACTIONS(5863),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5865),
    [sym__float_literal] = ACTIONS(5865),
    [sym__boz_literal] = ACTIONS(5865),
    [sym__string_literal] = ACTIONS(5865),
    [sym__string_literal_kind] = ACTIONS(5865),
  },
  [1798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_contains_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5867),
    [aux_sym_preproc_def_token1] = ACTIONS(5867),
    [aux_sym_preproc_if_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5867),
    [sym_preproc_directive] = ACTIONS(5867),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5867),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [aux_sym_interface_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token2] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5867),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5867),
    [aux_sym_language_binding_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5867),
    [aux_sym_contains_statement_token1] = ACTIONS(5867),
    [aux_sym_use_statement_token1] = ACTIONS(5867),
    [aux_sym_use_statement_token2] = ACTIONS(5867),
    [aux_sym_implicit_statement_token1] = ACTIONS(5867),
    [aux_sym_implicit_statement_token3] = ACTIONS(5867),
    [aux_sym_implicit_statement_token4] = ACTIONS(5867),
    [aux_sym_save_statement_token1] = ACTIONS(5867),
    [aux_sym_private_statement_token1] = ACTIONS(5867),
    [aux_sym_public_statement_token1] = ACTIONS(5867),
    [aux_sym_namelist_statement_token1] = ACTIONS(5867),
    [aux_sym_common_statement_token1] = ACTIONS(5867),
    [aux_sym_import_statement_token1] = ACTIONS(5867),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5867),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5867),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5867),
    [aux_sym_variable_attributes_token1] = ACTIONS(5867),
    [aux_sym_variable_attributes_token2] = ACTIONS(5867),
    [aux_sym_variable_attributes_token3] = ACTIONS(5867),
    [aux_sym_variable_attributes_token4] = ACTIONS(5867),
    [aux_sym_variable_attributes_token5] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5867),
    [aux_sym_derived_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5867),
    [aux_sym_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token2] = ACTIONS(5867),
    [aux_sym_subroutine_call_token1] = ACTIONS(5867),
    [aux_sym_keyword_statement_token2] = ACTIONS(5867),
    [aux_sym_keyword_statement_token3] = ACTIONS(5867),
    [aux_sym_keyword_statement_token4] = ACTIONS(5867),
    [aux_sym_include_statement_token1] = ACTIONS(5867),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5867),
    [aux_sym_end_if_statement_token1] = ACTIONS(5867),
    [aux_sym_elseif_clause_token2] = ACTIONS(5867),
    [aux_sym_select_case_statement_token1] = ACTIONS(5867),
    [aux_sym_format_statement_token1] = ACTIONS(5867),
    [aux_sym_open_statement_token1] = ACTIONS(5867),
    [aux_sym_inquire_statement_token1] = ACTIONS(5867),
    [aux_sym_enum_statement_token1] = ACTIONS(5867),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5867),
    [aux_sym_entry_statement_token1] = ACTIONS(5867),
    [aux_sym_logical_expression_token5] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [aux_sym_boolean_literal_token1] = ACTIONS(5869),
    [aux_sym_boolean_literal_token2] = ACTIONS(5869),
    [aux_sym_null_literal_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token2] = ACTIONS(5867),
    [aux_sym_coarray_statement_token6] = ACTIONS(5867),
    [aux_sym_coarray_statement_token8] = ACTIONS(5867),
    [aux_sym_coarray_statement_token11] = ACTIONS(5867),
    [aux_sym_coarray_statement_token12] = ACTIONS(5867),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5867),
    [aux_sym_identifier_token1] = ACTIONS(5867),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5869),
    [sym__float_literal] = ACTIONS(5869),
    [sym__boz_literal] = ACTIONS(5869),
    [sym__string_literal] = ACTIONS(5869),
    [sym__string_literal_kind] = ACTIONS(5869),
  },
  [1800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5871),
    [aux_sym_preproc_def_token1] = ACTIONS(5871),
    [aux_sym_preproc_if_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5871),
    [sym_preproc_directive] = ACTIONS(5871),
    [anon_sym_LPAREN2] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5871),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5871),
    [anon_sym_SEMI] = ACTIONS(5873),
    [aux_sym_interface_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token2] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5871),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5871),
    [aux_sym_language_binding_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5871),
    [aux_sym_contains_statement_token1] = ACTIONS(5871),
    [aux_sym_use_statement_token1] = ACTIONS(5871),
    [aux_sym_use_statement_token2] = ACTIONS(5871),
    [aux_sym_implicit_statement_token1] = ACTIONS(5871),
    [aux_sym_implicit_statement_token3] = ACTIONS(5871),
    [aux_sym_implicit_statement_token4] = ACTIONS(5871),
    [aux_sym_save_statement_token1] = ACTIONS(5871),
    [aux_sym_private_statement_token1] = ACTIONS(5871),
    [aux_sym_public_statement_token1] = ACTIONS(5871),
    [aux_sym_namelist_statement_token1] = ACTIONS(5871),
    [aux_sym_common_statement_token1] = ACTIONS(5871),
    [aux_sym_import_statement_token1] = ACTIONS(5871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5871),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5871),
    [aux_sym_variable_attributes_token1] = ACTIONS(5871),
    [aux_sym_variable_attributes_token2] = ACTIONS(5871),
    [aux_sym_variable_attributes_token3] = ACTIONS(5871),
    [aux_sym_variable_attributes_token4] = ACTIONS(5871),
    [aux_sym_variable_attributes_token5] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5871),
    [aux_sym_derived_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5871),
    [aux_sym_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token2] = ACTIONS(5871),
    [aux_sym_subroutine_call_token1] = ACTIONS(5871),
    [aux_sym_keyword_statement_token2] = ACTIONS(5871),
    [aux_sym_keyword_statement_token3] = ACTIONS(5871),
    [aux_sym_keyword_statement_token4] = ACTIONS(5871),
    [aux_sym_include_statement_token1] = ACTIONS(5871),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5871),
    [aux_sym_end_if_statement_token1] = ACTIONS(5871),
    [aux_sym_elseif_clause_token2] = ACTIONS(5871),
    [aux_sym_select_case_statement_token1] = ACTIONS(5871),
    [aux_sym_format_statement_token1] = ACTIONS(5871),
    [aux_sym_open_statement_token1] = ACTIONS(5871),
    [aux_sym_inquire_statement_token1] = ACTIONS(5871),
    [aux_sym_enum_statement_token1] = ACTIONS(5871),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5871),
    [aux_sym_entry_statement_token1] = ACTIONS(5871),
    [aux_sym_logical_expression_token5] = ACTIONS(5873),
    [anon_sym_DOT] = ACTIONS(5871),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [aux_sym_boolean_literal_token1] = ACTIONS(5873),
    [aux_sym_boolean_literal_token2] = ACTIONS(5873),
    [aux_sym_null_literal_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token2] = ACTIONS(5871),
    [aux_sym_coarray_statement_token6] = ACTIONS(5871),
    [aux_sym_coarray_statement_token8] = ACTIONS(5871),
    [aux_sym_coarray_statement_token11] = ACTIONS(5871),
    [aux_sym_coarray_statement_token12] = ACTIONS(5871),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5871),
    [aux_sym_identifier_token1] = ACTIONS(5871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5873),
    [sym__float_literal] = ACTIONS(5873),
    [sym__boz_literal] = ACTIONS(5873),
    [sym__string_literal] = ACTIONS(5873),
    [sym__string_literal_kind] = ACTIONS(5873),
  },
  [1803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1806] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_module_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_module_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5875),
    [aux_sym_preproc_def_token1] = ACTIONS(5875),
    [aux_sym_preproc_if_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5875),
    [sym_preproc_directive] = ACTIONS(5875),
    [anon_sym_LPAREN2] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5875),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5875),
    [anon_sym_SEMI] = ACTIONS(5877),
    [aux_sym_interface_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token2] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5875),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5875),
    [aux_sym_language_binding_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5875),
    [aux_sym_contains_statement_token1] = ACTIONS(5875),
    [aux_sym_use_statement_token1] = ACTIONS(5875),
    [aux_sym_use_statement_token2] = ACTIONS(5875),
    [aux_sym_implicit_statement_token1] = ACTIONS(5875),
    [aux_sym_implicit_statement_token3] = ACTIONS(5875),
    [aux_sym_implicit_statement_token4] = ACTIONS(5875),
    [aux_sym_save_statement_token1] = ACTIONS(5875),
    [aux_sym_private_statement_token1] = ACTIONS(5875),
    [aux_sym_public_statement_token1] = ACTIONS(5875),
    [aux_sym_namelist_statement_token1] = ACTIONS(5875),
    [aux_sym_common_statement_token1] = ACTIONS(5875),
    [aux_sym_import_statement_token1] = ACTIONS(5875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5875),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5875),
    [aux_sym_variable_attributes_token1] = ACTIONS(5875),
    [aux_sym_variable_attributes_token2] = ACTIONS(5875),
    [aux_sym_variable_attributes_token3] = ACTIONS(5875),
    [aux_sym_variable_attributes_token4] = ACTIONS(5875),
    [aux_sym_variable_attributes_token5] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5875),
    [aux_sym_derived_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5875),
    [aux_sym_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token2] = ACTIONS(5875),
    [aux_sym_subroutine_call_token1] = ACTIONS(5875),
    [aux_sym_keyword_statement_token2] = ACTIONS(5875),
    [aux_sym_keyword_statement_token3] = ACTIONS(5875),
    [aux_sym_keyword_statement_token4] = ACTIONS(5875),
    [aux_sym_include_statement_token1] = ACTIONS(5875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5875),
    [aux_sym_end_if_statement_token1] = ACTIONS(5875),
    [aux_sym_elseif_clause_token2] = ACTIONS(5875),
    [aux_sym_select_case_statement_token1] = ACTIONS(5875),
    [aux_sym_format_statement_token1] = ACTIONS(5875),
    [aux_sym_open_statement_token1] = ACTIONS(5875),
    [aux_sym_inquire_statement_token1] = ACTIONS(5875),
    [aux_sym_enum_statement_token1] = ACTIONS(5875),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5875),
    [aux_sym_entry_statement_token1] = ACTIONS(5875),
    [aux_sym_logical_expression_token5] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [aux_sym_boolean_literal_token1] = ACTIONS(5877),
    [aux_sym_boolean_literal_token2] = ACTIONS(5877),
    [aux_sym_null_literal_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token2] = ACTIONS(5875),
    [aux_sym_coarray_statement_token6] = ACTIONS(5875),
    [aux_sym_coarray_statement_token8] = ACTIONS(5875),
    [aux_sym_coarray_statement_token11] = ACTIONS(5875),
    [aux_sym_coarray_statement_token12] = ACTIONS(5875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5875),
    [aux_sym_identifier_token1] = ACTIONS(5875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5877),
    [sym__float_literal] = ACTIONS(5877),
    [sym__boz_literal] = ACTIONS(5877),
    [sym__string_literal] = ACTIONS(5877),
    [sym__string_literal_kind] = ACTIONS(5877),
  },
  [1809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5879),
    [aux_sym_preproc_def_token1] = ACTIONS(5879),
    [aux_sym_preproc_if_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5879),
    [sym_preproc_directive] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5879),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5879),
    [anon_sym_SEMI] = ACTIONS(5881),
    [aux_sym_interface_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token2] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5879),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5879),
    [aux_sym_language_binding_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5879),
    [aux_sym_contains_statement_token1] = ACTIONS(5879),
    [aux_sym_use_statement_token1] = ACTIONS(5879),
    [aux_sym_use_statement_token2] = ACTIONS(5879),
    [aux_sym_implicit_statement_token1] = ACTIONS(5879),
    [aux_sym_implicit_statement_token3] = ACTIONS(5879),
    [aux_sym_implicit_statement_token4] = ACTIONS(5879),
    [aux_sym_save_statement_token1] = ACTIONS(5879),
    [aux_sym_private_statement_token1] = ACTIONS(5879),
    [aux_sym_public_statement_token1] = ACTIONS(5879),
    [aux_sym_namelist_statement_token1] = ACTIONS(5879),
    [aux_sym_common_statement_token1] = ACTIONS(5879),
    [aux_sym_import_statement_token1] = ACTIONS(5879),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5879),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5879),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5879),
    [aux_sym_variable_attributes_token1] = ACTIONS(5879),
    [aux_sym_variable_attributes_token2] = ACTIONS(5879),
    [aux_sym_variable_attributes_token3] = ACTIONS(5879),
    [aux_sym_variable_attributes_token4] = ACTIONS(5879),
    [aux_sym_variable_attributes_token5] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5879),
    [aux_sym_derived_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5879),
    [aux_sym_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token2] = ACTIONS(5879),
    [aux_sym_subroutine_call_token1] = ACTIONS(5879),
    [aux_sym_keyword_statement_token2] = ACTIONS(5879),
    [aux_sym_keyword_statement_token3] = ACTIONS(5879),
    [aux_sym_keyword_statement_token4] = ACTIONS(5879),
    [aux_sym_include_statement_token1] = ACTIONS(5879),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5879),
    [aux_sym_end_if_statement_token1] = ACTIONS(5879),
    [aux_sym_elseif_clause_token2] = ACTIONS(5879),
    [aux_sym_select_case_statement_token1] = ACTIONS(5879),
    [aux_sym_format_statement_token1] = ACTIONS(5879),
    [aux_sym_open_statement_token1] = ACTIONS(5879),
    [aux_sym_inquire_statement_token1] = ACTIONS(5879),
    [aux_sym_enum_statement_token1] = ACTIONS(5879),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5879),
    [aux_sym_entry_statement_token1] = ACTIONS(5879),
    [aux_sym_logical_expression_token5] = ACTIONS(5881),
    [anon_sym_DOT] = ACTIONS(5879),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [aux_sym_boolean_literal_token1] = ACTIONS(5881),
    [aux_sym_boolean_literal_token2] = ACTIONS(5881),
    [aux_sym_null_literal_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token2] = ACTIONS(5879),
    [aux_sym_coarray_statement_token6] = ACTIONS(5879),
    [aux_sym_coarray_statement_token8] = ACTIONS(5879),
    [aux_sym_coarray_statement_token11] = ACTIONS(5879),
    [aux_sym_coarray_statement_token12] = ACTIONS(5879),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5879),
    [aux_sym_identifier_token1] = ACTIONS(5879),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5881),
    [sym__float_literal] = ACTIONS(5881),
    [sym__boz_literal] = ACTIONS(5881),
    [sym__string_literal] = ACTIONS(5881),
    [sym__string_literal_kind] = ACTIONS(5881),
  },
  [1810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5817),
    [aux_sym_preproc_def_token1] = ACTIONS(5817),
    [aux_sym_preproc_if_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5817),
    [sym_preproc_directive] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [sym_preproc_comment] = ACTIONS(5883),
    [anon_sym_PLUS] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5821),
    [aux_sym_interface_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token1] = ACTIONS(5817),
    [aux_sym_block_data_statement_token2] = ACTIONS(5817),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5817),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5817),
    [aux_sym_language_binding_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5817),
    [aux_sym_use_statement_token1] = ACTIONS(5817),
    [aux_sym_use_statement_token2] = ACTIONS(5817),
    [aux_sym_implicit_statement_token1] = ACTIONS(5817),
    [aux_sym_implicit_statement_token3] = ACTIONS(5817),
    [aux_sym_implicit_statement_token4] = ACTIONS(5817),
    [aux_sym_save_statement_token1] = ACTIONS(5817),
    [aux_sym_private_statement_token1] = ACTIONS(5817),
    [aux_sym_public_statement_token1] = ACTIONS(5817),
    [aux_sym_namelist_statement_token1] = ACTIONS(5817),
    [aux_sym_common_statement_token1] = ACTIONS(5817),
    [aux_sym_import_statement_token1] = ACTIONS(5817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5817),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5817),
    [aux_sym_variable_attributes_token1] = ACTIONS(5817),
    [aux_sym_variable_attributes_token2] = ACTIONS(5817),
    [aux_sym_variable_attributes_token3] = ACTIONS(5817),
    [aux_sym_variable_attributes_token4] = ACTIONS(5817),
    [aux_sym_variable_attributes_token5] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5817),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5817),
    [aux_sym_derived_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token1] = ACTIONS(5817),
    [aux_sym_declared_type_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5817),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5817),
    [aux_sym_type_qualifier_token1] = ACTIONS(5817),
    [aux_sym_type_qualifier_token2] = ACTIONS(5817),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token1] = ACTIONS(5817),
    [aux_sym_stop_statement_token2] = ACTIONS(5817),
    [aux_sym_subroutine_call_token1] = ACTIONS(5817),
    [aux_sym_keyword_statement_token2] = ACTIONS(5817),
    [aux_sym_keyword_statement_token3] = ACTIONS(5817),
    [aux_sym_keyword_statement_token4] = ACTIONS(5817),
    [aux_sym_include_statement_token1] = ACTIONS(5817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5817),
    [aux_sym_end_if_statement_token1] = ACTIONS(5817),
    [aux_sym_elseif_clause_token2] = ACTIONS(5817),
    [aux_sym_select_case_statement_token1] = ACTIONS(5817),
    [aux_sym_format_statement_token1] = ACTIONS(5817),
    [aux_sym_open_statement_token1] = ACTIONS(5817),
    [aux_sym_inquire_statement_token1] = ACTIONS(5817),
    [aux_sym_enum_statement_token1] = ACTIONS(5817),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5817),
    [aux_sym_entry_statement_token1] = ACTIONS(5817),
    [aux_sym_logical_expression_token5] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [aux_sym_boolean_literal_token1] = ACTIONS(5821),
    [aux_sym_boolean_literal_token2] = ACTIONS(5821),
    [aux_sym_null_literal_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_statement_token2] = ACTIONS(5817),
    [aux_sym_coarray_statement_token6] = ACTIONS(5817),
    [aux_sym_coarray_statement_token8] = ACTIONS(5817),
    [aux_sym_coarray_statement_token11] = ACTIONS(5817),
    [aux_sym_coarray_statement_token12] = ACTIONS(5817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5817),
    [aux_sym_identifier_token1] = ACTIONS(5817),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5821),
    [sym__float_literal] = ACTIONS(5821),
    [sym__boz_literal] = ACTIONS(5821),
    [sym__string_literal] = ACTIONS(5821),
    [sym__string_literal_kind] = ACTIONS(5821),
  },
  [1813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5875),
    [aux_sym_preproc_def_token1] = ACTIONS(5875),
    [aux_sym_preproc_if_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5875),
    [sym_preproc_directive] = ACTIONS(5875),
    [anon_sym_LPAREN2] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5875),
    [aux_sym_end_module_statement_token1] = ACTIONS(5875),
    [anon_sym_SEMI] = ACTIONS(5877),
    [aux_sym_interface_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token2] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5875),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5875),
    [aux_sym_language_binding_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5875),
    [aux_sym_contains_statement_token1] = ACTIONS(5875),
    [aux_sym_use_statement_token1] = ACTIONS(5875),
    [aux_sym_use_statement_token2] = ACTIONS(5875),
    [aux_sym_implicit_statement_token1] = ACTIONS(5875),
    [aux_sym_implicit_statement_token3] = ACTIONS(5875),
    [aux_sym_implicit_statement_token4] = ACTIONS(5875),
    [aux_sym_save_statement_token1] = ACTIONS(5875),
    [aux_sym_private_statement_token1] = ACTIONS(5875),
    [aux_sym_public_statement_token1] = ACTIONS(5875),
    [aux_sym_namelist_statement_token1] = ACTIONS(5875),
    [aux_sym_common_statement_token1] = ACTIONS(5875),
    [aux_sym_import_statement_token1] = ACTIONS(5875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5875),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5875),
    [aux_sym_variable_attributes_token1] = ACTIONS(5875),
    [aux_sym_variable_attributes_token2] = ACTIONS(5875),
    [aux_sym_variable_attributes_token3] = ACTIONS(5875),
    [aux_sym_variable_attributes_token4] = ACTIONS(5875),
    [aux_sym_variable_attributes_token5] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5875),
    [aux_sym_derived_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5875),
    [aux_sym_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token2] = ACTIONS(5875),
    [aux_sym_subroutine_call_token1] = ACTIONS(5875),
    [aux_sym_keyword_statement_token2] = ACTIONS(5875),
    [aux_sym_keyword_statement_token3] = ACTIONS(5875),
    [aux_sym_keyword_statement_token4] = ACTIONS(5875),
    [aux_sym_include_statement_token1] = ACTIONS(5875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5875),
    [aux_sym_end_if_statement_token1] = ACTIONS(5875),
    [aux_sym_elseif_clause_token2] = ACTIONS(5875),
    [aux_sym_select_case_statement_token1] = ACTIONS(5875),
    [aux_sym_format_statement_token1] = ACTIONS(5875),
    [aux_sym_open_statement_token1] = ACTIONS(5875),
    [aux_sym_inquire_statement_token1] = ACTIONS(5875),
    [aux_sym_enum_statement_token1] = ACTIONS(5875),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5875),
    [aux_sym_entry_statement_token1] = ACTIONS(5875),
    [aux_sym_logical_expression_token5] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [aux_sym_boolean_literal_token1] = ACTIONS(5877),
    [aux_sym_boolean_literal_token2] = ACTIONS(5877),
    [aux_sym_null_literal_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token2] = ACTIONS(5875),
    [aux_sym_coarray_statement_token6] = ACTIONS(5875),
    [aux_sym_coarray_statement_token8] = ACTIONS(5875),
    [aux_sym_coarray_statement_token11] = ACTIONS(5875),
    [aux_sym_coarray_statement_token12] = ACTIONS(5875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5875),
    [aux_sym_identifier_token1] = ACTIONS(5875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5877),
    [sym__float_literal] = ACTIONS(5877),
    [sym__boz_literal] = ACTIONS(5877),
    [sym__string_literal] = ACTIONS(5877),
    [sym__string_literal_kind] = ACTIONS(5877),
  },
  [1814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_module_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_module_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5879),
    [aux_sym_preproc_def_token1] = ACTIONS(5879),
    [aux_sym_preproc_if_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5879),
    [sym_preproc_directive] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5879),
    [aux_sym_end_module_statement_token1] = ACTIONS(5879),
    [anon_sym_SEMI] = ACTIONS(5881),
    [aux_sym_interface_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token2] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5879),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5879),
    [aux_sym_language_binding_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5879),
    [aux_sym_contains_statement_token1] = ACTIONS(5879),
    [aux_sym_use_statement_token1] = ACTIONS(5879),
    [aux_sym_use_statement_token2] = ACTIONS(5879),
    [aux_sym_implicit_statement_token1] = ACTIONS(5879),
    [aux_sym_implicit_statement_token3] = ACTIONS(5879),
    [aux_sym_implicit_statement_token4] = ACTIONS(5879),
    [aux_sym_save_statement_token1] = ACTIONS(5879),
    [aux_sym_private_statement_token1] = ACTIONS(5879),
    [aux_sym_public_statement_token1] = ACTIONS(5879),
    [aux_sym_namelist_statement_token1] = ACTIONS(5879),
    [aux_sym_common_statement_token1] = ACTIONS(5879),
    [aux_sym_import_statement_token1] = ACTIONS(5879),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5879),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5879),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5879),
    [aux_sym_variable_attributes_token1] = ACTIONS(5879),
    [aux_sym_variable_attributes_token2] = ACTIONS(5879),
    [aux_sym_variable_attributes_token3] = ACTIONS(5879),
    [aux_sym_variable_attributes_token4] = ACTIONS(5879),
    [aux_sym_variable_attributes_token5] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5879),
    [aux_sym_derived_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5879),
    [aux_sym_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token2] = ACTIONS(5879),
    [aux_sym_subroutine_call_token1] = ACTIONS(5879),
    [aux_sym_keyword_statement_token2] = ACTIONS(5879),
    [aux_sym_keyword_statement_token3] = ACTIONS(5879),
    [aux_sym_keyword_statement_token4] = ACTIONS(5879),
    [aux_sym_include_statement_token1] = ACTIONS(5879),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5879),
    [aux_sym_end_if_statement_token1] = ACTIONS(5879),
    [aux_sym_elseif_clause_token2] = ACTIONS(5879),
    [aux_sym_select_case_statement_token1] = ACTIONS(5879),
    [aux_sym_format_statement_token1] = ACTIONS(5879),
    [aux_sym_open_statement_token1] = ACTIONS(5879),
    [aux_sym_inquire_statement_token1] = ACTIONS(5879),
    [aux_sym_enum_statement_token1] = ACTIONS(5879),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5879),
    [aux_sym_entry_statement_token1] = ACTIONS(5879),
    [aux_sym_logical_expression_token5] = ACTIONS(5881),
    [anon_sym_DOT] = ACTIONS(5879),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [aux_sym_boolean_literal_token1] = ACTIONS(5881),
    [aux_sym_boolean_literal_token2] = ACTIONS(5881),
    [aux_sym_null_literal_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token2] = ACTIONS(5879),
    [aux_sym_coarray_statement_token6] = ACTIONS(5879),
    [aux_sym_coarray_statement_token8] = ACTIONS(5879),
    [aux_sym_coarray_statement_token11] = ACTIONS(5879),
    [aux_sym_coarray_statement_token12] = ACTIONS(5879),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5879),
    [aux_sym_identifier_token1] = ACTIONS(5879),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5881),
    [sym__float_literal] = ACTIONS(5881),
    [sym__boz_literal] = ACTIONS(5881),
    [sym__string_literal] = ACTIONS(5881),
    [sym__string_literal_kind] = ACTIONS(5881),
  },
  [1817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5885),
    [aux_sym_preproc_def_token1] = ACTIONS(5885),
    [aux_sym_preproc_if_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5885),
    [sym_preproc_directive] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5885),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5887),
    [aux_sym_interface_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token2] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5885),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5885),
    [aux_sym_language_binding_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5885),
    [aux_sym_contains_statement_token1] = ACTIONS(5885),
    [aux_sym_use_statement_token1] = ACTIONS(5885),
    [aux_sym_use_statement_token2] = ACTIONS(5885),
    [aux_sym_implicit_statement_token1] = ACTIONS(5885),
    [aux_sym_implicit_statement_token3] = ACTIONS(5885),
    [aux_sym_implicit_statement_token4] = ACTIONS(5885),
    [aux_sym_save_statement_token1] = ACTIONS(5885),
    [aux_sym_private_statement_token1] = ACTIONS(5885),
    [aux_sym_public_statement_token1] = ACTIONS(5885),
    [aux_sym_namelist_statement_token1] = ACTIONS(5885),
    [aux_sym_common_statement_token1] = ACTIONS(5885),
    [aux_sym_import_statement_token1] = ACTIONS(5885),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5885),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5885),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5885),
    [aux_sym_variable_attributes_token1] = ACTIONS(5885),
    [aux_sym_variable_attributes_token2] = ACTIONS(5885),
    [aux_sym_variable_attributes_token3] = ACTIONS(5885),
    [aux_sym_variable_attributes_token4] = ACTIONS(5885),
    [aux_sym_variable_attributes_token5] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5885),
    [aux_sym_derived_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5885),
    [aux_sym_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token2] = ACTIONS(5885),
    [aux_sym_subroutine_call_token1] = ACTIONS(5885),
    [aux_sym_keyword_statement_token2] = ACTIONS(5885),
    [aux_sym_keyword_statement_token3] = ACTIONS(5885),
    [aux_sym_keyword_statement_token4] = ACTIONS(5885),
    [aux_sym_include_statement_token1] = ACTIONS(5885),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5885),
    [aux_sym_end_if_statement_token1] = ACTIONS(5885),
    [aux_sym_elseif_clause_token2] = ACTIONS(5885),
    [aux_sym_select_case_statement_token1] = ACTIONS(5885),
    [aux_sym_format_statement_token1] = ACTIONS(5885),
    [aux_sym_open_statement_token1] = ACTIONS(5885),
    [aux_sym_inquire_statement_token1] = ACTIONS(5885),
    [aux_sym_enum_statement_token1] = ACTIONS(5885),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5885),
    [aux_sym_entry_statement_token1] = ACTIONS(5885),
    [aux_sym_logical_expression_token5] = ACTIONS(5887),
    [anon_sym_DOT] = ACTIONS(5885),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5887),
    [aux_sym_boolean_literal_token1] = ACTIONS(5887),
    [aux_sym_boolean_literal_token2] = ACTIONS(5887),
    [aux_sym_null_literal_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token2] = ACTIONS(5885),
    [aux_sym_coarray_statement_token6] = ACTIONS(5885),
    [aux_sym_coarray_statement_token8] = ACTIONS(5885),
    [aux_sym_coarray_statement_token11] = ACTIONS(5885),
    [aux_sym_coarray_statement_token12] = ACTIONS(5885),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5885),
    [aux_sym_identifier_token1] = ACTIONS(5885),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5887),
    [sym__float_literal] = ACTIONS(5887),
    [sym__boz_literal] = ACTIONS(5887),
    [sym__string_literal] = ACTIONS(5887),
    [sym__string_literal_kind] = ACTIONS(5887),
  },
  [1818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5885),
    [aux_sym_preproc_def_token1] = ACTIONS(5885),
    [aux_sym_preproc_if_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5885),
    [sym_preproc_directive] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5885),
    [aux_sym_end_module_statement_token1] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5887),
    [aux_sym_interface_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token2] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5885),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5885),
    [aux_sym_language_binding_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5885),
    [aux_sym_contains_statement_token1] = ACTIONS(5885),
    [aux_sym_use_statement_token1] = ACTIONS(5885),
    [aux_sym_use_statement_token2] = ACTIONS(5885),
    [aux_sym_implicit_statement_token1] = ACTIONS(5885),
    [aux_sym_implicit_statement_token3] = ACTIONS(5885),
    [aux_sym_implicit_statement_token4] = ACTIONS(5885),
    [aux_sym_save_statement_token1] = ACTIONS(5885),
    [aux_sym_private_statement_token1] = ACTIONS(5885),
    [aux_sym_public_statement_token1] = ACTIONS(5885),
    [aux_sym_namelist_statement_token1] = ACTIONS(5885),
    [aux_sym_common_statement_token1] = ACTIONS(5885),
    [aux_sym_import_statement_token1] = ACTIONS(5885),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5885),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5885),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5885),
    [aux_sym_variable_attributes_token1] = ACTIONS(5885),
    [aux_sym_variable_attributes_token2] = ACTIONS(5885),
    [aux_sym_variable_attributes_token3] = ACTIONS(5885),
    [aux_sym_variable_attributes_token4] = ACTIONS(5885),
    [aux_sym_variable_attributes_token5] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5885),
    [aux_sym_derived_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5885),
    [aux_sym_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token2] = ACTIONS(5885),
    [aux_sym_subroutine_call_token1] = ACTIONS(5885),
    [aux_sym_keyword_statement_token2] = ACTIONS(5885),
    [aux_sym_keyword_statement_token3] = ACTIONS(5885),
    [aux_sym_keyword_statement_token4] = ACTIONS(5885),
    [aux_sym_include_statement_token1] = ACTIONS(5885),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5885),
    [aux_sym_end_if_statement_token1] = ACTIONS(5885),
    [aux_sym_elseif_clause_token2] = ACTIONS(5885),
    [aux_sym_select_case_statement_token1] = ACTIONS(5885),
    [aux_sym_format_statement_token1] = ACTIONS(5885),
    [aux_sym_open_statement_token1] = ACTIONS(5885),
    [aux_sym_inquire_statement_token1] = ACTIONS(5885),
    [aux_sym_enum_statement_token1] = ACTIONS(5885),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5885),
    [aux_sym_entry_statement_token1] = ACTIONS(5885),
    [aux_sym_logical_expression_token5] = ACTIONS(5887),
    [anon_sym_DOT] = ACTIONS(5885),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5887),
    [aux_sym_boolean_literal_token1] = ACTIONS(5887),
    [aux_sym_boolean_literal_token2] = ACTIONS(5887),
    [aux_sym_null_literal_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token2] = ACTIONS(5885),
    [aux_sym_coarray_statement_token6] = ACTIONS(5885),
    [aux_sym_coarray_statement_token8] = ACTIONS(5885),
    [aux_sym_coarray_statement_token11] = ACTIONS(5885),
    [aux_sym_coarray_statement_token12] = ACTIONS(5885),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5885),
    [aux_sym_identifier_token1] = ACTIONS(5885),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5887),
    [sym__float_literal] = ACTIONS(5887),
    [sym__boz_literal] = ACTIONS(5887),
    [sym__string_literal] = ACTIONS(5887),
    [sym__string_literal_kind] = ACTIONS(5887),
  },
  [1819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_module_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_interface_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4724),
    [aux_sym_language_binding_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token1] = ACTIONS(4724),
    [aux_sym_implicit_statement_token3] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_namelist_statement_token1] = ACTIONS(4724),
    [aux_sym_common_statement_token1] = ACTIONS(4724),
    [aux_sym_import_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token1] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token4] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4724),
    [aux_sym_derived_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token1] = ACTIONS(4724),
    [aux_sym_declared_type_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_enum_statement_token1] = ACTIONS(4724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [1826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_interface_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4720),
    [aux_sym_language_binding_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token1] = ACTIONS(4720),
    [aux_sym_implicit_statement_token3] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_namelist_statement_token1] = ACTIONS(4720),
    [aux_sym_common_statement_token1] = ACTIONS(4720),
    [aux_sym_import_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token1] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token4] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4720),
    [aux_sym_derived_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token1] = ACTIONS(4720),
    [aux_sym_declared_type_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_enum_statement_token1] = ACTIONS(4720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [1827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_interface_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4728),
    [aux_sym_language_binding_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token1] = ACTIONS(4728),
    [aux_sym_implicit_statement_token3] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_namelist_statement_token1] = ACTIONS(4728),
    [aux_sym_common_statement_token1] = ACTIONS(4728),
    [aux_sym_import_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token1] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token4] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4728),
    [aux_sym_derived_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token1] = ACTIONS(4728),
    [aux_sym_declared_type_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_enum_statement_token1] = ACTIONS(4728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [1829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_interface_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4732),
    [aux_sym_language_binding_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token1] = ACTIONS(4732),
    [aux_sym_implicit_statement_token3] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_namelist_statement_token1] = ACTIONS(4732),
    [aux_sym_common_statement_token1] = ACTIONS(4732),
    [aux_sym_import_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token1] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token4] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4732),
    [aux_sym_derived_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token1] = ACTIONS(4732),
    [aux_sym_declared_type_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_enum_statement_token1] = ACTIONS(4732),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [1830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_interface_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4716),
    [aux_sym_language_binding_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token1] = ACTIONS(4716),
    [aux_sym_implicit_statement_token3] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_namelist_statement_token1] = ACTIONS(4716),
    [aux_sym_common_statement_token1] = ACTIONS(4716),
    [aux_sym_import_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token1] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token4] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4716),
    [aux_sym_derived_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token1] = ACTIONS(4716),
    [aux_sym_declared_type_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_enum_statement_token1] = ACTIONS(4716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [1832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5863),
    [aux_sym_preproc_def_token1] = ACTIONS(5863),
    [aux_sym_preproc_if_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5863),
    [sym_preproc_directive] = ACTIONS(5863),
    [anon_sym_LPAREN2] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5863),
    [aux_sym_end_module_statement_token1] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [aux_sym_interface_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token2] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5863),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5863),
    [aux_sym_language_binding_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5863),
    [aux_sym_contains_statement_token1] = ACTIONS(5863),
    [aux_sym_use_statement_token1] = ACTIONS(5863),
    [aux_sym_use_statement_token2] = ACTIONS(5863),
    [aux_sym_implicit_statement_token1] = ACTIONS(5863),
    [aux_sym_implicit_statement_token3] = ACTIONS(5863),
    [aux_sym_implicit_statement_token4] = ACTIONS(5863),
    [aux_sym_save_statement_token1] = ACTIONS(5863),
    [aux_sym_private_statement_token1] = ACTIONS(5863),
    [aux_sym_public_statement_token1] = ACTIONS(5863),
    [aux_sym_namelist_statement_token1] = ACTIONS(5863),
    [aux_sym_common_statement_token1] = ACTIONS(5863),
    [aux_sym_import_statement_token1] = ACTIONS(5863),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5863),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5863),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5863),
    [aux_sym_variable_attributes_token1] = ACTIONS(5863),
    [aux_sym_variable_attributes_token2] = ACTIONS(5863),
    [aux_sym_variable_attributes_token3] = ACTIONS(5863),
    [aux_sym_variable_attributes_token4] = ACTIONS(5863),
    [aux_sym_variable_attributes_token5] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5863),
    [aux_sym_derived_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5863),
    [aux_sym_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token2] = ACTIONS(5863),
    [aux_sym_subroutine_call_token1] = ACTIONS(5863),
    [aux_sym_keyword_statement_token2] = ACTIONS(5863),
    [aux_sym_keyword_statement_token3] = ACTIONS(5863),
    [aux_sym_keyword_statement_token4] = ACTIONS(5863),
    [aux_sym_include_statement_token1] = ACTIONS(5863),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5863),
    [aux_sym_end_if_statement_token1] = ACTIONS(5863),
    [aux_sym_elseif_clause_token2] = ACTIONS(5863),
    [aux_sym_select_case_statement_token1] = ACTIONS(5863),
    [aux_sym_format_statement_token1] = ACTIONS(5863),
    [aux_sym_open_statement_token1] = ACTIONS(5863),
    [aux_sym_inquire_statement_token1] = ACTIONS(5863),
    [aux_sym_enum_statement_token1] = ACTIONS(5863),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5863),
    [aux_sym_entry_statement_token1] = ACTIONS(5863),
    [aux_sym_logical_expression_token5] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [aux_sym_boolean_literal_token1] = ACTIONS(5865),
    [aux_sym_boolean_literal_token2] = ACTIONS(5865),
    [aux_sym_null_literal_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token2] = ACTIONS(5863),
    [aux_sym_coarray_statement_token6] = ACTIONS(5863),
    [aux_sym_coarray_statement_token8] = ACTIONS(5863),
    [aux_sym_coarray_statement_token11] = ACTIONS(5863),
    [aux_sym_coarray_statement_token12] = ACTIONS(5863),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5863),
    [aux_sym_identifier_token1] = ACTIONS(5863),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5865),
    [sym__float_literal] = ACTIONS(5865),
    [sym__boz_literal] = ACTIONS(5865),
    [sym__string_literal] = ACTIONS(5865),
    [sym__string_literal_kind] = ACTIONS(5865),
  },
  [1833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [aux_sym_end_module_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_contains_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5889),
    [aux_sym_preproc_def_token1] = ACTIONS(5889),
    [aux_sym_preproc_if_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5889),
    [sym_preproc_directive] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5889),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5891),
    [aux_sym_interface_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token2] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5889),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5889),
    [aux_sym_language_binding_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5889),
    [aux_sym_contains_statement_token1] = ACTIONS(5889),
    [aux_sym_use_statement_token1] = ACTIONS(5889),
    [aux_sym_use_statement_token2] = ACTIONS(5889),
    [aux_sym_implicit_statement_token1] = ACTIONS(5889),
    [aux_sym_implicit_statement_token3] = ACTIONS(5889),
    [aux_sym_implicit_statement_token4] = ACTIONS(5889),
    [aux_sym_save_statement_token1] = ACTIONS(5889),
    [aux_sym_private_statement_token1] = ACTIONS(5889),
    [aux_sym_public_statement_token1] = ACTIONS(5889),
    [aux_sym_namelist_statement_token1] = ACTIONS(5889),
    [aux_sym_common_statement_token1] = ACTIONS(5889),
    [aux_sym_import_statement_token1] = ACTIONS(5889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5889),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5889),
    [aux_sym_variable_attributes_token1] = ACTIONS(5889),
    [aux_sym_variable_attributes_token2] = ACTIONS(5889),
    [aux_sym_variable_attributes_token3] = ACTIONS(5889),
    [aux_sym_variable_attributes_token4] = ACTIONS(5889),
    [aux_sym_variable_attributes_token5] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5889),
    [aux_sym_derived_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5889),
    [aux_sym_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token2] = ACTIONS(5889),
    [aux_sym_subroutine_call_token1] = ACTIONS(5889),
    [aux_sym_keyword_statement_token2] = ACTIONS(5889),
    [aux_sym_keyword_statement_token3] = ACTIONS(5889),
    [aux_sym_keyword_statement_token4] = ACTIONS(5889),
    [aux_sym_include_statement_token1] = ACTIONS(5889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5889),
    [aux_sym_end_if_statement_token1] = ACTIONS(5889),
    [aux_sym_elseif_clause_token2] = ACTIONS(5889),
    [aux_sym_select_case_statement_token1] = ACTIONS(5889),
    [aux_sym_format_statement_token1] = ACTIONS(5889),
    [aux_sym_open_statement_token1] = ACTIONS(5889),
    [aux_sym_inquire_statement_token1] = ACTIONS(5889),
    [aux_sym_enum_statement_token1] = ACTIONS(5889),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5889),
    [aux_sym_entry_statement_token1] = ACTIONS(5889),
    [aux_sym_logical_expression_token5] = ACTIONS(5891),
    [anon_sym_DOT] = ACTIONS(5889),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5891),
    [aux_sym_boolean_literal_token1] = ACTIONS(5891),
    [aux_sym_boolean_literal_token2] = ACTIONS(5891),
    [aux_sym_null_literal_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token2] = ACTIONS(5889),
    [aux_sym_coarray_statement_token6] = ACTIONS(5889),
    [aux_sym_coarray_statement_token8] = ACTIONS(5889),
    [aux_sym_coarray_statement_token11] = ACTIONS(5889),
    [aux_sym_coarray_statement_token12] = ACTIONS(5889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5889),
    [aux_sym_identifier_token1] = ACTIONS(5889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5891),
    [sym__float_literal] = ACTIONS(5891),
    [sym__boz_literal] = ACTIONS(5891),
    [sym__string_literal] = ACTIONS(5891),
    [sym__string_literal_kind] = ACTIONS(5891),
  },
  [1835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_contains_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5867),
    [aux_sym_preproc_def_token1] = ACTIONS(5867),
    [aux_sym_preproc_if_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5867),
    [sym_preproc_directive] = ACTIONS(5867),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5867),
    [aux_sym_end_module_statement_token1] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [aux_sym_interface_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token2] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5867),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5867),
    [aux_sym_language_binding_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5867),
    [aux_sym_contains_statement_token1] = ACTIONS(5867),
    [aux_sym_use_statement_token1] = ACTIONS(5867),
    [aux_sym_use_statement_token2] = ACTIONS(5867),
    [aux_sym_implicit_statement_token1] = ACTIONS(5867),
    [aux_sym_implicit_statement_token3] = ACTIONS(5867),
    [aux_sym_implicit_statement_token4] = ACTIONS(5867),
    [aux_sym_save_statement_token1] = ACTIONS(5867),
    [aux_sym_private_statement_token1] = ACTIONS(5867),
    [aux_sym_public_statement_token1] = ACTIONS(5867),
    [aux_sym_namelist_statement_token1] = ACTIONS(5867),
    [aux_sym_common_statement_token1] = ACTIONS(5867),
    [aux_sym_import_statement_token1] = ACTIONS(5867),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5867),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5867),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5867),
    [aux_sym_variable_attributes_token1] = ACTIONS(5867),
    [aux_sym_variable_attributes_token2] = ACTIONS(5867),
    [aux_sym_variable_attributes_token3] = ACTIONS(5867),
    [aux_sym_variable_attributes_token4] = ACTIONS(5867),
    [aux_sym_variable_attributes_token5] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5867),
    [aux_sym_derived_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5867),
    [aux_sym_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token2] = ACTIONS(5867),
    [aux_sym_subroutine_call_token1] = ACTIONS(5867),
    [aux_sym_keyword_statement_token2] = ACTIONS(5867),
    [aux_sym_keyword_statement_token3] = ACTIONS(5867),
    [aux_sym_keyword_statement_token4] = ACTIONS(5867),
    [aux_sym_include_statement_token1] = ACTIONS(5867),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5867),
    [aux_sym_end_if_statement_token1] = ACTIONS(5867),
    [aux_sym_elseif_clause_token2] = ACTIONS(5867),
    [aux_sym_select_case_statement_token1] = ACTIONS(5867),
    [aux_sym_format_statement_token1] = ACTIONS(5867),
    [aux_sym_open_statement_token1] = ACTIONS(5867),
    [aux_sym_inquire_statement_token1] = ACTIONS(5867),
    [aux_sym_enum_statement_token1] = ACTIONS(5867),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5867),
    [aux_sym_entry_statement_token1] = ACTIONS(5867),
    [aux_sym_logical_expression_token5] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [aux_sym_boolean_literal_token1] = ACTIONS(5869),
    [aux_sym_boolean_literal_token2] = ACTIONS(5869),
    [aux_sym_null_literal_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token2] = ACTIONS(5867),
    [aux_sym_coarray_statement_token6] = ACTIONS(5867),
    [aux_sym_coarray_statement_token8] = ACTIONS(5867),
    [aux_sym_coarray_statement_token11] = ACTIONS(5867),
    [aux_sym_coarray_statement_token12] = ACTIONS(5867),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5867),
    [aux_sym_identifier_token1] = ACTIONS(5867),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5869),
    [sym__float_literal] = ACTIONS(5869),
    [sym__boz_literal] = ACTIONS(5869),
    [sym__string_literal] = ACTIONS(5869),
    [sym__string_literal_kind] = ACTIONS(5869),
  },
  [1837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5823),
    [aux_sym_preproc_def_token1] = ACTIONS(5823),
    [aux_sym_preproc_if_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5823),
    [sym_preproc_directive] = ACTIONS(5823),
    [anon_sym_LPAREN2] = ACTIONS(5823),
    [sym_preproc_comment] = ACTIONS(5893),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5827),
    [aux_sym_interface_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token1] = ACTIONS(5823),
    [aux_sym_block_data_statement_token2] = ACTIONS(5823),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5823),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5823),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5823),
    [aux_sym_language_binding_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5823),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5823),
    [aux_sym_use_statement_token1] = ACTIONS(5823),
    [aux_sym_use_statement_token2] = ACTIONS(5823),
    [aux_sym_implicit_statement_token1] = ACTIONS(5823),
    [aux_sym_implicit_statement_token3] = ACTIONS(5823),
    [aux_sym_implicit_statement_token4] = ACTIONS(5823),
    [aux_sym_save_statement_token1] = ACTIONS(5823),
    [aux_sym_private_statement_token1] = ACTIONS(5823),
    [aux_sym_public_statement_token1] = ACTIONS(5823),
    [aux_sym_namelist_statement_token1] = ACTIONS(5823),
    [aux_sym_common_statement_token1] = ACTIONS(5823),
    [aux_sym_import_statement_token1] = ACTIONS(5823),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5823),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5823),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5823),
    [aux_sym_variable_attributes_token1] = ACTIONS(5823),
    [aux_sym_variable_attributes_token2] = ACTIONS(5823),
    [aux_sym_variable_attributes_token3] = ACTIONS(5823),
    [aux_sym_variable_attributes_token4] = ACTIONS(5823),
    [aux_sym_variable_attributes_token5] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5823),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5823),
    [aux_sym_derived_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token1] = ACTIONS(5823),
    [aux_sym_declared_type_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5823),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5823),
    [aux_sym_type_qualifier_token1] = ACTIONS(5823),
    [aux_sym_type_qualifier_token2] = ACTIONS(5823),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token1] = ACTIONS(5823),
    [aux_sym_stop_statement_token2] = ACTIONS(5823),
    [aux_sym_subroutine_call_token1] = ACTIONS(5823),
    [aux_sym_keyword_statement_token2] = ACTIONS(5823),
    [aux_sym_keyword_statement_token3] = ACTIONS(5823),
    [aux_sym_keyword_statement_token4] = ACTIONS(5823),
    [aux_sym_include_statement_token1] = ACTIONS(5823),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5823),
    [aux_sym_end_if_statement_token1] = ACTIONS(5823),
    [aux_sym_elseif_clause_token2] = ACTIONS(5823),
    [aux_sym_select_case_statement_token1] = ACTIONS(5823),
    [aux_sym_format_statement_token1] = ACTIONS(5823),
    [aux_sym_open_statement_token1] = ACTIONS(5823),
    [aux_sym_inquire_statement_token1] = ACTIONS(5823),
    [aux_sym_enum_statement_token1] = ACTIONS(5823),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5823),
    [aux_sym_entry_statement_token1] = ACTIONS(5823),
    [aux_sym_logical_expression_token5] = ACTIONS(5827),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5827),
    [aux_sym_boolean_literal_token1] = ACTIONS(5827),
    [aux_sym_boolean_literal_token2] = ACTIONS(5827),
    [aux_sym_null_literal_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_statement_token2] = ACTIONS(5823),
    [aux_sym_coarray_statement_token6] = ACTIONS(5823),
    [aux_sym_coarray_statement_token8] = ACTIONS(5823),
    [aux_sym_coarray_statement_token11] = ACTIONS(5823),
    [aux_sym_coarray_statement_token12] = ACTIONS(5823),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5823),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5823),
    [aux_sym_identifier_token1] = ACTIONS(5823),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5827),
    [sym__float_literal] = ACTIONS(5827),
    [sym__boz_literal] = ACTIONS(5827),
    [sym__string_literal] = ACTIONS(5827),
    [sym__string_literal_kind] = ACTIONS(5827),
  },
  [1839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [sym_preproc_comment] = ACTIONS(5895),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5835),
    [aux_sym_preproc_def_token1] = ACTIONS(5835),
    [aux_sym_preproc_if_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5835),
    [sym_preproc_directive] = ACTIONS(5835),
    [anon_sym_LPAREN2] = ACTIONS(5835),
    [sym_preproc_comment] = ACTIONS(5897),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5835),
    [anon_sym_SEMI] = ACTIONS(5839),
    [aux_sym_interface_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token1] = ACTIONS(5835),
    [aux_sym_block_data_statement_token2] = ACTIONS(5835),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5835),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5835),
    [aux_sym_language_binding_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5835),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5835),
    [aux_sym_use_statement_token1] = ACTIONS(5835),
    [aux_sym_use_statement_token2] = ACTIONS(5835),
    [aux_sym_implicit_statement_token1] = ACTIONS(5835),
    [aux_sym_implicit_statement_token3] = ACTIONS(5835),
    [aux_sym_implicit_statement_token4] = ACTIONS(5835),
    [aux_sym_save_statement_token1] = ACTIONS(5835),
    [aux_sym_private_statement_token1] = ACTIONS(5835),
    [aux_sym_public_statement_token1] = ACTIONS(5835),
    [aux_sym_namelist_statement_token1] = ACTIONS(5835),
    [aux_sym_common_statement_token1] = ACTIONS(5835),
    [aux_sym_import_statement_token1] = ACTIONS(5835),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5835),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5835),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5835),
    [aux_sym_variable_attributes_token1] = ACTIONS(5835),
    [aux_sym_variable_attributes_token2] = ACTIONS(5835),
    [aux_sym_variable_attributes_token3] = ACTIONS(5835),
    [aux_sym_variable_attributes_token4] = ACTIONS(5835),
    [aux_sym_variable_attributes_token5] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5835),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5835),
    [aux_sym_derived_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token1] = ACTIONS(5835),
    [aux_sym_declared_type_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5835),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5835),
    [aux_sym_type_qualifier_token1] = ACTIONS(5835),
    [aux_sym_type_qualifier_token2] = ACTIONS(5835),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token1] = ACTIONS(5835),
    [aux_sym_stop_statement_token2] = ACTIONS(5835),
    [aux_sym_subroutine_call_token1] = ACTIONS(5835),
    [aux_sym_keyword_statement_token2] = ACTIONS(5835),
    [aux_sym_keyword_statement_token3] = ACTIONS(5835),
    [aux_sym_keyword_statement_token4] = ACTIONS(5835),
    [aux_sym_include_statement_token1] = ACTIONS(5835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5835),
    [aux_sym_end_if_statement_token1] = ACTIONS(5835),
    [aux_sym_elseif_clause_token2] = ACTIONS(5835),
    [aux_sym_select_case_statement_token1] = ACTIONS(5835),
    [aux_sym_format_statement_token1] = ACTIONS(5835),
    [aux_sym_open_statement_token1] = ACTIONS(5835),
    [aux_sym_inquire_statement_token1] = ACTIONS(5835),
    [aux_sym_enum_statement_token1] = ACTIONS(5835),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5835),
    [aux_sym_entry_statement_token1] = ACTIONS(5835),
    [aux_sym_logical_expression_token5] = ACTIONS(5839),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5839),
    [aux_sym_boolean_literal_token1] = ACTIONS(5839),
    [aux_sym_boolean_literal_token2] = ACTIONS(5839),
    [aux_sym_null_literal_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_statement_token2] = ACTIONS(5835),
    [aux_sym_coarray_statement_token6] = ACTIONS(5835),
    [aux_sym_coarray_statement_token8] = ACTIONS(5835),
    [aux_sym_coarray_statement_token11] = ACTIONS(5835),
    [aux_sym_coarray_statement_token12] = ACTIONS(5835),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5835),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5835),
    [aux_sym_identifier_token1] = ACTIONS(5835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5839),
    [sym__float_literal] = ACTIONS(5839),
    [sym__boz_literal] = ACTIONS(5839),
    [sym__string_literal] = ACTIONS(5839),
    [sym__string_literal_kind] = ACTIONS(5839),
  },
  [1841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_module_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5899),
    [aux_sym_preproc_def_token1] = ACTIONS(5899),
    [aux_sym_preproc_if_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5899),
    [sym_preproc_directive] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(5899),
    [anon_sym_PLUS] = ACTIONS(5901),
    [anon_sym_DASH] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5899),
    [aux_sym_end_module_statement_token1] = ACTIONS(5899),
    [anon_sym_SEMI] = ACTIONS(5901),
    [aux_sym_interface_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token2] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5899),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5899),
    [aux_sym_language_binding_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5899),
    [aux_sym_contains_statement_token1] = ACTIONS(5899),
    [aux_sym_use_statement_token1] = ACTIONS(5899),
    [aux_sym_use_statement_token2] = ACTIONS(5899),
    [aux_sym_implicit_statement_token1] = ACTIONS(5899),
    [aux_sym_implicit_statement_token3] = ACTIONS(5899),
    [aux_sym_implicit_statement_token4] = ACTIONS(5899),
    [aux_sym_save_statement_token1] = ACTIONS(5899),
    [aux_sym_private_statement_token1] = ACTIONS(5899),
    [aux_sym_public_statement_token1] = ACTIONS(5899),
    [aux_sym_namelist_statement_token1] = ACTIONS(5899),
    [aux_sym_common_statement_token1] = ACTIONS(5899),
    [aux_sym_import_statement_token1] = ACTIONS(5899),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5899),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5899),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5899),
    [aux_sym_variable_attributes_token1] = ACTIONS(5899),
    [aux_sym_variable_attributes_token2] = ACTIONS(5899),
    [aux_sym_variable_attributes_token3] = ACTIONS(5899),
    [aux_sym_variable_attributes_token4] = ACTIONS(5899),
    [aux_sym_variable_attributes_token5] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5899),
    [aux_sym_derived_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5899),
    [aux_sym_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token2] = ACTIONS(5899),
    [aux_sym_subroutine_call_token1] = ACTIONS(5899),
    [aux_sym_keyword_statement_token2] = ACTIONS(5899),
    [aux_sym_keyword_statement_token3] = ACTIONS(5899),
    [aux_sym_keyword_statement_token4] = ACTIONS(5899),
    [aux_sym_include_statement_token1] = ACTIONS(5899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5899),
    [aux_sym_end_if_statement_token1] = ACTIONS(5899),
    [aux_sym_elseif_clause_token2] = ACTIONS(5899),
    [aux_sym_select_case_statement_token1] = ACTIONS(5899),
    [aux_sym_format_statement_token1] = ACTIONS(5899),
    [aux_sym_open_statement_token1] = ACTIONS(5899),
    [aux_sym_inquire_statement_token1] = ACTIONS(5899),
    [aux_sym_enum_statement_token1] = ACTIONS(5899),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5899),
    [aux_sym_entry_statement_token1] = ACTIONS(5899),
    [aux_sym_logical_expression_token5] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [aux_sym_boolean_literal_token1] = ACTIONS(5901),
    [aux_sym_boolean_literal_token2] = ACTIONS(5901),
    [aux_sym_null_literal_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token2] = ACTIONS(5899),
    [aux_sym_coarray_statement_token6] = ACTIONS(5899),
    [aux_sym_coarray_statement_token8] = ACTIONS(5899),
    [aux_sym_coarray_statement_token11] = ACTIONS(5899),
    [aux_sym_coarray_statement_token12] = ACTIONS(5899),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5899),
    [aux_sym_identifier_token1] = ACTIONS(5899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5901),
    [sym__float_literal] = ACTIONS(5901),
    [sym__boz_literal] = ACTIONS(5901),
    [sym__string_literal] = ACTIONS(5901),
    [sym__string_literal_kind] = ACTIONS(5901),
  },
  [1843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5871),
    [aux_sym_preproc_def_token1] = ACTIONS(5871),
    [aux_sym_preproc_if_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5871),
    [sym_preproc_directive] = ACTIONS(5871),
    [anon_sym_LPAREN2] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5871),
    [aux_sym_end_module_statement_token1] = ACTIONS(5871),
    [anon_sym_SEMI] = ACTIONS(5873),
    [aux_sym_interface_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token2] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5871),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5871),
    [aux_sym_language_binding_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5871),
    [aux_sym_contains_statement_token1] = ACTIONS(5871),
    [aux_sym_use_statement_token1] = ACTIONS(5871),
    [aux_sym_use_statement_token2] = ACTIONS(5871),
    [aux_sym_implicit_statement_token1] = ACTIONS(5871),
    [aux_sym_implicit_statement_token3] = ACTIONS(5871),
    [aux_sym_implicit_statement_token4] = ACTIONS(5871),
    [aux_sym_save_statement_token1] = ACTIONS(5871),
    [aux_sym_private_statement_token1] = ACTIONS(5871),
    [aux_sym_public_statement_token1] = ACTIONS(5871),
    [aux_sym_namelist_statement_token1] = ACTIONS(5871),
    [aux_sym_common_statement_token1] = ACTIONS(5871),
    [aux_sym_import_statement_token1] = ACTIONS(5871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5871),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5871),
    [aux_sym_variable_attributes_token1] = ACTIONS(5871),
    [aux_sym_variable_attributes_token2] = ACTIONS(5871),
    [aux_sym_variable_attributes_token3] = ACTIONS(5871),
    [aux_sym_variable_attributes_token4] = ACTIONS(5871),
    [aux_sym_variable_attributes_token5] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5871),
    [aux_sym_derived_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5871),
    [aux_sym_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token2] = ACTIONS(5871),
    [aux_sym_subroutine_call_token1] = ACTIONS(5871),
    [aux_sym_keyword_statement_token2] = ACTIONS(5871),
    [aux_sym_keyword_statement_token3] = ACTIONS(5871),
    [aux_sym_keyword_statement_token4] = ACTIONS(5871),
    [aux_sym_include_statement_token1] = ACTIONS(5871),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5871),
    [aux_sym_end_if_statement_token1] = ACTIONS(5871),
    [aux_sym_elseif_clause_token2] = ACTIONS(5871),
    [aux_sym_select_case_statement_token1] = ACTIONS(5871),
    [aux_sym_format_statement_token1] = ACTIONS(5871),
    [aux_sym_open_statement_token1] = ACTIONS(5871),
    [aux_sym_inquire_statement_token1] = ACTIONS(5871),
    [aux_sym_enum_statement_token1] = ACTIONS(5871),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5871),
    [aux_sym_entry_statement_token1] = ACTIONS(5871),
    [aux_sym_logical_expression_token5] = ACTIONS(5873),
    [anon_sym_DOT] = ACTIONS(5871),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [aux_sym_boolean_literal_token1] = ACTIONS(5873),
    [aux_sym_boolean_literal_token2] = ACTIONS(5873),
    [aux_sym_null_literal_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token2] = ACTIONS(5871),
    [aux_sym_coarray_statement_token6] = ACTIONS(5871),
    [aux_sym_coarray_statement_token8] = ACTIONS(5871),
    [aux_sym_coarray_statement_token11] = ACTIONS(5871),
    [aux_sym_coarray_statement_token12] = ACTIONS(5871),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5871),
    [aux_sym_identifier_token1] = ACTIONS(5871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5873),
    [sym__float_literal] = ACTIONS(5873),
    [sym__boz_literal] = ACTIONS(5873),
    [sym__string_literal] = ACTIONS(5873),
    [sym__string_literal_kind] = ACTIONS(5873),
  },
  [1844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_module_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_module_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [aux_sym_end_module_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_contains_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5899),
    [aux_sym_preproc_def_token1] = ACTIONS(5899),
    [aux_sym_preproc_if_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5899),
    [sym_preproc_directive] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(5899),
    [anon_sym_PLUS] = ACTIONS(5901),
    [anon_sym_DASH] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5899),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5899),
    [anon_sym_SEMI] = ACTIONS(5901),
    [aux_sym_interface_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token2] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5899),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5899),
    [aux_sym_language_binding_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5899),
    [aux_sym_contains_statement_token1] = ACTIONS(5899),
    [aux_sym_use_statement_token1] = ACTIONS(5899),
    [aux_sym_use_statement_token2] = ACTIONS(5899),
    [aux_sym_implicit_statement_token1] = ACTIONS(5899),
    [aux_sym_implicit_statement_token3] = ACTIONS(5899),
    [aux_sym_implicit_statement_token4] = ACTIONS(5899),
    [aux_sym_save_statement_token1] = ACTIONS(5899),
    [aux_sym_private_statement_token1] = ACTIONS(5899),
    [aux_sym_public_statement_token1] = ACTIONS(5899),
    [aux_sym_namelist_statement_token1] = ACTIONS(5899),
    [aux_sym_common_statement_token1] = ACTIONS(5899),
    [aux_sym_import_statement_token1] = ACTIONS(5899),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5899),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5899),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5899),
    [aux_sym_variable_attributes_token1] = ACTIONS(5899),
    [aux_sym_variable_attributes_token2] = ACTIONS(5899),
    [aux_sym_variable_attributes_token3] = ACTIONS(5899),
    [aux_sym_variable_attributes_token4] = ACTIONS(5899),
    [aux_sym_variable_attributes_token5] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5899),
    [aux_sym_derived_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5899),
    [aux_sym_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token2] = ACTIONS(5899),
    [aux_sym_subroutine_call_token1] = ACTIONS(5899),
    [aux_sym_keyword_statement_token2] = ACTIONS(5899),
    [aux_sym_keyword_statement_token3] = ACTIONS(5899),
    [aux_sym_keyword_statement_token4] = ACTIONS(5899),
    [aux_sym_include_statement_token1] = ACTIONS(5899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5899),
    [aux_sym_end_if_statement_token1] = ACTIONS(5899),
    [aux_sym_elseif_clause_token2] = ACTIONS(5899),
    [aux_sym_select_case_statement_token1] = ACTIONS(5899),
    [aux_sym_format_statement_token1] = ACTIONS(5899),
    [aux_sym_open_statement_token1] = ACTIONS(5899),
    [aux_sym_inquire_statement_token1] = ACTIONS(5899),
    [aux_sym_enum_statement_token1] = ACTIONS(5899),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5899),
    [aux_sym_entry_statement_token1] = ACTIONS(5899),
    [aux_sym_logical_expression_token5] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [aux_sym_boolean_literal_token1] = ACTIONS(5901),
    [aux_sym_boolean_literal_token2] = ACTIONS(5901),
    [aux_sym_null_literal_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token2] = ACTIONS(5899),
    [aux_sym_coarray_statement_token6] = ACTIONS(5899),
    [aux_sym_coarray_statement_token8] = ACTIONS(5899),
    [aux_sym_coarray_statement_token11] = ACTIONS(5899),
    [aux_sym_coarray_statement_token12] = ACTIONS(5899),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5899),
    [aux_sym_identifier_token1] = ACTIONS(5899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5901),
    [sym__float_literal] = ACTIONS(5901),
    [sym__boz_literal] = ACTIONS(5901),
    [sym__string_literal] = ACTIONS(5901),
    [sym__string_literal_kind] = ACTIONS(5901),
  },
  [1849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_module_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5793),
    [aux_sym_preproc_def_token1] = ACTIONS(5793),
    [aux_sym_preproc_if_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5793),
    [sym_preproc_directive] = ACTIONS(5793),
    [anon_sym_LPAREN2] = ACTIONS(5793),
    [sym_preproc_comment] = ACTIONS(5903),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5797),
    [aux_sym_interface_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token1] = ACTIONS(5793),
    [aux_sym_block_data_statement_token2] = ACTIONS(5793),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5793),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5793),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5793),
    [aux_sym_language_binding_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5793),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5793),
    [aux_sym_use_statement_token1] = ACTIONS(5793),
    [aux_sym_use_statement_token2] = ACTIONS(5793),
    [aux_sym_implicit_statement_token1] = ACTIONS(5793),
    [aux_sym_implicit_statement_token3] = ACTIONS(5793),
    [aux_sym_implicit_statement_token4] = ACTIONS(5793),
    [aux_sym_save_statement_token1] = ACTIONS(5793),
    [aux_sym_private_statement_token1] = ACTIONS(5793),
    [aux_sym_public_statement_token1] = ACTIONS(5793),
    [aux_sym_namelist_statement_token1] = ACTIONS(5793),
    [aux_sym_common_statement_token1] = ACTIONS(5793),
    [aux_sym_import_statement_token1] = ACTIONS(5793),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5793),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5793),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5793),
    [aux_sym_variable_attributes_token1] = ACTIONS(5793),
    [aux_sym_variable_attributes_token2] = ACTIONS(5793),
    [aux_sym_variable_attributes_token3] = ACTIONS(5793),
    [aux_sym_variable_attributes_token4] = ACTIONS(5793),
    [aux_sym_variable_attributes_token5] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5793),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5793),
    [aux_sym_derived_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token1] = ACTIONS(5793),
    [aux_sym_declared_type_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5793),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5793),
    [aux_sym_type_qualifier_token1] = ACTIONS(5793),
    [aux_sym_type_qualifier_token2] = ACTIONS(5793),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token1] = ACTIONS(5793),
    [aux_sym_stop_statement_token2] = ACTIONS(5793),
    [aux_sym_subroutine_call_token1] = ACTIONS(5793),
    [aux_sym_keyword_statement_token2] = ACTIONS(5793),
    [aux_sym_keyword_statement_token3] = ACTIONS(5793),
    [aux_sym_keyword_statement_token4] = ACTIONS(5793),
    [aux_sym_include_statement_token1] = ACTIONS(5793),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5793),
    [aux_sym_end_if_statement_token1] = ACTIONS(5793),
    [aux_sym_elseif_clause_token2] = ACTIONS(5793),
    [aux_sym_select_case_statement_token1] = ACTIONS(5793),
    [aux_sym_format_statement_token1] = ACTIONS(5793),
    [aux_sym_open_statement_token1] = ACTIONS(5793),
    [aux_sym_inquire_statement_token1] = ACTIONS(5793),
    [aux_sym_enum_statement_token1] = ACTIONS(5793),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5793),
    [aux_sym_entry_statement_token1] = ACTIONS(5793),
    [aux_sym_logical_expression_token5] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [aux_sym_boolean_literal_token1] = ACTIONS(5797),
    [aux_sym_boolean_literal_token2] = ACTIONS(5797),
    [aux_sym_null_literal_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_statement_token2] = ACTIONS(5793),
    [aux_sym_coarray_statement_token6] = ACTIONS(5793),
    [aux_sym_coarray_statement_token8] = ACTIONS(5793),
    [aux_sym_coarray_statement_token11] = ACTIONS(5793),
    [aux_sym_coarray_statement_token12] = ACTIONS(5793),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5793),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5793),
    [aux_sym_identifier_token1] = ACTIONS(5793),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5797),
    [sym__float_literal] = ACTIONS(5797),
    [sym__boz_literal] = ACTIONS(5797),
    [sym__string_literal] = ACTIONS(5797),
    [sym__string_literal_kind] = ACTIONS(5797),
  },
  [1851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [sym_preproc_comment] = ACTIONS(5905),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5805),
    [aux_sym_preproc_def_token1] = ACTIONS(5805),
    [aux_sym_preproc_if_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5805),
    [sym_preproc_directive] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [sym_preproc_comment] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5809),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5809),
    [aux_sym_interface_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token1] = ACTIONS(5805),
    [aux_sym_block_data_statement_token2] = ACTIONS(5805),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5805),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5805),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5805),
    [aux_sym_language_binding_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5805),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5805),
    [aux_sym_use_statement_token1] = ACTIONS(5805),
    [aux_sym_use_statement_token2] = ACTIONS(5805),
    [aux_sym_implicit_statement_token1] = ACTIONS(5805),
    [aux_sym_implicit_statement_token3] = ACTIONS(5805),
    [aux_sym_implicit_statement_token4] = ACTIONS(5805),
    [aux_sym_save_statement_token1] = ACTIONS(5805),
    [aux_sym_private_statement_token1] = ACTIONS(5805),
    [aux_sym_public_statement_token1] = ACTIONS(5805),
    [aux_sym_namelist_statement_token1] = ACTIONS(5805),
    [aux_sym_common_statement_token1] = ACTIONS(5805),
    [aux_sym_import_statement_token1] = ACTIONS(5805),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5805),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5805),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5805),
    [aux_sym_variable_attributes_token1] = ACTIONS(5805),
    [aux_sym_variable_attributes_token2] = ACTIONS(5805),
    [aux_sym_variable_attributes_token3] = ACTIONS(5805),
    [aux_sym_variable_attributes_token4] = ACTIONS(5805),
    [aux_sym_variable_attributes_token5] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5805),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5805),
    [aux_sym_derived_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token1] = ACTIONS(5805),
    [aux_sym_declared_type_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5805),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5805),
    [aux_sym_type_qualifier_token1] = ACTIONS(5805),
    [aux_sym_type_qualifier_token2] = ACTIONS(5805),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token1] = ACTIONS(5805),
    [aux_sym_stop_statement_token2] = ACTIONS(5805),
    [aux_sym_subroutine_call_token1] = ACTIONS(5805),
    [aux_sym_keyword_statement_token2] = ACTIONS(5805),
    [aux_sym_keyword_statement_token3] = ACTIONS(5805),
    [aux_sym_keyword_statement_token4] = ACTIONS(5805),
    [aux_sym_include_statement_token1] = ACTIONS(5805),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5805),
    [aux_sym_end_if_statement_token1] = ACTIONS(5805),
    [aux_sym_elseif_clause_token2] = ACTIONS(5805),
    [aux_sym_select_case_statement_token1] = ACTIONS(5805),
    [aux_sym_format_statement_token1] = ACTIONS(5805),
    [aux_sym_open_statement_token1] = ACTIONS(5805),
    [aux_sym_inquire_statement_token1] = ACTIONS(5805),
    [aux_sym_enum_statement_token1] = ACTIONS(5805),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5805),
    [aux_sym_entry_statement_token1] = ACTIONS(5805),
    [aux_sym_logical_expression_token5] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [aux_sym_boolean_literal_token1] = ACTIONS(5809),
    [aux_sym_boolean_literal_token2] = ACTIONS(5809),
    [aux_sym_null_literal_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_statement_token2] = ACTIONS(5805),
    [aux_sym_coarray_statement_token6] = ACTIONS(5805),
    [aux_sym_coarray_statement_token8] = ACTIONS(5805),
    [aux_sym_coarray_statement_token11] = ACTIONS(5805),
    [aux_sym_coarray_statement_token12] = ACTIONS(5805),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5805),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5805),
    [aux_sym_identifier_token1] = ACTIONS(5805),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5809),
    [sym__float_literal] = ACTIONS(5809),
    [sym__boz_literal] = ACTIONS(5809),
    [sym__string_literal] = ACTIONS(5809),
    [sym__string_literal_kind] = ACTIONS(5809),
  },
  [1853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [sym_preproc_comment] = ACTIONS(5909),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_module_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [aux_sym_end_module_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_contains_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_module_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5646),
    [aux_sym_preproc_def_token1] = ACTIONS(5646),
    [aux_sym_preproc_if_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5646),
    [sym_preproc_directive] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5646),
    [aux_sym_end_module_statement_token1] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5648),
    [aux_sym_interface_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token2] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5646),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5646),
    [aux_sym_language_binding_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5646),
    [aux_sym_contains_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token2] = ACTIONS(5646),
    [aux_sym_implicit_statement_token1] = ACTIONS(5646),
    [aux_sym_implicit_statement_token3] = ACTIONS(5646),
    [aux_sym_implicit_statement_token4] = ACTIONS(5646),
    [aux_sym_save_statement_token1] = ACTIONS(5646),
    [aux_sym_private_statement_token1] = ACTIONS(5646),
    [aux_sym_public_statement_token1] = ACTIONS(5646),
    [aux_sym_namelist_statement_token1] = ACTIONS(5646),
    [aux_sym_common_statement_token1] = ACTIONS(5646),
    [aux_sym_import_statement_token1] = ACTIONS(5646),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5646),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5646),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5646),
    [aux_sym_variable_attributes_token1] = ACTIONS(5646),
    [aux_sym_variable_attributes_token2] = ACTIONS(5646),
    [aux_sym_variable_attributes_token3] = ACTIONS(5646),
    [aux_sym_variable_attributes_token4] = ACTIONS(5646),
    [aux_sym_variable_attributes_token5] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5646),
    [aux_sym_derived_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5646),
    [aux_sym_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token2] = ACTIONS(5646),
    [aux_sym_subroutine_call_token1] = ACTIONS(5646),
    [aux_sym_keyword_statement_token2] = ACTIONS(5646),
    [aux_sym_keyword_statement_token3] = ACTIONS(5646),
    [aux_sym_keyword_statement_token4] = ACTIONS(5646),
    [aux_sym_include_statement_token1] = ACTIONS(5646),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5646),
    [aux_sym_end_if_statement_token1] = ACTIONS(5646),
    [aux_sym_elseif_clause_token2] = ACTIONS(5646),
    [aux_sym_select_case_statement_token1] = ACTIONS(5646),
    [aux_sym_format_statement_token1] = ACTIONS(5646),
    [aux_sym_open_statement_token1] = ACTIONS(5646),
    [aux_sym_inquire_statement_token1] = ACTIONS(5646),
    [aux_sym_enum_statement_token1] = ACTIONS(5646),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5646),
    [aux_sym_entry_statement_token1] = ACTIONS(5646),
    [aux_sym_logical_expression_token5] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [aux_sym_boolean_literal_token1] = ACTIONS(5648),
    [aux_sym_boolean_literal_token2] = ACTIONS(5648),
    [aux_sym_null_literal_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token2] = ACTIONS(5646),
    [aux_sym_coarray_statement_token6] = ACTIONS(5646),
    [aux_sym_coarray_statement_token8] = ACTIONS(5646),
    [aux_sym_coarray_statement_token11] = ACTIONS(5646),
    [aux_sym_coarray_statement_token12] = ACTIONS(5646),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5646),
    [aux_sym_identifier_token1] = ACTIONS(5646),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5648),
    [sym__float_literal] = ACTIONS(5648),
    [sym__boz_literal] = ACTIONS(5648),
    [sym__string_literal] = ACTIONS(5648),
    [sym__string_literal_kind] = ACTIONS(5648),
  },
  [1858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5859),
    [aux_sym_preproc_def_token1] = ACTIONS(5859),
    [aux_sym_preproc_if_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5859),
    [sym_preproc_directive] = ACTIONS(5859),
    [anon_sym_LPAREN2] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5859),
    [aux_sym_end_module_statement_token1] = ACTIONS(5859),
    [anon_sym_SEMI] = ACTIONS(5861),
    [aux_sym_interface_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token2] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5859),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5859),
    [aux_sym_language_binding_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5859),
    [aux_sym_contains_statement_token1] = ACTIONS(5859),
    [aux_sym_use_statement_token1] = ACTIONS(5859),
    [aux_sym_use_statement_token2] = ACTIONS(5859),
    [aux_sym_implicit_statement_token1] = ACTIONS(5859),
    [aux_sym_implicit_statement_token3] = ACTIONS(5859),
    [aux_sym_implicit_statement_token4] = ACTIONS(5859),
    [aux_sym_save_statement_token1] = ACTIONS(5859),
    [aux_sym_private_statement_token1] = ACTIONS(5859),
    [aux_sym_public_statement_token1] = ACTIONS(5859),
    [aux_sym_namelist_statement_token1] = ACTIONS(5859),
    [aux_sym_common_statement_token1] = ACTIONS(5859),
    [aux_sym_import_statement_token1] = ACTIONS(5859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5859),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5859),
    [aux_sym_variable_attributes_token1] = ACTIONS(5859),
    [aux_sym_variable_attributes_token2] = ACTIONS(5859),
    [aux_sym_variable_attributes_token3] = ACTIONS(5859),
    [aux_sym_variable_attributes_token4] = ACTIONS(5859),
    [aux_sym_variable_attributes_token5] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5859),
    [aux_sym_derived_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5859),
    [aux_sym_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token2] = ACTIONS(5859),
    [aux_sym_subroutine_call_token1] = ACTIONS(5859),
    [aux_sym_keyword_statement_token2] = ACTIONS(5859),
    [aux_sym_keyword_statement_token3] = ACTIONS(5859),
    [aux_sym_keyword_statement_token4] = ACTIONS(5859),
    [aux_sym_include_statement_token1] = ACTIONS(5859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5859),
    [aux_sym_end_if_statement_token1] = ACTIONS(5859),
    [aux_sym_elseif_clause_token2] = ACTIONS(5859),
    [aux_sym_select_case_statement_token1] = ACTIONS(5859),
    [aux_sym_format_statement_token1] = ACTIONS(5859),
    [aux_sym_open_statement_token1] = ACTIONS(5859),
    [aux_sym_inquire_statement_token1] = ACTIONS(5859),
    [aux_sym_enum_statement_token1] = ACTIONS(5859),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5859),
    [aux_sym_entry_statement_token1] = ACTIONS(5859),
    [aux_sym_logical_expression_token5] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [aux_sym_boolean_literal_token1] = ACTIONS(5861),
    [aux_sym_boolean_literal_token2] = ACTIONS(5861),
    [aux_sym_null_literal_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token2] = ACTIONS(5859),
    [aux_sym_coarray_statement_token6] = ACTIONS(5859),
    [aux_sym_coarray_statement_token8] = ACTIONS(5859),
    [aux_sym_coarray_statement_token11] = ACTIONS(5859),
    [aux_sym_coarray_statement_token12] = ACTIONS(5859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5859),
    [aux_sym_identifier_token1] = ACTIONS(5859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5861),
    [sym__float_literal] = ACTIONS(5861),
    [sym__boz_literal] = ACTIONS(5861),
    [sym__string_literal] = ACTIONS(5861),
    [sym__string_literal_kind] = ACTIONS(5861),
  },
  [1859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_module_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_module_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5911),
    [aux_sym_preproc_def_token1] = ACTIONS(5911),
    [aux_sym_preproc_if_token1] = ACTIONS(5911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5911),
    [sym_preproc_directive] = ACTIONS(5911),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_PLUS] = ACTIONS(5913),
    [anon_sym_DASH] = ACTIONS(5913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5911),
    [aux_sym_end_module_statement_token1] = ACTIONS(5911),
    [anon_sym_SEMI] = ACTIONS(5913),
    [aux_sym_interface_statement_token1] = ACTIONS(5911),
    [aux_sym_block_data_statement_token1] = ACTIONS(5911),
    [aux_sym_block_data_statement_token2] = ACTIONS(5911),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5911),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5911),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5911),
    [aux_sym_language_binding_token1] = ACTIONS(5911),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5911),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5911),
    [aux_sym_contains_statement_token1] = ACTIONS(5911),
    [aux_sym_use_statement_token1] = ACTIONS(5911),
    [aux_sym_use_statement_token2] = ACTIONS(5911),
    [aux_sym_implicit_statement_token1] = ACTIONS(5911),
    [aux_sym_implicit_statement_token3] = ACTIONS(5911),
    [aux_sym_implicit_statement_token4] = ACTIONS(5911),
    [aux_sym_save_statement_token1] = ACTIONS(5911),
    [aux_sym_private_statement_token1] = ACTIONS(5911),
    [aux_sym_public_statement_token1] = ACTIONS(5911),
    [aux_sym_namelist_statement_token1] = ACTIONS(5911),
    [aux_sym_common_statement_token1] = ACTIONS(5911),
    [aux_sym_import_statement_token1] = ACTIONS(5911),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5911),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5911),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5911),
    [aux_sym_variable_attributes_token1] = ACTIONS(5911),
    [aux_sym_variable_attributes_token2] = ACTIONS(5911),
    [aux_sym_variable_attributes_token3] = ACTIONS(5911),
    [aux_sym_variable_attributes_token4] = ACTIONS(5911),
    [aux_sym_variable_attributes_token5] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5911),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5911),
    [aux_sym_derived_type_token1] = ACTIONS(5911),
    [aux_sym_declared_type_token1] = ACTIONS(5911),
    [aux_sym_declared_type_token2] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5911),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5911),
    [aux_sym_type_qualifier_token1] = ACTIONS(5911),
    [aux_sym_type_qualifier_token2] = ACTIONS(5911),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5911),
    [aux_sym_stop_statement_token1] = ACTIONS(5911),
    [aux_sym_stop_statement_token2] = ACTIONS(5911),
    [aux_sym_subroutine_call_token1] = ACTIONS(5911),
    [aux_sym_keyword_statement_token2] = ACTIONS(5911),
    [aux_sym_keyword_statement_token3] = ACTIONS(5911),
    [aux_sym_keyword_statement_token4] = ACTIONS(5911),
    [aux_sym_include_statement_token1] = ACTIONS(5911),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5911),
    [aux_sym_end_if_statement_token1] = ACTIONS(5911),
    [aux_sym_elseif_clause_token2] = ACTIONS(5911),
    [aux_sym_select_case_statement_token1] = ACTIONS(5911),
    [aux_sym_format_statement_token1] = ACTIONS(5911),
    [aux_sym_open_statement_token1] = ACTIONS(5911),
    [aux_sym_inquire_statement_token1] = ACTIONS(5911),
    [aux_sym_enum_statement_token1] = ACTIONS(5911),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5911),
    [aux_sym_entry_statement_token1] = ACTIONS(5911),
    [aux_sym_logical_expression_token5] = ACTIONS(5913),
    [anon_sym_DOT] = ACTIONS(5911),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5913),
    [anon_sym_LBRACK] = ACTIONS(5913),
    [aux_sym_boolean_literal_token1] = ACTIONS(5913),
    [aux_sym_boolean_literal_token2] = ACTIONS(5913),
    [aux_sym_null_literal_token1] = ACTIONS(5911),
    [aux_sym_coarray_statement_token1] = ACTIONS(5911),
    [aux_sym_coarray_statement_token2] = ACTIONS(5911),
    [aux_sym_coarray_statement_token6] = ACTIONS(5911),
    [aux_sym_coarray_statement_token8] = ACTIONS(5911),
    [aux_sym_coarray_statement_token11] = ACTIONS(5911),
    [aux_sym_coarray_statement_token12] = ACTIONS(5911),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5911),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5911),
    [aux_sym_identifier_token1] = ACTIONS(5911),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5913),
    [sym__float_literal] = ACTIONS(5913),
    [sym__boz_literal] = ACTIONS(5913),
    [sym__string_literal] = ACTIONS(5913),
    [sym__string_literal_kind] = ACTIONS(5913),
  },
  [1862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5731),
    [aux_sym_preproc_def_token1] = ACTIONS(5731),
    [aux_sym_preproc_if_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5731),
    [sym_preproc_directive] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [sym_preproc_comment] = ACTIONS(5915),
    [anon_sym_PLUS] = ACTIONS(5735),
    [anon_sym_DASH] = ACTIONS(5735),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5735),
    [aux_sym_interface_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token1] = ACTIONS(5731),
    [aux_sym_block_data_statement_token2] = ACTIONS(5731),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5731),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5731),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5731),
    [aux_sym_language_binding_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5731),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5731),
    [aux_sym_use_statement_token1] = ACTIONS(5731),
    [aux_sym_use_statement_token2] = ACTIONS(5731),
    [aux_sym_implicit_statement_token1] = ACTIONS(5731),
    [aux_sym_implicit_statement_token3] = ACTIONS(5731),
    [aux_sym_implicit_statement_token4] = ACTIONS(5731),
    [aux_sym_save_statement_token1] = ACTIONS(5731),
    [aux_sym_private_statement_token1] = ACTIONS(5731),
    [aux_sym_public_statement_token1] = ACTIONS(5731),
    [aux_sym_namelist_statement_token1] = ACTIONS(5731),
    [aux_sym_common_statement_token1] = ACTIONS(5731),
    [aux_sym_import_statement_token1] = ACTIONS(5731),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5731),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5731),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5731),
    [aux_sym_variable_attributes_token1] = ACTIONS(5731),
    [aux_sym_variable_attributes_token2] = ACTIONS(5731),
    [aux_sym_variable_attributes_token3] = ACTIONS(5731),
    [aux_sym_variable_attributes_token4] = ACTIONS(5731),
    [aux_sym_variable_attributes_token5] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5731),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5731),
    [aux_sym_derived_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token1] = ACTIONS(5731),
    [aux_sym_declared_type_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5731),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5731),
    [aux_sym_type_qualifier_token1] = ACTIONS(5731),
    [aux_sym_type_qualifier_token2] = ACTIONS(5731),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token1] = ACTIONS(5731),
    [aux_sym_stop_statement_token2] = ACTIONS(5731),
    [aux_sym_subroutine_call_token1] = ACTIONS(5731),
    [aux_sym_keyword_statement_token2] = ACTIONS(5731),
    [aux_sym_keyword_statement_token3] = ACTIONS(5731),
    [aux_sym_keyword_statement_token4] = ACTIONS(5731),
    [aux_sym_include_statement_token1] = ACTIONS(5731),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5731),
    [aux_sym_end_if_statement_token1] = ACTIONS(5731),
    [aux_sym_elseif_clause_token2] = ACTIONS(5731),
    [aux_sym_select_case_statement_token1] = ACTIONS(5731),
    [aux_sym_format_statement_token1] = ACTIONS(5731),
    [aux_sym_open_statement_token1] = ACTIONS(5731),
    [aux_sym_inquire_statement_token1] = ACTIONS(5731),
    [aux_sym_enum_statement_token1] = ACTIONS(5731),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5731),
    [aux_sym_entry_statement_token1] = ACTIONS(5731),
    [aux_sym_logical_expression_token5] = ACTIONS(5735),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [aux_sym_boolean_literal_token1] = ACTIONS(5735),
    [aux_sym_boolean_literal_token2] = ACTIONS(5735),
    [aux_sym_null_literal_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_statement_token2] = ACTIONS(5731),
    [aux_sym_coarray_statement_token6] = ACTIONS(5731),
    [aux_sym_coarray_statement_token8] = ACTIONS(5731),
    [aux_sym_coarray_statement_token11] = ACTIONS(5731),
    [aux_sym_coarray_statement_token12] = ACTIONS(5731),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5731),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5731),
    [aux_sym_identifier_token1] = ACTIONS(5731),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5735),
    [sym__float_literal] = ACTIONS(5735),
    [sym__boz_literal] = ACTIONS(5735),
    [sym__string_literal] = ACTIONS(5735),
    [sym__string_literal_kind] = ACTIONS(5735),
  },
  [1863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [sym_preproc_comment] = ACTIONS(5917),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5775),
    [aux_sym_preproc_def_token1] = ACTIONS(5775),
    [aux_sym_preproc_if_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5775),
    [sym_preproc_directive] = ACTIONS(5775),
    [anon_sym_LPAREN2] = ACTIONS(5775),
    [sym_preproc_comment] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5775),
    [anon_sym_SEMI] = ACTIONS(5779),
    [aux_sym_interface_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token1] = ACTIONS(5775),
    [aux_sym_block_data_statement_token2] = ACTIONS(5775),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5775),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5775),
    [aux_sym_language_binding_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5775),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5775),
    [aux_sym_use_statement_token1] = ACTIONS(5775),
    [aux_sym_use_statement_token2] = ACTIONS(5775),
    [aux_sym_implicit_statement_token1] = ACTIONS(5775),
    [aux_sym_implicit_statement_token3] = ACTIONS(5775),
    [aux_sym_implicit_statement_token4] = ACTIONS(5775),
    [aux_sym_save_statement_token1] = ACTIONS(5775),
    [aux_sym_private_statement_token1] = ACTIONS(5775),
    [aux_sym_public_statement_token1] = ACTIONS(5775),
    [aux_sym_namelist_statement_token1] = ACTIONS(5775),
    [aux_sym_common_statement_token1] = ACTIONS(5775),
    [aux_sym_import_statement_token1] = ACTIONS(5775),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5775),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5775),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5775),
    [aux_sym_variable_attributes_token1] = ACTIONS(5775),
    [aux_sym_variable_attributes_token2] = ACTIONS(5775),
    [aux_sym_variable_attributes_token3] = ACTIONS(5775),
    [aux_sym_variable_attributes_token4] = ACTIONS(5775),
    [aux_sym_variable_attributes_token5] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5775),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5775),
    [aux_sym_derived_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token1] = ACTIONS(5775),
    [aux_sym_declared_type_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5775),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5775),
    [aux_sym_type_qualifier_token1] = ACTIONS(5775),
    [aux_sym_type_qualifier_token2] = ACTIONS(5775),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token1] = ACTIONS(5775),
    [aux_sym_stop_statement_token2] = ACTIONS(5775),
    [aux_sym_subroutine_call_token1] = ACTIONS(5775),
    [aux_sym_keyword_statement_token2] = ACTIONS(5775),
    [aux_sym_keyword_statement_token3] = ACTIONS(5775),
    [aux_sym_keyword_statement_token4] = ACTIONS(5775),
    [aux_sym_include_statement_token1] = ACTIONS(5775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5775),
    [aux_sym_end_if_statement_token1] = ACTIONS(5775),
    [aux_sym_elseif_clause_token2] = ACTIONS(5775),
    [aux_sym_select_case_statement_token1] = ACTIONS(5775),
    [aux_sym_format_statement_token1] = ACTIONS(5775),
    [aux_sym_open_statement_token1] = ACTIONS(5775),
    [aux_sym_inquire_statement_token1] = ACTIONS(5775),
    [aux_sym_enum_statement_token1] = ACTIONS(5775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5775),
    [aux_sym_entry_statement_token1] = ACTIONS(5775),
    [aux_sym_logical_expression_token5] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [aux_sym_boolean_literal_token1] = ACTIONS(5779),
    [aux_sym_boolean_literal_token2] = ACTIONS(5779),
    [aux_sym_null_literal_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_statement_token2] = ACTIONS(5775),
    [aux_sym_coarray_statement_token6] = ACTIONS(5775),
    [aux_sym_coarray_statement_token8] = ACTIONS(5775),
    [aux_sym_coarray_statement_token11] = ACTIONS(5775),
    [aux_sym_coarray_statement_token12] = ACTIONS(5775),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5775),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5775),
    [aux_sym_identifier_token1] = ACTIONS(5775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5779),
    [sym__float_literal] = ACTIONS(5779),
    [sym__boz_literal] = ACTIONS(5779),
    [sym__string_literal] = ACTIONS(5779),
    [sym__string_literal_kind] = ACTIONS(5779),
  },
  [1865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [sym_preproc_comment] = ACTIONS(5921),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_module_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_module_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_module_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_module_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_module_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5743),
    [aux_sym_preproc_def_token1] = ACTIONS(5743),
    [aux_sym_preproc_if_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5743),
    [sym_preproc_directive] = ACTIONS(5743),
    [anon_sym_LPAREN2] = ACTIONS(5743),
    [sym_preproc_comment] = ACTIONS(5923),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5747),
    [aux_sym_interface_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token1] = ACTIONS(5743),
    [aux_sym_block_data_statement_token2] = ACTIONS(5743),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5743),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5743),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5743),
    [aux_sym_language_binding_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5743),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5743),
    [aux_sym_use_statement_token1] = ACTIONS(5743),
    [aux_sym_use_statement_token2] = ACTIONS(5743),
    [aux_sym_implicit_statement_token1] = ACTIONS(5743),
    [aux_sym_implicit_statement_token3] = ACTIONS(5743),
    [aux_sym_implicit_statement_token4] = ACTIONS(5743),
    [aux_sym_save_statement_token1] = ACTIONS(5743),
    [aux_sym_private_statement_token1] = ACTIONS(5743),
    [aux_sym_public_statement_token1] = ACTIONS(5743),
    [aux_sym_namelist_statement_token1] = ACTIONS(5743),
    [aux_sym_common_statement_token1] = ACTIONS(5743),
    [aux_sym_import_statement_token1] = ACTIONS(5743),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5743),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5743),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5743),
    [aux_sym_variable_attributes_token1] = ACTIONS(5743),
    [aux_sym_variable_attributes_token2] = ACTIONS(5743),
    [aux_sym_variable_attributes_token3] = ACTIONS(5743),
    [aux_sym_variable_attributes_token4] = ACTIONS(5743),
    [aux_sym_variable_attributes_token5] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5743),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5743),
    [aux_sym_derived_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token1] = ACTIONS(5743),
    [aux_sym_declared_type_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5743),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5743),
    [aux_sym_type_qualifier_token1] = ACTIONS(5743),
    [aux_sym_type_qualifier_token2] = ACTIONS(5743),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token1] = ACTIONS(5743),
    [aux_sym_stop_statement_token2] = ACTIONS(5743),
    [aux_sym_subroutine_call_token1] = ACTIONS(5743),
    [aux_sym_keyword_statement_token2] = ACTIONS(5743),
    [aux_sym_keyword_statement_token3] = ACTIONS(5743),
    [aux_sym_keyword_statement_token4] = ACTIONS(5743),
    [aux_sym_include_statement_token1] = ACTIONS(5743),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5743),
    [aux_sym_end_if_statement_token1] = ACTIONS(5743),
    [aux_sym_elseif_clause_token2] = ACTIONS(5743),
    [aux_sym_select_case_statement_token1] = ACTIONS(5743),
    [aux_sym_format_statement_token1] = ACTIONS(5743),
    [aux_sym_open_statement_token1] = ACTIONS(5743),
    [aux_sym_inquire_statement_token1] = ACTIONS(5743),
    [aux_sym_enum_statement_token1] = ACTIONS(5743),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5743),
    [aux_sym_entry_statement_token1] = ACTIONS(5743),
    [aux_sym_logical_expression_token5] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [aux_sym_boolean_literal_token1] = ACTIONS(5747),
    [aux_sym_boolean_literal_token2] = ACTIONS(5747),
    [aux_sym_null_literal_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_statement_token2] = ACTIONS(5743),
    [aux_sym_coarray_statement_token6] = ACTIONS(5743),
    [aux_sym_coarray_statement_token8] = ACTIONS(5743),
    [aux_sym_coarray_statement_token11] = ACTIONS(5743),
    [aux_sym_coarray_statement_token12] = ACTIONS(5743),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5743),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5743),
    [aux_sym_identifier_token1] = ACTIONS(5743),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5747),
    [sym__float_literal] = ACTIONS(5747),
    [sym__boz_literal] = ACTIONS(5747),
    [sym__string_literal] = ACTIONS(5747),
    [sym__string_literal_kind] = ACTIONS(5747),
  },
  [1872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [sym_preproc_comment] = ACTIONS(5925),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5755),
    [aux_sym_preproc_def_token1] = ACTIONS(5755),
    [aux_sym_preproc_if_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5755),
    [sym_preproc_directive] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [sym_preproc_comment] = ACTIONS(5927),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5759),
    [aux_sym_interface_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token1] = ACTIONS(5755),
    [aux_sym_block_data_statement_token2] = ACTIONS(5755),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5755),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5755),
    [aux_sym_language_binding_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5755),
    [aux_sym_use_statement_token1] = ACTIONS(5755),
    [aux_sym_use_statement_token2] = ACTIONS(5755),
    [aux_sym_implicit_statement_token1] = ACTIONS(5755),
    [aux_sym_implicit_statement_token3] = ACTIONS(5755),
    [aux_sym_implicit_statement_token4] = ACTIONS(5755),
    [aux_sym_save_statement_token1] = ACTIONS(5755),
    [aux_sym_private_statement_token1] = ACTIONS(5755),
    [aux_sym_public_statement_token1] = ACTIONS(5755),
    [aux_sym_namelist_statement_token1] = ACTIONS(5755),
    [aux_sym_common_statement_token1] = ACTIONS(5755),
    [aux_sym_import_statement_token1] = ACTIONS(5755),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5755),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5755),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5755),
    [aux_sym_variable_attributes_token1] = ACTIONS(5755),
    [aux_sym_variable_attributes_token2] = ACTIONS(5755),
    [aux_sym_variable_attributes_token3] = ACTIONS(5755),
    [aux_sym_variable_attributes_token4] = ACTIONS(5755),
    [aux_sym_variable_attributes_token5] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5755),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5755),
    [aux_sym_derived_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token1] = ACTIONS(5755),
    [aux_sym_declared_type_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5755),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5755),
    [aux_sym_type_qualifier_token1] = ACTIONS(5755),
    [aux_sym_type_qualifier_token2] = ACTIONS(5755),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token1] = ACTIONS(5755),
    [aux_sym_stop_statement_token2] = ACTIONS(5755),
    [aux_sym_subroutine_call_token1] = ACTIONS(5755),
    [aux_sym_keyword_statement_token2] = ACTIONS(5755),
    [aux_sym_keyword_statement_token3] = ACTIONS(5755),
    [aux_sym_keyword_statement_token4] = ACTIONS(5755),
    [aux_sym_include_statement_token1] = ACTIONS(5755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5755),
    [aux_sym_end_if_statement_token1] = ACTIONS(5755),
    [aux_sym_elseif_clause_token2] = ACTIONS(5755),
    [aux_sym_select_case_statement_token1] = ACTIONS(5755),
    [aux_sym_format_statement_token1] = ACTIONS(5755),
    [aux_sym_open_statement_token1] = ACTIONS(5755),
    [aux_sym_inquire_statement_token1] = ACTIONS(5755),
    [aux_sym_enum_statement_token1] = ACTIONS(5755),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5755),
    [aux_sym_entry_statement_token1] = ACTIONS(5755),
    [aux_sym_logical_expression_token5] = ACTIONS(5759),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5759),
    [anon_sym_LBRACK] = ACTIONS(5759),
    [aux_sym_boolean_literal_token1] = ACTIONS(5759),
    [aux_sym_boolean_literal_token2] = ACTIONS(5759),
    [aux_sym_null_literal_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_statement_token2] = ACTIONS(5755),
    [aux_sym_coarray_statement_token6] = ACTIONS(5755),
    [aux_sym_coarray_statement_token8] = ACTIONS(5755),
    [aux_sym_coarray_statement_token11] = ACTIONS(5755),
    [aux_sym_coarray_statement_token12] = ACTIONS(5755),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5755),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5755),
    [aux_sym_identifier_token1] = ACTIONS(5755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5759),
    [sym__float_literal] = ACTIONS(5759),
    [sym__boz_literal] = ACTIONS(5759),
    [sym__string_literal] = ACTIONS(5759),
    [sym__string_literal_kind] = ACTIONS(5759),
  },
  [1874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5929),
    [aux_sym_preproc_def_token1] = ACTIONS(5929),
    [aux_sym_preproc_if_token1] = ACTIONS(5929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5929),
    [sym_preproc_directive] = ACTIONS(5929),
    [anon_sym_LPAREN2] = ACTIONS(5929),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5929),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5929),
    [anon_sym_SEMI] = ACTIONS(5931),
    [aux_sym_interface_statement_token1] = ACTIONS(5929),
    [aux_sym_block_data_statement_token1] = ACTIONS(5929),
    [aux_sym_block_data_statement_token2] = ACTIONS(5929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5929),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5929),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5929),
    [aux_sym_language_binding_token1] = ACTIONS(5929),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5929),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5929),
    [aux_sym_contains_statement_token1] = ACTIONS(5929),
    [aux_sym_use_statement_token1] = ACTIONS(5929),
    [aux_sym_use_statement_token2] = ACTIONS(5929),
    [aux_sym_implicit_statement_token1] = ACTIONS(5929),
    [aux_sym_implicit_statement_token3] = ACTIONS(5929),
    [aux_sym_implicit_statement_token4] = ACTIONS(5929),
    [aux_sym_save_statement_token1] = ACTIONS(5929),
    [aux_sym_private_statement_token1] = ACTIONS(5929),
    [aux_sym_public_statement_token1] = ACTIONS(5929),
    [aux_sym_namelist_statement_token1] = ACTIONS(5929),
    [aux_sym_common_statement_token1] = ACTIONS(5929),
    [aux_sym_import_statement_token1] = ACTIONS(5929),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5929),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5929),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5929),
    [aux_sym_variable_attributes_token1] = ACTIONS(5929),
    [aux_sym_variable_attributes_token2] = ACTIONS(5929),
    [aux_sym_variable_attributes_token3] = ACTIONS(5929),
    [aux_sym_variable_attributes_token4] = ACTIONS(5929),
    [aux_sym_variable_attributes_token5] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5929),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5929),
    [aux_sym_derived_type_token1] = ACTIONS(5929),
    [aux_sym_declared_type_token1] = ACTIONS(5929),
    [aux_sym_declared_type_token2] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5929),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5929),
    [aux_sym_type_qualifier_token1] = ACTIONS(5929),
    [aux_sym_type_qualifier_token2] = ACTIONS(5929),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5929),
    [aux_sym_stop_statement_token1] = ACTIONS(5929),
    [aux_sym_stop_statement_token2] = ACTIONS(5929),
    [aux_sym_subroutine_call_token1] = ACTIONS(5929),
    [aux_sym_keyword_statement_token2] = ACTIONS(5929),
    [aux_sym_keyword_statement_token3] = ACTIONS(5929),
    [aux_sym_keyword_statement_token4] = ACTIONS(5929),
    [aux_sym_include_statement_token1] = ACTIONS(5929),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5929),
    [aux_sym_end_if_statement_token1] = ACTIONS(5929),
    [aux_sym_elseif_clause_token2] = ACTIONS(5929),
    [aux_sym_select_case_statement_token1] = ACTIONS(5929),
    [aux_sym_format_statement_token1] = ACTIONS(5929),
    [aux_sym_open_statement_token1] = ACTIONS(5929),
    [aux_sym_inquire_statement_token1] = ACTIONS(5929),
    [aux_sym_enum_statement_token1] = ACTIONS(5929),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5929),
    [aux_sym_entry_statement_token1] = ACTIONS(5929),
    [aux_sym_logical_expression_token5] = ACTIONS(5931),
    [anon_sym_DOT] = ACTIONS(5929),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [aux_sym_boolean_literal_token1] = ACTIONS(5931),
    [aux_sym_boolean_literal_token2] = ACTIONS(5931),
    [aux_sym_null_literal_token1] = ACTIONS(5929),
    [aux_sym_coarray_statement_token1] = ACTIONS(5929),
    [aux_sym_coarray_statement_token2] = ACTIONS(5929),
    [aux_sym_coarray_statement_token6] = ACTIONS(5929),
    [aux_sym_coarray_statement_token8] = ACTIONS(5929),
    [aux_sym_coarray_statement_token11] = ACTIONS(5929),
    [aux_sym_coarray_statement_token12] = ACTIONS(5929),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5929),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5929),
    [aux_sym_identifier_token1] = ACTIONS(5929),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5931),
    [sym__float_literal] = ACTIONS(5931),
    [sym__boz_literal] = ACTIONS(5931),
    [sym__string_literal] = ACTIONS(5931),
    [sym__string_literal_kind] = ACTIONS(5931),
  },
  [1875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_module_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_module_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5737),
    [aux_sym_preproc_def_token1] = ACTIONS(5737),
    [aux_sym_preproc_if_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5737),
    [sym_preproc_directive] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [sym_preproc_comment] = ACTIONS(5933),
    [anon_sym_PLUS] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5741),
    [aux_sym_interface_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token1] = ACTIONS(5737),
    [aux_sym_block_data_statement_token2] = ACTIONS(5737),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5737),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5737),
    [aux_sym_language_binding_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5737),
    [aux_sym_use_statement_token1] = ACTIONS(5737),
    [aux_sym_use_statement_token2] = ACTIONS(5737),
    [aux_sym_implicit_statement_token1] = ACTIONS(5737),
    [aux_sym_implicit_statement_token3] = ACTIONS(5737),
    [aux_sym_implicit_statement_token4] = ACTIONS(5737),
    [aux_sym_save_statement_token1] = ACTIONS(5737),
    [aux_sym_private_statement_token1] = ACTIONS(5737),
    [aux_sym_public_statement_token1] = ACTIONS(5737),
    [aux_sym_namelist_statement_token1] = ACTIONS(5737),
    [aux_sym_common_statement_token1] = ACTIONS(5737),
    [aux_sym_import_statement_token1] = ACTIONS(5737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5737),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5737),
    [aux_sym_variable_attributes_token1] = ACTIONS(5737),
    [aux_sym_variable_attributes_token2] = ACTIONS(5737),
    [aux_sym_variable_attributes_token3] = ACTIONS(5737),
    [aux_sym_variable_attributes_token4] = ACTIONS(5737),
    [aux_sym_variable_attributes_token5] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5737),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5737),
    [aux_sym_derived_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token1] = ACTIONS(5737),
    [aux_sym_declared_type_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5737),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5737),
    [aux_sym_type_qualifier_token1] = ACTIONS(5737),
    [aux_sym_type_qualifier_token2] = ACTIONS(5737),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token1] = ACTIONS(5737),
    [aux_sym_stop_statement_token2] = ACTIONS(5737),
    [aux_sym_subroutine_call_token1] = ACTIONS(5737),
    [aux_sym_keyword_statement_token2] = ACTIONS(5737),
    [aux_sym_keyword_statement_token3] = ACTIONS(5737),
    [aux_sym_keyword_statement_token4] = ACTIONS(5737),
    [aux_sym_include_statement_token1] = ACTIONS(5737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5737),
    [aux_sym_end_if_statement_token1] = ACTIONS(5737),
    [aux_sym_elseif_clause_token2] = ACTIONS(5737),
    [aux_sym_select_case_statement_token1] = ACTIONS(5737),
    [aux_sym_format_statement_token1] = ACTIONS(5737),
    [aux_sym_open_statement_token1] = ACTIONS(5737),
    [aux_sym_inquire_statement_token1] = ACTIONS(5737),
    [aux_sym_enum_statement_token1] = ACTIONS(5737),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5737),
    [aux_sym_entry_statement_token1] = ACTIONS(5737),
    [aux_sym_logical_expression_token5] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [aux_sym_boolean_literal_token1] = ACTIONS(5741),
    [aux_sym_boolean_literal_token2] = ACTIONS(5741),
    [aux_sym_null_literal_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_statement_token2] = ACTIONS(5737),
    [aux_sym_coarray_statement_token6] = ACTIONS(5737),
    [aux_sym_coarray_statement_token8] = ACTIONS(5737),
    [aux_sym_coarray_statement_token11] = ACTIONS(5737),
    [aux_sym_coarray_statement_token12] = ACTIONS(5737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5737),
    [aux_sym_identifier_token1] = ACTIONS(5737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5741),
    [sym__float_literal] = ACTIONS(5741),
    [sym__boz_literal] = ACTIONS(5741),
    [sym__string_literal] = ACTIONS(5741),
    [sym__string_literal_kind] = ACTIONS(5741),
  },
  [1879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_module_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_module_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_module_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_module_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_module_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_module_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_module_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_contains_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_module_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5935),
    [aux_sym_preproc_def_token1] = ACTIONS(5935),
    [aux_sym_preproc_if_token1] = ACTIONS(5935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5935),
    [sym_preproc_directive] = ACTIONS(5935),
    [anon_sym_LPAREN2] = ACTIONS(5935),
    [anon_sym_PLUS] = ACTIONS(5937),
    [anon_sym_DASH] = ACTIONS(5937),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5935),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5935),
    [anon_sym_SEMI] = ACTIONS(5937),
    [aux_sym_interface_statement_token1] = ACTIONS(5935),
    [aux_sym_block_data_statement_token1] = ACTIONS(5935),
    [aux_sym_block_data_statement_token2] = ACTIONS(5935),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5935),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5935),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5935),
    [aux_sym_language_binding_token1] = ACTIONS(5935),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5935),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5935),
    [aux_sym_contains_statement_token1] = ACTIONS(5935),
    [aux_sym_use_statement_token1] = ACTIONS(5935),
    [aux_sym_use_statement_token2] = ACTIONS(5935),
    [aux_sym_implicit_statement_token1] = ACTIONS(5935),
    [aux_sym_implicit_statement_token3] = ACTIONS(5935),
    [aux_sym_implicit_statement_token4] = ACTIONS(5935),
    [aux_sym_save_statement_token1] = ACTIONS(5935),
    [aux_sym_private_statement_token1] = ACTIONS(5935),
    [aux_sym_public_statement_token1] = ACTIONS(5935),
    [aux_sym_namelist_statement_token1] = ACTIONS(5935),
    [aux_sym_common_statement_token1] = ACTIONS(5935),
    [aux_sym_import_statement_token1] = ACTIONS(5935),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5935),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5935),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5935),
    [aux_sym_variable_attributes_token1] = ACTIONS(5935),
    [aux_sym_variable_attributes_token2] = ACTIONS(5935),
    [aux_sym_variable_attributes_token3] = ACTIONS(5935),
    [aux_sym_variable_attributes_token4] = ACTIONS(5935),
    [aux_sym_variable_attributes_token5] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5935),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5935),
    [aux_sym_derived_type_token1] = ACTIONS(5935),
    [aux_sym_declared_type_token1] = ACTIONS(5935),
    [aux_sym_declared_type_token2] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5935),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5935),
    [aux_sym_type_qualifier_token1] = ACTIONS(5935),
    [aux_sym_type_qualifier_token2] = ACTIONS(5935),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5935),
    [aux_sym_stop_statement_token1] = ACTIONS(5935),
    [aux_sym_stop_statement_token2] = ACTIONS(5935),
    [aux_sym_subroutine_call_token1] = ACTIONS(5935),
    [aux_sym_keyword_statement_token2] = ACTIONS(5935),
    [aux_sym_keyword_statement_token3] = ACTIONS(5935),
    [aux_sym_keyword_statement_token4] = ACTIONS(5935),
    [aux_sym_include_statement_token1] = ACTIONS(5935),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5935),
    [aux_sym_end_if_statement_token1] = ACTIONS(5935),
    [aux_sym_elseif_clause_token2] = ACTIONS(5935),
    [aux_sym_select_case_statement_token1] = ACTIONS(5935),
    [aux_sym_format_statement_token1] = ACTIONS(5935),
    [aux_sym_open_statement_token1] = ACTIONS(5935),
    [aux_sym_inquire_statement_token1] = ACTIONS(5935),
    [aux_sym_enum_statement_token1] = ACTIONS(5935),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5935),
    [aux_sym_entry_statement_token1] = ACTIONS(5935),
    [aux_sym_logical_expression_token5] = ACTIONS(5937),
    [anon_sym_DOT] = ACTIONS(5935),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5937),
    [anon_sym_LBRACK] = ACTIONS(5937),
    [aux_sym_boolean_literal_token1] = ACTIONS(5937),
    [aux_sym_boolean_literal_token2] = ACTIONS(5937),
    [aux_sym_null_literal_token1] = ACTIONS(5935),
    [aux_sym_coarray_statement_token1] = ACTIONS(5935),
    [aux_sym_coarray_statement_token2] = ACTIONS(5935),
    [aux_sym_coarray_statement_token6] = ACTIONS(5935),
    [aux_sym_coarray_statement_token8] = ACTIONS(5935),
    [aux_sym_coarray_statement_token11] = ACTIONS(5935),
    [aux_sym_coarray_statement_token12] = ACTIONS(5935),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5935),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5935),
    [aux_sym_identifier_token1] = ACTIONS(5935),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5937),
    [sym__float_literal] = ACTIONS(5937),
    [sym__boz_literal] = ACTIONS(5937),
    [sym__string_literal] = ACTIONS(5937),
    [sym__string_literal_kind] = ACTIONS(5937),
  },
  [1903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_module_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5646),
    [aux_sym_preproc_def_token1] = ACTIONS(5646),
    [aux_sym_preproc_if_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5646),
    [sym_preproc_directive] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5646),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5648),
    [aux_sym_interface_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token1] = ACTIONS(5646),
    [aux_sym_block_data_statement_token2] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5646),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5646),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5646),
    [aux_sym_language_binding_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5646),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5646),
    [aux_sym_contains_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token1] = ACTIONS(5646),
    [aux_sym_use_statement_token2] = ACTIONS(5646),
    [aux_sym_implicit_statement_token1] = ACTIONS(5646),
    [aux_sym_implicit_statement_token3] = ACTIONS(5646),
    [aux_sym_implicit_statement_token4] = ACTIONS(5646),
    [aux_sym_save_statement_token1] = ACTIONS(5646),
    [aux_sym_private_statement_token1] = ACTIONS(5646),
    [aux_sym_public_statement_token1] = ACTIONS(5646),
    [aux_sym_namelist_statement_token1] = ACTIONS(5646),
    [aux_sym_common_statement_token1] = ACTIONS(5646),
    [aux_sym_import_statement_token1] = ACTIONS(5646),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5646),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5646),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5646),
    [aux_sym_variable_attributes_token1] = ACTIONS(5646),
    [aux_sym_variable_attributes_token2] = ACTIONS(5646),
    [aux_sym_variable_attributes_token3] = ACTIONS(5646),
    [aux_sym_variable_attributes_token4] = ACTIONS(5646),
    [aux_sym_variable_attributes_token5] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5646),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5646),
    [aux_sym_derived_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token1] = ACTIONS(5646),
    [aux_sym_declared_type_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5646),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5646),
    [aux_sym_type_qualifier_token1] = ACTIONS(5646),
    [aux_sym_type_qualifier_token2] = ACTIONS(5646),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token1] = ACTIONS(5646),
    [aux_sym_stop_statement_token2] = ACTIONS(5646),
    [aux_sym_subroutine_call_token1] = ACTIONS(5646),
    [aux_sym_keyword_statement_token2] = ACTIONS(5646),
    [aux_sym_keyword_statement_token3] = ACTIONS(5646),
    [aux_sym_keyword_statement_token4] = ACTIONS(5646),
    [aux_sym_include_statement_token1] = ACTIONS(5646),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5646),
    [aux_sym_end_if_statement_token1] = ACTIONS(5646),
    [aux_sym_elseif_clause_token2] = ACTIONS(5646),
    [aux_sym_select_case_statement_token1] = ACTIONS(5646),
    [aux_sym_format_statement_token1] = ACTIONS(5646),
    [aux_sym_open_statement_token1] = ACTIONS(5646),
    [aux_sym_inquire_statement_token1] = ACTIONS(5646),
    [aux_sym_enum_statement_token1] = ACTIONS(5646),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5646),
    [aux_sym_entry_statement_token1] = ACTIONS(5646),
    [aux_sym_logical_expression_token5] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [aux_sym_boolean_literal_token1] = ACTIONS(5648),
    [aux_sym_boolean_literal_token2] = ACTIONS(5648),
    [aux_sym_null_literal_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_statement_token2] = ACTIONS(5646),
    [aux_sym_coarray_statement_token6] = ACTIONS(5646),
    [aux_sym_coarray_statement_token8] = ACTIONS(5646),
    [aux_sym_coarray_statement_token11] = ACTIONS(5646),
    [aux_sym_coarray_statement_token12] = ACTIONS(5646),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5646),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5646),
    [aux_sym_identifier_token1] = ACTIONS(5646),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5648),
    [sym__float_literal] = ACTIONS(5648),
    [sym__boz_literal] = ACTIONS(5648),
    [sym__string_literal] = ACTIONS(5648),
    [sym__string_literal_kind] = ACTIONS(5648),
  },
  [1905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [aux_sym_end_module_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_contains_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5889),
    [aux_sym_preproc_def_token1] = ACTIONS(5889),
    [aux_sym_preproc_if_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5889),
    [sym_preproc_directive] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5889),
    [aux_sym_end_module_statement_token1] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5891),
    [aux_sym_interface_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token2] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5889),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5889),
    [aux_sym_language_binding_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5889),
    [aux_sym_contains_statement_token1] = ACTIONS(5889),
    [aux_sym_use_statement_token1] = ACTIONS(5889),
    [aux_sym_use_statement_token2] = ACTIONS(5889),
    [aux_sym_implicit_statement_token1] = ACTIONS(5889),
    [aux_sym_implicit_statement_token3] = ACTIONS(5889),
    [aux_sym_implicit_statement_token4] = ACTIONS(5889),
    [aux_sym_save_statement_token1] = ACTIONS(5889),
    [aux_sym_private_statement_token1] = ACTIONS(5889),
    [aux_sym_public_statement_token1] = ACTIONS(5889),
    [aux_sym_namelist_statement_token1] = ACTIONS(5889),
    [aux_sym_common_statement_token1] = ACTIONS(5889),
    [aux_sym_import_statement_token1] = ACTIONS(5889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5889),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5889),
    [aux_sym_variable_attributes_token1] = ACTIONS(5889),
    [aux_sym_variable_attributes_token2] = ACTIONS(5889),
    [aux_sym_variable_attributes_token3] = ACTIONS(5889),
    [aux_sym_variable_attributes_token4] = ACTIONS(5889),
    [aux_sym_variable_attributes_token5] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5889),
    [aux_sym_derived_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5889),
    [aux_sym_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token2] = ACTIONS(5889),
    [aux_sym_subroutine_call_token1] = ACTIONS(5889),
    [aux_sym_keyword_statement_token2] = ACTIONS(5889),
    [aux_sym_keyword_statement_token3] = ACTIONS(5889),
    [aux_sym_keyword_statement_token4] = ACTIONS(5889),
    [aux_sym_include_statement_token1] = ACTIONS(5889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5889),
    [aux_sym_end_if_statement_token1] = ACTIONS(5889),
    [aux_sym_elseif_clause_token2] = ACTIONS(5889),
    [aux_sym_select_case_statement_token1] = ACTIONS(5889),
    [aux_sym_format_statement_token1] = ACTIONS(5889),
    [aux_sym_open_statement_token1] = ACTIONS(5889),
    [aux_sym_inquire_statement_token1] = ACTIONS(5889),
    [aux_sym_enum_statement_token1] = ACTIONS(5889),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5889),
    [aux_sym_entry_statement_token1] = ACTIONS(5889),
    [aux_sym_logical_expression_token5] = ACTIONS(5891),
    [anon_sym_DOT] = ACTIONS(5889),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5891),
    [aux_sym_boolean_literal_token1] = ACTIONS(5891),
    [aux_sym_boolean_literal_token2] = ACTIONS(5891),
    [aux_sym_null_literal_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token2] = ACTIONS(5889),
    [aux_sym_coarray_statement_token6] = ACTIONS(5889),
    [aux_sym_coarray_statement_token8] = ACTIONS(5889),
    [aux_sym_coarray_statement_token11] = ACTIONS(5889),
    [aux_sym_coarray_statement_token12] = ACTIONS(5889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5889),
    [aux_sym_identifier_token1] = ACTIONS(5889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5891),
    [sym__float_literal] = ACTIONS(5891),
    [sym__boz_literal] = ACTIONS(5891),
    [sym__string_literal] = ACTIONS(5891),
    [sym__string_literal_kind] = ACTIONS(5891),
  },
  [1909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [aux_sym_end_module_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_contains_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5939),
    [aux_sym_preproc_def_token1] = ACTIONS(5939),
    [aux_sym_preproc_if_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5939),
    [sym_preproc_directive] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(5939),
    [anon_sym_PLUS] = ACTIONS(5941),
    [anon_sym_DASH] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5939),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5939),
    [anon_sym_SEMI] = ACTIONS(5941),
    [aux_sym_interface_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token2] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5939),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5939),
    [aux_sym_language_binding_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5939),
    [aux_sym_contains_statement_token1] = ACTIONS(5939),
    [aux_sym_use_statement_token1] = ACTIONS(5939),
    [aux_sym_use_statement_token2] = ACTIONS(5939),
    [aux_sym_implicit_statement_token1] = ACTIONS(5939),
    [aux_sym_implicit_statement_token3] = ACTIONS(5939),
    [aux_sym_implicit_statement_token4] = ACTIONS(5939),
    [aux_sym_save_statement_token1] = ACTIONS(5939),
    [aux_sym_private_statement_token1] = ACTIONS(5939),
    [aux_sym_public_statement_token1] = ACTIONS(5939),
    [aux_sym_namelist_statement_token1] = ACTIONS(5939),
    [aux_sym_common_statement_token1] = ACTIONS(5939),
    [aux_sym_import_statement_token1] = ACTIONS(5939),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5939),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5939),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5939),
    [aux_sym_variable_attributes_token1] = ACTIONS(5939),
    [aux_sym_variable_attributes_token2] = ACTIONS(5939),
    [aux_sym_variable_attributes_token3] = ACTIONS(5939),
    [aux_sym_variable_attributes_token4] = ACTIONS(5939),
    [aux_sym_variable_attributes_token5] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5939),
    [aux_sym_derived_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5939),
    [aux_sym_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token2] = ACTIONS(5939),
    [aux_sym_subroutine_call_token1] = ACTIONS(5939),
    [aux_sym_keyword_statement_token2] = ACTIONS(5939),
    [aux_sym_keyword_statement_token3] = ACTIONS(5939),
    [aux_sym_keyword_statement_token4] = ACTIONS(5939),
    [aux_sym_include_statement_token1] = ACTIONS(5939),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5939),
    [aux_sym_end_if_statement_token1] = ACTIONS(5939),
    [aux_sym_elseif_clause_token2] = ACTIONS(5939),
    [aux_sym_select_case_statement_token1] = ACTIONS(5939),
    [aux_sym_format_statement_token1] = ACTIONS(5939),
    [aux_sym_open_statement_token1] = ACTIONS(5939),
    [aux_sym_inquire_statement_token1] = ACTIONS(5939),
    [aux_sym_enum_statement_token1] = ACTIONS(5939),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5939),
    [aux_sym_entry_statement_token1] = ACTIONS(5939),
    [aux_sym_logical_expression_token5] = ACTIONS(5941),
    [anon_sym_DOT] = ACTIONS(5939),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5941),
    [anon_sym_LBRACK] = ACTIONS(5941),
    [aux_sym_boolean_literal_token1] = ACTIONS(5941),
    [aux_sym_boolean_literal_token2] = ACTIONS(5941),
    [aux_sym_null_literal_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token2] = ACTIONS(5939),
    [aux_sym_coarray_statement_token6] = ACTIONS(5939),
    [aux_sym_coarray_statement_token8] = ACTIONS(5939),
    [aux_sym_coarray_statement_token11] = ACTIONS(5939),
    [aux_sym_coarray_statement_token12] = ACTIONS(5939),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5939),
    [aux_sym_identifier_token1] = ACTIONS(5939),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5941),
    [sym__float_literal] = ACTIONS(5941),
    [sym__boz_literal] = ACTIONS(5941),
    [sym__string_literal] = ACTIONS(5941),
    [sym__string_literal_kind] = ACTIONS(5941),
  },
  [1911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_contains_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5939),
    [aux_sym_preproc_def_token1] = ACTIONS(5939),
    [aux_sym_preproc_if_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5939),
    [sym_preproc_directive] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(5939),
    [anon_sym_PLUS] = ACTIONS(5941),
    [anon_sym_DASH] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5939),
    [aux_sym_end_module_statement_token1] = ACTIONS(5939),
    [anon_sym_SEMI] = ACTIONS(5941),
    [aux_sym_interface_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token2] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5939),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5939),
    [aux_sym_language_binding_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5939),
    [aux_sym_contains_statement_token1] = ACTIONS(5939),
    [aux_sym_use_statement_token1] = ACTIONS(5939),
    [aux_sym_use_statement_token2] = ACTIONS(5939),
    [aux_sym_implicit_statement_token1] = ACTIONS(5939),
    [aux_sym_implicit_statement_token3] = ACTIONS(5939),
    [aux_sym_implicit_statement_token4] = ACTIONS(5939),
    [aux_sym_save_statement_token1] = ACTIONS(5939),
    [aux_sym_private_statement_token1] = ACTIONS(5939),
    [aux_sym_public_statement_token1] = ACTIONS(5939),
    [aux_sym_namelist_statement_token1] = ACTIONS(5939),
    [aux_sym_common_statement_token1] = ACTIONS(5939),
    [aux_sym_import_statement_token1] = ACTIONS(5939),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5939),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5939),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5939),
    [aux_sym_variable_attributes_token1] = ACTIONS(5939),
    [aux_sym_variable_attributes_token2] = ACTIONS(5939),
    [aux_sym_variable_attributes_token3] = ACTIONS(5939),
    [aux_sym_variable_attributes_token4] = ACTIONS(5939),
    [aux_sym_variable_attributes_token5] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5939),
    [aux_sym_derived_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5939),
    [aux_sym_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token2] = ACTIONS(5939),
    [aux_sym_subroutine_call_token1] = ACTIONS(5939),
    [aux_sym_keyword_statement_token2] = ACTIONS(5939),
    [aux_sym_keyword_statement_token3] = ACTIONS(5939),
    [aux_sym_keyword_statement_token4] = ACTIONS(5939),
    [aux_sym_include_statement_token1] = ACTIONS(5939),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5939),
    [aux_sym_end_if_statement_token1] = ACTIONS(5939),
    [aux_sym_elseif_clause_token2] = ACTIONS(5939),
    [aux_sym_select_case_statement_token1] = ACTIONS(5939),
    [aux_sym_format_statement_token1] = ACTIONS(5939),
    [aux_sym_open_statement_token1] = ACTIONS(5939),
    [aux_sym_inquire_statement_token1] = ACTIONS(5939),
    [aux_sym_enum_statement_token1] = ACTIONS(5939),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5939),
    [aux_sym_entry_statement_token1] = ACTIONS(5939),
    [aux_sym_logical_expression_token5] = ACTIONS(5941),
    [anon_sym_DOT] = ACTIONS(5939),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5941),
    [anon_sym_LBRACK] = ACTIONS(5941),
    [aux_sym_boolean_literal_token1] = ACTIONS(5941),
    [aux_sym_boolean_literal_token2] = ACTIONS(5941),
    [aux_sym_null_literal_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token2] = ACTIONS(5939),
    [aux_sym_coarray_statement_token6] = ACTIONS(5939),
    [aux_sym_coarray_statement_token8] = ACTIONS(5939),
    [aux_sym_coarray_statement_token11] = ACTIONS(5939),
    [aux_sym_coarray_statement_token12] = ACTIONS(5939),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5939),
    [aux_sym_identifier_token1] = ACTIONS(5939),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5941),
    [sym__float_literal] = ACTIONS(5941),
    [sym__boz_literal] = ACTIONS(5941),
    [sym__string_literal] = ACTIONS(5941),
    [sym__string_literal_kind] = ACTIONS(5941),
  },
  [1913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_contains_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_module_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [1917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5889),
    [aux_sym_preproc_def_token1] = ACTIONS(5889),
    [aux_sym_preproc_if_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5889),
    [sym_preproc_directive] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5891),
    [aux_sym_interface_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token1] = ACTIONS(5889),
    [aux_sym_block_data_statement_token2] = ACTIONS(5889),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5889),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5889),
    [aux_sym_language_binding_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5889),
    [aux_sym_use_statement_token1] = ACTIONS(5889),
    [aux_sym_use_statement_token2] = ACTIONS(5889),
    [aux_sym_implicit_statement_token1] = ACTIONS(5889),
    [aux_sym_implicit_statement_token3] = ACTIONS(5889),
    [aux_sym_implicit_statement_token4] = ACTIONS(5889),
    [aux_sym_save_statement_token1] = ACTIONS(5889),
    [aux_sym_private_statement_token1] = ACTIONS(5889),
    [aux_sym_public_statement_token1] = ACTIONS(5889),
    [aux_sym_namelist_statement_token1] = ACTIONS(5889),
    [aux_sym_common_statement_token1] = ACTIONS(5889),
    [aux_sym_import_statement_token1] = ACTIONS(5889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5889),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5889),
    [aux_sym_variable_attributes_token1] = ACTIONS(5889),
    [aux_sym_variable_attributes_token2] = ACTIONS(5889),
    [aux_sym_variable_attributes_token3] = ACTIONS(5889),
    [aux_sym_variable_attributes_token4] = ACTIONS(5889),
    [aux_sym_variable_attributes_token5] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5889),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5889),
    [aux_sym_derived_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token1] = ACTIONS(5889),
    [aux_sym_declared_type_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5889),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5889),
    [aux_sym_type_qualifier_token1] = ACTIONS(5889),
    [aux_sym_type_qualifier_token2] = ACTIONS(5889),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token1] = ACTIONS(5889),
    [aux_sym_stop_statement_token2] = ACTIONS(5889),
    [aux_sym_subroutine_call_token1] = ACTIONS(5889),
    [aux_sym_keyword_statement_token2] = ACTIONS(5889),
    [aux_sym_keyword_statement_token3] = ACTIONS(5889),
    [aux_sym_keyword_statement_token4] = ACTIONS(5889),
    [aux_sym_include_statement_token1] = ACTIONS(5889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5889),
    [aux_sym_end_if_statement_token1] = ACTIONS(5889),
    [aux_sym_elseif_clause_token2] = ACTIONS(5889),
    [aux_sym_select_case_statement_token1] = ACTIONS(5889),
    [aux_sym_format_statement_token1] = ACTIONS(5889),
    [aux_sym_open_statement_token1] = ACTIONS(5889),
    [aux_sym_inquire_statement_token1] = ACTIONS(5889),
    [aux_sym_enum_statement_token1] = ACTIONS(5889),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5889),
    [aux_sym_entry_statement_token1] = ACTIONS(5889),
    [aux_sym_logical_expression_token5] = ACTIONS(5891),
    [anon_sym_DOT] = ACTIONS(5889),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5891),
    [aux_sym_boolean_literal_token1] = ACTIONS(5891),
    [aux_sym_boolean_literal_token2] = ACTIONS(5891),
    [aux_sym_null_literal_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_statement_token2] = ACTIONS(5889),
    [aux_sym_coarray_statement_token6] = ACTIONS(5889),
    [aux_sym_coarray_statement_token8] = ACTIONS(5889),
    [aux_sym_coarray_statement_token11] = ACTIONS(5889),
    [aux_sym_coarray_statement_token12] = ACTIONS(5889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5889),
    [aux_sym_identifier_token1] = ACTIONS(5889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5891),
    [sym__float_literal] = ACTIONS(5891),
    [sym__boz_literal] = ACTIONS(5891),
    [sym__string_literal] = ACTIONS(5891),
    [sym__string_literal_kind] = ACTIONS(5891),
  },
  [1918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5769),
    [aux_sym_preproc_def_token1] = ACTIONS(5769),
    [aux_sym_preproc_if_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5769),
    [sym_preproc_directive] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5773),
    [aux_sym_interface_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_block_data_statement_token2] = ACTIONS(5769),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5769),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5769),
    [aux_sym_language_binding_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5769),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5769),
    [aux_sym_use_statement_token1] = ACTIONS(5769),
    [aux_sym_use_statement_token2] = ACTIONS(5769),
    [aux_sym_implicit_statement_token1] = ACTIONS(5769),
    [aux_sym_implicit_statement_token3] = ACTIONS(5769),
    [aux_sym_implicit_statement_token4] = ACTIONS(5769),
    [aux_sym_save_statement_token1] = ACTIONS(5769),
    [aux_sym_private_statement_token1] = ACTIONS(5769),
    [aux_sym_public_statement_token1] = ACTIONS(5769),
    [aux_sym_namelist_statement_token1] = ACTIONS(5769),
    [aux_sym_common_statement_token1] = ACTIONS(5769),
    [aux_sym_import_statement_token1] = ACTIONS(5769),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5769),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5769),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5769),
    [aux_sym_variable_attributes_token1] = ACTIONS(5769),
    [aux_sym_variable_attributes_token2] = ACTIONS(5769),
    [aux_sym_variable_attributes_token3] = ACTIONS(5769),
    [aux_sym_variable_attributes_token4] = ACTIONS(5769),
    [aux_sym_variable_attributes_token5] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5769),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5769),
    [aux_sym_derived_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token1] = ACTIONS(5769),
    [aux_sym_declared_type_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5769),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5769),
    [aux_sym_type_qualifier_token1] = ACTIONS(5769),
    [aux_sym_type_qualifier_token2] = ACTIONS(5769),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token1] = ACTIONS(5769),
    [aux_sym_stop_statement_token2] = ACTIONS(5769),
    [aux_sym_subroutine_call_token1] = ACTIONS(5769),
    [aux_sym_keyword_statement_token2] = ACTIONS(5769),
    [aux_sym_keyword_statement_token3] = ACTIONS(5769),
    [aux_sym_keyword_statement_token4] = ACTIONS(5769),
    [aux_sym_include_statement_token1] = ACTIONS(5769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5769),
    [aux_sym_end_if_statement_token1] = ACTIONS(5769),
    [aux_sym_elseif_clause_token2] = ACTIONS(5769),
    [aux_sym_select_case_statement_token1] = ACTIONS(5769),
    [aux_sym_format_statement_token1] = ACTIONS(5769),
    [aux_sym_open_statement_token1] = ACTIONS(5769),
    [aux_sym_inquire_statement_token1] = ACTIONS(5769),
    [aux_sym_enum_statement_token1] = ACTIONS(5769),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5769),
    [aux_sym_entry_statement_token1] = ACTIONS(5769),
    [aux_sym_logical_expression_token5] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [aux_sym_boolean_literal_token1] = ACTIONS(5773),
    [aux_sym_boolean_literal_token2] = ACTIONS(5773),
    [aux_sym_null_literal_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_statement_token2] = ACTIONS(5769),
    [aux_sym_coarray_statement_token6] = ACTIONS(5769),
    [aux_sym_coarray_statement_token8] = ACTIONS(5769),
    [aux_sym_coarray_statement_token11] = ACTIONS(5769),
    [aux_sym_coarray_statement_token12] = ACTIONS(5769),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5769),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5769),
    [aux_sym_identifier_token1] = ACTIONS(5769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5773),
    [sym__float_literal] = ACTIONS(5773),
    [sym__boz_literal] = ACTIONS(5773),
    [sym__string_literal] = ACTIONS(5773),
    [sym__string_literal_kind] = ACTIONS(5773),
  },
  [1919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5939),
    [aux_sym_preproc_def_token1] = ACTIONS(5939),
    [aux_sym_preproc_if_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5939),
    [sym_preproc_directive] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(5939),
    [anon_sym_PLUS] = ACTIONS(5941),
    [anon_sym_DASH] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5939),
    [anon_sym_SEMI] = ACTIONS(5941),
    [aux_sym_interface_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token1] = ACTIONS(5939),
    [aux_sym_block_data_statement_token2] = ACTIONS(5939),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5939),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5939),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5939),
    [aux_sym_language_binding_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5939),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5939),
    [aux_sym_use_statement_token1] = ACTIONS(5939),
    [aux_sym_use_statement_token2] = ACTIONS(5939),
    [aux_sym_implicit_statement_token1] = ACTIONS(5939),
    [aux_sym_implicit_statement_token3] = ACTIONS(5939),
    [aux_sym_implicit_statement_token4] = ACTIONS(5939),
    [aux_sym_save_statement_token1] = ACTIONS(5939),
    [aux_sym_private_statement_token1] = ACTIONS(5939),
    [aux_sym_public_statement_token1] = ACTIONS(5939),
    [aux_sym_namelist_statement_token1] = ACTIONS(5939),
    [aux_sym_common_statement_token1] = ACTIONS(5939),
    [aux_sym_import_statement_token1] = ACTIONS(5939),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5939),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5939),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5939),
    [aux_sym_variable_attributes_token1] = ACTIONS(5939),
    [aux_sym_variable_attributes_token2] = ACTIONS(5939),
    [aux_sym_variable_attributes_token3] = ACTIONS(5939),
    [aux_sym_variable_attributes_token4] = ACTIONS(5939),
    [aux_sym_variable_attributes_token5] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5939),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5939),
    [aux_sym_derived_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token1] = ACTIONS(5939),
    [aux_sym_declared_type_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5939),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5939),
    [aux_sym_type_qualifier_token1] = ACTIONS(5939),
    [aux_sym_type_qualifier_token2] = ACTIONS(5939),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token1] = ACTIONS(5939),
    [aux_sym_stop_statement_token2] = ACTIONS(5939),
    [aux_sym_subroutine_call_token1] = ACTIONS(5939),
    [aux_sym_keyword_statement_token2] = ACTIONS(5939),
    [aux_sym_keyword_statement_token3] = ACTIONS(5939),
    [aux_sym_keyword_statement_token4] = ACTIONS(5939),
    [aux_sym_include_statement_token1] = ACTIONS(5939),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5939),
    [aux_sym_end_if_statement_token1] = ACTIONS(5939),
    [aux_sym_elseif_clause_token2] = ACTIONS(5939),
    [aux_sym_select_case_statement_token1] = ACTIONS(5939),
    [aux_sym_format_statement_token1] = ACTIONS(5939),
    [aux_sym_open_statement_token1] = ACTIONS(5939),
    [aux_sym_inquire_statement_token1] = ACTIONS(5939),
    [aux_sym_enum_statement_token1] = ACTIONS(5939),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5939),
    [aux_sym_entry_statement_token1] = ACTIONS(5939),
    [aux_sym_logical_expression_token5] = ACTIONS(5941),
    [anon_sym_DOT] = ACTIONS(5939),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5941),
    [anon_sym_LBRACK] = ACTIONS(5941),
    [aux_sym_boolean_literal_token1] = ACTIONS(5941),
    [aux_sym_boolean_literal_token2] = ACTIONS(5941),
    [aux_sym_null_literal_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_statement_token2] = ACTIONS(5939),
    [aux_sym_coarray_statement_token6] = ACTIONS(5939),
    [aux_sym_coarray_statement_token8] = ACTIONS(5939),
    [aux_sym_coarray_statement_token11] = ACTIONS(5939),
    [aux_sym_coarray_statement_token12] = ACTIONS(5939),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5939),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5939),
    [aux_sym_identifier_token1] = ACTIONS(5939),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5941),
    [sym__float_literal] = ACTIONS(5941),
    [sym__boz_literal] = ACTIONS(5941),
    [sym__string_literal] = ACTIONS(5941),
    [sym__string_literal_kind] = ACTIONS(5941),
  },
  [1920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5761),
    [aux_sym_preproc_def_token1] = ACTIONS(5761),
    [aux_sym_preproc_if_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5761),
    [sym_preproc_directive] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_PLUS] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5765),
    [aux_sym_interface_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_block_data_statement_token2] = ACTIONS(5761),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5761),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5761),
    [aux_sym_language_binding_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5761),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5761),
    [aux_sym_use_statement_token1] = ACTIONS(5761),
    [aux_sym_use_statement_token2] = ACTIONS(5761),
    [aux_sym_implicit_statement_token1] = ACTIONS(5761),
    [aux_sym_implicit_statement_token3] = ACTIONS(5761),
    [aux_sym_implicit_statement_token4] = ACTIONS(5761),
    [aux_sym_save_statement_token1] = ACTIONS(5761),
    [aux_sym_private_statement_token1] = ACTIONS(5761),
    [aux_sym_public_statement_token1] = ACTIONS(5761),
    [aux_sym_namelist_statement_token1] = ACTIONS(5761),
    [aux_sym_common_statement_token1] = ACTIONS(5761),
    [aux_sym_import_statement_token1] = ACTIONS(5761),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5761),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5761),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5761),
    [aux_sym_variable_attributes_token1] = ACTIONS(5761),
    [aux_sym_variable_attributes_token2] = ACTIONS(5761),
    [aux_sym_variable_attributes_token3] = ACTIONS(5761),
    [aux_sym_variable_attributes_token4] = ACTIONS(5761),
    [aux_sym_variable_attributes_token5] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5761),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5761),
    [aux_sym_derived_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token1] = ACTIONS(5761),
    [aux_sym_declared_type_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5761),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5761),
    [aux_sym_type_qualifier_token1] = ACTIONS(5761),
    [aux_sym_type_qualifier_token2] = ACTIONS(5761),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token1] = ACTIONS(5761),
    [aux_sym_stop_statement_token2] = ACTIONS(5761),
    [aux_sym_subroutine_call_token1] = ACTIONS(5761),
    [aux_sym_keyword_statement_token2] = ACTIONS(5761),
    [aux_sym_keyword_statement_token3] = ACTIONS(5761),
    [aux_sym_keyword_statement_token4] = ACTIONS(5761),
    [aux_sym_include_statement_token1] = ACTIONS(5761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5761),
    [aux_sym_end_if_statement_token1] = ACTIONS(5761),
    [aux_sym_elseif_clause_token2] = ACTIONS(5761),
    [aux_sym_select_case_statement_token1] = ACTIONS(5761),
    [aux_sym_format_statement_token1] = ACTIONS(5761),
    [aux_sym_open_statement_token1] = ACTIONS(5761),
    [aux_sym_inquire_statement_token1] = ACTIONS(5761),
    [aux_sym_enum_statement_token1] = ACTIONS(5761),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5761),
    [aux_sym_entry_statement_token1] = ACTIONS(5761),
    [aux_sym_logical_expression_token5] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [aux_sym_boolean_literal_token1] = ACTIONS(5765),
    [aux_sym_boolean_literal_token2] = ACTIONS(5765),
    [aux_sym_null_literal_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_statement_token2] = ACTIONS(5761),
    [aux_sym_coarray_statement_token6] = ACTIONS(5761),
    [aux_sym_coarray_statement_token8] = ACTIONS(5761),
    [aux_sym_coarray_statement_token11] = ACTIONS(5761),
    [aux_sym_coarray_statement_token12] = ACTIONS(5761),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5761),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5761),
    [aux_sym_identifier_token1] = ACTIONS(5761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5765),
    [sym__float_literal] = ACTIONS(5765),
    [sym__boz_literal] = ACTIONS(5765),
    [sym__string_literal] = ACTIONS(5765),
    [sym__string_literal_kind] = ACTIONS(5765),
  },
  [1921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5943),
    [aux_sym_preproc_def_token1] = ACTIONS(5943),
    [aux_sym_preproc_if_token1] = ACTIONS(5943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5943),
    [sym_preproc_directive] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_PLUS] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(5945),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5943),
    [anon_sym_SEMI] = ACTIONS(5945),
    [aux_sym_interface_statement_token1] = ACTIONS(5943),
    [aux_sym_block_data_statement_token1] = ACTIONS(5943),
    [aux_sym_block_data_statement_token2] = ACTIONS(5943),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5943),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5943),
    [aux_sym_language_binding_token1] = ACTIONS(5943),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5943),
    [aux_sym_use_statement_token1] = ACTIONS(5943),
    [aux_sym_use_statement_token2] = ACTIONS(5943),
    [aux_sym_implicit_statement_token1] = ACTIONS(5943),
    [aux_sym_implicit_statement_token3] = ACTIONS(5943),
    [aux_sym_implicit_statement_token4] = ACTIONS(5943),
    [aux_sym_save_statement_token1] = ACTIONS(5943),
    [aux_sym_private_statement_token1] = ACTIONS(5943),
    [aux_sym_public_statement_token1] = ACTIONS(5943),
    [aux_sym_namelist_statement_token1] = ACTIONS(5943),
    [aux_sym_common_statement_token1] = ACTIONS(5943),
    [aux_sym_import_statement_token1] = ACTIONS(5943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5943),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5943),
    [aux_sym_variable_attributes_token1] = ACTIONS(5943),
    [aux_sym_variable_attributes_token2] = ACTIONS(5943),
    [aux_sym_variable_attributes_token3] = ACTIONS(5943),
    [aux_sym_variable_attributes_token4] = ACTIONS(5943),
    [aux_sym_variable_attributes_token5] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5943),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5943),
    [aux_sym_derived_type_token1] = ACTIONS(5943),
    [aux_sym_declared_type_token1] = ACTIONS(5943),
    [aux_sym_declared_type_token2] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5943),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5943),
    [aux_sym_type_qualifier_token1] = ACTIONS(5943),
    [aux_sym_type_qualifier_token2] = ACTIONS(5943),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5943),
    [aux_sym_stop_statement_token1] = ACTIONS(5943),
    [aux_sym_stop_statement_token2] = ACTIONS(5943),
    [aux_sym_subroutine_call_token1] = ACTIONS(5943),
    [aux_sym_keyword_statement_token2] = ACTIONS(5943),
    [aux_sym_keyword_statement_token3] = ACTIONS(5943),
    [aux_sym_keyword_statement_token4] = ACTIONS(5943),
    [aux_sym_include_statement_token1] = ACTIONS(5943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5943),
    [aux_sym_end_if_statement_token1] = ACTIONS(5943),
    [aux_sym_elseif_clause_token2] = ACTIONS(5943),
    [aux_sym_select_case_statement_token1] = ACTIONS(5943),
    [aux_sym_format_statement_token1] = ACTIONS(5943),
    [aux_sym_open_statement_token1] = ACTIONS(5943),
    [aux_sym_inquire_statement_token1] = ACTIONS(5943),
    [aux_sym_enum_statement_token1] = ACTIONS(5943),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5943),
    [aux_sym_entry_statement_token1] = ACTIONS(5943),
    [aux_sym_logical_expression_token5] = ACTIONS(5945),
    [anon_sym_DOT] = ACTIONS(5943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5945),
    [anon_sym_LBRACK] = ACTIONS(5945),
    [aux_sym_boolean_literal_token1] = ACTIONS(5945),
    [aux_sym_boolean_literal_token2] = ACTIONS(5945),
    [aux_sym_null_literal_token1] = ACTIONS(5943),
    [aux_sym_coarray_statement_token1] = ACTIONS(5943),
    [aux_sym_coarray_statement_token2] = ACTIONS(5943),
    [aux_sym_coarray_statement_token6] = ACTIONS(5943),
    [aux_sym_coarray_statement_token8] = ACTIONS(5943),
    [aux_sym_coarray_statement_token11] = ACTIONS(5943),
    [aux_sym_coarray_statement_token12] = ACTIONS(5943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5943),
    [aux_sym_identifier_token1] = ACTIONS(5943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5945),
    [sym__float_literal] = ACTIONS(5945),
    [sym__boz_literal] = ACTIONS(5945),
    [sym__string_literal] = ACTIONS(5945),
    [sym__string_literal_kind] = ACTIONS(5945),
  },
  [1923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5863),
    [aux_sym_preproc_def_token1] = ACTIONS(5863),
    [aux_sym_preproc_if_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5863),
    [sym_preproc_directive] = ACTIONS(5863),
    [anon_sym_LPAREN2] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [aux_sym_interface_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token1] = ACTIONS(5863),
    [aux_sym_block_data_statement_token2] = ACTIONS(5863),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5863),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5863),
    [aux_sym_language_binding_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5863),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5863),
    [aux_sym_use_statement_token1] = ACTIONS(5863),
    [aux_sym_use_statement_token2] = ACTIONS(5863),
    [aux_sym_implicit_statement_token1] = ACTIONS(5863),
    [aux_sym_implicit_statement_token3] = ACTIONS(5863),
    [aux_sym_implicit_statement_token4] = ACTIONS(5863),
    [aux_sym_save_statement_token1] = ACTIONS(5863),
    [aux_sym_private_statement_token1] = ACTIONS(5863),
    [aux_sym_public_statement_token1] = ACTIONS(5863),
    [aux_sym_namelist_statement_token1] = ACTIONS(5863),
    [aux_sym_common_statement_token1] = ACTIONS(5863),
    [aux_sym_import_statement_token1] = ACTIONS(5863),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5863),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5863),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5863),
    [aux_sym_variable_attributes_token1] = ACTIONS(5863),
    [aux_sym_variable_attributes_token2] = ACTIONS(5863),
    [aux_sym_variable_attributes_token3] = ACTIONS(5863),
    [aux_sym_variable_attributes_token4] = ACTIONS(5863),
    [aux_sym_variable_attributes_token5] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5863),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5863),
    [aux_sym_derived_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token1] = ACTIONS(5863),
    [aux_sym_declared_type_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5863),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5863),
    [aux_sym_type_qualifier_token1] = ACTIONS(5863),
    [aux_sym_type_qualifier_token2] = ACTIONS(5863),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token1] = ACTIONS(5863),
    [aux_sym_stop_statement_token2] = ACTIONS(5863),
    [aux_sym_subroutine_call_token1] = ACTIONS(5863),
    [aux_sym_keyword_statement_token2] = ACTIONS(5863),
    [aux_sym_keyword_statement_token3] = ACTIONS(5863),
    [aux_sym_keyword_statement_token4] = ACTIONS(5863),
    [aux_sym_include_statement_token1] = ACTIONS(5863),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5863),
    [aux_sym_end_if_statement_token1] = ACTIONS(5863),
    [aux_sym_elseif_clause_token2] = ACTIONS(5863),
    [aux_sym_select_case_statement_token1] = ACTIONS(5863),
    [aux_sym_format_statement_token1] = ACTIONS(5863),
    [aux_sym_open_statement_token1] = ACTIONS(5863),
    [aux_sym_inquire_statement_token1] = ACTIONS(5863),
    [aux_sym_enum_statement_token1] = ACTIONS(5863),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5863),
    [aux_sym_entry_statement_token1] = ACTIONS(5863),
    [aux_sym_logical_expression_token5] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [aux_sym_boolean_literal_token1] = ACTIONS(5865),
    [aux_sym_boolean_literal_token2] = ACTIONS(5865),
    [aux_sym_null_literal_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_statement_token2] = ACTIONS(5863),
    [aux_sym_coarray_statement_token6] = ACTIONS(5863),
    [aux_sym_coarray_statement_token8] = ACTIONS(5863),
    [aux_sym_coarray_statement_token11] = ACTIONS(5863),
    [aux_sym_coarray_statement_token12] = ACTIONS(5863),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5863),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5863),
    [aux_sym_identifier_token1] = ACTIONS(5863),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5865),
    [sym__float_literal] = ACTIONS(5865),
    [sym__boz_literal] = ACTIONS(5865),
    [sym__string_literal] = ACTIONS(5865),
    [sym__string_literal_kind] = ACTIONS(5865),
  },
  [1925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5749),
    [aux_sym_preproc_def_token1] = ACTIONS(5749),
    [aux_sym_preproc_if_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5749),
    [sym_preproc_directive] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5753),
    [aux_sym_interface_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_block_data_statement_token2] = ACTIONS(5749),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5749),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5749),
    [aux_sym_language_binding_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5749),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5749),
    [aux_sym_use_statement_token1] = ACTIONS(5749),
    [aux_sym_use_statement_token2] = ACTIONS(5749),
    [aux_sym_implicit_statement_token1] = ACTIONS(5749),
    [aux_sym_implicit_statement_token3] = ACTIONS(5749),
    [aux_sym_implicit_statement_token4] = ACTIONS(5749),
    [aux_sym_save_statement_token1] = ACTIONS(5749),
    [aux_sym_private_statement_token1] = ACTIONS(5749),
    [aux_sym_public_statement_token1] = ACTIONS(5749),
    [aux_sym_namelist_statement_token1] = ACTIONS(5749),
    [aux_sym_common_statement_token1] = ACTIONS(5749),
    [aux_sym_import_statement_token1] = ACTIONS(5749),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5749),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5749),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5749),
    [aux_sym_variable_attributes_token1] = ACTIONS(5749),
    [aux_sym_variable_attributes_token2] = ACTIONS(5749),
    [aux_sym_variable_attributes_token3] = ACTIONS(5749),
    [aux_sym_variable_attributes_token4] = ACTIONS(5749),
    [aux_sym_variable_attributes_token5] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5749),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5749),
    [aux_sym_derived_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token1] = ACTIONS(5749),
    [aux_sym_declared_type_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5749),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5749),
    [aux_sym_type_qualifier_token1] = ACTIONS(5749),
    [aux_sym_type_qualifier_token2] = ACTIONS(5749),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token1] = ACTIONS(5749),
    [aux_sym_stop_statement_token2] = ACTIONS(5749),
    [aux_sym_subroutine_call_token1] = ACTIONS(5749),
    [aux_sym_keyword_statement_token2] = ACTIONS(5749),
    [aux_sym_keyword_statement_token3] = ACTIONS(5749),
    [aux_sym_keyword_statement_token4] = ACTIONS(5749),
    [aux_sym_include_statement_token1] = ACTIONS(5749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5749),
    [aux_sym_end_if_statement_token1] = ACTIONS(5749),
    [aux_sym_elseif_clause_token2] = ACTIONS(5749),
    [aux_sym_select_case_statement_token1] = ACTIONS(5749),
    [aux_sym_format_statement_token1] = ACTIONS(5749),
    [aux_sym_open_statement_token1] = ACTIONS(5749),
    [aux_sym_inquire_statement_token1] = ACTIONS(5749),
    [aux_sym_enum_statement_token1] = ACTIONS(5749),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5749),
    [aux_sym_entry_statement_token1] = ACTIONS(5749),
    [aux_sym_logical_expression_token5] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [aux_sym_boolean_literal_token1] = ACTIONS(5753),
    [aux_sym_boolean_literal_token2] = ACTIONS(5753),
    [aux_sym_null_literal_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_statement_token2] = ACTIONS(5749),
    [aux_sym_coarray_statement_token6] = ACTIONS(5749),
    [aux_sym_coarray_statement_token8] = ACTIONS(5749),
    [aux_sym_coarray_statement_token11] = ACTIONS(5749),
    [aux_sym_coarray_statement_token12] = ACTIONS(5749),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5749),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5749),
    [aux_sym_identifier_token1] = ACTIONS(5749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5753),
    [sym__float_literal] = ACTIONS(5753),
    [sym__boz_literal] = ACTIONS(5753),
    [sym__string_literal] = ACTIONS(5753),
    [sym__string_literal_kind] = ACTIONS(5753),
  },
  [1926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5867),
    [aux_sym_preproc_def_token1] = ACTIONS(5867),
    [aux_sym_preproc_if_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5867),
    [sym_preproc_directive] = ACTIONS(5867),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [aux_sym_interface_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token1] = ACTIONS(5867),
    [aux_sym_block_data_statement_token2] = ACTIONS(5867),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5867),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5867),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5867),
    [aux_sym_language_binding_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5867),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5867),
    [aux_sym_use_statement_token1] = ACTIONS(5867),
    [aux_sym_use_statement_token2] = ACTIONS(5867),
    [aux_sym_implicit_statement_token1] = ACTIONS(5867),
    [aux_sym_implicit_statement_token3] = ACTIONS(5867),
    [aux_sym_implicit_statement_token4] = ACTIONS(5867),
    [aux_sym_save_statement_token1] = ACTIONS(5867),
    [aux_sym_private_statement_token1] = ACTIONS(5867),
    [aux_sym_public_statement_token1] = ACTIONS(5867),
    [aux_sym_namelist_statement_token1] = ACTIONS(5867),
    [aux_sym_common_statement_token1] = ACTIONS(5867),
    [aux_sym_import_statement_token1] = ACTIONS(5867),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5867),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5867),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5867),
    [aux_sym_variable_attributes_token1] = ACTIONS(5867),
    [aux_sym_variable_attributes_token2] = ACTIONS(5867),
    [aux_sym_variable_attributes_token3] = ACTIONS(5867),
    [aux_sym_variable_attributes_token4] = ACTIONS(5867),
    [aux_sym_variable_attributes_token5] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5867),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5867),
    [aux_sym_derived_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token1] = ACTIONS(5867),
    [aux_sym_declared_type_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5867),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5867),
    [aux_sym_type_qualifier_token1] = ACTIONS(5867),
    [aux_sym_type_qualifier_token2] = ACTIONS(5867),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token1] = ACTIONS(5867),
    [aux_sym_stop_statement_token2] = ACTIONS(5867),
    [aux_sym_subroutine_call_token1] = ACTIONS(5867),
    [aux_sym_keyword_statement_token2] = ACTIONS(5867),
    [aux_sym_keyword_statement_token3] = ACTIONS(5867),
    [aux_sym_keyword_statement_token4] = ACTIONS(5867),
    [aux_sym_include_statement_token1] = ACTIONS(5867),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5867),
    [aux_sym_end_if_statement_token1] = ACTIONS(5867),
    [aux_sym_elseif_clause_token2] = ACTIONS(5867),
    [aux_sym_select_case_statement_token1] = ACTIONS(5867),
    [aux_sym_format_statement_token1] = ACTIONS(5867),
    [aux_sym_open_statement_token1] = ACTIONS(5867),
    [aux_sym_inquire_statement_token1] = ACTIONS(5867),
    [aux_sym_enum_statement_token1] = ACTIONS(5867),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5867),
    [aux_sym_entry_statement_token1] = ACTIONS(5867),
    [aux_sym_logical_expression_token5] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [aux_sym_boolean_literal_token1] = ACTIONS(5869),
    [aux_sym_boolean_literal_token2] = ACTIONS(5869),
    [aux_sym_null_literal_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_statement_token2] = ACTIONS(5867),
    [aux_sym_coarray_statement_token6] = ACTIONS(5867),
    [aux_sym_coarray_statement_token8] = ACTIONS(5867),
    [aux_sym_coarray_statement_token11] = ACTIONS(5867),
    [aux_sym_coarray_statement_token12] = ACTIONS(5867),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5867),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5867),
    [aux_sym_identifier_token1] = ACTIONS(5867),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5869),
    [sym__float_literal] = ACTIONS(5869),
    [sym__boz_literal] = ACTIONS(5869),
    [sym__string_literal] = ACTIONS(5869),
    [sym__string_literal_kind] = ACTIONS(5869),
  },
  [1927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5871),
    [aux_sym_preproc_def_token1] = ACTIONS(5871),
    [aux_sym_preproc_if_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5871),
    [sym_preproc_directive] = ACTIONS(5871),
    [anon_sym_LPAREN2] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5871),
    [anon_sym_SEMI] = ACTIONS(5873),
    [aux_sym_interface_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token1] = ACTIONS(5871),
    [aux_sym_block_data_statement_token2] = ACTIONS(5871),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5871),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5871),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5871),
    [aux_sym_language_binding_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5871),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5871),
    [aux_sym_use_statement_token1] = ACTIONS(5871),
    [aux_sym_use_statement_token2] = ACTIONS(5871),
    [aux_sym_implicit_statement_token1] = ACTIONS(5871),
    [aux_sym_implicit_statement_token3] = ACTIONS(5871),
    [aux_sym_implicit_statement_token4] = ACTIONS(5871),
    [aux_sym_save_statement_token1] = ACTIONS(5871),
    [aux_sym_private_statement_token1] = ACTIONS(5871),
    [aux_sym_public_statement_token1] = ACTIONS(5871),
    [aux_sym_namelist_statement_token1] = ACTIONS(5871),
    [aux_sym_common_statement_token1] = ACTIONS(5871),
    [aux_sym_import_statement_token1] = ACTIONS(5871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5871),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5871),
    [aux_sym_variable_attributes_token1] = ACTIONS(5871),
    [aux_sym_variable_attributes_token2] = ACTIONS(5871),
    [aux_sym_variable_attributes_token3] = ACTIONS(5871),
    [aux_sym_variable_attributes_token4] = ACTIONS(5871),
    [aux_sym_variable_attributes_token5] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5871),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5871),
    [aux_sym_derived_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token1] = ACTIONS(5871),
    [aux_sym_declared_type_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5871),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5871),
    [aux_sym_type_qualifier_token1] = ACTIONS(5871),
    [aux_sym_type_qualifier_token2] = ACTIONS(5871),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token1] = ACTIONS(5871),
    [aux_sym_stop_statement_token2] = ACTIONS(5871),
    [aux_sym_subroutine_call_token1] = ACTIONS(5871),
    [aux_sym_keyword_statement_token2] = ACTIONS(5871),
    [aux_sym_keyword_statement_token3] = ACTIONS(5871),
    [aux_sym_keyword_statement_token4] = ACTIONS(5871),
    [aux_sym_include_statement_token1] = ACTIONS(5871),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5871),
    [aux_sym_end_if_statement_token1] = ACTIONS(5871),
    [aux_sym_elseif_clause_token2] = ACTIONS(5871),
    [aux_sym_select_case_statement_token1] = ACTIONS(5871),
    [aux_sym_format_statement_token1] = ACTIONS(5871),
    [aux_sym_open_statement_token1] = ACTIONS(5871),
    [aux_sym_inquire_statement_token1] = ACTIONS(5871),
    [aux_sym_enum_statement_token1] = ACTIONS(5871),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5871),
    [aux_sym_entry_statement_token1] = ACTIONS(5871),
    [aux_sym_logical_expression_token5] = ACTIONS(5873),
    [anon_sym_DOT] = ACTIONS(5871),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [aux_sym_boolean_literal_token1] = ACTIONS(5873),
    [aux_sym_boolean_literal_token2] = ACTIONS(5873),
    [aux_sym_null_literal_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_statement_token2] = ACTIONS(5871),
    [aux_sym_coarray_statement_token6] = ACTIONS(5871),
    [aux_sym_coarray_statement_token8] = ACTIONS(5871),
    [aux_sym_coarray_statement_token11] = ACTIONS(5871),
    [aux_sym_coarray_statement_token12] = ACTIONS(5871),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5871),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5871),
    [aux_sym_identifier_token1] = ACTIONS(5871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5873),
    [sym__float_literal] = ACTIONS(5873),
    [sym__boz_literal] = ACTIONS(5873),
    [sym__string_literal] = ACTIONS(5873),
    [sym__string_literal_kind] = ACTIONS(5873),
  },
  [1928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5875),
    [aux_sym_preproc_def_token1] = ACTIONS(5875),
    [aux_sym_preproc_if_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5875),
    [sym_preproc_directive] = ACTIONS(5875),
    [anon_sym_LPAREN2] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5875),
    [anon_sym_SEMI] = ACTIONS(5877),
    [aux_sym_interface_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token1] = ACTIONS(5875),
    [aux_sym_block_data_statement_token2] = ACTIONS(5875),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5875),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5875),
    [aux_sym_language_binding_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5875),
    [aux_sym_use_statement_token1] = ACTIONS(5875),
    [aux_sym_use_statement_token2] = ACTIONS(5875),
    [aux_sym_implicit_statement_token1] = ACTIONS(5875),
    [aux_sym_implicit_statement_token3] = ACTIONS(5875),
    [aux_sym_implicit_statement_token4] = ACTIONS(5875),
    [aux_sym_save_statement_token1] = ACTIONS(5875),
    [aux_sym_private_statement_token1] = ACTIONS(5875),
    [aux_sym_public_statement_token1] = ACTIONS(5875),
    [aux_sym_namelist_statement_token1] = ACTIONS(5875),
    [aux_sym_common_statement_token1] = ACTIONS(5875),
    [aux_sym_import_statement_token1] = ACTIONS(5875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5875),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5875),
    [aux_sym_variable_attributes_token1] = ACTIONS(5875),
    [aux_sym_variable_attributes_token2] = ACTIONS(5875),
    [aux_sym_variable_attributes_token3] = ACTIONS(5875),
    [aux_sym_variable_attributes_token4] = ACTIONS(5875),
    [aux_sym_variable_attributes_token5] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5875),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5875),
    [aux_sym_derived_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token1] = ACTIONS(5875),
    [aux_sym_declared_type_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5875),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5875),
    [aux_sym_type_qualifier_token1] = ACTIONS(5875),
    [aux_sym_type_qualifier_token2] = ACTIONS(5875),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token1] = ACTIONS(5875),
    [aux_sym_stop_statement_token2] = ACTIONS(5875),
    [aux_sym_subroutine_call_token1] = ACTIONS(5875),
    [aux_sym_keyword_statement_token2] = ACTIONS(5875),
    [aux_sym_keyword_statement_token3] = ACTIONS(5875),
    [aux_sym_keyword_statement_token4] = ACTIONS(5875),
    [aux_sym_include_statement_token1] = ACTIONS(5875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5875),
    [aux_sym_end_if_statement_token1] = ACTIONS(5875),
    [aux_sym_elseif_clause_token2] = ACTIONS(5875),
    [aux_sym_select_case_statement_token1] = ACTIONS(5875),
    [aux_sym_format_statement_token1] = ACTIONS(5875),
    [aux_sym_open_statement_token1] = ACTIONS(5875),
    [aux_sym_inquire_statement_token1] = ACTIONS(5875),
    [aux_sym_enum_statement_token1] = ACTIONS(5875),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5875),
    [aux_sym_entry_statement_token1] = ACTIONS(5875),
    [aux_sym_logical_expression_token5] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [aux_sym_boolean_literal_token1] = ACTIONS(5877),
    [aux_sym_boolean_literal_token2] = ACTIONS(5877),
    [aux_sym_null_literal_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_statement_token2] = ACTIONS(5875),
    [aux_sym_coarray_statement_token6] = ACTIONS(5875),
    [aux_sym_coarray_statement_token8] = ACTIONS(5875),
    [aux_sym_coarray_statement_token11] = ACTIONS(5875),
    [aux_sym_coarray_statement_token12] = ACTIONS(5875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5875),
    [aux_sym_identifier_token1] = ACTIONS(5875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5877),
    [sym__float_literal] = ACTIONS(5877),
    [sym__boz_literal] = ACTIONS(5877),
    [sym__string_literal] = ACTIONS(5877),
    [sym__string_literal_kind] = ACTIONS(5877),
  },
  [1929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5879),
    [aux_sym_preproc_def_token1] = ACTIONS(5879),
    [aux_sym_preproc_if_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5879),
    [sym_preproc_directive] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5879),
    [anon_sym_SEMI] = ACTIONS(5881),
    [aux_sym_interface_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token1] = ACTIONS(5879),
    [aux_sym_block_data_statement_token2] = ACTIONS(5879),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5879),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5879),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5879),
    [aux_sym_language_binding_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5879),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5879),
    [aux_sym_use_statement_token1] = ACTIONS(5879),
    [aux_sym_use_statement_token2] = ACTIONS(5879),
    [aux_sym_implicit_statement_token1] = ACTIONS(5879),
    [aux_sym_implicit_statement_token3] = ACTIONS(5879),
    [aux_sym_implicit_statement_token4] = ACTIONS(5879),
    [aux_sym_save_statement_token1] = ACTIONS(5879),
    [aux_sym_private_statement_token1] = ACTIONS(5879),
    [aux_sym_public_statement_token1] = ACTIONS(5879),
    [aux_sym_namelist_statement_token1] = ACTIONS(5879),
    [aux_sym_common_statement_token1] = ACTIONS(5879),
    [aux_sym_import_statement_token1] = ACTIONS(5879),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5879),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5879),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5879),
    [aux_sym_variable_attributes_token1] = ACTIONS(5879),
    [aux_sym_variable_attributes_token2] = ACTIONS(5879),
    [aux_sym_variable_attributes_token3] = ACTIONS(5879),
    [aux_sym_variable_attributes_token4] = ACTIONS(5879),
    [aux_sym_variable_attributes_token5] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5879),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5879),
    [aux_sym_derived_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token1] = ACTIONS(5879),
    [aux_sym_declared_type_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5879),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5879),
    [aux_sym_type_qualifier_token1] = ACTIONS(5879),
    [aux_sym_type_qualifier_token2] = ACTIONS(5879),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token1] = ACTIONS(5879),
    [aux_sym_stop_statement_token2] = ACTIONS(5879),
    [aux_sym_subroutine_call_token1] = ACTIONS(5879),
    [aux_sym_keyword_statement_token2] = ACTIONS(5879),
    [aux_sym_keyword_statement_token3] = ACTIONS(5879),
    [aux_sym_keyword_statement_token4] = ACTIONS(5879),
    [aux_sym_include_statement_token1] = ACTIONS(5879),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5879),
    [aux_sym_end_if_statement_token1] = ACTIONS(5879),
    [aux_sym_elseif_clause_token2] = ACTIONS(5879),
    [aux_sym_select_case_statement_token1] = ACTIONS(5879),
    [aux_sym_format_statement_token1] = ACTIONS(5879),
    [aux_sym_open_statement_token1] = ACTIONS(5879),
    [aux_sym_inquire_statement_token1] = ACTIONS(5879),
    [aux_sym_enum_statement_token1] = ACTIONS(5879),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5879),
    [aux_sym_entry_statement_token1] = ACTIONS(5879),
    [aux_sym_logical_expression_token5] = ACTIONS(5881),
    [anon_sym_DOT] = ACTIONS(5879),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [aux_sym_boolean_literal_token1] = ACTIONS(5881),
    [aux_sym_boolean_literal_token2] = ACTIONS(5881),
    [aux_sym_null_literal_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_statement_token2] = ACTIONS(5879),
    [aux_sym_coarray_statement_token6] = ACTIONS(5879),
    [aux_sym_coarray_statement_token8] = ACTIONS(5879),
    [aux_sym_coarray_statement_token11] = ACTIONS(5879),
    [aux_sym_coarray_statement_token12] = ACTIONS(5879),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5879),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5879),
    [aux_sym_identifier_token1] = ACTIONS(5879),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5881),
    [sym__float_literal] = ACTIONS(5881),
    [sym__boz_literal] = ACTIONS(5881),
    [sym__string_literal] = ACTIONS(5881),
    [sym__string_literal_kind] = ACTIONS(5881),
  },
  [1930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5885),
    [aux_sym_preproc_def_token1] = ACTIONS(5885),
    [aux_sym_preproc_if_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5885),
    [sym_preproc_directive] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5887),
    [aux_sym_interface_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token1] = ACTIONS(5885),
    [aux_sym_block_data_statement_token2] = ACTIONS(5885),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5885),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5885),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5885),
    [aux_sym_language_binding_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5885),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5885),
    [aux_sym_use_statement_token1] = ACTIONS(5885),
    [aux_sym_use_statement_token2] = ACTIONS(5885),
    [aux_sym_implicit_statement_token1] = ACTIONS(5885),
    [aux_sym_implicit_statement_token3] = ACTIONS(5885),
    [aux_sym_implicit_statement_token4] = ACTIONS(5885),
    [aux_sym_save_statement_token1] = ACTIONS(5885),
    [aux_sym_private_statement_token1] = ACTIONS(5885),
    [aux_sym_public_statement_token1] = ACTIONS(5885),
    [aux_sym_namelist_statement_token1] = ACTIONS(5885),
    [aux_sym_common_statement_token1] = ACTIONS(5885),
    [aux_sym_import_statement_token1] = ACTIONS(5885),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5885),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5885),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5885),
    [aux_sym_variable_attributes_token1] = ACTIONS(5885),
    [aux_sym_variable_attributes_token2] = ACTIONS(5885),
    [aux_sym_variable_attributes_token3] = ACTIONS(5885),
    [aux_sym_variable_attributes_token4] = ACTIONS(5885),
    [aux_sym_variable_attributes_token5] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5885),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5885),
    [aux_sym_derived_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token1] = ACTIONS(5885),
    [aux_sym_declared_type_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5885),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5885),
    [aux_sym_type_qualifier_token1] = ACTIONS(5885),
    [aux_sym_type_qualifier_token2] = ACTIONS(5885),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token1] = ACTIONS(5885),
    [aux_sym_stop_statement_token2] = ACTIONS(5885),
    [aux_sym_subroutine_call_token1] = ACTIONS(5885),
    [aux_sym_keyword_statement_token2] = ACTIONS(5885),
    [aux_sym_keyword_statement_token3] = ACTIONS(5885),
    [aux_sym_keyword_statement_token4] = ACTIONS(5885),
    [aux_sym_include_statement_token1] = ACTIONS(5885),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5885),
    [aux_sym_end_if_statement_token1] = ACTIONS(5885),
    [aux_sym_elseif_clause_token2] = ACTIONS(5885),
    [aux_sym_select_case_statement_token1] = ACTIONS(5885),
    [aux_sym_format_statement_token1] = ACTIONS(5885),
    [aux_sym_open_statement_token1] = ACTIONS(5885),
    [aux_sym_inquire_statement_token1] = ACTIONS(5885),
    [aux_sym_enum_statement_token1] = ACTIONS(5885),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5885),
    [aux_sym_entry_statement_token1] = ACTIONS(5885),
    [aux_sym_logical_expression_token5] = ACTIONS(5887),
    [anon_sym_DOT] = ACTIONS(5885),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5887),
    [aux_sym_boolean_literal_token1] = ACTIONS(5887),
    [aux_sym_boolean_literal_token2] = ACTIONS(5887),
    [aux_sym_null_literal_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_statement_token2] = ACTIONS(5885),
    [aux_sym_coarray_statement_token6] = ACTIONS(5885),
    [aux_sym_coarray_statement_token8] = ACTIONS(5885),
    [aux_sym_coarray_statement_token11] = ACTIONS(5885),
    [aux_sym_coarray_statement_token12] = ACTIONS(5885),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5885),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5885),
    [aux_sym_identifier_token1] = ACTIONS(5885),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5887),
    [sym__float_literal] = ACTIONS(5887),
    [sym__boz_literal] = ACTIONS(5887),
    [sym__string_literal] = ACTIONS(5887),
    [sym__string_literal_kind] = ACTIONS(5887),
  },
  [1932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5899),
    [aux_sym_preproc_def_token1] = ACTIONS(5899),
    [aux_sym_preproc_if_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5899),
    [sym_preproc_directive] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(5899),
    [anon_sym_PLUS] = ACTIONS(5901),
    [anon_sym_DASH] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5899),
    [anon_sym_SEMI] = ACTIONS(5901),
    [aux_sym_interface_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token1] = ACTIONS(5899),
    [aux_sym_block_data_statement_token2] = ACTIONS(5899),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5899),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5899),
    [aux_sym_language_binding_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5899),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5899),
    [aux_sym_use_statement_token1] = ACTIONS(5899),
    [aux_sym_use_statement_token2] = ACTIONS(5899),
    [aux_sym_implicit_statement_token1] = ACTIONS(5899),
    [aux_sym_implicit_statement_token3] = ACTIONS(5899),
    [aux_sym_implicit_statement_token4] = ACTIONS(5899),
    [aux_sym_save_statement_token1] = ACTIONS(5899),
    [aux_sym_private_statement_token1] = ACTIONS(5899),
    [aux_sym_public_statement_token1] = ACTIONS(5899),
    [aux_sym_namelist_statement_token1] = ACTIONS(5899),
    [aux_sym_common_statement_token1] = ACTIONS(5899),
    [aux_sym_import_statement_token1] = ACTIONS(5899),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5899),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5899),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5899),
    [aux_sym_variable_attributes_token1] = ACTIONS(5899),
    [aux_sym_variable_attributes_token2] = ACTIONS(5899),
    [aux_sym_variable_attributes_token3] = ACTIONS(5899),
    [aux_sym_variable_attributes_token4] = ACTIONS(5899),
    [aux_sym_variable_attributes_token5] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5899),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5899),
    [aux_sym_derived_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token1] = ACTIONS(5899),
    [aux_sym_declared_type_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5899),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5899),
    [aux_sym_type_qualifier_token1] = ACTIONS(5899),
    [aux_sym_type_qualifier_token2] = ACTIONS(5899),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token1] = ACTIONS(5899),
    [aux_sym_stop_statement_token2] = ACTIONS(5899),
    [aux_sym_subroutine_call_token1] = ACTIONS(5899),
    [aux_sym_keyword_statement_token2] = ACTIONS(5899),
    [aux_sym_keyword_statement_token3] = ACTIONS(5899),
    [aux_sym_keyword_statement_token4] = ACTIONS(5899),
    [aux_sym_include_statement_token1] = ACTIONS(5899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5899),
    [aux_sym_end_if_statement_token1] = ACTIONS(5899),
    [aux_sym_elseif_clause_token2] = ACTIONS(5899),
    [aux_sym_select_case_statement_token1] = ACTIONS(5899),
    [aux_sym_format_statement_token1] = ACTIONS(5899),
    [aux_sym_open_statement_token1] = ACTIONS(5899),
    [aux_sym_inquire_statement_token1] = ACTIONS(5899),
    [aux_sym_enum_statement_token1] = ACTIONS(5899),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5899),
    [aux_sym_entry_statement_token1] = ACTIONS(5899),
    [aux_sym_logical_expression_token5] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [aux_sym_boolean_literal_token1] = ACTIONS(5901),
    [aux_sym_boolean_literal_token2] = ACTIONS(5901),
    [aux_sym_null_literal_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_statement_token2] = ACTIONS(5899),
    [aux_sym_coarray_statement_token6] = ACTIONS(5899),
    [aux_sym_coarray_statement_token8] = ACTIONS(5899),
    [aux_sym_coarray_statement_token11] = ACTIONS(5899),
    [aux_sym_coarray_statement_token12] = ACTIONS(5899),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5899),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5899),
    [aux_sym_identifier_token1] = ACTIONS(5899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5901),
    [sym__float_literal] = ACTIONS(5901),
    [sym__boz_literal] = ACTIONS(5901),
    [sym__string_literal] = ACTIONS(5901),
    [sym__string_literal_kind] = ACTIONS(5901),
  },
  [1933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5829),
    [aux_sym_preproc_def_token1] = ACTIONS(5829),
    [aux_sym_preproc_if_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5829),
    [sym_preproc_directive] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5833),
    [aux_sym_interface_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_block_data_statement_token2] = ACTIONS(5829),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5829),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5829),
    [aux_sym_language_binding_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5829),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5829),
    [aux_sym_use_statement_token1] = ACTIONS(5829),
    [aux_sym_use_statement_token2] = ACTIONS(5829),
    [aux_sym_implicit_statement_token1] = ACTIONS(5829),
    [aux_sym_implicit_statement_token3] = ACTIONS(5829),
    [aux_sym_implicit_statement_token4] = ACTIONS(5829),
    [aux_sym_save_statement_token1] = ACTIONS(5829),
    [aux_sym_private_statement_token1] = ACTIONS(5829),
    [aux_sym_public_statement_token1] = ACTIONS(5829),
    [aux_sym_namelist_statement_token1] = ACTIONS(5829),
    [aux_sym_common_statement_token1] = ACTIONS(5829),
    [aux_sym_import_statement_token1] = ACTIONS(5829),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5829),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5829),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5829),
    [aux_sym_variable_attributes_token1] = ACTIONS(5829),
    [aux_sym_variable_attributes_token2] = ACTIONS(5829),
    [aux_sym_variable_attributes_token3] = ACTIONS(5829),
    [aux_sym_variable_attributes_token4] = ACTIONS(5829),
    [aux_sym_variable_attributes_token5] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5829),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5829),
    [aux_sym_derived_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token1] = ACTIONS(5829),
    [aux_sym_declared_type_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5829),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5829),
    [aux_sym_type_qualifier_token1] = ACTIONS(5829),
    [aux_sym_type_qualifier_token2] = ACTIONS(5829),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token1] = ACTIONS(5829),
    [aux_sym_stop_statement_token2] = ACTIONS(5829),
    [aux_sym_subroutine_call_token1] = ACTIONS(5829),
    [aux_sym_keyword_statement_token2] = ACTIONS(5829),
    [aux_sym_keyword_statement_token3] = ACTIONS(5829),
    [aux_sym_keyword_statement_token4] = ACTIONS(5829),
    [aux_sym_include_statement_token1] = ACTIONS(5829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5829),
    [aux_sym_end_if_statement_token1] = ACTIONS(5829),
    [aux_sym_elseif_clause_token2] = ACTIONS(5829),
    [aux_sym_select_case_statement_token1] = ACTIONS(5829),
    [aux_sym_format_statement_token1] = ACTIONS(5829),
    [aux_sym_open_statement_token1] = ACTIONS(5829),
    [aux_sym_inquire_statement_token1] = ACTIONS(5829),
    [aux_sym_enum_statement_token1] = ACTIONS(5829),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5829),
    [aux_sym_entry_statement_token1] = ACTIONS(5829),
    [aux_sym_logical_expression_token5] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [aux_sym_boolean_literal_token1] = ACTIONS(5833),
    [aux_sym_boolean_literal_token2] = ACTIONS(5833),
    [aux_sym_null_literal_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_statement_token2] = ACTIONS(5829),
    [aux_sym_coarray_statement_token6] = ACTIONS(5829),
    [aux_sym_coarray_statement_token8] = ACTIONS(5829),
    [aux_sym_coarray_statement_token11] = ACTIONS(5829),
    [aux_sym_coarray_statement_token12] = ACTIONS(5829),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5829),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5829),
    [aux_sym_identifier_token1] = ACTIONS(5829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5833),
    [sym__float_literal] = ACTIONS(5833),
    [sym__boz_literal] = ACTIONS(5833),
    [sym__string_literal] = ACTIONS(5833),
    [sym__string_literal_kind] = ACTIONS(5833),
  },
  [1934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5947),
    [aux_sym_preproc_def_token1] = ACTIONS(5947),
    [aux_sym_preproc_if_token1] = ACTIONS(5947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5947),
    [sym_preproc_directive] = ACTIONS(5947),
    [anon_sym_LPAREN2] = ACTIONS(5947),
    [anon_sym_PLUS] = ACTIONS(5949),
    [anon_sym_DASH] = ACTIONS(5949),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5947),
    [anon_sym_SEMI] = ACTIONS(5949),
    [aux_sym_interface_statement_token1] = ACTIONS(5947),
    [aux_sym_block_data_statement_token1] = ACTIONS(5947),
    [aux_sym_block_data_statement_token2] = ACTIONS(5947),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5947),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5947),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5947),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5947),
    [aux_sym_language_binding_token1] = ACTIONS(5947),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5947),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5947),
    [aux_sym_use_statement_token1] = ACTIONS(5947),
    [aux_sym_use_statement_token2] = ACTIONS(5947),
    [aux_sym_implicit_statement_token1] = ACTIONS(5947),
    [aux_sym_implicit_statement_token3] = ACTIONS(5947),
    [aux_sym_implicit_statement_token4] = ACTIONS(5947),
    [aux_sym_save_statement_token1] = ACTIONS(5947),
    [aux_sym_private_statement_token1] = ACTIONS(5947),
    [aux_sym_public_statement_token1] = ACTIONS(5947),
    [aux_sym_namelist_statement_token1] = ACTIONS(5947),
    [aux_sym_common_statement_token1] = ACTIONS(5947),
    [aux_sym_import_statement_token1] = ACTIONS(5947),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5947),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5947),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5947),
    [aux_sym_variable_attributes_token1] = ACTIONS(5947),
    [aux_sym_variable_attributes_token2] = ACTIONS(5947),
    [aux_sym_variable_attributes_token3] = ACTIONS(5947),
    [aux_sym_variable_attributes_token4] = ACTIONS(5947),
    [aux_sym_variable_attributes_token5] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5947),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5947),
    [aux_sym_derived_type_token1] = ACTIONS(5947),
    [aux_sym_declared_type_token1] = ACTIONS(5947),
    [aux_sym_declared_type_token2] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5947),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5947),
    [aux_sym_type_qualifier_token1] = ACTIONS(5947),
    [aux_sym_type_qualifier_token2] = ACTIONS(5947),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5947),
    [aux_sym_stop_statement_token1] = ACTIONS(5947),
    [aux_sym_stop_statement_token2] = ACTIONS(5947),
    [aux_sym_subroutine_call_token1] = ACTIONS(5947),
    [aux_sym_keyword_statement_token2] = ACTIONS(5947),
    [aux_sym_keyword_statement_token3] = ACTIONS(5947),
    [aux_sym_keyword_statement_token4] = ACTIONS(5947),
    [aux_sym_include_statement_token1] = ACTIONS(5947),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5947),
    [aux_sym_end_if_statement_token1] = ACTIONS(5947),
    [aux_sym_elseif_clause_token2] = ACTIONS(5947),
    [aux_sym_select_case_statement_token1] = ACTIONS(5947),
    [aux_sym_format_statement_token1] = ACTIONS(5947),
    [aux_sym_open_statement_token1] = ACTIONS(5947),
    [aux_sym_inquire_statement_token1] = ACTIONS(5947),
    [aux_sym_enum_statement_token1] = ACTIONS(5947),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5947),
    [aux_sym_entry_statement_token1] = ACTIONS(5947),
    [aux_sym_logical_expression_token5] = ACTIONS(5949),
    [anon_sym_DOT] = ACTIONS(5947),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5949),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [aux_sym_boolean_literal_token1] = ACTIONS(5949),
    [aux_sym_boolean_literal_token2] = ACTIONS(5949),
    [aux_sym_null_literal_token1] = ACTIONS(5947),
    [aux_sym_coarray_statement_token1] = ACTIONS(5947),
    [aux_sym_coarray_statement_token2] = ACTIONS(5947),
    [aux_sym_coarray_statement_token6] = ACTIONS(5947),
    [aux_sym_coarray_statement_token8] = ACTIONS(5947),
    [aux_sym_coarray_statement_token11] = ACTIONS(5947),
    [aux_sym_coarray_statement_token12] = ACTIONS(5947),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5947),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5947),
    [aux_sym_identifier_token1] = ACTIONS(5947),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5949),
    [sym__float_literal] = ACTIONS(5949),
    [sym__boz_literal] = ACTIONS(5949),
    [sym__string_literal] = ACTIONS(5949),
    [sym__string_literal_kind] = ACTIONS(5949),
  },
  [1939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [1940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [1956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5951),
    [aux_sym_preproc_def_token1] = ACTIONS(5951),
    [aux_sym_preproc_if_token1] = ACTIONS(5951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5951),
    [sym_preproc_directive] = ACTIONS(5951),
    [anon_sym_LPAREN2] = ACTIONS(5951),
    [anon_sym_PLUS] = ACTIONS(5953),
    [anon_sym_DASH] = ACTIONS(5953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5951),
    [anon_sym_SEMI] = ACTIONS(5953),
    [aux_sym_interface_statement_token1] = ACTIONS(5951),
    [aux_sym_block_data_statement_token1] = ACTIONS(5951),
    [aux_sym_block_data_statement_token2] = ACTIONS(5951),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5951),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5951),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5951),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5951),
    [aux_sym_language_binding_token1] = ACTIONS(5951),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5951),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5951),
    [aux_sym_use_statement_token1] = ACTIONS(5951),
    [aux_sym_use_statement_token2] = ACTIONS(5951),
    [aux_sym_implicit_statement_token1] = ACTIONS(5951),
    [aux_sym_implicit_statement_token3] = ACTIONS(5951),
    [aux_sym_implicit_statement_token4] = ACTIONS(5951),
    [aux_sym_save_statement_token1] = ACTIONS(5951),
    [aux_sym_private_statement_token1] = ACTIONS(5951),
    [aux_sym_public_statement_token1] = ACTIONS(5951),
    [aux_sym_namelist_statement_token1] = ACTIONS(5951),
    [aux_sym_common_statement_token1] = ACTIONS(5951),
    [aux_sym_import_statement_token1] = ACTIONS(5951),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5951),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5951),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5951),
    [aux_sym_variable_attributes_token1] = ACTIONS(5951),
    [aux_sym_variable_attributes_token2] = ACTIONS(5951),
    [aux_sym_variable_attributes_token3] = ACTIONS(5951),
    [aux_sym_variable_attributes_token4] = ACTIONS(5951),
    [aux_sym_variable_attributes_token5] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5951),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5951),
    [aux_sym_derived_type_token1] = ACTIONS(5951),
    [aux_sym_declared_type_token1] = ACTIONS(5951),
    [aux_sym_declared_type_token2] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5951),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5951),
    [aux_sym_type_qualifier_token1] = ACTIONS(5951),
    [aux_sym_type_qualifier_token2] = ACTIONS(5951),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5951),
    [aux_sym_stop_statement_token1] = ACTIONS(5951),
    [aux_sym_stop_statement_token2] = ACTIONS(5951),
    [aux_sym_subroutine_call_token1] = ACTIONS(5951),
    [aux_sym_keyword_statement_token2] = ACTIONS(5951),
    [aux_sym_keyword_statement_token3] = ACTIONS(5951),
    [aux_sym_keyword_statement_token4] = ACTIONS(5951),
    [aux_sym_include_statement_token1] = ACTIONS(5951),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5951),
    [aux_sym_end_if_statement_token1] = ACTIONS(5951),
    [aux_sym_elseif_clause_token2] = ACTIONS(5951),
    [aux_sym_select_case_statement_token1] = ACTIONS(5951),
    [aux_sym_format_statement_token1] = ACTIONS(5951),
    [aux_sym_open_statement_token1] = ACTIONS(5951),
    [aux_sym_inquire_statement_token1] = ACTIONS(5951),
    [aux_sym_enum_statement_token1] = ACTIONS(5951),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5951),
    [aux_sym_entry_statement_token1] = ACTIONS(5951),
    [aux_sym_logical_expression_token5] = ACTIONS(5953),
    [anon_sym_DOT] = ACTIONS(5951),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5953),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [aux_sym_boolean_literal_token1] = ACTIONS(5953),
    [aux_sym_boolean_literal_token2] = ACTIONS(5953),
    [aux_sym_null_literal_token1] = ACTIONS(5951),
    [aux_sym_coarray_statement_token1] = ACTIONS(5951),
    [aux_sym_coarray_statement_token2] = ACTIONS(5951),
    [aux_sym_coarray_statement_token6] = ACTIONS(5951),
    [aux_sym_coarray_statement_token8] = ACTIONS(5951),
    [aux_sym_coarray_statement_token11] = ACTIONS(5951),
    [aux_sym_coarray_statement_token12] = ACTIONS(5951),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5951),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5951),
    [aux_sym_identifier_token1] = ACTIONS(5951),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5953),
    [sym__float_literal] = ACTIONS(5953),
    [sym__boz_literal] = ACTIONS(5953),
    [sym__string_literal] = ACTIONS(5953),
    [sym__string_literal_kind] = ACTIONS(5953),
  },
  [1957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5799),
    [aux_sym_preproc_def_token1] = ACTIONS(5799),
    [aux_sym_preproc_if_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5799),
    [sym_preproc_directive] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5803),
    [aux_sym_interface_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_block_data_statement_token2] = ACTIONS(5799),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5799),
    [aux_sym_language_binding_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5799),
    [aux_sym_use_statement_token1] = ACTIONS(5799),
    [aux_sym_use_statement_token2] = ACTIONS(5799),
    [aux_sym_implicit_statement_token1] = ACTIONS(5799),
    [aux_sym_implicit_statement_token3] = ACTIONS(5799),
    [aux_sym_implicit_statement_token4] = ACTIONS(5799),
    [aux_sym_save_statement_token1] = ACTIONS(5799),
    [aux_sym_private_statement_token1] = ACTIONS(5799),
    [aux_sym_public_statement_token1] = ACTIONS(5799),
    [aux_sym_namelist_statement_token1] = ACTIONS(5799),
    [aux_sym_common_statement_token1] = ACTIONS(5799),
    [aux_sym_import_statement_token1] = ACTIONS(5799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5799),
    [aux_sym_variable_attributes_token1] = ACTIONS(5799),
    [aux_sym_variable_attributes_token2] = ACTIONS(5799),
    [aux_sym_variable_attributes_token3] = ACTIONS(5799),
    [aux_sym_variable_attributes_token4] = ACTIONS(5799),
    [aux_sym_variable_attributes_token5] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5799),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5799),
    [aux_sym_derived_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token1] = ACTIONS(5799),
    [aux_sym_declared_type_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5799),
    [aux_sym_type_qualifier_token1] = ACTIONS(5799),
    [aux_sym_type_qualifier_token2] = ACTIONS(5799),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token1] = ACTIONS(5799),
    [aux_sym_stop_statement_token2] = ACTIONS(5799),
    [aux_sym_subroutine_call_token1] = ACTIONS(5799),
    [aux_sym_keyword_statement_token2] = ACTIONS(5799),
    [aux_sym_keyword_statement_token3] = ACTIONS(5799),
    [aux_sym_keyword_statement_token4] = ACTIONS(5799),
    [aux_sym_include_statement_token1] = ACTIONS(5799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5799),
    [aux_sym_end_if_statement_token1] = ACTIONS(5799),
    [aux_sym_elseif_clause_token2] = ACTIONS(5799),
    [aux_sym_select_case_statement_token1] = ACTIONS(5799),
    [aux_sym_format_statement_token1] = ACTIONS(5799),
    [aux_sym_open_statement_token1] = ACTIONS(5799),
    [aux_sym_inquire_statement_token1] = ACTIONS(5799),
    [aux_sym_enum_statement_token1] = ACTIONS(5799),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5799),
    [aux_sym_entry_statement_token1] = ACTIONS(5799),
    [aux_sym_logical_expression_token5] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [aux_sym_boolean_literal_token1] = ACTIONS(5803),
    [aux_sym_boolean_literal_token2] = ACTIONS(5803),
    [aux_sym_null_literal_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_statement_token2] = ACTIONS(5799),
    [aux_sym_coarray_statement_token6] = ACTIONS(5799),
    [aux_sym_coarray_statement_token8] = ACTIONS(5799),
    [aux_sym_coarray_statement_token11] = ACTIONS(5799),
    [aux_sym_coarray_statement_token12] = ACTIONS(5799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5799),
    [aux_sym_identifier_token1] = ACTIONS(5799),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5803),
    [sym__float_literal] = ACTIONS(5803),
    [sym__boz_literal] = ACTIONS(5803),
    [sym__string_literal] = ACTIONS(5803),
    [sym__string_literal_kind] = ACTIONS(5803),
  },
  [1958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5811),
    [aux_sym_preproc_def_token1] = ACTIONS(5811),
    [aux_sym_preproc_if_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5811),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5811),
    [sym_preproc_directive] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5815),
    [aux_sym_interface_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_block_data_statement_token2] = ACTIONS(5811),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5811),
    [aux_sym_language_binding_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5811),
    [aux_sym_use_statement_token1] = ACTIONS(5811),
    [aux_sym_use_statement_token2] = ACTIONS(5811),
    [aux_sym_implicit_statement_token1] = ACTIONS(5811),
    [aux_sym_implicit_statement_token3] = ACTIONS(5811),
    [aux_sym_implicit_statement_token4] = ACTIONS(5811),
    [aux_sym_save_statement_token1] = ACTIONS(5811),
    [aux_sym_private_statement_token1] = ACTIONS(5811),
    [aux_sym_public_statement_token1] = ACTIONS(5811),
    [aux_sym_namelist_statement_token1] = ACTIONS(5811),
    [aux_sym_common_statement_token1] = ACTIONS(5811),
    [aux_sym_import_statement_token1] = ACTIONS(5811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5811),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5811),
    [aux_sym_variable_attributes_token1] = ACTIONS(5811),
    [aux_sym_variable_attributes_token2] = ACTIONS(5811),
    [aux_sym_variable_attributes_token3] = ACTIONS(5811),
    [aux_sym_variable_attributes_token4] = ACTIONS(5811),
    [aux_sym_variable_attributes_token5] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5811),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5811),
    [aux_sym_derived_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token1] = ACTIONS(5811),
    [aux_sym_declared_type_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5811),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5811),
    [aux_sym_type_qualifier_token1] = ACTIONS(5811),
    [aux_sym_type_qualifier_token2] = ACTIONS(5811),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token1] = ACTIONS(5811),
    [aux_sym_stop_statement_token2] = ACTIONS(5811),
    [aux_sym_subroutine_call_token1] = ACTIONS(5811),
    [aux_sym_keyword_statement_token2] = ACTIONS(5811),
    [aux_sym_keyword_statement_token3] = ACTIONS(5811),
    [aux_sym_keyword_statement_token4] = ACTIONS(5811),
    [aux_sym_include_statement_token1] = ACTIONS(5811),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5811),
    [aux_sym_end_if_statement_token1] = ACTIONS(5811),
    [aux_sym_elseif_clause_token2] = ACTIONS(5811),
    [aux_sym_select_case_statement_token1] = ACTIONS(5811),
    [aux_sym_format_statement_token1] = ACTIONS(5811),
    [aux_sym_open_statement_token1] = ACTIONS(5811),
    [aux_sym_inquire_statement_token1] = ACTIONS(5811),
    [aux_sym_enum_statement_token1] = ACTIONS(5811),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5811),
    [aux_sym_entry_statement_token1] = ACTIONS(5811),
    [aux_sym_logical_expression_token5] = ACTIONS(5815),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [aux_sym_boolean_literal_token1] = ACTIONS(5815),
    [aux_sym_boolean_literal_token2] = ACTIONS(5815),
    [aux_sym_null_literal_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_statement_token2] = ACTIONS(5811),
    [aux_sym_coarray_statement_token6] = ACTIONS(5811),
    [aux_sym_coarray_statement_token8] = ACTIONS(5811),
    [aux_sym_coarray_statement_token11] = ACTIONS(5811),
    [aux_sym_coarray_statement_token12] = ACTIONS(5811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5811),
    [aux_sym_identifier_token1] = ACTIONS(5811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5815),
    [sym__float_literal] = ACTIONS(5815),
    [sym__boz_literal] = ACTIONS(5815),
    [sym__string_literal] = ACTIONS(5815),
    [sym__string_literal_kind] = ACTIONS(5815),
  },
  [1963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5859),
    [aux_sym_preproc_def_token1] = ACTIONS(5859),
    [aux_sym_preproc_if_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5859),
    [sym_preproc_directive] = ACTIONS(5859),
    [anon_sym_LPAREN2] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5859),
    [anon_sym_SEMI] = ACTIONS(5861),
    [aux_sym_interface_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token1] = ACTIONS(5859),
    [aux_sym_block_data_statement_token2] = ACTIONS(5859),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5859),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5859),
    [aux_sym_language_binding_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5859),
    [aux_sym_use_statement_token1] = ACTIONS(5859),
    [aux_sym_use_statement_token2] = ACTIONS(5859),
    [aux_sym_implicit_statement_token1] = ACTIONS(5859),
    [aux_sym_implicit_statement_token3] = ACTIONS(5859),
    [aux_sym_implicit_statement_token4] = ACTIONS(5859),
    [aux_sym_save_statement_token1] = ACTIONS(5859),
    [aux_sym_private_statement_token1] = ACTIONS(5859),
    [aux_sym_public_statement_token1] = ACTIONS(5859),
    [aux_sym_namelist_statement_token1] = ACTIONS(5859),
    [aux_sym_common_statement_token1] = ACTIONS(5859),
    [aux_sym_import_statement_token1] = ACTIONS(5859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5859),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5859),
    [aux_sym_variable_attributes_token1] = ACTIONS(5859),
    [aux_sym_variable_attributes_token2] = ACTIONS(5859),
    [aux_sym_variable_attributes_token3] = ACTIONS(5859),
    [aux_sym_variable_attributes_token4] = ACTIONS(5859),
    [aux_sym_variable_attributes_token5] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5859),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5859),
    [aux_sym_derived_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token1] = ACTIONS(5859),
    [aux_sym_declared_type_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5859),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5859),
    [aux_sym_type_qualifier_token1] = ACTIONS(5859),
    [aux_sym_type_qualifier_token2] = ACTIONS(5859),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token1] = ACTIONS(5859),
    [aux_sym_stop_statement_token2] = ACTIONS(5859),
    [aux_sym_subroutine_call_token1] = ACTIONS(5859),
    [aux_sym_keyword_statement_token2] = ACTIONS(5859),
    [aux_sym_keyword_statement_token3] = ACTIONS(5859),
    [aux_sym_keyword_statement_token4] = ACTIONS(5859),
    [aux_sym_include_statement_token1] = ACTIONS(5859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5859),
    [aux_sym_end_if_statement_token1] = ACTIONS(5859),
    [aux_sym_elseif_clause_token2] = ACTIONS(5859),
    [aux_sym_select_case_statement_token1] = ACTIONS(5859),
    [aux_sym_format_statement_token1] = ACTIONS(5859),
    [aux_sym_open_statement_token1] = ACTIONS(5859),
    [aux_sym_inquire_statement_token1] = ACTIONS(5859),
    [aux_sym_enum_statement_token1] = ACTIONS(5859),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5859),
    [aux_sym_entry_statement_token1] = ACTIONS(5859),
    [aux_sym_logical_expression_token5] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [aux_sym_boolean_literal_token1] = ACTIONS(5861),
    [aux_sym_boolean_literal_token2] = ACTIONS(5861),
    [aux_sym_null_literal_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_statement_token2] = ACTIONS(5859),
    [aux_sym_coarray_statement_token6] = ACTIONS(5859),
    [aux_sym_coarray_statement_token8] = ACTIONS(5859),
    [aux_sym_coarray_statement_token11] = ACTIONS(5859),
    [aux_sym_coarray_statement_token12] = ACTIONS(5859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5859),
    [aux_sym_identifier_token1] = ACTIONS(5859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5861),
    [sym__float_literal] = ACTIONS(5861),
    [sym__boz_literal] = ACTIONS(5861),
    [sym__string_literal] = ACTIONS(5861),
    [sym__string_literal_kind] = ACTIONS(5861),
  },
  [1966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [1967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5955),
    [aux_sym_preproc_def_token1] = ACTIONS(5955),
    [aux_sym_preproc_if_token1] = ACTIONS(5955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5955),
    [sym_preproc_directive] = ACTIONS(5955),
    [anon_sym_LPAREN2] = ACTIONS(5955),
    [anon_sym_PLUS] = ACTIONS(5957),
    [anon_sym_DASH] = ACTIONS(5957),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5955),
    [anon_sym_SEMI] = ACTIONS(5957),
    [aux_sym_interface_statement_token1] = ACTIONS(5955),
    [aux_sym_block_data_statement_token1] = ACTIONS(5955),
    [aux_sym_block_data_statement_token2] = ACTIONS(5955),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5955),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5955),
    [aux_sym_language_binding_token1] = ACTIONS(5955),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5955),
    [aux_sym_use_statement_token1] = ACTIONS(5955),
    [aux_sym_use_statement_token2] = ACTIONS(5955),
    [aux_sym_implicit_statement_token1] = ACTIONS(5955),
    [aux_sym_implicit_statement_token3] = ACTIONS(5955),
    [aux_sym_implicit_statement_token4] = ACTIONS(5955),
    [aux_sym_save_statement_token1] = ACTIONS(5955),
    [aux_sym_private_statement_token1] = ACTIONS(5955),
    [aux_sym_public_statement_token1] = ACTIONS(5955),
    [aux_sym_namelist_statement_token1] = ACTIONS(5955),
    [aux_sym_common_statement_token1] = ACTIONS(5955),
    [aux_sym_import_statement_token1] = ACTIONS(5955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5955),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5955),
    [aux_sym_variable_attributes_token1] = ACTIONS(5955),
    [aux_sym_variable_attributes_token2] = ACTIONS(5955),
    [aux_sym_variable_attributes_token3] = ACTIONS(5955),
    [aux_sym_variable_attributes_token4] = ACTIONS(5955),
    [aux_sym_variable_attributes_token5] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5955),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5955),
    [aux_sym_derived_type_token1] = ACTIONS(5955),
    [aux_sym_declared_type_token1] = ACTIONS(5955),
    [aux_sym_declared_type_token2] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5955),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5955),
    [aux_sym_type_qualifier_token1] = ACTIONS(5955),
    [aux_sym_type_qualifier_token2] = ACTIONS(5955),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5955),
    [aux_sym_stop_statement_token1] = ACTIONS(5955),
    [aux_sym_stop_statement_token2] = ACTIONS(5955),
    [aux_sym_subroutine_call_token1] = ACTIONS(5955),
    [aux_sym_keyword_statement_token2] = ACTIONS(5955),
    [aux_sym_keyword_statement_token3] = ACTIONS(5955),
    [aux_sym_keyword_statement_token4] = ACTIONS(5955),
    [aux_sym_include_statement_token1] = ACTIONS(5955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5955),
    [aux_sym_end_if_statement_token1] = ACTIONS(5955),
    [aux_sym_elseif_clause_token2] = ACTIONS(5955),
    [aux_sym_select_case_statement_token1] = ACTIONS(5955),
    [aux_sym_format_statement_token1] = ACTIONS(5955),
    [aux_sym_open_statement_token1] = ACTIONS(5955),
    [aux_sym_inquire_statement_token1] = ACTIONS(5955),
    [aux_sym_enum_statement_token1] = ACTIONS(5955),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5955),
    [aux_sym_entry_statement_token1] = ACTIONS(5955),
    [aux_sym_logical_expression_token5] = ACTIONS(5957),
    [anon_sym_DOT] = ACTIONS(5955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5957),
    [aux_sym_boolean_literal_token1] = ACTIONS(5957),
    [aux_sym_boolean_literal_token2] = ACTIONS(5957),
    [aux_sym_null_literal_token1] = ACTIONS(5955),
    [aux_sym_coarray_statement_token1] = ACTIONS(5955),
    [aux_sym_coarray_statement_token2] = ACTIONS(5955),
    [aux_sym_coarray_statement_token6] = ACTIONS(5955),
    [aux_sym_coarray_statement_token8] = ACTIONS(5955),
    [aux_sym_coarray_statement_token11] = ACTIONS(5955),
    [aux_sym_coarray_statement_token12] = ACTIONS(5955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5955),
    [aux_sym_identifier_token1] = ACTIONS(5955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5957),
    [sym__float_literal] = ACTIONS(5957),
    [sym__boz_literal] = ACTIONS(5957),
    [sym__string_literal] = ACTIONS(5957),
    [sym__string_literal_kind] = ACTIONS(5957),
  },
  [1968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_interface_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_language_binding_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token1] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_namelist_statement_token1] = ACTIONS(4856),
    [aux_sym_common_statement_token1] = ACTIONS(4856),
    [aux_sym_import_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token1] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token4] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token1] = ACTIONS(4856),
    [aux_sym_declared_type_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [1971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_interface_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_language_binding_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token1] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_namelist_statement_token1] = ACTIONS(4840),
    [aux_sym_common_statement_token1] = ACTIONS(4840),
    [aux_sym_import_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token1] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token4] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token1] = ACTIONS(4840),
    [aux_sym_declared_type_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_enum_statement_token1] = ACTIONS(4840),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [1972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_interface_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_language_binding_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token1] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_namelist_statement_token1] = ACTIONS(4896),
    [aux_sym_common_statement_token1] = ACTIONS(4896),
    [aux_sym_import_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token1] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token4] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token1] = ACTIONS(4896),
    [aux_sym_declared_type_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_enum_statement_token1] = ACTIONS(4896),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [1973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_interface_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_language_binding_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token1] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_namelist_statement_token1] = ACTIONS(4900),
    [aux_sym_common_statement_token1] = ACTIONS(4900),
    [aux_sym_import_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token1] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token4] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token1] = ACTIONS(4900),
    [aux_sym_declared_type_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_enum_statement_token1] = ACTIONS(4900),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [1978] = {
    [sym_assignment] = STATE(6423),
    [sym_operator] = STATE(6423),
    [sym_defined_io_procedure] = STATE(6423),
    [sym__generic_procedure] = STATE(6423),
    [sym_identifier] = STATE(6423),
    [sym__end_of_statement] = STATE(1560),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5959),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5969),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5959),
  },
  [1979] = {
    [sym_assignment] = STATE(6439),
    [sym_operator] = STATE(6439),
    [sym_defined_io_procedure] = STATE(6439),
    [sym__generic_procedure] = STATE(6439),
    [sym_identifier] = STATE(6439),
    [sym__end_of_statement] = STATE(1565),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5971),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5973),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5971),
  },
  [1980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1983] = {
    [sym_assignment] = STATE(6574),
    [sym_operator] = STATE(6574),
    [sym_defined_io_procedure] = STATE(6574),
    [sym__generic_procedure] = STATE(6574),
    [sym_identifier] = STATE(6574),
    [sym__end_of_statement] = STATE(1195),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5975),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5977),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5975),
  },
  [1984] = {
    [sym_assignment] = STATE(6622),
    [sym_operator] = STATE(6622),
    [sym_defined_io_procedure] = STATE(6622),
    [sym__generic_procedure] = STATE(6622),
    [sym_identifier] = STATE(6622),
    [sym__end_of_statement] = STATE(1193),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5979),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5981),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5979),
  },
  [1985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1986] = {
    [sym_assignment] = STATE(6570),
    [sym_operator] = STATE(6570),
    [sym_defined_io_procedure] = STATE(6570),
    [sym__generic_procedure] = STATE(6570),
    [sym_identifier] = STATE(6570),
    [sym__end_of_statement] = STATE(1631),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5983),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5985),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5983),
  },
  [1987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token1] = ACTIONS(5104),
    [aux_sym_block_data_statement_token2] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1988] = {
    [sym_assignment] = STATE(6572),
    [sym_operator] = STATE(6572),
    [sym_defined_io_procedure] = STATE(6572),
    [sym__generic_procedure] = STATE(6572),
    [sym_identifier] = STATE(6572),
    [sym__end_of_statement] = STATE(1341),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5987),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5989),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5987),
  },
  [1989] = {
    [sym_assignment] = STATE(6573),
    [sym_operator] = STATE(6573),
    [sym_defined_io_procedure] = STATE(6573),
    [sym__generic_procedure] = STATE(6573),
    [sym_identifier] = STATE(6573),
    [sym__end_of_statement] = STATE(1342),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5991),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5993),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5991),
  },
  [1990] = {
    [sym_assignment] = STATE(6492),
    [sym_operator] = STATE(6492),
    [sym_defined_io_procedure] = STATE(6492),
    [sym__generic_procedure] = STATE(6492),
    [sym_identifier] = STATE(6492),
    [sym__end_of_statement] = STATE(1573),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(5995),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5997),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5995),
  },
  [1991] = {
    [anon_sym_COMMA] = ACTIONS(5999),
    [anon_sym_RPAREN] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(6001),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(6004),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(6007),
    [aux_sym_module_statement_token1] = ACTIONS(6007),
    [anon_sym_COLON] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(6007),
    [aux_sym_block_data_statement_token2] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6007),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6007),
    [aux_sym_function_statement_token1] = ACTIONS(6007),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6007),
    [aux_sym_use_statement_token2] = ACTIONS(6007),
    [anon_sym_COLON_COLON] = ACTIONS(5999),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token3] = ACTIONS(6007),
    [aux_sym_implicit_statement_token4] = ACTIONS(6007),
    [aux_sym_save_statement_token1] = ACTIONS(6007),
    [aux_sym_private_statement_token1] = ACTIONS(6007),
    [aux_sym_public_statement_token1] = ACTIONS(6007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6007),
    [aux_sym_variable_attributes_token2] = ACTIONS(6007),
    [aux_sym_variable_attributes_token3] = ACTIONS(6007),
    [aux_sym_variable_attributes_token5] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6007),
    [aux_sym_derived_type_token1] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6007),
    [aux_sym_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6007),
    [aux_sym_stop_statement_token1] = ACTIONS(6007),
    [aux_sym_stop_statement_token2] = ACTIONS(6007),
    [aux_sym_subroutine_call_token1] = ACTIONS(6007),
    [aux_sym_keyword_statement_token2] = ACTIONS(6007),
    [aux_sym_keyword_statement_token3] = ACTIONS(6007),
    [aux_sym_keyword_statement_token4] = ACTIONS(6007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6007),
    [aux_sym_end_if_statement_token1] = ACTIONS(6007),
    [aux_sym_elseif_clause_token2] = ACTIONS(6007),
    [aux_sym_select_case_statement_token1] = ACTIONS(6007),
    [aux_sym_format_statement_token1] = ACTIONS(6007),
    [aux_sym_open_statement_token1] = ACTIONS(6007),
    [aux_sym_inquire_statement_token1] = ACTIONS(6007),
    [aux_sym_entry_statement_token1] = ACTIONS(6007),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token2] = ACTIONS(6007),
    [aux_sym_coarray_statement_token6] = ACTIONS(6007),
    [aux_sym_coarray_statement_token8] = ACTIONS(6007),
    [aux_sym_coarray_statement_token11] = ACTIONS(6007),
    [aux_sym_coarray_statement_token12] = ACTIONS(6007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(6007),
    [sym_comment] = ACTIONS(21),
  },
  [1992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1993] = {
    [sym_assignment] = STATE(6409),
    [sym_operator] = STATE(6409),
    [sym_defined_io_procedure] = STATE(6409),
    [sym__generic_procedure] = STATE(6409),
    [sym_identifier] = STATE(6409),
    [sym__end_of_statement] = STATE(1215),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6009),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6009),
  },
  [1994] = {
    [sym_assignment] = STATE(6412),
    [sym_operator] = STATE(6412),
    [sym_defined_io_procedure] = STATE(6412),
    [sym__generic_procedure] = STATE(6412),
    [sym_identifier] = STATE(6412),
    [sym__end_of_statement] = STATE(1216),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6013),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6015),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6013),
  },
  [1995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4844),
    [aux_sym_preproc_def_token1] = ACTIONS(4844),
    [aux_sym_preproc_if_token2] = ACTIONS(4844),
    [sym_preproc_directive] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4844),
    [anon_sym_PLUS] = ACTIONS(4846),
    [anon_sym_DASH] = ACTIONS(4846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4844),
    [anon_sym_SEMI] = ACTIONS(4846),
    [aux_sym_interface_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token1] = ACTIONS(4844),
    [aux_sym_block_data_statement_token2] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4844),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4844),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4844),
    [aux_sym_language_binding_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4844),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4844),
    [aux_sym_contains_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token1] = ACTIONS(4844),
    [aux_sym_use_statement_token2] = ACTIONS(4844),
    [aux_sym_implicit_statement_token1] = ACTIONS(4844),
    [aux_sym_implicit_statement_token3] = ACTIONS(4844),
    [aux_sym_implicit_statement_token4] = ACTIONS(4844),
    [aux_sym_save_statement_token1] = ACTIONS(4844),
    [aux_sym_private_statement_token1] = ACTIONS(4844),
    [aux_sym_public_statement_token1] = ACTIONS(4844),
    [aux_sym_namelist_statement_token1] = ACTIONS(4844),
    [aux_sym_common_statement_token1] = ACTIONS(4844),
    [aux_sym_import_statement_token1] = ACTIONS(4844),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4844),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4844),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4844),
    [aux_sym_variable_attributes_token1] = ACTIONS(4844),
    [aux_sym_variable_attributes_token2] = ACTIONS(4844),
    [aux_sym_variable_attributes_token3] = ACTIONS(4844),
    [aux_sym_variable_attributes_token4] = ACTIONS(4844),
    [aux_sym_variable_attributes_token5] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4844),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4844),
    [aux_sym_derived_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token1] = ACTIONS(4844),
    [aux_sym_declared_type_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4844),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4844),
    [aux_sym_type_qualifier_token1] = ACTIONS(4844),
    [aux_sym_type_qualifier_token2] = ACTIONS(4844),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token1] = ACTIONS(4844),
    [aux_sym_stop_statement_token2] = ACTIONS(4844),
    [aux_sym_subroutine_call_token1] = ACTIONS(4844),
    [aux_sym_keyword_statement_token2] = ACTIONS(4844),
    [aux_sym_keyword_statement_token3] = ACTIONS(4844),
    [aux_sym_keyword_statement_token4] = ACTIONS(4844),
    [aux_sym_include_statement_token1] = ACTIONS(4844),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4844),
    [aux_sym_end_if_statement_token1] = ACTIONS(4844),
    [aux_sym_elseif_clause_token2] = ACTIONS(4844),
    [aux_sym_select_case_statement_token1] = ACTIONS(4844),
    [aux_sym_format_statement_token1] = ACTIONS(4844),
    [aux_sym_open_statement_token1] = ACTIONS(4844),
    [aux_sym_inquire_statement_token1] = ACTIONS(4844),
    [aux_sym_enum_statement_token1] = ACTIONS(4844),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4844),
    [aux_sym_entry_statement_token1] = ACTIONS(4844),
    [aux_sym_logical_expression_token5] = ACTIONS(4846),
    [anon_sym_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4846),
    [aux_sym_boolean_literal_token1] = ACTIONS(4846),
    [aux_sym_boolean_literal_token2] = ACTIONS(4846),
    [aux_sym_null_literal_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_statement_token2] = ACTIONS(4844),
    [aux_sym_coarray_statement_token6] = ACTIONS(4844),
    [aux_sym_coarray_statement_token8] = ACTIONS(4844),
    [aux_sym_coarray_statement_token11] = ACTIONS(4844),
    [aux_sym_coarray_statement_token12] = ACTIONS(4844),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4844),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4844),
    [aux_sym_identifier_token1] = ACTIONS(4844),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4846),
    [sym__float_literal] = ACTIONS(4846),
    [sym__boz_literal] = ACTIONS(4846),
    [sym__string_literal] = ACTIONS(4846),
    [sym__string_literal_kind] = ACTIONS(4846),
  },
  [1996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_interface_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5004),
    [aux_sym_block_data_statement_token2] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5004),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5004),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5004),
    [aux_sym_language_binding_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5004),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5004),
    [aux_sym_contains_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token1] = ACTIONS(5004),
    [aux_sym_use_statement_token2] = ACTIONS(5004),
    [aux_sym_implicit_statement_token1] = ACTIONS(5004),
    [aux_sym_implicit_statement_token3] = ACTIONS(5004),
    [aux_sym_implicit_statement_token4] = ACTIONS(5004),
    [aux_sym_save_statement_token1] = ACTIONS(5004),
    [aux_sym_private_statement_token1] = ACTIONS(5004),
    [aux_sym_public_statement_token1] = ACTIONS(5004),
    [aux_sym_namelist_statement_token1] = ACTIONS(5004),
    [aux_sym_common_statement_token1] = ACTIONS(5004),
    [aux_sym_import_statement_token1] = ACTIONS(5004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5004),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5004),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5004),
    [aux_sym_variable_attributes_token1] = ACTIONS(5004),
    [aux_sym_variable_attributes_token2] = ACTIONS(5004),
    [aux_sym_variable_attributes_token3] = ACTIONS(5004),
    [aux_sym_variable_attributes_token4] = ACTIONS(5004),
    [aux_sym_variable_attributes_token5] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5004),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5004),
    [aux_sym_derived_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token1] = ACTIONS(5004),
    [aux_sym_declared_type_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5004),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5004),
    [aux_sym_type_qualifier_token1] = ACTIONS(5004),
    [aux_sym_type_qualifier_token2] = ACTIONS(5004),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token1] = ACTIONS(5004),
    [aux_sym_stop_statement_token2] = ACTIONS(5004),
    [aux_sym_subroutine_call_token1] = ACTIONS(5004),
    [aux_sym_keyword_statement_token2] = ACTIONS(5004),
    [aux_sym_keyword_statement_token3] = ACTIONS(5004),
    [aux_sym_keyword_statement_token4] = ACTIONS(5004),
    [aux_sym_include_statement_token1] = ACTIONS(5004),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5004),
    [aux_sym_end_if_statement_token1] = ACTIONS(5004),
    [aux_sym_elseif_clause_token2] = ACTIONS(5004),
    [aux_sym_select_case_statement_token1] = ACTIONS(5004),
    [aux_sym_format_statement_token1] = ACTIONS(5004),
    [aux_sym_open_statement_token1] = ACTIONS(5004),
    [aux_sym_inquire_statement_token1] = ACTIONS(5004),
    [aux_sym_enum_statement_token1] = ACTIONS(5004),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5004),
    [aux_sym_entry_statement_token1] = ACTIONS(5004),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_statement_token2] = ACTIONS(5004),
    [aux_sym_coarray_statement_token6] = ACTIONS(5004),
    [aux_sym_coarray_statement_token8] = ACTIONS(5004),
    [aux_sym_coarray_statement_token11] = ACTIONS(5004),
    [aux_sym_coarray_statement_token12] = ACTIONS(5004),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5004),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5004),
    [aux_sym_identifier_token1] = ACTIONS(5004),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1999] = {
    [sym_assignment] = STATE(6444),
    [sym_operator] = STATE(6444),
    [sym_defined_io_procedure] = STATE(6444),
    [sym__generic_procedure] = STATE(6444),
    [sym_identifier] = STATE(6444),
    [sym__end_of_statement] = STATE(1697),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6017),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6019),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6017),
  },
  [2000] = {
    [sym_assignment] = STATE(6499),
    [sym_operator] = STATE(6499),
    [sym_defined_io_procedure] = STATE(6499),
    [sym__generic_procedure] = STATE(6499),
    [sym_identifier] = STATE(6499),
    [sym__end_of_statement] = STATE(1629),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6021),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6023),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6021),
  },
  [2001] = {
    [sym_assignment] = STATE(6500),
    [sym_operator] = STATE(6500),
    [sym_defined_io_procedure] = STATE(6500),
    [sym__generic_procedure] = STATE(6500),
    [sym_identifier] = STATE(6500),
    [sym__end_of_statement] = STATE(1630),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6025),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6027),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6025),
  },
  [2002] = {
    [sym_assignment] = STATE(6550),
    [sym_operator] = STATE(6550),
    [sym_defined_io_procedure] = STATE(6550),
    [sym__generic_procedure] = STATE(6550),
    [sym_identifier] = STATE(6550),
    [sym__end_of_statement] = STATE(1508),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6029),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6031),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6029),
  },
  [2003] = {
    [sym_assignment] = STATE(6551),
    [sym_operator] = STATE(6551),
    [sym_defined_io_procedure] = STATE(6551),
    [sym__generic_procedure] = STATE(6551),
    [sym_identifier] = STATE(6551),
    [sym__end_of_statement] = STATE(1540),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6033),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6033),
  },
  [2004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [2006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [2007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [2008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_interface_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_language_binding_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token1] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_namelist_statement_token1] = ACTIONS(4944),
    [aux_sym_common_statement_token1] = ACTIONS(4944),
    [aux_sym_import_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token1] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token4] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token1] = ACTIONS(4944),
    [aux_sym_declared_type_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_enum_statement_token1] = ACTIONS(4944),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [2010] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4892),
    [aux_sym_preproc_def_token1] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [sym_preproc_directive] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_interface_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(4892),
    [aux_sym_block_data_statement_token2] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4892),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4892),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4892),
    [aux_sym_language_binding_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4892),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4892),
    [aux_sym_contains_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token1] = ACTIONS(4892),
    [aux_sym_use_statement_token2] = ACTIONS(4892),
    [aux_sym_implicit_statement_token1] = ACTIONS(4892),
    [aux_sym_implicit_statement_token3] = ACTIONS(4892),
    [aux_sym_implicit_statement_token4] = ACTIONS(4892),
    [aux_sym_save_statement_token1] = ACTIONS(4892),
    [aux_sym_private_statement_token1] = ACTIONS(4892),
    [aux_sym_public_statement_token1] = ACTIONS(4892),
    [aux_sym_namelist_statement_token1] = ACTIONS(4892),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4892),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4892),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4892),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4892),
    [aux_sym_variable_attributes_token1] = ACTIONS(4892),
    [aux_sym_variable_attributes_token2] = ACTIONS(4892),
    [aux_sym_variable_attributes_token3] = ACTIONS(4892),
    [aux_sym_variable_attributes_token4] = ACTIONS(4892),
    [aux_sym_variable_attributes_token5] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4892),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4892),
    [aux_sym_derived_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token1] = ACTIONS(4892),
    [aux_sym_declared_type_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4892),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4892),
    [aux_sym_type_qualifier_token1] = ACTIONS(4892),
    [aux_sym_type_qualifier_token2] = ACTIONS(4892),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token1] = ACTIONS(4892),
    [aux_sym_stop_statement_token2] = ACTIONS(4892),
    [aux_sym_subroutine_call_token1] = ACTIONS(4892),
    [aux_sym_keyword_statement_token2] = ACTIONS(4892),
    [aux_sym_keyword_statement_token3] = ACTIONS(4892),
    [aux_sym_keyword_statement_token4] = ACTIONS(4892),
    [aux_sym_include_statement_token1] = ACTIONS(4892),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4892),
    [aux_sym_end_if_statement_token1] = ACTIONS(4892),
    [aux_sym_elseif_clause_token2] = ACTIONS(4892),
    [aux_sym_select_case_statement_token1] = ACTIONS(4892),
    [aux_sym_format_statement_token1] = ACTIONS(4892),
    [aux_sym_open_statement_token1] = ACTIONS(4892),
    [aux_sym_inquire_statement_token1] = ACTIONS(4892),
    [aux_sym_enum_statement_token1] = ACTIONS(4892),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4892),
    [aux_sym_entry_statement_token1] = ACTIONS(4892),
    [aux_sym_logical_expression_token5] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [aux_sym_boolean_literal_token1] = ACTIONS(4894),
    [aux_sym_boolean_literal_token2] = ACTIONS(4894),
    [aux_sym_null_literal_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_statement_token2] = ACTIONS(4892),
    [aux_sym_coarray_statement_token6] = ACTIONS(4892),
    [aux_sym_coarray_statement_token8] = ACTIONS(4892),
    [aux_sym_coarray_statement_token11] = ACTIONS(4892),
    [aux_sym_coarray_statement_token12] = ACTIONS(4892),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4892),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4892),
    [aux_sym_identifier_token1] = ACTIONS(4892),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4894),
    [sym__float_literal] = ACTIONS(4894),
    [sym__boz_literal] = ACTIONS(4894),
    [sym__string_literal] = ACTIONS(4894),
    [sym__string_literal_kind] = ACTIONS(4894),
  },
  [2011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_interface_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_language_binding_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token1] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_namelist_statement_token1] = ACTIONS(4948),
    [aux_sym_common_statement_token1] = ACTIONS(4948),
    [aux_sym_import_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token1] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token4] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token1] = ACTIONS(4948),
    [aux_sym_declared_type_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_enum_statement_token1] = ACTIONS(4948),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_interface_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_language_binding_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token1] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_namelist_statement_token1] = ACTIONS(4852),
    [aux_sym_common_statement_token1] = ACTIONS(4852),
    [aux_sym_import_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token1] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token4] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token1] = ACTIONS(4852),
    [aux_sym_declared_type_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_enum_statement_token1] = ACTIONS(4852),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [2014] = {
    [sym_assignment] = STATE(6568),
    [sym_operator] = STATE(6568),
    [sym_defined_io_procedure] = STATE(6568),
    [sym__generic_procedure] = STATE(6568),
    [sym_identifier] = STATE(6568),
    [sym__end_of_statement] = STATE(1381),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6037),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6039),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6037),
  },
  [2015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [2016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [2018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [2019] = {
    [sym_assignment] = STATE(6569),
    [sym_operator] = STATE(6569),
    [sym_defined_io_procedure] = STATE(6569),
    [sym__generic_procedure] = STATE(6569),
    [sym_identifier] = STATE(6569),
    [sym__end_of_statement] = STATE(1383),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6041),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6043),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6041),
  },
  [2020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [2021] = {
    [sym_assignment] = STATE(6442),
    [sym_operator] = STATE(6442),
    [sym_defined_io_procedure] = STATE(6442),
    [sym__generic_procedure] = STATE(6442),
    [sym_identifier] = STATE(6442),
    [sym__end_of_statement] = STATE(1696),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6045),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6047),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6045),
  },
  [2022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [aux_sym_preproc_else_token1] = ACTIONS(6049),
    [aux_sym_preproc_elif_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6051),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [aux_sym_end_program_statement_token2] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6055),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6059),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [aux_sym_preproc_else_token1] = ACTIONS(6063),
    [aux_sym_preproc_elif_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [aux_sym_end_program_statement_token2] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [aux_sym_preproc_else_token1] = ACTIONS(6069),
    [aux_sym_preproc_elif_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6071),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [aux_sym_end_program_statement_token2] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [aux_sym_preproc_else_token1] = ACTIONS(6075),
    [aux_sym_preproc_elif_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6077),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [aux_sym_end_program_statement_token2] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [aux_sym_preproc_else_token1] = ACTIONS(4756),
    [aux_sym_preproc_elif_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6081),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [aux_sym_end_program_statement_token2] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_contains_statement_token1] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6085),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [aux_sym_end_program_statement_token2] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2031] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4660),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym__type_spec] = STATE(3111),
    [sym__ac_value_list] = STATE(8504),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [aux_sym_preproc_else_token1] = ACTIONS(6099),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6101),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [aux_sym_end_program_statement_token2] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6105),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2034] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym__type_spec] = STATE(3115),
    [sym__ac_value_list] = STATE(8124),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6119),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [2035] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4660),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym__type_spec] = STATE(3111),
    [sym__ac_value_list] = STATE(8130),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [aux_sym_preproc_else_token1] = ACTIONS(6143),
    [aux_sym_preproc_elif_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [aux_sym_end_program_statement_token2] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6149),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6153),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2039] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym__type_spec] = STATE(3115),
    [sym__ac_value_list] = STATE(8727),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6119),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [2040] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4660),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym__type_spec] = STATE(3111),
    [sym__ac_value_list] = STATE(8729),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2041] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym__type_spec] = STATE(3115),
    [sym__ac_value_list] = STATE(8491),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6119),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [2042] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym__type_spec] = STATE(3115),
    [sym__ac_value_list] = STATE(8507),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6117),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6119),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [2043] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8129),
    [sym_derived_type] = STATE(8129),
    [sym__expression] = STATE(4660),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym__type_spec] = STATE(3111),
    [sym__ac_value_list] = STATE(8512),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6095),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6097),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2044] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(7024),
    [sym__expression] = STATE(4631),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7553),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7553),
    [sym_multiple_subscript] = STATE(7553),
    [sym_multiple_subscript_triplet] = STATE(7553),
    [sym_assumed_size] = STATE(7553),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6169),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [aux_sym_preproc_else_token1] = ACTIONS(6171),
    [aux_sym_preproc_elif_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6173),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [aux_sym_end_program_statement_token2] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2046] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(6842),
    [sym__expression] = STATE(4631),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7553),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7553),
    [sym_multiple_subscript] = STATE(7553),
    [sym_multiple_subscript_triplet] = STATE(7553),
    [sym_assumed_size] = STATE(7553),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6169),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [aux_sym_preproc_else_token1] = ACTIONS(4744),
    [aux_sym_preproc_elif_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6177),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [aux_sym_end_program_statement_token2] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_contains_statement_token1] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6181),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6183),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_if_token2] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [aux_sym_preproc_else_token1] = ACTIONS(4724),
    [aux_sym_preproc_elif_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [sym_preproc_comment] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_block_data_statement_token1] = ACTIONS(4724),
    [aux_sym_block_data_statement_token2] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4724),
    [aux_sym_contains_statement_token1] = ACTIONS(4724),
    [aux_sym_use_statement_token2] = ACTIONS(4724),
    [aux_sym_implicit_statement_token4] = ACTIONS(4724),
    [aux_sym_save_statement_token1] = ACTIONS(4724),
    [aux_sym_private_statement_token1] = ACTIONS(4724),
    [aux_sym_public_statement_token1] = ACTIONS(4724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4724),
    [aux_sym_variable_attributes_token2] = ACTIONS(4724),
    [aux_sym_variable_attributes_token3] = ACTIONS(4724),
    [aux_sym_variable_attributes_token5] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4724),
    [aux_sym_type_qualifier_token1] = ACTIONS(4724),
    [aux_sym_type_qualifier_token2] = ACTIONS(4724),
    [aux_sym_stop_statement_token1] = ACTIONS(4724),
    [aux_sym_stop_statement_token2] = ACTIONS(4724),
    [aux_sym_subroutine_call_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token1] = ACTIONS(4724),
    [aux_sym_keyword_statement_token2] = ACTIONS(4724),
    [aux_sym_keyword_statement_token3] = ACTIONS(4724),
    [aux_sym_keyword_statement_token4] = ACTIONS(4724),
    [aux_sym_keyword_statement_token6] = ACTIONS(4724),
    [aux_sym_keyword_statement_token7] = ACTIONS(4724),
    [aux_sym_include_statement_token1] = ACTIONS(4724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4724),
    [aux_sym_end_if_statement_token1] = ACTIONS(4724),
    [aux_sym_elseif_clause_token2] = ACTIONS(4724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token1] = ACTIONS(4724),
    [aux_sym_select_case_statement_token3] = ACTIONS(4724),
    [aux_sym_select_type_statement_token1] = ACTIONS(4724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4724),
    [aux_sym_associate_statement_token1] = ACTIONS(4724),
    [aux_sym_format_statement_token1] = ACTIONS(4724),
    [aux_sym_print_statement_token1] = ACTIONS(4724),
    [aux_sym_open_statement_token1] = ACTIONS(4724),
    [aux_sym_close_statement_token1] = ACTIONS(4724),
    [aux_sym_inquire_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token1] = ACTIONS(4724),
    [aux_sym_file_position_statement_token2] = ACTIONS(4724),
    [aux_sym_file_position_statement_token3] = ACTIONS(4724),
    [aux_sym_file_position_statement_token4] = ACTIONS(4724),
    [aux_sym_allocate_statement_token1] = ACTIONS(4724),
    [aux_sym_entry_statement_token1] = ACTIONS(4724),
    [aux_sym_assign_statement_token1] = ACTIONS(4724),
    [aux_sym_logical_expression_token5] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_boolean_literal_token1] = ACTIONS(4726),
    [aux_sym_boolean_literal_token2] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_statement_token2] = ACTIONS(4724),
    [aux_sym_coarray_statement_token6] = ACTIONS(4724),
    [aux_sym_coarray_statement_token8] = ACTIONS(4724),
    [aux_sym_coarray_statement_token11] = ACTIONS(4724),
    [aux_sym_coarray_statement_token12] = ACTIONS(4724),
    [aux_sym_coarray_statement_token13] = ACTIONS(4724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4724),
    [aux_sym_identifier_token1] = ACTIONS(4724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4726),
    [sym__float_literal] = ACTIONS(4726),
    [sym__boz_literal] = ACTIONS(4726),
    [sym__string_literal] = ACTIONS(4726),
    [sym__string_literal_kind] = ACTIONS(4726),
  },
  [2051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4720),
    [aux_sym_preproc_def_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token1] = ACTIONS(4720),
    [aux_sym_preproc_if_token2] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4720),
    [aux_sym_preproc_else_token1] = ACTIONS(4720),
    [aux_sym_preproc_elif_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4720),
    [sym_preproc_directive] = ACTIONS(4720),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [sym_preproc_comment] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4720),
    [anon_sym_SEMI] = ACTIONS(4722),
    [aux_sym_block_data_statement_token1] = ACTIONS(4720),
    [aux_sym_block_data_statement_token2] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4720),
    [aux_sym_contains_statement_token1] = ACTIONS(4720),
    [aux_sym_use_statement_token2] = ACTIONS(4720),
    [aux_sym_implicit_statement_token4] = ACTIONS(4720),
    [aux_sym_save_statement_token1] = ACTIONS(4720),
    [aux_sym_private_statement_token1] = ACTIONS(4720),
    [aux_sym_public_statement_token1] = ACTIONS(4720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4720),
    [aux_sym_variable_attributes_token2] = ACTIONS(4720),
    [aux_sym_variable_attributes_token3] = ACTIONS(4720),
    [aux_sym_variable_attributes_token5] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4720),
    [aux_sym_type_qualifier_token1] = ACTIONS(4720),
    [aux_sym_type_qualifier_token2] = ACTIONS(4720),
    [aux_sym_stop_statement_token1] = ACTIONS(4720),
    [aux_sym_stop_statement_token2] = ACTIONS(4720),
    [aux_sym_subroutine_call_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token1] = ACTIONS(4720),
    [aux_sym_keyword_statement_token2] = ACTIONS(4720),
    [aux_sym_keyword_statement_token3] = ACTIONS(4720),
    [aux_sym_keyword_statement_token4] = ACTIONS(4720),
    [aux_sym_keyword_statement_token6] = ACTIONS(4720),
    [aux_sym_keyword_statement_token7] = ACTIONS(4720),
    [aux_sym_include_statement_token1] = ACTIONS(4720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4720),
    [aux_sym_end_if_statement_token1] = ACTIONS(4720),
    [aux_sym_elseif_clause_token2] = ACTIONS(4720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token1] = ACTIONS(4720),
    [aux_sym_select_case_statement_token3] = ACTIONS(4720),
    [aux_sym_select_type_statement_token1] = ACTIONS(4720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4720),
    [aux_sym_associate_statement_token1] = ACTIONS(4720),
    [aux_sym_format_statement_token1] = ACTIONS(4720),
    [aux_sym_print_statement_token1] = ACTIONS(4720),
    [aux_sym_open_statement_token1] = ACTIONS(4720),
    [aux_sym_close_statement_token1] = ACTIONS(4720),
    [aux_sym_inquire_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token1] = ACTIONS(4720),
    [aux_sym_file_position_statement_token2] = ACTIONS(4720),
    [aux_sym_file_position_statement_token3] = ACTIONS(4720),
    [aux_sym_file_position_statement_token4] = ACTIONS(4720),
    [aux_sym_allocate_statement_token1] = ACTIONS(4720),
    [aux_sym_entry_statement_token1] = ACTIONS(4720),
    [aux_sym_assign_statement_token1] = ACTIONS(4720),
    [aux_sym_logical_expression_token5] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [aux_sym_boolean_literal_token1] = ACTIONS(4722),
    [aux_sym_boolean_literal_token2] = ACTIONS(4722),
    [aux_sym_null_literal_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_statement_token2] = ACTIONS(4720),
    [aux_sym_coarray_statement_token6] = ACTIONS(4720),
    [aux_sym_coarray_statement_token8] = ACTIONS(4720),
    [aux_sym_coarray_statement_token11] = ACTIONS(4720),
    [aux_sym_coarray_statement_token12] = ACTIONS(4720),
    [aux_sym_coarray_statement_token13] = ACTIONS(4720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4720),
    [aux_sym_identifier_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4722),
    [sym__float_literal] = ACTIONS(4722),
    [sym__boz_literal] = ACTIONS(4722),
    [sym__string_literal] = ACTIONS(4722),
    [sym__string_literal_kind] = ACTIONS(4722),
  },
  [2052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [2053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_if_token2] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [aux_sym_preproc_else_token1] = ACTIONS(4728),
    [aux_sym_preproc_elif_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [sym_preproc_comment] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_block_data_statement_token1] = ACTIONS(4728),
    [aux_sym_block_data_statement_token2] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4728),
    [aux_sym_contains_statement_token1] = ACTIONS(4728),
    [aux_sym_use_statement_token2] = ACTIONS(4728),
    [aux_sym_implicit_statement_token4] = ACTIONS(4728),
    [aux_sym_save_statement_token1] = ACTIONS(4728),
    [aux_sym_private_statement_token1] = ACTIONS(4728),
    [aux_sym_public_statement_token1] = ACTIONS(4728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4728),
    [aux_sym_variable_attributes_token2] = ACTIONS(4728),
    [aux_sym_variable_attributes_token3] = ACTIONS(4728),
    [aux_sym_variable_attributes_token5] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4728),
    [aux_sym_type_qualifier_token1] = ACTIONS(4728),
    [aux_sym_type_qualifier_token2] = ACTIONS(4728),
    [aux_sym_stop_statement_token1] = ACTIONS(4728),
    [aux_sym_stop_statement_token2] = ACTIONS(4728),
    [aux_sym_subroutine_call_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token1] = ACTIONS(4728),
    [aux_sym_keyword_statement_token2] = ACTIONS(4728),
    [aux_sym_keyword_statement_token3] = ACTIONS(4728),
    [aux_sym_keyword_statement_token4] = ACTIONS(4728),
    [aux_sym_keyword_statement_token6] = ACTIONS(4728),
    [aux_sym_keyword_statement_token7] = ACTIONS(4728),
    [aux_sym_include_statement_token1] = ACTIONS(4728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4728),
    [aux_sym_end_if_statement_token1] = ACTIONS(4728),
    [aux_sym_elseif_clause_token2] = ACTIONS(4728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token1] = ACTIONS(4728),
    [aux_sym_select_case_statement_token3] = ACTIONS(4728),
    [aux_sym_select_type_statement_token1] = ACTIONS(4728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4728),
    [aux_sym_associate_statement_token1] = ACTIONS(4728),
    [aux_sym_format_statement_token1] = ACTIONS(4728),
    [aux_sym_print_statement_token1] = ACTIONS(4728),
    [aux_sym_open_statement_token1] = ACTIONS(4728),
    [aux_sym_close_statement_token1] = ACTIONS(4728),
    [aux_sym_inquire_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token1] = ACTIONS(4728),
    [aux_sym_file_position_statement_token2] = ACTIONS(4728),
    [aux_sym_file_position_statement_token3] = ACTIONS(4728),
    [aux_sym_file_position_statement_token4] = ACTIONS(4728),
    [aux_sym_allocate_statement_token1] = ACTIONS(4728),
    [aux_sym_entry_statement_token1] = ACTIONS(4728),
    [aux_sym_assign_statement_token1] = ACTIONS(4728),
    [aux_sym_logical_expression_token5] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [aux_sym_boolean_literal_token1] = ACTIONS(4730),
    [aux_sym_boolean_literal_token2] = ACTIONS(4730),
    [aux_sym_null_literal_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_statement_token2] = ACTIONS(4728),
    [aux_sym_coarray_statement_token6] = ACTIONS(4728),
    [aux_sym_coarray_statement_token8] = ACTIONS(4728),
    [aux_sym_coarray_statement_token11] = ACTIONS(4728),
    [aux_sym_coarray_statement_token12] = ACTIONS(4728),
    [aux_sym_coarray_statement_token13] = ACTIONS(4728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4728),
    [aux_sym_identifier_token1] = ACTIONS(4728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4730),
    [sym__float_literal] = ACTIONS(4730),
    [sym__boz_literal] = ACTIONS(4730),
    [sym__string_literal] = ACTIONS(4730),
    [sym__string_literal_kind] = ACTIONS(4730),
  },
  [2054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_if_token2] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [aux_sym_preproc_else_token1] = ACTIONS(4732),
    [aux_sym_preproc_elif_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [sym_preproc_comment] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_block_data_statement_token1] = ACTIONS(4732),
    [aux_sym_block_data_statement_token2] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4732),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4732),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4732),
    [aux_sym_contains_statement_token1] = ACTIONS(4732),
    [aux_sym_use_statement_token2] = ACTIONS(4732),
    [aux_sym_implicit_statement_token4] = ACTIONS(4732),
    [aux_sym_save_statement_token1] = ACTIONS(4732),
    [aux_sym_private_statement_token1] = ACTIONS(4732),
    [aux_sym_public_statement_token1] = ACTIONS(4732),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4732),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4732),
    [aux_sym_variable_attributes_token2] = ACTIONS(4732),
    [aux_sym_variable_attributes_token3] = ACTIONS(4732),
    [aux_sym_variable_attributes_token5] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4732),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4732),
    [aux_sym_type_qualifier_token1] = ACTIONS(4732),
    [aux_sym_type_qualifier_token2] = ACTIONS(4732),
    [aux_sym_stop_statement_token1] = ACTIONS(4732),
    [aux_sym_stop_statement_token2] = ACTIONS(4732),
    [aux_sym_subroutine_call_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token1] = ACTIONS(4732),
    [aux_sym_keyword_statement_token2] = ACTIONS(4732),
    [aux_sym_keyword_statement_token3] = ACTIONS(4732),
    [aux_sym_keyword_statement_token4] = ACTIONS(4732),
    [aux_sym_keyword_statement_token6] = ACTIONS(4732),
    [aux_sym_keyword_statement_token7] = ACTIONS(4732),
    [aux_sym_include_statement_token1] = ACTIONS(4732),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4732),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4732),
    [aux_sym_end_if_statement_token1] = ACTIONS(4732),
    [aux_sym_elseif_clause_token2] = ACTIONS(4732),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4732),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token1] = ACTIONS(4732),
    [aux_sym_select_case_statement_token3] = ACTIONS(4732),
    [aux_sym_select_type_statement_token1] = ACTIONS(4732),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4732),
    [aux_sym_associate_statement_token1] = ACTIONS(4732),
    [aux_sym_format_statement_token1] = ACTIONS(4732),
    [aux_sym_print_statement_token1] = ACTIONS(4732),
    [aux_sym_open_statement_token1] = ACTIONS(4732),
    [aux_sym_close_statement_token1] = ACTIONS(4732),
    [aux_sym_inquire_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token1] = ACTIONS(4732),
    [aux_sym_file_position_statement_token2] = ACTIONS(4732),
    [aux_sym_file_position_statement_token3] = ACTIONS(4732),
    [aux_sym_file_position_statement_token4] = ACTIONS(4732),
    [aux_sym_allocate_statement_token1] = ACTIONS(4732),
    [aux_sym_entry_statement_token1] = ACTIONS(4732),
    [aux_sym_assign_statement_token1] = ACTIONS(4732),
    [aux_sym_logical_expression_token5] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [aux_sym_boolean_literal_token1] = ACTIONS(4734),
    [aux_sym_boolean_literal_token2] = ACTIONS(4734),
    [aux_sym_null_literal_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_statement_token2] = ACTIONS(4732),
    [aux_sym_coarray_statement_token6] = ACTIONS(4732),
    [aux_sym_coarray_statement_token8] = ACTIONS(4732),
    [aux_sym_coarray_statement_token11] = ACTIONS(4732),
    [aux_sym_coarray_statement_token12] = ACTIONS(4732),
    [aux_sym_coarray_statement_token13] = ACTIONS(4732),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4732),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4732),
    [aux_sym_identifier_token1] = ACTIONS(4732),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4734),
    [sym__float_literal] = ACTIONS(4734),
    [sym__boz_literal] = ACTIONS(4734),
    [sym__string_literal] = ACTIONS(4734),
    [sym__string_literal_kind] = ACTIONS(4734),
  },
  [2055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6185),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token3] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym_derived_type_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_end_select_statement_token1] = ACTIONS(6049),
    [aux_sym_type_statement_token2] = ACTIONS(6049),
    [aux_sym_type_statement_token3] = ACTIONS(6049),
    [aux_sym__class_default_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6187),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token3] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym_derived_type_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_end_select_statement_token1] = ACTIONS(6069),
    [aux_sym_type_statement_token2] = ACTIONS(6069),
    [aux_sym_type_statement_token3] = ACTIONS(6069),
    [aux_sym__class_default_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6189),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token3] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym_derived_type_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_end_select_statement_token1] = ACTIONS(6089),
    [aux_sym_type_statement_token2] = ACTIONS(6089),
    [aux_sym_type_statement_token3] = ACTIONS(6089),
    [aux_sym__class_default_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6191),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token3] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym_derived_type_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_end_select_statement_token1] = ACTIONS(6099),
    [aux_sym_type_statement_token2] = ACTIONS(6099),
    [aux_sym_type_statement_token3] = ACTIONS(6099),
    [aux_sym__class_default_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2059] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6193),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token3] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym_derived_type_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_end_select_statement_token1] = ACTIONS(6063),
    [aux_sym_type_statement_token2] = ACTIONS(6063),
    [aux_sym_type_statement_token3] = ACTIONS(6063),
    [aux_sym__class_default_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token3] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym_derived_type_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_end_select_statement_token1] = ACTIONS(6143),
    [aux_sym_type_statement_token2] = ACTIONS(6143),
    [aux_sym_type_statement_token3] = ACTIONS(6143),
    [aux_sym__class_default_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6197),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token3] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym_derived_type_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_end_select_statement_token1] = ACTIONS(6075),
    [aux_sym_type_statement_token2] = ACTIONS(6075),
    [aux_sym_type_statement_token3] = ACTIONS(6075),
    [aux_sym__class_default_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6199),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token3] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym_derived_type_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_end_select_statement_token1] = ACTIONS(6171),
    [aux_sym_type_statement_token2] = ACTIONS(6171),
    [aux_sym_type_statement_token3] = ACTIONS(6171),
    [aux_sym__class_default_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_if_token2] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [aux_sym_preproc_else_token1] = ACTIONS(4716),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [sym_preproc_comment] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(4716),
    [aux_sym_block_data_statement_token2] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4716),
    [aux_sym_contains_statement_token1] = ACTIONS(4716),
    [aux_sym_use_statement_token2] = ACTIONS(4716),
    [aux_sym_implicit_statement_token4] = ACTIONS(4716),
    [aux_sym_save_statement_token1] = ACTIONS(4716),
    [aux_sym_private_statement_token1] = ACTIONS(4716),
    [aux_sym_public_statement_token1] = ACTIONS(4716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4716),
    [aux_sym_variable_attributes_token2] = ACTIONS(4716),
    [aux_sym_variable_attributes_token3] = ACTIONS(4716),
    [aux_sym_variable_attributes_token5] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4716),
    [aux_sym_type_qualifier_token1] = ACTIONS(4716),
    [aux_sym_type_qualifier_token2] = ACTIONS(4716),
    [aux_sym_stop_statement_token1] = ACTIONS(4716),
    [aux_sym_stop_statement_token2] = ACTIONS(4716),
    [aux_sym_subroutine_call_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token1] = ACTIONS(4716),
    [aux_sym_keyword_statement_token2] = ACTIONS(4716),
    [aux_sym_keyword_statement_token3] = ACTIONS(4716),
    [aux_sym_keyword_statement_token4] = ACTIONS(4716),
    [aux_sym_keyword_statement_token6] = ACTIONS(4716),
    [aux_sym_keyword_statement_token7] = ACTIONS(4716),
    [aux_sym_include_statement_token1] = ACTIONS(4716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4716),
    [aux_sym_end_if_statement_token1] = ACTIONS(4716),
    [aux_sym_elseif_clause_token2] = ACTIONS(4716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token1] = ACTIONS(4716),
    [aux_sym_select_case_statement_token3] = ACTIONS(4716),
    [aux_sym_select_type_statement_token1] = ACTIONS(4716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4716),
    [aux_sym_associate_statement_token1] = ACTIONS(4716),
    [aux_sym_format_statement_token1] = ACTIONS(4716),
    [aux_sym_print_statement_token1] = ACTIONS(4716),
    [aux_sym_open_statement_token1] = ACTIONS(4716),
    [aux_sym_close_statement_token1] = ACTIONS(4716),
    [aux_sym_inquire_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token1] = ACTIONS(4716),
    [aux_sym_file_position_statement_token2] = ACTIONS(4716),
    [aux_sym_file_position_statement_token3] = ACTIONS(4716),
    [aux_sym_file_position_statement_token4] = ACTIONS(4716),
    [aux_sym_allocate_statement_token1] = ACTIONS(4716),
    [aux_sym_entry_statement_token1] = ACTIONS(4716),
    [aux_sym_assign_statement_token1] = ACTIONS(4716),
    [aux_sym_logical_expression_token5] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_boolean_literal_token1] = ACTIONS(4718),
    [aux_sym_boolean_literal_token2] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_statement_token2] = ACTIONS(4716),
    [aux_sym_coarray_statement_token6] = ACTIONS(4716),
    [aux_sym_coarray_statement_token8] = ACTIONS(4716),
    [aux_sym_coarray_statement_token11] = ACTIONS(4716),
    [aux_sym_coarray_statement_token12] = ACTIONS(4716),
    [aux_sym_coarray_statement_token13] = ACTIONS(4716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4716),
    [aux_sym_identifier_token1] = ACTIONS(4716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4718),
    [sym__float_literal] = ACTIONS(4718),
    [sym__boz_literal] = ACTIONS(4718),
    [sym__string_literal] = ACTIONS(4718),
    [sym__string_literal_kind] = ACTIONS(4718),
  },
  [2064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [aux_sym_preproc_else_token1] = ACTIONS(6201),
    [aux_sym_preproc_elif_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [aux_sym_end_program_statement_token2] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [aux_sym_preproc_else_token1] = ACTIONS(6049),
    [aux_sym_preproc_elif_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6205),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [aux_sym_preproc_else_token1] = ACTIONS(6207),
    [aux_sym_preproc_elif_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [aux_sym_end_program_statement_token2] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [aux_sym_preproc_else_token1] = ACTIONS(4744),
    [aux_sym_preproc_elif_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6211),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_contains_statement_token1] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [aux_sym_preproc_else_token1] = ACTIONS(6069),
    [aux_sym_preproc_elif_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6213),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6215),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2077] = {
    [sym_assignment] = STATE(6566),
    [sym_operator] = STATE(6566),
    [sym_defined_io_procedure] = STATE(6566),
    [sym__generic_procedure] = STATE(6566),
    [sym_identifier] = STATE(6566),
    [sym__end_of_statement] = STATE(1846),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6217),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6219),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6217),
  },
  [2078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [aux_sym_preproc_else_token1] = ACTIONS(6099),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6221),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [aux_sym_preproc_else_token1] = ACTIONS(6063),
    [aux_sym_preproc_elif_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6223),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [aux_sym_preproc_else_token1] = ACTIONS(6143),
    [aux_sym_preproc_elif_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6225),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [aux_sym_preproc_else_token1] = ACTIONS(6075),
    [aux_sym_preproc_elif_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6227),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [aux_sym_preproc_else_token1] = ACTIONS(6171),
    [aux_sym_preproc_elif_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6231),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2084] = {
    [sym_assignment] = STATE(6541),
    [sym_operator] = STATE(6541),
    [sym_defined_io_procedure] = STATE(6541),
    [sym__generic_procedure] = STATE(6541),
    [sym_identifier] = STATE(6541),
    [sym__end_of_statement] = STATE(1877),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6233),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6235),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6233),
  },
  [2085] = {
    [sym_assignment] = STATE(6544),
    [sym_operator] = STATE(6544),
    [sym_defined_io_procedure] = STATE(6544),
    [sym__generic_procedure] = STATE(6544),
    [sym_identifier] = STATE(6544),
    [sym__end_of_statement] = STATE(1899),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6237),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6239),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6237),
  },
  [2086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [aux_sym_end_program_statement_token2] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [aux_sym_preproc_else_token1] = ACTIONS(6245),
    [aux_sym_preproc_elif_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [aux_sym_end_program_statement_token2] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_contains_statement_token1] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2092] = {
    [sym_assignment] = STATE(6580),
    [sym_operator] = STATE(6580),
    [sym_defined_io_procedure] = STATE(6580),
    [sym__generic_procedure] = STATE(6580),
    [sym_identifier] = STATE(6580),
    [sym__end_of_statement] = STATE(1934),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6249),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6251),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6249),
  },
  [2093] = {
    [sym_assignment] = STATE(6581),
    [sym_operator] = STATE(6581),
    [sym_defined_io_procedure] = STATE(6581),
    [sym__generic_procedure] = STATE(6581),
    [sym_identifier] = STATE(6581),
    [sym__end_of_statement] = STATE(1935),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6253),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6255),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6253),
  },
  [2094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [aux_sym_preproc_else_token1] = ACTIONS(6257),
    [aux_sym_preproc_elif_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [aux_sym_end_program_statement_token2] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [aux_sym_preproc_else_token1] = ACTIONS(5314),
    [aux_sym_preproc_elif_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [aux_sym_end_program_statement_token2] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_contains_statement_token1] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [aux_sym_preproc_else_token1] = ACTIONS(5254),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [aux_sym_end_program_statement_token2] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_contains_statement_token1] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [aux_sym_preproc_else_token1] = ACTIONS(4756),
    [aux_sym_preproc_elif_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6265),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_contains_statement_token1] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6267),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6269),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6271),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [aux_sym_preproc_else_token1] = ACTIONS(6275),
    [aux_sym_preproc_elif_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [aux_sym_end_program_statement_token2] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2105] = {
    [sym_assignment] = STATE(6455),
    [sym_operator] = STATE(6455),
    [sym_defined_io_procedure] = STATE(6455),
    [sym__generic_procedure] = STATE(6455),
    [sym_identifier] = STATE(6455),
    [sym__end_of_statement] = STATE(1746),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6279),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6281),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6279),
  },
  [2106] = {
    [sym_assignment] = STATE(6456),
    [sym_operator] = STATE(6456),
    [sym_defined_io_procedure] = STATE(6456),
    [sym__generic_procedure] = STATE(6456),
    [sym_identifier] = STATE(6456),
    [sym__end_of_statement] = STATE(1747),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6283),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6285),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6283),
  },
  [2107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6287),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token3] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym_derived_type_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_end_select_statement_token1] = ACTIONS(4744),
    [aux_sym_type_statement_token2] = ACTIONS(4744),
    [aux_sym_type_statement_token3] = ACTIONS(4744),
    [aux_sym__class_default_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2108] = {
    [sym_assignment] = STATE(6525),
    [sym_operator] = STATE(6525),
    [sym_defined_io_procedure] = STATE(6525),
    [sym__generic_procedure] = STATE(6525),
    [sym_identifier] = STATE(6525),
    [sym__end_of_statement] = STATE(2013),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6289),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6289),
  },
  [2109] = {
    [sym_assignment] = STATE(6526),
    [sym_operator] = STATE(6526),
    [sym_defined_io_procedure] = STATE(6526),
    [sym__generic_procedure] = STATE(6526),
    [sym_identifier] = STATE(6526),
    [sym__end_of_statement] = STATE(2015),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6293),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6295),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6293),
  },
  [2110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [aux_sym_preproc_else_token1] = ACTIONS(6297),
    [aux_sym_preproc_elif_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [aux_sym_end_program_statement_token2] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [aux_sym_preproc_else_token1] = ACTIONS(6301),
    [aux_sym_preproc_elif_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [aux_sym_end_program_statement_token2] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6305),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token3] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym_derived_type_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_end_select_statement_token1] = ACTIONS(4756),
    [aux_sym_type_statement_token2] = ACTIONS(4756),
    [aux_sym_type_statement_token3] = ACTIONS(4756),
    [aux_sym__class_default_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2113] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6307),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token3] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym_derived_type_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_type_statement_token2] = ACTIONS(4762),
    [aux_sym_type_statement_token3] = ACTIONS(4762),
    [aux_sym__class_default_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6309),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token3] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym_derived_type_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_type_statement_token2] = ACTIONS(4794),
    [aux_sym_type_statement_token3] = ACTIONS(4794),
    [aux_sym__class_default_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6311),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token3] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym_derived_type_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_type_statement_token2] = ACTIONS(4954),
    [aux_sym_type_statement_token3] = ACTIONS(4954),
    [aux_sym__class_default_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6313),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token3] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym_derived_type_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_type_statement_token2] = ACTIONS(4988),
    [aux_sym_type_statement_token3] = ACTIONS(4988),
    [aux_sym__class_default_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [aux_sym_preproc_else_token1] = ACTIONS(6315),
    [aux_sym_preproc_elif_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [aux_sym_end_program_statement_token2] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6319),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token3] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym_derived_type_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_type_statement_token2] = ACTIONS(5206),
    [aux_sym_type_statement_token3] = ACTIONS(5206),
    [aux_sym__class_default_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6321),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token3] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym_derived_type_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_type_statement_token2] = ACTIONS(5190),
    [aux_sym_type_statement_token3] = ACTIONS(5190),
    [aux_sym__class_default_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2120] = {
    [sym_assignment] = STATE(6559),
    [sym_operator] = STATE(6559),
    [sym_defined_io_procedure] = STATE(6559),
    [sym__generic_procedure] = STATE(6559),
    [sym_identifier] = STATE(6559),
    [sym__end_of_statement] = STATE(1845),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(6323),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6325),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6323),
  },
  [2121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token3] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym_derived_type_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_end_select_statement_token1] = ACTIONS(6275),
    [aux_sym_type_statement_token2] = ACTIONS(6275),
    [aux_sym_type_statement_token3] = ACTIONS(6275),
    [aux_sym__class_default_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2127] = {
    [anon_sym_COMMA] = ACTIONS(6327),
    [anon_sym_LPAREN2] = ACTIONS(6327),
    [anon_sym_PLUS] = ACTIONS(6327),
    [anon_sym_DASH] = ACTIONS(6327),
    [anon_sym_STAR] = ACTIONS(6329),
    [anon_sym_SLASH] = ACTIONS(6329),
    [anon_sym_PERCENT] = ACTIONS(6327),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6327),
    [anon_sym_GT] = ACTIONS(6329),
    [anon_sym_GT_EQ] = ACTIONS(6327),
    [anon_sym_LT_EQ] = ACTIONS(6327),
    [anon_sym_LT] = ACTIONS(6329),
    [aux_sym_end_program_statement_token1] = ACTIONS(6329),
    [aux_sym_module_statement_token1] = ACTIONS(6329),
    [aux_sym_block_data_statement_token1] = ACTIONS(6329),
    [aux_sym_block_data_statement_token2] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6329),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6329),
    [aux_sym_function_statement_token1] = ACTIONS(6329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6329),
    [aux_sym_use_statement_token2] = ACTIONS(6329),
    [anon_sym_COLON_COLON] = ACTIONS(6327),
    [aux_sym_implicit_statement_token3] = ACTIONS(6329),
    [aux_sym_implicit_statement_token4] = ACTIONS(6329),
    [aux_sym_save_statement_token1] = ACTIONS(6329),
    [aux_sym_private_statement_token1] = ACTIONS(6329),
    [aux_sym_public_statement_token1] = ACTIONS(6329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6329),
    [aux_sym_variable_attributes_token2] = ACTIONS(6329),
    [aux_sym_variable_attributes_token3] = ACTIONS(6329),
    [aux_sym_variable_attributes_token5] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6329),
    [aux_sym_derived_type_token1] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6329),
    [aux_sym_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6329),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6329),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6329),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6329),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6329),
    [aux_sym_stop_statement_token1] = ACTIONS(6329),
    [aux_sym_stop_statement_token2] = ACTIONS(6329),
    [aux_sym_subroutine_call_token1] = ACTIONS(6329),
    [aux_sym_keyword_statement_token2] = ACTIONS(6329),
    [aux_sym_keyword_statement_token3] = ACTIONS(6329),
    [aux_sym_keyword_statement_token4] = ACTIONS(6329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6329),
    [aux_sym_end_if_statement_token1] = ACTIONS(6329),
    [aux_sym_elseif_clause_token2] = ACTIONS(6329),
    [aux_sym_select_case_statement_token1] = ACTIONS(6329),
    [aux_sym_format_statement_token1] = ACTIONS(6329),
    [aux_sym_open_statement_token1] = ACTIONS(6329),
    [aux_sym_inquire_statement_token1] = ACTIONS(6329),
    [aux_sym_entry_statement_token1] = ACTIONS(6329),
    [aux_sym_logical_expression_token1] = ACTIONS(6327),
    [aux_sym_logical_expression_token2] = ACTIONS(6327),
    [aux_sym_logical_expression_token3] = ACTIONS(6327),
    [aux_sym_logical_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token1] = ACTIONS(6327),
    [aux_sym_relational_expression_token2] = ACTIONS(6327),
    [aux_sym_relational_expression_token3] = ACTIONS(6327),
    [aux_sym_relational_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token5] = ACTIONS(6327),
    [anon_sym_SLASH_EQ] = ACTIONS(6327),
    [aux_sym_relational_expression_token6] = ACTIONS(6327),
    [anon_sym_SLASH_SLASH] = ACTIONS(6327),
    [anon_sym_STAR_STAR] = ACTIONS(6327),
    [anon_sym_DOT] = ACTIONS(6329),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6327),
    [anon_sym_LBRACK] = ACTIONS(6327),
    [aux_sym_null_literal_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token2] = ACTIONS(6329),
    [aux_sym_coarray_statement_token6] = ACTIONS(6329),
    [aux_sym_coarray_statement_token8] = ACTIONS(6329),
    [aux_sym_coarray_statement_token11] = ACTIONS(6329),
    [aux_sym_coarray_statement_token12] = ACTIONS(6329),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6329),
    [anon_sym_QMARK] = ACTIONS(6327),
    [aux_sym_identifier_token1] = ACTIONS(6329),
    [sym_comment] = ACTIONS(21),
  },
  [2128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token3] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym_derived_type_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_end_select_statement_token1] = ACTIONS(6241),
    [aux_sym_type_statement_token2] = ACTIONS(6241),
    [aux_sym_type_statement_token3] = ACTIONS(6241),
    [aux_sym__class_default_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token3] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym_derived_type_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_end_select_statement_token1] = ACTIONS(6301),
    [aux_sym_type_statement_token2] = ACTIONS(6301),
    [aux_sym_type_statement_token3] = ACTIONS(6301),
    [aux_sym__class_default_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token3] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym_derived_type_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_end_select_statement_token1] = ACTIONS(6297),
    [aux_sym_type_statement_token2] = ACTIONS(6297),
    [aux_sym_type_statement_token3] = ACTIONS(6297),
    [aux_sym__class_default_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [aux_sym_preproc_else_token1] = ACTIONS(6275),
    [aux_sym_preproc_elif_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [aux_sym_preproc_else_token1] = ACTIONS(6297),
    [aux_sym_preproc_elif_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token3] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym_derived_type_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_end_select_statement_token1] = ACTIONS(4944),
    [aux_sym_type_statement_token2] = ACTIONS(4944),
    [aux_sym_type_statement_token3] = ACTIONS(4944),
    [aux_sym__class_default_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token3] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym_derived_type_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_end_select_statement_token1] = ACTIONS(4948),
    [aux_sym_type_statement_token2] = ACTIONS(4948),
    [aux_sym_type_statement_token3] = ACTIONS(4948),
    [aux_sym__class_default_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token3] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym_derived_type_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_end_select_statement_token1] = ACTIONS(4852),
    [aux_sym_type_statement_token2] = ACTIONS(4852),
    [aux_sym_type_statement_token3] = ACTIONS(4852),
    [aux_sym__class_default_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token3] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym_derived_type_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_end_select_statement_token1] = ACTIONS(4856),
    [aux_sym_type_statement_token2] = ACTIONS(4856),
    [aux_sym_type_statement_token3] = ACTIONS(4856),
    [aux_sym__class_default_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token3] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym_derived_type_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_end_select_statement_token1] = ACTIONS(4840),
    [aux_sym_type_statement_token2] = ACTIONS(4840),
    [aux_sym_type_statement_token3] = ACTIONS(4840),
    [aux_sym__class_default_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token3] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym_derived_type_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_end_select_statement_token1] = ACTIONS(4896),
    [aux_sym_type_statement_token2] = ACTIONS(4896),
    [aux_sym_type_statement_token3] = ACTIONS(4896),
    [aux_sym__class_default_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token3] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym_derived_type_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_end_select_statement_token1] = ACTIONS(4900),
    [aux_sym_type_statement_token2] = ACTIONS(4900),
    [aux_sym_type_statement_token3] = ACTIONS(4900),
    [aux_sym__class_default_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2140] = {
    [sym__expression] = STATE(4597),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7600),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7600),
    [sym_multiple_subscript] = STATE(7600),
    [sym_multiple_subscript_triplet] = STATE(7600),
    [sym_assumed_size] = STATE(7600),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6331),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6333),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2141] = {
    [sym__expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7247),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7247),
    [sym_multiple_subscript] = STATE(7247),
    [sym_multiple_subscript_triplet] = STATE(7247),
    [sym_assumed_size] = STATE(7247),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6335),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [aux_sym_preproc_else_token1] = ACTIONS(4744),
    [aux_sym_preproc_elif_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6339),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2143] = {
    [sym__expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6922),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6922),
    [sym_multiple_subscript] = STATE(6922),
    [sym_multiple_subscript_triplet] = STATE(6922),
    [sym_assumed_size] = STATE(6922),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6341),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [aux_sym_preproc_else_token1] = ACTIONS(6315),
    [aux_sym_preproc_elif_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [aux_sym_preproc_else_token1] = ACTIONS(4756),
    [aux_sym_preproc_elif_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6345),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [aux_sym_preproc_else_token1] = ACTIONS(6201),
    [aux_sym_preproc_elif_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [aux_sym_preproc_else_token1] = ACTIONS(6257),
    [aux_sym_preproc_elif_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6347),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [aux_sym_preproc_else_token1] = ACTIONS(6207),
    [aux_sym_preproc_elif_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6349),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6351),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2153] = {
    [sym__expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7600),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7600),
    [sym_multiple_subscript] = STATE(7600),
    [sym_multiple_subscript_triplet] = STATE(7600),
    [sym_assumed_size] = STATE(7600),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6331),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6333),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [aux_sym_preproc_else_token1] = ACTIONS(6301),
    [aux_sym_preproc_elif_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6353),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2156] = {
    [sym__expression] = STATE(4647),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6998),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6998),
    [sym_multiple_subscript] = STATE(6998),
    [sym_multiple_subscript_triplet] = STATE(6998),
    [sym_assumed_size] = STATE(6998),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6355),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6357),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2157] = {
    [sym__expression] = STATE(4651),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7553),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7553),
    [sym_multiple_subscript] = STATE(7553),
    [sym_multiple_subscript_triplet] = STATE(7553),
    [sym_assumed_size] = STATE(7553),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6169),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6359),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6361),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2160] = {
    [sym__expression] = STATE(4646),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6845),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6845),
    [sym_multiple_subscript] = STATE(6845),
    [sym_multiple_subscript_triplet] = STATE(6845),
    [sym_assumed_size] = STATE(6845),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6363),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6365),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2161] = {
    [sym__expression] = STATE(4650),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6922),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6922),
    [sym_multiple_subscript] = STATE(6922),
    [sym_multiple_subscript_triplet] = STATE(6922),
    [sym_assumed_size] = STATE(6922),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6341),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2162] = {
    [sym__expression] = STATE(4581),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6998),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6998),
    [sym_multiple_subscript] = STATE(6998),
    [sym_multiple_subscript_triplet] = STATE(6998),
    [sym_assumed_size] = STATE(6998),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6355),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6357),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token3] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym_derived_type_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_end_select_statement_token1] = ACTIONS(6315),
    [aux_sym_type_statement_token2] = ACTIONS(6315),
    [aux_sym_type_statement_token3] = ACTIONS(6315),
    [aux_sym__class_default_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token3] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym_derived_type_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_end_select_statement_token1] = ACTIONS(6201),
    [aux_sym_type_statement_token2] = ACTIONS(6201),
    [aux_sym_type_statement_token3] = ACTIONS(6201),
    [aux_sym__class_default_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2166] = {
    [anon_sym_COMMA] = ACTIONS(6367),
    [anon_sym_LPAREN2] = ACTIONS(6367),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_STAR] = ACTIONS(6369),
    [anon_sym_SLASH] = ACTIONS(6369),
    [anon_sym_PERCENT] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6367),
    [anon_sym_GT] = ACTIONS(6369),
    [anon_sym_GT_EQ] = ACTIONS(6367),
    [anon_sym_LT_EQ] = ACTIONS(6367),
    [anon_sym_LT] = ACTIONS(6369),
    [aux_sym_end_program_statement_token1] = ACTIONS(6369),
    [aux_sym_module_statement_token1] = ACTIONS(6369),
    [aux_sym_block_data_statement_token1] = ACTIONS(6369),
    [aux_sym_block_data_statement_token2] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6369),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6369),
    [aux_sym_function_statement_token1] = ACTIONS(6369),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6369),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6369),
    [aux_sym_use_statement_token2] = ACTIONS(6369),
    [anon_sym_COLON_COLON] = ACTIONS(6367),
    [aux_sym_implicit_statement_token3] = ACTIONS(6369),
    [aux_sym_implicit_statement_token4] = ACTIONS(6369),
    [aux_sym_save_statement_token1] = ACTIONS(6369),
    [aux_sym_private_statement_token1] = ACTIONS(6369),
    [aux_sym_public_statement_token1] = ACTIONS(6369),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6369),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6369),
    [aux_sym_variable_attributes_token2] = ACTIONS(6369),
    [aux_sym_variable_attributes_token3] = ACTIONS(6369),
    [aux_sym_variable_attributes_token5] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6369),
    [aux_sym_derived_type_token1] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6369),
    [aux_sym_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6369),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6369),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6369),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6369),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6369),
    [aux_sym_stop_statement_token1] = ACTIONS(6369),
    [aux_sym_stop_statement_token2] = ACTIONS(6369),
    [aux_sym_subroutine_call_token1] = ACTIONS(6369),
    [aux_sym_keyword_statement_token2] = ACTIONS(6369),
    [aux_sym_keyword_statement_token3] = ACTIONS(6369),
    [aux_sym_keyword_statement_token4] = ACTIONS(6369),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6369),
    [aux_sym_end_if_statement_token1] = ACTIONS(6369),
    [aux_sym_elseif_clause_token2] = ACTIONS(6369),
    [aux_sym_select_case_statement_token1] = ACTIONS(6369),
    [aux_sym_format_statement_token1] = ACTIONS(6369),
    [aux_sym_open_statement_token1] = ACTIONS(6369),
    [aux_sym_inquire_statement_token1] = ACTIONS(6369),
    [aux_sym_entry_statement_token1] = ACTIONS(6369),
    [aux_sym_logical_expression_token1] = ACTIONS(6367),
    [aux_sym_logical_expression_token2] = ACTIONS(6367),
    [aux_sym_logical_expression_token3] = ACTIONS(6367),
    [aux_sym_logical_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token1] = ACTIONS(6367),
    [aux_sym_relational_expression_token2] = ACTIONS(6367),
    [aux_sym_relational_expression_token3] = ACTIONS(6367),
    [aux_sym_relational_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token5] = ACTIONS(6367),
    [anon_sym_SLASH_EQ] = ACTIONS(6367),
    [aux_sym_relational_expression_token6] = ACTIONS(6367),
    [anon_sym_SLASH_SLASH] = ACTIONS(6367),
    [anon_sym_STAR_STAR] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6369),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token2] = ACTIONS(6369),
    [aux_sym_coarray_statement_token6] = ACTIONS(6369),
    [aux_sym_coarray_statement_token8] = ACTIONS(6369),
    [aux_sym_coarray_statement_token11] = ACTIONS(6369),
    [aux_sym_coarray_statement_token12] = ACTIONS(6369),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6367),
    [aux_sym_identifier_token1] = ACTIONS(6369),
    [sym_comment] = ACTIONS(21),
  },
  [2167] = {
    [sym__expression] = STATE(4587),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7071),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7071),
    [sym_multiple_subscript] = STATE(7071),
    [sym_multiple_subscript_triplet] = STATE(7071),
    [sym_assumed_size] = STATE(7071),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6371),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token3] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym_derived_type_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_end_select_statement_token1] = ACTIONS(6257),
    [aux_sym_type_statement_token2] = ACTIONS(6257),
    [aux_sym_type_statement_token3] = ACTIONS(6257),
    [aux_sym__class_default_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [aux_sym_preproc_else_token1] = ACTIONS(6049),
    [aux_sym_preproc_elif_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6375),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token3] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym_derived_type_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_type_statement_token2] = ACTIONS(2404),
    [aux_sym_type_statement_token3] = ACTIONS(2404),
    [aux_sym__class_default_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [aux_sym_preproc_else_token1] = ACTIONS(6245),
    [aux_sym_preproc_elif_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_contains_statement_token1] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token3] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym_derived_type_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_end_select_statement_token1] = ACTIONS(6245),
    [aux_sym_type_statement_token2] = ACTIONS(6245),
    [aux_sym_type_statement_token3] = ACTIONS(6245),
    [aux_sym__class_default_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [aux_sym_preproc_else_token1] = ACTIONS(6069),
    [aux_sym_preproc_elif_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6377),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6379),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [aux_sym_preproc_else_token1] = ACTIONS(6099),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6381),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [aux_sym_preproc_else_token1] = ACTIONS(6063),
    [aux_sym_preproc_elif_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6383),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [aux_sym_preproc_else_token1] = ACTIONS(6143),
    [aux_sym_preproc_elif_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6385),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2183] = {
    [sym__expression] = STATE(4631),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7553),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7553),
    [sym_multiple_subscript] = STATE(7553),
    [sym_multiple_subscript_triplet] = STATE(7553),
    [sym_assumed_size] = STATE(7553),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6169),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token3] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym_derived_type_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_type_statement_token2] = ACTIONS(4762),
    [aux_sym_type_statement_token3] = ACTIONS(4762),
    [aux_sym__class_default_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token3] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym_derived_type_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_type_statement_token2] = ACTIONS(4794),
    [aux_sym_type_statement_token3] = ACTIONS(4794),
    [aux_sym__class_default_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [aux_sym_preproc_else_token1] = ACTIONS(6075),
    [aux_sym_preproc_elif_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6387),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token3] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym_derived_type_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_type_statement_token2] = ACTIONS(4954),
    [aux_sym_type_statement_token3] = ACTIONS(4954),
    [aux_sym__class_default_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token3] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym_derived_type_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_type_statement_token2] = ACTIONS(4988),
    [aux_sym_type_statement_token3] = ACTIONS(4988),
    [aux_sym__class_default_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [aux_sym_preproc_else_token1] = ACTIONS(6171),
    [aux_sym_preproc_elif_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6389),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token3] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym_derived_type_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_type_statement_token2] = ACTIONS(5206),
    [aux_sym_type_statement_token3] = ACTIONS(5206),
    [aux_sym__class_default_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token3] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym_derived_type_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_type_statement_token2] = ACTIONS(5190),
    [aux_sym_type_statement_token3] = ACTIONS(5190),
    [aux_sym__class_default_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token3] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym_derived_type_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_end_select_statement_token1] = ACTIONS(6207),
    [aux_sym_type_statement_token2] = ACTIONS(6207),
    [aux_sym_type_statement_token3] = ACTIONS(6207),
    [aux_sym__class_default_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token3] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym_derived_type_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_end_select_statement_token1] = ACTIONS(5314),
    [aux_sym_type_statement_token2] = ACTIONS(5314),
    [aux_sym_type_statement_token3] = ACTIONS(5314),
    [aux_sym__class_default_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token3] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym_derived_type_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_end_select_statement_token1] = ACTIONS(5254),
    [aux_sym_type_statement_token2] = ACTIONS(5254),
    [aux_sym_type_statement_token3] = ACTIONS(5254),
    [aux_sym__class_default_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [aux_sym_preproc_else_token1] = ACTIONS(5314),
    [aux_sym_preproc_elif_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_contains_statement_token1] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2198] = {
    [anon_sym_COMMA] = ACTIONS(6391),
    [anon_sym_LPAREN2] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6391),
    [anon_sym_DASH] = ACTIONS(6391),
    [anon_sym_STAR] = ACTIONS(6393),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6391),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6391),
    [anon_sym_GT] = ACTIONS(6393),
    [anon_sym_GT_EQ] = ACTIONS(6391),
    [anon_sym_LT_EQ] = ACTIONS(6391),
    [anon_sym_LT] = ACTIONS(6393),
    [aux_sym_end_program_statement_token1] = ACTIONS(6393),
    [aux_sym_module_statement_token1] = ACTIONS(6393),
    [aux_sym_block_data_statement_token1] = ACTIONS(6393),
    [aux_sym_block_data_statement_token2] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6393),
    [aux_sym_function_statement_token1] = ACTIONS(6393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6393),
    [aux_sym_use_statement_token2] = ACTIONS(6393),
    [anon_sym_COLON_COLON] = ACTIONS(6391),
    [aux_sym_implicit_statement_token3] = ACTIONS(6393),
    [aux_sym_implicit_statement_token4] = ACTIONS(6393),
    [aux_sym_save_statement_token1] = ACTIONS(6393),
    [aux_sym_private_statement_token1] = ACTIONS(6393),
    [aux_sym_public_statement_token1] = ACTIONS(6393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6393),
    [aux_sym_variable_attributes_token2] = ACTIONS(6393),
    [aux_sym_variable_attributes_token3] = ACTIONS(6393),
    [aux_sym_variable_attributes_token5] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6393),
    [aux_sym_derived_type_token1] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6393),
    [aux_sym_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6393),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6393),
    [aux_sym_stop_statement_token1] = ACTIONS(6393),
    [aux_sym_stop_statement_token2] = ACTIONS(6393),
    [aux_sym_subroutine_call_token1] = ACTIONS(6393),
    [aux_sym_keyword_statement_token2] = ACTIONS(6393),
    [aux_sym_keyword_statement_token3] = ACTIONS(6393),
    [aux_sym_keyword_statement_token4] = ACTIONS(6393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6393),
    [aux_sym_end_if_statement_token1] = ACTIONS(6393),
    [aux_sym_elseif_clause_token2] = ACTIONS(6393),
    [aux_sym_select_case_statement_token1] = ACTIONS(6393),
    [aux_sym_format_statement_token1] = ACTIONS(6393),
    [aux_sym_open_statement_token1] = ACTIONS(6393),
    [aux_sym_inquire_statement_token1] = ACTIONS(6393),
    [aux_sym_entry_statement_token1] = ACTIONS(6393),
    [aux_sym_logical_expression_token1] = ACTIONS(6391),
    [aux_sym_logical_expression_token2] = ACTIONS(6391),
    [aux_sym_logical_expression_token3] = ACTIONS(6391),
    [aux_sym_logical_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token1] = ACTIONS(6391),
    [aux_sym_relational_expression_token2] = ACTIONS(6391),
    [aux_sym_relational_expression_token3] = ACTIONS(6391),
    [aux_sym_relational_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token5] = ACTIONS(6391),
    [anon_sym_SLASH_EQ] = ACTIONS(6391),
    [aux_sym_relational_expression_token6] = ACTIONS(6391),
    [anon_sym_SLASH_SLASH] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6391),
    [anon_sym_DOT] = ACTIONS(6393),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6391),
    [anon_sym_LBRACK] = ACTIONS(6391),
    [aux_sym_null_literal_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token2] = ACTIONS(6393),
    [aux_sym_coarray_statement_token6] = ACTIONS(6393),
    [aux_sym_coarray_statement_token8] = ACTIONS(6393),
    [aux_sym_coarray_statement_token11] = ACTIONS(6393),
    [aux_sym_coarray_statement_token12] = ACTIONS(6393),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6393),
    [anon_sym_QMARK] = ACTIONS(6391),
    [aux_sym_identifier_token1] = ACTIONS(6393),
    [sym_comment] = ACTIONS(21),
  },
  [2199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [aux_sym_preproc_else_token1] = ACTIONS(5254),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_contains_statement_token1] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [aux_sym_preproc_else_token1] = ACTIONS(4852),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [aux_sym_preproc_else_token1] = ACTIONS(4794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [aux_sym_preproc_else_token1] = ACTIONS(4896),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [aux_sym_preproc_else_token1] = ACTIONS(4900),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [aux_sym_preproc_else_token1] = ACTIONS(6245),
    [aux_sym_preproc_elif_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2210] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8913),
    [sym_sized_allocation] = STATE(6631),
    [sym_coarray_allocation] = STATE(7158),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5048),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5000),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6399),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6399),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(6409),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [aux_sym_preproc_else_token1] = ACTIONS(6275),
    [aux_sym_preproc_elif_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [aux_sym_preproc_else_token1] = ACTIONS(6297),
    [aux_sym_preproc_elif_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [aux_sym_preproc_else_token1] = ACTIONS(6315),
    [aux_sym_preproc_elif_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [aux_sym_preproc_else_token1] = ACTIONS(6201),
    [aux_sym_preproc_elif_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [aux_sym_preproc_else_token1] = ACTIONS(4944),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [aux_sym_preproc_else_token1] = ACTIONS(6257),
    [aux_sym_preproc_elif_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [aux_sym_preproc_else_token1] = ACTIONS(6207),
    [aux_sym_preproc_elif_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [aux_sym_preproc_else_token1] = ACTIONS(5314),
    [aux_sym_preproc_elif_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [aux_sym_preproc_else_token1] = ACTIONS(5254),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [aux_sym_preproc_else_token1] = ACTIONS(6301),
    [aux_sym_preproc_elif_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2225] = {
    [sym__expression] = STATE(4753),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7703),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7703),
    [sym_multiple_subscript] = STATE(7703),
    [sym_multiple_subscript_triplet] = STATE(7703),
    [sym_assumed_size] = STATE(7703),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6167),
    [sym_assumed_rank] = ACTIONS(6411),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [aux_sym_preproc_else_token1] = ACTIONS(4762),
    [aux_sym_preproc_elif_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [aux_sym_preproc_else_token1] = ACTIONS(4948),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym_end_where_statement_token1] = ACTIONS(6099),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6415),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym_end_where_statement_token1] = ACTIONS(5206),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6417),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym_end_where_statement_token1] = ACTIONS(5190),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6419),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [aux_sym_end_program_statement_token2] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_contains_statement_token1] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6421),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [aux_sym_end_program_statement_token2] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6423),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6425),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6427),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6429),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6431),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym_end_where_statement_token1] = ACTIONS(6049),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6433),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym_end_where_statement_token1] = ACTIONS(4744),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6435),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [aux_sym_end_program_statement_token2] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_contains_statement_token1] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6437),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6439),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym_end_where_statement_token1] = ACTIONS(6069),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6441),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym_end_where_statement_token1] = ACTIONS(6089),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6443),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym_end_where_statement_token1] = ACTIONS(4756),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6445),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym_end_where_statement_token1] = ACTIONS(4762),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6447),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [aux_sym_end_program_statement_token2] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6449),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym_end_where_statement_token1] = ACTIONS(4794),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6451),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym_end_where_statement_token1] = ACTIONS(4954),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym_end_where_statement_token1] = ACTIONS(4988),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [aux_sym_end_program_statement_token2] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym_end_where_statement_token1] = ACTIONS(6063),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6461),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym_end_where_statement_token1] = ACTIONS(6143),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6463),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym_end_where_statement_token1] = ACTIONS(6075),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [aux_sym_end_program_statement_token2] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym_end_where_statement_token1] = ACTIONS(6171),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6469),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [aux_sym_end_program_statement_token2] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6471),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [aux_sym_end_program_statement_token2] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6473),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [aux_sym_end_program_statement_token2] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6475),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [aux_sym_end_program_statement_token2] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym_end_where_statement_token1] = ACTIONS(2404),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_end_function_statement_token1] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6479),
    [aux_sym_preproc_def_token1] = ACTIONS(6479),
    [aux_sym_preproc_if_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6479),
    [sym_preproc_directive] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [sym_preproc_comment] = ACTIONS(6481),
    [anon_sym_PLUS] = ACTIONS(6483),
    [anon_sym_DASH] = ACTIONS(6483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6479),
    [anon_sym_SEMI] = ACTIONS(6483),
    [aux_sym_block_data_statement_token1] = ACTIONS(6479),
    [aux_sym_block_data_statement_token2] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6479),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6479),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6479),
    [aux_sym_contains_statement_token1] = ACTIONS(6479),
    [aux_sym_use_statement_token2] = ACTIONS(6479),
    [aux_sym_implicit_statement_token4] = ACTIONS(6479),
    [aux_sym_save_statement_token1] = ACTIONS(6479),
    [aux_sym_private_statement_token1] = ACTIONS(6479),
    [aux_sym_public_statement_token1] = ACTIONS(6479),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6479),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6479),
    [aux_sym_variable_attributes_token2] = ACTIONS(6479),
    [aux_sym_variable_attributes_token3] = ACTIONS(6479),
    [aux_sym_variable_attributes_token5] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6479),
    [aux_sym_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym_stop_statement_token1] = ACTIONS(6479),
    [aux_sym_stop_statement_token2] = ACTIONS(6479),
    [aux_sym_subroutine_call_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token2] = ACTIONS(6479),
    [aux_sym_keyword_statement_token3] = ACTIONS(6479),
    [aux_sym_keyword_statement_token4] = ACTIONS(6479),
    [aux_sym_keyword_statement_token6] = ACTIONS(6479),
    [aux_sym_keyword_statement_token7] = ACTIONS(6479),
    [aux_sym_include_statement_token1] = ACTIONS(6479),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6479),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6479),
    [aux_sym_end_if_statement_token1] = ACTIONS(6479),
    [aux_sym_elseif_clause_token2] = ACTIONS(6479),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6479),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token3] = ACTIONS(6479),
    [aux_sym_select_type_statement_token1] = ACTIONS(6479),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6479),
    [aux_sym_associate_statement_token1] = ACTIONS(6479),
    [aux_sym_format_statement_token1] = ACTIONS(6479),
    [aux_sym_print_statement_token1] = ACTIONS(6479),
    [aux_sym_open_statement_token1] = ACTIONS(6479),
    [aux_sym_close_statement_token1] = ACTIONS(6479),
    [aux_sym_inquire_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token2] = ACTIONS(6479),
    [aux_sym_file_position_statement_token3] = ACTIONS(6479),
    [aux_sym_file_position_statement_token4] = ACTIONS(6479),
    [aux_sym_allocate_statement_token1] = ACTIONS(6479),
    [aux_sym_entry_statement_token1] = ACTIONS(6479),
    [aux_sym_assign_statement_token1] = ACTIONS(6479),
    [aux_sym_logical_expression_token5] = ACTIONS(6483),
    [anon_sym_DOT] = ACTIONS(6479),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [aux_sym_boolean_literal_token1] = ACTIONS(6483),
    [aux_sym_boolean_literal_token2] = ACTIONS(6483),
    [aux_sym_null_literal_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token2] = ACTIONS(6479),
    [aux_sym_coarray_statement_token6] = ACTIONS(6479),
    [aux_sym_coarray_statement_token8] = ACTIONS(6479),
    [aux_sym_coarray_statement_token11] = ACTIONS(6479),
    [aux_sym_coarray_statement_token12] = ACTIONS(6479),
    [aux_sym_coarray_statement_token13] = ACTIONS(6479),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6479),
    [aux_sym_identifier_token1] = ACTIONS(6479),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6483),
    [sym__float_literal] = ACTIONS(6483),
    [sym__boz_literal] = ACTIONS(6483),
    [sym__string_literal] = ACTIONS(6483),
    [sym__string_literal_kind] = ACTIONS(6483),
  },
  [2263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6485),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_end_function_statement_token1] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6487),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_end_function_statement_token1] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6489),
    [aux_sym_preproc_def_token1] = ACTIONS(6489),
    [aux_sym_preproc_if_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6489),
    [sym_preproc_directive] = ACTIONS(6489),
    [anon_sym_LPAREN2] = ACTIONS(6489),
    [sym_preproc_comment] = ACTIONS(6491),
    [anon_sym_PLUS] = ACTIONS(6493),
    [anon_sym_DASH] = ACTIONS(6493),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6489),
    [anon_sym_SEMI] = ACTIONS(6493),
    [aux_sym_block_data_statement_token1] = ACTIONS(6489),
    [aux_sym_block_data_statement_token2] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6489),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6489),
    [aux_sym_contains_statement_token1] = ACTIONS(6489),
    [aux_sym_use_statement_token2] = ACTIONS(6489),
    [aux_sym_implicit_statement_token4] = ACTIONS(6489),
    [aux_sym_save_statement_token1] = ACTIONS(6489),
    [aux_sym_private_statement_token1] = ACTIONS(6489),
    [aux_sym_public_statement_token1] = ACTIONS(6489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6489),
    [aux_sym_variable_attributes_token2] = ACTIONS(6489),
    [aux_sym_variable_attributes_token3] = ACTIONS(6489),
    [aux_sym_variable_attributes_token5] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6489),
    [aux_sym_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym_stop_statement_token1] = ACTIONS(6489),
    [aux_sym_stop_statement_token2] = ACTIONS(6489),
    [aux_sym_subroutine_call_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token2] = ACTIONS(6489),
    [aux_sym_keyword_statement_token3] = ACTIONS(6489),
    [aux_sym_keyword_statement_token4] = ACTIONS(6489),
    [aux_sym_keyword_statement_token6] = ACTIONS(6489),
    [aux_sym_keyword_statement_token7] = ACTIONS(6489),
    [aux_sym_include_statement_token1] = ACTIONS(6489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6489),
    [aux_sym_end_if_statement_token1] = ACTIONS(6489),
    [aux_sym_elseif_clause_token2] = ACTIONS(6489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token3] = ACTIONS(6489),
    [aux_sym_select_type_statement_token1] = ACTIONS(6489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6489),
    [aux_sym_associate_statement_token1] = ACTIONS(6489),
    [aux_sym_format_statement_token1] = ACTIONS(6489),
    [aux_sym_print_statement_token1] = ACTIONS(6489),
    [aux_sym_open_statement_token1] = ACTIONS(6489),
    [aux_sym_close_statement_token1] = ACTIONS(6489),
    [aux_sym_inquire_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token2] = ACTIONS(6489),
    [aux_sym_file_position_statement_token3] = ACTIONS(6489),
    [aux_sym_file_position_statement_token4] = ACTIONS(6489),
    [aux_sym_allocate_statement_token1] = ACTIONS(6489),
    [aux_sym_entry_statement_token1] = ACTIONS(6489),
    [aux_sym_assign_statement_token1] = ACTIONS(6489),
    [aux_sym_logical_expression_token5] = ACTIONS(6493),
    [anon_sym_DOT] = ACTIONS(6489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6493),
    [anon_sym_LBRACK] = ACTIONS(6493),
    [aux_sym_boolean_literal_token1] = ACTIONS(6493),
    [aux_sym_boolean_literal_token2] = ACTIONS(6493),
    [aux_sym_null_literal_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token2] = ACTIONS(6489),
    [aux_sym_coarray_statement_token6] = ACTIONS(6489),
    [aux_sym_coarray_statement_token8] = ACTIONS(6489),
    [aux_sym_coarray_statement_token11] = ACTIONS(6489),
    [aux_sym_coarray_statement_token12] = ACTIONS(6489),
    [aux_sym_coarray_statement_token13] = ACTIONS(6489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6489),
    [aux_sym_identifier_token1] = ACTIONS(6489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6493),
    [sym__float_literal] = ACTIONS(6493),
    [sym__boz_literal] = ACTIONS(6493),
    [sym__string_literal] = ACTIONS(6493),
    [sym__string_literal_kind] = ACTIONS(6493),
  },
  [2266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6495),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6497),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym_LPAREN2] = ACTIONS(6499),
    [sym_preproc_comment] = ACTIONS(6501),
    [anon_sym_PLUS] = ACTIONS(6503),
    [anon_sym_DASH] = ACTIONS(6503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6499),
    [anon_sym_SEMI] = ACTIONS(6503),
    [aux_sym_block_data_statement_token1] = ACTIONS(6499),
    [aux_sym_block_data_statement_token2] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6499),
    [aux_sym_end_function_statement_token1] = ACTIONS(6499),
    [aux_sym_contains_statement_token1] = ACTIONS(6499),
    [aux_sym_use_statement_token2] = ACTIONS(6499),
    [aux_sym_implicit_statement_token4] = ACTIONS(6499),
    [aux_sym_save_statement_token1] = ACTIONS(6499),
    [aux_sym_private_statement_token1] = ACTIONS(6499),
    [aux_sym_public_statement_token1] = ACTIONS(6499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6499),
    [aux_sym_variable_attributes_token2] = ACTIONS(6499),
    [aux_sym_variable_attributes_token3] = ACTIONS(6499),
    [aux_sym_variable_attributes_token5] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6499),
    [aux_sym_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym_stop_statement_token1] = ACTIONS(6499),
    [aux_sym_stop_statement_token2] = ACTIONS(6499),
    [aux_sym_subroutine_call_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token2] = ACTIONS(6499),
    [aux_sym_keyword_statement_token3] = ACTIONS(6499),
    [aux_sym_keyword_statement_token4] = ACTIONS(6499),
    [aux_sym_keyword_statement_token6] = ACTIONS(6499),
    [aux_sym_keyword_statement_token7] = ACTIONS(6499),
    [aux_sym_include_statement_token1] = ACTIONS(6499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6499),
    [aux_sym_end_if_statement_token1] = ACTIONS(6499),
    [aux_sym_elseif_clause_token2] = ACTIONS(6499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token3] = ACTIONS(6499),
    [aux_sym_select_type_statement_token1] = ACTIONS(6499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6499),
    [aux_sym_associate_statement_token1] = ACTIONS(6499),
    [aux_sym_format_statement_token1] = ACTIONS(6499),
    [aux_sym_print_statement_token1] = ACTIONS(6499),
    [aux_sym_open_statement_token1] = ACTIONS(6499),
    [aux_sym_close_statement_token1] = ACTIONS(6499),
    [aux_sym_inquire_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token2] = ACTIONS(6499),
    [aux_sym_file_position_statement_token3] = ACTIONS(6499),
    [aux_sym_file_position_statement_token4] = ACTIONS(6499),
    [aux_sym_allocate_statement_token1] = ACTIONS(6499),
    [aux_sym_entry_statement_token1] = ACTIONS(6499),
    [aux_sym_assign_statement_token1] = ACTIONS(6499),
    [aux_sym_logical_expression_token5] = ACTIONS(6503),
    [anon_sym_DOT] = ACTIONS(6499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6503),
    [aux_sym_boolean_literal_token1] = ACTIONS(6503),
    [aux_sym_boolean_literal_token2] = ACTIONS(6503),
    [aux_sym_null_literal_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token2] = ACTIONS(6499),
    [aux_sym_coarray_statement_token6] = ACTIONS(6499),
    [aux_sym_coarray_statement_token8] = ACTIONS(6499),
    [aux_sym_coarray_statement_token11] = ACTIONS(6499),
    [aux_sym_coarray_statement_token12] = ACTIONS(6499),
    [aux_sym_coarray_statement_token13] = ACTIONS(6499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6499),
    [aux_sym_identifier_token1] = ACTIONS(6499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6503),
    [sym__float_literal] = ACTIONS(6503),
    [sym__boz_literal] = ACTIONS(6503),
    [sym__string_literal] = ACTIONS(6503),
    [sym__string_literal_kind] = ACTIONS(6503),
  },
  [2269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6505),
    [aux_sym_preproc_def_token1] = ACTIONS(6505),
    [aux_sym_preproc_if_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6505),
    [sym_preproc_directive] = ACTIONS(6505),
    [anon_sym_LPAREN2] = ACTIONS(6505),
    [sym_preproc_comment] = ACTIONS(6507),
    [anon_sym_PLUS] = ACTIONS(6509),
    [anon_sym_DASH] = ACTIONS(6509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6505),
    [anon_sym_SEMI] = ACTIONS(6509),
    [aux_sym_block_data_statement_token1] = ACTIONS(6505),
    [aux_sym_block_data_statement_token2] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6505),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6505),
    [aux_sym_contains_statement_token1] = ACTIONS(6505),
    [aux_sym_use_statement_token2] = ACTIONS(6505),
    [aux_sym_implicit_statement_token4] = ACTIONS(6505),
    [aux_sym_save_statement_token1] = ACTIONS(6505),
    [aux_sym_private_statement_token1] = ACTIONS(6505),
    [aux_sym_public_statement_token1] = ACTIONS(6505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6505),
    [aux_sym_variable_attributes_token2] = ACTIONS(6505),
    [aux_sym_variable_attributes_token3] = ACTIONS(6505),
    [aux_sym_variable_attributes_token5] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6505),
    [aux_sym_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym_stop_statement_token1] = ACTIONS(6505),
    [aux_sym_stop_statement_token2] = ACTIONS(6505),
    [aux_sym_subroutine_call_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token2] = ACTIONS(6505),
    [aux_sym_keyword_statement_token3] = ACTIONS(6505),
    [aux_sym_keyword_statement_token4] = ACTIONS(6505),
    [aux_sym_keyword_statement_token6] = ACTIONS(6505),
    [aux_sym_keyword_statement_token7] = ACTIONS(6505),
    [aux_sym_include_statement_token1] = ACTIONS(6505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6505),
    [aux_sym_end_if_statement_token1] = ACTIONS(6505),
    [aux_sym_elseif_clause_token2] = ACTIONS(6505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token3] = ACTIONS(6505),
    [aux_sym_select_type_statement_token1] = ACTIONS(6505),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6505),
    [aux_sym_associate_statement_token1] = ACTIONS(6505),
    [aux_sym_format_statement_token1] = ACTIONS(6505),
    [aux_sym_print_statement_token1] = ACTIONS(6505),
    [aux_sym_open_statement_token1] = ACTIONS(6505),
    [aux_sym_close_statement_token1] = ACTIONS(6505),
    [aux_sym_inquire_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token2] = ACTIONS(6505),
    [aux_sym_file_position_statement_token3] = ACTIONS(6505),
    [aux_sym_file_position_statement_token4] = ACTIONS(6505),
    [aux_sym_allocate_statement_token1] = ACTIONS(6505),
    [aux_sym_entry_statement_token1] = ACTIONS(6505),
    [aux_sym_assign_statement_token1] = ACTIONS(6505),
    [aux_sym_logical_expression_token5] = ACTIONS(6509),
    [anon_sym_DOT] = ACTIONS(6505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6509),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [aux_sym_boolean_literal_token1] = ACTIONS(6509),
    [aux_sym_boolean_literal_token2] = ACTIONS(6509),
    [aux_sym_null_literal_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token2] = ACTIONS(6505),
    [aux_sym_coarray_statement_token6] = ACTIONS(6505),
    [aux_sym_coarray_statement_token8] = ACTIONS(6505),
    [aux_sym_coarray_statement_token11] = ACTIONS(6505),
    [aux_sym_coarray_statement_token12] = ACTIONS(6505),
    [aux_sym_coarray_statement_token13] = ACTIONS(6505),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6505),
    [aux_sym_identifier_token1] = ACTIONS(6505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6509),
    [sym__float_literal] = ACTIONS(6509),
    [sym__boz_literal] = ACTIONS(6509),
    [sym__string_literal] = ACTIONS(6509),
    [sym__string_literal_kind] = ACTIONS(6509),
  },
  [2270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6511),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6489),
    [aux_sym_preproc_def_token1] = ACTIONS(6489),
    [aux_sym_preproc_if_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6489),
    [sym_preproc_directive] = ACTIONS(6489),
    [anon_sym_LPAREN2] = ACTIONS(6489),
    [sym_preproc_comment] = ACTIONS(6513),
    [anon_sym_PLUS] = ACTIONS(6493),
    [anon_sym_DASH] = ACTIONS(6493),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6489),
    [anon_sym_SEMI] = ACTIONS(6493),
    [aux_sym_block_data_statement_token1] = ACTIONS(6489),
    [aux_sym_block_data_statement_token2] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6489),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6489),
    [aux_sym_contains_statement_token1] = ACTIONS(6489),
    [aux_sym_use_statement_token2] = ACTIONS(6489),
    [aux_sym_implicit_statement_token4] = ACTIONS(6489),
    [aux_sym_save_statement_token1] = ACTIONS(6489),
    [aux_sym_private_statement_token1] = ACTIONS(6489),
    [aux_sym_public_statement_token1] = ACTIONS(6489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6489),
    [aux_sym_variable_attributes_token2] = ACTIONS(6489),
    [aux_sym_variable_attributes_token3] = ACTIONS(6489),
    [aux_sym_variable_attributes_token5] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6489),
    [aux_sym_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym_stop_statement_token1] = ACTIONS(6489),
    [aux_sym_stop_statement_token2] = ACTIONS(6489),
    [aux_sym_subroutine_call_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token2] = ACTIONS(6489),
    [aux_sym_keyword_statement_token3] = ACTIONS(6489),
    [aux_sym_keyword_statement_token4] = ACTIONS(6489),
    [aux_sym_keyword_statement_token6] = ACTIONS(6489),
    [aux_sym_keyword_statement_token7] = ACTIONS(6489),
    [aux_sym_include_statement_token1] = ACTIONS(6489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6489),
    [aux_sym_end_if_statement_token1] = ACTIONS(6489),
    [aux_sym_elseif_clause_token2] = ACTIONS(6489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token3] = ACTIONS(6489),
    [aux_sym_select_type_statement_token1] = ACTIONS(6489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6489),
    [aux_sym_associate_statement_token1] = ACTIONS(6489),
    [aux_sym_format_statement_token1] = ACTIONS(6489),
    [aux_sym_print_statement_token1] = ACTIONS(6489),
    [aux_sym_open_statement_token1] = ACTIONS(6489),
    [aux_sym_close_statement_token1] = ACTIONS(6489),
    [aux_sym_inquire_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token2] = ACTIONS(6489),
    [aux_sym_file_position_statement_token3] = ACTIONS(6489),
    [aux_sym_file_position_statement_token4] = ACTIONS(6489),
    [aux_sym_allocate_statement_token1] = ACTIONS(6489),
    [aux_sym_entry_statement_token1] = ACTIONS(6489),
    [aux_sym_assign_statement_token1] = ACTIONS(6489),
    [aux_sym_logical_expression_token5] = ACTIONS(6493),
    [anon_sym_DOT] = ACTIONS(6489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6493),
    [anon_sym_LBRACK] = ACTIONS(6493),
    [aux_sym_boolean_literal_token1] = ACTIONS(6493),
    [aux_sym_boolean_literal_token2] = ACTIONS(6493),
    [aux_sym_null_literal_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token2] = ACTIONS(6489),
    [aux_sym_coarray_statement_token6] = ACTIONS(6489),
    [aux_sym_coarray_statement_token8] = ACTIONS(6489),
    [aux_sym_coarray_statement_token11] = ACTIONS(6489),
    [aux_sym_coarray_statement_token12] = ACTIONS(6489),
    [aux_sym_coarray_statement_token13] = ACTIONS(6489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6489),
    [aux_sym_identifier_token1] = ACTIONS(6489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6493),
    [sym__float_literal] = ACTIONS(6493),
    [sym__boz_literal] = ACTIONS(6493),
    [sym__string_literal] = ACTIONS(6493),
    [sym__string_literal_kind] = ACTIONS(6493),
  },
  [2272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [aux_sym_end_program_statement_token2] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6517),
    [aux_sym_preproc_def_token1] = ACTIONS(6517),
    [aux_sym_preproc_if_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6517),
    [sym_preproc_directive] = ACTIONS(6517),
    [anon_sym_LPAREN2] = ACTIONS(6517),
    [sym_preproc_comment] = ACTIONS(6519),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_DASH] = ACTIONS(6521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6517),
    [anon_sym_SEMI] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6517),
    [aux_sym_block_data_statement_token2] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6517),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6517),
    [aux_sym_contains_statement_token1] = ACTIONS(6517),
    [aux_sym_use_statement_token2] = ACTIONS(6517),
    [aux_sym_implicit_statement_token4] = ACTIONS(6517),
    [aux_sym_save_statement_token1] = ACTIONS(6517),
    [aux_sym_private_statement_token1] = ACTIONS(6517),
    [aux_sym_public_statement_token1] = ACTIONS(6517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6517),
    [aux_sym_variable_attributes_token2] = ACTIONS(6517),
    [aux_sym_variable_attributes_token3] = ACTIONS(6517),
    [aux_sym_variable_attributes_token5] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6517),
    [aux_sym_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym_stop_statement_token1] = ACTIONS(6517),
    [aux_sym_stop_statement_token2] = ACTIONS(6517),
    [aux_sym_subroutine_call_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token2] = ACTIONS(6517),
    [aux_sym_keyword_statement_token3] = ACTIONS(6517),
    [aux_sym_keyword_statement_token4] = ACTIONS(6517),
    [aux_sym_keyword_statement_token6] = ACTIONS(6517),
    [aux_sym_keyword_statement_token7] = ACTIONS(6517),
    [aux_sym_include_statement_token1] = ACTIONS(6517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6517),
    [aux_sym_end_if_statement_token1] = ACTIONS(6517),
    [aux_sym_elseif_clause_token2] = ACTIONS(6517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token3] = ACTIONS(6517),
    [aux_sym_select_type_statement_token1] = ACTIONS(6517),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6517),
    [aux_sym_associate_statement_token1] = ACTIONS(6517),
    [aux_sym_format_statement_token1] = ACTIONS(6517),
    [aux_sym_print_statement_token1] = ACTIONS(6517),
    [aux_sym_open_statement_token1] = ACTIONS(6517),
    [aux_sym_close_statement_token1] = ACTIONS(6517),
    [aux_sym_inquire_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token2] = ACTIONS(6517),
    [aux_sym_file_position_statement_token3] = ACTIONS(6517),
    [aux_sym_file_position_statement_token4] = ACTIONS(6517),
    [aux_sym_allocate_statement_token1] = ACTIONS(6517),
    [aux_sym_entry_statement_token1] = ACTIONS(6517),
    [aux_sym_assign_statement_token1] = ACTIONS(6517),
    [aux_sym_logical_expression_token5] = ACTIONS(6521),
    [anon_sym_DOT] = ACTIONS(6517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6521),
    [anon_sym_LBRACK] = ACTIONS(6521),
    [aux_sym_boolean_literal_token1] = ACTIONS(6521),
    [aux_sym_boolean_literal_token2] = ACTIONS(6521),
    [aux_sym_null_literal_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token2] = ACTIONS(6517),
    [aux_sym_coarray_statement_token6] = ACTIONS(6517),
    [aux_sym_coarray_statement_token8] = ACTIONS(6517),
    [aux_sym_coarray_statement_token11] = ACTIONS(6517),
    [aux_sym_coarray_statement_token12] = ACTIONS(6517),
    [aux_sym_coarray_statement_token13] = ACTIONS(6517),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6517),
    [aux_sym_identifier_token1] = ACTIONS(6517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6521),
    [sym__float_literal] = ACTIONS(6521),
    [sym__boz_literal] = ACTIONS(6521),
    [sym__string_literal] = ACTIONS(6521),
    [sym__string_literal_kind] = ACTIONS(6521),
  },
  [2274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [sym_preproc_comment] = ACTIONS(6525),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6529),
    [aux_sym_preproc_def_token1] = ACTIONS(6529),
    [aux_sym_preproc_if_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6529),
    [sym_preproc_directive] = ACTIONS(6529),
    [anon_sym_LPAREN2] = ACTIONS(6529),
    [sym_preproc_comment] = ACTIONS(6531),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6533),
    [aux_sym_block_data_statement_token1] = ACTIONS(6529),
    [aux_sym_block_data_statement_token2] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6529),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6529),
    [aux_sym_contains_statement_token1] = ACTIONS(6529),
    [aux_sym_use_statement_token2] = ACTIONS(6529),
    [aux_sym_implicit_statement_token4] = ACTIONS(6529),
    [aux_sym_save_statement_token1] = ACTIONS(6529),
    [aux_sym_private_statement_token1] = ACTIONS(6529),
    [aux_sym_public_statement_token1] = ACTIONS(6529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6529),
    [aux_sym_variable_attributes_token2] = ACTIONS(6529),
    [aux_sym_variable_attributes_token3] = ACTIONS(6529),
    [aux_sym_variable_attributes_token5] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6529),
    [aux_sym_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym_stop_statement_token1] = ACTIONS(6529),
    [aux_sym_stop_statement_token2] = ACTIONS(6529),
    [aux_sym_subroutine_call_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token2] = ACTIONS(6529),
    [aux_sym_keyword_statement_token3] = ACTIONS(6529),
    [aux_sym_keyword_statement_token4] = ACTIONS(6529),
    [aux_sym_keyword_statement_token6] = ACTIONS(6529),
    [aux_sym_keyword_statement_token7] = ACTIONS(6529),
    [aux_sym_include_statement_token1] = ACTIONS(6529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6529),
    [aux_sym_end_if_statement_token1] = ACTIONS(6529),
    [aux_sym_elseif_clause_token2] = ACTIONS(6529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token3] = ACTIONS(6529),
    [aux_sym_select_type_statement_token1] = ACTIONS(6529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6529),
    [aux_sym_associate_statement_token1] = ACTIONS(6529),
    [aux_sym_format_statement_token1] = ACTIONS(6529),
    [aux_sym_print_statement_token1] = ACTIONS(6529),
    [aux_sym_open_statement_token1] = ACTIONS(6529),
    [aux_sym_close_statement_token1] = ACTIONS(6529),
    [aux_sym_inquire_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token2] = ACTIONS(6529),
    [aux_sym_file_position_statement_token3] = ACTIONS(6529),
    [aux_sym_file_position_statement_token4] = ACTIONS(6529),
    [aux_sym_allocate_statement_token1] = ACTIONS(6529),
    [aux_sym_entry_statement_token1] = ACTIONS(6529),
    [aux_sym_assign_statement_token1] = ACTIONS(6529),
    [aux_sym_logical_expression_token5] = ACTIONS(6533),
    [anon_sym_DOT] = ACTIONS(6529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6533),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [aux_sym_boolean_literal_token1] = ACTIONS(6533),
    [aux_sym_boolean_literal_token2] = ACTIONS(6533),
    [aux_sym_null_literal_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token2] = ACTIONS(6529),
    [aux_sym_coarray_statement_token6] = ACTIONS(6529),
    [aux_sym_coarray_statement_token8] = ACTIONS(6529),
    [aux_sym_coarray_statement_token11] = ACTIONS(6529),
    [aux_sym_coarray_statement_token12] = ACTIONS(6529),
    [aux_sym_coarray_statement_token13] = ACTIONS(6529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6529),
    [aux_sym_identifier_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6533),
    [sym__float_literal] = ACTIONS(6533),
    [sym__boz_literal] = ACTIONS(6533),
    [sym__string_literal] = ACTIONS(6533),
    [sym__string_literal_kind] = ACTIONS(6533),
  },
  [2276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [sym_preproc_comment] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6539),
    [anon_sym_DASH] = ACTIONS(6539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6539),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_contains_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_keyword_statement_token6] = ACTIONS(6535),
    [aux_sym_keyword_statement_token7] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token3] = ACTIONS(6535),
    [aux_sym_select_type_statement_token1] = ACTIONS(6535),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6535),
    [aux_sym_associate_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_close_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token2] = ACTIONS(6535),
    [aux_sym_file_position_statement_token3] = ACTIONS(6535),
    [aux_sym_file_position_statement_token4] = ACTIONS(6535),
    [aux_sym_allocate_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_assign_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6539),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6539),
    [anon_sym_LBRACK] = ACTIONS(6539),
    [aux_sym_boolean_literal_token1] = ACTIONS(6539),
    [aux_sym_boolean_literal_token2] = ACTIONS(6539),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_statement_token13] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6539),
    [sym__float_literal] = ACTIONS(6539),
    [sym__boz_literal] = ACTIONS(6539),
    [sym__string_literal] = ACTIONS(6539),
    [sym__string_literal_kind] = ACTIONS(6539),
  },
  [2277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6541),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_end_function_statement_token1] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6543),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_end_function_statement_token1] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6545),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [aux_sym_end_program_statement_token2] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [sym_preproc_comment] = ACTIONS(6549),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6555),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token2] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_end_select_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6557),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token2] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6559),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6561),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_end_function_statement_token1] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6563),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_end_function_statement_token1] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6489),
    [aux_sym_preproc_def_token1] = ACTIONS(6489),
    [aux_sym_preproc_if_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6489),
    [sym_preproc_directive] = ACTIONS(6489),
    [anon_sym_LPAREN2] = ACTIONS(6489),
    [sym_preproc_comment] = ACTIONS(6565),
    [anon_sym_PLUS] = ACTIONS(6493),
    [anon_sym_DASH] = ACTIONS(6493),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6489),
    [anon_sym_SEMI] = ACTIONS(6493),
    [aux_sym_block_data_statement_token1] = ACTIONS(6489),
    [aux_sym_block_data_statement_token2] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6489),
    [aux_sym_end_function_statement_token1] = ACTIONS(6489),
    [aux_sym_contains_statement_token1] = ACTIONS(6489),
    [aux_sym_use_statement_token2] = ACTIONS(6489),
    [aux_sym_implicit_statement_token4] = ACTIONS(6489),
    [aux_sym_save_statement_token1] = ACTIONS(6489),
    [aux_sym_private_statement_token1] = ACTIONS(6489),
    [aux_sym_public_statement_token1] = ACTIONS(6489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6489),
    [aux_sym_variable_attributes_token2] = ACTIONS(6489),
    [aux_sym_variable_attributes_token3] = ACTIONS(6489),
    [aux_sym_variable_attributes_token5] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6489),
    [aux_sym_type_qualifier_token1] = ACTIONS(6489),
    [aux_sym_type_qualifier_token2] = ACTIONS(6489),
    [aux_sym_stop_statement_token1] = ACTIONS(6489),
    [aux_sym_stop_statement_token2] = ACTIONS(6489),
    [aux_sym_subroutine_call_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token1] = ACTIONS(6489),
    [aux_sym_keyword_statement_token2] = ACTIONS(6489),
    [aux_sym_keyword_statement_token3] = ACTIONS(6489),
    [aux_sym_keyword_statement_token4] = ACTIONS(6489),
    [aux_sym_keyword_statement_token6] = ACTIONS(6489),
    [aux_sym_keyword_statement_token7] = ACTIONS(6489),
    [aux_sym_include_statement_token1] = ACTIONS(6489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6489),
    [aux_sym_end_if_statement_token1] = ACTIONS(6489),
    [aux_sym_elseif_clause_token2] = ACTIONS(6489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token1] = ACTIONS(6489),
    [aux_sym_select_case_statement_token3] = ACTIONS(6489),
    [aux_sym_select_type_statement_token1] = ACTIONS(6489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6489),
    [aux_sym_associate_statement_token1] = ACTIONS(6489),
    [aux_sym_format_statement_token1] = ACTIONS(6489),
    [aux_sym_print_statement_token1] = ACTIONS(6489),
    [aux_sym_open_statement_token1] = ACTIONS(6489),
    [aux_sym_close_statement_token1] = ACTIONS(6489),
    [aux_sym_inquire_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token1] = ACTIONS(6489),
    [aux_sym_file_position_statement_token2] = ACTIONS(6489),
    [aux_sym_file_position_statement_token3] = ACTIONS(6489),
    [aux_sym_file_position_statement_token4] = ACTIONS(6489),
    [aux_sym_allocate_statement_token1] = ACTIONS(6489),
    [aux_sym_entry_statement_token1] = ACTIONS(6489),
    [aux_sym_assign_statement_token1] = ACTIONS(6489),
    [aux_sym_logical_expression_token5] = ACTIONS(6493),
    [anon_sym_DOT] = ACTIONS(6489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6493),
    [anon_sym_LBRACK] = ACTIONS(6493),
    [aux_sym_boolean_literal_token1] = ACTIONS(6493),
    [aux_sym_boolean_literal_token2] = ACTIONS(6493),
    [aux_sym_null_literal_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_statement_token2] = ACTIONS(6489),
    [aux_sym_coarray_statement_token6] = ACTIONS(6489),
    [aux_sym_coarray_statement_token8] = ACTIONS(6489),
    [aux_sym_coarray_statement_token11] = ACTIONS(6489),
    [aux_sym_coarray_statement_token12] = ACTIONS(6489),
    [aux_sym_coarray_statement_token13] = ACTIONS(6489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6489),
    [aux_sym_identifier_token1] = ACTIONS(6489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6493),
    [sym__float_literal] = ACTIONS(6493),
    [sym__boz_literal] = ACTIONS(6493),
    [sym__string_literal] = ACTIONS(6493),
    [sym__string_literal_kind] = ACTIONS(6493),
  },
  [2289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [aux_sym_end_program_statement_token2] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [sym_preproc_comment] = ACTIONS(6569),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_end_function_statement_token1] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [sym_preproc_comment] = ACTIONS(6575),
    [anon_sym_PLUS] = ACTIONS(6577),
    [anon_sym_DASH] = ACTIONS(6577),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6577),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_contains_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_keyword_statement_token6] = ACTIONS(6573),
    [aux_sym_keyword_statement_token7] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token3] = ACTIONS(6573),
    [aux_sym_select_type_statement_token1] = ACTIONS(6573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6573),
    [aux_sym_associate_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_close_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token2] = ACTIONS(6573),
    [aux_sym_file_position_statement_token3] = ACTIONS(6573),
    [aux_sym_file_position_statement_token4] = ACTIONS(6573),
    [aux_sym_allocate_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_assign_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6577),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6577),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [aux_sym_boolean_literal_token1] = ACTIONS(6577),
    [aux_sym_boolean_literal_token2] = ACTIONS(6577),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_statement_token13] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6577),
    [sym__float_literal] = ACTIONS(6577),
    [sym__boz_literal] = ACTIONS(6577),
    [sym__string_literal] = ACTIONS(6577),
    [sym__string_literal_kind] = ACTIONS(6577),
  },
  [2292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6479),
    [aux_sym_preproc_def_token1] = ACTIONS(6479),
    [aux_sym_preproc_if_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6479),
    [sym_preproc_directive] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [sym_preproc_comment] = ACTIONS(6579),
    [anon_sym_PLUS] = ACTIONS(6483),
    [anon_sym_DASH] = ACTIONS(6483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6479),
    [anon_sym_SEMI] = ACTIONS(6483),
    [aux_sym_block_data_statement_token1] = ACTIONS(6479),
    [aux_sym_block_data_statement_token2] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6479),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6479),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6479),
    [aux_sym_contains_statement_token1] = ACTIONS(6479),
    [aux_sym_use_statement_token2] = ACTIONS(6479),
    [aux_sym_implicit_statement_token4] = ACTIONS(6479),
    [aux_sym_save_statement_token1] = ACTIONS(6479),
    [aux_sym_private_statement_token1] = ACTIONS(6479),
    [aux_sym_public_statement_token1] = ACTIONS(6479),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6479),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6479),
    [aux_sym_variable_attributes_token2] = ACTIONS(6479),
    [aux_sym_variable_attributes_token3] = ACTIONS(6479),
    [aux_sym_variable_attributes_token5] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6479),
    [aux_sym_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym_stop_statement_token1] = ACTIONS(6479),
    [aux_sym_stop_statement_token2] = ACTIONS(6479),
    [aux_sym_subroutine_call_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token2] = ACTIONS(6479),
    [aux_sym_keyword_statement_token3] = ACTIONS(6479),
    [aux_sym_keyword_statement_token4] = ACTIONS(6479),
    [aux_sym_keyword_statement_token6] = ACTIONS(6479),
    [aux_sym_keyword_statement_token7] = ACTIONS(6479),
    [aux_sym_include_statement_token1] = ACTIONS(6479),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6479),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6479),
    [aux_sym_end_if_statement_token1] = ACTIONS(6479),
    [aux_sym_elseif_clause_token2] = ACTIONS(6479),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6479),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token3] = ACTIONS(6479),
    [aux_sym_select_type_statement_token1] = ACTIONS(6479),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6479),
    [aux_sym_associate_statement_token1] = ACTIONS(6479),
    [aux_sym_format_statement_token1] = ACTIONS(6479),
    [aux_sym_print_statement_token1] = ACTIONS(6479),
    [aux_sym_open_statement_token1] = ACTIONS(6479),
    [aux_sym_close_statement_token1] = ACTIONS(6479),
    [aux_sym_inquire_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token2] = ACTIONS(6479),
    [aux_sym_file_position_statement_token3] = ACTIONS(6479),
    [aux_sym_file_position_statement_token4] = ACTIONS(6479),
    [aux_sym_allocate_statement_token1] = ACTIONS(6479),
    [aux_sym_entry_statement_token1] = ACTIONS(6479),
    [aux_sym_assign_statement_token1] = ACTIONS(6479),
    [aux_sym_logical_expression_token5] = ACTIONS(6483),
    [anon_sym_DOT] = ACTIONS(6479),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [aux_sym_boolean_literal_token1] = ACTIONS(6483),
    [aux_sym_boolean_literal_token2] = ACTIONS(6483),
    [aux_sym_null_literal_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token2] = ACTIONS(6479),
    [aux_sym_coarray_statement_token6] = ACTIONS(6479),
    [aux_sym_coarray_statement_token8] = ACTIONS(6479),
    [aux_sym_coarray_statement_token11] = ACTIONS(6479),
    [aux_sym_coarray_statement_token12] = ACTIONS(6479),
    [aux_sym_coarray_statement_token13] = ACTIONS(6479),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6479),
    [aux_sym_identifier_token1] = ACTIONS(6479),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6483),
    [sym__float_literal] = ACTIONS(6483),
    [sym__boz_literal] = ACTIONS(6483),
    [sym__string_literal] = ACTIONS(6483),
    [sym__string_literal_kind] = ACTIONS(6483),
  },
  [2293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [sym_preproc_comment] = ACTIONS(6583),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [sym_preproc_comment] = ACTIONS(6589),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym_end_where_statement_token1] = ACTIONS(6275),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6593),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [sym_preproc_comment] = ACTIONS(6595),
    [anon_sym_PLUS] = ACTIONS(6577),
    [anon_sym_DASH] = ACTIONS(6577),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6577),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_contains_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_keyword_statement_token6] = ACTIONS(6573),
    [aux_sym_keyword_statement_token7] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token3] = ACTIONS(6573),
    [aux_sym_select_type_statement_token1] = ACTIONS(6573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6573),
    [aux_sym_associate_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_close_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token2] = ACTIONS(6573),
    [aux_sym_file_position_statement_token3] = ACTIONS(6573),
    [aux_sym_file_position_statement_token4] = ACTIONS(6573),
    [aux_sym_allocate_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_assign_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6577),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6577),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [aux_sym_boolean_literal_token1] = ACTIONS(6577),
    [aux_sym_boolean_literal_token2] = ACTIONS(6577),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_statement_token13] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6577),
    [sym__float_literal] = ACTIONS(6577),
    [sym__boz_literal] = ACTIONS(6577),
    [sym__string_literal] = ACTIONS(6577),
    [sym__string_literal_kind] = ACTIONS(6577),
  },
  [2298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [aux_sym_end_program_statement_token2] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [sym_preproc_comment] = ACTIONS(6597),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6599),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym_end_where_statement_token1] = ACTIONS(6297),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym_end_where_statement_token1] = ACTIONS(6315),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym_end_where_statement_token1] = ACTIONS(6201),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym_end_where_statement_token1] = ACTIONS(6257),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym_LPAREN2] = ACTIONS(6603),
    [sym_preproc_comment] = ACTIONS(6605),
    [anon_sym_PLUS] = ACTIONS(6607),
    [anon_sym_DASH] = ACTIONS(6607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6603),
    [anon_sym_SEMI] = ACTIONS(6607),
    [aux_sym_block_data_statement_token1] = ACTIONS(6603),
    [aux_sym_block_data_statement_token2] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6603),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6603),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6603),
    [aux_sym_contains_statement_token1] = ACTIONS(6603),
    [aux_sym_use_statement_token2] = ACTIONS(6603),
    [aux_sym_implicit_statement_token4] = ACTIONS(6603),
    [aux_sym_save_statement_token1] = ACTIONS(6603),
    [aux_sym_private_statement_token1] = ACTIONS(6603),
    [aux_sym_public_statement_token1] = ACTIONS(6603),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6603),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6603),
    [aux_sym_variable_attributes_token2] = ACTIONS(6603),
    [aux_sym_variable_attributes_token3] = ACTIONS(6603),
    [aux_sym_variable_attributes_token5] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6603),
    [aux_sym_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym_stop_statement_token1] = ACTIONS(6603),
    [aux_sym_stop_statement_token2] = ACTIONS(6603),
    [aux_sym_subroutine_call_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token2] = ACTIONS(6603),
    [aux_sym_keyword_statement_token3] = ACTIONS(6603),
    [aux_sym_keyword_statement_token4] = ACTIONS(6603),
    [aux_sym_keyword_statement_token6] = ACTIONS(6603),
    [aux_sym_keyword_statement_token7] = ACTIONS(6603),
    [aux_sym_include_statement_token1] = ACTIONS(6603),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6603),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6603),
    [aux_sym_end_if_statement_token1] = ACTIONS(6603),
    [aux_sym_elseif_clause_token2] = ACTIONS(6603),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6603),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token3] = ACTIONS(6603),
    [aux_sym_select_type_statement_token1] = ACTIONS(6603),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6603),
    [aux_sym_associate_statement_token1] = ACTIONS(6603),
    [aux_sym_format_statement_token1] = ACTIONS(6603),
    [aux_sym_print_statement_token1] = ACTIONS(6603),
    [aux_sym_open_statement_token1] = ACTIONS(6603),
    [aux_sym_close_statement_token1] = ACTIONS(6603),
    [aux_sym_inquire_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token2] = ACTIONS(6603),
    [aux_sym_file_position_statement_token3] = ACTIONS(6603),
    [aux_sym_file_position_statement_token4] = ACTIONS(6603),
    [aux_sym_allocate_statement_token1] = ACTIONS(6603),
    [aux_sym_entry_statement_token1] = ACTIONS(6603),
    [aux_sym_assign_statement_token1] = ACTIONS(6603),
    [aux_sym_logical_expression_token5] = ACTIONS(6607),
    [anon_sym_DOT] = ACTIONS(6603),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6607),
    [aux_sym_boolean_literal_token1] = ACTIONS(6607),
    [aux_sym_boolean_literal_token2] = ACTIONS(6607),
    [aux_sym_null_literal_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token2] = ACTIONS(6603),
    [aux_sym_coarray_statement_token6] = ACTIONS(6603),
    [aux_sym_coarray_statement_token8] = ACTIONS(6603),
    [aux_sym_coarray_statement_token11] = ACTIONS(6603),
    [aux_sym_coarray_statement_token12] = ACTIONS(6603),
    [aux_sym_coarray_statement_token13] = ACTIONS(6603),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6603),
    [aux_sym_identifier_token1] = ACTIONS(6603),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6607),
    [sym__float_literal] = ACTIONS(6607),
    [sym__boz_literal] = ACTIONS(6607),
    [sym__string_literal] = ACTIONS(6607),
    [sym__string_literal_kind] = ACTIONS(6607),
  },
  [2309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6609),
    [aux_sym_preproc_def_token1] = ACTIONS(6609),
    [aux_sym_preproc_if_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6609),
    [sym_preproc_directive] = ACTIONS(6609),
    [anon_sym_LPAREN2] = ACTIONS(6609),
    [sym_preproc_comment] = ACTIONS(6611),
    [anon_sym_PLUS] = ACTIONS(6613),
    [anon_sym_DASH] = ACTIONS(6613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6609),
    [anon_sym_SEMI] = ACTIONS(6613),
    [aux_sym_block_data_statement_token1] = ACTIONS(6609),
    [aux_sym_block_data_statement_token2] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6609),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6609),
    [aux_sym_contains_statement_token1] = ACTIONS(6609),
    [aux_sym_use_statement_token2] = ACTIONS(6609),
    [aux_sym_implicit_statement_token4] = ACTIONS(6609),
    [aux_sym_save_statement_token1] = ACTIONS(6609),
    [aux_sym_private_statement_token1] = ACTIONS(6609),
    [aux_sym_public_statement_token1] = ACTIONS(6609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6609),
    [aux_sym_variable_attributes_token2] = ACTIONS(6609),
    [aux_sym_variable_attributes_token3] = ACTIONS(6609),
    [aux_sym_variable_attributes_token5] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6609),
    [aux_sym_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym_stop_statement_token1] = ACTIONS(6609),
    [aux_sym_stop_statement_token2] = ACTIONS(6609),
    [aux_sym_subroutine_call_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token2] = ACTIONS(6609),
    [aux_sym_keyword_statement_token3] = ACTIONS(6609),
    [aux_sym_keyword_statement_token4] = ACTIONS(6609),
    [aux_sym_keyword_statement_token6] = ACTIONS(6609),
    [aux_sym_keyword_statement_token7] = ACTIONS(6609),
    [aux_sym_include_statement_token1] = ACTIONS(6609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6609),
    [aux_sym_end_if_statement_token1] = ACTIONS(6609),
    [aux_sym_elseif_clause_token2] = ACTIONS(6609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token3] = ACTIONS(6609),
    [aux_sym_select_type_statement_token1] = ACTIONS(6609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6609),
    [aux_sym_associate_statement_token1] = ACTIONS(6609),
    [aux_sym_format_statement_token1] = ACTIONS(6609),
    [aux_sym_print_statement_token1] = ACTIONS(6609),
    [aux_sym_open_statement_token1] = ACTIONS(6609),
    [aux_sym_close_statement_token1] = ACTIONS(6609),
    [aux_sym_inquire_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token2] = ACTIONS(6609),
    [aux_sym_file_position_statement_token3] = ACTIONS(6609),
    [aux_sym_file_position_statement_token4] = ACTIONS(6609),
    [aux_sym_allocate_statement_token1] = ACTIONS(6609),
    [aux_sym_entry_statement_token1] = ACTIONS(6609),
    [aux_sym_assign_statement_token1] = ACTIONS(6609),
    [aux_sym_logical_expression_token5] = ACTIONS(6613),
    [anon_sym_DOT] = ACTIONS(6609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6613),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [aux_sym_boolean_literal_token1] = ACTIONS(6613),
    [aux_sym_boolean_literal_token2] = ACTIONS(6613),
    [aux_sym_null_literal_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token2] = ACTIONS(6609),
    [aux_sym_coarray_statement_token6] = ACTIONS(6609),
    [aux_sym_coarray_statement_token8] = ACTIONS(6609),
    [aux_sym_coarray_statement_token11] = ACTIONS(6609),
    [aux_sym_coarray_statement_token12] = ACTIONS(6609),
    [aux_sym_coarray_statement_token13] = ACTIONS(6609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6609),
    [aux_sym_identifier_token1] = ACTIONS(6609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6613),
    [sym__float_literal] = ACTIONS(6613),
    [sym__boz_literal] = ACTIONS(6613),
    [sym__string_literal] = ACTIONS(6613),
    [sym__string_literal_kind] = ACTIONS(6613),
  },
  [2310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [sym_preproc_comment] = ACTIONS(6615),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [sym_preproc_comment] = ACTIONS(6619),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6623),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym_end_where_statement_token1] = ACTIONS(6207),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym_LPAREN2] = ACTIONS(6499),
    [sym_preproc_comment] = ACTIONS(6625),
    [anon_sym_PLUS] = ACTIONS(6503),
    [anon_sym_DASH] = ACTIONS(6503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6499),
    [anon_sym_SEMI] = ACTIONS(6503),
    [aux_sym_block_data_statement_token1] = ACTIONS(6499),
    [aux_sym_block_data_statement_token2] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6499),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6499),
    [aux_sym_contains_statement_token1] = ACTIONS(6499),
    [aux_sym_use_statement_token2] = ACTIONS(6499),
    [aux_sym_implicit_statement_token4] = ACTIONS(6499),
    [aux_sym_save_statement_token1] = ACTIONS(6499),
    [aux_sym_private_statement_token1] = ACTIONS(6499),
    [aux_sym_public_statement_token1] = ACTIONS(6499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6499),
    [aux_sym_variable_attributes_token2] = ACTIONS(6499),
    [aux_sym_variable_attributes_token3] = ACTIONS(6499),
    [aux_sym_variable_attributes_token5] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6499),
    [aux_sym_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym_stop_statement_token1] = ACTIONS(6499),
    [aux_sym_stop_statement_token2] = ACTIONS(6499),
    [aux_sym_subroutine_call_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token2] = ACTIONS(6499),
    [aux_sym_keyword_statement_token3] = ACTIONS(6499),
    [aux_sym_keyword_statement_token4] = ACTIONS(6499),
    [aux_sym_keyword_statement_token6] = ACTIONS(6499),
    [aux_sym_keyword_statement_token7] = ACTIONS(6499),
    [aux_sym_include_statement_token1] = ACTIONS(6499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6499),
    [aux_sym_end_if_statement_token1] = ACTIONS(6499),
    [aux_sym_elseif_clause_token2] = ACTIONS(6499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token3] = ACTIONS(6499),
    [aux_sym_select_type_statement_token1] = ACTIONS(6499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6499),
    [aux_sym_associate_statement_token1] = ACTIONS(6499),
    [aux_sym_format_statement_token1] = ACTIONS(6499),
    [aux_sym_print_statement_token1] = ACTIONS(6499),
    [aux_sym_open_statement_token1] = ACTIONS(6499),
    [aux_sym_close_statement_token1] = ACTIONS(6499),
    [aux_sym_inquire_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token2] = ACTIONS(6499),
    [aux_sym_file_position_statement_token3] = ACTIONS(6499),
    [aux_sym_file_position_statement_token4] = ACTIONS(6499),
    [aux_sym_allocate_statement_token1] = ACTIONS(6499),
    [aux_sym_entry_statement_token1] = ACTIONS(6499),
    [aux_sym_assign_statement_token1] = ACTIONS(6499),
    [aux_sym_logical_expression_token5] = ACTIONS(6503),
    [anon_sym_DOT] = ACTIONS(6499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6503),
    [aux_sym_boolean_literal_token1] = ACTIONS(6503),
    [aux_sym_boolean_literal_token2] = ACTIONS(6503),
    [aux_sym_null_literal_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token2] = ACTIONS(6499),
    [aux_sym_coarray_statement_token6] = ACTIONS(6499),
    [aux_sym_coarray_statement_token8] = ACTIONS(6499),
    [aux_sym_coarray_statement_token11] = ACTIONS(6499),
    [aux_sym_coarray_statement_token12] = ACTIONS(6499),
    [aux_sym_coarray_statement_token13] = ACTIONS(6499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6499),
    [aux_sym_identifier_token1] = ACTIONS(6499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6503),
    [sym__float_literal] = ACTIONS(6503),
    [sym__boz_literal] = ACTIONS(6503),
    [sym__string_literal] = ACTIONS(6503),
    [sym__string_literal_kind] = ACTIONS(6503),
  },
  [2318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [sym_preproc_comment] = ACTIONS(6627),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym_end_where_statement_token1] = ACTIONS(6241),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym_end_where_statement_token1] = ACTIONS(6301),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [sym_preproc_comment] = ACTIONS(6629),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6631),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_end_function_statement_token1] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6633),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6517),
    [aux_sym_preproc_def_token1] = ACTIONS(6517),
    [aux_sym_preproc_if_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6517),
    [sym_preproc_directive] = ACTIONS(6517),
    [anon_sym_LPAREN2] = ACTIONS(6517),
    [sym_preproc_comment] = ACTIONS(6635),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_DASH] = ACTIONS(6521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6517),
    [anon_sym_SEMI] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6517),
    [aux_sym_block_data_statement_token2] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6517),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6517),
    [aux_sym_contains_statement_token1] = ACTIONS(6517),
    [aux_sym_use_statement_token2] = ACTIONS(6517),
    [aux_sym_implicit_statement_token4] = ACTIONS(6517),
    [aux_sym_save_statement_token1] = ACTIONS(6517),
    [aux_sym_private_statement_token1] = ACTIONS(6517),
    [aux_sym_public_statement_token1] = ACTIONS(6517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6517),
    [aux_sym_variable_attributes_token2] = ACTIONS(6517),
    [aux_sym_variable_attributes_token3] = ACTIONS(6517),
    [aux_sym_variable_attributes_token5] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6517),
    [aux_sym_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym_stop_statement_token1] = ACTIONS(6517),
    [aux_sym_stop_statement_token2] = ACTIONS(6517),
    [aux_sym_subroutine_call_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token2] = ACTIONS(6517),
    [aux_sym_keyword_statement_token3] = ACTIONS(6517),
    [aux_sym_keyword_statement_token4] = ACTIONS(6517),
    [aux_sym_keyword_statement_token6] = ACTIONS(6517),
    [aux_sym_keyword_statement_token7] = ACTIONS(6517),
    [aux_sym_include_statement_token1] = ACTIONS(6517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6517),
    [aux_sym_end_if_statement_token1] = ACTIONS(6517),
    [aux_sym_elseif_clause_token2] = ACTIONS(6517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token3] = ACTIONS(6517),
    [aux_sym_select_type_statement_token1] = ACTIONS(6517),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6517),
    [aux_sym_associate_statement_token1] = ACTIONS(6517),
    [aux_sym_format_statement_token1] = ACTIONS(6517),
    [aux_sym_print_statement_token1] = ACTIONS(6517),
    [aux_sym_open_statement_token1] = ACTIONS(6517),
    [aux_sym_close_statement_token1] = ACTIONS(6517),
    [aux_sym_inquire_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token2] = ACTIONS(6517),
    [aux_sym_file_position_statement_token3] = ACTIONS(6517),
    [aux_sym_file_position_statement_token4] = ACTIONS(6517),
    [aux_sym_allocate_statement_token1] = ACTIONS(6517),
    [aux_sym_entry_statement_token1] = ACTIONS(6517),
    [aux_sym_assign_statement_token1] = ACTIONS(6517),
    [aux_sym_logical_expression_token5] = ACTIONS(6521),
    [anon_sym_DOT] = ACTIONS(6517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6521),
    [anon_sym_LBRACK] = ACTIONS(6521),
    [aux_sym_boolean_literal_token1] = ACTIONS(6521),
    [aux_sym_boolean_literal_token2] = ACTIONS(6521),
    [aux_sym_null_literal_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token2] = ACTIONS(6517),
    [aux_sym_coarray_statement_token6] = ACTIONS(6517),
    [aux_sym_coarray_statement_token8] = ACTIONS(6517),
    [aux_sym_coarray_statement_token11] = ACTIONS(6517),
    [aux_sym_coarray_statement_token12] = ACTIONS(6517),
    [aux_sym_coarray_statement_token13] = ACTIONS(6517),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6517),
    [aux_sym_identifier_token1] = ACTIONS(6517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6521),
    [sym__float_literal] = ACTIONS(6521),
    [sym__boz_literal] = ACTIONS(6521),
    [sym__string_literal] = ACTIONS(6521),
    [sym__string_literal_kind] = ACTIONS(6521),
  },
  [2327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6505),
    [aux_sym_preproc_def_token1] = ACTIONS(6505),
    [aux_sym_preproc_if_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6505),
    [sym_preproc_directive] = ACTIONS(6505),
    [anon_sym_LPAREN2] = ACTIONS(6505),
    [sym_preproc_comment] = ACTIONS(6637),
    [anon_sym_PLUS] = ACTIONS(6509),
    [anon_sym_DASH] = ACTIONS(6509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6505),
    [anon_sym_SEMI] = ACTIONS(6509),
    [aux_sym_block_data_statement_token1] = ACTIONS(6505),
    [aux_sym_block_data_statement_token2] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6505),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6505),
    [aux_sym_contains_statement_token1] = ACTIONS(6505),
    [aux_sym_use_statement_token2] = ACTIONS(6505),
    [aux_sym_implicit_statement_token4] = ACTIONS(6505),
    [aux_sym_save_statement_token1] = ACTIONS(6505),
    [aux_sym_private_statement_token1] = ACTIONS(6505),
    [aux_sym_public_statement_token1] = ACTIONS(6505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6505),
    [aux_sym_variable_attributes_token2] = ACTIONS(6505),
    [aux_sym_variable_attributes_token3] = ACTIONS(6505),
    [aux_sym_variable_attributes_token5] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6505),
    [aux_sym_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym_stop_statement_token1] = ACTIONS(6505),
    [aux_sym_stop_statement_token2] = ACTIONS(6505),
    [aux_sym_subroutine_call_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token2] = ACTIONS(6505),
    [aux_sym_keyword_statement_token3] = ACTIONS(6505),
    [aux_sym_keyword_statement_token4] = ACTIONS(6505),
    [aux_sym_keyword_statement_token6] = ACTIONS(6505),
    [aux_sym_keyword_statement_token7] = ACTIONS(6505),
    [aux_sym_include_statement_token1] = ACTIONS(6505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6505),
    [aux_sym_end_if_statement_token1] = ACTIONS(6505),
    [aux_sym_elseif_clause_token2] = ACTIONS(6505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token3] = ACTIONS(6505),
    [aux_sym_select_type_statement_token1] = ACTIONS(6505),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6505),
    [aux_sym_associate_statement_token1] = ACTIONS(6505),
    [aux_sym_format_statement_token1] = ACTIONS(6505),
    [aux_sym_print_statement_token1] = ACTIONS(6505),
    [aux_sym_open_statement_token1] = ACTIONS(6505),
    [aux_sym_close_statement_token1] = ACTIONS(6505),
    [aux_sym_inquire_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token2] = ACTIONS(6505),
    [aux_sym_file_position_statement_token3] = ACTIONS(6505),
    [aux_sym_file_position_statement_token4] = ACTIONS(6505),
    [aux_sym_allocate_statement_token1] = ACTIONS(6505),
    [aux_sym_entry_statement_token1] = ACTIONS(6505),
    [aux_sym_assign_statement_token1] = ACTIONS(6505),
    [aux_sym_logical_expression_token5] = ACTIONS(6509),
    [anon_sym_DOT] = ACTIONS(6505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6509),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [aux_sym_boolean_literal_token1] = ACTIONS(6509),
    [aux_sym_boolean_literal_token2] = ACTIONS(6509),
    [aux_sym_null_literal_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token2] = ACTIONS(6505),
    [aux_sym_coarray_statement_token6] = ACTIONS(6505),
    [aux_sym_coarray_statement_token8] = ACTIONS(6505),
    [aux_sym_coarray_statement_token11] = ACTIONS(6505),
    [aux_sym_coarray_statement_token12] = ACTIONS(6505),
    [aux_sym_coarray_statement_token13] = ACTIONS(6505),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6505),
    [aux_sym_identifier_token1] = ACTIONS(6505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6509),
    [sym__float_literal] = ACTIONS(6509),
    [sym__boz_literal] = ACTIONS(6509),
    [sym__string_literal] = ACTIONS(6509),
    [sym__string_literal_kind] = ACTIONS(6509),
  },
  [2328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6639),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6641),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [aux_sym_end_program_statement_token2] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6643),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token2] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6645),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token2] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [sym_preproc_comment] = ACTIONS(6647),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6649),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_contains_statement_token1] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [aux_sym_end_program_statement_token2] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6651),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6653),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6655),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6657),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6659),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6661),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [aux_sym_end_program_statement_token2] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_contains_statement_token1] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6665),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6667),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6669),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6673),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6675),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [aux_sym_end_program_statement_token2] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6677),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6679),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [aux_sym_end_program_statement_token2] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6681),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_contains_statement_token1] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6683),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token2] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6685),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token2] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_end_select_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6687),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6689),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6691),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token2] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6693),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token2] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_end_select_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6695),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token2] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_end_select_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6697),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token2] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_end_select_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6699),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token2] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_end_select_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [sym_preproc_comment] = ACTIONS(6701),
    [anon_sym_PLUS] = ACTIONS(6577),
    [anon_sym_DASH] = ACTIONS(6577),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6577),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_end_function_statement_token1] = ACTIONS(6573),
    [aux_sym_contains_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_keyword_statement_token6] = ACTIONS(6573),
    [aux_sym_keyword_statement_token7] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token3] = ACTIONS(6573),
    [aux_sym_select_type_statement_token1] = ACTIONS(6573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6573),
    [aux_sym_associate_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_close_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token1] = ACTIONS(6573),
    [aux_sym_file_position_statement_token2] = ACTIONS(6573),
    [aux_sym_file_position_statement_token3] = ACTIONS(6573),
    [aux_sym_file_position_statement_token4] = ACTIONS(6573),
    [aux_sym_allocate_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_assign_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6577),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6577),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [aux_sym_boolean_literal_token1] = ACTIONS(6577),
    [aux_sym_boolean_literal_token2] = ACTIONS(6577),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_statement_token13] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6577),
    [sym__float_literal] = ACTIONS(6577),
    [sym__boz_literal] = ACTIONS(6577),
    [sym__string_literal] = ACTIONS(6577),
    [sym__string_literal_kind] = ACTIONS(6577),
  },
  [2363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6479),
    [aux_sym_preproc_def_token1] = ACTIONS(6479),
    [aux_sym_preproc_if_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6479),
    [sym_preproc_directive] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [sym_preproc_comment] = ACTIONS(6703),
    [anon_sym_PLUS] = ACTIONS(6483),
    [anon_sym_DASH] = ACTIONS(6483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6479),
    [anon_sym_SEMI] = ACTIONS(6483),
    [aux_sym_block_data_statement_token1] = ACTIONS(6479),
    [aux_sym_block_data_statement_token2] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6479),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6479),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6479),
    [aux_sym_end_function_statement_token1] = ACTIONS(6479),
    [aux_sym_contains_statement_token1] = ACTIONS(6479),
    [aux_sym_use_statement_token2] = ACTIONS(6479),
    [aux_sym_implicit_statement_token4] = ACTIONS(6479),
    [aux_sym_save_statement_token1] = ACTIONS(6479),
    [aux_sym_private_statement_token1] = ACTIONS(6479),
    [aux_sym_public_statement_token1] = ACTIONS(6479),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6479),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6479),
    [aux_sym_variable_attributes_token2] = ACTIONS(6479),
    [aux_sym_variable_attributes_token3] = ACTIONS(6479),
    [aux_sym_variable_attributes_token5] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6479),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6479),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6479),
    [aux_sym_type_qualifier_token1] = ACTIONS(6479),
    [aux_sym_type_qualifier_token2] = ACTIONS(6479),
    [aux_sym_stop_statement_token1] = ACTIONS(6479),
    [aux_sym_stop_statement_token2] = ACTIONS(6479),
    [aux_sym_subroutine_call_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token1] = ACTIONS(6479),
    [aux_sym_keyword_statement_token2] = ACTIONS(6479),
    [aux_sym_keyword_statement_token3] = ACTIONS(6479),
    [aux_sym_keyword_statement_token4] = ACTIONS(6479),
    [aux_sym_keyword_statement_token6] = ACTIONS(6479),
    [aux_sym_keyword_statement_token7] = ACTIONS(6479),
    [aux_sym_include_statement_token1] = ACTIONS(6479),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6479),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6479),
    [aux_sym_end_if_statement_token1] = ACTIONS(6479),
    [aux_sym_elseif_clause_token2] = ACTIONS(6479),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6479),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token1] = ACTIONS(6479),
    [aux_sym_select_case_statement_token3] = ACTIONS(6479),
    [aux_sym_select_type_statement_token1] = ACTIONS(6479),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6479),
    [aux_sym_associate_statement_token1] = ACTIONS(6479),
    [aux_sym_format_statement_token1] = ACTIONS(6479),
    [aux_sym_print_statement_token1] = ACTIONS(6479),
    [aux_sym_open_statement_token1] = ACTIONS(6479),
    [aux_sym_close_statement_token1] = ACTIONS(6479),
    [aux_sym_inquire_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token1] = ACTIONS(6479),
    [aux_sym_file_position_statement_token2] = ACTIONS(6479),
    [aux_sym_file_position_statement_token3] = ACTIONS(6479),
    [aux_sym_file_position_statement_token4] = ACTIONS(6479),
    [aux_sym_allocate_statement_token1] = ACTIONS(6479),
    [aux_sym_entry_statement_token1] = ACTIONS(6479),
    [aux_sym_assign_statement_token1] = ACTIONS(6479),
    [aux_sym_logical_expression_token5] = ACTIONS(6483),
    [anon_sym_DOT] = ACTIONS(6479),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [aux_sym_boolean_literal_token1] = ACTIONS(6483),
    [aux_sym_boolean_literal_token2] = ACTIONS(6483),
    [aux_sym_null_literal_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_statement_token2] = ACTIONS(6479),
    [aux_sym_coarray_statement_token6] = ACTIONS(6479),
    [aux_sym_coarray_statement_token8] = ACTIONS(6479),
    [aux_sym_coarray_statement_token11] = ACTIONS(6479),
    [aux_sym_coarray_statement_token12] = ACTIONS(6479),
    [aux_sym_coarray_statement_token13] = ACTIONS(6479),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6479),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6479),
    [aux_sym_identifier_token1] = ACTIONS(6479),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6483),
    [sym__float_literal] = ACTIONS(6483),
    [sym__boz_literal] = ACTIONS(6483),
    [sym__string_literal] = ACTIONS(6483),
    [sym__string_literal_kind] = ACTIONS(6483),
  },
  [2364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [sym_preproc_comment] = ACTIONS(6705),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_end_function_statement_token1] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [sym_preproc_comment] = ACTIONS(6707),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_end_function_statement_token1] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6709),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token2] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_end_select_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6711),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token2] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_end_select_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6713),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token2] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_end_select_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym_end_where_statement_token1] = ACTIONS(4762),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [aux_sym_end_program_statement_token2] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym_end_where_statement_token1] = ACTIONS(4794),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym_end_where_statement_token1] = ACTIONS(4944),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym_end_where_statement_token1] = ACTIONS(4948),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym_end_where_statement_token1] = ACTIONS(4954),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym_end_where_statement_token1] = ACTIONS(4852),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym_end_where_statement_token1] = ACTIONS(4988),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6715),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [aux_sym_end_program_statement_token2] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym_end_where_statement_token1] = ACTIONS(4856),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym_LPAREN2] = ACTIONS(6499),
    [sym_preproc_comment] = ACTIONS(6717),
    [anon_sym_PLUS] = ACTIONS(6503),
    [anon_sym_DASH] = ACTIONS(6503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6499),
    [anon_sym_SEMI] = ACTIONS(6503),
    [aux_sym_block_data_statement_token1] = ACTIONS(6499),
    [aux_sym_block_data_statement_token2] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6499),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6499),
    [aux_sym_contains_statement_token1] = ACTIONS(6499),
    [aux_sym_use_statement_token2] = ACTIONS(6499),
    [aux_sym_implicit_statement_token4] = ACTIONS(6499),
    [aux_sym_save_statement_token1] = ACTIONS(6499),
    [aux_sym_private_statement_token1] = ACTIONS(6499),
    [aux_sym_public_statement_token1] = ACTIONS(6499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6499),
    [aux_sym_variable_attributes_token2] = ACTIONS(6499),
    [aux_sym_variable_attributes_token3] = ACTIONS(6499),
    [aux_sym_variable_attributes_token5] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6499),
    [aux_sym_type_qualifier_token1] = ACTIONS(6499),
    [aux_sym_type_qualifier_token2] = ACTIONS(6499),
    [aux_sym_stop_statement_token1] = ACTIONS(6499),
    [aux_sym_stop_statement_token2] = ACTIONS(6499),
    [aux_sym_subroutine_call_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token1] = ACTIONS(6499),
    [aux_sym_keyword_statement_token2] = ACTIONS(6499),
    [aux_sym_keyword_statement_token3] = ACTIONS(6499),
    [aux_sym_keyword_statement_token4] = ACTIONS(6499),
    [aux_sym_keyword_statement_token6] = ACTIONS(6499),
    [aux_sym_keyword_statement_token7] = ACTIONS(6499),
    [aux_sym_include_statement_token1] = ACTIONS(6499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6499),
    [aux_sym_end_if_statement_token1] = ACTIONS(6499),
    [aux_sym_elseif_clause_token2] = ACTIONS(6499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token1] = ACTIONS(6499),
    [aux_sym_select_case_statement_token3] = ACTIONS(6499),
    [aux_sym_select_type_statement_token1] = ACTIONS(6499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6499),
    [aux_sym_associate_statement_token1] = ACTIONS(6499),
    [aux_sym_format_statement_token1] = ACTIONS(6499),
    [aux_sym_print_statement_token1] = ACTIONS(6499),
    [aux_sym_open_statement_token1] = ACTIONS(6499),
    [aux_sym_close_statement_token1] = ACTIONS(6499),
    [aux_sym_inquire_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token1] = ACTIONS(6499),
    [aux_sym_file_position_statement_token2] = ACTIONS(6499),
    [aux_sym_file_position_statement_token3] = ACTIONS(6499),
    [aux_sym_file_position_statement_token4] = ACTIONS(6499),
    [aux_sym_allocate_statement_token1] = ACTIONS(6499),
    [aux_sym_entry_statement_token1] = ACTIONS(6499),
    [aux_sym_assign_statement_token1] = ACTIONS(6499),
    [aux_sym_logical_expression_token5] = ACTIONS(6503),
    [anon_sym_DOT] = ACTIONS(6499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6503),
    [aux_sym_boolean_literal_token1] = ACTIONS(6503),
    [aux_sym_boolean_literal_token2] = ACTIONS(6503),
    [aux_sym_null_literal_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_statement_token2] = ACTIONS(6499),
    [aux_sym_coarray_statement_token6] = ACTIONS(6499),
    [aux_sym_coarray_statement_token8] = ACTIONS(6499),
    [aux_sym_coarray_statement_token11] = ACTIONS(6499),
    [aux_sym_coarray_statement_token12] = ACTIONS(6499),
    [aux_sym_coarray_statement_token13] = ACTIONS(6499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6499),
    [aux_sym_identifier_token1] = ACTIONS(6499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6503),
    [sym__float_literal] = ACTIONS(6503),
    [sym__boz_literal] = ACTIONS(6503),
    [sym__string_literal] = ACTIONS(6503),
    [sym__string_literal_kind] = ACTIONS(6503),
  },
  [2380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [sym_preproc_comment] = ACTIONS(6719),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym_end_where_statement_token1] = ACTIONS(5206),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym_end_where_statement_token1] = ACTIONS(4840),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym_end_where_statement_token1] = ACTIONS(5190),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym_end_where_statement_token1] = ACTIONS(4896),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym_end_where_statement_token1] = ACTIONS(5314),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6721),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym_end_where_statement_token1] = ACTIONS(5254),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [sym_preproc_comment] = ACTIONS(6723),
    [anon_sym_PLUS] = ACTIONS(6539),
    [anon_sym_DASH] = ACTIONS(6539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6539),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_end_function_statement_token1] = ACTIONS(6535),
    [aux_sym_contains_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_keyword_statement_token6] = ACTIONS(6535),
    [aux_sym_keyword_statement_token7] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token3] = ACTIONS(6535),
    [aux_sym_select_type_statement_token1] = ACTIONS(6535),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6535),
    [aux_sym_associate_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_close_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token2] = ACTIONS(6535),
    [aux_sym_file_position_statement_token3] = ACTIONS(6535),
    [aux_sym_file_position_statement_token4] = ACTIONS(6535),
    [aux_sym_allocate_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_assign_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6539),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6539),
    [anon_sym_LBRACK] = ACTIONS(6539),
    [aux_sym_boolean_literal_token1] = ACTIONS(6539),
    [aux_sym_boolean_literal_token2] = ACTIONS(6539),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_statement_token13] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6539),
    [sym__float_literal] = ACTIONS(6539),
    [sym__boz_literal] = ACTIONS(6539),
    [sym__string_literal] = ACTIONS(6539),
    [sym__string_literal_kind] = ACTIONS(6539),
  },
  [2389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym_end_where_statement_token1] = ACTIONS(4900),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6725),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_contains_statement_token1] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6727),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_contains_statement_token1] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6729),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token2] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6731),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym_LPAREN2] = ACTIONS(6603),
    [sym_preproc_comment] = ACTIONS(6733),
    [anon_sym_PLUS] = ACTIONS(6607),
    [anon_sym_DASH] = ACTIONS(6607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6603),
    [anon_sym_SEMI] = ACTIONS(6607),
    [aux_sym_block_data_statement_token1] = ACTIONS(6603),
    [aux_sym_block_data_statement_token2] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6603),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6603),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6603),
    [aux_sym_contains_statement_token1] = ACTIONS(6603),
    [aux_sym_use_statement_token2] = ACTIONS(6603),
    [aux_sym_implicit_statement_token4] = ACTIONS(6603),
    [aux_sym_save_statement_token1] = ACTIONS(6603),
    [aux_sym_private_statement_token1] = ACTIONS(6603),
    [aux_sym_public_statement_token1] = ACTIONS(6603),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6603),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6603),
    [aux_sym_variable_attributes_token2] = ACTIONS(6603),
    [aux_sym_variable_attributes_token3] = ACTIONS(6603),
    [aux_sym_variable_attributes_token5] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6603),
    [aux_sym_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym_stop_statement_token1] = ACTIONS(6603),
    [aux_sym_stop_statement_token2] = ACTIONS(6603),
    [aux_sym_subroutine_call_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token2] = ACTIONS(6603),
    [aux_sym_keyword_statement_token3] = ACTIONS(6603),
    [aux_sym_keyword_statement_token4] = ACTIONS(6603),
    [aux_sym_keyword_statement_token6] = ACTIONS(6603),
    [aux_sym_keyword_statement_token7] = ACTIONS(6603),
    [aux_sym_include_statement_token1] = ACTIONS(6603),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6603),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6603),
    [aux_sym_end_if_statement_token1] = ACTIONS(6603),
    [aux_sym_elseif_clause_token2] = ACTIONS(6603),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6603),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token3] = ACTIONS(6603),
    [aux_sym_select_type_statement_token1] = ACTIONS(6603),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6603),
    [aux_sym_associate_statement_token1] = ACTIONS(6603),
    [aux_sym_format_statement_token1] = ACTIONS(6603),
    [aux_sym_print_statement_token1] = ACTIONS(6603),
    [aux_sym_open_statement_token1] = ACTIONS(6603),
    [aux_sym_close_statement_token1] = ACTIONS(6603),
    [aux_sym_inquire_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token2] = ACTIONS(6603),
    [aux_sym_file_position_statement_token3] = ACTIONS(6603),
    [aux_sym_file_position_statement_token4] = ACTIONS(6603),
    [aux_sym_allocate_statement_token1] = ACTIONS(6603),
    [aux_sym_entry_statement_token1] = ACTIONS(6603),
    [aux_sym_assign_statement_token1] = ACTIONS(6603),
    [aux_sym_logical_expression_token5] = ACTIONS(6607),
    [anon_sym_DOT] = ACTIONS(6603),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6607),
    [aux_sym_boolean_literal_token1] = ACTIONS(6607),
    [aux_sym_boolean_literal_token2] = ACTIONS(6607),
    [aux_sym_null_literal_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token2] = ACTIONS(6603),
    [aux_sym_coarray_statement_token6] = ACTIONS(6603),
    [aux_sym_coarray_statement_token8] = ACTIONS(6603),
    [aux_sym_coarray_statement_token11] = ACTIONS(6603),
    [aux_sym_coarray_statement_token12] = ACTIONS(6603),
    [aux_sym_coarray_statement_token13] = ACTIONS(6603),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6603),
    [aux_sym_identifier_token1] = ACTIONS(6603),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6607),
    [sym__float_literal] = ACTIONS(6607),
    [sym__boz_literal] = ACTIONS(6607),
    [sym__string_literal] = ACTIONS(6607),
    [sym__string_literal_kind] = ACTIONS(6607),
  },
  [2397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [sym_preproc_comment] = ACTIONS(6735),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6517),
    [aux_sym_preproc_def_token1] = ACTIONS(6517),
    [aux_sym_preproc_if_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6517),
    [sym_preproc_directive] = ACTIONS(6517),
    [anon_sym_LPAREN2] = ACTIONS(6517),
    [sym_preproc_comment] = ACTIONS(6737),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_DASH] = ACTIONS(6521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6517),
    [anon_sym_SEMI] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6517),
    [aux_sym_block_data_statement_token2] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6517),
    [aux_sym_end_function_statement_token1] = ACTIONS(6517),
    [aux_sym_contains_statement_token1] = ACTIONS(6517),
    [aux_sym_use_statement_token2] = ACTIONS(6517),
    [aux_sym_implicit_statement_token4] = ACTIONS(6517),
    [aux_sym_save_statement_token1] = ACTIONS(6517),
    [aux_sym_private_statement_token1] = ACTIONS(6517),
    [aux_sym_public_statement_token1] = ACTIONS(6517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6517),
    [aux_sym_variable_attributes_token2] = ACTIONS(6517),
    [aux_sym_variable_attributes_token3] = ACTIONS(6517),
    [aux_sym_variable_attributes_token5] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6517),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6517),
    [aux_sym_type_qualifier_token1] = ACTIONS(6517),
    [aux_sym_type_qualifier_token2] = ACTIONS(6517),
    [aux_sym_stop_statement_token1] = ACTIONS(6517),
    [aux_sym_stop_statement_token2] = ACTIONS(6517),
    [aux_sym_subroutine_call_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token1] = ACTIONS(6517),
    [aux_sym_keyword_statement_token2] = ACTIONS(6517),
    [aux_sym_keyword_statement_token3] = ACTIONS(6517),
    [aux_sym_keyword_statement_token4] = ACTIONS(6517),
    [aux_sym_keyword_statement_token6] = ACTIONS(6517),
    [aux_sym_keyword_statement_token7] = ACTIONS(6517),
    [aux_sym_include_statement_token1] = ACTIONS(6517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6517),
    [aux_sym_end_if_statement_token1] = ACTIONS(6517),
    [aux_sym_elseif_clause_token2] = ACTIONS(6517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token1] = ACTIONS(6517),
    [aux_sym_select_case_statement_token3] = ACTIONS(6517),
    [aux_sym_select_type_statement_token1] = ACTIONS(6517),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6517),
    [aux_sym_associate_statement_token1] = ACTIONS(6517),
    [aux_sym_format_statement_token1] = ACTIONS(6517),
    [aux_sym_print_statement_token1] = ACTIONS(6517),
    [aux_sym_open_statement_token1] = ACTIONS(6517),
    [aux_sym_close_statement_token1] = ACTIONS(6517),
    [aux_sym_inquire_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token1] = ACTIONS(6517),
    [aux_sym_file_position_statement_token2] = ACTIONS(6517),
    [aux_sym_file_position_statement_token3] = ACTIONS(6517),
    [aux_sym_file_position_statement_token4] = ACTIONS(6517),
    [aux_sym_allocate_statement_token1] = ACTIONS(6517),
    [aux_sym_entry_statement_token1] = ACTIONS(6517),
    [aux_sym_assign_statement_token1] = ACTIONS(6517),
    [aux_sym_logical_expression_token5] = ACTIONS(6521),
    [anon_sym_DOT] = ACTIONS(6517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6521),
    [anon_sym_LBRACK] = ACTIONS(6521),
    [aux_sym_boolean_literal_token1] = ACTIONS(6521),
    [aux_sym_boolean_literal_token2] = ACTIONS(6521),
    [aux_sym_null_literal_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_statement_token2] = ACTIONS(6517),
    [aux_sym_coarray_statement_token6] = ACTIONS(6517),
    [aux_sym_coarray_statement_token8] = ACTIONS(6517),
    [aux_sym_coarray_statement_token11] = ACTIONS(6517),
    [aux_sym_coarray_statement_token12] = ACTIONS(6517),
    [aux_sym_coarray_statement_token13] = ACTIONS(6517),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6517),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6517),
    [aux_sym_identifier_token1] = ACTIONS(6517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6521),
    [sym__float_literal] = ACTIONS(6521),
    [sym__boz_literal] = ACTIONS(6521),
    [sym__string_literal] = ACTIONS(6521),
    [sym__string_literal_kind] = ACTIONS(6521),
  },
  [2401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6739),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [aux_sym_end_program_statement_token2] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_contains_statement_token1] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [sym_preproc_comment] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_end_function_statement_token1] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6529),
    [aux_sym_preproc_def_token1] = ACTIONS(6529),
    [aux_sym_preproc_if_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6529),
    [sym_preproc_directive] = ACTIONS(6529),
    [anon_sym_LPAREN2] = ACTIONS(6529),
    [sym_preproc_comment] = ACTIONS(6743),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6533),
    [aux_sym_block_data_statement_token1] = ACTIONS(6529),
    [aux_sym_block_data_statement_token2] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6529),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6529),
    [aux_sym_contains_statement_token1] = ACTIONS(6529),
    [aux_sym_use_statement_token2] = ACTIONS(6529),
    [aux_sym_implicit_statement_token4] = ACTIONS(6529),
    [aux_sym_save_statement_token1] = ACTIONS(6529),
    [aux_sym_private_statement_token1] = ACTIONS(6529),
    [aux_sym_public_statement_token1] = ACTIONS(6529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6529),
    [aux_sym_variable_attributes_token2] = ACTIONS(6529),
    [aux_sym_variable_attributes_token3] = ACTIONS(6529),
    [aux_sym_variable_attributes_token5] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6529),
    [aux_sym_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym_stop_statement_token1] = ACTIONS(6529),
    [aux_sym_stop_statement_token2] = ACTIONS(6529),
    [aux_sym_subroutine_call_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token2] = ACTIONS(6529),
    [aux_sym_keyword_statement_token3] = ACTIONS(6529),
    [aux_sym_keyword_statement_token4] = ACTIONS(6529),
    [aux_sym_keyword_statement_token6] = ACTIONS(6529),
    [aux_sym_keyword_statement_token7] = ACTIONS(6529),
    [aux_sym_include_statement_token1] = ACTIONS(6529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6529),
    [aux_sym_end_if_statement_token1] = ACTIONS(6529),
    [aux_sym_elseif_clause_token2] = ACTIONS(6529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token3] = ACTIONS(6529),
    [aux_sym_select_type_statement_token1] = ACTIONS(6529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6529),
    [aux_sym_associate_statement_token1] = ACTIONS(6529),
    [aux_sym_format_statement_token1] = ACTIONS(6529),
    [aux_sym_print_statement_token1] = ACTIONS(6529),
    [aux_sym_open_statement_token1] = ACTIONS(6529),
    [aux_sym_close_statement_token1] = ACTIONS(6529),
    [aux_sym_inquire_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token2] = ACTIONS(6529),
    [aux_sym_file_position_statement_token3] = ACTIONS(6529),
    [aux_sym_file_position_statement_token4] = ACTIONS(6529),
    [aux_sym_allocate_statement_token1] = ACTIONS(6529),
    [aux_sym_entry_statement_token1] = ACTIONS(6529),
    [aux_sym_assign_statement_token1] = ACTIONS(6529),
    [aux_sym_logical_expression_token5] = ACTIONS(6533),
    [anon_sym_DOT] = ACTIONS(6529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6533),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [aux_sym_boolean_literal_token1] = ACTIONS(6533),
    [aux_sym_boolean_literal_token2] = ACTIONS(6533),
    [aux_sym_null_literal_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token2] = ACTIONS(6529),
    [aux_sym_coarray_statement_token6] = ACTIONS(6529),
    [aux_sym_coarray_statement_token8] = ACTIONS(6529),
    [aux_sym_coarray_statement_token11] = ACTIONS(6529),
    [aux_sym_coarray_statement_token12] = ACTIONS(6529),
    [aux_sym_coarray_statement_token13] = ACTIONS(6529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6529),
    [aux_sym_identifier_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6533),
    [sym__float_literal] = ACTIONS(6533),
    [sym__boz_literal] = ACTIONS(6533),
    [sym__string_literal] = ACTIONS(6533),
    [sym__string_literal_kind] = ACTIONS(6533),
  },
  [2405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [sym_preproc_comment] = ACTIONS(6745),
    [anon_sym_PLUS] = ACTIONS(6539),
    [anon_sym_DASH] = ACTIONS(6539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6539),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_contains_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_keyword_statement_token6] = ACTIONS(6535),
    [aux_sym_keyword_statement_token7] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token3] = ACTIONS(6535),
    [aux_sym_select_type_statement_token1] = ACTIONS(6535),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6535),
    [aux_sym_associate_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_close_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token1] = ACTIONS(6535),
    [aux_sym_file_position_statement_token2] = ACTIONS(6535),
    [aux_sym_file_position_statement_token3] = ACTIONS(6535),
    [aux_sym_file_position_statement_token4] = ACTIONS(6535),
    [aux_sym_allocate_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_assign_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6539),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6539),
    [anon_sym_LBRACK] = ACTIONS(6539),
    [aux_sym_boolean_literal_token1] = ACTIONS(6539),
    [aux_sym_boolean_literal_token2] = ACTIONS(6539),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_statement_token13] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6539),
    [sym__float_literal] = ACTIONS(6539),
    [sym__boz_literal] = ACTIONS(6539),
    [sym__string_literal] = ACTIONS(6539),
    [sym__string_literal_kind] = ACTIONS(6539),
  },
  [2406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6747),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [aux_sym_end_program_statement_token2] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_contains_statement_token1] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [aux_sym_end_program_statement_token2] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6749),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [aux_sym_end_program_statement_token2] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6751),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_contains_statement_token1] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6753),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [sym_preproc_comment] = ACTIONS(6755),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_end_function_statement_token1] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6757),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_contains_statement_token1] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6759),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [aux_sym_end_program_statement_token2] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_contains_statement_token1] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6609),
    [aux_sym_preproc_def_token1] = ACTIONS(6609),
    [aux_sym_preproc_if_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6609),
    [sym_preproc_directive] = ACTIONS(6609),
    [anon_sym_LPAREN2] = ACTIONS(6609),
    [sym_preproc_comment] = ACTIONS(6761),
    [anon_sym_PLUS] = ACTIONS(6613),
    [anon_sym_DASH] = ACTIONS(6613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6609),
    [anon_sym_SEMI] = ACTIONS(6613),
    [aux_sym_block_data_statement_token1] = ACTIONS(6609),
    [aux_sym_block_data_statement_token2] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6609),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6609),
    [aux_sym_contains_statement_token1] = ACTIONS(6609),
    [aux_sym_use_statement_token2] = ACTIONS(6609),
    [aux_sym_implicit_statement_token4] = ACTIONS(6609),
    [aux_sym_save_statement_token1] = ACTIONS(6609),
    [aux_sym_private_statement_token1] = ACTIONS(6609),
    [aux_sym_public_statement_token1] = ACTIONS(6609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6609),
    [aux_sym_variable_attributes_token2] = ACTIONS(6609),
    [aux_sym_variable_attributes_token3] = ACTIONS(6609),
    [aux_sym_variable_attributes_token5] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6609),
    [aux_sym_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym_stop_statement_token1] = ACTIONS(6609),
    [aux_sym_stop_statement_token2] = ACTIONS(6609),
    [aux_sym_subroutine_call_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token2] = ACTIONS(6609),
    [aux_sym_keyword_statement_token3] = ACTIONS(6609),
    [aux_sym_keyword_statement_token4] = ACTIONS(6609),
    [aux_sym_keyword_statement_token6] = ACTIONS(6609),
    [aux_sym_keyword_statement_token7] = ACTIONS(6609),
    [aux_sym_include_statement_token1] = ACTIONS(6609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6609),
    [aux_sym_end_if_statement_token1] = ACTIONS(6609),
    [aux_sym_elseif_clause_token2] = ACTIONS(6609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token3] = ACTIONS(6609),
    [aux_sym_select_type_statement_token1] = ACTIONS(6609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6609),
    [aux_sym_associate_statement_token1] = ACTIONS(6609),
    [aux_sym_format_statement_token1] = ACTIONS(6609),
    [aux_sym_print_statement_token1] = ACTIONS(6609),
    [aux_sym_open_statement_token1] = ACTIONS(6609),
    [aux_sym_close_statement_token1] = ACTIONS(6609),
    [aux_sym_inquire_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token2] = ACTIONS(6609),
    [aux_sym_file_position_statement_token3] = ACTIONS(6609),
    [aux_sym_file_position_statement_token4] = ACTIONS(6609),
    [aux_sym_allocate_statement_token1] = ACTIONS(6609),
    [aux_sym_entry_statement_token1] = ACTIONS(6609),
    [aux_sym_assign_statement_token1] = ACTIONS(6609),
    [aux_sym_logical_expression_token5] = ACTIONS(6613),
    [anon_sym_DOT] = ACTIONS(6609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6613),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [aux_sym_boolean_literal_token1] = ACTIONS(6613),
    [aux_sym_boolean_literal_token2] = ACTIONS(6613),
    [aux_sym_null_literal_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token2] = ACTIONS(6609),
    [aux_sym_coarray_statement_token6] = ACTIONS(6609),
    [aux_sym_coarray_statement_token8] = ACTIONS(6609),
    [aux_sym_coarray_statement_token11] = ACTIONS(6609),
    [aux_sym_coarray_statement_token12] = ACTIONS(6609),
    [aux_sym_coarray_statement_token13] = ACTIONS(6609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6609),
    [aux_sym_identifier_token1] = ACTIONS(6609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6613),
    [sym__float_literal] = ACTIONS(6613),
    [sym__boz_literal] = ACTIONS(6613),
    [sym__string_literal] = ACTIONS(6613),
    [sym__string_literal_kind] = ACTIONS(6613),
  },
  [2416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6763),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [aux_sym_end_program_statement_token2] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_contains_statement_token1] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym_end_where_statement_token1] = ACTIONS(6245),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6765),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token2] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_end_select_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6767),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym_LPAREN2] = ACTIONS(6603),
    [sym_preproc_comment] = ACTIONS(6769),
    [anon_sym_PLUS] = ACTIONS(6607),
    [anon_sym_DASH] = ACTIONS(6607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6603),
    [anon_sym_SEMI] = ACTIONS(6607),
    [aux_sym_block_data_statement_token1] = ACTIONS(6603),
    [aux_sym_block_data_statement_token2] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6603),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6603),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6603),
    [aux_sym_end_function_statement_token1] = ACTIONS(6603),
    [aux_sym_contains_statement_token1] = ACTIONS(6603),
    [aux_sym_use_statement_token2] = ACTIONS(6603),
    [aux_sym_implicit_statement_token4] = ACTIONS(6603),
    [aux_sym_save_statement_token1] = ACTIONS(6603),
    [aux_sym_private_statement_token1] = ACTIONS(6603),
    [aux_sym_public_statement_token1] = ACTIONS(6603),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6603),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6603),
    [aux_sym_variable_attributes_token2] = ACTIONS(6603),
    [aux_sym_variable_attributes_token3] = ACTIONS(6603),
    [aux_sym_variable_attributes_token5] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6603),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6603),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6603),
    [aux_sym_type_qualifier_token1] = ACTIONS(6603),
    [aux_sym_type_qualifier_token2] = ACTIONS(6603),
    [aux_sym_stop_statement_token1] = ACTIONS(6603),
    [aux_sym_stop_statement_token2] = ACTIONS(6603),
    [aux_sym_subroutine_call_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token1] = ACTIONS(6603),
    [aux_sym_keyword_statement_token2] = ACTIONS(6603),
    [aux_sym_keyword_statement_token3] = ACTIONS(6603),
    [aux_sym_keyword_statement_token4] = ACTIONS(6603),
    [aux_sym_keyword_statement_token6] = ACTIONS(6603),
    [aux_sym_keyword_statement_token7] = ACTIONS(6603),
    [aux_sym_include_statement_token1] = ACTIONS(6603),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6603),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6603),
    [aux_sym_end_if_statement_token1] = ACTIONS(6603),
    [aux_sym_elseif_clause_token2] = ACTIONS(6603),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6603),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token1] = ACTIONS(6603),
    [aux_sym_select_case_statement_token3] = ACTIONS(6603),
    [aux_sym_select_type_statement_token1] = ACTIONS(6603),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6603),
    [aux_sym_associate_statement_token1] = ACTIONS(6603),
    [aux_sym_format_statement_token1] = ACTIONS(6603),
    [aux_sym_print_statement_token1] = ACTIONS(6603),
    [aux_sym_open_statement_token1] = ACTIONS(6603),
    [aux_sym_close_statement_token1] = ACTIONS(6603),
    [aux_sym_inquire_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token1] = ACTIONS(6603),
    [aux_sym_file_position_statement_token2] = ACTIONS(6603),
    [aux_sym_file_position_statement_token3] = ACTIONS(6603),
    [aux_sym_file_position_statement_token4] = ACTIONS(6603),
    [aux_sym_allocate_statement_token1] = ACTIONS(6603),
    [aux_sym_entry_statement_token1] = ACTIONS(6603),
    [aux_sym_assign_statement_token1] = ACTIONS(6603),
    [aux_sym_logical_expression_token5] = ACTIONS(6607),
    [anon_sym_DOT] = ACTIONS(6603),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6607),
    [aux_sym_boolean_literal_token1] = ACTIONS(6607),
    [aux_sym_boolean_literal_token2] = ACTIONS(6607),
    [aux_sym_null_literal_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_statement_token2] = ACTIONS(6603),
    [aux_sym_coarray_statement_token6] = ACTIONS(6603),
    [aux_sym_coarray_statement_token8] = ACTIONS(6603),
    [aux_sym_coarray_statement_token11] = ACTIONS(6603),
    [aux_sym_coarray_statement_token12] = ACTIONS(6603),
    [aux_sym_coarray_statement_token13] = ACTIONS(6603),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6603),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6603),
    [aux_sym_identifier_token1] = ACTIONS(6603),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6607),
    [sym__float_literal] = ACTIONS(6607),
    [sym__boz_literal] = ACTIONS(6607),
    [sym__string_literal] = ACTIONS(6607),
    [sym__string_literal_kind] = ACTIONS(6607),
  },
  [2421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [aux_sym_end_program_statement_token2] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_contains_statement_token1] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [aux_sym_end_program_statement_token2] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [aux_sym_end_program_statement_token2] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_contains_statement_token1] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [aux_sym_end_program_statement_token2] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_contains_statement_token1] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6505),
    [aux_sym_preproc_def_token1] = ACTIONS(6505),
    [aux_sym_preproc_if_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6505),
    [sym_preproc_directive] = ACTIONS(6505),
    [anon_sym_LPAREN2] = ACTIONS(6505),
    [sym_preproc_comment] = ACTIONS(6771),
    [anon_sym_PLUS] = ACTIONS(6509),
    [anon_sym_DASH] = ACTIONS(6509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6505),
    [anon_sym_SEMI] = ACTIONS(6509),
    [aux_sym_block_data_statement_token1] = ACTIONS(6505),
    [aux_sym_block_data_statement_token2] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6505),
    [aux_sym_end_function_statement_token1] = ACTIONS(6505),
    [aux_sym_contains_statement_token1] = ACTIONS(6505),
    [aux_sym_use_statement_token2] = ACTIONS(6505),
    [aux_sym_implicit_statement_token4] = ACTIONS(6505),
    [aux_sym_save_statement_token1] = ACTIONS(6505),
    [aux_sym_private_statement_token1] = ACTIONS(6505),
    [aux_sym_public_statement_token1] = ACTIONS(6505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6505),
    [aux_sym_variable_attributes_token2] = ACTIONS(6505),
    [aux_sym_variable_attributes_token3] = ACTIONS(6505),
    [aux_sym_variable_attributes_token5] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6505),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6505),
    [aux_sym_type_qualifier_token1] = ACTIONS(6505),
    [aux_sym_type_qualifier_token2] = ACTIONS(6505),
    [aux_sym_stop_statement_token1] = ACTIONS(6505),
    [aux_sym_stop_statement_token2] = ACTIONS(6505),
    [aux_sym_subroutine_call_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token1] = ACTIONS(6505),
    [aux_sym_keyword_statement_token2] = ACTIONS(6505),
    [aux_sym_keyword_statement_token3] = ACTIONS(6505),
    [aux_sym_keyword_statement_token4] = ACTIONS(6505),
    [aux_sym_keyword_statement_token6] = ACTIONS(6505),
    [aux_sym_keyword_statement_token7] = ACTIONS(6505),
    [aux_sym_include_statement_token1] = ACTIONS(6505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6505),
    [aux_sym_end_if_statement_token1] = ACTIONS(6505),
    [aux_sym_elseif_clause_token2] = ACTIONS(6505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token1] = ACTIONS(6505),
    [aux_sym_select_case_statement_token3] = ACTIONS(6505),
    [aux_sym_select_type_statement_token1] = ACTIONS(6505),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6505),
    [aux_sym_associate_statement_token1] = ACTIONS(6505),
    [aux_sym_format_statement_token1] = ACTIONS(6505),
    [aux_sym_print_statement_token1] = ACTIONS(6505),
    [aux_sym_open_statement_token1] = ACTIONS(6505),
    [aux_sym_close_statement_token1] = ACTIONS(6505),
    [aux_sym_inquire_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token1] = ACTIONS(6505),
    [aux_sym_file_position_statement_token2] = ACTIONS(6505),
    [aux_sym_file_position_statement_token3] = ACTIONS(6505),
    [aux_sym_file_position_statement_token4] = ACTIONS(6505),
    [aux_sym_allocate_statement_token1] = ACTIONS(6505),
    [aux_sym_entry_statement_token1] = ACTIONS(6505),
    [aux_sym_assign_statement_token1] = ACTIONS(6505),
    [aux_sym_logical_expression_token5] = ACTIONS(6509),
    [anon_sym_DOT] = ACTIONS(6505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6509),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [aux_sym_boolean_literal_token1] = ACTIONS(6509),
    [aux_sym_boolean_literal_token2] = ACTIONS(6509),
    [aux_sym_null_literal_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_statement_token2] = ACTIONS(6505),
    [aux_sym_coarray_statement_token6] = ACTIONS(6505),
    [aux_sym_coarray_statement_token8] = ACTIONS(6505),
    [aux_sym_coarray_statement_token11] = ACTIONS(6505),
    [aux_sym_coarray_statement_token12] = ACTIONS(6505),
    [aux_sym_coarray_statement_token13] = ACTIONS(6505),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6505),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6505),
    [aux_sym_identifier_token1] = ACTIONS(6505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6509),
    [sym__float_literal] = ACTIONS(6509),
    [sym__boz_literal] = ACTIONS(6509),
    [sym__string_literal] = ACTIONS(6509),
    [sym__string_literal_kind] = ACTIONS(6509),
  },
  [2426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6609),
    [aux_sym_preproc_def_token1] = ACTIONS(6609),
    [aux_sym_preproc_if_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6609),
    [sym_preproc_directive] = ACTIONS(6609),
    [anon_sym_LPAREN2] = ACTIONS(6609),
    [sym_preproc_comment] = ACTIONS(6773),
    [anon_sym_PLUS] = ACTIONS(6613),
    [anon_sym_DASH] = ACTIONS(6613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6609),
    [anon_sym_SEMI] = ACTIONS(6613),
    [aux_sym_block_data_statement_token1] = ACTIONS(6609),
    [aux_sym_block_data_statement_token2] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6609),
    [aux_sym_end_function_statement_token1] = ACTIONS(6609),
    [aux_sym_contains_statement_token1] = ACTIONS(6609),
    [aux_sym_use_statement_token2] = ACTIONS(6609),
    [aux_sym_implicit_statement_token4] = ACTIONS(6609),
    [aux_sym_save_statement_token1] = ACTIONS(6609),
    [aux_sym_private_statement_token1] = ACTIONS(6609),
    [aux_sym_public_statement_token1] = ACTIONS(6609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6609),
    [aux_sym_variable_attributes_token2] = ACTIONS(6609),
    [aux_sym_variable_attributes_token3] = ACTIONS(6609),
    [aux_sym_variable_attributes_token5] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6609),
    [aux_sym_type_qualifier_token1] = ACTIONS(6609),
    [aux_sym_type_qualifier_token2] = ACTIONS(6609),
    [aux_sym_stop_statement_token1] = ACTIONS(6609),
    [aux_sym_stop_statement_token2] = ACTIONS(6609),
    [aux_sym_subroutine_call_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token1] = ACTIONS(6609),
    [aux_sym_keyword_statement_token2] = ACTIONS(6609),
    [aux_sym_keyword_statement_token3] = ACTIONS(6609),
    [aux_sym_keyword_statement_token4] = ACTIONS(6609),
    [aux_sym_keyword_statement_token6] = ACTIONS(6609),
    [aux_sym_keyword_statement_token7] = ACTIONS(6609),
    [aux_sym_include_statement_token1] = ACTIONS(6609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6609),
    [aux_sym_end_if_statement_token1] = ACTIONS(6609),
    [aux_sym_elseif_clause_token2] = ACTIONS(6609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token1] = ACTIONS(6609),
    [aux_sym_select_case_statement_token3] = ACTIONS(6609),
    [aux_sym_select_type_statement_token1] = ACTIONS(6609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6609),
    [aux_sym_associate_statement_token1] = ACTIONS(6609),
    [aux_sym_format_statement_token1] = ACTIONS(6609),
    [aux_sym_print_statement_token1] = ACTIONS(6609),
    [aux_sym_open_statement_token1] = ACTIONS(6609),
    [aux_sym_close_statement_token1] = ACTIONS(6609),
    [aux_sym_inquire_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token1] = ACTIONS(6609),
    [aux_sym_file_position_statement_token2] = ACTIONS(6609),
    [aux_sym_file_position_statement_token3] = ACTIONS(6609),
    [aux_sym_file_position_statement_token4] = ACTIONS(6609),
    [aux_sym_allocate_statement_token1] = ACTIONS(6609),
    [aux_sym_entry_statement_token1] = ACTIONS(6609),
    [aux_sym_assign_statement_token1] = ACTIONS(6609),
    [aux_sym_logical_expression_token5] = ACTIONS(6613),
    [anon_sym_DOT] = ACTIONS(6609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6613),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [aux_sym_boolean_literal_token1] = ACTIONS(6613),
    [aux_sym_boolean_literal_token2] = ACTIONS(6613),
    [aux_sym_null_literal_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_statement_token2] = ACTIONS(6609),
    [aux_sym_coarray_statement_token6] = ACTIONS(6609),
    [aux_sym_coarray_statement_token8] = ACTIONS(6609),
    [aux_sym_coarray_statement_token11] = ACTIONS(6609),
    [aux_sym_coarray_statement_token12] = ACTIONS(6609),
    [aux_sym_coarray_statement_token13] = ACTIONS(6609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6609),
    [aux_sym_identifier_token1] = ACTIONS(6609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6613),
    [sym__float_literal] = ACTIONS(6613),
    [sym__boz_literal] = ACTIONS(6613),
    [sym__string_literal] = ACTIONS(6613),
    [sym__string_literal_kind] = ACTIONS(6613),
  },
  [2427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [sym_preproc_comment] = ACTIONS(6775),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_end_function_statement_token1] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6529),
    [aux_sym_preproc_def_token1] = ACTIONS(6529),
    [aux_sym_preproc_if_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6529),
    [sym_preproc_directive] = ACTIONS(6529),
    [anon_sym_LPAREN2] = ACTIONS(6529),
    [sym_preproc_comment] = ACTIONS(6777),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6533),
    [aux_sym_block_data_statement_token1] = ACTIONS(6529),
    [aux_sym_block_data_statement_token2] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6529),
    [aux_sym_end_function_statement_token1] = ACTIONS(6529),
    [aux_sym_contains_statement_token1] = ACTIONS(6529),
    [aux_sym_use_statement_token2] = ACTIONS(6529),
    [aux_sym_implicit_statement_token4] = ACTIONS(6529),
    [aux_sym_save_statement_token1] = ACTIONS(6529),
    [aux_sym_private_statement_token1] = ACTIONS(6529),
    [aux_sym_public_statement_token1] = ACTIONS(6529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6529),
    [aux_sym_variable_attributes_token2] = ACTIONS(6529),
    [aux_sym_variable_attributes_token3] = ACTIONS(6529),
    [aux_sym_variable_attributes_token5] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6529),
    [aux_sym_type_qualifier_token1] = ACTIONS(6529),
    [aux_sym_type_qualifier_token2] = ACTIONS(6529),
    [aux_sym_stop_statement_token1] = ACTIONS(6529),
    [aux_sym_stop_statement_token2] = ACTIONS(6529),
    [aux_sym_subroutine_call_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token1] = ACTIONS(6529),
    [aux_sym_keyword_statement_token2] = ACTIONS(6529),
    [aux_sym_keyword_statement_token3] = ACTIONS(6529),
    [aux_sym_keyword_statement_token4] = ACTIONS(6529),
    [aux_sym_keyword_statement_token6] = ACTIONS(6529),
    [aux_sym_keyword_statement_token7] = ACTIONS(6529),
    [aux_sym_include_statement_token1] = ACTIONS(6529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6529),
    [aux_sym_end_if_statement_token1] = ACTIONS(6529),
    [aux_sym_elseif_clause_token2] = ACTIONS(6529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token1] = ACTIONS(6529),
    [aux_sym_select_case_statement_token3] = ACTIONS(6529),
    [aux_sym_select_type_statement_token1] = ACTIONS(6529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6529),
    [aux_sym_associate_statement_token1] = ACTIONS(6529),
    [aux_sym_format_statement_token1] = ACTIONS(6529),
    [aux_sym_print_statement_token1] = ACTIONS(6529),
    [aux_sym_open_statement_token1] = ACTIONS(6529),
    [aux_sym_close_statement_token1] = ACTIONS(6529),
    [aux_sym_inquire_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token1] = ACTIONS(6529),
    [aux_sym_file_position_statement_token2] = ACTIONS(6529),
    [aux_sym_file_position_statement_token3] = ACTIONS(6529),
    [aux_sym_file_position_statement_token4] = ACTIONS(6529),
    [aux_sym_allocate_statement_token1] = ACTIONS(6529),
    [aux_sym_entry_statement_token1] = ACTIONS(6529),
    [aux_sym_assign_statement_token1] = ACTIONS(6529),
    [aux_sym_logical_expression_token5] = ACTIONS(6533),
    [anon_sym_DOT] = ACTIONS(6529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6533),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [aux_sym_boolean_literal_token1] = ACTIONS(6533),
    [aux_sym_boolean_literal_token2] = ACTIONS(6533),
    [aux_sym_null_literal_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_statement_token2] = ACTIONS(6529),
    [aux_sym_coarray_statement_token6] = ACTIONS(6529),
    [aux_sym_coarray_statement_token8] = ACTIONS(6529),
    [aux_sym_coarray_statement_token11] = ACTIONS(6529),
    [aux_sym_coarray_statement_token12] = ACTIONS(6529),
    [aux_sym_coarray_statement_token13] = ACTIONS(6529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6529),
    [aux_sym_identifier_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6533),
    [sym__float_literal] = ACTIONS(6533),
    [sym__boz_literal] = ACTIONS(6533),
    [sym__string_literal] = ACTIONS(6533),
    [sym__string_literal_kind] = ACTIONS(6533),
  },
  [2429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6779),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_contains_statement_token1] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [aux_sym_end_program_statement_token2] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [aux_sym_end_program_statement_token2] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_contains_statement_token1] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token2] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_end_select_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [aux_sym_end_program_statement_token2] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token2] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6783),
    [aux_sym_preproc_def_token1] = ACTIONS(6783),
    [aux_sym_preproc_if_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6783),
    [sym_preproc_directive] = ACTIONS(6783),
    [anon_sym_LPAREN2] = ACTIONS(6783),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_DASH] = ACTIONS(6785),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6783),
    [anon_sym_SEMI] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6783),
    [aux_sym_block_data_statement_token2] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6783),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6783),
    [aux_sym_end_function_statement_token1] = ACTIONS(6783),
    [aux_sym_contains_statement_token1] = ACTIONS(6783),
    [aux_sym_use_statement_token2] = ACTIONS(6783),
    [aux_sym_implicit_statement_token4] = ACTIONS(6783),
    [aux_sym_save_statement_token1] = ACTIONS(6783),
    [aux_sym_private_statement_token1] = ACTIONS(6783),
    [aux_sym_public_statement_token1] = ACTIONS(6783),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6783),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6783),
    [aux_sym_variable_attributes_token2] = ACTIONS(6783),
    [aux_sym_variable_attributes_token3] = ACTIONS(6783),
    [aux_sym_variable_attributes_token5] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6783),
    [aux_sym_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym_stop_statement_token1] = ACTIONS(6783),
    [aux_sym_stop_statement_token2] = ACTIONS(6783),
    [aux_sym_subroutine_call_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token2] = ACTIONS(6783),
    [aux_sym_keyword_statement_token3] = ACTIONS(6783),
    [aux_sym_keyword_statement_token4] = ACTIONS(6783),
    [aux_sym_keyword_statement_token6] = ACTIONS(6783),
    [aux_sym_keyword_statement_token7] = ACTIONS(6783),
    [aux_sym_include_statement_token1] = ACTIONS(6783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6783),
    [aux_sym_end_if_statement_token1] = ACTIONS(6783),
    [aux_sym_elseif_clause_token2] = ACTIONS(6783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token3] = ACTIONS(6783),
    [aux_sym_select_type_statement_token1] = ACTIONS(6783),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6783),
    [aux_sym_associate_statement_token1] = ACTIONS(6783),
    [aux_sym_format_statement_token1] = ACTIONS(6783),
    [aux_sym_print_statement_token1] = ACTIONS(6783),
    [aux_sym_open_statement_token1] = ACTIONS(6783),
    [aux_sym_close_statement_token1] = ACTIONS(6783),
    [aux_sym_inquire_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token2] = ACTIONS(6783),
    [aux_sym_file_position_statement_token3] = ACTIONS(6783),
    [aux_sym_file_position_statement_token4] = ACTIONS(6783),
    [aux_sym_allocate_statement_token1] = ACTIONS(6783),
    [aux_sym_entry_statement_token1] = ACTIONS(6783),
    [aux_sym_assign_statement_token1] = ACTIONS(6783),
    [aux_sym_logical_expression_token5] = ACTIONS(6785),
    [anon_sym_DOT] = ACTIONS(6783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6785),
    [anon_sym_LBRACK] = ACTIONS(6785),
    [aux_sym_boolean_literal_token1] = ACTIONS(6785),
    [aux_sym_boolean_literal_token2] = ACTIONS(6785),
    [aux_sym_null_literal_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token2] = ACTIONS(6783),
    [aux_sym_coarray_statement_token6] = ACTIONS(6783),
    [aux_sym_coarray_statement_token8] = ACTIONS(6783),
    [aux_sym_coarray_statement_token11] = ACTIONS(6783),
    [aux_sym_coarray_statement_token12] = ACTIONS(6783),
    [aux_sym_coarray_statement_token13] = ACTIONS(6783),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6783),
    [aux_sym_identifier_token1] = ACTIONS(6783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6785),
    [sym__float_literal] = ACTIONS(6785),
    [sym__boz_literal] = ACTIONS(6785),
    [sym__string_literal] = ACTIONS(6785),
    [sym__string_literal_kind] = ACTIONS(6785),
  },
  [2438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6787),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token2] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token2] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6789),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6791),
    [aux_sym_preproc_def_token1] = ACTIONS(6791),
    [aux_sym_preproc_if_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6791),
    [sym_preproc_directive] = ACTIONS(6791),
    [anon_sym_LPAREN2] = ACTIONS(6791),
    [anon_sym_PLUS] = ACTIONS(6793),
    [anon_sym_DASH] = ACTIONS(6793),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6791),
    [anon_sym_SEMI] = ACTIONS(6793),
    [aux_sym_block_data_statement_token1] = ACTIONS(6791),
    [aux_sym_block_data_statement_token2] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6791),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6791),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6791),
    [aux_sym_contains_statement_token1] = ACTIONS(6791),
    [aux_sym_use_statement_token2] = ACTIONS(6791),
    [aux_sym_implicit_statement_token4] = ACTIONS(6791),
    [aux_sym_save_statement_token1] = ACTIONS(6791),
    [aux_sym_private_statement_token1] = ACTIONS(6791),
    [aux_sym_public_statement_token1] = ACTIONS(6791),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6791),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6791),
    [aux_sym_variable_attributes_token2] = ACTIONS(6791),
    [aux_sym_variable_attributes_token3] = ACTIONS(6791),
    [aux_sym_variable_attributes_token5] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6791),
    [aux_sym_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym_stop_statement_token1] = ACTIONS(6791),
    [aux_sym_stop_statement_token2] = ACTIONS(6791),
    [aux_sym_subroutine_call_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token2] = ACTIONS(6791),
    [aux_sym_keyword_statement_token3] = ACTIONS(6791),
    [aux_sym_keyword_statement_token4] = ACTIONS(6791),
    [aux_sym_keyword_statement_token6] = ACTIONS(6791),
    [aux_sym_keyword_statement_token7] = ACTIONS(6791),
    [aux_sym_include_statement_token1] = ACTIONS(6791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6791),
    [aux_sym_end_if_statement_token1] = ACTIONS(6791),
    [aux_sym_elseif_clause_token2] = ACTIONS(6791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token3] = ACTIONS(6791),
    [aux_sym_select_type_statement_token1] = ACTIONS(6791),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6791),
    [aux_sym_associate_statement_token1] = ACTIONS(6791),
    [aux_sym_format_statement_token1] = ACTIONS(6791),
    [aux_sym_print_statement_token1] = ACTIONS(6791),
    [aux_sym_open_statement_token1] = ACTIONS(6791),
    [aux_sym_close_statement_token1] = ACTIONS(6791),
    [aux_sym_inquire_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token2] = ACTIONS(6791),
    [aux_sym_file_position_statement_token3] = ACTIONS(6791),
    [aux_sym_file_position_statement_token4] = ACTIONS(6791),
    [aux_sym_allocate_statement_token1] = ACTIONS(6791),
    [aux_sym_entry_statement_token1] = ACTIONS(6791),
    [aux_sym_assign_statement_token1] = ACTIONS(6791),
    [aux_sym_logical_expression_token5] = ACTIONS(6793),
    [anon_sym_DOT] = ACTIONS(6791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6793),
    [anon_sym_LBRACK] = ACTIONS(6793),
    [aux_sym_boolean_literal_token1] = ACTIONS(6793),
    [aux_sym_boolean_literal_token2] = ACTIONS(6793),
    [aux_sym_null_literal_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token2] = ACTIONS(6791),
    [aux_sym_coarray_statement_token6] = ACTIONS(6791),
    [aux_sym_coarray_statement_token8] = ACTIONS(6791),
    [aux_sym_coarray_statement_token11] = ACTIONS(6791),
    [aux_sym_coarray_statement_token12] = ACTIONS(6791),
    [aux_sym_coarray_statement_token13] = ACTIONS(6791),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6791),
    [aux_sym_identifier_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6793),
    [sym__float_literal] = ACTIONS(6793),
    [sym__boz_literal] = ACTIONS(6793),
    [sym__string_literal] = ACTIONS(6793),
    [sym__string_literal_kind] = ACTIONS(6793),
  },
  [2443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_end_function_statement_token1] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token2] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token2] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6795),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token2] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token2] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_end_select_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token2] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_end_select_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2450] = {
    [anon_sym_COMMA] = ACTIONS(6797),
    [anon_sym_RPAREN] = ACTIONS(6797),
    [anon_sym_LPAREN2] = ACTIONS(6797),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_DASH] = ACTIONS(6797),
    [anon_sym_STAR] = ACTIONS(6799),
    [anon_sym_SLASH] = ACTIONS(6799),
    [anon_sym_PERCENT] = ACTIONS(6797),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6797),
    [anon_sym_GT] = ACTIONS(6799),
    [anon_sym_GT_EQ] = ACTIONS(6797),
    [anon_sym_LT_EQ] = ACTIONS(6797),
    [anon_sym_LT] = ACTIONS(6799),
    [aux_sym_end_program_statement_token1] = ACTIONS(6799),
    [aux_sym_block_data_statement_token1] = ACTIONS(6799),
    [aux_sym_block_data_statement_token2] = ACTIONS(6799),
    [anon_sym_EQ] = ACTIONS(6799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6799),
    [aux_sym_language_binding_token1] = ACTIONS(6799),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6799),
    [aux_sym_use_statement_token2] = ACTIONS(6799),
    [anon_sym_COLON_COLON] = ACTIONS(6797),
    [anon_sym_EQ_GT] = ACTIONS(6797),
    [aux_sym_implicit_statement_token4] = ACTIONS(6799),
    [aux_sym_save_statement_token1] = ACTIONS(6799),
    [aux_sym_private_statement_token1] = ACTIONS(6799),
    [aux_sym_public_statement_token1] = ACTIONS(6799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6799),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6799),
    [aux_sym_variable_attributes_token1] = ACTIONS(6799),
    [aux_sym_variable_attributes_token2] = ACTIONS(6799),
    [aux_sym_variable_attributes_token3] = ACTIONS(6799),
    [aux_sym_variable_attributes_token4] = ACTIONS(6799),
    [aux_sym_variable_attributes_token5] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6799),
    [aux_sym_type_qualifier_token1] = ACTIONS(6799),
    [aux_sym_type_qualifier_token2] = ACTIONS(6799),
    [aux_sym_stop_statement_token1] = ACTIONS(6799),
    [aux_sym_stop_statement_token2] = ACTIONS(6799),
    [aux_sym_subroutine_call_token1] = ACTIONS(6799),
    [anon_sym_GT_GT_GT] = ACTIONS(6797),
    [aux_sym_keyword_statement_token2] = ACTIONS(6799),
    [aux_sym_keyword_statement_token3] = ACTIONS(6799),
    [aux_sym_keyword_statement_token4] = ACTIONS(6799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6799),
    [aux_sym_end_if_statement_token1] = ACTIONS(6799),
    [aux_sym_elseif_clause_token2] = ACTIONS(6799),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6799),
    [aux_sym_open_statement_token1] = ACTIONS(6799),
    [aux_sym_inquire_statement_token1] = ACTIONS(6799),
    [aux_sym_entry_statement_token1] = ACTIONS(6799),
    [aux_sym_logical_expression_token1] = ACTIONS(6797),
    [aux_sym_logical_expression_token2] = ACTIONS(6797),
    [aux_sym_logical_expression_token3] = ACTIONS(6797),
    [aux_sym_logical_expression_token4] = ACTIONS(6797),
    [aux_sym_relational_expression_token1] = ACTIONS(6797),
    [aux_sym_relational_expression_token2] = ACTIONS(6797),
    [aux_sym_relational_expression_token3] = ACTIONS(6797),
    [aux_sym_relational_expression_token4] = ACTIONS(6797),
    [aux_sym_relational_expression_token5] = ACTIONS(6797),
    [anon_sym_SLASH_EQ] = ACTIONS(6797),
    [aux_sym_relational_expression_token6] = ACTIONS(6797),
    [anon_sym_SLASH_SLASH] = ACTIONS(6797),
    [anon_sym_STAR_STAR] = ACTIONS(6797),
    [anon_sym_DOT] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(6797),
    [anon_sym_RBRACK] = ACTIONS(6797),
    [aux_sym_null_literal_token1] = ACTIONS(6799),
    [aux_sym_coarray_statement_token1] = ACTIONS(6799),
    [aux_sym_coarray_statement_token2] = ACTIONS(6799),
    [aux_sym_coarray_statement_token6] = ACTIONS(6799),
    [aux_sym_coarray_statement_token8] = ACTIONS(6799),
    [aux_sym_coarray_statement_token11] = ACTIONS(6799),
    [aux_sym_coarray_statement_token12] = ACTIONS(6799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6799),
    [anon_sym_QMARK] = ACTIONS(6797),
    [aux_sym_identifier_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(21),
  },
  [2451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6801),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [aux_sym_end_program_statement_token2] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_contains_statement_token1] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6803),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6805),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6807),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_end_select_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6809),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6813),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_end_select_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6815),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6817),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6819),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6821),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6823),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6825),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6827),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6829),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6831),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6833),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6835),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6837),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6839),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6843),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6845),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6847),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6849),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6851),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6853),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6855),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6857),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6859),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token2] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6861),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token2] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_end_select_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token2] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6863),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6865),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token2] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_end_select_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6867),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token2] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_end_select_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6869),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6871),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token2] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_end_select_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2494] = {
    [anon_sym_COMMA] = ACTIONS(6873),
    [anon_sym_RPAREN] = ACTIONS(6873),
    [anon_sym_LPAREN2] = ACTIONS(6873),
    [anon_sym_PLUS] = ACTIONS(6873),
    [anon_sym_DASH] = ACTIONS(6873),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_PERCENT] = ACTIONS(6873),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6873),
    [anon_sym_GT] = ACTIONS(6875),
    [anon_sym_GT_EQ] = ACTIONS(6873),
    [anon_sym_LT_EQ] = ACTIONS(6873),
    [anon_sym_LT] = ACTIONS(6875),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_language_binding_token1] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [anon_sym_COLON_COLON] = ACTIONS(6873),
    [anon_sym_EQ_GT] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token1] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token4] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [anon_sym_GT_GT_GT] = ACTIONS(6873),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token1] = ACTIONS(6873),
    [aux_sym_logical_expression_token2] = ACTIONS(6873),
    [aux_sym_logical_expression_token3] = ACTIONS(6873),
    [aux_sym_logical_expression_token4] = ACTIONS(6873),
    [aux_sym_relational_expression_token1] = ACTIONS(6873),
    [aux_sym_relational_expression_token2] = ACTIONS(6873),
    [aux_sym_relational_expression_token3] = ACTIONS(6873),
    [aux_sym_relational_expression_token4] = ACTIONS(6873),
    [aux_sym_relational_expression_token5] = ACTIONS(6873),
    [anon_sym_SLASH_EQ] = ACTIONS(6873),
    [aux_sym_relational_expression_token6] = ACTIONS(6873),
    [anon_sym_SLASH_SLASH] = ACTIONS(6873),
    [anon_sym_STAR_STAR] = ACTIONS(6873),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LBRACK] = ACTIONS(6873),
    [anon_sym_RBRACK] = ACTIONS(6873),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [anon_sym_QMARK] = ACTIONS(6873),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
  },
  [2495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token2] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_end_select_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6877),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6879),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token2] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_end_select_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token2] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_end_select_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6881),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token2] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_end_select_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6883),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_end_select_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_end_select_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6887),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_end_select_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6889),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_end_select_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_end_select_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6893),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_end_select_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6895),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_end_select_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6897),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_end_select_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [aux_sym_end_program_statement_token2] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6899),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token2] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6901),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token2] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6905),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6909),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6911),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token2] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6913),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2521] = {
    [sym_identifier] = STATE(6768),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_SEMI] = ACTIONS(6917),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(6919),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6917),
  },
  [2522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_end_function_statement_token1] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_end_function_statement_token1] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_end_function_statement_token1] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_end_function_statement_token1] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_end_function_statement_token1] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_end_function_statement_token1] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_end_function_statement_token1] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6921),
    [aux_sym_preproc_def_token1] = ACTIONS(6921),
    [aux_sym_preproc_if_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6921),
    [sym_preproc_directive] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6923),
    [anon_sym_DASH] = ACTIONS(6923),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6921),
    [anon_sym_SEMI] = ACTIONS(6923),
    [aux_sym_block_data_statement_token1] = ACTIONS(6921),
    [aux_sym_block_data_statement_token2] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6921),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6921),
    [aux_sym_end_function_statement_token1] = ACTIONS(6921),
    [aux_sym_contains_statement_token1] = ACTIONS(6921),
    [aux_sym_use_statement_token2] = ACTIONS(6921),
    [aux_sym_implicit_statement_token4] = ACTIONS(6921),
    [aux_sym_save_statement_token1] = ACTIONS(6921),
    [aux_sym_private_statement_token1] = ACTIONS(6921),
    [aux_sym_public_statement_token1] = ACTIONS(6921),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6921),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6921),
    [aux_sym_variable_attributes_token2] = ACTIONS(6921),
    [aux_sym_variable_attributes_token3] = ACTIONS(6921),
    [aux_sym_variable_attributes_token5] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6921),
    [aux_sym_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym_stop_statement_token1] = ACTIONS(6921),
    [aux_sym_stop_statement_token2] = ACTIONS(6921),
    [aux_sym_subroutine_call_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token2] = ACTIONS(6921),
    [aux_sym_keyword_statement_token3] = ACTIONS(6921),
    [aux_sym_keyword_statement_token4] = ACTIONS(6921),
    [aux_sym_keyword_statement_token6] = ACTIONS(6921),
    [aux_sym_keyword_statement_token7] = ACTIONS(6921),
    [aux_sym_include_statement_token1] = ACTIONS(6921),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6921),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6921),
    [aux_sym_end_if_statement_token1] = ACTIONS(6921),
    [aux_sym_elseif_clause_token2] = ACTIONS(6921),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6921),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token3] = ACTIONS(6921),
    [aux_sym_select_type_statement_token1] = ACTIONS(6921),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6921),
    [aux_sym_associate_statement_token1] = ACTIONS(6921),
    [aux_sym_format_statement_token1] = ACTIONS(6921),
    [aux_sym_print_statement_token1] = ACTIONS(6921),
    [aux_sym_open_statement_token1] = ACTIONS(6921),
    [aux_sym_close_statement_token1] = ACTIONS(6921),
    [aux_sym_inquire_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token2] = ACTIONS(6921),
    [aux_sym_file_position_statement_token3] = ACTIONS(6921),
    [aux_sym_file_position_statement_token4] = ACTIONS(6921),
    [aux_sym_allocate_statement_token1] = ACTIONS(6921),
    [aux_sym_entry_statement_token1] = ACTIONS(6921),
    [aux_sym_assign_statement_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token5] = ACTIONS(6923),
    [anon_sym_DOT] = ACTIONS(6921),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6923),
    [aux_sym_boolean_literal_token1] = ACTIONS(6923),
    [aux_sym_boolean_literal_token2] = ACTIONS(6923),
    [aux_sym_null_literal_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token2] = ACTIONS(6921),
    [aux_sym_coarray_statement_token6] = ACTIONS(6921),
    [aux_sym_coarray_statement_token8] = ACTIONS(6921),
    [aux_sym_coarray_statement_token11] = ACTIONS(6921),
    [aux_sym_coarray_statement_token12] = ACTIONS(6921),
    [aux_sym_coarray_statement_token13] = ACTIONS(6921),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6921),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6923),
    [sym__float_literal] = ACTIONS(6923),
    [sym__boz_literal] = ACTIONS(6923),
    [sym__string_literal] = ACTIONS(6923),
    [sym__string_literal_kind] = ACTIONS(6923),
  },
  [2537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [aux_sym_end_program_statement_token2] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [aux_sym_end_program_statement_token2] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6927),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_end_function_statement_token1] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [aux_sym_end_program_statement_token2] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_contains_statement_token1] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6931),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6933),
    [aux_sym_preproc_def_token1] = ACTIONS(6933),
    [aux_sym_preproc_if_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6933),
    [sym_preproc_directive] = ACTIONS(6933),
    [anon_sym_LPAREN2] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6933),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6933),
    [aux_sym_block_data_statement_token2] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6933),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6933),
    [aux_sym_end_function_statement_token1] = ACTIONS(6933),
    [aux_sym_contains_statement_token1] = ACTIONS(6933),
    [aux_sym_use_statement_token2] = ACTIONS(6933),
    [aux_sym_implicit_statement_token4] = ACTIONS(6933),
    [aux_sym_save_statement_token1] = ACTIONS(6933),
    [aux_sym_private_statement_token1] = ACTIONS(6933),
    [aux_sym_public_statement_token1] = ACTIONS(6933),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6933),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6933),
    [aux_sym_variable_attributes_token2] = ACTIONS(6933),
    [aux_sym_variable_attributes_token3] = ACTIONS(6933),
    [aux_sym_variable_attributes_token5] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6933),
    [aux_sym_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym_stop_statement_token1] = ACTIONS(6933),
    [aux_sym_stop_statement_token2] = ACTIONS(6933),
    [aux_sym_subroutine_call_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token2] = ACTIONS(6933),
    [aux_sym_keyword_statement_token3] = ACTIONS(6933),
    [aux_sym_keyword_statement_token4] = ACTIONS(6933),
    [aux_sym_keyword_statement_token6] = ACTIONS(6933),
    [aux_sym_keyword_statement_token7] = ACTIONS(6933),
    [aux_sym_include_statement_token1] = ACTIONS(6933),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6933),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6933),
    [aux_sym_end_if_statement_token1] = ACTIONS(6933),
    [aux_sym_elseif_clause_token2] = ACTIONS(6933),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6933),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token3] = ACTIONS(6933),
    [aux_sym_select_type_statement_token1] = ACTIONS(6933),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6933),
    [aux_sym_associate_statement_token1] = ACTIONS(6933),
    [aux_sym_format_statement_token1] = ACTIONS(6933),
    [aux_sym_print_statement_token1] = ACTIONS(6933),
    [aux_sym_open_statement_token1] = ACTIONS(6933),
    [aux_sym_close_statement_token1] = ACTIONS(6933),
    [aux_sym_inquire_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token2] = ACTIONS(6933),
    [aux_sym_file_position_statement_token3] = ACTIONS(6933),
    [aux_sym_file_position_statement_token4] = ACTIONS(6933),
    [aux_sym_allocate_statement_token1] = ACTIONS(6933),
    [aux_sym_entry_statement_token1] = ACTIONS(6933),
    [aux_sym_assign_statement_token1] = ACTIONS(6933),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6933),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token2] = ACTIONS(6933),
    [aux_sym_coarray_statement_token6] = ACTIONS(6933),
    [aux_sym_coarray_statement_token8] = ACTIONS(6933),
    [aux_sym_coarray_statement_token11] = ACTIONS(6933),
    [aux_sym_coarray_statement_token12] = ACTIONS(6933),
    [aux_sym_coarray_statement_token13] = ACTIONS(6933),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6933),
    [aux_sym_identifier_token1] = ACTIONS(6933),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6939),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [aux_sym_end_program_statement_token2] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6941),
    [aux_sym_preproc_def_token1] = ACTIONS(6941),
    [aux_sym_preproc_if_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6941),
    [sym_preproc_directive] = ACTIONS(6941),
    [anon_sym_LPAREN2] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6943),
    [anon_sym_DASH] = ACTIONS(6943),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6941),
    [anon_sym_SEMI] = ACTIONS(6943),
    [aux_sym_block_data_statement_token1] = ACTIONS(6941),
    [aux_sym_block_data_statement_token2] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6941),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6941),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6941),
    [aux_sym_contains_statement_token1] = ACTIONS(6941),
    [aux_sym_use_statement_token2] = ACTIONS(6941),
    [aux_sym_implicit_statement_token4] = ACTIONS(6941),
    [aux_sym_save_statement_token1] = ACTIONS(6941),
    [aux_sym_private_statement_token1] = ACTIONS(6941),
    [aux_sym_public_statement_token1] = ACTIONS(6941),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6941),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6941),
    [aux_sym_variable_attributes_token2] = ACTIONS(6941),
    [aux_sym_variable_attributes_token3] = ACTIONS(6941),
    [aux_sym_variable_attributes_token5] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6941),
    [aux_sym_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym_stop_statement_token1] = ACTIONS(6941),
    [aux_sym_stop_statement_token2] = ACTIONS(6941),
    [aux_sym_subroutine_call_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token2] = ACTIONS(6941),
    [aux_sym_keyword_statement_token3] = ACTIONS(6941),
    [aux_sym_keyword_statement_token4] = ACTIONS(6941),
    [aux_sym_keyword_statement_token6] = ACTIONS(6941),
    [aux_sym_keyword_statement_token7] = ACTIONS(6941),
    [aux_sym_include_statement_token1] = ACTIONS(6941),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6941),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6941),
    [aux_sym_end_if_statement_token1] = ACTIONS(6941),
    [aux_sym_elseif_clause_token2] = ACTIONS(6941),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6941),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token3] = ACTIONS(6941),
    [aux_sym_select_type_statement_token1] = ACTIONS(6941),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6941),
    [aux_sym_associate_statement_token1] = ACTIONS(6941),
    [aux_sym_format_statement_token1] = ACTIONS(6941),
    [aux_sym_print_statement_token1] = ACTIONS(6941),
    [aux_sym_open_statement_token1] = ACTIONS(6941),
    [aux_sym_close_statement_token1] = ACTIONS(6941),
    [aux_sym_inquire_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token2] = ACTIONS(6941),
    [aux_sym_file_position_statement_token3] = ACTIONS(6941),
    [aux_sym_file_position_statement_token4] = ACTIONS(6941),
    [aux_sym_allocate_statement_token1] = ACTIONS(6941),
    [aux_sym_entry_statement_token1] = ACTIONS(6941),
    [aux_sym_assign_statement_token1] = ACTIONS(6941),
    [aux_sym_logical_expression_token5] = ACTIONS(6943),
    [anon_sym_DOT] = ACTIONS(6941),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [aux_sym_boolean_literal_token1] = ACTIONS(6943),
    [aux_sym_boolean_literal_token2] = ACTIONS(6943),
    [aux_sym_null_literal_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token2] = ACTIONS(6941),
    [aux_sym_coarray_statement_token6] = ACTIONS(6941),
    [aux_sym_coarray_statement_token8] = ACTIONS(6941),
    [aux_sym_coarray_statement_token11] = ACTIONS(6941),
    [aux_sym_coarray_statement_token12] = ACTIONS(6941),
    [aux_sym_coarray_statement_token13] = ACTIONS(6941),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6941),
    [aux_sym_identifier_token1] = ACTIONS(6941),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6943),
    [sym__float_literal] = ACTIONS(6943),
    [sym__boz_literal] = ACTIONS(6943),
    [sym__string_literal] = ACTIONS(6943),
    [sym__string_literal_kind] = ACTIONS(6943),
  },
  [2555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_end_function_statement_token1] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(6947),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token2] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_end_select_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token2] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_end_select_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token2] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_end_select_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_end_select_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token2] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_end_select_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token2] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_end_select_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token2] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_end_select_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_end_function_statement_token1] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(6951),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6953),
    [aux_sym_preproc_def_token1] = ACTIONS(6953),
    [aux_sym_preproc_if_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6953),
    [sym_preproc_directive] = ACTIONS(6953),
    [anon_sym_LPAREN2] = ACTIONS(6953),
    [anon_sym_PLUS] = ACTIONS(6955),
    [anon_sym_DASH] = ACTIONS(6955),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6953),
    [anon_sym_SEMI] = ACTIONS(6955),
    [aux_sym_block_data_statement_token1] = ACTIONS(6953),
    [aux_sym_block_data_statement_token2] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6953),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6953),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6953),
    [aux_sym_contains_statement_token1] = ACTIONS(6953),
    [aux_sym_use_statement_token2] = ACTIONS(6953),
    [aux_sym_implicit_statement_token4] = ACTIONS(6953),
    [aux_sym_save_statement_token1] = ACTIONS(6953),
    [aux_sym_private_statement_token1] = ACTIONS(6953),
    [aux_sym_public_statement_token1] = ACTIONS(6953),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6953),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6953),
    [aux_sym_variable_attributes_token2] = ACTIONS(6953),
    [aux_sym_variable_attributes_token3] = ACTIONS(6953),
    [aux_sym_variable_attributes_token5] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6953),
    [aux_sym_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym_stop_statement_token1] = ACTIONS(6953),
    [aux_sym_stop_statement_token2] = ACTIONS(6953),
    [aux_sym_subroutine_call_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token2] = ACTIONS(6953),
    [aux_sym_keyword_statement_token3] = ACTIONS(6953),
    [aux_sym_keyword_statement_token4] = ACTIONS(6953),
    [aux_sym_keyword_statement_token6] = ACTIONS(6953),
    [aux_sym_keyword_statement_token7] = ACTIONS(6953),
    [aux_sym_include_statement_token1] = ACTIONS(6953),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6953),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6953),
    [aux_sym_end_if_statement_token1] = ACTIONS(6953),
    [aux_sym_elseif_clause_token2] = ACTIONS(6953),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6953),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token3] = ACTIONS(6953),
    [aux_sym_select_type_statement_token1] = ACTIONS(6953),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6953),
    [aux_sym_associate_statement_token1] = ACTIONS(6953),
    [aux_sym_format_statement_token1] = ACTIONS(6953),
    [aux_sym_print_statement_token1] = ACTIONS(6953),
    [aux_sym_open_statement_token1] = ACTIONS(6953),
    [aux_sym_close_statement_token1] = ACTIONS(6953),
    [aux_sym_inquire_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token2] = ACTIONS(6953),
    [aux_sym_file_position_statement_token3] = ACTIONS(6953),
    [aux_sym_file_position_statement_token4] = ACTIONS(6953),
    [aux_sym_allocate_statement_token1] = ACTIONS(6953),
    [aux_sym_entry_statement_token1] = ACTIONS(6953),
    [aux_sym_assign_statement_token1] = ACTIONS(6953),
    [aux_sym_logical_expression_token5] = ACTIONS(6955),
    [anon_sym_DOT] = ACTIONS(6953),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6955),
    [anon_sym_LBRACK] = ACTIONS(6955),
    [aux_sym_boolean_literal_token1] = ACTIONS(6955),
    [aux_sym_boolean_literal_token2] = ACTIONS(6955),
    [aux_sym_null_literal_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token2] = ACTIONS(6953),
    [aux_sym_coarray_statement_token6] = ACTIONS(6953),
    [aux_sym_coarray_statement_token8] = ACTIONS(6953),
    [aux_sym_coarray_statement_token11] = ACTIONS(6953),
    [aux_sym_coarray_statement_token12] = ACTIONS(6953),
    [aux_sym_coarray_statement_token13] = ACTIONS(6953),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6953),
    [aux_sym_identifier_token1] = ACTIONS(6953),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6955),
    [sym__float_literal] = ACTIONS(6955),
    [sym__boz_literal] = ACTIONS(6955),
    [sym__string_literal] = ACTIONS(6955),
    [sym__string_literal_kind] = ACTIONS(6955),
  },
  [2586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6791),
    [aux_sym_preproc_def_token1] = ACTIONS(6791),
    [aux_sym_preproc_if_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6791),
    [sym_preproc_directive] = ACTIONS(6791),
    [anon_sym_LPAREN2] = ACTIONS(6791),
    [anon_sym_PLUS] = ACTIONS(6793),
    [anon_sym_DASH] = ACTIONS(6793),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6791),
    [anon_sym_SEMI] = ACTIONS(6793),
    [aux_sym_block_data_statement_token1] = ACTIONS(6791),
    [aux_sym_block_data_statement_token2] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6791),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6791),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6791),
    [aux_sym_contains_statement_token1] = ACTIONS(6791),
    [aux_sym_use_statement_token2] = ACTIONS(6791),
    [aux_sym_implicit_statement_token4] = ACTIONS(6791),
    [aux_sym_save_statement_token1] = ACTIONS(6791),
    [aux_sym_private_statement_token1] = ACTIONS(6791),
    [aux_sym_public_statement_token1] = ACTIONS(6791),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6791),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6791),
    [aux_sym_variable_attributes_token2] = ACTIONS(6791),
    [aux_sym_variable_attributes_token3] = ACTIONS(6791),
    [aux_sym_variable_attributes_token5] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6791),
    [aux_sym_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym_stop_statement_token1] = ACTIONS(6791),
    [aux_sym_stop_statement_token2] = ACTIONS(6791),
    [aux_sym_subroutine_call_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token2] = ACTIONS(6791),
    [aux_sym_keyword_statement_token3] = ACTIONS(6791),
    [aux_sym_keyword_statement_token4] = ACTIONS(6791),
    [aux_sym_keyword_statement_token6] = ACTIONS(6791),
    [aux_sym_keyword_statement_token7] = ACTIONS(6791),
    [aux_sym_include_statement_token1] = ACTIONS(6791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6791),
    [aux_sym_end_if_statement_token1] = ACTIONS(6791),
    [aux_sym_elseif_clause_token2] = ACTIONS(6791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token3] = ACTIONS(6791),
    [aux_sym_select_type_statement_token1] = ACTIONS(6791),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6791),
    [aux_sym_associate_statement_token1] = ACTIONS(6791),
    [aux_sym_format_statement_token1] = ACTIONS(6791),
    [aux_sym_print_statement_token1] = ACTIONS(6791),
    [aux_sym_open_statement_token1] = ACTIONS(6791),
    [aux_sym_close_statement_token1] = ACTIONS(6791),
    [aux_sym_inquire_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token2] = ACTIONS(6791),
    [aux_sym_file_position_statement_token3] = ACTIONS(6791),
    [aux_sym_file_position_statement_token4] = ACTIONS(6791),
    [aux_sym_allocate_statement_token1] = ACTIONS(6791),
    [aux_sym_entry_statement_token1] = ACTIONS(6791),
    [aux_sym_assign_statement_token1] = ACTIONS(6791),
    [aux_sym_logical_expression_token5] = ACTIONS(6793),
    [anon_sym_DOT] = ACTIONS(6791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6793),
    [anon_sym_LBRACK] = ACTIONS(6793),
    [aux_sym_boolean_literal_token1] = ACTIONS(6793),
    [aux_sym_boolean_literal_token2] = ACTIONS(6793),
    [aux_sym_null_literal_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token2] = ACTIONS(6791),
    [aux_sym_coarray_statement_token6] = ACTIONS(6791),
    [aux_sym_coarray_statement_token8] = ACTIONS(6791),
    [aux_sym_coarray_statement_token11] = ACTIONS(6791),
    [aux_sym_coarray_statement_token12] = ACTIONS(6791),
    [aux_sym_coarray_statement_token13] = ACTIONS(6791),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6791),
    [aux_sym_identifier_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6793),
    [sym__float_literal] = ACTIONS(6793),
    [sym__boz_literal] = ACTIONS(6793),
    [sym__string_literal] = ACTIONS(6793),
    [sym__string_literal_kind] = ACTIONS(6793),
  },
  [2587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6957),
    [aux_sym_preproc_def_token1] = ACTIONS(6957),
    [aux_sym_preproc_if_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6957),
    [sym_preproc_directive] = ACTIONS(6957),
    [anon_sym_LPAREN2] = ACTIONS(6957),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6957),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6957),
    [aux_sym_block_data_statement_token2] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6957),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6957),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6957),
    [aux_sym_contains_statement_token1] = ACTIONS(6957),
    [aux_sym_use_statement_token2] = ACTIONS(6957),
    [aux_sym_implicit_statement_token4] = ACTIONS(6957),
    [aux_sym_save_statement_token1] = ACTIONS(6957),
    [aux_sym_private_statement_token1] = ACTIONS(6957),
    [aux_sym_public_statement_token1] = ACTIONS(6957),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6957),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6957),
    [aux_sym_variable_attributes_token2] = ACTIONS(6957),
    [aux_sym_variable_attributes_token3] = ACTIONS(6957),
    [aux_sym_variable_attributes_token5] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6957),
    [aux_sym_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym_stop_statement_token1] = ACTIONS(6957),
    [aux_sym_stop_statement_token2] = ACTIONS(6957),
    [aux_sym_subroutine_call_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token2] = ACTIONS(6957),
    [aux_sym_keyword_statement_token3] = ACTIONS(6957),
    [aux_sym_keyword_statement_token4] = ACTIONS(6957),
    [aux_sym_keyword_statement_token6] = ACTIONS(6957),
    [aux_sym_keyword_statement_token7] = ACTIONS(6957),
    [aux_sym_include_statement_token1] = ACTIONS(6957),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6957),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6957),
    [aux_sym_end_if_statement_token1] = ACTIONS(6957),
    [aux_sym_elseif_clause_token2] = ACTIONS(6957),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6957),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token3] = ACTIONS(6957),
    [aux_sym_select_type_statement_token1] = ACTIONS(6957),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6957),
    [aux_sym_associate_statement_token1] = ACTIONS(6957),
    [aux_sym_format_statement_token1] = ACTIONS(6957),
    [aux_sym_print_statement_token1] = ACTIONS(6957),
    [aux_sym_open_statement_token1] = ACTIONS(6957),
    [aux_sym_close_statement_token1] = ACTIONS(6957),
    [aux_sym_inquire_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token2] = ACTIONS(6957),
    [aux_sym_file_position_statement_token3] = ACTIONS(6957),
    [aux_sym_file_position_statement_token4] = ACTIONS(6957),
    [aux_sym_allocate_statement_token1] = ACTIONS(6957),
    [aux_sym_entry_statement_token1] = ACTIONS(6957),
    [aux_sym_assign_statement_token1] = ACTIONS(6957),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6957),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token2] = ACTIONS(6957),
    [aux_sym_coarray_statement_token6] = ACTIONS(6957),
    [aux_sym_coarray_statement_token8] = ACTIONS(6957),
    [aux_sym_coarray_statement_token11] = ACTIONS(6957),
    [aux_sym_coarray_statement_token12] = ACTIONS(6957),
    [aux_sym_coarray_statement_token13] = ACTIONS(6957),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6957),
    [aux_sym_identifier_token1] = ACTIONS(6957),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_end_function_statement_token1] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(6961),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(6963),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6965),
    [aux_sym_preproc_def_token1] = ACTIONS(6965),
    [aux_sym_preproc_if_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6965),
    [sym_preproc_directive] = ACTIONS(6965),
    [anon_sym_LPAREN2] = ACTIONS(6965),
    [anon_sym_PLUS] = ACTIONS(6967),
    [anon_sym_DASH] = ACTIONS(6967),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6965),
    [anon_sym_SEMI] = ACTIONS(6967),
    [aux_sym_block_data_statement_token1] = ACTIONS(6965),
    [aux_sym_block_data_statement_token2] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6965),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6965),
    [aux_sym_contains_statement_token1] = ACTIONS(6965),
    [aux_sym_use_statement_token2] = ACTIONS(6965),
    [aux_sym_implicit_statement_token4] = ACTIONS(6965),
    [aux_sym_save_statement_token1] = ACTIONS(6965),
    [aux_sym_private_statement_token1] = ACTIONS(6965),
    [aux_sym_public_statement_token1] = ACTIONS(6965),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6965),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6965),
    [aux_sym_variable_attributes_token2] = ACTIONS(6965),
    [aux_sym_variable_attributes_token3] = ACTIONS(6965),
    [aux_sym_variable_attributes_token5] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6965),
    [aux_sym_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym_stop_statement_token1] = ACTIONS(6965),
    [aux_sym_stop_statement_token2] = ACTIONS(6965),
    [aux_sym_subroutine_call_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token2] = ACTIONS(6965),
    [aux_sym_keyword_statement_token3] = ACTIONS(6965),
    [aux_sym_keyword_statement_token4] = ACTIONS(6965),
    [aux_sym_keyword_statement_token6] = ACTIONS(6965),
    [aux_sym_keyword_statement_token7] = ACTIONS(6965),
    [aux_sym_include_statement_token1] = ACTIONS(6965),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6965),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6965),
    [aux_sym_end_if_statement_token1] = ACTIONS(6965),
    [aux_sym_elseif_clause_token2] = ACTIONS(6965),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6965),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token3] = ACTIONS(6965),
    [aux_sym_select_type_statement_token1] = ACTIONS(6965),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6965),
    [aux_sym_associate_statement_token1] = ACTIONS(6965),
    [aux_sym_format_statement_token1] = ACTIONS(6965),
    [aux_sym_print_statement_token1] = ACTIONS(6965),
    [aux_sym_open_statement_token1] = ACTIONS(6965),
    [aux_sym_close_statement_token1] = ACTIONS(6965),
    [aux_sym_inquire_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token2] = ACTIONS(6965),
    [aux_sym_file_position_statement_token3] = ACTIONS(6965),
    [aux_sym_file_position_statement_token4] = ACTIONS(6965),
    [aux_sym_allocate_statement_token1] = ACTIONS(6965),
    [aux_sym_entry_statement_token1] = ACTIONS(6965),
    [aux_sym_assign_statement_token1] = ACTIONS(6965),
    [aux_sym_logical_expression_token5] = ACTIONS(6967),
    [anon_sym_DOT] = ACTIONS(6965),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6967),
    [anon_sym_LBRACK] = ACTIONS(6967),
    [aux_sym_boolean_literal_token1] = ACTIONS(6967),
    [aux_sym_boolean_literal_token2] = ACTIONS(6967),
    [aux_sym_null_literal_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token2] = ACTIONS(6965),
    [aux_sym_coarray_statement_token6] = ACTIONS(6965),
    [aux_sym_coarray_statement_token8] = ACTIONS(6965),
    [aux_sym_coarray_statement_token11] = ACTIONS(6965),
    [aux_sym_coarray_statement_token12] = ACTIONS(6965),
    [aux_sym_coarray_statement_token13] = ACTIONS(6965),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6965),
    [aux_sym_identifier_token1] = ACTIONS(6965),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6967),
    [sym__float_literal] = ACTIONS(6967),
    [sym__boz_literal] = ACTIONS(6967),
    [sym__string_literal] = ACTIONS(6967),
    [sym__string_literal_kind] = ACTIONS(6967),
  },
  [2593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6969),
    [aux_sym_preproc_def_token1] = ACTIONS(6969),
    [aux_sym_preproc_if_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6969),
    [sym_preproc_directive] = ACTIONS(6969),
    [anon_sym_LPAREN2] = ACTIONS(6969),
    [anon_sym_PLUS] = ACTIONS(6971),
    [anon_sym_DASH] = ACTIONS(6971),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6969),
    [anon_sym_SEMI] = ACTIONS(6971),
    [aux_sym_block_data_statement_token1] = ACTIONS(6969),
    [aux_sym_block_data_statement_token2] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6969),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6969),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6969),
    [aux_sym_contains_statement_token1] = ACTIONS(6969),
    [aux_sym_use_statement_token2] = ACTIONS(6969),
    [aux_sym_implicit_statement_token4] = ACTIONS(6969),
    [aux_sym_save_statement_token1] = ACTIONS(6969),
    [aux_sym_private_statement_token1] = ACTIONS(6969),
    [aux_sym_public_statement_token1] = ACTIONS(6969),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6969),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6969),
    [aux_sym_variable_attributes_token2] = ACTIONS(6969),
    [aux_sym_variable_attributes_token3] = ACTIONS(6969),
    [aux_sym_variable_attributes_token5] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6969),
    [aux_sym_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym_stop_statement_token1] = ACTIONS(6969),
    [aux_sym_stop_statement_token2] = ACTIONS(6969),
    [aux_sym_subroutine_call_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token2] = ACTIONS(6969),
    [aux_sym_keyword_statement_token3] = ACTIONS(6969),
    [aux_sym_keyword_statement_token4] = ACTIONS(6969),
    [aux_sym_keyword_statement_token6] = ACTIONS(6969),
    [aux_sym_keyword_statement_token7] = ACTIONS(6969),
    [aux_sym_include_statement_token1] = ACTIONS(6969),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6969),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6969),
    [aux_sym_end_if_statement_token1] = ACTIONS(6969),
    [aux_sym_elseif_clause_token2] = ACTIONS(6969),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6969),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token3] = ACTIONS(6969),
    [aux_sym_select_type_statement_token1] = ACTIONS(6969),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6969),
    [aux_sym_associate_statement_token1] = ACTIONS(6969),
    [aux_sym_format_statement_token1] = ACTIONS(6969),
    [aux_sym_print_statement_token1] = ACTIONS(6969),
    [aux_sym_open_statement_token1] = ACTIONS(6969),
    [aux_sym_close_statement_token1] = ACTIONS(6969),
    [aux_sym_inquire_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token2] = ACTIONS(6969),
    [aux_sym_file_position_statement_token3] = ACTIONS(6969),
    [aux_sym_file_position_statement_token4] = ACTIONS(6969),
    [aux_sym_allocate_statement_token1] = ACTIONS(6969),
    [aux_sym_entry_statement_token1] = ACTIONS(6969),
    [aux_sym_assign_statement_token1] = ACTIONS(6969),
    [aux_sym_logical_expression_token5] = ACTIONS(6971),
    [anon_sym_DOT] = ACTIONS(6969),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6971),
    [anon_sym_LBRACK] = ACTIONS(6971),
    [aux_sym_boolean_literal_token1] = ACTIONS(6971),
    [aux_sym_boolean_literal_token2] = ACTIONS(6971),
    [aux_sym_null_literal_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token2] = ACTIONS(6969),
    [aux_sym_coarray_statement_token6] = ACTIONS(6969),
    [aux_sym_coarray_statement_token8] = ACTIONS(6969),
    [aux_sym_coarray_statement_token11] = ACTIONS(6969),
    [aux_sym_coarray_statement_token12] = ACTIONS(6969),
    [aux_sym_coarray_statement_token13] = ACTIONS(6969),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6969),
    [aux_sym_identifier_token1] = ACTIONS(6969),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6971),
    [sym__float_literal] = ACTIONS(6971),
    [sym__boz_literal] = ACTIONS(6971),
    [sym__string_literal] = ACTIONS(6971),
    [sym__string_literal_kind] = ACTIONS(6971),
  },
  [2594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(6973),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_end_function_statement_token1] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6975),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6977),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [aux_sym_end_program_statement_token2] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_end_function_statement_token1] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(6979),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_end_function_statement_token1] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(6981),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6983),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(6985),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(6987),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(6989),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(6991),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_end_function_statement_token1] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_end_function_statement_token1] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_contains_statement_token1] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_contains_statement_token1] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [aux_sym_end_program_statement_token2] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_end_function_statement_token1] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(6995),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_contains_statement_token1] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_contains_statement_token1] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6783),
    [aux_sym_preproc_def_token1] = ACTIONS(6783),
    [aux_sym_preproc_if_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6783),
    [sym_preproc_directive] = ACTIONS(6783),
    [anon_sym_LPAREN2] = ACTIONS(6783),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_DASH] = ACTIONS(6785),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6783),
    [anon_sym_SEMI] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6783),
    [aux_sym_block_data_statement_token2] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6783),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6783),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6783),
    [aux_sym_contains_statement_token1] = ACTIONS(6783),
    [aux_sym_use_statement_token2] = ACTIONS(6783),
    [aux_sym_implicit_statement_token4] = ACTIONS(6783),
    [aux_sym_save_statement_token1] = ACTIONS(6783),
    [aux_sym_private_statement_token1] = ACTIONS(6783),
    [aux_sym_public_statement_token1] = ACTIONS(6783),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6783),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6783),
    [aux_sym_variable_attributes_token2] = ACTIONS(6783),
    [aux_sym_variable_attributes_token3] = ACTIONS(6783),
    [aux_sym_variable_attributes_token5] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6783),
    [aux_sym_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym_stop_statement_token1] = ACTIONS(6783),
    [aux_sym_stop_statement_token2] = ACTIONS(6783),
    [aux_sym_subroutine_call_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token2] = ACTIONS(6783),
    [aux_sym_keyword_statement_token3] = ACTIONS(6783),
    [aux_sym_keyword_statement_token4] = ACTIONS(6783),
    [aux_sym_keyword_statement_token6] = ACTIONS(6783),
    [aux_sym_keyword_statement_token7] = ACTIONS(6783),
    [aux_sym_include_statement_token1] = ACTIONS(6783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6783),
    [aux_sym_end_if_statement_token1] = ACTIONS(6783),
    [aux_sym_elseif_clause_token2] = ACTIONS(6783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token3] = ACTIONS(6783),
    [aux_sym_select_type_statement_token1] = ACTIONS(6783),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6783),
    [aux_sym_associate_statement_token1] = ACTIONS(6783),
    [aux_sym_format_statement_token1] = ACTIONS(6783),
    [aux_sym_print_statement_token1] = ACTIONS(6783),
    [aux_sym_open_statement_token1] = ACTIONS(6783),
    [aux_sym_close_statement_token1] = ACTIONS(6783),
    [aux_sym_inquire_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token2] = ACTIONS(6783),
    [aux_sym_file_position_statement_token3] = ACTIONS(6783),
    [aux_sym_file_position_statement_token4] = ACTIONS(6783),
    [aux_sym_allocate_statement_token1] = ACTIONS(6783),
    [aux_sym_entry_statement_token1] = ACTIONS(6783),
    [aux_sym_assign_statement_token1] = ACTIONS(6783),
    [aux_sym_logical_expression_token5] = ACTIONS(6785),
    [anon_sym_DOT] = ACTIONS(6783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6785),
    [anon_sym_LBRACK] = ACTIONS(6785),
    [aux_sym_boolean_literal_token1] = ACTIONS(6785),
    [aux_sym_boolean_literal_token2] = ACTIONS(6785),
    [aux_sym_null_literal_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token2] = ACTIONS(6783),
    [aux_sym_coarray_statement_token6] = ACTIONS(6783),
    [aux_sym_coarray_statement_token8] = ACTIONS(6783),
    [aux_sym_coarray_statement_token11] = ACTIONS(6783),
    [aux_sym_coarray_statement_token12] = ACTIONS(6783),
    [aux_sym_coarray_statement_token13] = ACTIONS(6783),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6783),
    [aux_sym_identifier_token1] = ACTIONS(6783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6785),
    [sym__float_literal] = ACTIONS(6785),
    [sym__boz_literal] = ACTIONS(6785),
    [sym__string_literal] = ACTIONS(6785),
    [sym__string_literal_kind] = ACTIONS(6785),
  },
  [2626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_contains_statement_token1] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6523),
    [aux_sym_preproc_def_token1] = ACTIONS(6523),
    [aux_sym_preproc_if_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6523),
    [sym_preproc_directive] = ACTIONS(6523),
    [anon_sym_LPAREN2] = ACTIONS(6523),
    [anon_sym_PLUS] = ACTIONS(6527),
    [anon_sym_DASH] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6523),
    [anon_sym_SEMI] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6523),
    [aux_sym_block_data_statement_token2] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6523),
    [aux_sym_contains_statement_token1] = ACTIONS(6523),
    [aux_sym_use_statement_token2] = ACTIONS(6523),
    [aux_sym_implicit_statement_token4] = ACTIONS(6523),
    [aux_sym_save_statement_token1] = ACTIONS(6523),
    [aux_sym_private_statement_token1] = ACTIONS(6523),
    [aux_sym_public_statement_token1] = ACTIONS(6523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6523),
    [aux_sym_variable_attributes_token2] = ACTIONS(6523),
    [aux_sym_variable_attributes_token3] = ACTIONS(6523),
    [aux_sym_variable_attributes_token5] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6523),
    [aux_sym_type_qualifier_token1] = ACTIONS(6523),
    [aux_sym_type_qualifier_token2] = ACTIONS(6523),
    [aux_sym_stop_statement_token1] = ACTIONS(6523),
    [aux_sym_stop_statement_token2] = ACTIONS(6523),
    [aux_sym_subroutine_call_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token1] = ACTIONS(6523),
    [aux_sym_keyword_statement_token2] = ACTIONS(6523),
    [aux_sym_keyword_statement_token3] = ACTIONS(6523),
    [aux_sym_keyword_statement_token4] = ACTIONS(6523),
    [aux_sym_keyword_statement_token6] = ACTIONS(6523),
    [aux_sym_keyword_statement_token7] = ACTIONS(6523),
    [aux_sym_include_statement_token1] = ACTIONS(6523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6523),
    [aux_sym_end_if_statement_token1] = ACTIONS(6523),
    [aux_sym_elseif_clause_token2] = ACTIONS(6523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token1] = ACTIONS(6523),
    [aux_sym_select_case_statement_token3] = ACTIONS(6523),
    [aux_sym_select_type_statement_token1] = ACTIONS(6523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6523),
    [aux_sym_associate_statement_token1] = ACTIONS(6523),
    [aux_sym_format_statement_token1] = ACTIONS(6523),
    [aux_sym_print_statement_token1] = ACTIONS(6523),
    [aux_sym_open_statement_token1] = ACTIONS(6523),
    [aux_sym_close_statement_token1] = ACTIONS(6523),
    [aux_sym_inquire_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token1] = ACTIONS(6523),
    [aux_sym_file_position_statement_token2] = ACTIONS(6523),
    [aux_sym_file_position_statement_token3] = ACTIONS(6523),
    [aux_sym_file_position_statement_token4] = ACTIONS(6523),
    [aux_sym_allocate_statement_token1] = ACTIONS(6523),
    [aux_sym_entry_statement_token1] = ACTIONS(6523),
    [aux_sym_assign_statement_token1] = ACTIONS(6523),
    [aux_sym_logical_expression_token5] = ACTIONS(6527),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [aux_sym_boolean_literal_token1] = ACTIONS(6527),
    [aux_sym_boolean_literal_token2] = ACTIONS(6527),
    [aux_sym_null_literal_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_statement_token2] = ACTIONS(6523),
    [aux_sym_coarray_statement_token6] = ACTIONS(6523),
    [aux_sym_coarray_statement_token8] = ACTIONS(6523),
    [aux_sym_coarray_statement_token11] = ACTIONS(6523),
    [aux_sym_coarray_statement_token12] = ACTIONS(6523),
    [aux_sym_coarray_statement_token13] = ACTIONS(6523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6523),
    [aux_sym_identifier_token1] = ACTIONS(6523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6527),
    [sym__float_literal] = ACTIONS(6527),
    [sym__boz_literal] = ACTIONS(6527),
    [sym__string_literal] = ACTIONS(6527),
    [sym__string_literal_kind] = ACTIONS(6527),
  },
  [2628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(6999),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(7003),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2634] = {
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_LPAREN2] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7011),
    [anon_sym_SLASH] = ACTIONS(7011),
    [anon_sym_PERCENT] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_GT_EQ] = ACTIONS(7009),
    [anon_sym_LT_EQ] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7011),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [anon_sym_EQ] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_language_binding_token1] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [anon_sym_COLON_COLON] = ACTIONS(7009),
    [anon_sym_EQ_GT] = ACTIONS(7009),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token1] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token4] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [anon_sym_GT_GT_GT] = ACTIONS(7009),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token1] = ACTIONS(7009),
    [aux_sym_logical_expression_token2] = ACTIONS(7009),
    [aux_sym_logical_expression_token3] = ACTIONS(7009),
    [aux_sym_logical_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token1] = ACTIONS(7009),
    [aux_sym_relational_expression_token2] = ACTIONS(7009),
    [aux_sym_relational_expression_token3] = ACTIONS(7009),
    [aux_sym_relational_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token5] = ACTIONS(7009),
    [anon_sym_SLASH_EQ] = ACTIONS(7009),
    [aux_sym_relational_expression_token6] = ACTIONS(7009),
    [anon_sym_SLASH_SLASH] = ACTIONS(7009),
    [anon_sym_STAR_STAR] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [anon_sym_QMARK] = ACTIONS(7009),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
  },
  [2635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7013),
    [aux_sym_preproc_def_token1] = ACTIONS(7013),
    [aux_sym_preproc_if_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7013),
    [sym_preproc_directive] = ACTIONS(7013),
    [anon_sym_LPAREN2] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_DASH] = ACTIONS(7015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7013),
    [anon_sym_SEMI] = ACTIONS(7015),
    [aux_sym_block_data_statement_token1] = ACTIONS(7013),
    [aux_sym_block_data_statement_token2] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7013),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7013),
    [aux_sym_contains_statement_token1] = ACTIONS(7013),
    [aux_sym_use_statement_token2] = ACTIONS(7013),
    [aux_sym_implicit_statement_token4] = ACTIONS(7013),
    [aux_sym_save_statement_token1] = ACTIONS(7013),
    [aux_sym_private_statement_token1] = ACTIONS(7013),
    [aux_sym_public_statement_token1] = ACTIONS(7013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7013),
    [aux_sym_variable_attributes_token2] = ACTIONS(7013),
    [aux_sym_variable_attributes_token3] = ACTIONS(7013),
    [aux_sym_variable_attributes_token5] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7013),
    [aux_sym_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym_stop_statement_token1] = ACTIONS(7013),
    [aux_sym_stop_statement_token2] = ACTIONS(7013),
    [aux_sym_subroutine_call_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token2] = ACTIONS(7013),
    [aux_sym_keyword_statement_token3] = ACTIONS(7013),
    [aux_sym_keyword_statement_token4] = ACTIONS(7013),
    [aux_sym_keyword_statement_token6] = ACTIONS(7013),
    [aux_sym_keyword_statement_token7] = ACTIONS(7013),
    [aux_sym_include_statement_token1] = ACTIONS(7013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7013),
    [aux_sym_end_if_statement_token1] = ACTIONS(7013),
    [aux_sym_elseif_clause_token2] = ACTIONS(7013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token3] = ACTIONS(7013),
    [aux_sym_select_type_statement_token1] = ACTIONS(7013),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7013),
    [aux_sym_associate_statement_token1] = ACTIONS(7013),
    [aux_sym_format_statement_token1] = ACTIONS(7013),
    [aux_sym_print_statement_token1] = ACTIONS(7013),
    [aux_sym_open_statement_token1] = ACTIONS(7013),
    [aux_sym_close_statement_token1] = ACTIONS(7013),
    [aux_sym_inquire_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token2] = ACTIONS(7013),
    [aux_sym_file_position_statement_token3] = ACTIONS(7013),
    [aux_sym_file_position_statement_token4] = ACTIONS(7013),
    [aux_sym_allocate_statement_token1] = ACTIONS(7013),
    [aux_sym_entry_statement_token1] = ACTIONS(7013),
    [aux_sym_assign_statement_token1] = ACTIONS(7013),
    [aux_sym_logical_expression_token5] = ACTIONS(7015),
    [anon_sym_DOT] = ACTIONS(7013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7015),
    [aux_sym_boolean_literal_token1] = ACTIONS(7015),
    [aux_sym_boolean_literal_token2] = ACTIONS(7015),
    [aux_sym_null_literal_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token2] = ACTIONS(7013),
    [aux_sym_coarray_statement_token6] = ACTIONS(7013),
    [aux_sym_coarray_statement_token8] = ACTIONS(7013),
    [aux_sym_coarray_statement_token11] = ACTIONS(7013),
    [aux_sym_coarray_statement_token12] = ACTIONS(7013),
    [aux_sym_coarray_statement_token13] = ACTIONS(7013),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7013),
    [aux_sym_identifier_token1] = ACTIONS(7013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7015),
    [sym__float_literal] = ACTIONS(7015),
    [sym__boz_literal] = ACTIONS(7015),
    [sym__string_literal] = ACTIONS(7015),
    [sym__string_literal_kind] = ACTIONS(7015),
  },
  [2637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(7019),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_contains_statement_token1] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6941),
    [aux_sym_preproc_def_token1] = ACTIONS(6941),
    [aux_sym_preproc_if_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6941),
    [sym_preproc_directive] = ACTIONS(6941),
    [anon_sym_LPAREN2] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6943),
    [anon_sym_DASH] = ACTIONS(6943),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6941),
    [anon_sym_SEMI] = ACTIONS(6943),
    [aux_sym_block_data_statement_token1] = ACTIONS(6941),
    [aux_sym_block_data_statement_token2] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6941),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6941),
    [aux_sym_end_function_statement_token1] = ACTIONS(6941),
    [aux_sym_contains_statement_token1] = ACTIONS(6941),
    [aux_sym_use_statement_token2] = ACTIONS(6941),
    [aux_sym_implicit_statement_token4] = ACTIONS(6941),
    [aux_sym_save_statement_token1] = ACTIONS(6941),
    [aux_sym_private_statement_token1] = ACTIONS(6941),
    [aux_sym_public_statement_token1] = ACTIONS(6941),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6941),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6941),
    [aux_sym_variable_attributes_token2] = ACTIONS(6941),
    [aux_sym_variable_attributes_token3] = ACTIONS(6941),
    [aux_sym_variable_attributes_token5] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6941),
    [aux_sym_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym_stop_statement_token1] = ACTIONS(6941),
    [aux_sym_stop_statement_token2] = ACTIONS(6941),
    [aux_sym_subroutine_call_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token2] = ACTIONS(6941),
    [aux_sym_keyword_statement_token3] = ACTIONS(6941),
    [aux_sym_keyword_statement_token4] = ACTIONS(6941),
    [aux_sym_keyword_statement_token6] = ACTIONS(6941),
    [aux_sym_keyword_statement_token7] = ACTIONS(6941),
    [aux_sym_include_statement_token1] = ACTIONS(6941),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6941),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6941),
    [aux_sym_end_if_statement_token1] = ACTIONS(6941),
    [aux_sym_elseif_clause_token2] = ACTIONS(6941),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6941),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token3] = ACTIONS(6941),
    [aux_sym_select_type_statement_token1] = ACTIONS(6941),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6941),
    [aux_sym_associate_statement_token1] = ACTIONS(6941),
    [aux_sym_format_statement_token1] = ACTIONS(6941),
    [aux_sym_print_statement_token1] = ACTIONS(6941),
    [aux_sym_open_statement_token1] = ACTIONS(6941),
    [aux_sym_close_statement_token1] = ACTIONS(6941),
    [aux_sym_inquire_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token2] = ACTIONS(6941),
    [aux_sym_file_position_statement_token3] = ACTIONS(6941),
    [aux_sym_file_position_statement_token4] = ACTIONS(6941),
    [aux_sym_allocate_statement_token1] = ACTIONS(6941),
    [aux_sym_entry_statement_token1] = ACTIONS(6941),
    [aux_sym_assign_statement_token1] = ACTIONS(6941),
    [aux_sym_logical_expression_token5] = ACTIONS(6943),
    [anon_sym_DOT] = ACTIONS(6941),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [aux_sym_boolean_literal_token1] = ACTIONS(6943),
    [aux_sym_boolean_literal_token2] = ACTIONS(6943),
    [aux_sym_null_literal_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token2] = ACTIONS(6941),
    [aux_sym_coarray_statement_token6] = ACTIONS(6941),
    [aux_sym_coarray_statement_token8] = ACTIONS(6941),
    [aux_sym_coarray_statement_token11] = ACTIONS(6941),
    [aux_sym_coarray_statement_token12] = ACTIONS(6941),
    [aux_sym_coarray_statement_token13] = ACTIONS(6941),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6941),
    [aux_sym_identifier_token1] = ACTIONS(6941),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6943),
    [sym__float_literal] = ACTIONS(6943),
    [sym__boz_literal] = ACTIONS(6943),
    [sym__string_literal] = ACTIONS(6943),
    [sym__string_literal_kind] = ACTIONS(6943),
  },
  [2641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7013),
    [aux_sym_preproc_def_token1] = ACTIONS(7013),
    [aux_sym_preproc_if_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7013),
    [sym_preproc_directive] = ACTIONS(7013),
    [anon_sym_LPAREN2] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_DASH] = ACTIONS(7015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7013),
    [anon_sym_SEMI] = ACTIONS(7015),
    [aux_sym_block_data_statement_token1] = ACTIONS(7013),
    [aux_sym_block_data_statement_token2] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7013),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7013),
    [aux_sym_contains_statement_token1] = ACTIONS(7013),
    [aux_sym_use_statement_token2] = ACTIONS(7013),
    [aux_sym_implicit_statement_token4] = ACTIONS(7013),
    [aux_sym_save_statement_token1] = ACTIONS(7013),
    [aux_sym_private_statement_token1] = ACTIONS(7013),
    [aux_sym_public_statement_token1] = ACTIONS(7013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7013),
    [aux_sym_variable_attributes_token2] = ACTIONS(7013),
    [aux_sym_variable_attributes_token3] = ACTIONS(7013),
    [aux_sym_variable_attributes_token5] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7013),
    [aux_sym_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym_stop_statement_token1] = ACTIONS(7013),
    [aux_sym_stop_statement_token2] = ACTIONS(7013),
    [aux_sym_subroutine_call_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token2] = ACTIONS(7013),
    [aux_sym_keyword_statement_token3] = ACTIONS(7013),
    [aux_sym_keyword_statement_token4] = ACTIONS(7013),
    [aux_sym_keyword_statement_token6] = ACTIONS(7013),
    [aux_sym_keyword_statement_token7] = ACTIONS(7013),
    [aux_sym_include_statement_token1] = ACTIONS(7013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7013),
    [aux_sym_end_if_statement_token1] = ACTIONS(7013),
    [aux_sym_elseif_clause_token2] = ACTIONS(7013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token3] = ACTIONS(7013),
    [aux_sym_select_type_statement_token1] = ACTIONS(7013),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7013),
    [aux_sym_associate_statement_token1] = ACTIONS(7013),
    [aux_sym_format_statement_token1] = ACTIONS(7013),
    [aux_sym_print_statement_token1] = ACTIONS(7013),
    [aux_sym_open_statement_token1] = ACTIONS(7013),
    [aux_sym_close_statement_token1] = ACTIONS(7013),
    [aux_sym_inquire_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token2] = ACTIONS(7013),
    [aux_sym_file_position_statement_token3] = ACTIONS(7013),
    [aux_sym_file_position_statement_token4] = ACTIONS(7013),
    [aux_sym_allocate_statement_token1] = ACTIONS(7013),
    [aux_sym_entry_statement_token1] = ACTIONS(7013),
    [aux_sym_assign_statement_token1] = ACTIONS(7013),
    [aux_sym_logical_expression_token5] = ACTIONS(7015),
    [anon_sym_DOT] = ACTIONS(7013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7015),
    [aux_sym_boolean_literal_token1] = ACTIONS(7015),
    [aux_sym_boolean_literal_token2] = ACTIONS(7015),
    [aux_sym_null_literal_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token2] = ACTIONS(7013),
    [aux_sym_coarray_statement_token6] = ACTIONS(7013),
    [aux_sym_coarray_statement_token8] = ACTIONS(7013),
    [aux_sym_coarray_statement_token11] = ACTIONS(7013),
    [aux_sym_coarray_statement_token12] = ACTIONS(7013),
    [aux_sym_coarray_statement_token13] = ACTIONS(7013),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7013),
    [aux_sym_identifier_token1] = ACTIONS(7013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7015),
    [sym__float_literal] = ACTIONS(7015),
    [sym__boz_literal] = ACTIONS(7015),
    [sym__string_literal] = ACTIONS(7015),
    [sym__string_literal_kind] = ACTIONS(7015),
  },
  [2642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [aux_sym_end_program_statement_token2] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_contains_statement_token1] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6953),
    [aux_sym_preproc_def_token1] = ACTIONS(6953),
    [aux_sym_preproc_if_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6953),
    [sym_preproc_directive] = ACTIONS(6953),
    [anon_sym_LPAREN2] = ACTIONS(6953),
    [anon_sym_PLUS] = ACTIONS(6955),
    [anon_sym_DASH] = ACTIONS(6955),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6953),
    [anon_sym_SEMI] = ACTIONS(6955),
    [aux_sym_block_data_statement_token1] = ACTIONS(6953),
    [aux_sym_block_data_statement_token2] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6953),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6953),
    [aux_sym_end_function_statement_token1] = ACTIONS(6953),
    [aux_sym_contains_statement_token1] = ACTIONS(6953),
    [aux_sym_use_statement_token2] = ACTIONS(6953),
    [aux_sym_implicit_statement_token4] = ACTIONS(6953),
    [aux_sym_save_statement_token1] = ACTIONS(6953),
    [aux_sym_private_statement_token1] = ACTIONS(6953),
    [aux_sym_public_statement_token1] = ACTIONS(6953),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6953),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6953),
    [aux_sym_variable_attributes_token2] = ACTIONS(6953),
    [aux_sym_variable_attributes_token3] = ACTIONS(6953),
    [aux_sym_variable_attributes_token5] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6953),
    [aux_sym_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym_stop_statement_token1] = ACTIONS(6953),
    [aux_sym_stop_statement_token2] = ACTIONS(6953),
    [aux_sym_subroutine_call_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token2] = ACTIONS(6953),
    [aux_sym_keyword_statement_token3] = ACTIONS(6953),
    [aux_sym_keyword_statement_token4] = ACTIONS(6953),
    [aux_sym_keyword_statement_token6] = ACTIONS(6953),
    [aux_sym_keyword_statement_token7] = ACTIONS(6953),
    [aux_sym_include_statement_token1] = ACTIONS(6953),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6953),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6953),
    [aux_sym_end_if_statement_token1] = ACTIONS(6953),
    [aux_sym_elseif_clause_token2] = ACTIONS(6953),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6953),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token3] = ACTIONS(6953),
    [aux_sym_select_type_statement_token1] = ACTIONS(6953),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6953),
    [aux_sym_associate_statement_token1] = ACTIONS(6953),
    [aux_sym_format_statement_token1] = ACTIONS(6953),
    [aux_sym_print_statement_token1] = ACTIONS(6953),
    [aux_sym_open_statement_token1] = ACTIONS(6953),
    [aux_sym_close_statement_token1] = ACTIONS(6953),
    [aux_sym_inquire_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token2] = ACTIONS(6953),
    [aux_sym_file_position_statement_token3] = ACTIONS(6953),
    [aux_sym_file_position_statement_token4] = ACTIONS(6953),
    [aux_sym_allocate_statement_token1] = ACTIONS(6953),
    [aux_sym_entry_statement_token1] = ACTIONS(6953),
    [aux_sym_assign_statement_token1] = ACTIONS(6953),
    [aux_sym_logical_expression_token5] = ACTIONS(6955),
    [anon_sym_DOT] = ACTIONS(6953),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6955),
    [anon_sym_LBRACK] = ACTIONS(6955),
    [aux_sym_boolean_literal_token1] = ACTIONS(6955),
    [aux_sym_boolean_literal_token2] = ACTIONS(6955),
    [aux_sym_null_literal_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token2] = ACTIONS(6953),
    [aux_sym_coarray_statement_token6] = ACTIONS(6953),
    [aux_sym_coarray_statement_token8] = ACTIONS(6953),
    [aux_sym_coarray_statement_token11] = ACTIONS(6953),
    [aux_sym_coarray_statement_token12] = ACTIONS(6953),
    [aux_sym_coarray_statement_token13] = ACTIONS(6953),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6953),
    [aux_sym_identifier_token1] = ACTIONS(6953),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6955),
    [sym__float_literal] = ACTIONS(6955),
    [sym__boz_literal] = ACTIONS(6955),
    [sym__string_literal] = ACTIONS(6955),
    [sym__string_literal_kind] = ACTIONS(6955),
  },
  [2648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_end_function_statement_token1] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [aux_sym_end_program_statement_token2] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6957),
    [aux_sym_preproc_def_token1] = ACTIONS(6957),
    [aux_sym_preproc_if_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6957),
    [sym_preproc_directive] = ACTIONS(6957),
    [anon_sym_LPAREN2] = ACTIONS(6957),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6957),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6957),
    [aux_sym_block_data_statement_token2] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6957),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6957),
    [aux_sym_end_function_statement_token1] = ACTIONS(6957),
    [aux_sym_contains_statement_token1] = ACTIONS(6957),
    [aux_sym_use_statement_token2] = ACTIONS(6957),
    [aux_sym_implicit_statement_token4] = ACTIONS(6957),
    [aux_sym_save_statement_token1] = ACTIONS(6957),
    [aux_sym_private_statement_token1] = ACTIONS(6957),
    [aux_sym_public_statement_token1] = ACTIONS(6957),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6957),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6957),
    [aux_sym_variable_attributes_token2] = ACTIONS(6957),
    [aux_sym_variable_attributes_token3] = ACTIONS(6957),
    [aux_sym_variable_attributes_token5] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6957),
    [aux_sym_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym_stop_statement_token1] = ACTIONS(6957),
    [aux_sym_stop_statement_token2] = ACTIONS(6957),
    [aux_sym_subroutine_call_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token2] = ACTIONS(6957),
    [aux_sym_keyword_statement_token3] = ACTIONS(6957),
    [aux_sym_keyword_statement_token4] = ACTIONS(6957),
    [aux_sym_keyword_statement_token6] = ACTIONS(6957),
    [aux_sym_keyword_statement_token7] = ACTIONS(6957),
    [aux_sym_include_statement_token1] = ACTIONS(6957),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6957),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6957),
    [aux_sym_end_if_statement_token1] = ACTIONS(6957),
    [aux_sym_elseif_clause_token2] = ACTIONS(6957),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6957),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token3] = ACTIONS(6957),
    [aux_sym_select_type_statement_token1] = ACTIONS(6957),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6957),
    [aux_sym_associate_statement_token1] = ACTIONS(6957),
    [aux_sym_format_statement_token1] = ACTIONS(6957),
    [aux_sym_print_statement_token1] = ACTIONS(6957),
    [aux_sym_open_statement_token1] = ACTIONS(6957),
    [aux_sym_close_statement_token1] = ACTIONS(6957),
    [aux_sym_inquire_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token2] = ACTIONS(6957),
    [aux_sym_file_position_statement_token3] = ACTIONS(6957),
    [aux_sym_file_position_statement_token4] = ACTIONS(6957),
    [aux_sym_allocate_statement_token1] = ACTIONS(6957),
    [aux_sym_entry_statement_token1] = ACTIONS(6957),
    [aux_sym_assign_statement_token1] = ACTIONS(6957),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6957),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token2] = ACTIONS(6957),
    [aux_sym_coarray_statement_token6] = ACTIONS(6957),
    [aux_sym_coarray_statement_token8] = ACTIONS(6957),
    [aux_sym_coarray_statement_token11] = ACTIONS(6957),
    [aux_sym_coarray_statement_token12] = ACTIONS(6957),
    [aux_sym_coarray_statement_token13] = ACTIONS(6957),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6957),
    [aux_sym_identifier_token1] = ACTIONS(6957),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [aux_sym_end_program_statement_token2] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [aux_sym_end_program_statement_token2] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_contains_statement_token1] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_contains_statement_token1] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2655] = {
    [anon_sym_COMMA] = ACTIONS(6367),
    [anon_sym_RPAREN] = ACTIONS(6367),
    [anon_sym_LPAREN2] = ACTIONS(6367),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_STAR] = ACTIONS(6369),
    [anon_sym_SLASH] = ACTIONS(6369),
    [anon_sym_PERCENT] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6367),
    [anon_sym_GT] = ACTIONS(6369),
    [anon_sym_GT_EQ] = ACTIONS(6367),
    [anon_sym_LT_EQ] = ACTIONS(6367),
    [anon_sym_LT] = ACTIONS(6369),
    [aux_sym_end_program_statement_token1] = ACTIONS(6369),
    [aux_sym_block_data_statement_token1] = ACTIONS(6369),
    [aux_sym_block_data_statement_token2] = ACTIONS(6369),
    [anon_sym_EQ] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6369),
    [aux_sym_language_binding_token1] = ACTIONS(6369),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6369),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6369),
    [aux_sym_use_statement_token2] = ACTIONS(6369),
    [anon_sym_COLON_COLON] = ACTIONS(6367),
    [anon_sym_EQ_GT] = ACTIONS(6367),
    [aux_sym_implicit_statement_token4] = ACTIONS(6369),
    [aux_sym_save_statement_token1] = ACTIONS(6369),
    [aux_sym_private_statement_token1] = ACTIONS(6369),
    [aux_sym_public_statement_token1] = ACTIONS(6369),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6369),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6369),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6369),
    [aux_sym_variable_attributes_token1] = ACTIONS(6369),
    [aux_sym_variable_attributes_token2] = ACTIONS(6369),
    [aux_sym_variable_attributes_token3] = ACTIONS(6369),
    [aux_sym_variable_attributes_token4] = ACTIONS(6369),
    [aux_sym_variable_attributes_token5] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6369),
    [aux_sym_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym_stop_statement_token1] = ACTIONS(6369),
    [aux_sym_stop_statement_token2] = ACTIONS(6369),
    [aux_sym_subroutine_call_token1] = ACTIONS(6369),
    [anon_sym_GT_GT_GT] = ACTIONS(6367),
    [aux_sym_keyword_statement_token2] = ACTIONS(6369),
    [aux_sym_keyword_statement_token3] = ACTIONS(6369),
    [aux_sym_keyword_statement_token4] = ACTIONS(6369),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6369),
    [aux_sym_end_if_statement_token1] = ACTIONS(6369),
    [aux_sym_elseif_clause_token2] = ACTIONS(6369),
    [aux_sym_select_case_statement_token1] = ACTIONS(6369),
    [aux_sym_format_statement_token1] = ACTIONS(6369),
    [aux_sym_open_statement_token1] = ACTIONS(6369),
    [aux_sym_inquire_statement_token1] = ACTIONS(6369),
    [aux_sym_entry_statement_token1] = ACTIONS(6369),
    [aux_sym_logical_expression_token1] = ACTIONS(6367),
    [aux_sym_logical_expression_token2] = ACTIONS(6367),
    [aux_sym_logical_expression_token3] = ACTIONS(6367),
    [aux_sym_logical_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token1] = ACTIONS(6367),
    [aux_sym_relational_expression_token2] = ACTIONS(6367),
    [aux_sym_relational_expression_token3] = ACTIONS(6367),
    [aux_sym_relational_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token5] = ACTIONS(6367),
    [anon_sym_SLASH_EQ] = ACTIONS(6367),
    [aux_sym_relational_expression_token6] = ACTIONS(6367),
    [anon_sym_SLASH_SLASH] = ACTIONS(6367),
    [anon_sym_STAR_STAR] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6369),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [anon_sym_RBRACK] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token2] = ACTIONS(6369),
    [aux_sym_coarray_statement_token6] = ACTIONS(6369),
    [aux_sym_coarray_statement_token8] = ACTIONS(6369),
    [aux_sym_coarray_statement_token11] = ACTIONS(6369),
    [aux_sym_coarray_statement_token12] = ACTIONS(6369),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6367),
    [aux_sym_identifier_token1] = ACTIONS(6369),
    [sym_comment] = ACTIONS(21),
  },
  [2656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6965),
    [aux_sym_preproc_def_token1] = ACTIONS(6965),
    [aux_sym_preproc_if_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6965),
    [sym_preproc_directive] = ACTIONS(6965),
    [anon_sym_LPAREN2] = ACTIONS(6965),
    [anon_sym_PLUS] = ACTIONS(6967),
    [anon_sym_DASH] = ACTIONS(6967),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6965),
    [anon_sym_SEMI] = ACTIONS(6967),
    [aux_sym_block_data_statement_token1] = ACTIONS(6965),
    [aux_sym_block_data_statement_token2] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6965),
    [aux_sym_end_function_statement_token1] = ACTIONS(6965),
    [aux_sym_contains_statement_token1] = ACTIONS(6965),
    [aux_sym_use_statement_token2] = ACTIONS(6965),
    [aux_sym_implicit_statement_token4] = ACTIONS(6965),
    [aux_sym_save_statement_token1] = ACTIONS(6965),
    [aux_sym_private_statement_token1] = ACTIONS(6965),
    [aux_sym_public_statement_token1] = ACTIONS(6965),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6965),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6965),
    [aux_sym_variable_attributes_token2] = ACTIONS(6965),
    [aux_sym_variable_attributes_token3] = ACTIONS(6965),
    [aux_sym_variable_attributes_token5] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6965),
    [aux_sym_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym_stop_statement_token1] = ACTIONS(6965),
    [aux_sym_stop_statement_token2] = ACTIONS(6965),
    [aux_sym_subroutine_call_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token2] = ACTIONS(6965),
    [aux_sym_keyword_statement_token3] = ACTIONS(6965),
    [aux_sym_keyword_statement_token4] = ACTIONS(6965),
    [aux_sym_keyword_statement_token6] = ACTIONS(6965),
    [aux_sym_keyword_statement_token7] = ACTIONS(6965),
    [aux_sym_include_statement_token1] = ACTIONS(6965),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6965),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6965),
    [aux_sym_end_if_statement_token1] = ACTIONS(6965),
    [aux_sym_elseif_clause_token2] = ACTIONS(6965),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6965),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token3] = ACTIONS(6965),
    [aux_sym_select_type_statement_token1] = ACTIONS(6965),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6965),
    [aux_sym_associate_statement_token1] = ACTIONS(6965),
    [aux_sym_format_statement_token1] = ACTIONS(6965),
    [aux_sym_print_statement_token1] = ACTIONS(6965),
    [aux_sym_open_statement_token1] = ACTIONS(6965),
    [aux_sym_close_statement_token1] = ACTIONS(6965),
    [aux_sym_inquire_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token2] = ACTIONS(6965),
    [aux_sym_file_position_statement_token3] = ACTIONS(6965),
    [aux_sym_file_position_statement_token4] = ACTIONS(6965),
    [aux_sym_allocate_statement_token1] = ACTIONS(6965),
    [aux_sym_entry_statement_token1] = ACTIONS(6965),
    [aux_sym_assign_statement_token1] = ACTIONS(6965),
    [aux_sym_logical_expression_token5] = ACTIONS(6967),
    [anon_sym_DOT] = ACTIONS(6965),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6967),
    [anon_sym_LBRACK] = ACTIONS(6967),
    [aux_sym_boolean_literal_token1] = ACTIONS(6967),
    [aux_sym_boolean_literal_token2] = ACTIONS(6967),
    [aux_sym_null_literal_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token2] = ACTIONS(6965),
    [aux_sym_coarray_statement_token6] = ACTIONS(6965),
    [aux_sym_coarray_statement_token8] = ACTIONS(6965),
    [aux_sym_coarray_statement_token11] = ACTIONS(6965),
    [aux_sym_coarray_statement_token12] = ACTIONS(6965),
    [aux_sym_coarray_statement_token13] = ACTIONS(6965),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6965),
    [aux_sym_identifier_token1] = ACTIONS(6965),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6967),
    [sym__float_literal] = ACTIONS(6967),
    [sym__boz_literal] = ACTIONS(6967),
    [sym__string_literal] = ACTIONS(6967),
    [sym__string_literal_kind] = ACTIONS(6967),
  },
  [2658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6921),
    [aux_sym_preproc_def_token1] = ACTIONS(6921),
    [aux_sym_preproc_if_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6921),
    [sym_preproc_directive] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6923),
    [anon_sym_DASH] = ACTIONS(6923),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6921),
    [anon_sym_SEMI] = ACTIONS(6923),
    [aux_sym_block_data_statement_token1] = ACTIONS(6921),
    [aux_sym_block_data_statement_token2] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6921),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6921),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6921),
    [aux_sym_contains_statement_token1] = ACTIONS(6921),
    [aux_sym_use_statement_token2] = ACTIONS(6921),
    [aux_sym_implicit_statement_token4] = ACTIONS(6921),
    [aux_sym_save_statement_token1] = ACTIONS(6921),
    [aux_sym_private_statement_token1] = ACTIONS(6921),
    [aux_sym_public_statement_token1] = ACTIONS(6921),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6921),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6921),
    [aux_sym_variable_attributes_token2] = ACTIONS(6921),
    [aux_sym_variable_attributes_token3] = ACTIONS(6921),
    [aux_sym_variable_attributes_token5] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6921),
    [aux_sym_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym_stop_statement_token1] = ACTIONS(6921),
    [aux_sym_stop_statement_token2] = ACTIONS(6921),
    [aux_sym_subroutine_call_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token2] = ACTIONS(6921),
    [aux_sym_keyword_statement_token3] = ACTIONS(6921),
    [aux_sym_keyword_statement_token4] = ACTIONS(6921),
    [aux_sym_keyword_statement_token6] = ACTIONS(6921),
    [aux_sym_keyword_statement_token7] = ACTIONS(6921),
    [aux_sym_include_statement_token1] = ACTIONS(6921),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6921),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6921),
    [aux_sym_end_if_statement_token1] = ACTIONS(6921),
    [aux_sym_elseif_clause_token2] = ACTIONS(6921),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6921),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token3] = ACTIONS(6921),
    [aux_sym_select_type_statement_token1] = ACTIONS(6921),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6921),
    [aux_sym_associate_statement_token1] = ACTIONS(6921),
    [aux_sym_format_statement_token1] = ACTIONS(6921),
    [aux_sym_print_statement_token1] = ACTIONS(6921),
    [aux_sym_open_statement_token1] = ACTIONS(6921),
    [aux_sym_close_statement_token1] = ACTIONS(6921),
    [aux_sym_inquire_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token2] = ACTIONS(6921),
    [aux_sym_file_position_statement_token3] = ACTIONS(6921),
    [aux_sym_file_position_statement_token4] = ACTIONS(6921),
    [aux_sym_allocate_statement_token1] = ACTIONS(6921),
    [aux_sym_entry_statement_token1] = ACTIONS(6921),
    [aux_sym_assign_statement_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token5] = ACTIONS(6923),
    [anon_sym_DOT] = ACTIONS(6921),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6923),
    [aux_sym_boolean_literal_token1] = ACTIONS(6923),
    [aux_sym_boolean_literal_token2] = ACTIONS(6923),
    [aux_sym_null_literal_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token2] = ACTIONS(6921),
    [aux_sym_coarray_statement_token6] = ACTIONS(6921),
    [aux_sym_coarray_statement_token8] = ACTIONS(6921),
    [aux_sym_coarray_statement_token11] = ACTIONS(6921),
    [aux_sym_coarray_statement_token12] = ACTIONS(6921),
    [aux_sym_coarray_statement_token13] = ACTIONS(6921),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6921),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6923),
    [sym__float_literal] = ACTIONS(6923),
    [sym__boz_literal] = ACTIONS(6923),
    [sym__string_literal] = ACTIONS(6923),
    [sym__string_literal_kind] = ACTIONS(6923),
  },
  [2659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6969),
    [aux_sym_preproc_def_token1] = ACTIONS(6969),
    [aux_sym_preproc_if_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6969),
    [sym_preproc_directive] = ACTIONS(6969),
    [anon_sym_LPAREN2] = ACTIONS(6969),
    [anon_sym_PLUS] = ACTIONS(6971),
    [anon_sym_DASH] = ACTIONS(6971),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6969),
    [anon_sym_SEMI] = ACTIONS(6971),
    [aux_sym_block_data_statement_token1] = ACTIONS(6969),
    [aux_sym_block_data_statement_token2] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6969),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6969),
    [aux_sym_end_function_statement_token1] = ACTIONS(6969),
    [aux_sym_contains_statement_token1] = ACTIONS(6969),
    [aux_sym_use_statement_token2] = ACTIONS(6969),
    [aux_sym_implicit_statement_token4] = ACTIONS(6969),
    [aux_sym_save_statement_token1] = ACTIONS(6969),
    [aux_sym_private_statement_token1] = ACTIONS(6969),
    [aux_sym_public_statement_token1] = ACTIONS(6969),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6969),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6969),
    [aux_sym_variable_attributes_token2] = ACTIONS(6969),
    [aux_sym_variable_attributes_token3] = ACTIONS(6969),
    [aux_sym_variable_attributes_token5] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6969),
    [aux_sym_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym_stop_statement_token1] = ACTIONS(6969),
    [aux_sym_stop_statement_token2] = ACTIONS(6969),
    [aux_sym_subroutine_call_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token2] = ACTIONS(6969),
    [aux_sym_keyword_statement_token3] = ACTIONS(6969),
    [aux_sym_keyword_statement_token4] = ACTIONS(6969),
    [aux_sym_keyword_statement_token6] = ACTIONS(6969),
    [aux_sym_keyword_statement_token7] = ACTIONS(6969),
    [aux_sym_include_statement_token1] = ACTIONS(6969),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6969),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6969),
    [aux_sym_end_if_statement_token1] = ACTIONS(6969),
    [aux_sym_elseif_clause_token2] = ACTIONS(6969),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6969),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token3] = ACTIONS(6969),
    [aux_sym_select_type_statement_token1] = ACTIONS(6969),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6969),
    [aux_sym_associate_statement_token1] = ACTIONS(6969),
    [aux_sym_format_statement_token1] = ACTIONS(6969),
    [aux_sym_print_statement_token1] = ACTIONS(6969),
    [aux_sym_open_statement_token1] = ACTIONS(6969),
    [aux_sym_close_statement_token1] = ACTIONS(6969),
    [aux_sym_inquire_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token2] = ACTIONS(6969),
    [aux_sym_file_position_statement_token3] = ACTIONS(6969),
    [aux_sym_file_position_statement_token4] = ACTIONS(6969),
    [aux_sym_allocate_statement_token1] = ACTIONS(6969),
    [aux_sym_entry_statement_token1] = ACTIONS(6969),
    [aux_sym_assign_statement_token1] = ACTIONS(6969),
    [aux_sym_logical_expression_token5] = ACTIONS(6971),
    [anon_sym_DOT] = ACTIONS(6969),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6971),
    [anon_sym_LBRACK] = ACTIONS(6971),
    [aux_sym_boolean_literal_token1] = ACTIONS(6971),
    [aux_sym_boolean_literal_token2] = ACTIONS(6971),
    [aux_sym_null_literal_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token2] = ACTIONS(6969),
    [aux_sym_coarray_statement_token6] = ACTIONS(6969),
    [aux_sym_coarray_statement_token8] = ACTIONS(6969),
    [aux_sym_coarray_statement_token11] = ACTIONS(6969),
    [aux_sym_coarray_statement_token12] = ACTIONS(6969),
    [aux_sym_coarray_statement_token13] = ACTIONS(6969),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6969),
    [aux_sym_identifier_token1] = ACTIONS(6969),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6971),
    [sym__float_literal] = ACTIONS(6971),
    [sym__boz_literal] = ACTIONS(6971),
    [sym__string_literal] = ACTIONS(6971),
    [sym__string_literal_kind] = ACTIONS(6971),
  },
  [2660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6933),
    [aux_sym_preproc_def_token1] = ACTIONS(6933),
    [aux_sym_preproc_if_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6933),
    [sym_preproc_directive] = ACTIONS(6933),
    [anon_sym_LPAREN2] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6933),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6933),
    [aux_sym_block_data_statement_token2] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6933),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6933),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6933),
    [aux_sym_contains_statement_token1] = ACTIONS(6933),
    [aux_sym_use_statement_token2] = ACTIONS(6933),
    [aux_sym_implicit_statement_token4] = ACTIONS(6933),
    [aux_sym_save_statement_token1] = ACTIONS(6933),
    [aux_sym_private_statement_token1] = ACTIONS(6933),
    [aux_sym_public_statement_token1] = ACTIONS(6933),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6933),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6933),
    [aux_sym_variable_attributes_token2] = ACTIONS(6933),
    [aux_sym_variable_attributes_token3] = ACTIONS(6933),
    [aux_sym_variable_attributes_token5] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6933),
    [aux_sym_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym_stop_statement_token1] = ACTIONS(6933),
    [aux_sym_stop_statement_token2] = ACTIONS(6933),
    [aux_sym_subroutine_call_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token2] = ACTIONS(6933),
    [aux_sym_keyword_statement_token3] = ACTIONS(6933),
    [aux_sym_keyword_statement_token4] = ACTIONS(6933),
    [aux_sym_keyword_statement_token6] = ACTIONS(6933),
    [aux_sym_keyword_statement_token7] = ACTIONS(6933),
    [aux_sym_include_statement_token1] = ACTIONS(6933),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6933),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6933),
    [aux_sym_end_if_statement_token1] = ACTIONS(6933),
    [aux_sym_elseif_clause_token2] = ACTIONS(6933),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6933),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token3] = ACTIONS(6933),
    [aux_sym_select_type_statement_token1] = ACTIONS(6933),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6933),
    [aux_sym_associate_statement_token1] = ACTIONS(6933),
    [aux_sym_format_statement_token1] = ACTIONS(6933),
    [aux_sym_print_statement_token1] = ACTIONS(6933),
    [aux_sym_open_statement_token1] = ACTIONS(6933),
    [aux_sym_close_statement_token1] = ACTIONS(6933),
    [aux_sym_inquire_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token2] = ACTIONS(6933),
    [aux_sym_file_position_statement_token3] = ACTIONS(6933),
    [aux_sym_file_position_statement_token4] = ACTIONS(6933),
    [aux_sym_allocate_statement_token1] = ACTIONS(6933),
    [aux_sym_entry_statement_token1] = ACTIONS(6933),
    [aux_sym_assign_statement_token1] = ACTIONS(6933),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6933),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token2] = ACTIONS(6933),
    [aux_sym_coarray_statement_token6] = ACTIONS(6933),
    [aux_sym_coarray_statement_token8] = ACTIONS(6933),
    [aux_sym_coarray_statement_token11] = ACTIONS(6933),
    [aux_sym_coarray_statement_token12] = ACTIONS(6933),
    [aux_sym_coarray_statement_token13] = ACTIONS(6933),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6933),
    [aux_sym_identifier_token1] = ACTIONS(6933),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym_LPAREN2] = ACTIONS(6547),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6547),
    [anon_sym_SEMI] = ACTIONS(6551),
    [aux_sym_block_data_statement_token1] = ACTIONS(6547),
    [aux_sym_block_data_statement_token2] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6547),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6547),
    [aux_sym_contains_statement_token1] = ACTIONS(6547),
    [aux_sym_use_statement_token2] = ACTIONS(6547),
    [aux_sym_implicit_statement_token4] = ACTIONS(6547),
    [aux_sym_save_statement_token1] = ACTIONS(6547),
    [aux_sym_private_statement_token1] = ACTIONS(6547),
    [aux_sym_public_statement_token1] = ACTIONS(6547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6547),
    [aux_sym_variable_attributes_token2] = ACTIONS(6547),
    [aux_sym_variable_attributes_token3] = ACTIONS(6547),
    [aux_sym_variable_attributes_token5] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6547),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6547),
    [aux_sym_type_qualifier_token1] = ACTIONS(6547),
    [aux_sym_type_qualifier_token2] = ACTIONS(6547),
    [aux_sym_stop_statement_token1] = ACTIONS(6547),
    [aux_sym_stop_statement_token2] = ACTIONS(6547),
    [aux_sym_subroutine_call_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token1] = ACTIONS(6547),
    [aux_sym_keyword_statement_token2] = ACTIONS(6547),
    [aux_sym_keyword_statement_token3] = ACTIONS(6547),
    [aux_sym_keyword_statement_token4] = ACTIONS(6547),
    [aux_sym_keyword_statement_token6] = ACTIONS(6547),
    [aux_sym_keyword_statement_token7] = ACTIONS(6547),
    [aux_sym_include_statement_token1] = ACTIONS(6547),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6547),
    [aux_sym_end_if_statement_token1] = ACTIONS(6547),
    [aux_sym_elseif_clause_token2] = ACTIONS(6547),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6547),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token1] = ACTIONS(6547),
    [aux_sym_select_case_statement_token3] = ACTIONS(6547),
    [aux_sym_select_type_statement_token1] = ACTIONS(6547),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6547),
    [aux_sym_associate_statement_token1] = ACTIONS(6547),
    [aux_sym_format_statement_token1] = ACTIONS(6547),
    [aux_sym_print_statement_token1] = ACTIONS(6547),
    [aux_sym_open_statement_token1] = ACTIONS(6547),
    [aux_sym_close_statement_token1] = ACTIONS(6547),
    [aux_sym_inquire_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token1] = ACTIONS(6547),
    [aux_sym_file_position_statement_token2] = ACTIONS(6547),
    [aux_sym_file_position_statement_token3] = ACTIONS(6547),
    [aux_sym_file_position_statement_token4] = ACTIONS(6547),
    [aux_sym_allocate_statement_token1] = ACTIONS(6547),
    [aux_sym_entry_statement_token1] = ACTIONS(6547),
    [aux_sym_assign_statement_token1] = ACTIONS(6547),
    [aux_sym_logical_expression_token5] = ACTIONS(6551),
    [anon_sym_DOT] = ACTIONS(6547),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6551),
    [aux_sym_boolean_literal_token1] = ACTIONS(6551),
    [aux_sym_boolean_literal_token2] = ACTIONS(6551),
    [aux_sym_null_literal_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_statement_token2] = ACTIONS(6547),
    [aux_sym_coarray_statement_token6] = ACTIONS(6547),
    [aux_sym_coarray_statement_token8] = ACTIONS(6547),
    [aux_sym_coarray_statement_token11] = ACTIONS(6547),
    [aux_sym_coarray_statement_token12] = ACTIONS(6547),
    [aux_sym_coarray_statement_token13] = ACTIONS(6547),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6547),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6547),
    [aux_sym_identifier_token1] = ACTIONS(6547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6551),
    [sym__float_literal] = ACTIONS(6551),
    [sym__boz_literal] = ACTIONS(6551),
    [sym__string_literal] = ACTIONS(6551),
    [sym__string_literal_kind] = ACTIONS(6551),
  },
  [2662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6617),
    [aux_sym_preproc_def_token1] = ACTIONS(6617),
    [aux_sym_preproc_if_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6617),
    [sym_preproc_directive] = ACTIONS(6617),
    [anon_sym_LPAREN2] = ACTIONS(6617),
    [anon_sym_PLUS] = ACTIONS(6621),
    [anon_sym_DASH] = ACTIONS(6621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6617),
    [anon_sym_SEMI] = ACTIONS(6621),
    [aux_sym_block_data_statement_token1] = ACTIONS(6617),
    [aux_sym_block_data_statement_token2] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6617),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6617),
    [aux_sym_contains_statement_token1] = ACTIONS(6617),
    [aux_sym_use_statement_token2] = ACTIONS(6617),
    [aux_sym_implicit_statement_token4] = ACTIONS(6617),
    [aux_sym_save_statement_token1] = ACTIONS(6617),
    [aux_sym_private_statement_token1] = ACTIONS(6617),
    [aux_sym_public_statement_token1] = ACTIONS(6617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6617),
    [aux_sym_variable_attributes_token2] = ACTIONS(6617),
    [aux_sym_variable_attributes_token3] = ACTIONS(6617),
    [aux_sym_variable_attributes_token5] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6617),
    [aux_sym_type_qualifier_token1] = ACTIONS(6617),
    [aux_sym_type_qualifier_token2] = ACTIONS(6617),
    [aux_sym_stop_statement_token1] = ACTIONS(6617),
    [aux_sym_stop_statement_token2] = ACTIONS(6617),
    [aux_sym_subroutine_call_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token1] = ACTIONS(6617),
    [aux_sym_keyword_statement_token2] = ACTIONS(6617),
    [aux_sym_keyword_statement_token3] = ACTIONS(6617),
    [aux_sym_keyword_statement_token4] = ACTIONS(6617),
    [aux_sym_keyword_statement_token6] = ACTIONS(6617),
    [aux_sym_keyword_statement_token7] = ACTIONS(6617),
    [aux_sym_include_statement_token1] = ACTIONS(6617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6617),
    [aux_sym_end_if_statement_token1] = ACTIONS(6617),
    [aux_sym_elseif_clause_token2] = ACTIONS(6617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token1] = ACTIONS(6617),
    [aux_sym_select_case_statement_token3] = ACTIONS(6617),
    [aux_sym_select_type_statement_token1] = ACTIONS(6617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6617),
    [aux_sym_associate_statement_token1] = ACTIONS(6617),
    [aux_sym_format_statement_token1] = ACTIONS(6617),
    [aux_sym_print_statement_token1] = ACTIONS(6617),
    [aux_sym_open_statement_token1] = ACTIONS(6617),
    [aux_sym_close_statement_token1] = ACTIONS(6617),
    [aux_sym_inquire_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token1] = ACTIONS(6617),
    [aux_sym_file_position_statement_token2] = ACTIONS(6617),
    [aux_sym_file_position_statement_token3] = ACTIONS(6617),
    [aux_sym_file_position_statement_token4] = ACTIONS(6617),
    [aux_sym_allocate_statement_token1] = ACTIONS(6617),
    [aux_sym_entry_statement_token1] = ACTIONS(6617),
    [aux_sym_assign_statement_token1] = ACTIONS(6617),
    [aux_sym_logical_expression_token5] = ACTIONS(6621),
    [anon_sym_DOT] = ACTIONS(6617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6621),
    [anon_sym_LBRACK] = ACTIONS(6621),
    [aux_sym_boolean_literal_token1] = ACTIONS(6621),
    [aux_sym_boolean_literal_token2] = ACTIONS(6621),
    [aux_sym_null_literal_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_statement_token2] = ACTIONS(6617),
    [aux_sym_coarray_statement_token6] = ACTIONS(6617),
    [aux_sym_coarray_statement_token8] = ACTIONS(6617),
    [aux_sym_coarray_statement_token11] = ACTIONS(6617),
    [aux_sym_coarray_statement_token12] = ACTIONS(6617),
    [aux_sym_coarray_statement_token13] = ACTIONS(6617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6617),
    [aux_sym_identifier_token1] = ACTIONS(6617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6621),
    [sym__float_literal] = ACTIONS(6621),
    [sym__boz_literal] = ACTIONS(6621),
    [sym__string_literal] = ACTIONS(6621),
    [sym__string_literal_kind] = ACTIONS(6621),
  },
  [2663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [aux_sym_end_program_statement_token2] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_contains_statement_token1] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2664] = {
    [anon_sym_COMMA] = ACTIONS(7031),
    [anon_sym_RPAREN] = ACTIONS(7031),
    [anon_sym_LPAREN2] = ACTIONS(7031),
    [anon_sym_PLUS] = ACTIONS(7031),
    [anon_sym_DASH] = ACTIONS(7031),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_PERCENT] = ACTIONS(7031),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7033),
    [anon_sym_GT_EQ] = ACTIONS(7031),
    [anon_sym_LT_EQ] = ACTIONS(7031),
    [anon_sym_LT] = ACTIONS(7033),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_language_binding_token1] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [anon_sym_COLON_COLON] = ACTIONS(7031),
    [anon_sym_EQ_GT] = ACTIONS(7031),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token1] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token4] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [anon_sym_GT_GT_GT] = ACTIONS(7031),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token1] = ACTIONS(7031),
    [aux_sym_logical_expression_token2] = ACTIONS(7031),
    [aux_sym_logical_expression_token3] = ACTIONS(7031),
    [aux_sym_logical_expression_token4] = ACTIONS(7031),
    [aux_sym_relational_expression_token1] = ACTIONS(7031),
    [aux_sym_relational_expression_token2] = ACTIONS(7031),
    [aux_sym_relational_expression_token3] = ACTIONS(7031),
    [aux_sym_relational_expression_token4] = ACTIONS(7031),
    [aux_sym_relational_expression_token5] = ACTIONS(7031),
    [anon_sym_SLASH_EQ] = ACTIONS(7031),
    [aux_sym_relational_expression_token6] = ACTIONS(7031),
    [anon_sym_SLASH_SLASH] = ACTIONS(7031),
    [anon_sym_STAR_STAR] = ACTIONS(7031),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(7031),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [anon_sym_QMARK] = ACTIONS(7031),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
  },
  [2665] = {
    [anon_sym_COMMA] = ACTIONS(6327),
    [anon_sym_RPAREN] = ACTIONS(6327),
    [anon_sym_LPAREN2] = ACTIONS(6327),
    [anon_sym_PLUS] = ACTIONS(6327),
    [anon_sym_DASH] = ACTIONS(6327),
    [anon_sym_STAR] = ACTIONS(6329),
    [anon_sym_SLASH] = ACTIONS(6329),
    [anon_sym_PERCENT] = ACTIONS(6327),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6327),
    [anon_sym_GT] = ACTIONS(6329),
    [anon_sym_GT_EQ] = ACTIONS(6327),
    [anon_sym_LT_EQ] = ACTIONS(6327),
    [anon_sym_LT] = ACTIONS(6329),
    [aux_sym_end_program_statement_token1] = ACTIONS(6329),
    [aux_sym_block_data_statement_token1] = ACTIONS(6329),
    [aux_sym_block_data_statement_token2] = ACTIONS(6329),
    [anon_sym_EQ] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6329),
    [aux_sym_language_binding_token1] = ACTIONS(6329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6329),
    [aux_sym_use_statement_token2] = ACTIONS(6329),
    [anon_sym_COLON_COLON] = ACTIONS(6327),
    [anon_sym_EQ_GT] = ACTIONS(6327),
    [aux_sym_implicit_statement_token4] = ACTIONS(6329),
    [aux_sym_save_statement_token1] = ACTIONS(6329),
    [aux_sym_private_statement_token1] = ACTIONS(6329),
    [aux_sym_public_statement_token1] = ACTIONS(6329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6329),
    [aux_sym_variable_attributes_token1] = ACTIONS(6329),
    [aux_sym_variable_attributes_token2] = ACTIONS(6329),
    [aux_sym_variable_attributes_token3] = ACTIONS(6329),
    [aux_sym_variable_attributes_token4] = ACTIONS(6329),
    [aux_sym_variable_attributes_token5] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6329),
    [aux_sym_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym_stop_statement_token1] = ACTIONS(6329),
    [aux_sym_stop_statement_token2] = ACTIONS(6329),
    [aux_sym_subroutine_call_token1] = ACTIONS(6329),
    [anon_sym_GT_GT_GT] = ACTIONS(6327),
    [aux_sym_keyword_statement_token2] = ACTIONS(6329),
    [aux_sym_keyword_statement_token3] = ACTIONS(6329),
    [aux_sym_keyword_statement_token4] = ACTIONS(6329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6329),
    [aux_sym_end_if_statement_token1] = ACTIONS(6329),
    [aux_sym_elseif_clause_token2] = ACTIONS(6329),
    [aux_sym_select_case_statement_token1] = ACTIONS(6329),
    [aux_sym_format_statement_token1] = ACTIONS(6329),
    [aux_sym_open_statement_token1] = ACTIONS(6329),
    [aux_sym_inquire_statement_token1] = ACTIONS(6329),
    [aux_sym_entry_statement_token1] = ACTIONS(6329),
    [aux_sym_logical_expression_token1] = ACTIONS(6327),
    [aux_sym_logical_expression_token2] = ACTIONS(6327),
    [aux_sym_logical_expression_token3] = ACTIONS(6327),
    [aux_sym_logical_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token1] = ACTIONS(6327),
    [aux_sym_relational_expression_token2] = ACTIONS(6327),
    [aux_sym_relational_expression_token3] = ACTIONS(6327),
    [aux_sym_relational_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token5] = ACTIONS(6327),
    [anon_sym_SLASH_EQ] = ACTIONS(6327),
    [aux_sym_relational_expression_token6] = ACTIONS(6327),
    [anon_sym_SLASH_SLASH] = ACTIONS(6327),
    [anon_sym_STAR_STAR] = ACTIONS(6327),
    [anon_sym_DOT] = ACTIONS(6329),
    [anon_sym_LBRACK] = ACTIONS(6327),
    [anon_sym_RBRACK] = ACTIONS(6327),
    [aux_sym_null_literal_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token2] = ACTIONS(6329),
    [aux_sym_coarray_statement_token6] = ACTIONS(6329),
    [aux_sym_coarray_statement_token8] = ACTIONS(6329),
    [aux_sym_coarray_statement_token11] = ACTIONS(6329),
    [aux_sym_coarray_statement_token12] = ACTIONS(6329),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6329),
    [anon_sym_QMARK] = ACTIONS(6327),
    [aux_sym_identifier_token1] = ACTIONS(6329),
    [sym_comment] = ACTIONS(21),
  },
  [2666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3341),
    [aux_sym_preproc_def_token1] = ACTIONS(3341),
    [aux_sym_preproc_if_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3341),
    [sym_preproc_directive] = ACTIONS(3341),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(3341),
    [aux_sym_block_data_statement_token2] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3341),
    [aux_sym_end_function_statement_token1] = ACTIONS(3341),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3341),
    [aux_sym_implicit_statement_token4] = ACTIONS(3341),
    [aux_sym_save_statement_token1] = ACTIONS(3341),
    [aux_sym_private_statement_token1] = ACTIONS(3341),
    [aux_sym_public_statement_token1] = ACTIONS(3341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3341),
    [aux_sym_variable_attributes_token2] = ACTIONS(3341),
    [aux_sym_variable_attributes_token3] = ACTIONS(3341),
    [aux_sym_variable_attributes_token5] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3341),
    [aux_sym_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym_stop_statement_token1] = ACTIONS(3341),
    [aux_sym_stop_statement_token2] = ACTIONS(3341),
    [aux_sym_subroutine_call_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token2] = ACTIONS(3341),
    [aux_sym_keyword_statement_token3] = ACTIONS(3341),
    [aux_sym_keyword_statement_token4] = ACTIONS(3341),
    [aux_sym_keyword_statement_token6] = ACTIONS(3341),
    [aux_sym_keyword_statement_token7] = ACTIONS(3341),
    [aux_sym_include_statement_token1] = ACTIONS(3341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3341),
    [aux_sym_end_if_statement_token1] = ACTIONS(3341),
    [aux_sym_elseif_clause_token2] = ACTIONS(3341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token3] = ACTIONS(3341),
    [aux_sym_select_type_statement_token1] = ACTIONS(3341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3341),
    [aux_sym_associate_statement_token1] = ACTIONS(3341),
    [aux_sym_format_statement_token1] = ACTIONS(3341),
    [aux_sym_print_statement_token1] = ACTIONS(3341),
    [aux_sym_open_statement_token1] = ACTIONS(3341),
    [aux_sym_close_statement_token1] = ACTIONS(3341),
    [aux_sym_inquire_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token2] = ACTIONS(3341),
    [aux_sym_file_position_statement_token3] = ACTIONS(3341),
    [aux_sym_file_position_statement_token4] = ACTIONS(3341),
    [aux_sym_allocate_statement_token1] = ACTIONS(3341),
    [aux_sym_entry_statement_token1] = ACTIONS(3341),
    [aux_sym_assign_statement_token1] = ACTIONS(3341),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(3341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token2] = ACTIONS(3341),
    [aux_sym_coarray_statement_token6] = ACTIONS(3341),
    [aux_sym_coarray_statement_token8] = ACTIONS(3341),
    [aux_sym_coarray_statement_token11] = ACTIONS(3341),
    [aux_sym_coarray_statement_token12] = ACTIONS(3341),
    [aux_sym_coarray_statement_token13] = ACTIONS(3341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3341),
    [aux_sym_identifier_token1] = ACTIONS(3341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [aux_sym_end_program_statement_token2] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6941),
    [aux_sym_preproc_def_token1] = ACTIONS(6941),
    [aux_sym_preproc_if_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6941),
    [sym_preproc_directive] = ACTIONS(6941),
    [anon_sym_LPAREN2] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6943),
    [anon_sym_DASH] = ACTIONS(6943),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6941),
    [anon_sym_SEMI] = ACTIONS(6943),
    [aux_sym_block_data_statement_token1] = ACTIONS(6941),
    [aux_sym_block_data_statement_token2] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6941),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6941),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6941),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6941),
    [aux_sym_contains_statement_token1] = ACTIONS(6941),
    [aux_sym_use_statement_token2] = ACTIONS(6941),
    [aux_sym_implicit_statement_token4] = ACTIONS(6941),
    [aux_sym_save_statement_token1] = ACTIONS(6941),
    [aux_sym_private_statement_token1] = ACTIONS(6941),
    [aux_sym_public_statement_token1] = ACTIONS(6941),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6941),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6941),
    [aux_sym_variable_attributes_token2] = ACTIONS(6941),
    [aux_sym_variable_attributes_token3] = ACTIONS(6941),
    [aux_sym_variable_attributes_token5] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6941),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6941),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6941),
    [aux_sym_type_qualifier_token1] = ACTIONS(6941),
    [aux_sym_type_qualifier_token2] = ACTIONS(6941),
    [aux_sym_stop_statement_token1] = ACTIONS(6941),
    [aux_sym_stop_statement_token2] = ACTIONS(6941),
    [aux_sym_subroutine_call_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token1] = ACTIONS(6941),
    [aux_sym_keyword_statement_token2] = ACTIONS(6941),
    [aux_sym_keyword_statement_token3] = ACTIONS(6941),
    [aux_sym_keyword_statement_token4] = ACTIONS(6941),
    [aux_sym_keyword_statement_token6] = ACTIONS(6941),
    [aux_sym_keyword_statement_token7] = ACTIONS(6941),
    [aux_sym_include_statement_token1] = ACTIONS(6941),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6941),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6941),
    [aux_sym_end_if_statement_token1] = ACTIONS(6941),
    [aux_sym_elseif_clause_token2] = ACTIONS(6941),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6941),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token1] = ACTIONS(6941),
    [aux_sym_select_case_statement_token3] = ACTIONS(6941),
    [aux_sym_select_type_statement_token1] = ACTIONS(6941),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6941),
    [aux_sym_associate_statement_token1] = ACTIONS(6941),
    [aux_sym_format_statement_token1] = ACTIONS(6941),
    [aux_sym_print_statement_token1] = ACTIONS(6941),
    [aux_sym_open_statement_token1] = ACTIONS(6941),
    [aux_sym_close_statement_token1] = ACTIONS(6941),
    [aux_sym_inquire_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token1] = ACTIONS(6941),
    [aux_sym_file_position_statement_token2] = ACTIONS(6941),
    [aux_sym_file_position_statement_token3] = ACTIONS(6941),
    [aux_sym_file_position_statement_token4] = ACTIONS(6941),
    [aux_sym_allocate_statement_token1] = ACTIONS(6941),
    [aux_sym_entry_statement_token1] = ACTIONS(6941),
    [aux_sym_assign_statement_token1] = ACTIONS(6941),
    [aux_sym_logical_expression_token5] = ACTIONS(6943),
    [anon_sym_DOT] = ACTIONS(6941),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [aux_sym_boolean_literal_token1] = ACTIONS(6943),
    [aux_sym_boolean_literal_token2] = ACTIONS(6943),
    [aux_sym_null_literal_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_statement_token2] = ACTIONS(6941),
    [aux_sym_coarray_statement_token6] = ACTIONS(6941),
    [aux_sym_coarray_statement_token8] = ACTIONS(6941),
    [aux_sym_coarray_statement_token11] = ACTIONS(6941),
    [aux_sym_coarray_statement_token12] = ACTIONS(6941),
    [aux_sym_coarray_statement_token13] = ACTIONS(6941),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6941),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6941),
    [aux_sym_identifier_token1] = ACTIONS(6941),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6943),
    [sym__float_literal] = ACTIONS(6943),
    [sym__boz_literal] = ACTIONS(6943),
    [sym__string_literal] = ACTIONS(6943),
    [sym__string_literal_kind] = ACTIONS(6943),
  },
  [2669] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6953),
    [aux_sym_preproc_def_token1] = ACTIONS(6953),
    [aux_sym_preproc_if_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6953),
    [sym_preproc_directive] = ACTIONS(6953),
    [anon_sym_LPAREN2] = ACTIONS(6953),
    [anon_sym_PLUS] = ACTIONS(6955),
    [anon_sym_DASH] = ACTIONS(6955),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6953),
    [anon_sym_SEMI] = ACTIONS(6955),
    [aux_sym_block_data_statement_token1] = ACTIONS(6953),
    [aux_sym_block_data_statement_token2] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6953),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6953),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6953),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6953),
    [aux_sym_contains_statement_token1] = ACTIONS(6953),
    [aux_sym_use_statement_token2] = ACTIONS(6953),
    [aux_sym_implicit_statement_token4] = ACTIONS(6953),
    [aux_sym_save_statement_token1] = ACTIONS(6953),
    [aux_sym_private_statement_token1] = ACTIONS(6953),
    [aux_sym_public_statement_token1] = ACTIONS(6953),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6953),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6953),
    [aux_sym_variable_attributes_token2] = ACTIONS(6953),
    [aux_sym_variable_attributes_token3] = ACTIONS(6953),
    [aux_sym_variable_attributes_token5] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6953),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6953),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6953),
    [aux_sym_type_qualifier_token1] = ACTIONS(6953),
    [aux_sym_type_qualifier_token2] = ACTIONS(6953),
    [aux_sym_stop_statement_token1] = ACTIONS(6953),
    [aux_sym_stop_statement_token2] = ACTIONS(6953),
    [aux_sym_subroutine_call_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token1] = ACTIONS(6953),
    [aux_sym_keyword_statement_token2] = ACTIONS(6953),
    [aux_sym_keyword_statement_token3] = ACTIONS(6953),
    [aux_sym_keyword_statement_token4] = ACTIONS(6953),
    [aux_sym_keyword_statement_token6] = ACTIONS(6953),
    [aux_sym_keyword_statement_token7] = ACTIONS(6953),
    [aux_sym_include_statement_token1] = ACTIONS(6953),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6953),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6953),
    [aux_sym_end_if_statement_token1] = ACTIONS(6953),
    [aux_sym_elseif_clause_token2] = ACTIONS(6953),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6953),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token1] = ACTIONS(6953),
    [aux_sym_select_case_statement_token3] = ACTIONS(6953),
    [aux_sym_select_type_statement_token1] = ACTIONS(6953),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6953),
    [aux_sym_associate_statement_token1] = ACTIONS(6953),
    [aux_sym_format_statement_token1] = ACTIONS(6953),
    [aux_sym_print_statement_token1] = ACTIONS(6953),
    [aux_sym_open_statement_token1] = ACTIONS(6953),
    [aux_sym_close_statement_token1] = ACTIONS(6953),
    [aux_sym_inquire_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token1] = ACTIONS(6953),
    [aux_sym_file_position_statement_token2] = ACTIONS(6953),
    [aux_sym_file_position_statement_token3] = ACTIONS(6953),
    [aux_sym_file_position_statement_token4] = ACTIONS(6953),
    [aux_sym_allocate_statement_token1] = ACTIONS(6953),
    [aux_sym_entry_statement_token1] = ACTIONS(6953),
    [aux_sym_assign_statement_token1] = ACTIONS(6953),
    [aux_sym_logical_expression_token5] = ACTIONS(6955),
    [anon_sym_DOT] = ACTIONS(6953),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6955),
    [anon_sym_LBRACK] = ACTIONS(6955),
    [aux_sym_boolean_literal_token1] = ACTIONS(6955),
    [aux_sym_boolean_literal_token2] = ACTIONS(6955),
    [aux_sym_null_literal_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_statement_token2] = ACTIONS(6953),
    [aux_sym_coarray_statement_token6] = ACTIONS(6953),
    [aux_sym_coarray_statement_token8] = ACTIONS(6953),
    [aux_sym_coarray_statement_token11] = ACTIONS(6953),
    [aux_sym_coarray_statement_token12] = ACTIONS(6953),
    [aux_sym_coarray_statement_token13] = ACTIONS(6953),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6953),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6953),
    [aux_sym_identifier_token1] = ACTIONS(6953),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6955),
    [sym__float_literal] = ACTIONS(6955),
    [sym__boz_literal] = ACTIONS(6955),
    [sym__string_literal] = ACTIONS(6955),
    [sym__string_literal_kind] = ACTIONS(6955),
  },
  [2670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6567),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_block_data_statement_token1] = ACTIONS(6567),
    [aux_sym_block_data_statement_token2] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6567),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6567),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6567),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6567),
    [aux_sym_contains_statement_token1] = ACTIONS(6567),
    [aux_sym_use_statement_token2] = ACTIONS(6567),
    [aux_sym_implicit_statement_token4] = ACTIONS(6567),
    [aux_sym_save_statement_token1] = ACTIONS(6567),
    [aux_sym_private_statement_token1] = ACTIONS(6567),
    [aux_sym_public_statement_token1] = ACTIONS(6567),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6567),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6567),
    [aux_sym_variable_attributes_token2] = ACTIONS(6567),
    [aux_sym_variable_attributes_token3] = ACTIONS(6567),
    [aux_sym_variable_attributes_token5] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6567),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6567),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6567),
    [aux_sym_type_qualifier_token1] = ACTIONS(6567),
    [aux_sym_type_qualifier_token2] = ACTIONS(6567),
    [aux_sym_stop_statement_token1] = ACTIONS(6567),
    [aux_sym_stop_statement_token2] = ACTIONS(6567),
    [aux_sym_subroutine_call_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token1] = ACTIONS(6567),
    [aux_sym_keyword_statement_token2] = ACTIONS(6567),
    [aux_sym_keyword_statement_token3] = ACTIONS(6567),
    [aux_sym_keyword_statement_token4] = ACTIONS(6567),
    [aux_sym_keyword_statement_token6] = ACTIONS(6567),
    [aux_sym_keyword_statement_token7] = ACTIONS(6567),
    [aux_sym_include_statement_token1] = ACTIONS(6567),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6567),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6567),
    [aux_sym_end_if_statement_token1] = ACTIONS(6567),
    [aux_sym_elseif_clause_token2] = ACTIONS(6567),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6567),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token1] = ACTIONS(6567),
    [aux_sym_select_case_statement_token3] = ACTIONS(6567),
    [aux_sym_select_type_statement_token1] = ACTIONS(6567),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6567),
    [aux_sym_associate_statement_token1] = ACTIONS(6567),
    [aux_sym_format_statement_token1] = ACTIONS(6567),
    [aux_sym_print_statement_token1] = ACTIONS(6567),
    [aux_sym_open_statement_token1] = ACTIONS(6567),
    [aux_sym_close_statement_token1] = ACTIONS(6567),
    [aux_sym_inquire_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token1] = ACTIONS(6567),
    [aux_sym_file_position_statement_token2] = ACTIONS(6567),
    [aux_sym_file_position_statement_token3] = ACTIONS(6567),
    [aux_sym_file_position_statement_token4] = ACTIONS(6567),
    [aux_sym_allocate_statement_token1] = ACTIONS(6567),
    [aux_sym_entry_statement_token1] = ACTIONS(6567),
    [aux_sym_assign_statement_token1] = ACTIONS(6567),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_statement_token2] = ACTIONS(6567),
    [aux_sym_coarray_statement_token6] = ACTIONS(6567),
    [aux_sym_coarray_statement_token8] = ACTIONS(6567),
    [aux_sym_coarray_statement_token11] = ACTIONS(6567),
    [aux_sym_coarray_statement_token12] = ACTIONS(6567),
    [aux_sym_coarray_statement_token13] = ACTIONS(6567),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6567),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6567),
    [aux_sym_identifier_token1] = ACTIONS(6567),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6957),
    [aux_sym_preproc_def_token1] = ACTIONS(6957),
    [aux_sym_preproc_if_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6957),
    [sym_preproc_directive] = ACTIONS(6957),
    [anon_sym_LPAREN2] = ACTIONS(6957),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6957),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6957),
    [aux_sym_block_data_statement_token2] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6957),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6957),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6957),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6957),
    [aux_sym_contains_statement_token1] = ACTIONS(6957),
    [aux_sym_use_statement_token2] = ACTIONS(6957),
    [aux_sym_implicit_statement_token4] = ACTIONS(6957),
    [aux_sym_save_statement_token1] = ACTIONS(6957),
    [aux_sym_private_statement_token1] = ACTIONS(6957),
    [aux_sym_public_statement_token1] = ACTIONS(6957),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6957),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6957),
    [aux_sym_variable_attributes_token2] = ACTIONS(6957),
    [aux_sym_variable_attributes_token3] = ACTIONS(6957),
    [aux_sym_variable_attributes_token5] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6957),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6957),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6957),
    [aux_sym_type_qualifier_token1] = ACTIONS(6957),
    [aux_sym_type_qualifier_token2] = ACTIONS(6957),
    [aux_sym_stop_statement_token1] = ACTIONS(6957),
    [aux_sym_stop_statement_token2] = ACTIONS(6957),
    [aux_sym_subroutine_call_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token1] = ACTIONS(6957),
    [aux_sym_keyword_statement_token2] = ACTIONS(6957),
    [aux_sym_keyword_statement_token3] = ACTIONS(6957),
    [aux_sym_keyword_statement_token4] = ACTIONS(6957),
    [aux_sym_keyword_statement_token6] = ACTIONS(6957),
    [aux_sym_keyword_statement_token7] = ACTIONS(6957),
    [aux_sym_include_statement_token1] = ACTIONS(6957),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6957),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6957),
    [aux_sym_end_if_statement_token1] = ACTIONS(6957),
    [aux_sym_elseif_clause_token2] = ACTIONS(6957),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6957),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token1] = ACTIONS(6957),
    [aux_sym_select_case_statement_token3] = ACTIONS(6957),
    [aux_sym_select_type_statement_token1] = ACTIONS(6957),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6957),
    [aux_sym_associate_statement_token1] = ACTIONS(6957),
    [aux_sym_format_statement_token1] = ACTIONS(6957),
    [aux_sym_print_statement_token1] = ACTIONS(6957),
    [aux_sym_open_statement_token1] = ACTIONS(6957),
    [aux_sym_close_statement_token1] = ACTIONS(6957),
    [aux_sym_inquire_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token1] = ACTIONS(6957),
    [aux_sym_file_position_statement_token2] = ACTIONS(6957),
    [aux_sym_file_position_statement_token3] = ACTIONS(6957),
    [aux_sym_file_position_statement_token4] = ACTIONS(6957),
    [aux_sym_allocate_statement_token1] = ACTIONS(6957),
    [aux_sym_entry_statement_token1] = ACTIONS(6957),
    [aux_sym_assign_statement_token1] = ACTIONS(6957),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6957),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_statement_token2] = ACTIONS(6957),
    [aux_sym_coarray_statement_token6] = ACTIONS(6957),
    [aux_sym_coarray_statement_token8] = ACTIONS(6957),
    [aux_sym_coarray_statement_token11] = ACTIONS(6957),
    [aux_sym_coarray_statement_token12] = ACTIONS(6957),
    [aux_sym_coarray_statement_token13] = ACTIONS(6957),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6957),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6957),
    [aux_sym_identifier_token1] = ACTIONS(6957),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2672] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6965),
    [aux_sym_preproc_def_token1] = ACTIONS(6965),
    [aux_sym_preproc_if_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6965),
    [sym_preproc_directive] = ACTIONS(6965),
    [anon_sym_LPAREN2] = ACTIONS(6965),
    [anon_sym_PLUS] = ACTIONS(6967),
    [anon_sym_DASH] = ACTIONS(6967),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6965),
    [anon_sym_SEMI] = ACTIONS(6967),
    [aux_sym_block_data_statement_token1] = ACTIONS(6965),
    [aux_sym_block_data_statement_token2] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6965),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6965),
    [aux_sym_contains_statement_token1] = ACTIONS(6965),
    [aux_sym_use_statement_token2] = ACTIONS(6965),
    [aux_sym_implicit_statement_token4] = ACTIONS(6965),
    [aux_sym_save_statement_token1] = ACTIONS(6965),
    [aux_sym_private_statement_token1] = ACTIONS(6965),
    [aux_sym_public_statement_token1] = ACTIONS(6965),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6965),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6965),
    [aux_sym_variable_attributes_token2] = ACTIONS(6965),
    [aux_sym_variable_attributes_token3] = ACTIONS(6965),
    [aux_sym_variable_attributes_token5] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6965),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6965),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6965),
    [aux_sym_type_qualifier_token1] = ACTIONS(6965),
    [aux_sym_type_qualifier_token2] = ACTIONS(6965),
    [aux_sym_stop_statement_token1] = ACTIONS(6965),
    [aux_sym_stop_statement_token2] = ACTIONS(6965),
    [aux_sym_subroutine_call_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token1] = ACTIONS(6965),
    [aux_sym_keyword_statement_token2] = ACTIONS(6965),
    [aux_sym_keyword_statement_token3] = ACTIONS(6965),
    [aux_sym_keyword_statement_token4] = ACTIONS(6965),
    [aux_sym_keyword_statement_token6] = ACTIONS(6965),
    [aux_sym_keyword_statement_token7] = ACTIONS(6965),
    [aux_sym_include_statement_token1] = ACTIONS(6965),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6965),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6965),
    [aux_sym_end_if_statement_token1] = ACTIONS(6965),
    [aux_sym_elseif_clause_token2] = ACTIONS(6965),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6965),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token1] = ACTIONS(6965),
    [aux_sym_select_case_statement_token3] = ACTIONS(6965),
    [aux_sym_select_type_statement_token1] = ACTIONS(6965),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6965),
    [aux_sym_associate_statement_token1] = ACTIONS(6965),
    [aux_sym_format_statement_token1] = ACTIONS(6965),
    [aux_sym_print_statement_token1] = ACTIONS(6965),
    [aux_sym_open_statement_token1] = ACTIONS(6965),
    [aux_sym_close_statement_token1] = ACTIONS(6965),
    [aux_sym_inquire_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token1] = ACTIONS(6965),
    [aux_sym_file_position_statement_token2] = ACTIONS(6965),
    [aux_sym_file_position_statement_token3] = ACTIONS(6965),
    [aux_sym_file_position_statement_token4] = ACTIONS(6965),
    [aux_sym_allocate_statement_token1] = ACTIONS(6965),
    [aux_sym_entry_statement_token1] = ACTIONS(6965),
    [aux_sym_assign_statement_token1] = ACTIONS(6965),
    [aux_sym_logical_expression_token5] = ACTIONS(6967),
    [anon_sym_DOT] = ACTIONS(6965),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6967),
    [anon_sym_LBRACK] = ACTIONS(6967),
    [aux_sym_boolean_literal_token1] = ACTIONS(6967),
    [aux_sym_boolean_literal_token2] = ACTIONS(6967),
    [aux_sym_null_literal_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_statement_token2] = ACTIONS(6965),
    [aux_sym_coarray_statement_token6] = ACTIONS(6965),
    [aux_sym_coarray_statement_token8] = ACTIONS(6965),
    [aux_sym_coarray_statement_token11] = ACTIONS(6965),
    [aux_sym_coarray_statement_token12] = ACTIONS(6965),
    [aux_sym_coarray_statement_token13] = ACTIONS(6965),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6965),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6965),
    [aux_sym_identifier_token1] = ACTIONS(6965),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6967),
    [sym__float_literal] = ACTIONS(6967),
    [sym__boz_literal] = ACTIONS(6967),
    [sym__string_literal] = ACTIONS(6967),
    [sym__string_literal_kind] = ACTIONS(6967),
  },
  [2673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6969),
    [aux_sym_preproc_def_token1] = ACTIONS(6969),
    [aux_sym_preproc_if_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6969),
    [sym_preproc_directive] = ACTIONS(6969),
    [anon_sym_LPAREN2] = ACTIONS(6969),
    [anon_sym_PLUS] = ACTIONS(6971),
    [anon_sym_DASH] = ACTIONS(6971),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6969),
    [anon_sym_SEMI] = ACTIONS(6971),
    [aux_sym_block_data_statement_token1] = ACTIONS(6969),
    [aux_sym_block_data_statement_token2] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6969),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6969),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6969),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6969),
    [aux_sym_contains_statement_token1] = ACTIONS(6969),
    [aux_sym_use_statement_token2] = ACTIONS(6969),
    [aux_sym_implicit_statement_token4] = ACTIONS(6969),
    [aux_sym_save_statement_token1] = ACTIONS(6969),
    [aux_sym_private_statement_token1] = ACTIONS(6969),
    [aux_sym_public_statement_token1] = ACTIONS(6969),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6969),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6969),
    [aux_sym_variable_attributes_token2] = ACTIONS(6969),
    [aux_sym_variable_attributes_token3] = ACTIONS(6969),
    [aux_sym_variable_attributes_token5] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6969),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6969),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6969),
    [aux_sym_type_qualifier_token1] = ACTIONS(6969),
    [aux_sym_type_qualifier_token2] = ACTIONS(6969),
    [aux_sym_stop_statement_token1] = ACTIONS(6969),
    [aux_sym_stop_statement_token2] = ACTIONS(6969),
    [aux_sym_subroutine_call_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token1] = ACTIONS(6969),
    [aux_sym_keyword_statement_token2] = ACTIONS(6969),
    [aux_sym_keyword_statement_token3] = ACTIONS(6969),
    [aux_sym_keyword_statement_token4] = ACTIONS(6969),
    [aux_sym_keyword_statement_token6] = ACTIONS(6969),
    [aux_sym_keyword_statement_token7] = ACTIONS(6969),
    [aux_sym_include_statement_token1] = ACTIONS(6969),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6969),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6969),
    [aux_sym_end_if_statement_token1] = ACTIONS(6969),
    [aux_sym_elseif_clause_token2] = ACTIONS(6969),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6969),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token1] = ACTIONS(6969),
    [aux_sym_select_case_statement_token3] = ACTIONS(6969),
    [aux_sym_select_type_statement_token1] = ACTIONS(6969),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6969),
    [aux_sym_associate_statement_token1] = ACTIONS(6969),
    [aux_sym_format_statement_token1] = ACTIONS(6969),
    [aux_sym_print_statement_token1] = ACTIONS(6969),
    [aux_sym_open_statement_token1] = ACTIONS(6969),
    [aux_sym_close_statement_token1] = ACTIONS(6969),
    [aux_sym_inquire_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token1] = ACTIONS(6969),
    [aux_sym_file_position_statement_token2] = ACTIONS(6969),
    [aux_sym_file_position_statement_token3] = ACTIONS(6969),
    [aux_sym_file_position_statement_token4] = ACTIONS(6969),
    [aux_sym_allocate_statement_token1] = ACTIONS(6969),
    [aux_sym_entry_statement_token1] = ACTIONS(6969),
    [aux_sym_assign_statement_token1] = ACTIONS(6969),
    [aux_sym_logical_expression_token5] = ACTIONS(6971),
    [anon_sym_DOT] = ACTIONS(6969),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6971),
    [anon_sym_LBRACK] = ACTIONS(6971),
    [aux_sym_boolean_literal_token1] = ACTIONS(6971),
    [aux_sym_boolean_literal_token2] = ACTIONS(6971),
    [aux_sym_null_literal_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_statement_token2] = ACTIONS(6969),
    [aux_sym_coarray_statement_token6] = ACTIONS(6969),
    [aux_sym_coarray_statement_token8] = ACTIONS(6969),
    [aux_sym_coarray_statement_token11] = ACTIONS(6969),
    [aux_sym_coarray_statement_token12] = ACTIONS(6969),
    [aux_sym_coarray_statement_token13] = ACTIONS(6969),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6969),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6969),
    [aux_sym_identifier_token1] = ACTIONS(6969),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6971),
    [sym__float_literal] = ACTIONS(6971),
    [sym__boz_literal] = ACTIONS(6971),
    [sym__string_literal] = ACTIONS(6971),
    [sym__string_literal_kind] = ACTIONS(6971),
  },
  [2674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3341),
    [aux_sym_preproc_def_token1] = ACTIONS(3341),
    [aux_sym_preproc_if_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3341),
    [sym_preproc_directive] = ACTIONS(3341),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(3341),
    [aux_sym_block_data_statement_token2] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3341),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3341),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3341),
    [aux_sym_implicit_statement_token4] = ACTIONS(3341),
    [aux_sym_save_statement_token1] = ACTIONS(3341),
    [aux_sym_private_statement_token1] = ACTIONS(3341),
    [aux_sym_public_statement_token1] = ACTIONS(3341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3341),
    [aux_sym_variable_attributes_token2] = ACTIONS(3341),
    [aux_sym_variable_attributes_token3] = ACTIONS(3341),
    [aux_sym_variable_attributes_token5] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3341),
    [aux_sym_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym_stop_statement_token1] = ACTIONS(3341),
    [aux_sym_stop_statement_token2] = ACTIONS(3341),
    [aux_sym_subroutine_call_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token2] = ACTIONS(3341),
    [aux_sym_keyword_statement_token3] = ACTIONS(3341),
    [aux_sym_keyword_statement_token4] = ACTIONS(3341),
    [aux_sym_keyword_statement_token6] = ACTIONS(3341),
    [aux_sym_keyword_statement_token7] = ACTIONS(3341),
    [aux_sym_include_statement_token1] = ACTIONS(3341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3341),
    [aux_sym_end_if_statement_token1] = ACTIONS(3341),
    [aux_sym_elseif_clause_token2] = ACTIONS(3341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token3] = ACTIONS(3341),
    [aux_sym_select_type_statement_token1] = ACTIONS(3341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3341),
    [aux_sym_associate_statement_token1] = ACTIONS(3341),
    [aux_sym_format_statement_token1] = ACTIONS(3341),
    [aux_sym_print_statement_token1] = ACTIONS(3341),
    [aux_sym_open_statement_token1] = ACTIONS(3341),
    [aux_sym_close_statement_token1] = ACTIONS(3341),
    [aux_sym_inquire_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token2] = ACTIONS(3341),
    [aux_sym_file_position_statement_token3] = ACTIONS(3341),
    [aux_sym_file_position_statement_token4] = ACTIONS(3341),
    [aux_sym_allocate_statement_token1] = ACTIONS(3341),
    [aux_sym_entry_statement_token1] = ACTIONS(3341),
    [aux_sym_assign_statement_token1] = ACTIONS(3341),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(3341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token2] = ACTIONS(3341),
    [aux_sym_coarray_statement_token6] = ACTIONS(3341),
    [aux_sym_coarray_statement_token8] = ACTIONS(3341),
    [aux_sym_coarray_statement_token11] = ACTIONS(3341),
    [aux_sym_coarray_statement_token12] = ACTIONS(3341),
    [aux_sym_coarray_statement_token13] = ACTIONS(3341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3341),
    [aux_sym_identifier_token1] = ACTIONS(3341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(7039),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2677] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [aux_sym_end_program_statement_token2] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_contains_statement_token1] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [aux_sym_end_program_statement_token2] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_contains_statement_token1] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [aux_sym_end_program_statement_token2] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_contains_statement_token1] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2683] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7043),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6921),
    [aux_sym_preproc_def_token1] = ACTIONS(6921),
    [aux_sym_preproc_if_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6921),
    [sym_preproc_directive] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6923),
    [anon_sym_DASH] = ACTIONS(6923),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6921),
    [anon_sym_SEMI] = ACTIONS(6923),
    [aux_sym_block_data_statement_token1] = ACTIONS(6921),
    [aux_sym_block_data_statement_token2] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6921),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6921),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6921),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6921),
    [aux_sym_contains_statement_token1] = ACTIONS(6921),
    [aux_sym_use_statement_token2] = ACTIONS(6921),
    [aux_sym_implicit_statement_token4] = ACTIONS(6921),
    [aux_sym_save_statement_token1] = ACTIONS(6921),
    [aux_sym_private_statement_token1] = ACTIONS(6921),
    [aux_sym_public_statement_token1] = ACTIONS(6921),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6921),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6921),
    [aux_sym_variable_attributes_token2] = ACTIONS(6921),
    [aux_sym_variable_attributes_token3] = ACTIONS(6921),
    [aux_sym_variable_attributes_token5] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6921),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6921),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6921),
    [aux_sym_type_qualifier_token1] = ACTIONS(6921),
    [aux_sym_type_qualifier_token2] = ACTIONS(6921),
    [aux_sym_stop_statement_token1] = ACTIONS(6921),
    [aux_sym_stop_statement_token2] = ACTIONS(6921),
    [aux_sym_subroutine_call_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token1] = ACTIONS(6921),
    [aux_sym_keyword_statement_token2] = ACTIONS(6921),
    [aux_sym_keyword_statement_token3] = ACTIONS(6921),
    [aux_sym_keyword_statement_token4] = ACTIONS(6921),
    [aux_sym_keyword_statement_token6] = ACTIONS(6921),
    [aux_sym_keyword_statement_token7] = ACTIONS(6921),
    [aux_sym_include_statement_token1] = ACTIONS(6921),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6921),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6921),
    [aux_sym_end_if_statement_token1] = ACTIONS(6921),
    [aux_sym_elseif_clause_token2] = ACTIONS(6921),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6921),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token1] = ACTIONS(6921),
    [aux_sym_select_case_statement_token3] = ACTIONS(6921),
    [aux_sym_select_type_statement_token1] = ACTIONS(6921),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6921),
    [aux_sym_associate_statement_token1] = ACTIONS(6921),
    [aux_sym_format_statement_token1] = ACTIONS(6921),
    [aux_sym_print_statement_token1] = ACTIONS(6921),
    [aux_sym_open_statement_token1] = ACTIONS(6921),
    [aux_sym_close_statement_token1] = ACTIONS(6921),
    [aux_sym_inquire_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token1] = ACTIONS(6921),
    [aux_sym_file_position_statement_token2] = ACTIONS(6921),
    [aux_sym_file_position_statement_token3] = ACTIONS(6921),
    [aux_sym_file_position_statement_token4] = ACTIONS(6921),
    [aux_sym_allocate_statement_token1] = ACTIONS(6921),
    [aux_sym_entry_statement_token1] = ACTIONS(6921),
    [aux_sym_assign_statement_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token5] = ACTIONS(6923),
    [anon_sym_DOT] = ACTIONS(6921),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6923),
    [aux_sym_boolean_literal_token1] = ACTIONS(6923),
    [aux_sym_boolean_literal_token2] = ACTIONS(6923),
    [aux_sym_null_literal_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_statement_token2] = ACTIONS(6921),
    [aux_sym_coarray_statement_token6] = ACTIONS(6921),
    [aux_sym_coarray_statement_token8] = ACTIONS(6921),
    [aux_sym_coarray_statement_token11] = ACTIONS(6921),
    [aux_sym_coarray_statement_token12] = ACTIONS(6921),
    [aux_sym_coarray_statement_token13] = ACTIONS(6921),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6921),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6921),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6923),
    [sym__float_literal] = ACTIONS(6923),
    [sym__boz_literal] = ACTIONS(6923),
    [sym__string_literal] = ACTIONS(6923),
    [sym__string_literal_kind] = ACTIONS(6923),
  },
  [2685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(7047),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3341),
    [aux_sym_preproc_def_token1] = ACTIONS(3341),
    [aux_sym_preproc_if_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3341),
    [sym_preproc_directive] = ACTIONS(3341),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(3341),
    [aux_sym_block_data_statement_token2] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3341),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3341),
    [aux_sym_contains_statement_token1] = ACTIONS(3341),
    [aux_sym_use_statement_token2] = ACTIONS(3341),
    [aux_sym_implicit_statement_token4] = ACTIONS(3341),
    [aux_sym_save_statement_token1] = ACTIONS(3341),
    [aux_sym_private_statement_token1] = ACTIONS(3341),
    [aux_sym_public_statement_token1] = ACTIONS(3341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3341),
    [aux_sym_variable_attributes_token2] = ACTIONS(3341),
    [aux_sym_variable_attributes_token3] = ACTIONS(3341),
    [aux_sym_variable_attributes_token5] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3341),
    [aux_sym_type_qualifier_token1] = ACTIONS(3341),
    [aux_sym_type_qualifier_token2] = ACTIONS(3341),
    [aux_sym_stop_statement_token1] = ACTIONS(3341),
    [aux_sym_stop_statement_token2] = ACTIONS(3341),
    [aux_sym_subroutine_call_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token1] = ACTIONS(3341),
    [aux_sym_keyword_statement_token2] = ACTIONS(3341),
    [aux_sym_keyword_statement_token3] = ACTIONS(3341),
    [aux_sym_keyword_statement_token4] = ACTIONS(3341),
    [aux_sym_keyword_statement_token6] = ACTIONS(3341),
    [aux_sym_keyword_statement_token7] = ACTIONS(3341),
    [aux_sym_include_statement_token1] = ACTIONS(3341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3341),
    [aux_sym_end_if_statement_token1] = ACTIONS(3341),
    [aux_sym_elseif_clause_token2] = ACTIONS(3341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token1] = ACTIONS(3341),
    [aux_sym_select_case_statement_token3] = ACTIONS(3341),
    [aux_sym_select_type_statement_token1] = ACTIONS(3341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3341),
    [aux_sym_associate_statement_token1] = ACTIONS(3341),
    [aux_sym_format_statement_token1] = ACTIONS(3341),
    [aux_sym_print_statement_token1] = ACTIONS(3341),
    [aux_sym_open_statement_token1] = ACTIONS(3341),
    [aux_sym_close_statement_token1] = ACTIONS(3341),
    [aux_sym_inquire_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token1] = ACTIONS(3341),
    [aux_sym_file_position_statement_token2] = ACTIONS(3341),
    [aux_sym_file_position_statement_token3] = ACTIONS(3341),
    [aux_sym_file_position_statement_token4] = ACTIONS(3341),
    [aux_sym_allocate_statement_token1] = ACTIONS(3341),
    [aux_sym_entry_statement_token1] = ACTIONS(3341),
    [aux_sym_assign_statement_token1] = ACTIONS(3341),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(3341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_statement_token2] = ACTIONS(3341),
    [aux_sym_coarray_statement_token6] = ACTIONS(3341),
    [aux_sym_coarray_statement_token8] = ACTIONS(3341),
    [aux_sym_coarray_statement_token11] = ACTIONS(3341),
    [aux_sym_coarray_statement_token12] = ACTIONS(3341),
    [aux_sym_coarray_statement_token13] = ACTIONS(3341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3341),
    [aux_sym_identifier_token1] = ACTIONS(3341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(7051),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(7055),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2694] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(7059),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7063),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(7067),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(7071),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7075),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2704] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(7079),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [aux_sym_end_program_statement_token2] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(7083),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2708] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(7087),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2711] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7013),
    [aux_sym_preproc_def_token1] = ACTIONS(7013),
    [aux_sym_preproc_if_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7013),
    [sym_preproc_directive] = ACTIONS(7013),
    [anon_sym_LPAREN2] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_DASH] = ACTIONS(7015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7013),
    [anon_sym_SEMI] = ACTIONS(7015),
    [aux_sym_block_data_statement_token1] = ACTIONS(7013),
    [aux_sym_block_data_statement_token2] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7013),
    [aux_sym_end_function_statement_token1] = ACTIONS(7013),
    [aux_sym_contains_statement_token1] = ACTIONS(7013),
    [aux_sym_use_statement_token2] = ACTIONS(7013),
    [aux_sym_implicit_statement_token4] = ACTIONS(7013),
    [aux_sym_save_statement_token1] = ACTIONS(7013),
    [aux_sym_private_statement_token1] = ACTIONS(7013),
    [aux_sym_public_statement_token1] = ACTIONS(7013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7013),
    [aux_sym_variable_attributes_token2] = ACTIONS(7013),
    [aux_sym_variable_attributes_token3] = ACTIONS(7013),
    [aux_sym_variable_attributes_token5] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7013),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7013),
    [aux_sym_type_qualifier_token1] = ACTIONS(7013),
    [aux_sym_type_qualifier_token2] = ACTIONS(7013),
    [aux_sym_stop_statement_token1] = ACTIONS(7013),
    [aux_sym_stop_statement_token2] = ACTIONS(7013),
    [aux_sym_subroutine_call_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token1] = ACTIONS(7013),
    [aux_sym_keyword_statement_token2] = ACTIONS(7013),
    [aux_sym_keyword_statement_token3] = ACTIONS(7013),
    [aux_sym_keyword_statement_token4] = ACTIONS(7013),
    [aux_sym_keyword_statement_token6] = ACTIONS(7013),
    [aux_sym_keyword_statement_token7] = ACTIONS(7013),
    [aux_sym_include_statement_token1] = ACTIONS(7013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7013),
    [aux_sym_end_if_statement_token1] = ACTIONS(7013),
    [aux_sym_elseif_clause_token2] = ACTIONS(7013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token1] = ACTIONS(7013),
    [aux_sym_select_case_statement_token3] = ACTIONS(7013),
    [aux_sym_select_type_statement_token1] = ACTIONS(7013),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7013),
    [aux_sym_associate_statement_token1] = ACTIONS(7013),
    [aux_sym_format_statement_token1] = ACTIONS(7013),
    [aux_sym_print_statement_token1] = ACTIONS(7013),
    [aux_sym_open_statement_token1] = ACTIONS(7013),
    [aux_sym_close_statement_token1] = ACTIONS(7013),
    [aux_sym_inquire_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token1] = ACTIONS(7013),
    [aux_sym_file_position_statement_token2] = ACTIONS(7013),
    [aux_sym_file_position_statement_token3] = ACTIONS(7013),
    [aux_sym_file_position_statement_token4] = ACTIONS(7013),
    [aux_sym_allocate_statement_token1] = ACTIONS(7013),
    [aux_sym_entry_statement_token1] = ACTIONS(7013),
    [aux_sym_assign_statement_token1] = ACTIONS(7013),
    [aux_sym_logical_expression_token5] = ACTIONS(7015),
    [anon_sym_DOT] = ACTIONS(7013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7015),
    [aux_sym_boolean_literal_token1] = ACTIONS(7015),
    [aux_sym_boolean_literal_token2] = ACTIONS(7015),
    [aux_sym_null_literal_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_statement_token2] = ACTIONS(7013),
    [aux_sym_coarray_statement_token6] = ACTIONS(7013),
    [aux_sym_coarray_statement_token8] = ACTIONS(7013),
    [aux_sym_coarray_statement_token11] = ACTIONS(7013),
    [aux_sym_coarray_statement_token12] = ACTIONS(7013),
    [aux_sym_coarray_statement_token13] = ACTIONS(7013),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7013),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7013),
    [aux_sym_identifier_token1] = ACTIONS(7013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7015),
    [sym__float_literal] = ACTIONS(7015),
    [sym__boz_literal] = ACTIONS(7015),
    [sym__string_literal] = ACTIONS(7015),
    [sym__string_literal_kind] = ACTIONS(7015),
  },
  [2712] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2713] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6933),
    [aux_sym_preproc_def_token1] = ACTIONS(6933),
    [aux_sym_preproc_if_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6933),
    [sym_preproc_directive] = ACTIONS(6933),
    [anon_sym_LPAREN2] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6933),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6933),
    [aux_sym_block_data_statement_token2] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6933),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6933),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6933),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6933),
    [aux_sym_contains_statement_token1] = ACTIONS(6933),
    [aux_sym_use_statement_token2] = ACTIONS(6933),
    [aux_sym_implicit_statement_token4] = ACTIONS(6933),
    [aux_sym_save_statement_token1] = ACTIONS(6933),
    [aux_sym_private_statement_token1] = ACTIONS(6933),
    [aux_sym_public_statement_token1] = ACTIONS(6933),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6933),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6933),
    [aux_sym_variable_attributes_token2] = ACTIONS(6933),
    [aux_sym_variable_attributes_token3] = ACTIONS(6933),
    [aux_sym_variable_attributes_token5] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6933),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6933),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6933),
    [aux_sym_type_qualifier_token1] = ACTIONS(6933),
    [aux_sym_type_qualifier_token2] = ACTIONS(6933),
    [aux_sym_stop_statement_token1] = ACTIONS(6933),
    [aux_sym_stop_statement_token2] = ACTIONS(6933),
    [aux_sym_subroutine_call_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token1] = ACTIONS(6933),
    [aux_sym_keyword_statement_token2] = ACTIONS(6933),
    [aux_sym_keyword_statement_token3] = ACTIONS(6933),
    [aux_sym_keyword_statement_token4] = ACTIONS(6933),
    [aux_sym_keyword_statement_token6] = ACTIONS(6933),
    [aux_sym_keyword_statement_token7] = ACTIONS(6933),
    [aux_sym_include_statement_token1] = ACTIONS(6933),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6933),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6933),
    [aux_sym_end_if_statement_token1] = ACTIONS(6933),
    [aux_sym_elseif_clause_token2] = ACTIONS(6933),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6933),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token1] = ACTIONS(6933),
    [aux_sym_select_case_statement_token3] = ACTIONS(6933),
    [aux_sym_select_type_statement_token1] = ACTIONS(6933),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6933),
    [aux_sym_associate_statement_token1] = ACTIONS(6933),
    [aux_sym_format_statement_token1] = ACTIONS(6933),
    [aux_sym_print_statement_token1] = ACTIONS(6933),
    [aux_sym_open_statement_token1] = ACTIONS(6933),
    [aux_sym_close_statement_token1] = ACTIONS(6933),
    [aux_sym_inquire_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token1] = ACTIONS(6933),
    [aux_sym_file_position_statement_token2] = ACTIONS(6933),
    [aux_sym_file_position_statement_token3] = ACTIONS(6933),
    [aux_sym_file_position_statement_token4] = ACTIONS(6933),
    [aux_sym_allocate_statement_token1] = ACTIONS(6933),
    [aux_sym_entry_statement_token1] = ACTIONS(6933),
    [aux_sym_assign_statement_token1] = ACTIONS(6933),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6933),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_statement_token2] = ACTIONS(6933),
    [aux_sym_coarray_statement_token6] = ACTIONS(6933),
    [aux_sym_coarray_statement_token8] = ACTIONS(6933),
    [aux_sym_coarray_statement_token11] = ACTIONS(6933),
    [aux_sym_coarray_statement_token12] = ACTIONS(6933),
    [aux_sym_coarray_statement_token13] = ACTIONS(6933),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6933),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6933),
    [aux_sym_identifier_token1] = ACTIONS(6933),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2714] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6783),
    [aux_sym_preproc_def_token1] = ACTIONS(6783),
    [aux_sym_preproc_if_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6783),
    [sym_preproc_directive] = ACTIONS(6783),
    [anon_sym_LPAREN2] = ACTIONS(6783),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_DASH] = ACTIONS(6785),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6783),
    [anon_sym_SEMI] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6783),
    [aux_sym_block_data_statement_token2] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6783),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6783),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6783),
    [aux_sym_contains_statement_token1] = ACTIONS(6783),
    [aux_sym_use_statement_token2] = ACTIONS(6783),
    [aux_sym_implicit_statement_token4] = ACTIONS(6783),
    [aux_sym_save_statement_token1] = ACTIONS(6783),
    [aux_sym_private_statement_token1] = ACTIONS(6783),
    [aux_sym_public_statement_token1] = ACTIONS(6783),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6783),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6783),
    [aux_sym_variable_attributes_token2] = ACTIONS(6783),
    [aux_sym_variable_attributes_token3] = ACTIONS(6783),
    [aux_sym_variable_attributes_token5] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6783),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6783),
    [aux_sym_type_qualifier_token1] = ACTIONS(6783),
    [aux_sym_type_qualifier_token2] = ACTIONS(6783),
    [aux_sym_stop_statement_token1] = ACTIONS(6783),
    [aux_sym_stop_statement_token2] = ACTIONS(6783),
    [aux_sym_subroutine_call_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token1] = ACTIONS(6783),
    [aux_sym_keyword_statement_token2] = ACTIONS(6783),
    [aux_sym_keyword_statement_token3] = ACTIONS(6783),
    [aux_sym_keyword_statement_token4] = ACTIONS(6783),
    [aux_sym_keyword_statement_token6] = ACTIONS(6783),
    [aux_sym_keyword_statement_token7] = ACTIONS(6783),
    [aux_sym_include_statement_token1] = ACTIONS(6783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6783),
    [aux_sym_end_if_statement_token1] = ACTIONS(6783),
    [aux_sym_elseif_clause_token2] = ACTIONS(6783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token1] = ACTIONS(6783),
    [aux_sym_select_case_statement_token3] = ACTIONS(6783),
    [aux_sym_select_type_statement_token1] = ACTIONS(6783),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6783),
    [aux_sym_associate_statement_token1] = ACTIONS(6783),
    [aux_sym_format_statement_token1] = ACTIONS(6783),
    [aux_sym_print_statement_token1] = ACTIONS(6783),
    [aux_sym_open_statement_token1] = ACTIONS(6783),
    [aux_sym_close_statement_token1] = ACTIONS(6783),
    [aux_sym_inquire_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token1] = ACTIONS(6783),
    [aux_sym_file_position_statement_token2] = ACTIONS(6783),
    [aux_sym_file_position_statement_token3] = ACTIONS(6783),
    [aux_sym_file_position_statement_token4] = ACTIONS(6783),
    [aux_sym_allocate_statement_token1] = ACTIONS(6783),
    [aux_sym_entry_statement_token1] = ACTIONS(6783),
    [aux_sym_assign_statement_token1] = ACTIONS(6783),
    [aux_sym_logical_expression_token5] = ACTIONS(6785),
    [anon_sym_DOT] = ACTIONS(6783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6785),
    [anon_sym_LBRACK] = ACTIONS(6785),
    [aux_sym_boolean_literal_token1] = ACTIONS(6785),
    [aux_sym_boolean_literal_token2] = ACTIONS(6785),
    [aux_sym_null_literal_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_statement_token2] = ACTIONS(6783),
    [aux_sym_coarray_statement_token6] = ACTIONS(6783),
    [aux_sym_coarray_statement_token8] = ACTIONS(6783),
    [aux_sym_coarray_statement_token11] = ACTIONS(6783),
    [aux_sym_coarray_statement_token12] = ACTIONS(6783),
    [aux_sym_coarray_statement_token13] = ACTIONS(6783),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6783),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6783),
    [aux_sym_identifier_token1] = ACTIONS(6783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6785),
    [sym__float_literal] = ACTIONS(6785),
    [sym__boz_literal] = ACTIONS(6785),
    [sym__string_literal] = ACTIONS(6785),
    [sym__string_literal_kind] = ACTIONS(6785),
  },
  [2715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(7091),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [aux_sym_end_program_statement_token2] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_contains_statement_token1] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [aux_sym_end_program_statement_token2] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_contains_statement_token1] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(7095),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_end_function_statement_token1] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(7099),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [aux_sym_end_program_statement_token2] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_contains_statement_token1] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2724] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6791),
    [aux_sym_preproc_def_token1] = ACTIONS(6791),
    [aux_sym_preproc_if_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6791),
    [sym_preproc_directive] = ACTIONS(6791),
    [anon_sym_LPAREN2] = ACTIONS(6791),
    [anon_sym_PLUS] = ACTIONS(6793),
    [anon_sym_DASH] = ACTIONS(6793),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6791),
    [anon_sym_SEMI] = ACTIONS(6793),
    [aux_sym_block_data_statement_token1] = ACTIONS(6791),
    [aux_sym_block_data_statement_token2] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6791),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6791),
    [aux_sym_end_function_statement_token1] = ACTIONS(6791),
    [aux_sym_contains_statement_token1] = ACTIONS(6791),
    [aux_sym_use_statement_token2] = ACTIONS(6791),
    [aux_sym_implicit_statement_token4] = ACTIONS(6791),
    [aux_sym_save_statement_token1] = ACTIONS(6791),
    [aux_sym_private_statement_token1] = ACTIONS(6791),
    [aux_sym_public_statement_token1] = ACTIONS(6791),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6791),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6791),
    [aux_sym_variable_attributes_token2] = ACTIONS(6791),
    [aux_sym_variable_attributes_token3] = ACTIONS(6791),
    [aux_sym_variable_attributes_token5] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6791),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6791),
    [aux_sym_type_qualifier_token1] = ACTIONS(6791),
    [aux_sym_type_qualifier_token2] = ACTIONS(6791),
    [aux_sym_stop_statement_token1] = ACTIONS(6791),
    [aux_sym_stop_statement_token2] = ACTIONS(6791),
    [aux_sym_subroutine_call_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token1] = ACTIONS(6791),
    [aux_sym_keyword_statement_token2] = ACTIONS(6791),
    [aux_sym_keyword_statement_token3] = ACTIONS(6791),
    [aux_sym_keyword_statement_token4] = ACTIONS(6791),
    [aux_sym_keyword_statement_token6] = ACTIONS(6791),
    [aux_sym_keyword_statement_token7] = ACTIONS(6791),
    [aux_sym_include_statement_token1] = ACTIONS(6791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6791),
    [aux_sym_end_if_statement_token1] = ACTIONS(6791),
    [aux_sym_elseif_clause_token2] = ACTIONS(6791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token1] = ACTIONS(6791),
    [aux_sym_select_case_statement_token3] = ACTIONS(6791),
    [aux_sym_select_type_statement_token1] = ACTIONS(6791),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6791),
    [aux_sym_associate_statement_token1] = ACTIONS(6791),
    [aux_sym_format_statement_token1] = ACTIONS(6791),
    [aux_sym_print_statement_token1] = ACTIONS(6791),
    [aux_sym_open_statement_token1] = ACTIONS(6791),
    [aux_sym_close_statement_token1] = ACTIONS(6791),
    [aux_sym_inquire_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token1] = ACTIONS(6791),
    [aux_sym_file_position_statement_token2] = ACTIONS(6791),
    [aux_sym_file_position_statement_token3] = ACTIONS(6791),
    [aux_sym_file_position_statement_token4] = ACTIONS(6791),
    [aux_sym_allocate_statement_token1] = ACTIONS(6791),
    [aux_sym_entry_statement_token1] = ACTIONS(6791),
    [aux_sym_assign_statement_token1] = ACTIONS(6791),
    [aux_sym_logical_expression_token5] = ACTIONS(6793),
    [anon_sym_DOT] = ACTIONS(6791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6793),
    [anon_sym_LBRACK] = ACTIONS(6793),
    [aux_sym_boolean_literal_token1] = ACTIONS(6793),
    [aux_sym_boolean_literal_token2] = ACTIONS(6793),
    [aux_sym_null_literal_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_statement_token2] = ACTIONS(6791),
    [aux_sym_coarray_statement_token6] = ACTIONS(6791),
    [aux_sym_coarray_statement_token8] = ACTIONS(6791),
    [aux_sym_coarray_statement_token11] = ACTIONS(6791),
    [aux_sym_coarray_statement_token12] = ACTIONS(6791),
    [aux_sym_coarray_statement_token13] = ACTIONS(6791),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6791),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6791),
    [aux_sym_identifier_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6793),
    [sym__float_literal] = ACTIONS(6793),
    [sym__boz_literal] = ACTIONS(6793),
    [sym__string_literal] = ACTIONS(6793),
    [sym__string_literal_kind] = ACTIONS(6793),
  },
  [2725] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_contains_statement_token1] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2726] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(7103),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(7107),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2731] = {
    [anon_sym_COMMA] = ACTIONS(7111),
    [anon_sym_RPAREN] = ACTIONS(7111),
    [anon_sym_LPAREN2] = ACTIONS(7111),
    [anon_sym_PLUS] = ACTIONS(7111),
    [anon_sym_DASH] = ACTIONS(7111),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_PERCENT] = ACTIONS(7111),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7113),
    [anon_sym_GT_EQ] = ACTIONS(7111),
    [anon_sym_LT_EQ] = ACTIONS(7111),
    [anon_sym_LT] = ACTIONS(7113),
    [aux_sym_end_program_statement_token1] = ACTIONS(7113),
    [aux_sym_block_data_statement_token1] = ACTIONS(7113),
    [aux_sym_block_data_statement_token2] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7113),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7113),
    [aux_sym_language_binding_token1] = ACTIONS(7113),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7113),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7113),
    [aux_sym_use_statement_token2] = ACTIONS(7113),
    [anon_sym_COLON_COLON] = ACTIONS(7111),
    [anon_sym_EQ_GT] = ACTIONS(7111),
    [aux_sym_implicit_statement_token4] = ACTIONS(7113),
    [aux_sym_save_statement_token1] = ACTIONS(7113),
    [aux_sym_private_statement_token1] = ACTIONS(7113),
    [aux_sym_public_statement_token1] = ACTIONS(7113),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7113),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7113),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7113),
    [aux_sym_variable_attributes_token1] = ACTIONS(7113),
    [aux_sym_variable_attributes_token2] = ACTIONS(7113),
    [aux_sym_variable_attributes_token3] = ACTIONS(7113),
    [aux_sym_variable_attributes_token4] = ACTIONS(7113),
    [aux_sym_variable_attributes_token5] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7113),
    [aux_sym_type_qualifier_token1] = ACTIONS(7113),
    [aux_sym_type_qualifier_token2] = ACTIONS(7113),
    [aux_sym_stop_statement_token1] = ACTIONS(7113),
    [aux_sym_stop_statement_token2] = ACTIONS(7113),
    [aux_sym_subroutine_call_token1] = ACTIONS(7113),
    [anon_sym_GT_GT_GT] = ACTIONS(7111),
    [aux_sym_keyword_statement_token2] = ACTIONS(7113),
    [aux_sym_keyword_statement_token3] = ACTIONS(7113),
    [aux_sym_keyword_statement_token4] = ACTIONS(7113),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7113),
    [aux_sym_end_if_statement_token1] = ACTIONS(7113),
    [aux_sym_elseif_clause_token2] = ACTIONS(7113),
    [aux_sym_select_case_statement_token1] = ACTIONS(7113),
    [aux_sym_format_statement_token1] = ACTIONS(7113),
    [aux_sym_open_statement_token1] = ACTIONS(7113),
    [aux_sym_inquire_statement_token1] = ACTIONS(7113),
    [aux_sym_entry_statement_token1] = ACTIONS(7113),
    [aux_sym_logical_expression_token1] = ACTIONS(7111),
    [aux_sym_logical_expression_token2] = ACTIONS(7111),
    [aux_sym_logical_expression_token3] = ACTIONS(7111),
    [aux_sym_logical_expression_token4] = ACTIONS(7111),
    [aux_sym_relational_expression_token1] = ACTIONS(7111),
    [aux_sym_relational_expression_token2] = ACTIONS(7111),
    [aux_sym_relational_expression_token3] = ACTIONS(7111),
    [aux_sym_relational_expression_token4] = ACTIONS(7111),
    [aux_sym_relational_expression_token5] = ACTIONS(7111),
    [anon_sym_SLASH_EQ] = ACTIONS(7111),
    [aux_sym_relational_expression_token6] = ACTIONS(7111),
    [anon_sym_SLASH_SLASH] = ACTIONS(7111),
    [anon_sym_STAR_STAR] = ACTIONS(7111),
    [anon_sym_DOT] = ACTIONS(7113),
    [anon_sym_LBRACK] = ACTIONS(7111),
    [anon_sym_RBRACK] = ACTIONS(7111),
    [aux_sym_null_literal_token1] = ACTIONS(7113),
    [aux_sym_coarray_statement_token1] = ACTIONS(7113),
    [aux_sym_coarray_statement_token2] = ACTIONS(7113),
    [aux_sym_coarray_statement_token6] = ACTIONS(7113),
    [aux_sym_coarray_statement_token8] = ACTIONS(7113),
    [aux_sym_coarray_statement_token11] = ACTIONS(7113),
    [aux_sym_coarray_statement_token12] = ACTIONS(7113),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7113),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7113),
    [anon_sym_QMARK] = ACTIONS(7111),
    [aux_sym_identifier_token1] = ACTIONS(7113),
    [sym_comment] = ACTIONS(21),
  },
  [2732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [anon_sym_PLUS] = ACTIONS(6585),
    [anon_sym_DASH] = ACTIONS(6585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6585),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_end_function_statement_token1] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_keyword_statement_token6] = ACTIONS(6581),
    [aux_sym_keyword_statement_token7] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token3] = ACTIONS(6581),
    [aux_sym_select_type_statement_token1] = ACTIONS(6581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6581),
    [aux_sym_associate_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_close_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token1] = ACTIONS(6581),
    [aux_sym_file_position_statement_token2] = ACTIONS(6581),
    [aux_sym_file_position_statement_token3] = ACTIONS(6581),
    [aux_sym_file_position_statement_token4] = ACTIONS(6581),
    [aux_sym_allocate_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_assign_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6585),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [aux_sym_boolean_literal_token1] = ACTIONS(6585),
    [aux_sym_boolean_literal_token2] = ACTIONS(6585),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_statement_token13] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6585),
    [sym__float_literal] = ACTIONS(6585),
    [sym__boz_literal] = ACTIONS(6585),
    [sym__string_literal] = ACTIONS(6585),
    [sym__string_literal_kind] = ACTIONS(6585),
  },
  [2733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(7115),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2734] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2735] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_contains_statement_token1] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2736] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_contains_statement_token1] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6587),
    [aux_sym_preproc_def_token1] = ACTIONS(6587),
    [aux_sym_preproc_if_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6587),
    [sym_preproc_directive] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(6587),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6587),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_block_data_statement_token1] = ACTIONS(6587),
    [aux_sym_block_data_statement_token2] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6587),
    [aux_sym_end_function_statement_token1] = ACTIONS(6587),
    [aux_sym_contains_statement_token1] = ACTIONS(6587),
    [aux_sym_use_statement_token2] = ACTIONS(6587),
    [aux_sym_implicit_statement_token4] = ACTIONS(6587),
    [aux_sym_save_statement_token1] = ACTIONS(6587),
    [aux_sym_private_statement_token1] = ACTIONS(6587),
    [aux_sym_public_statement_token1] = ACTIONS(6587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6587),
    [aux_sym_variable_attributes_token2] = ACTIONS(6587),
    [aux_sym_variable_attributes_token3] = ACTIONS(6587),
    [aux_sym_variable_attributes_token5] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6587),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6587),
    [aux_sym_type_qualifier_token1] = ACTIONS(6587),
    [aux_sym_type_qualifier_token2] = ACTIONS(6587),
    [aux_sym_stop_statement_token1] = ACTIONS(6587),
    [aux_sym_stop_statement_token2] = ACTIONS(6587),
    [aux_sym_subroutine_call_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token1] = ACTIONS(6587),
    [aux_sym_keyword_statement_token2] = ACTIONS(6587),
    [aux_sym_keyword_statement_token3] = ACTIONS(6587),
    [aux_sym_keyword_statement_token4] = ACTIONS(6587),
    [aux_sym_keyword_statement_token6] = ACTIONS(6587),
    [aux_sym_keyword_statement_token7] = ACTIONS(6587),
    [aux_sym_include_statement_token1] = ACTIONS(6587),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6587),
    [aux_sym_end_if_statement_token1] = ACTIONS(6587),
    [aux_sym_elseif_clause_token2] = ACTIONS(6587),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6587),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token1] = ACTIONS(6587),
    [aux_sym_select_case_statement_token3] = ACTIONS(6587),
    [aux_sym_select_type_statement_token1] = ACTIONS(6587),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6587),
    [aux_sym_associate_statement_token1] = ACTIONS(6587),
    [aux_sym_format_statement_token1] = ACTIONS(6587),
    [aux_sym_print_statement_token1] = ACTIONS(6587),
    [aux_sym_open_statement_token1] = ACTIONS(6587),
    [aux_sym_close_statement_token1] = ACTIONS(6587),
    [aux_sym_inquire_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token1] = ACTIONS(6587),
    [aux_sym_file_position_statement_token2] = ACTIONS(6587),
    [aux_sym_file_position_statement_token3] = ACTIONS(6587),
    [aux_sym_file_position_statement_token4] = ACTIONS(6587),
    [aux_sym_allocate_statement_token1] = ACTIONS(6587),
    [aux_sym_entry_statement_token1] = ACTIONS(6587),
    [aux_sym_assign_statement_token1] = ACTIONS(6587),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6587),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_statement_token2] = ACTIONS(6587),
    [aux_sym_coarray_statement_token6] = ACTIONS(6587),
    [aux_sym_coarray_statement_token8] = ACTIONS(6587),
    [aux_sym_coarray_statement_token11] = ACTIONS(6587),
    [aux_sym_coarray_statement_token12] = ACTIONS(6587),
    [aux_sym_coarray_statement_token13] = ACTIONS(6587),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6587),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6587),
    [aux_sym_identifier_token1] = ACTIONS(6587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2738] = {
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_RPAREN] = ACTIONS(7119),
    [anon_sym_LPAREN2] = ACTIONS(7119),
    [anon_sym_PLUS] = ACTIONS(7119),
    [anon_sym_DASH] = ACTIONS(7119),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_PERCENT] = ACTIONS(7119),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7121),
    [anon_sym_GT_EQ] = ACTIONS(7119),
    [anon_sym_LT_EQ] = ACTIONS(7119),
    [anon_sym_LT] = ACTIONS(7121),
    [aux_sym_end_program_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token2] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7121),
    [aux_sym_language_binding_token1] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7121),
    [aux_sym_use_statement_token2] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(7119),
    [anon_sym_EQ_GT] = ACTIONS(7119),
    [aux_sym_implicit_statement_token4] = ACTIONS(7121),
    [aux_sym_save_statement_token1] = ACTIONS(7121),
    [aux_sym_private_statement_token1] = ACTIONS(7121),
    [aux_sym_public_statement_token1] = ACTIONS(7121),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7121),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7121),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7121),
    [aux_sym_variable_attributes_token1] = ACTIONS(7121),
    [aux_sym_variable_attributes_token2] = ACTIONS(7121),
    [aux_sym_variable_attributes_token3] = ACTIONS(7121),
    [aux_sym_variable_attributes_token4] = ACTIONS(7121),
    [aux_sym_variable_attributes_token5] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7121),
    [aux_sym_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym_stop_statement_token1] = ACTIONS(7121),
    [aux_sym_stop_statement_token2] = ACTIONS(7121),
    [aux_sym_subroutine_call_token1] = ACTIONS(7121),
    [anon_sym_GT_GT_GT] = ACTIONS(7119),
    [aux_sym_keyword_statement_token2] = ACTIONS(7121),
    [aux_sym_keyword_statement_token3] = ACTIONS(7121),
    [aux_sym_keyword_statement_token4] = ACTIONS(7121),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7121),
    [aux_sym_end_if_statement_token1] = ACTIONS(7121),
    [aux_sym_elseif_clause_token2] = ACTIONS(7121),
    [aux_sym_select_case_statement_token1] = ACTIONS(7121),
    [aux_sym_format_statement_token1] = ACTIONS(7121),
    [aux_sym_open_statement_token1] = ACTIONS(7121),
    [aux_sym_inquire_statement_token1] = ACTIONS(7121),
    [aux_sym_entry_statement_token1] = ACTIONS(7121),
    [aux_sym_logical_expression_token1] = ACTIONS(7119),
    [aux_sym_logical_expression_token2] = ACTIONS(7119),
    [aux_sym_logical_expression_token3] = ACTIONS(7119),
    [aux_sym_logical_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token1] = ACTIONS(7119),
    [aux_sym_relational_expression_token2] = ACTIONS(7119),
    [aux_sym_relational_expression_token3] = ACTIONS(7119),
    [aux_sym_relational_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token5] = ACTIONS(7119),
    [anon_sym_SLASH_EQ] = ACTIONS(7119),
    [aux_sym_relational_expression_token6] = ACTIONS(7119),
    [anon_sym_SLASH_SLASH] = ACTIONS(7119),
    [anon_sym_STAR_STAR] = ACTIONS(7119),
    [anon_sym_DOT] = ACTIONS(7121),
    [anon_sym_LBRACK] = ACTIONS(7119),
    [anon_sym_RBRACK] = ACTIONS(7119),
    [aux_sym_null_literal_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token2] = ACTIONS(7121),
    [aux_sym_coarray_statement_token6] = ACTIONS(7121),
    [aux_sym_coarray_statement_token8] = ACTIONS(7121),
    [aux_sym_coarray_statement_token11] = ACTIONS(7121),
    [aux_sym_coarray_statement_token12] = ACTIONS(7121),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7121),
    [anon_sym_QMARK] = ACTIONS(7119),
    [aux_sym_identifier_token1] = ACTIONS(7121),
    [sym_comment] = ACTIONS(21),
  },
  [2739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_contains_statement_token1] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_contains_statement_token1] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2741] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7123),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2742] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_contains_statement_token1] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [aux_sym_end_program_statement_token2] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_contains_statement_token1] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_contains_statement_token1] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_contains_statement_token1] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2746] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2747] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(7127),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2748] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2749] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(7131),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2750] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token2] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2751] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7135),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2753] = {
    [anon_sym_COMMA] = ACTIONS(6391),
    [anon_sym_RPAREN] = ACTIONS(6391),
    [anon_sym_LPAREN2] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6391),
    [anon_sym_DASH] = ACTIONS(6391),
    [anon_sym_STAR] = ACTIONS(6393),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6391),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6391),
    [anon_sym_GT] = ACTIONS(6393),
    [anon_sym_GT_EQ] = ACTIONS(6391),
    [anon_sym_LT_EQ] = ACTIONS(6391),
    [anon_sym_LT] = ACTIONS(6393),
    [aux_sym_end_program_statement_token1] = ACTIONS(6393),
    [aux_sym_block_data_statement_token1] = ACTIONS(6393),
    [aux_sym_block_data_statement_token2] = ACTIONS(6393),
    [anon_sym_EQ] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6393),
    [aux_sym_language_binding_token1] = ACTIONS(6393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6393),
    [aux_sym_use_statement_token2] = ACTIONS(6393),
    [anon_sym_COLON_COLON] = ACTIONS(6391),
    [anon_sym_EQ_GT] = ACTIONS(6391),
    [aux_sym_implicit_statement_token4] = ACTIONS(6393),
    [aux_sym_save_statement_token1] = ACTIONS(6393),
    [aux_sym_private_statement_token1] = ACTIONS(6393),
    [aux_sym_public_statement_token1] = ACTIONS(6393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6393),
    [aux_sym_variable_attributes_token1] = ACTIONS(6393),
    [aux_sym_variable_attributes_token2] = ACTIONS(6393),
    [aux_sym_variable_attributes_token3] = ACTIONS(6393),
    [aux_sym_variable_attributes_token4] = ACTIONS(6393),
    [aux_sym_variable_attributes_token5] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6393),
    [aux_sym_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym_stop_statement_token1] = ACTIONS(6393),
    [aux_sym_stop_statement_token2] = ACTIONS(6393),
    [aux_sym_subroutine_call_token1] = ACTIONS(6393),
    [anon_sym_GT_GT_GT] = ACTIONS(6391),
    [aux_sym_keyword_statement_token2] = ACTIONS(6393),
    [aux_sym_keyword_statement_token3] = ACTIONS(6393),
    [aux_sym_keyword_statement_token4] = ACTIONS(6393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6393),
    [aux_sym_end_if_statement_token1] = ACTIONS(6393),
    [aux_sym_elseif_clause_token2] = ACTIONS(6393),
    [aux_sym_select_case_statement_token1] = ACTIONS(6393),
    [aux_sym_format_statement_token1] = ACTIONS(6393),
    [aux_sym_open_statement_token1] = ACTIONS(6393),
    [aux_sym_inquire_statement_token1] = ACTIONS(6393),
    [aux_sym_entry_statement_token1] = ACTIONS(6393),
    [aux_sym_logical_expression_token1] = ACTIONS(6391),
    [aux_sym_logical_expression_token2] = ACTIONS(6391),
    [aux_sym_logical_expression_token3] = ACTIONS(6391),
    [aux_sym_logical_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token1] = ACTIONS(6391),
    [aux_sym_relational_expression_token2] = ACTIONS(6391),
    [aux_sym_relational_expression_token3] = ACTIONS(6391),
    [aux_sym_relational_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token5] = ACTIONS(6391),
    [anon_sym_SLASH_EQ] = ACTIONS(6391),
    [aux_sym_relational_expression_token6] = ACTIONS(6391),
    [anon_sym_SLASH_SLASH] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6391),
    [anon_sym_DOT] = ACTIONS(6393),
    [anon_sym_LBRACK] = ACTIONS(6391),
    [anon_sym_RBRACK] = ACTIONS(6391),
    [aux_sym_null_literal_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token2] = ACTIONS(6393),
    [aux_sym_coarray_statement_token6] = ACTIONS(6393),
    [aux_sym_coarray_statement_token8] = ACTIONS(6393),
    [aux_sym_coarray_statement_token11] = ACTIONS(6393),
    [aux_sym_coarray_statement_token12] = ACTIONS(6393),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6393),
    [anon_sym_QMARK] = ACTIONS(6391),
    [aux_sym_identifier_token1] = ACTIONS(6393),
    [sym_comment] = ACTIONS(21),
  },
  [2754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2755] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(7139),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2756] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2757] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(7143),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2758] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6099),
    [aux_sym_preproc_def_token1] = ACTIONS(6099),
    [aux_sym_preproc_if_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6099),
    [sym_preproc_directive] = ACTIONS(6099),
    [anon_sym_LPAREN2] = ACTIONS(6099),
    [sym_preproc_comment] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6099),
    [aux_sym_block_data_statement_token2] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6099),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6099),
    [aux_sym_use_statement_token2] = ACTIONS(6099),
    [aux_sym_implicit_statement_token4] = ACTIONS(6099),
    [aux_sym_save_statement_token1] = ACTIONS(6099),
    [aux_sym_private_statement_token1] = ACTIONS(6099),
    [aux_sym_public_statement_token1] = ACTIONS(6099),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6099),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6099),
    [aux_sym_variable_attributes_token2] = ACTIONS(6099),
    [aux_sym_variable_attributes_token3] = ACTIONS(6099),
    [aux_sym_variable_attributes_token5] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6099),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6099),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6099),
    [aux_sym_type_qualifier_token1] = ACTIONS(6099),
    [aux_sym_type_qualifier_token2] = ACTIONS(6099),
    [aux_sym_stop_statement_token1] = ACTIONS(6099),
    [aux_sym_stop_statement_token2] = ACTIONS(6099),
    [aux_sym_subroutine_call_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token1] = ACTIONS(6099),
    [aux_sym_keyword_statement_token2] = ACTIONS(6099),
    [aux_sym_keyword_statement_token3] = ACTIONS(6099),
    [aux_sym_keyword_statement_token4] = ACTIONS(6099),
    [aux_sym_keyword_statement_token6] = ACTIONS(6099),
    [aux_sym_keyword_statement_token7] = ACTIONS(6099),
    [aux_sym_include_statement_token1] = ACTIONS(6099),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6099),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6099),
    [aux_sym_end_if_statement_token1] = ACTIONS(6099),
    [aux_sym_elseif_clause_token2] = ACTIONS(6099),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6099),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token1] = ACTIONS(6099),
    [aux_sym_select_case_statement_token3] = ACTIONS(6099),
    [aux_sym_select_type_statement_token1] = ACTIONS(6099),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6099),
    [aux_sym_associate_statement_token1] = ACTIONS(6099),
    [aux_sym_format_statement_token1] = ACTIONS(6099),
    [aux_sym_print_statement_token1] = ACTIONS(6099),
    [aux_sym_open_statement_token1] = ACTIONS(6099),
    [aux_sym_close_statement_token1] = ACTIONS(6099),
    [aux_sym_inquire_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token1] = ACTIONS(6099),
    [aux_sym_file_position_statement_token2] = ACTIONS(6099),
    [aux_sym_file_position_statement_token3] = ACTIONS(6099),
    [aux_sym_file_position_statement_token4] = ACTIONS(6099),
    [aux_sym_allocate_statement_token1] = ACTIONS(6099),
    [aux_sym_entry_statement_token1] = ACTIONS(6099),
    [aux_sym_assign_statement_token1] = ACTIONS(6099),
    [aux_sym_logical_expression_token5] = ACTIONS(6103),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [aux_sym_boolean_literal_token1] = ACTIONS(6103),
    [aux_sym_boolean_literal_token2] = ACTIONS(6103),
    [aux_sym_null_literal_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_statement_token2] = ACTIONS(6099),
    [aux_sym_coarray_statement_token6] = ACTIONS(6099),
    [aux_sym_coarray_statement_token8] = ACTIONS(6099),
    [aux_sym_coarray_statement_token11] = ACTIONS(6099),
    [aux_sym_coarray_statement_token12] = ACTIONS(6099),
    [aux_sym_coarray_statement_token13] = ACTIONS(6099),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6099),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6099),
    [aux_sym_identifier_token1] = ACTIONS(6099),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6103),
    [sym__float_literal] = ACTIONS(6103),
    [sym__boz_literal] = ACTIONS(6103),
    [sym__string_literal] = ACTIONS(6103),
    [sym__string_literal_kind] = ACTIONS(6103),
  },
  [2759] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token2] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2760] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2761] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token2] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2767] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2768] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_end_select_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2769] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_end_select_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2770] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_end_select_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_end_select_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_end_select_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_end_select_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_end_select_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_select_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token2] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token2] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2783] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token2] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2785] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token2] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token2] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token2] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2789] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2792] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_select_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2797] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_select_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2806] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token2] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token2] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_select_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_select_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_end_select_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_end_select_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_end_select_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_end_select_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_end_select_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_end_select_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_select_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_end_select_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_end_select_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_end_select_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_end_select_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token2] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token2] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token2] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token2] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token2] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token2] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2886] = {
    [sym__argument_list] = STATE(2634),
    [sym_argument_list] = STATE(3606),
    [anon_sym_LPAREN2] = ACTIONS(7147),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [2887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6049),
    [aux_sym_preproc_def_token1] = ACTIONS(6049),
    [aux_sym_preproc_if_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6049),
    [sym_preproc_directive] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [sym_preproc_comment] = ACTIONS(7151),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6053),
    [aux_sym_block_data_statement_token1] = ACTIONS(6049),
    [aux_sym_block_data_statement_token2] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6049),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6049),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6049),
    [aux_sym_use_statement_token2] = ACTIONS(6049),
    [aux_sym_implicit_statement_token4] = ACTIONS(6049),
    [aux_sym_save_statement_token1] = ACTIONS(6049),
    [aux_sym_private_statement_token1] = ACTIONS(6049),
    [aux_sym_public_statement_token1] = ACTIONS(6049),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6049),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6049),
    [aux_sym_variable_attributes_token2] = ACTIONS(6049),
    [aux_sym_variable_attributes_token3] = ACTIONS(6049),
    [aux_sym_variable_attributes_token5] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6049),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6049),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6049),
    [aux_sym_type_qualifier_token1] = ACTIONS(6049),
    [aux_sym_type_qualifier_token2] = ACTIONS(6049),
    [aux_sym_stop_statement_token1] = ACTIONS(6049),
    [aux_sym_stop_statement_token2] = ACTIONS(6049),
    [aux_sym_subroutine_call_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token1] = ACTIONS(6049),
    [aux_sym_keyword_statement_token2] = ACTIONS(6049),
    [aux_sym_keyword_statement_token3] = ACTIONS(6049),
    [aux_sym_keyword_statement_token4] = ACTIONS(6049),
    [aux_sym_keyword_statement_token6] = ACTIONS(6049),
    [aux_sym_keyword_statement_token7] = ACTIONS(6049),
    [aux_sym_include_statement_token1] = ACTIONS(6049),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6049),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6049),
    [aux_sym_end_if_statement_token1] = ACTIONS(6049),
    [aux_sym_elseif_clause_token2] = ACTIONS(6049),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6049),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token1] = ACTIONS(6049),
    [aux_sym_select_case_statement_token3] = ACTIONS(6049),
    [aux_sym_select_type_statement_token1] = ACTIONS(6049),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6049),
    [aux_sym_associate_statement_token1] = ACTIONS(6049),
    [aux_sym_format_statement_token1] = ACTIONS(6049),
    [aux_sym_print_statement_token1] = ACTIONS(6049),
    [aux_sym_open_statement_token1] = ACTIONS(6049),
    [aux_sym_close_statement_token1] = ACTIONS(6049),
    [aux_sym_inquire_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token1] = ACTIONS(6049),
    [aux_sym_file_position_statement_token2] = ACTIONS(6049),
    [aux_sym_file_position_statement_token3] = ACTIONS(6049),
    [aux_sym_file_position_statement_token4] = ACTIONS(6049),
    [aux_sym_allocate_statement_token1] = ACTIONS(6049),
    [aux_sym_entry_statement_token1] = ACTIONS(6049),
    [aux_sym_assign_statement_token1] = ACTIONS(6049),
    [aux_sym_logical_expression_token5] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [aux_sym_boolean_literal_token1] = ACTIONS(6053),
    [aux_sym_boolean_literal_token2] = ACTIONS(6053),
    [aux_sym_null_literal_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_statement_token2] = ACTIONS(6049),
    [aux_sym_coarray_statement_token6] = ACTIONS(6049),
    [aux_sym_coarray_statement_token8] = ACTIONS(6049),
    [aux_sym_coarray_statement_token11] = ACTIONS(6049),
    [aux_sym_coarray_statement_token12] = ACTIONS(6049),
    [aux_sym_coarray_statement_token13] = ACTIONS(6049),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6049),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6049),
    [aux_sym_identifier_token1] = ACTIONS(6049),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6053),
    [sym__float_literal] = ACTIONS(6053),
    [sym__boz_literal] = ACTIONS(6053),
    [sym__string_literal] = ACTIONS(6053),
    [sym__string_literal_kind] = ACTIONS(6053),
  },
  [2888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6069),
    [aux_sym_preproc_def_token1] = ACTIONS(6069),
    [aux_sym_preproc_if_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6069),
    [sym_preproc_directive] = ACTIONS(6069),
    [anon_sym_LPAREN2] = ACTIONS(6069),
    [sym_preproc_comment] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6073),
    [aux_sym_block_data_statement_token1] = ACTIONS(6069),
    [aux_sym_block_data_statement_token2] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6069),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6069),
    [aux_sym_use_statement_token2] = ACTIONS(6069),
    [aux_sym_implicit_statement_token4] = ACTIONS(6069),
    [aux_sym_save_statement_token1] = ACTIONS(6069),
    [aux_sym_private_statement_token1] = ACTIONS(6069),
    [aux_sym_public_statement_token1] = ACTIONS(6069),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6069),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6069),
    [aux_sym_variable_attributes_token2] = ACTIONS(6069),
    [aux_sym_variable_attributes_token3] = ACTIONS(6069),
    [aux_sym_variable_attributes_token5] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6069),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6069),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6069),
    [aux_sym_type_qualifier_token1] = ACTIONS(6069),
    [aux_sym_type_qualifier_token2] = ACTIONS(6069),
    [aux_sym_stop_statement_token1] = ACTIONS(6069),
    [aux_sym_stop_statement_token2] = ACTIONS(6069),
    [aux_sym_subroutine_call_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token1] = ACTIONS(6069),
    [aux_sym_keyword_statement_token2] = ACTIONS(6069),
    [aux_sym_keyword_statement_token3] = ACTIONS(6069),
    [aux_sym_keyword_statement_token4] = ACTIONS(6069),
    [aux_sym_keyword_statement_token6] = ACTIONS(6069),
    [aux_sym_keyword_statement_token7] = ACTIONS(6069),
    [aux_sym_include_statement_token1] = ACTIONS(6069),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6069),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6069),
    [aux_sym_end_if_statement_token1] = ACTIONS(6069),
    [aux_sym_elseif_clause_token2] = ACTIONS(6069),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6069),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token1] = ACTIONS(6069),
    [aux_sym_select_case_statement_token3] = ACTIONS(6069),
    [aux_sym_select_type_statement_token1] = ACTIONS(6069),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6069),
    [aux_sym_associate_statement_token1] = ACTIONS(6069),
    [aux_sym_format_statement_token1] = ACTIONS(6069),
    [aux_sym_print_statement_token1] = ACTIONS(6069),
    [aux_sym_open_statement_token1] = ACTIONS(6069),
    [aux_sym_close_statement_token1] = ACTIONS(6069),
    [aux_sym_inquire_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token1] = ACTIONS(6069),
    [aux_sym_file_position_statement_token2] = ACTIONS(6069),
    [aux_sym_file_position_statement_token3] = ACTIONS(6069),
    [aux_sym_file_position_statement_token4] = ACTIONS(6069),
    [aux_sym_allocate_statement_token1] = ACTIONS(6069),
    [aux_sym_entry_statement_token1] = ACTIONS(6069),
    [aux_sym_assign_statement_token1] = ACTIONS(6069),
    [aux_sym_logical_expression_token5] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [aux_sym_boolean_literal_token1] = ACTIONS(6073),
    [aux_sym_boolean_literal_token2] = ACTIONS(6073),
    [aux_sym_null_literal_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_statement_token2] = ACTIONS(6069),
    [aux_sym_coarray_statement_token6] = ACTIONS(6069),
    [aux_sym_coarray_statement_token8] = ACTIONS(6069),
    [aux_sym_coarray_statement_token11] = ACTIONS(6069),
    [aux_sym_coarray_statement_token12] = ACTIONS(6069),
    [aux_sym_coarray_statement_token13] = ACTIONS(6069),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6069),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6069),
    [aux_sym_identifier_token1] = ACTIONS(6069),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6073),
    [sym__float_literal] = ACTIONS(6073),
    [sym__boz_literal] = ACTIONS(6073),
    [sym__string_literal] = ACTIONS(6073),
    [sym__string_literal_kind] = ACTIONS(6073),
  },
  [2891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6089),
    [aux_sym_preproc_def_token1] = ACTIONS(6089),
    [aux_sym_preproc_if_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6089),
    [sym_preproc_directive] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [sym_preproc_comment] = ACTIONS(7155),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6093),
    [aux_sym_block_data_statement_token1] = ACTIONS(6089),
    [aux_sym_block_data_statement_token2] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6089),
    [aux_sym_use_statement_token2] = ACTIONS(6089),
    [aux_sym_implicit_statement_token4] = ACTIONS(6089),
    [aux_sym_save_statement_token1] = ACTIONS(6089),
    [aux_sym_private_statement_token1] = ACTIONS(6089),
    [aux_sym_public_statement_token1] = ACTIONS(6089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6089),
    [aux_sym_variable_attributes_token2] = ACTIONS(6089),
    [aux_sym_variable_attributes_token3] = ACTIONS(6089),
    [aux_sym_variable_attributes_token5] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6089),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6089),
    [aux_sym_type_qualifier_token1] = ACTIONS(6089),
    [aux_sym_type_qualifier_token2] = ACTIONS(6089),
    [aux_sym_stop_statement_token1] = ACTIONS(6089),
    [aux_sym_stop_statement_token2] = ACTIONS(6089),
    [aux_sym_subroutine_call_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token1] = ACTIONS(6089),
    [aux_sym_keyword_statement_token2] = ACTIONS(6089),
    [aux_sym_keyword_statement_token3] = ACTIONS(6089),
    [aux_sym_keyword_statement_token4] = ACTIONS(6089),
    [aux_sym_keyword_statement_token6] = ACTIONS(6089),
    [aux_sym_keyword_statement_token7] = ACTIONS(6089),
    [aux_sym_include_statement_token1] = ACTIONS(6089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6089),
    [aux_sym_end_if_statement_token1] = ACTIONS(6089),
    [aux_sym_elseif_clause_token2] = ACTIONS(6089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token1] = ACTIONS(6089),
    [aux_sym_select_case_statement_token3] = ACTIONS(6089),
    [aux_sym_select_type_statement_token1] = ACTIONS(6089),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6089),
    [aux_sym_associate_statement_token1] = ACTIONS(6089),
    [aux_sym_format_statement_token1] = ACTIONS(6089),
    [aux_sym_print_statement_token1] = ACTIONS(6089),
    [aux_sym_open_statement_token1] = ACTIONS(6089),
    [aux_sym_close_statement_token1] = ACTIONS(6089),
    [aux_sym_inquire_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token1] = ACTIONS(6089),
    [aux_sym_file_position_statement_token2] = ACTIONS(6089),
    [aux_sym_file_position_statement_token3] = ACTIONS(6089),
    [aux_sym_file_position_statement_token4] = ACTIONS(6089),
    [aux_sym_allocate_statement_token1] = ACTIONS(6089),
    [aux_sym_entry_statement_token1] = ACTIONS(6089),
    [aux_sym_assign_statement_token1] = ACTIONS(6089),
    [aux_sym_logical_expression_token5] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [aux_sym_boolean_literal_token1] = ACTIONS(6093),
    [aux_sym_boolean_literal_token2] = ACTIONS(6093),
    [aux_sym_null_literal_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_statement_token2] = ACTIONS(6089),
    [aux_sym_coarray_statement_token6] = ACTIONS(6089),
    [aux_sym_coarray_statement_token8] = ACTIONS(6089),
    [aux_sym_coarray_statement_token11] = ACTIONS(6089),
    [aux_sym_coarray_statement_token12] = ACTIONS(6089),
    [aux_sym_coarray_statement_token13] = ACTIONS(6089),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6089),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6089),
    [aux_sym_identifier_token1] = ACTIONS(6089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6093),
    [sym__float_literal] = ACTIONS(6093),
    [sym__boz_literal] = ACTIONS(6093),
    [sym__string_literal] = ACTIONS(6093),
    [sym__string_literal_kind] = ACTIONS(6093),
  },
  [2892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6063),
    [aux_sym_preproc_def_token1] = ACTIONS(6063),
    [aux_sym_preproc_if_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6063),
    [sym_preproc_directive] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [sym_preproc_comment] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6063),
    [aux_sym_block_data_statement_token2] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6063),
    [aux_sym_use_statement_token2] = ACTIONS(6063),
    [aux_sym_implicit_statement_token4] = ACTIONS(6063),
    [aux_sym_save_statement_token1] = ACTIONS(6063),
    [aux_sym_private_statement_token1] = ACTIONS(6063),
    [aux_sym_public_statement_token1] = ACTIONS(6063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6063),
    [aux_sym_variable_attributes_token2] = ACTIONS(6063),
    [aux_sym_variable_attributes_token3] = ACTIONS(6063),
    [aux_sym_variable_attributes_token5] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6063),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6063),
    [aux_sym_type_qualifier_token1] = ACTIONS(6063),
    [aux_sym_type_qualifier_token2] = ACTIONS(6063),
    [aux_sym_stop_statement_token1] = ACTIONS(6063),
    [aux_sym_stop_statement_token2] = ACTIONS(6063),
    [aux_sym_subroutine_call_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token1] = ACTIONS(6063),
    [aux_sym_keyword_statement_token2] = ACTIONS(6063),
    [aux_sym_keyword_statement_token3] = ACTIONS(6063),
    [aux_sym_keyword_statement_token4] = ACTIONS(6063),
    [aux_sym_keyword_statement_token6] = ACTIONS(6063),
    [aux_sym_keyword_statement_token7] = ACTIONS(6063),
    [aux_sym_include_statement_token1] = ACTIONS(6063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6063),
    [aux_sym_end_if_statement_token1] = ACTIONS(6063),
    [aux_sym_elseif_clause_token2] = ACTIONS(6063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token1] = ACTIONS(6063),
    [aux_sym_select_case_statement_token3] = ACTIONS(6063),
    [aux_sym_select_type_statement_token1] = ACTIONS(6063),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6063),
    [aux_sym_associate_statement_token1] = ACTIONS(6063),
    [aux_sym_format_statement_token1] = ACTIONS(6063),
    [aux_sym_print_statement_token1] = ACTIONS(6063),
    [aux_sym_open_statement_token1] = ACTIONS(6063),
    [aux_sym_close_statement_token1] = ACTIONS(6063),
    [aux_sym_inquire_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token1] = ACTIONS(6063),
    [aux_sym_file_position_statement_token2] = ACTIONS(6063),
    [aux_sym_file_position_statement_token3] = ACTIONS(6063),
    [aux_sym_file_position_statement_token4] = ACTIONS(6063),
    [aux_sym_allocate_statement_token1] = ACTIONS(6063),
    [aux_sym_entry_statement_token1] = ACTIONS(6063),
    [aux_sym_assign_statement_token1] = ACTIONS(6063),
    [aux_sym_logical_expression_token5] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [aux_sym_boolean_literal_token1] = ACTIONS(6067),
    [aux_sym_boolean_literal_token2] = ACTIONS(6067),
    [aux_sym_null_literal_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_statement_token2] = ACTIONS(6063),
    [aux_sym_coarray_statement_token6] = ACTIONS(6063),
    [aux_sym_coarray_statement_token8] = ACTIONS(6063),
    [aux_sym_coarray_statement_token11] = ACTIONS(6063),
    [aux_sym_coarray_statement_token12] = ACTIONS(6063),
    [aux_sym_coarray_statement_token13] = ACTIONS(6063),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6063),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6063),
    [aux_sym_identifier_token1] = ACTIONS(6063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6067),
    [sym__float_literal] = ACTIONS(6067),
    [sym__boz_literal] = ACTIONS(6067),
    [sym__string_literal] = ACTIONS(6067),
    [sym__string_literal_kind] = ACTIONS(6067),
  },
  [2898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6143),
    [aux_sym_preproc_def_token1] = ACTIONS(6143),
    [aux_sym_preproc_if_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6143),
    [sym_preproc_directive] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [sym_preproc_comment] = ACTIONS(7159),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6143),
    [aux_sym_block_data_statement_token2] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6143),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6143),
    [aux_sym_use_statement_token2] = ACTIONS(6143),
    [aux_sym_implicit_statement_token4] = ACTIONS(6143),
    [aux_sym_save_statement_token1] = ACTIONS(6143),
    [aux_sym_private_statement_token1] = ACTIONS(6143),
    [aux_sym_public_statement_token1] = ACTIONS(6143),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6143),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6143),
    [aux_sym_variable_attributes_token2] = ACTIONS(6143),
    [aux_sym_variable_attributes_token3] = ACTIONS(6143),
    [aux_sym_variable_attributes_token5] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6143),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6143),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6143),
    [aux_sym_type_qualifier_token1] = ACTIONS(6143),
    [aux_sym_type_qualifier_token2] = ACTIONS(6143),
    [aux_sym_stop_statement_token1] = ACTIONS(6143),
    [aux_sym_stop_statement_token2] = ACTIONS(6143),
    [aux_sym_subroutine_call_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token1] = ACTIONS(6143),
    [aux_sym_keyword_statement_token2] = ACTIONS(6143),
    [aux_sym_keyword_statement_token3] = ACTIONS(6143),
    [aux_sym_keyword_statement_token4] = ACTIONS(6143),
    [aux_sym_keyword_statement_token6] = ACTIONS(6143),
    [aux_sym_keyword_statement_token7] = ACTIONS(6143),
    [aux_sym_include_statement_token1] = ACTIONS(6143),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6143),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6143),
    [aux_sym_end_if_statement_token1] = ACTIONS(6143),
    [aux_sym_elseif_clause_token2] = ACTIONS(6143),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6143),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token1] = ACTIONS(6143),
    [aux_sym_select_case_statement_token3] = ACTIONS(6143),
    [aux_sym_select_type_statement_token1] = ACTIONS(6143),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6143),
    [aux_sym_associate_statement_token1] = ACTIONS(6143),
    [aux_sym_format_statement_token1] = ACTIONS(6143),
    [aux_sym_print_statement_token1] = ACTIONS(6143),
    [aux_sym_open_statement_token1] = ACTIONS(6143),
    [aux_sym_close_statement_token1] = ACTIONS(6143),
    [aux_sym_inquire_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token1] = ACTIONS(6143),
    [aux_sym_file_position_statement_token2] = ACTIONS(6143),
    [aux_sym_file_position_statement_token3] = ACTIONS(6143),
    [aux_sym_file_position_statement_token4] = ACTIONS(6143),
    [aux_sym_allocate_statement_token1] = ACTIONS(6143),
    [aux_sym_entry_statement_token1] = ACTIONS(6143),
    [aux_sym_assign_statement_token1] = ACTIONS(6143),
    [aux_sym_logical_expression_token5] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [aux_sym_boolean_literal_token1] = ACTIONS(6147),
    [aux_sym_boolean_literal_token2] = ACTIONS(6147),
    [aux_sym_null_literal_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_statement_token2] = ACTIONS(6143),
    [aux_sym_coarray_statement_token6] = ACTIONS(6143),
    [aux_sym_coarray_statement_token8] = ACTIONS(6143),
    [aux_sym_coarray_statement_token11] = ACTIONS(6143),
    [aux_sym_coarray_statement_token12] = ACTIONS(6143),
    [aux_sym_coarray_statement_token13] = ACTIONS(6143),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6143),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6143),
    [aux_sym_identifier_token1] = ACTIONS(6143),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6147),
    [sym__float_literal] = ACTIONS(6147),
    [sym__boz_literal] = ACTIONS(6147),
    [sym__string_literal] = ACTIONS(6147),
    [sym__string_literal_kind] = ACTIONS(6147),
  },
  [2911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2914] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(7925),
    [sym_format_identifier] = STATE(7909),
    [sym__io_expressions] = STATE(7925),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(5199),
    [sym_derived_type_member_expression] = STATE(5199),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5199),
    [sym_math_expression] = STATE(5199),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5199),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7578),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5199),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5024),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6075),
    [aux_sym_preproc_def_token1] = ACTIONS(6075),
    [aux_sym_preproc_if_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6075),
    [sym_preproc_directive] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [sym_preproc_comment] = ACTIONS(7163),
    [anon_sym_PLUS] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6075),
    [aux_sym_block_data_statement_token2] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6075),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6075),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6075),
    [aux_sym_use_statement_token2] = ACTIONS(6075),
    [aux_sym_implicit_statement_token4] = ACTIONS(6075),
    [aux_sym_save_statement_token1] = ACTIONS(6075),
    [aux_sym_private_statement_token1] = ACTIONS(6075),
    [aux_sym_public_statement_token1] = ACTIONS(6075),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6075),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6075),
    [aux_sym_variable_attributes_token2] = ACTIONS(6075),
    [aux_sym_variable_attributes_token3] = ACTIONS(6075),
    [aux_sym_variable_attributes_token5] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6075),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6075),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6075),
    [aux_sym_type_qualifier_token1] = ACTIONS(6075),
    [aux_sym_type_qualifier_token2] = ACTIONS(6075),
    [aux_sym_stop_statement_token1] = ACTIONS(6075),
    [aux_sym_stop_statement_token2] = ACTIONS(6075),
    [aux_sym_subroutine_call_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token1] = ACTIONS(6075),
    [aux_sym_keyword_statement_token2] = ACTIONS(6075),
    [aux_sym_keyword_statement_token3] = ACTIONS(6075),
    [aux_sym_keyword_statement_token4] = ACTIONS(6075),
    [aux_sym_keyword_statement_token6] = ACTIONS(6075),
    [aux_sym_keyword_statement_token7] = ACTIONS(6075),
    [aux_sym_include_statement_token1] = ACTIONS(6075),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6075),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6075),
    [aux_sym_end_if_statement_token1] = ACTIONS(6075),
    [aux_sym_elseif_clause_token2] = ACTIONS(6075),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6075),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token1] = ACTIONS(6075),
    [aux_sym_select_case_statement_token3] = ACTIONS(6075),
    [aux_sym_select_type_statement_token1] = ACTIONS(6075),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6075),
    [aux_sym_associate_statement_token1] = ACTIONS(6075),
    [aux_sym_format_statement_token1] = ACTIONS(6075),
    [aux_sym_print_statement_token1] = ACTIONS(6075),
    [aux_sym_open_statement_token1] = ACTIONS(6075),
    [aux_sym_close_statement_token1] = ACTIONS(6075),
    [aux_sym_inquire_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token1] = ACTIONS(6075),
    [aux_sym_file_position_statement_token2] = ACTIONS(6075),
    [aux_sym_file_position_statement_token3] = ACTIONS(6075),
    [aux_sym_file_position_statement_token4] = ACTIONS(6075),
    [aux_sym_allocate_statement_token1] = ACTIONS(6075),
    [aux_sym_entry_statement_token1] = ACTIONS(6075),
    [aux_sym_assign_statement_token1] = ACTIONS(6075),
    [aux_sym_logical_expression_token5] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [aux_sym_boolean_literal_token1] = ACTIONS(6079),
    [aux_sym_boolean_literal_token2] = ACTIONS(6079),
    [aux_sym_null_literal_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_statement_token2] = ACTIONS(6075),
    [aux_sym_coarray_statement_token6] = ACTIONS(6075),
    [aux_sym_coarray_statement_token8] = ACTIONS(6075),
    [aux_sym_coarray_statement_token11] = ACTIONS(6075),
    [aux_sym_coarray_statement_token12] = ACTIONS(6075),
    [aux_sym_coarray_statement_token13] = ACTIONS(6075),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6075),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6075),
    [aux_sym_identifier_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6079),
    [sym__float_literal] = ACTIONS(6079),
    [sym__boz_literal] = ACTIONS(6079),
    [sym__string_literal] = ACTIONS(6079),
    [sym__string_literal_kind] = ACTIONS(6079),
  },
  [2919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_end_select_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [2928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4744),
    [aux_sym_preproc_def_token1] = ACTIONS(4744),
    [aux_sym_preproc_if_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4744),
    [sym_preproc_directive] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [sym_preproc_comment] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6179),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(6179),
    [aux_sym_block_data_statement_token1] = ACTIONS(4744),
    [aux_sym_block_data_statement_token2] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4744),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4744),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4744),
    [aux_sym_use_statement_token2] = ACTIONS(4744),
    [aux_sym_implicit_statement_token4] = ACTIONS(4744),
    [aux_sym_save_statement_token1] = ACTIONS(4744),
    [aux_sym_private_statement_token1] = ACTIONS(4744),
    [aux_sym_public_statement_token1] = ACTIONS(4744),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4744),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4744),
    [aux_sym_variable_attributes_token2] = ACTIONS(4744),
    [aux_sym_variable_attributes_token3] = ACTIONS(4744),
    [aux_sym_variable_attributes_token5] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4744),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4744),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4744),
    [aux_sym_type_qualifier_token1] = ACTIONS(4744),
    [aux_sym_type_qualifier_token2] = ACTIONS(4744),
    [aux_sym_stop_statement_token1] = ACTIONS(4744),
    [aux_sym_stop_statement_token2] = ACTIONS(4744),
    [aux_sym_subroutine_call_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token1] = ACTIONS(4744),
    [aux_sym_keyword_statement_token2] = ACTIONS(4744),
    [aux_sym_keyword_statement_token3] = ACTIONS(4744),
    [aux_sym_keyword_statement_token4] = ACTIONS(4744),
    [aux_sym_keyword_statement_token6] = ACTIONS(4744),
    [aux_sym_keyword_statement_token7] = ACTIONS(4744),
    [aux_sym_include_statement_token1] = ACTIONS(4744),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4744),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4744),
    [aux_sym_end_if_statement_token1] = ACTIONS(4744),
    [aux_sym_elseif_clause_token2] = ACTIONS(4744),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4744),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token1] = ACTIONS(4744),
    [aux_sym_select_case_statement_token3] = ACTIONS(4744),
    [aux_sym_select_type_statement_token1] = ACTIONS(4744),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4744),
    [aux_sym_associate_statement_token1] = ACTIONS(4744),
    [aux_sym_format_statement_token1] = ACTIONS(4744),
    [aux_sym_print_statement_token1] = ACTIONS(4744),
    [aux_sym_open_statement_token1] = ACTIONS(4744),
    [aux_sym_close_statement_token1] = ACTIONS(4744),
    [aux_sym_inquire_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token1] = ACTIONS(4744),
    [aux_sym_file_position_statement_token2] = ACTIONS(4744),
    [aux_sym_file_position_statement_token3] = ACTIONS(4744),
    [aux_sym_file_position_statement_token4] = ACTIONS(4744),
    [aux_sym_allocate_statement_token1] = ACTIONS(4744),
    [aux_sym_entry_statement_token1] = ACTIONS(4744),
    [aux_sym_assign_statement_token1] = ACTIONS(4744),
    [aux_sym_logical_expression_token5] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(4744),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [aux_sym_boolean_literal_token1] = ACTIONS(6179),
    [aux_sym_boolean_literal_token2] = ACTIONS(6179),
    [aux_sym_null_literal_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_statement_token2] = ACTIONS(4744),
    [aux_sym_coarray_statement_token6] = ACTIONS(4744),
    [aux_sym_coarray_statement_token8] = ACTIONS(4744),
    [aux_sym_coarray_statement_token11] = ACTIONS(4744),
    [aux_sym_coarray_statement_token12] = ACTIONS(4744),
    [aux_sym_coarray_statement_token13] = ACTIONS(4744),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4744),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4744),
    [aux_sym_identifier_token1] = ACTIONS(4744),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6179),
    [sym__float_literal] = ACTIONS(6179),
    [sym__boz_literal] = ACTIONS(6179),
    [sym__string_literal] = ACTIONS(6179),
    [sym__string_literal_kind] = ACTIONS(6179),
  },
  [2941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [2942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [2943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [2948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6171),
    [aux_sym_preproc_def_token1] = ACTIONS(6171),
    [aux_sym_preproc_if_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6171),
    [sym_preproc_directive] = ACTIONS(6171),
    [anon_sym_LPAREN2] = ACTIONS(6171),
    [sym_preproc_comment] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6171),
    [aux_sym_block_data_statement_token2] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6171),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6171),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6171),
    [aux_sym_use_statement_token2] = ACTIONS(6171),
    [aux_sym_implicit_statement_token4] = ACTIONS(6171),
    [aux_sym_save_statement_token1] = ACTIONS(6171),
    [aux_sym_private_statement_token1] = ACTIONS(6171),
    [aux_sym_public_statement_token1] = ACTIONS(6171),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6171),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6171),
    [aux_sym_variable_attributes_token2] = ACTIONS(6171),
    [aux_sym_variable_attributes_token3] = ACTIONS(6171),
    [aux_sym_variable_attributes_token5] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6171),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6171),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6171),
    [aux_sym_type_qualifier_token1] = ACTIONS(6171),
    [aux_sym_type_qualifier_token2] = ACTIONS(6171),
    [aux_sym_stop_statement_token1] = ACTIONS(6171),
    [aux_sym_stop_statement_token2] = ACTIONS(6171),
    [aux_sym_subroutine_call_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token1] = ACTIONS(6171),
    [aux_sym_keyword_statement_token2] = ACTIONS(6171),
    [aux_sym_keyword_statement_token3] = ACTIONS(6171),
    [aux_sym_keyword_statement_token4] = ACTIONS(6171),
    [aux_sym_keyword_statement_token6] = ACTIONS(6171),
    [aux_sym_keyword_statement_token7] = ACTIONS(6171),
    [aux_sym_include_statement_token1] = ACTIONS(6171),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6171),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6171),
    [aux_sym_end_if_statement_token1] = ACTIONS(6171),
    [aux_sym_elseif_clause_token2] = ACTIONS(6171),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6171),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token1] = ACTIONS(6171),
    [aux_sym_select_case_statement_token3] = ACTIONS(6171),
    [aux_sym_select_type_statement_token1] = ACTIONS(6171),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6171),
    [aux_sym_associate_statement_token1] = ACTIONS(6171),
    [aux_sym_format_statement_token1] = ACTIONS(6171),
    [aux_sym_print_statement_token1] = ACTIONS(6171),
    [aux_sym_open_statement_token1] = ACTIONS(6171),
    [aux_sym_close_statement_token1] = ACTIONS(6171),
    [aux_sym_inquire_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token1] = ACTIONS(6171),
    [aux_sym_file_position_statement_token2] = ACTIONS(6171),
    [aux_sym_file_position_statement_token3] = ACTIONS(6171),
    [aux_sym_file_position_statement_token4] = ACTIONS(6171),
    [aux_sym_allocate_statement_token1] = ACTIONS(6171),
    [aux_sym_entry_statement_token1] = ACTIONS(6171),
    [aux_sym_assign_statement_token1] = ACTIONS(6171),
    [aux_sym_logical_expression_token5] = ACTIONS(6175),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [aux_sym_boolean_literal_token1] = ACTIONS(6175),
    [aux_sym_boolean_literal_token2] = ACTIONS(6175),
    [aux_sym_null_literal_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_statement_token2] = ACTIONS(6171),
    [aux_sym_coarray_statement_token6] = ACTIONS(6171),
    [aux_sym_coarray_statement_token8] = ACTIONS(6171),
    [aux_sym_coarray_statement_token11] = ACTIONS(6171),
    [aux_sym_coarray_statement_token12] = ACTIONS(6171),
    [aux_sym_coarray_statement_token13] = ACTIONS(6171),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6171),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6171),
    [aux_sym_identifier_token1] = ACTIONS(6171),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6175),
    [sym__float_literal] = ACTIONS(6175),
    [sym__boz_literal] = ACTIONS(6175),
    [sym__string_literal] = ACTIONS(6175),
    [sym__string_literal_kind] = ACTIONS(6175),
  },
  [2952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4756),
    [aux_sym_preproc_def_token1] = ACTIONS(4756),
    [aux_sym_preproc_if_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4756),
    [sym_preproc_directive] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [sym_preproc_comment] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(6083),
    [aux_sym_block_data_statement_token1] = ACTIONS(4756),
    [aux_sym_block_data_statement_token2] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4756),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4756),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4756),
    [aux_sym_use_statement_token2] = ACTIONS(4756),
    [aux_sym_implicit_statement_token4] = ACTIONS(4756),
    [aux_sym_save_statement_token1] = ACTIONS(4756),
    [aux_sym_private_statement_token1] = ACTIONS(4756),
    [aux_sym_public_statement_token1] = ACTIONS(4756),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4756),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4756),
    [aux_sym_variable_attributes_token2] = ACTIONS(4756),
    [aux_sym_variable_attributes_token3] = ACTIONS(4756),
    [aux_sym_variable_attributes_token5] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4756),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4756),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4756),
    [aux_sym_type_qualifier_token1] = ACTIONS(4756),
    [aux_sym_type_qualifier_token2] = ACTIONS(4756),
    [aux_sym_stop_statement_token1] = ACTIONS(4756),
    [aux_sym_stop_statement_token2] = ACTIONS(4756),
    [aux_sym_subroutine_call_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token1] = ACTIONS(4756),
    [aux_sym_keyword_statement_token2] = ACTIONS(4756),
    [aux_sym_keyword_statement_token3] = ACTIONS(4756),
    [aux_sym_keyword_statement_token4] = ACTIONS(4756),
    [aux_sym_keyword_statement_token6] = ACTIONS(4756),
    [aux_sym_keyword_statement_token7] = ACTIONS(4756),
    [aux_sym_include_statement_token1] = ACTIONS(4756),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4756),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4756),
    [aux_sym_end_if_statement_token1] = ACTIONS(4756),
    [aux_sym_elseif_clause_token2] = ACTIONS(4756),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token1] = ACTIONS(4756),
    [aux_sym_select_case_statement_token3] = ACTIONS(4756),
    [aux_sym_select_type_statement_token1] = ACTIONS(4756),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4756),
    [aux_sym_associate_statement_token1] = ACTIONS(4756),
    [aux_sym_format_statement_token1] = ACTIONS(4756),
    [aux_sym_print_statement_token1] = ACTIONS(4756),
    [aux_sym_open_statement_token1] = ACTIONS(4756),
    [aux_sym_close_statement_token1] = ACTIONS(4756),
    [aux_sym_inquire_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token1] = ACTIONS(4756),
    [aux_sym_file_position_statement_token2] = ACTIONS(4756),
    [aux_sym_file_position_statement_token3] = ACTIONS(4756),
    [aux_sym_file_position_statement_token4] = ACTIONS(4756),
    [aux_sym_allocate_statement_token1] = ACTIONS(4756),
    [aux_sym_entry_statement_token1] = ACTIONS(4756),
    [aux_sym_assign_statement_token1] = ACTIONS(4756),
    [aux_sym_logical_expression_token5] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [aux_sym_boolean_literal_token1] = ACTIONS(6083),
    [aux_sym_boolean_literal_token2] = ACTIONS(6083),
    [aux_sym_null_literal_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_statement_token2] = ACTIONS(4756),
    [aux_sym_coarray_statement_token6] = ACTIONS(4756),
    [aux_sym_coarray_statement_token8] = ACTIONS(4756),
    [aux_sym_coarray_statement_token11] = ACTIONS(4756),
    [aux_sym_coarray_statement_token12] = ACTIONS(4756),
    [aux_sym_coarray_statement_token13] = ACTIONS(4756),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4756),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4756),
    [aux_sym_identifier_token1] = ACTIONS(4756),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6083),
    [sym__float_literal] = ACTIONS(6083),
    [sym__boz_literal] = ACTIONS(6083),
    [sym__string_literal] = ACTIONS(6083),
    [sym__string_literal_kind] = ACTIONS(6083),
  },
  [2956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [2957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [2961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [sym_preproc_comment] = ACTIONS(7171),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [2963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [2965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [sym_preproc_comment] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [sym_preproc_comment] = ACTIONS(7175),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [2971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [sym_preproc_comment] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_end_select_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [2974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [sym_preproc_comment] = ACTIONS(7179),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [sym_preproc_comment] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [2979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [2980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [2981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [2983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [2984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [2987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [2988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [2989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [2990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [2992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [2994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [2996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [2997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [2998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [2999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [3000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [3001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5206),
    [aux_sym_preproc_def_token1] = ACTIONS(5206),
    [aux_sym_preproc_if_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5206),
    [sym_preproc_directive] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(6151),
    [aux_sym_block_data_statement_token1] = ACTIONS(5206),
    [aux_sym_block_data_statement_token2] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5206),
    [aux_sym_use_statement_token2] = ACTIONS(5206),
    [aux_sym_implicit_statement_token4] = ACTIONS(5206),
    [aux_sym_save_statement_token1] = ACTIONS(5206),
    [aux_sym_private_statement_token1] = ACTIONS(5206),
    [aux_sym_public_statement_token1] = ACTIONS(5206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5206),
    [aux_sym_variable_attributes_token2] = ACTIONS(5206),
    [aux_sym_variable_attributes_token3] = ACTIONS(5206),
    [aux_sym_variable_attributes_token5] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5206),
    [aux_sym_type_qualifier_token1] = ACTIONS(5206),
    [aux_sym_type_qualifier_token2] = ACTIONS(5206),
    [aux_sym_stop_statement_token1] = ACTIONS(5206),
    [aux_sym_stop_statement_token2] = ACTIONS(5206),
    [aux_sym_subroutine_call_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token1] = ACTIONS(5206),
    [aux_sym_keyword_statement_token2] = ACTIONS(5206),
    [aux_sym_keyword_statement_token3] = ACTIONS(5206),
    [aux_sym_keyword_statement_token4] = ACTIONS(5206),
    [aux_sym_keyword_statement_token6] = ACTIONS(5206),
    [aux_sym_keyword_statement_token7] = ACTIONS(5206),
    [aux_sym_include_statement_token1] = ACTIONS(5206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5206),
    [aux_sym_end_if_statement_token1] = ACTIONS(5206),
    [aux_sym_elseif_clause_token2] = ACTIONS(5206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token1] = ACTIONS(5206),
    [aux_sym_select_case_statement_token3] = ACTIONS(5206),
    [aux_sym_select_type_statement_token1] = ACTIONS(5206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5206),
    [aux_sym_associate_statement_token1] = ACTIONS(5206),
    [aux_sym_format_statement_token1] = ACTIONS(5206),
    [aux_sym_print_statement_token1] = ACTIONS(5206),
    [aux_sym_open_statement_token1] = ACTIONS(5206),
    [aux_sym_close_statement_token1] = ACTIONS(5206),
    [aux_sym_inquire_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token1] = ACTIONS(5206),
    [aux_sym_file_position_statement_token2] = ACTIONS(5206),
    [aux_sym_file_position_statement_token3] = ACTIONS(5206),
    [aux_sym_file_position_statement_token4] = ACTIONS(5206),
    [aux_sym_allocate_statement_token1] = ACTIONS(5206),
    [aux_sym_entry_statement_token1] = ACTIONS(5206),
    [aux_sym_assign_statement_token1] = ACTIONS(5206),
    [aux_sym_logical_expression_token5] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [aux_sym_boolean_literal_token1] = ACTIONS(6151),
    [aux_sym_boolean_literal_token2] = ACTIONS(6151),
    [aux_sym_null_literal_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_statement_token2] = ACTIONS(5206),
    [aux_sym_coarray_statement_token6] = ACTIONS(5206),
    [aux_sym_coarray_statement_token8] = ACTIONS(5206),
    [aux_sym_coarray_statement_token11] = ACTIONS(5206),
    [aux_sym_coarray_statement_token12] = ACTIONS(5206),
    [aux_sym_coarray_statement_token13] = ACTIONS(5206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5206),
    [aux_sym_identifier_token1] = ACTIONS(5206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6151),
    [sym__float_literal] = ACTIONS(6151),
    [sym__boz_literal] = ACTIONS(6151),
    [sym__string_literal] = ACTIONS(6151),
    [sym__string_literal_kind] = ACTIONS(6151),
  },
  [3002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6275),
    [aux_sym_preproc_def_token1] = ACTIONS(6275),
    [aux_sym_preproc_if_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6275),
    [sym_preproc_directive] = ACTIONS(6275),
    [anon_sym_LPAREN2] = ACTIONS(6275),
    [anon_sym_PLUS] = ACTIONS(6277),
    [anon_sym_DASH] = ACTIONS(6277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6275),
    [anon_sym_SEMI] = ACTIONS(6277),
    [aux_sym_block_data_statement_token1] = ACTIONS(6275),
    [aux_sym_block_data_statement_token2] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6275),
    [aux_sym_use_statement_token2] = ACTIONS(6275),
    [aux_sym_implicit_statement_token4] = ACTIONS(6275),
    [aux_sym_save_statement_token1] = ACTIONS(6275),
    [aux_sym_private_statement_token1] = ACTIONS(6275),
    [aux_sym_public_statement_token1] = ACTIONS(6275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6275),
    [aux_sym_variable_attributes_token2] = ACTIONS(6275),
    [aux_sym_variable_attributes_token3] = ACTIONS(6275),
    [aux_sym_variable_attributes_token5] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6275),
    [aux_sym_type_qualifier_token1] = ACTIONS(6275),
    [aux_sym_type_qualifier_token2] = ACTIONS(6275),
    [aux_sym_stop_statement_token1] = ACTIONS(6275),
    [aux_sym_stop_statement_token2] = ACTIONS(6275),
    [aux_sym_subroutine_call_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token1] = ACTIONS(6275),
    [aux_sym_keyword_statement_token2] = ACTIONS(6275),
    [aux_sym_keyword_statement_token3] = ACTIONS(6275),
    [aux_sym_keyword_statement_token4] = ACTIONS(6275),
    [aux_sym_keyword_statement_token6] = ACTIONS(6275),
    [aux_sym_keyword_statement_token7] = ACTIONS(6275),
    [aux_sym_include_statement_token1] = ACTIONS(6275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6275),
    [aux_sym_end_if_statement_token1] = ACTIONS(6275),
    [aux_sym_elseif_clause_token2] = ACTIONS(6275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token1] = ACTIONS(6275),
    [aux_sym_select_case_statement_token3] = ACTIONS(6275),
    [aux_sym_select_type_statement_token1] = ACTIONS(6275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6275),
    [aux_sym_associate_statement_token1] = ACTIONS(6275),
    [aux_sym_format_statement_token1] = ACTIONS(6275),
    [aux_sym_print_statement_token1] = ACTIONS(6275),
    [aux_sym_open_statement_token1] = ACTIONS(6275),
    [aux_sym_close_statement_token1] = ACTIONS(6275),
    [aux_sym_inquire_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token1] = ACTIONS(6275),
    [aux_sym_file_position_statement_token2] = ACTIONS(6275),
    [aux_sym_file_position_statement_token3] = ACTIONS(6275),
    [aux_sym_file_position_statement_token4] = ACTIONS(6275),
    [aux_sym_allocate_statement_token1] = ACTIONS(6275),
    [aux_sym_entry_statement_token1] = ACTIONS(6275),
    [aux_sym_assign_statement_token1] = ACTIONS(6275),
    [aux_sym_logical_expression_token5] = ACTIONS(6277),
    [anon_sym_DOT] = ACTIONS(6275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6277),
    [anon_sym_LBRACK] = ACTIONS(6277),
    [aux_sym_boolean_literal_token1] = ACTIONS(6277),
    [aux_sym_boolean_literal_token2] = ACTIONS(6277),
    [aux_sym_null_literal_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_statement_token2] = ACTIONS(6275),
    [aux_sym_coarray_statement_token6] = ACTIONS(6275),
    [aux_sym_coarray_statement_token8] = ACTIONS(6275),
    [aux_sym_coarray_statement_token11] = ACTIONS(6275),
    [aux_sym_coarray_statement_token12] = ACTIONS(6275),
    [aux_sym_coarray_statement_token13] = ACTIONS(6275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6275),
    [aux_sym_identifier_token1] = ACTIONS(6275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6277),
    [sym__float_literal] = ACTIONS(6277),
    [sym__boz_literal] = ACTIONS(6277),
    [sym__string_literal] = ACTIONS(6277),
    [sym__string_literal_kind] = ACTIONS(6277),
  },
  [3003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4900),
    [aux_sym_preproc_def_token1] = ACTIONS(4900),
    [aux_sym_preproc_if_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4900),
    [sym_preproc_directive] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [aux_sym_block_data_statement_token1] = ACTIONS(4900),
    [aux_sym_block_data_statement_token2] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4900),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4900),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4900),
    [aux_sym_use_statement_token2] = ACTIONS(4900),
    [aux_sym_implicit_statement_token4] = ACTIONS(4900),
    [aux_sym_save_statement_token1] = ACTIONS(4900),
    [aux_sym_private_statement_token1] = ACTIONS(4900),
    [aux_sym_public_statement_token1] = ACTIONS(4900),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4900),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4900),
    [aux_sym_variable_attributes_token2] = ACTIONS(4900),
    [aux_sym_variable_attributes_token3] = ACTIONS(4900),
    [aux_sym_variable_attributes_token5] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4900),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4900),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4900),
    [aux_sym_type_qualifier_token1] = ACTIONS(4900),
    [aux_sym_type_qualifier_token2] = ACTIONS(4900),
    [aux_sym_stop_statement_token1] = ACTIONS(4900),
    [aux_sym_stop_statement_token2] = ACTIONS(4900),
    [aux_sym_subroutine_call_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token1] = ACTIONS(4900),
    [aux_sym_keyword_statement_token2] = ACTIONS(4900),
    [aux_sym_keyword_statement_token3] = ACTIONS(4900),
    [aux_sym_keyword_statement_token4] = ACTIONS(4900),
    [aux_sym_keyword_statement_token6] = ACTIONS(4900),
    [aux_sym_keyword_statement_token7] = ACTIONS(4900),
    [aux_sym_include_statement_token1] = ACTIONS(4900),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4900),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4900),
    [aux_sym_end_if_statement_token1] = ACTIONS(4900),
    [aux_sym_elseif_clause_token2] = ACTIONS(4900),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4900),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token1] = ACTIONS(4900),
    [aux_sym_select_case_statement_token3] = ACTIONS(4900),
    [aux_sym_select_type_statement_token1] = ACTIONS(4900),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4900),
    [aux_sym_associate_statement_token1] = ACTIONS(4900),
    [aux_sym_format_statement_token1] = ACTIONS(4900),
    [aux_sym_print_statement_token1] = ACTIONS(4900),
    [aux_sym_open_statement_token1] = ACTIONS(4900),
    [aux_sym_close_statement_token1] = ACTIONS(4900),
    [aux_sym_inquire_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token1] = ACTIONS(4900),
    [aux_sym_file_position_statement_token2] = ACTIONS(4900),
    [aux_sym_file_position_statement_token3] = ACTIONS(4900),
    [aux_sym_file_position_statement_token4] = ACTIONS(4900),
    [aux_sym_allocate_statement_token1] = ACTIONS(4900),
    [aux_sym_entry_statement_token1] = ACTIONS(4900),
    [aux_sym_assign_statement_token1] = ACTIONS(4900),
    [aux_sym_logical_expression_token5] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [aux_sym_boolean_literal_token1] = ACTIONS(4902),
    [aux_sym_boolean_literal_token2] = ACTIONS(4902),
    [aux_sym_null_literal_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_statement_token2] = ACTIONS(4900),
    [aux_sym_coarray_statement_token6] = ACTIONS(4900),
    [aux_sym_coarray_statement_token8] = ACTIONS(4900),
    [aux_sym_coarray_statement_token11] = ACTIONS(4900),
    [aux_sym_coarray_statement_token12] = ACTIONS(4900),
    [aux_sym_coarray_statement_token13] = ACTIONS(4900),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4900),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4900),
    [aux_sym_identifier_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4902),
    [sym__float_literal] = ACTIONS(4902),
    [sym__boz_literal] = ACTIONS(4902),
    [sym__string_literal] = ACTIONS(4902),
    [sym__string_literal_kind] = ACTIONS(4902),
  },
  [3004] = {
    [sym_statement_label] = STATE(7078),
    [sym_statement_label_reference] = STATE(7083),
    [sym_format_identifier] = STATE(7149),
    [sym__io_expressions] = STATE(7083),
    [sym__expression] = STATE(4945),
    [sym_parenthesized_expression] = STATE(5164),
    [sym_derived_type_member_expression] = STATE(5164),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5164),
    [sym_math_expression] = STATE(5164),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5164),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5164),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5164),
    [anon_sym_LPAREN2] = ACTIONS(7183),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(5670),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5672),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5190),
    [aux_sym_preproc_def_token1] = ACTIONS(5190),
    [aux_sym_preproc_if_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5190),
    [sym_preproc_directive] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(6155),
    [aux_sym_block_data_statement_token1] = ACTIONS(5190),
    [aux_sym_block_data_statement_token2] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5190),
    [aux_sym_use_statement_token2] = ACTIONS(5190),
    [aux_sym_implicit_statement_token4] = ACTIONS(5190),
    [aux_sym_save_statement_token1] = ACTIONS(5190),
    [aux_sym_private_statement_token1] = ACTIONS(5190),
    [aux_sym_public_statement_token1] = ACTIONS(5190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5190),
    [aux_sym_variable_attributes_token2] = ACTIONS(5190),
    [aux_sym_variable_attributes_token3] = ACTIONS(5190),
    [aux_sym_variable_attributes_token5] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5190),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5190),
    [aux_sym_type_qualifier_token1] = ACTIONS(5190),
    [aux_sym_type_qualifier_token2] = ACTIONS(5190),
    [aux_sym_stop_statement_token1] = ACTIONS(5190),
    [aux_sym_stop_statement_token2] = ACTIONS(5190),
    [aux_sym_subroutine_call_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token1] = ACTIONS(5190),
    [aux_sym_keyword_statement_token2] = ACTIONS(5190),
    [aux_sym_keyword_statement_token3] = ACTIONS(5190),
    [aux_sym_keyword_statement_token4] = ACTIONS(5190),
    [aux_sym_keyword_statement_token6] = ACTIONS(5190),
    [aux_sym_keyword_statement_token7] = ACTIONS(5190),
    [aux_sym_include_statement_token1] = ACTIONS(5190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5190),
    [aux_sym_end_if_statement_token1] = ACTIONS(5190),
    [aux_sym_elseif_clause_token2] = ACTIONS(5190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token1] = ACTIONS(5190),
    [aux_sym_select_case_statement_token3] = ACTIONS(5190),
    [aux_sym_select_type_statement_token1] = ACTIONS(5190),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5190),
    [aux_sym_associate_statement_token1] = ACTIONS(5190),
    [aux_sym_format_statement_token1] = ACTIONS(5190),
    [aux_sym_print_statement_token1] = ACTIONS(5190),
    [aux_sym_open_statement_token1] = ACTIONS(5190),
    [aux_sym_close_statement_token1] = ACTIONS(5190),
    [aux_sym_inquire_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token1] = ACTIONS(5190),
    [aux_sym_file_position_statement_token2] = ACTIONS(5190),
    [aux_sym_file_position_statement_token3] = ACTIONS(5190),
    [aux_sym_file_position_statement_token4] = ACTIONS(5190),
    [aux_sym_allocate_statement_token1] = ACTIONS(5190),
    [aux_sym_entry_statement_token1] = ACTIONS(5190),
    [aux_sym_assign_statement_token1] = ACTIONS(5190),
    [aux_sym_logical_expression_token5] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [aux_sym_boolean_literal_token1] = ACTIONS(6155),
    [aux_sym_boolean_literal_token2] = ACTIONS(6155),
    [aux_sym_null_literal_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_statement_token2] = ACTIONS(5190),
    [aux_sym_coarray_statement_token6] = ACTIONS(5190),
    [aux_sym_coarray_statement_token8] = ACTIONS(5190),
    [aux_sym_coarray_statement_token11] = ACTIONS(5190),
    [aux_sym_coarray_statement_token12] = ACTIONS(5190),
    [aux_sym_coarray_statement_token13] = ACTIONS(5190),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5190),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5190),
    [aux_sym_identifier_token1] = ACTIONS(5190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6155),
    [sym__float_literal] = ACTIONS(6155),
    [sym__boz_literal] = ACTIONS(6155),
    [sym__string_literal] = ACTIONS(6155),
    [sym__string_literal_kind] = ACTIONS(6155),
  },
  [3006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6297),
    [aux_sym_preproc_def_token1] = ACTIONS(6297),
    [aux_sym_preproc_if_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6297),
    [sym_preproc_directive] = ACTIONS(6297),
    [anon_sym_LPAREN2] = ACTIONS(6297),
    [anon_sym_PLUS] = ACTIONS(6299),
    [anon_sym_DASH] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6297),
    [anon_sym_SEMI] = ACTIONS(6299),
    [aux_sym_block_data_statement_token1] = ACTIONS(6297),
    [aux_sym_block_data_statement_token2] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6297),
    [aux_sym_use_statement_token2] = ACTIONS(6297),
    [aux_sym_implicit_statement_token4] = ACTIONS(6297),
    [aux_sym_save_statement_token1] = ACTIONS(6297),
    [aux_sym_private_statement_token1] = ACTIONS(6297),
    [aux_sym_public_statement_token1] = ACTIONS(6297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6297),
    [aux_sym_variable_attributes_token2] = ACTIONS(6297),
    [aux_sym_variable_attributes_token3] = ACTIONS(6297),
    [aux_sym_variable_attributes_token5] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6297),
    [aux_sym_type_qualifier_token1] = ACTIONS(6297),
    [aux_sym_type_qualifier_token2] = ACTIONS(6297),
    [aux_sym_stop_statement_token1] = ACTIONS(6297),
    [aux_sym_stop_statement_token2] = ACTIONS(6297),
    [aux_sym_subroutine_call_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token1] = ACTIONS(6297),
    [aux_sym_keyword_statement_token2] = ACTIONS(6297),
    [aux_sym_keyword_statement_token3] = ACTIONS(6297),
    [aux_sym_keyword_statement_token4] = ACTIONS(6297),
    [aux_sym_keyword_statement_token6] = ACTIONS(6297),
    [aux_sym_keyword_statement_token7] = ACTIONS(6297),
    [aux_sym_include_statement_token1] = ACTIONS(6297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6297),
    [aux_sym_end_if_statement_token1] = ACTIONS(6297),
    [aux_sym_elseif_clause_token2] = ACTIONS(6297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token1] = ACTIONS(6297),
    [aux_sym_select_case_statement_token3] = ACTIONS(6297),
    [aux_sym_select_type_statement_token1] = ACTIONS(6297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6297),
    [aux_sym_associate_statement_token1] = ACTIONS(6297),
    [aux_sym_format_statement_token1] = ACTIONS(6297),
    [aux_sym_print_statement_token1] = ACTIONS(6297),
    [aux_sym_open_statement_token1] = ACTIONS(6297),
    [aux_sym_close_statement_token1] = ACTIONS(6297),
    [aux_sym_inquire_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token1] = ACTIONS(6297),
    [aux_sym_file_position_statement_token2] = ACTIONS(6297),
    [aux_sym_file_position_statement_token3] = ACTIONS(6297),
    [aux_sym_file_position_statement_token4] = ACTIONS(6297),
    [aux_sym_allocate_statement_token1] = ACTIONS(6297),
    [aux_sym_entry_statement_token1] = ACTIONS(6297),
    [aux_sym_assign_statement_token1] = ACTIONS(6297),
    [aux_sym_logical_expression_token5] = ACTIONS(6299),
    [anon_sym_DOT] = ACTIONS(6297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6299),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [aux_sym_boolean_literal_token1] = ACTIONS(6299),
    [aux_sym_boolean_literal_token2] = ACTIONS(6299),
    [aux_sym_null_literal_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_statement_token2] = ACTIONS(6297),
    [aux_sym_coarray_statement_token6] = ACTIONS(6297),
    [aux_sym_coarray_statement_token8] = ACTIONS(6297),
    [aux_sym_coarray_statement_token11] = ACTIONS(6297),
    [aux_sym_coarray_statement_token12] = ACTIONS(6297),
    [aux_sym_coarray_statement_token13] = ACTIONS(6297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6297),
    [aux_sym_identifier_token1] = ACTIONS(6297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6299),
    [sym__float_literal] = ACTIONS(6299),
    [sym__boz_literal] = ACTIONS(6299),
    [sym__string_literal] = ACTIONS(6299),
    [sym__string_literal_kind] = ACTIONS(6299),
  },
  [3007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5314),
    [aux_sym_preproc_def_token1] = ACTIONS(5314),
    [aux_sym_preproc_if_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5314),
    [sym_preproc_directive] = ACTIONS(5314),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_PLUS] = ACTIONS(6261),
    [anon_sym_DASH] = ACTIONS(6261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(6261),
    [aux_sym_block_data_statement_token1] = ACTIONS(5314),
    [aux_sym_block_data_statement_token2] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5314),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5314),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5314),
    [aux_sym_use_statement_token2] = ACTIONS(5314),
    [aux_sym_implicit_statement_token4] = ACTIONS(5314),
    [aux_sym_save_statement_token1] = ACTIONS(5314),
    [aux_sym_private_statement_token1] = ACTIONS(5314),
    [aux_sym_public_statement_token1] = ACTIONS(5314),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5314),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5314),
    [aux_sym_variable_attributes_token2] = ACTIONS(5314),
    [aux_sym_variable_attributes_token3] = ACTIONS(5314),
    [aux_sym_variable_attributes_token5] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5314),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5314),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5314),
    [aux_sym_type_qualifier_token1] = ACTIONS(5314),
    [aux_sym_type_qualifier_token2] = ACTIONS(5314),
    [aux_sym_stop_statement_token1] = ACTIONS(5314),
    [aux_sym_stop_statement_token2] = ACTIONS(5314),
    [aux_sym_subroutine_call_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token1] = ACTIONS(5314),
    [aux_sym_keyword_statement_token2] = ACTIONS(5314),
    [aux_sym_keyword_statement_token3] = ACTIONS(5314),
    [aux_sym_keyword_statement_token4] = ACTIONS(5314),
    [aux_sym_keyword_statement_token6] = ACTIONS(5314),
    [aux_sym_keyword_statement_token7] = ACTIONS(5314),
    [aux_sym_include_statement_token1] = ACTIONS(5314),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5314),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5314),
    [aux_sym_end_if_statement_token1] = ACTIONS(5314),
    [aux_sym_elseif_clause_token2] = ACTIONS(5314),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5314),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token1] = ACTIONS(5314),
    [aux_sym_select_case_statement_token3] = ACTIONS(5314),
    [aux_sym_select_type_statement_token1] = ACTIONS(5314),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5314),
    [aux_sym_associate_statement_token1] = ACTIONS(5314),
    [aux_sym_format_statement_token1] = ACTIONS(5314),
    [aux_sym_print_statement_token1] = ACTIONS(5314),
    [aux_sym_open_statement_token1] = ACTIONS(5314),
    [aux_sym_close_statement_token1] = ACTIONS(5314),
    [aux_sym_inquire_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token1] = ACTIONS(5314),
    [aux_sym_file_position_statement_token2] = ACTIONS(5314),
    [aux_sym_file_position_statement_token3] = ACTIONS(5314),
    [aux_sym_file_position_statement_token4] = ACTIONS(5314),
    [aux_sym_allocate_statement_token1] = ACTIONS(5314),
    [aux_sym_entry_statement_token1] = ACTIONS(5314),
    [aux_sym_assign_statement_token1] = ACTIONS(5314),
    [aux_sym_logical_expression_token5] = ACTIONS(6261),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6261),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [aux_sym_boolean_literal_token1] = ACTIONS(6261),
    [aux_sym_boolean_literal_token2] = ACTIONS(6261),
    [aux_sym_null_literal_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_statement_token2] = ACTIONS(5314),
    [aux_sym_coarray_statement_token6] = ACTIONS(5314),
    [aux_sym_coarray_statement_token8] = ACTIONS(5314),
    [aux_sym_coarray_statement_token11] = ACTIONS(5314),
    [aux_sym_coarray_statement_token12] = ACTIONS(5314),
    [aux_sym_coarray_statement_token13] = ACTIONS(5314),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5314),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5314),
    [aux_sym_identifier_token1] = ACTIONS(5314),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6261),
    [sym__float_literal] = ACTIONS(6261),
    [sym__boz_literal] = ACTIONS(6261),
    [sym__string_literal] = ACTIONS(6261),
    [sym__string_literal_kind] = ACTIONS(6261),
  },
  [3008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4762),
    [aux_sym_preproc_def_token1] = ACTIONS(4762),
    [aux_sym_preproc_if_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4762),
    [sym_preproc_directive] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4762),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4762),
    [anon_sym_SEMI] = ACTIONS(6061),
    [aux_sym_block_data_statement_token1] = ACTIONS(4762),
    [aux_sym_block_data_statement_token2] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4762),
    [aux_sym_use_statement_token2] = ACTIONS(4762),
    [aux_sym_implicit_statement_token4] = ACTIONS(4762),
    [aux_sym_save_statement_token1] = ACTIONS(4762),
    [aux_sym_private_statement_token1] = ACTIONS(4762),
    [aux_sym_public_statement_token1] = ACTIONS(4762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4762),
    [aux_sym_variable_attributes_token2] = ACTIONS(4762),
    [aux_sym_variable_attributes_token3] = ACTIONS(4762),
    [aux_sym_variable_attributes_token5] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4762),
    [aux_sym_type_qualifier_token1] = ACTIONS(4762),
    [aux_sym_type_qualifier_token2] = ACTIONS(4762),
    [aux_sym_stop_statement_token1] = ACTIONS(4762),
    [aux_sym_stop_statement_token2] = ACTIONS(4762),
    [aux_sym_subroutine_call_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token1] = ACTIONS(4762),
    [aux_sym_keyword_statement_token2] = ACTIONS(4762),
    [aux_sym_keyword_statement_token3] = ACTIONS(4762),
    [aux_sym_keyword_statement_token4] = ACTIONS(4762),
    [aux_sym_keyword_statement_token6] = ACTIONS(4762),
    [aux_sym_keyword_statement_token7] = ACTIONS(4762),
    [aux_sym_include_statement_token1] = ACTIONS(4762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4762),
    [aux_sym_end_if_statement_token1] = ACTIONS(4762),
    [aux_sym_elseif_clause_token2] = ACTIONS(4762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token1] = ACTIONS(4762),
    [aux_sym_select_case_statement_token3] = ACTIONS(4762),
    [aux_sym_select_type_statement_token1] = ACTIONS(4762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4762),
    [aux_sym_associate_statement_token1] = ACTIONS(4762),
    [aux_sym_format_statement_token1] = ACTIONS(4762),
    [aux_sym_print_statement_token1] = ACTIONS(4762),
    [aux_sym_open_statement_token1] = ACTIONS(4762),
    [aux_sym_close_statement_token1] = ACTIONS(4762),
    [aux_sym_inquire_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token1] = ACTIONS(4762),
    [aux_sym_file_position_statement_token2] = ACTIONS(4762),
    [aux_sym_file_position_statement_token3] = ACTIONS(4762),
    [aux_sym_file_position_statement_token4] = ACTIONS(4762),
    [aux_sym_allocate_statement_token1] = ACTIONS(4762),
    [aux_sym_entry_statement_token1] = ACTIONS(4762),
    [aux_sym_assign_statement_token1] = ACTIONS(4762),
    [aux_sym_logical_expression_token5] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [aux_sym_boolean_literal_token1] = ACTIONS(6061),
    [aux_sym_boolean_literal_token2] = ACTIONS(6061),
    [aux_sym_null_literal_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_statement_token2] = ACTIONS(4762),
    [aux_sym_coarray_statement_token6] = ACTIONS(4762),
    [aux_sym_coarray_statement_token8] = ACTIONS(4762),
    [aux_sym_coarray_statement_token11] = ACTIONS(4762),
    [aux_sym_coarray_statement_token12] = ACTIONS(4762),
    [aux_sym_coarray_statement_token13] = ACTIONS(4762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4762),
    [aux_sym_identifier_token1] = ACTIONS(4762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6061),
    [sym__float_literal] = ACTIONS(6061),
    [sym__boz_literal] = ACTIONS(6061),
    [sym__string_literal] = ACTIONS(6061),
    [sym__string_literal_kind] = ACTIONS(6061),
  },
  [3009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5254),
    [aux_sym_preproc_def_token1] = ACTIONS(5254),
    [aux_sym_preproc_if_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5254),
    [sym_preproc_directive] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_DASH] = ACTIONS(6263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(6263),
    [aux_sym_block_data_statement_token1] = ACTIONS(5254),
    [aux_sym_block_data_statement_token2] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5254),
    [aux_sym_use_statement_token2] = ACTIONS(5254),
    [aux_sym_implicit_statement_token4] = ACTIONS(5254),
    [aux_sym_save_statement_token1] = ACTIONS(5254),
    [aux_sym_private_statement_token1] = ACTIONS(5254),
    [aux_sym_public_statement_token1] = ACTIONS(5254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5254),
    [aux_sym_variable_attributes_token2] = ACTIONS(5254),
    [aux_sym_variable_attributes_token3] = ACTIONS(5254),
    [aux_sym_variable_attributes_token5] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5254),
    [aux_sym_type_qualifier_token1] = ACTIONS(5254),
    [aux_sym_type_qualifier_token2] = ACTIONS(5254),
    [aux_sym_stop_statement_token1] = ACTIONS(5254),
    [aux_sym_stop_statement_token2] = ACTIONS(5254),
    [aux_sym_subroutine_call_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token1] = ACTIONS(5254),
    [aux_sym_keyword_statement_token2] = ACTIONS(5254),
    [aux_sym_keyword_statement_token3] = ACTIONS(5254),
    [aux_sym_keyword_statement_token4] = ACTIONS(5254),
    [aux_sym_keyword_statement_token6] = ACTIONS(5254),
    [aux_sym_keyword_statement_token7] = ACTIONS(5254),
    [aux_sym_include_statement_token1] = ACTIONS(5254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5254),
    [aux_sym_end_if_statement_token1] = ACTIONS(5254),
    [aux_sym_elseif_clause_token2] = ACTIONS(5254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token1] = ACTIONS(5254),
    [aux_sym_select_case_statement_token3] = ACTIONS(5254),
    [aux_sym_select_type_statement_token1] = ACTIONS(5254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5254),
    [aux_sym_associate_statement_token1] = ACTIONS(5254),
    [aux_sym_format_statement_token1] = ACTIONS(5254),
    [aux_sym_print_statement_token1] = ACTIONS(5254),
    [aux_sym_open_statement_token1] = ACTIONS(5254),
    [aux_sym_close_statement_token1] = ACTIONS(5254),
    [aux_sym_inquire_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token1] = ACTIONS(5254),
    [aux_sym_file_position_statement_token2] = ACTIONS(5254),
    [aux_sym_file_position_statement_token3] = ACTIONS(5254),
    [aux_sym_file_position_statement_token4] = ACTIONS(5254),
    [aux_sym_allocate_statement_token1] = ACTIONS(5254),
    [aux_sym_entry_statement_token1] = ACTIONS(5254),
    [aux_sym_assign_statement_token1] = ACTIONS(5254),
    [aux_sym_logical_expression_token5] = ACTIONS(6263),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6263),
    [aux_sym_boolean_literal_token1] = ACTIONS(6263),
    [aux_sym_boolean_literal_token2] = ACTIONS(6263),
    [aux_sym_null_literal_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_statement_token2] = ACTIONS(5254),
    [aux_sym_coarray_statement_token6] = ACTIONS(5254),
    [aux_sym_coarray_statement_token8] = ACTIONS(5254),
    [aux_sym_coarray_statement_token11] = ACTIONS(5254),
    [aux_sym_coarray_statement_token12] = ACTIONS(5254),
    [aux_sym_coarray_statement_token13] = ACTIONS(5254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5254),
    [aux_sym_identifier_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6263),
    [sym__float_literal] = ACTIONS(6263),
    [sym__boz_literal] = ACTIONS(6263),
    [sym__string_literal] = ACTIONS(6263),
    [sym__string_literal_kind] = ACTIONS(6263),
  },
  [3010] = {
    [sym_data_set] = STATE(3025),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5088),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5088),
    [sym_implied_do_loop_expression] = STATE(5088),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5088),
    [aux_sym_data_statement_repeat1] = STATE(3025),
    [anon_sym_COMMA] = ACTIONS(7187),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(7189),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(7189),
  },
  [3011] = {
    [sym_data_set] = STATE(3010),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5088),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5088),
    [sym_implied_do_loop_expression] = STATE(5088),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5088),
    [aux_sym_data_statement_repeat1] = STATE(3010),
    [anon_sym_COMMA] = ACTIONS(7187),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(7191),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(7191),
  },
  [3012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(6229),
    [anon_sym_DASH] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(6229),
    [aux_sym_block_data_statement_token1] = ACTIONS(2404),
    [aux_sym_block_data_statement_token2] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2404),
    [aux_sym_use_statement_token2] = ACTIONS(2404),
    [aux_sym_implicit_statement_token4] = ACTIONS(2404),
    [aux_sym_save_statement_token1] = ACTIONS(2404),
    [aux_sym_private_statement_token1] = ACTIONS(2404),
    [aux_sym_public_statement_token1] = ACTIONS(2404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2404),
    [aux_sym_variable_attributes_token2] = ACTIONS(2404),
    [aux_sym_variable_attributes_token3] = ACTIONS(2404),
    [aux_sym_variable_attributes_token5] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2404),
    [aux_sym_type_qualifier_token1] = ACTIONS(2404),
    [aux_sym_type_qualifier_token2] = ACTIONS(2404),
    [aux_sym_stop_statement_token1] = ACTIONS(2404),
    [aux_sym_stop_statement_token2] = ACTIONS(2404),
    [aux_sym_subroutine_call_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token1] = ACTIONS(2404),
    [aux_sym_keyword_statement_token2] = ACTIONS(2404),
    [aux_sym_keyword_statement_token3] = ACTIONS(2404),
    [aux_sym_keyword_statement_token4] = ACTIONS(2404),
    [aux_sym_keyword_statement_token6] = ACTIONS(2404),
    [aux_sym_keyword_statement_token7] = ACTIONS(2404),
    [aux_sym_include_statement_token1] = ACTIONS(2404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2404),
    [aux_sym_end_if_statement_token1] = ACTIONS(2404),
    [aux_sym_elseif_clause_token2] = ACTIONS(2404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token1] = ACTIONS(2404),
    [aux_sym_select_case_statement_token3] = ACTIONS(2404),
    [aux_sym_select_type_statement_token1] = ACTIONS(2404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2404),
    [aux_sym_associate_statement_token1] = ACTIONS(2404),
    [aux_sym_format_statement_token1] = ACTIONS(2404),
    [aux_sym_print_statement_token1] = ACTIONS(2404),
    [aux_sym_open_statement_token1] = ACTIONS(2404),
    [aux_sym_close_statement_token1] = ACTIONS(2404),
    [aux_sym_inquire_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token1] = ACTIONS(2404),
    [aux_sym_file_position_statement_token2] = ACTIONS(2404),
    [aux_sym_file_position_statement_token3] = ACTIONS(2404),
    [aux_sym_file_position_statement_token4] = ACTIONS(2404),
    [aux_sym_allocate_statement_token1] = ACTIONS(2404),
    [aux_sym_entry_statement_token1] = ACTIONS(2404),
    [aux_sym_assign_statement_token1] = ACTIONS(2404),
    [aux_sym_logical_expression_token5] = ACTIONS(6229),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6229),
    [anon_sym_LBRACK] = ACTIONS(6229),
    [aux_sym_boolean_literal_token1] = ACTIONS(6229),
    [aux_sym_boolean_literal_token2] = ACTIONS(6229),
    [aux_sym_null_literal_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_statement_token2] = ACTIONS(2404),
    [aux_sym_coarray_statement_token6] = ACTIONS(2404),
    [aux_sym_coarray_statement_token8] = ACTIONS(2404),
    [aux_sym_coarray_statement_token11] = ACTIONS(2404),
    [aux_sym_coarray_statement_token12] = ACTIONS(2404),
    [aux_sym_coarray_statement_token13] = ACTIONS(2404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2404),
    [aux_sym_identifier_token1] = ACTIONS(2404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6229),
    [sym__float_literal] = ACTIONS(6229),
    [sym__boz_literal] = ACTIONS(6229),
    [sym__string_literal] = ACTIONS(6229),
    [sym__string_literal_kind] = ACTIONS(6229),
  },
  [3013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6201),
    [aux_sym_preproc_def_token1] = ACTIONS(6201),
    [aux_sym_preproc_if_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6201),
    [sym_preproc_directive] = ACTIONS(6201),
    [anon_sym_LPAREN2] = ACTIONS(6201),
    [anon_sym_PLUS] = ACTIONS(6203),
    [anon_sym_DASH] = ACTIONS(6203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6201),
    [anon_sym_SEMI] = ACTIONS(6203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6201),
    [aux_sym_block_data_statement_token2] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6201),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6201),
    [aux_sym_use_statement_token2] = ACTIONS(6201),
    [aux_sym_implicit_statement_token4] = ACTIONS(6201),
    [aux_sym_save_statement_token1] = ACTIONS(6201),
    [aux_sym_private_statement_token1] = ACTIONS(6201),
    [aux_sym_public_statement_token1] = ACTIONS(6201),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6201),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6201),
    [aux_sym_variable_attributes_token2] = ACTIONS(6201),
    [aux_sym_variable_attributes_token3] = ACTIONS(6201),
    [aux_sym_variable_attributes_token5] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6201),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6201),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6201),
    [aux_sym_type_qualifier_token1] = ACTIONS(6201),
    [aux_sym_type_qualifier_token2] = ACTIONS(6201),
    [aux_sym_stop_statement_token1] = ACTIONS(6201),
    [aux_sym_stop_statement_token2] = ACTIONS(6201),
    [aux_sym_subroutine_call_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token1] = ACTIONS(6201),
    [aux_sym_keyword_statement_token2] = ACTIONS(6201),
    [aux_sym_keyword_statement_token3] = ACTIONS(6201),
    [aux_sym_keyword_statement_token4] = ACTIONS(6201),
    [aux_sym_keyword_statement_token6] = ACTIONS(6201),
    [aux_sym_keyword_statement_token7] = ACTIONS(6201),
    [aux_sym_include_statement_token1] = ACTIONS(6201),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6201),
    [aux_sym_end_if_statement_token1] = ACTIONS(6201),
    [aux_sym_elseif_clause_token2] = ACTIONS(6201),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6201),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token1] = ACTIONS(6201),
    [aux_sym_select_case_statement_token3] = ACTIONS(6201),
    [aux_sym_select_type_statement_token1] = ACTIONS(6201),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6201),
    [aux_sym_associate_statement_token1] = ACTIONS(6201),
    [aux_sym_format_statement_token1] = ACTIONS(6201),
    [aux_sym_print_statement_token1] = ACTIONS(6201),
    [aux_sym_open_statement_token1] = ACTIONS(6201),
    [aux_sym_close_statement_token1] = ACTIONS(6201),
    [aux_sym_inquire_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token1] = ACTIONS(6201),
    [aux_sym_file_position_statement_token2] = ACTIONS(6201),
    [aux_sym_file_position_statement_token3] = ACTIONS(6201),
    [aux_sym_file_position_statement_token4] = ACTIONS(6201),
    [aux_sym_allocate_statement_token1] = ACTIONS(6201),
    [aux_sym_entry_statement_token1] = ACTIONS(6201),
    [aux_sym_assign_statement_token1] = ACTIONS(6201),
    [aux_sym_logical_expression_token5] = ACTIONS(6203),
    [anon_sym_DOT] = ACTIONS(6201),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(6203),
    [aux_sym_boolean_literal_token1] = ACTIONS(6203),
    [aux_sym_boolean_literal_token2] = ACTIONS(6203),
    [aux_sym_null_literal_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_statement_token2] = ACTIONS(6201),
    [aux_sym_coarray_statement_token6] = ACTIONS(6201),
    [aux_sym_coarray_statement_token8] = ACTIONS(6201),
    [aux_sym_coarray_statement_token11] = ACTIONS(6201),
    [aux_sym_coarray_statement_token12] = ACTIONS(6201),
    [aux_sym_coarray_statement_token13] = ACTIONS(6201),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6201),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6201),
    [aux_sym_identifier_token1] = ACTIONS(6201),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6203),
    [sym__float_literal] = ACTIONS(6203),
    [sym__boz_literal] = ACTIONS(6203),
    [sym__string_literal] = ACTIONS(6203),
    [sym__string_literal_kind] = ACTIONS(6203),
  },
  [3014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6315),
    [aux_sym_preproc_def_token1] = ACTIONS(6315),
    [aux_sym_preproc_if_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6315),
    [sym_preproc_directive] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(6315),
    [anon_sym_PLUS] = ACTIONS(6317),
    [anon_sym_DASH] = ACTIONS(6317),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6315),
    [anon_sym_SEMI] = ACTIONS(6317),
    [aux_sym_block_data_statement_token1] = ACTIONS(6315),
    [aux_sym_block_data_statement_token2] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6315),
    [aux_sym_use_statement_token2] = ACTIONS(6315),
    [aux_sym_implicit_statement_token4] = ACTIONS(6315),
    [aux_sym_save_statement_token1] = ACTIONS(6315),
    [aux_sym_private_statement_token1] = ACTIONS(6315),
    [aux_sym_public_statement_token1] = ACTIONS(6315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6315),
    [aux_sym_variable_attributes_token2] = ACTIONS(6315),
    [aux_sym_variable_attributes_token3] = ACTIONS(6315),
    [aux_sym_variable_attributes_token5] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6315),
    [aux_sym_type_qualifier_token1] = ACTIONS(6315),
    [aux_sym_type_qualifier_token2] = ACTIONS(6315),
    [aux_sym_stop_statement_token1] = ACTIONS(6315),
    [aux_sym_stop_statement_token2] = ACTIONS(6315),
    [aux_sym_subroutine_call_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token1] = ACTIONS(6315),
    [aux_sym_keyword_statement_token2] = ACTIONS(6315),
    [aux_sym_keyword_statement_token3] = ACTIONS(6315),
    [aux_sym_keyword_statement_token4] = ACTIONS(6315),
    [aux_sym_keyword_statement_token6] = ACTIONS(6315),
    [aux_sym_keyword_statement_token7] = ACTIONS(6315),
    [aux_sym_include_statement_token1] = ACTIONS(6315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6315),
    [aux_sym_end_if_statement_token1] = ACTIONS(6315),
    [aux_sym_elseif_clause_token2] = ACTIONS(6315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token1] = ACTIONS(6315),
    [aux_sym_select_case_statement_token3] = ACTIONS(6315),
    [aux_sym_select_type_statement_token1] = ACTIONS(6315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6315),
    [aux_sym_associate_statement_token1] = ACTIONS(6315),
    [aux_sym_format_statement_token1] = ACTIONS(6315),
    [aux_sym_print_statement_token1] = ACTIONS(6315),
    [aux_sym_open_statement_token1] = ACTIONS(6315),
    [aux_sym_close_statement_token1] = ACTIONS(6315),
    [aux_sym_inquire_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token1] = ACTIONS(6315),
    [aux_sym_file_position_statement_token2] = ACTIONS(6315),
    [aux_sym_file_position_statement_token3] = ACTIONS(6315),
    [aux_sym_file_position_statement_token4] = ACTIONS(6315),
    [aux_sym_allocate_statement_token1] = ACTIONS(6315),
    [aux_sym_entry_statement_token1] = ACTIONS(6315),
    [aux_sym_assign_statement_token1] = ACTIONS(6315),
    [aux_sym_logical_expression_token5] = ACTIONS(6317),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6317),
    [aux_sym_boolean_literal_token1] = ACTIONS(6317),
    [aux_sym_boolean_literal_token2] = ACTIONS(6317),
    [aux_sym_null_literal_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_statement_token2] = ACTIONS(6315),
    [aux_sym_coarray_statement_token6] = ACTIONS(6315),
    [aux_sym_coarray_statement_token8] = ACTIONS(6315),
    [aux_sym_coarray_statement_token11] = ACTIONS(6315),
    [aux_sym_coarray_statement_token12] = ACTIONS(6315),
    [aux_sym_coarray_statement_token13] = ACTIONS(6315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6315),
    [aux_sym_identifier_token1] = ACTIONS(6315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6317),
    [sym__float_literal] = ACTIONS(6317),
    [sym__boz_literal] = ACTIONS(6317),
    [sym__string_literal] = ACTIONS(6317),
    [sym__string_literal_kind] = ACTIONS(6317),
  },
  [3015] = {
    [sym__expression] = STATE(4710),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_assumed_size] = STATE(6777),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7195),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6301),
    [aux_sym_preproc_def_token1] = ACTIONS(6301),
    [aux_sym_preproc_if_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6301),
    [sym_preproc_directive] = ACTIONS(6301),
    [anon_sym_LPAREN2] = ACTIONS(6301),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6301),
    [anon_sym_SEMI] = ACTIONS(6303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6301),
    [aux_sym_block_data_statement_token2] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6301),
    [aux_sym_use_statement_token2] = ACTIONS(6301),
    [aux_sym_implicit_statement_token4] = ACTIONS(6301),
    [aux_sym_save_statement_token1] = ACTIONS(6301),
    [aux_sym_private_statement_token1] = ACTIONS(6301),
    [aux_sym_public_statement_token1] = ACTIONS(6301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6301),
    [aux_sym_variable_attributes_token2] = ACTIONS(6301),
    [aux_sym_variable_attributes_token3] = ACTIONS(6301),
    [aux_sym_variable_attributes_token5] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6301),
    [aux_sym_type_qualifier_token1] = ACTIONS(6301),
    [aux_sym_type_qualifier_token2] = ACTIONS(6301),
    [aux_sym_stop_statement_token1] = ACTIONS(6301),
    [aux_sym_stop_statement_token2] = ACTIONS(6301),
    [aux_sym_subroutine_call_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token1] = ACTIONS(6301),
    [aux_sym_keyword_statement_token2] = ACTIONS(6301),
    [aux_sym_keyword_statement_token3] = ACTIONS(6301),
    [aux_sym_keyword_statement_token4] = ACTIONS(6301),
    [aux_sym_keyword_statement_token6] = ACTIONS(6301),
    [aux_sym_keyword_statement_token7] = ACTIONS(6301),
    [aux_sym_include_statement_token1] = ACTIONS(6301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6301),
    [aux_sym_end_if_statement_token1] = ACTIONS(6301),
    [aux_sym_elseif_clause_token2] = ACTIONS(6301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token1] = ACTIONS(6301),
    [aux_sym_select_case_statement_token3] = ACTIONS(6301),
    [aux_sym_select_type_statement_token1] = ACTIONS(6301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6301),
    [aux_sym_associate_statement_token1] = ACTIONS(6301),
    [aux_sym_format_statement_token1] = ACTIONS(6301),
    [aux_sym_print_statement_token1] = ACTIONS(6301),
    [aux_sym_open_statement_token1] = ACTIONS(6301),
    [aux_sym_close_statement_token1] = ACTIONS(6301),
    [aux_sym_inquire_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token1] = ACTIONS(6301),
    [aux_sym_file_position_statement_token2] = ACTIONS(6301),
    [aux_sym_file_position_statement_token3] = ACTIONS(6301),
    [aux_sym_file_position_statement_token4] = ACTIONS(6301),
    [aux_sym_allocate_statement_token1] = ACTIONS(6301),
    [aux_sym_entry_statement_token1] = ACTIONS(6301),
    [aux_sym_assign_statement_token1] = ACTIONS(6301),
    [aux_sym_logical_expression_token5] = ACTIONS(6303),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(6303),
    [aux_sym_boolean_literal_token1] = ACTIONS(6303),
    [aux_sym_boolean_literal_token2] = ACTIONS(6303),
    [aux_sym_null_literal_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_statement_token2] = ACTIONS(6301),
    [aux_sym_coarray_statement_token6] = ACTIONS(6301),
    [aux_sym_coarray_statement_token8] = ACTIONS(6301),
    [aux_sym_coarray_statement_token11] = ACTIONS(6301),
    [aux_sym_coarray_statement_token12] = ACTIONS(6301),
    [aux_sym_coarray_statement_token13] = ACTIONS(6301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6301),
    [aux_sym_identifier_token1] = ACTIONS(6301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6303),
    [sym__float_literal] = ACTIONS(6303),
    [sym__boz_literal] = ACTIONS(6303),
    [sym__string_literal] = ACTIONS(6303),
    [sym__string_literal_kind] = ACTIONS(6303),
  },
  [3017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4944),
    [aux_sym_preproc_def_token1] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4944),
    [sym_preproc_directive] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(4944),
    [aux_sym_block_data_statement_token2] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4944),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4944),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4944),
    [aux_sym_use_statement_token2] = ACTIONS(4944),
    [aux_sym_implicit_statement_token4] = ACTIONS(4944),
    [aux_sym_save_statement_token1] = ACTIONS(4944),
    [aux_sym_private_statement_token1] = ACTIONS(4944),
    [aux_sym_public_statement_token1] = ACTIONS(4944),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4944),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4944),
    [aux_sym_variable_attributes_token2] = ACTIONS(4944),
    [aux_sym_variable_attributes_token3] = ACTIONS(4944),
    [aux_sym_variable_attributes_token5] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4944),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4944),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4944),
    [aux_sym_type_qualifier_token1] = ACTIONS(4944),
    [aux_sym_type_qualifier_token2] = ACTIONS(4944),
    [aux_sym_stop_statement_token1] = ACTIONS(4944),
    [aux_sym_stop_statement_token2] = ACTIONS(4944),
    [aux_sym_subroutine_call_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token1] = ACTIONS(4944),
    [aux_sym_keyword_statement_token2] = ACTIONS(4944),
    [aux_sym_keyword_statement_token3] = ACTIONS(4944),
    [aux_sym_keyword_statement_token4] = ACTIONS(4944),
    [aux_sym_keyword_statement_token6] = ACTIONS(4944),
    [aux_sym_keyword_statement_token7] = ACTIONS(4944),
    [aux_sym_include_statement_token1] = ACTIONS(4944),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4944),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4944),
    [aux_sym_end_if_statement_token1] = ACTIONS(4944),
    [aux_sym_elseif_clause_token2] = ACTIONS(4944),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4944),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token1] = ACTIONS(4944),
    [aux_sym_select_case_statement_token3] = ACTIONS(4944),
    [aux_sym_select_type_statement_token1] = ACTIONS(4944),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4944),
    [aux_sym_associate_statement_token1] = ACTIONS(4944),
    [aux_sym_format_statement_token1] = ACTIONS(4944),
    [aux_sym_print_statement_token1] = ACTIONS(4944),
    [aux_sym_open_statement_token1] = ACTIONS(4944),
    [aux_sym_close_statement_token1] = ACTIONS(4944),
    [aux_sym_inquire_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token1] = ACTIONS(4944),
    [aux_sym_file_position_statement_token2] = ACTIONS(4944),
    [aux_sym_file_position_statement_token3] = ACTIONS(4944),
    [aux_sym_file_position_statement_token4] = ACTIONS(4944),
    [aux_sym_allocate_statement_token1] = ACTIONS(4944),
    [aux_sym_entry_statement_token1] = ACTIONS(4944),
    [aux_sym_assign_statement_token1] = ACTIONS(4944),
    [aux_sym_logical_expression_token5] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [aux_sym_boolean_literal_token1] = ACTIONS(4946),
    [aux_sym_boolean_literal_token2] = ACTIONS(4946),
    [aux_sym_null_literal_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_statement_token2] = ACTIONS(4944),
    [aux_sym_coarray_statement_token6] = ACTIONS(4944),
    [aux_sym_coarray_statement_token8] = ACTIONS(4944),
    [aux_sym_coarray_statement_token11] = ACTIONS(4944),
    [aux_sym_coarray_statement_token12] = ACTIONS(4944),
    [aux_sym_coarray_statement_token13] = ACTIONS(4944),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4944),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4944),
    [aux_sym_identifier_token1] = ACTIONS(4944),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4946),
    [sym__float_literal] = ACTIONS(4946),
    [sym__boz_literal] = ACTIONS(4946),
    [sym__string_literal] = ACTIONS(4946),
    [sym__string_literal_kind] = ACTIONS(4946),
  },
  [3018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4948),
    [aux_sym_preproc_def_token1] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4948),
    [sym_preproc_directive] = ACTIONS(4948),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(4948),
    [aux_sym_block_data_statement_token2] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4948),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4948),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4948),
    [aux_sym_use_statement_token2] = ACTIONS(4948),
    [aux_sym_implicit_statement_token4] = ACTIONS(4948),
    [aux_sym_save_statement_token1] = ACTIONS(4948),
    [aux_sym_private_statement_token1] = ACTIONS(4948),
    [aux_sym_public_statement_token1] = ACTIONS(4948),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4948),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4948),
    [aux_sym_variable_attributes_token2] = ACTIONS(4948),
    [aux_sym_variable_attributes_token3] = ACTIONS(4948),
    [aux_sym_variable_attributes_token5] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4948),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4948),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4948),
    [aux_sym_type_qualifier_token1] = ACTIONS(4948),
    [aux_sym_type_qualifier_token2] = ACTIONS(4948),
    [aux_sym_stop_statement_token1] = ACTIONS(4948),
    [aux_sym_stop_statement_token2] = ACTIONS(4948),
    [aux_sym_subroutine_call_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token1] = ACTIONS(4948),
    [aux_sym_keyword_statement_token2] = ACTIONS(4948),
    [aux_sym_keyword_statement_token3] = ACTIONS(4948),
    [aux_sym_keyword_statement_token4] = ACTIONS(4948),
    [aux_sym_keyword_statement_token6] = ACTIONS(4948),
    [aux_sym_keyword_statement_token7] = ACTIONS(4948),
    [aux_sym_include_statement_token1] = ACTIONS(4948),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4948),
    [aux_sym_end_if_statement_token1] = ACTIONS(4948),
    [aux_sym_elseif_clause_token2] = ACTIONS(4948),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4948),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token1] = ACTIONS(4948),
    [aux_sym_select_case_statement_token3] = ACTIONS(4948),
    [aux_sym_select_type_statement_token1] = ACTIONS(4948),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4948),
    [aux_sym_associate_statement_token1] = ACTIONS(4948),
    [aux_sym_format_statement_token1] = ACTIONS(4948),
    [aux_sym_print_statement_token1] = ACTIONS(4948),
    [aux_sym_open_statement_token1] = ACTIONS(4948),
    [aux_sym_close_statement_token1] = ACTIONS(4948),
    [aux_sym_inquire_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token1] = ACTIONS(4948),
    [aux_sym_file_position_statement_token2] = ACTIONS(4948),
    [aux_sym_file_position_statement_token3] = ACTIONS(4948),
    [aux_sym_file_position_statement_token4] = ACTIONS(4948),
    [aux_sym_allocate_statement_token1] = ACTIONS(4948),
    [aux_sym_entry_statement_token1] = ACTIONS(4948),
    [aux_sym_assign_statement_token1] = ACTIONS(4948),
    [aux_sym_logical_expression_token5] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [aux_sym_boolean_literal_token1] = ACTIONS(4950),
    [aux_sym_boolean_literal_token2] = ACTIONS(4950),
    [aux_sym_null_literal_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_statement_token2] = ACTIONS(4948),
    [aux_sym_coarray_statement_token6] = ACTIONS(4948),
    [aux_sym_coarray_statement_token8] = ACTIONS(4948),
    [aux_sym_coarray_statement_token11] = ACTIONS(4948),
    [aux_sym_coarray_statement_token12] = ACTIONS(4948),
    [aux_sym_coarray_statement_token13] = ACTIONS(4948),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4948),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4948),
    [aux_sym_identifier_token1] = ACTIONS(4948),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4950),
    [sym__float_literal] = ACTIONS(4950),
    [sym__boz_literal] = ACTIONS(4950),
    [sym__string_literal] = ACTIONS(4950),
    [sym__string_literal_kind] = ACTIONS(4950),
  },
  [3019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4794),
    [aux_sym_preproc_def_token1] = ACTIONS(4794),
    [aux_sym_preproc_if_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4794),
    [sym_preproc_directive] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4794),
    [anon_sym_SEMI] = ACTIONS(6057),
    [aux_sym_block_data_statement_token1] = ACTIONS(4794),
    [aux_sym_block_data_statement_token2] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4794),
    [aux_sym_use_statement_token2] = ACTIONS(4794),
    [aux_sym_implicit_statement_token4] = ACTIONS(4794),
    [aux_sym_save_statement_token1] = ACTIONS(4794),
    [aux_sym_private_statement_token1] = ACTIONS(4794),
    [aux_sym_public_statement_token1] = ACTIONS(4794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4794),
    [aux_sym_variable_attributes_token2] = ACTIONS(4794),
    [aux_sym_variable_attributes_token3] = ACTIONS(4794),
    [aux_sym_variable_attributes_token5] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4794),
    [aux_sym_type_qualifier_token1] = ACTIONS(4794),
    [aux_sym_type_qualifier_token2] = ACTIONS(4794),
    [aux_sym_stop_statement_token1] = ACTIONS(4794),
    [aux_sym_stop_statement_token2] = ACTIONS(4794),
    [aux_sym_subroutine_call_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token1] = ACTIONS(4794),
    [aux_sym_keyword_statement_token2] = ACTIONS(4794),
    [aux_sym_keyword_statement_token3] = ACTIONS(4794),
    [aux_sym_keyword_statement_token4] = ACTIONS(4794),
    [aux_sym_keyword_statement_token6] = ACTIONS(4794),
    [aux_sym_keyword_statement_token7] = ACTIONS(4794),
    [aux_sym_include_statement_token1] = ACTIONS(4794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4794),
    [aux_sym_end_if_statement_token1] = ACTIONS(4794),
    [aux_sym_elseif_clause_token2] = ACTIONS(4794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token1] = ACTIONS(4794),
    [aux_sym_select_case_statement_token3] = ACTIONS(4794),
    [aux_sym_select_type_statement_token1] = ACTIONS(4794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4794),
    [aux_sym_associate_statement_token1] = ACTIONS(4794),
    [aux_sym_format_statement_token1] = ACTIONS(4794),
    [aux_sym_print_statement_token1] = ACTIONS(4794),
    [aux_sym_open_statement_token1] = ACTIONS(4794),
    [aux_sym_close_statement_token1] = ACTIONS(4794),
    [aux_sym_inquire_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token1] = ACTIONS(4794),
    [aux_sym_file_position_statement_token2] = ACTIONS(4794),
    [aux_sym_file_position_statement_token3] = ACTIONS(4794),
    [aux_sym_file_position_statement_token4] = ACTIONS(4794),
    [aux_sym_allocate_statement_token1] = ACTIONS(4794),
    [aux_sym_entry_statement_token1] = ACTIONS(4794),
    [aux_sym_assign_statement_token1] = ACTIONS(4794),
    [aux_sym_logical_expression_token5] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [aux_sym_boolean_literal_token1] = ACTIONS(6057),
    [aux_sym_boolean_literal_token2] = ACTIONS(6057),
    [aux_sym_null_literal_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_statement_token2] = ACTIONS(4794),
    [aux_sym_coarray_statement_token6] = ACTIONS(4794),
    [aux_sym_coarray_statement_token8] = ACTIONS(4794),
    [aux_sym_coarray_statement_token11] = ACTIONS(4794),
    [aux_sym_coarray_statement_token12] = ACTIONS(4794),
    [aux_sym_coarray_statement_token13] = ACTIONS(4794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4794),
    [aux_sym_identifier_token1] = ACTIONS(4794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6057),
    [sym__float_literal] = ACTIONS(6057),
    [sym__boz_literal] = ACTIONS(6057),
    [sym__string_literal] = ACTIONS(6057),
    [sym__string_literal_kind] = ACTIONS(6057),
  },
  [3020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [aux_sym_block_data_statement_token1] = ACTIONS(4852),
    [aux_sym_block_data_statement_token2] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4852),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4852),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4852),
    [aux_sym_use_statement_token2] = ACTIONS(4852),
    [aux_sym_implicit_statement_token4] = ACTIONS(4852),
    [aux_sym_save_statement_token1] = ACTIONS(4852),
    [aux_sym_private_statement_token1] = ACTIONS(4852),
    [aux_sym_public_statement_token1] = ACTIONS(4852),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4852),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4852),
    [aux_sym_variable_attributes_token2] = ACTIONS(4852),
    [aux_sym_variable_attributes_token3] = ACTIONS(4852),
    [aux_sym_variable_attributes_token5] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4852),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4852),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4852),
    [aux_sym_type_qualifier_token1] = ACTIONS(4852),
    [aux_sym_type_qualifier_token2] = ACTIONS(4852),
    [aux_sym_stop_statement_token1] = ACTIONS(4852),
    [aux_sym_stop_statement_token2] = ACTIONS(4852),
    [aux_sym_subroutine_call_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token1] = ACTIONS(4852),
    [aux_sym_keyword_statement_token2] = ACTIONS(4852),
    [aux_sym_keyword_statement_token3] = ACTIONS(4852),
    [aux_sym_keyword_statement_token4] = ACTIONS(4852),
    [aux_sym_keyword_statement_token6] = ACTIONS(4852),
    [aux_sym_keyword_statement_token7] = ACTIONS(4852),
    [aux_sym_include_statement_token1] = ACTIONS(4852),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4852),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4852),
    [aux_sym_end_if_statement_token1] = ACTIONS(4852),
    [aux_sym_elseif_clause_token2] = ACTIONS(4852),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4852),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token1] = ACTIONS(4852),
    [aux_sym_select_case_statement_token3] = ACTIONS(4852),
    [aux_sym_select_type_statement_token1] = ACTIONS(4852),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4852),
    [aux_sym_associate_statement_token1] = ACTIONS(4852),
    [aux_sym_format_statement_token1] = ACTIONS(4852),
    [aux_sym_print_statement_token1] = ACTIONS(4852),
    [aux_sym_open_statement_token1] = ACTIONS(4852),
    [aux_sym_close_statement_token1] = ACTIONS(4852),
    [aux_sym_inquire_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token1] = ACTIONS(4852),
    [aux_sym_file_position_statement_token2] = ACTIONS(4852),
    [aux_sym_file_position_statement_token3] = ACTIONS(4852),
    [aux_sym_file_position_statement_token4] = ACTIONS(4852),
    [aux_sym_allocate_statement_token1] = ACTIONS(4852),
    [aux_sym_entry_statement_token1] = ACTIONS(4852),
    [aux_sym_assign_statement_token1] = ACTIONS(4852),
    [aux_sym_logical_expression_token5] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_boolean_literal_token1] = ACTIONS(4854),
    [aux_sym_boolean_literal_token2] = ACTIONS(4854),
    [aux_sym_null_literal_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_statement_token2] = ACTIONS(4852),
    [aux_sym_coarray_statement_token6] = ACTIONS(4852),
    [aux_sym_coarray_statement_token8] = ACTIONS(4852),
    [aux_sym_coarray_statement_token11] = ACTIONS(4852),
    [aux_sym_coarray_statement_token12] = ACTIONS(4852),
    [aux_sym_coarray_statement_token13] = ACTIONS(4852),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4852),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4852),
    [aux_sym_identifier_token1] = ACTIONS(4852),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4854),
    [sym__float_literal] = ACTIONS(4854),
    [sym__boz_literal] = ACTIONS(4854),
    [sym__string_literal] = ACTIONS(4854),
    [sym__string_literal_kind] = ACTIONS(4854),
  },
  [3021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(6087),
    [aux_sym_block_data_statement_token1] = ACTIONS(4954),
    [aux_sym_block_data_statement_token2] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4954),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4954),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4954),
    [aux_sym_use_statement_token2] = ACTIONS(4954),
    [aux_sym_implicit_statement_token4] = ACTIONS(4954),
    [aux_sym_save_statement_token1] = ACTIONS(4954),
    [aux_sym_private_statement_token1] = ACTIONS(4954),
    [aux_sym_public_statement_token1] = ACTIONS(4954),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4954),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4954),
    [aux_sym_variable_attributes_token2] = ACTIONS(4954),
    [aux_sym_variable_attributes_token3] = ACTIONS(4954),
    [aux_sym_variable_attributes_token5] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4954),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4954),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4954),
    [aux_sym_type_qualifier_token1] = ACTIONS(4954),
    [aux_sym_type_qualifier_token2] = ACTIONS(4954),
    [aux_sym_stop_statement_token1] = ACTIONS(4954),
    [aux_sym_stop_statement_token2] = ACTIONS(4954),
    [aux_sym_subroutine_call_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token1] = ACTIONS(4954),
    [aux_sym_keyword_statement_token2] = ACTIONS(4954),
    [aux_sym_keyword_statement_token3] = ACTIONS(4954),
    [aux_sym_keyword_statement_token4] = ACTIONS(4954),
    [aux_sym_keyword_statement_token6] = ACTIONS(4954),
    [aux_sym_keyword_statement_token7] = ACTIONS(4954),
    [aux_sym_include_statement_token1] = ACTIONS(4954),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4954),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4954),
    [aux_sym_end_if_statement_token1] = ACTIONS(4954),
    [aux_sym_elseif_clause_token2] = ACTIONS(4954),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token1] = ACTIONS(4954),
    [aux_sym_select_case_statement_token3] = ACTIONS(4954),
    [aux_sym_select_type_statement_token1] = ACTIONS(4954),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4954),
    [aux_sym_associate_statement_token1] = ACTIONS(4954),
    [aux_sym_format_statement_token1] = ACTIONS(4954),
    [aux_sym_print_statement_token1] = ACTIONS(4954),
    [aux_sym_open_statement_token1] = ACTIONS(4954),
    [aux_sym_close_statement_token1] = ACTIONS(4954),
    [aux_sym_inquire_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token1] = ACTIONS(4954),
    [aux_sym_file_position_statement_token2] = ACTIONS(4954),
    [aux_sym_file_position_statement_token3] = ACTIONS(4954),
    [aux_sym_file_position_statement_token4] = ACTIONS(4954),
    [aux_sym_allocate_statement_token1] = ACTIONS(4954),
    [aux_sym_entry_statement_token1] = ACTIONS(4954),
    [aux_sym_assign_statement_token1] = ACTIONS(4954),
    [aux_sym_logical_expression_token5] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [aux_sym_boolean_literal_token1] = ACTIONS(6087),
    [aux_sym_boolean_literal_token2] = ACTIONS(6087),
    [aux_sym_null_literal_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_statement_token2] = ACTIONS(4954),
    [aux_sym_coarray_statement_token6] = ACTIONS(4954),
    [aux_sym_coarray_statement_token8] = ACTIONS(4954),
    [aux_sym_coarray_statement_token11] = ACTIONS(4954),
    [aux_sym_coarray_statement_token12] = ACTIONS(4954),
    [aux_sym_coarray_statement_token13] = ACTIONS(4954),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4954),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4954),
    [aux_sym_identifier_token1] = ACTIONS(4954),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6087),
    [sym__float_literal] = ACTIONS(6087),
    [sym__boz_literal] = ACTIONS(6087),
    [sym__string_literal] = ACTIONS(6087),
    [sym__string_literal_kind] = ACTIONS(6087),
  },
  [3022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6257),
    [aux_sym_preproc_def_token1] = ACTIONS(6257),
    [aux_sym_preproc_if_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6257),
    [sym_preproc_directive] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6257),
    [anon_sym_SEMI] = ACTIONS(6259),
    [aux_sym_block_data_statement_token1] = ACTIONS(6257),
    [aux_sym_block_data_statement_token2] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6257),
    [aux_sym_use_statement_token2] = ACTIONS(6257),
    [aux_sym_implicit_statement_token4] = ACTIONS(6257),
    [aux_sym_save_statement_token1] = ACTIONS(6257),
    [aux_sym_private_statement_token1] = ACTIONS(6257),
    [aux_sym_public_statement_token1] = ACTIONS(6257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6257),
    [aux_sym_variable_attributes_token2] = ACTIONS(6257),
    [aux_sym_variable_attributes_token3] = ACTIONS(6257),
    [aux_sym_variable_attributes_token5] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6257),
    [aux_sym_type_qualifier_token1] = ACTIONS(6257),
    [aux_sym_type_qualifier_token2] = ACTIONS(6257),
    [aux_sym_stop_statement_token1] = ACTIONS(6257),
    [aux_sym_stop_statement_token2] = ACTIONS(6257),
    [aux_sym_subroutine_call_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token1] = ACTIONS(6257),
    [aux_sym_keyword_statement_token2] = ACTIONS(6257),
    [aux_sym_keyword_statement_token3] = ACTIONS(6257),
    [aux_sym_keyword_statement_token4] = ACTIONS(6257),
    [aux_sym_keyword_statement_token6] = ACTIONS(6257),
    [aux_sym_keyword_statement_token7] = ACTIONS(6257),
    [aux_sym_include_statement_token1] = ACTIONS(6257),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6257),
    [aux_sym_end_if_statement_token1] = ACTIONS(6257),
    [aux_sym_elseif_clause_token2] = ACTIONS(6257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6257),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token1] = ACTIONS(6257),
    [aux_sym_select_case_statement_token3] = ACTIONS(6257),
    [aux_sym_select_type_statement_token1] = ACTIONS(6257),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6257),
    [aux_sym_associate_statement_token1] = ACTIONS(6257),
    [aux_sym_format_statement_token1] = ACTIONS(6257),
    [aux_sym_print_statement_token1] = ACTIONS(6257),
    [aux_sym_open_statement_token1] = ACTIONS(6257),
    [aux_sym_close_statement_token1] = ACTIONS(6257),
    [aux_sym_inquire_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token1] = ACTIONS(6257),
    [aux_sym_file_position_statement_token2] = ACTIONS(6257),
    [aux_sym_file_position_statement_token3] = ACTIONS(6257),
    [aux_sym_file_position_statement_token4] = ACTIONS(6257),
    [aux_sym_allocate_statement_token1] = ACTIONS(6257),
    [aux_sym_entry_statement_token1] = ACTIONS(6257),
    [aux_sym_assign_statement_token1] = ACTIONS(6257),
    [aux_sym_logical_expression_token5] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6259),
    [aux_sym_boolean_literal_token1] = ACTIONS(6259),
    [aux_sym_boolean_literal_token2] = ACTIONS(6259),
    [aux_sym_null_literal_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_statement_token2] = ACTIONS(6257),
    [aux_sym_coarray_statement_token6] = ACTIONS(6257),
    [aux_sym_coarray_statement_token8] = ACTIONS(6257),
    [aux_sym_coarray_statement_token11] = ACTIONS(6257),
    [aux_sym_coarray_statement_token12] = ACTIONS(6257),
    [aux_sym_coarray_statement_token13] = ACTIONS(6257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6257),
    [aux_sym_identifier_token1] = ACTIONS(6257),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6259),
    [sym__float_literal] = ACTIONS(6259),
    [sym__boz_literal] = ACTIONS(6259),
    [sym__string_literal] = ACTIONS(6259),
    [sym__string_literal_kind] = ACTIONS(6259),
  },
  [3023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6207),
    [aux_sym_preproc_def_token1] = ACTIONS(6207),
    [aux_sym_preproc_if_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6207),
    [sym_preproc_directive] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_DASH] = ACTIONS(6209),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6207),
    [anon_sym_SEMI] = ACTIONS(6209),
    [aux_sym_block_data_statement_token1] = ACTIONS(6207),
    [aux_sym_block_data_statement_token2] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6207),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6207),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6207),
    [aux_sym_use_statement_token2] = ACTIONS(6207),
    [aux_sym_implicit_statement_token4] = ACTIONS(6207),
    [aux_sym_save_statement_token1] = ACTIONS(6207),
    [aux_sym_private_statement_token1] = ACTIONS(6207),
    [aux_sym_public_statement_token1] = ACTIONS(6207),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6207),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6207),
    [aux_sym_variable_attributes_token2] = ACTIONS(6207),
    [aux_sym_variable_attributes_token3] = ACTIONS(6207),
    [aux_sym_variable_attributes_token5] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6207),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6207),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6207),
    [aux_sym_type_qualifier_token1] = ACTIONS(6207),
    [aux_sym_type_qualifier_token2] = ACTIONS(6207),
    [aux_sym_stop_statement_token1] = ACTIONS(6207),
    [aux_sym_stop_statement_token2] = ACTIONS(6207),
    [aux_sym_subroutine_call_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token1] = ACTIONS(6207),
    [aux_sym_keyword_statement_token2] = ACTIONS(6207),
    [aux_sym_keyword_statement_token3] = ACTIONS(6207),
    [aux_sym_keyword_statement_token4] = ACTIONS(6207),
    [aux_sym_keyword_statement_token6] = ACTIONS(6207),
    [aux_sym_keyword_statement_token7] = ACTIONS(6207),
    [aux_sym_include_statement_token1] = ACTIONS(6207),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6207),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6207),
    [aux_sym_end_if_statement_token1] = ACTIONS(6207),
    [aux_sym_elseif_clause_token2] = ACTIONS(6207),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6207),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token1] = ACTIONS(6207),
    [aux_sym_select_case_statement_token3] = ACTIONS(6207),
    [aux_sym_select_type_statement_token1] = ACTIONS(6207),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6207),
    [aux_sym_associate_statement_token1] = ACTIONS(6207),
    [aux_sym_format_statement_token1] = ACTIONS(6207),
    [aux_sym_print_statement_token1] = ACTIONS(6207),
    [aux_sym_open_statement_token1] = ACTIONS(6207),
    [aux_sym_close_statement_token1] = ACTIONS(6207),
    [aux_sym_inquire_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token1] = ACTIONS(6207),
    [aux_sym_file_position_statement_token2] = ACTIONS(6207),
    [aux_sym_file_position_statement_token3] = ACTIONS(6207),
    [aux_sym_file_position_statement_token4] = ACTIONS(6207),
    [aux_sym_allocate_statement_token1] = ACTIONS(6207),
    [aux_sym_entry_statement_token1] = ACTIONS(6207),
    [aux_sym_assign_statement_token1] = ACTIONS(6207),
    [aux_sym_logical_expression_token5] = ACTIONS(6209),
    [anon_sym_DOT] = ACTIONS(6207),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [aux_sym_boolean_literal_token1] = ACTIONS(6209),
    [aux_sym_boolean_literal_token2] = ACTIONS(6209),
    [aux_sym_null_literal_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_statement_token2] = ACTIONS(6207),
    [aux_sym_coarray_statement_token6] = ACTIONS(6207),
    [aux_sym_coarray_statement_token8] = ACTIONS(6207),
    [aux_sym_coarray_statement_token11] = ACTIONS(6207),
    [aux_sym_coarray_statement_token12] = ACTIONS(6207),
    [aux_sym_coarray_statement_token13] = ACTIONS(6207),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6207),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6207),
    [aux_sym_identifier_token1] = ACTIONS(6207),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6209),
    [sym__float_literal] = ACTIONS(6209),
    [sym__boz_literal] = ACTIONS(6209),
    [sym__string_literal] = ACTIONS(6209),
    [sym__string_literal_kind] = ACTIONS(6209),
  },
  [3024] = {
    [sym__expression] = STATE(4755),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_assumed_size] = STATE(6812),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7199),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3025] = {
    [sym_data_set] = STATE(3025),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5088),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5088),
    [sym_implied_do_loop_expression] = STATE(5088),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5088),
    [aux_sym_data_statement_repeat1] = STATE(3025),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_LPAREN2] = ACTIONS(7204),
    [anon_sym_PLUS] = ACTIONS(7207),
    [anon_sym_DASH] = ACTIONS(7207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7210),
    [anon_sym_SEMI] = ACTIONS(7213),
    [aux_sym_block_data_statement_token1] = ACTIONS(7215),
    [aux_sym_block_data_statement_token2] = ACTIONS(7215),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7215),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7215),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7215),
    [aux_sym_use_statement_token2] = ACTIONS(7215),
    [aux_sym_implicit_statement_token4] = ACTIONS(7215),
    [aux_sym_save_statement_token1] = ACTIONS(7215),
    [aux_sym_private_statement_token1] = ACTIONS(7215),
    [aux_sym_public_statement_token1] = ACTIONS(7215),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7215),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7215),
    [aux_sym_variable_attributes_token2] = ACTIONS(7215),
    [aux_sym_variable_attributes_token3] = ACTIONS(7215),
    [aux_sym_variable_attributes_token5] = ACTIONS(7215),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7215),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7215),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7221),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7221),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7215),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7215),
    [aux_sym_type_qualifier_token1] = ACTIONS(7215),
    [aux_sym_type_qualifier_token2] = ACTIONS(7215),
    [aux_sym_stop_statement_token1] = ACTIONS(7215),
    [aux_sym_stop_statement_token2] = ACTIONS(7215),
    [aux_sym_subroutine_call_token1] = ACTIONS(7221),
    [aux_sym_keyword_statement_token2] = ACTIONS(7215),
    [aux_sym_keyword_statement_token3] = ACTIONS(7215),
    [aux_sym_keyword_statement_token4] = ACTIONS(7224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7215),
    [aux_sym_end_if_statement_token1] = ACTIONS(7215),
    [aux_sym_elseif_clause_token2] = ACTIONS(7215),
    [aux_sym_select_case_statement_token1] = ACTIONS(7227),
    [aux_sym_format_statement_token1] = ACTIONS(7215),
    [aux_sym_open_statement_token1] = ACTIONS(7221),
    [aux_sym_inquire_statement_token1] = ACTIONS(7215),
    [aux_sym_entry_statement_token1] = ACTIONS(7215),
    [aux_sym_logical_expression_token5] = ACTIONS(7230),
    [anon_sym_DOT] = ACTIONS(7233),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7236),
    [anon_sym_LBRACK] = ACTIONS(7239),
    [aux_sym_boolean_literal_token1] = ACTIONS(7242),
    [aux_sym_boolean_literal_token2] = ACTIONS(7242),
    [aux_sym_null_literal_token1] = ACTIONS(7245),
    [aux_sym_coarray_statement_token1] = ACTIONS(7215),
    [aux_sym_coarray_statement_token2] = ACTIONS(7215),
    [aux_sym_coarray_statement_token6] = ACTIONS(7215),
    [aux_sym_coarray_statement_token8] = ACTIONS(7215),
    [aux_sym_coarray_statement_token11] = ACTIONS(7215),
    [aux_sym_coarray_statement_token12] = ACTIONS(7215),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7215),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7215),
    [aux_sym_identifier_token1] = ACTIONS(7215),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7248),
    [sym__float_literal] = ACTIONS(7248),
    [sym__boz_literal] = ACTIONS(7248),
    [sym__string_literal] = ACTIONS(7251),
    [sym__string_literal_kind] = ACTIONS(7254),
    [sym__external_end_of_statement] = ACTIONS(7213),
  },
  [3026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4856),
    [aux_sym_preproc_def_token1] = ACTIONS(4856),
    [aux_sym_preproc_if_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4856),
    [sym_preproc_directive] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [aux_sym_block_data_statement_token1] = ACTIONS(4856),
    [aux_sym_block_data_statement_token2] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4856),
    [aux_sym_use_statement_token2] = ACTIONS(4856),
    [aux_sym_implicit_statement_token4] = ACTIONS(4856),
    [aux_sym_save_statement_token1] = ACTIONS(4856),
    [aux_sym_private_statement_token1] = ACTIONS(4856),
    [aux_sym_public_statement_token1] = ACTIONS(4856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4856),
    [aux_sym_variable_attributes_token2] = ACTIONS(4856),
    [aux_sym_variable_attributes_token3] = ACTIONS(4856),
    [aux_sym_variable_attributes_token5] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4856),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_subroutine_call_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token1] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_keyword_statement_token4] = ACTIONS(4856),
    [aux_sym_keyword_statement_token6] = ACTIONS(4856),
    [aux_sym_keyword_statement_token7] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4856),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4856),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4856),
    [aux_sym_select_case_statement_token3] = ACTIONS(4856),
    [aux_sym_select_type_statement_token1] = ACTIONS(4856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4856),
    [aux_sym_associate_statement_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_print_statement_token1] = ACTIONS(4856),
    [aux_sym_open_statement_token1] = ACTIONS(4856),
    [aux_sym_close_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token1] = ACTIONS(4856),
    [aux_sym_file_position_statement_token2] = ACTIONS(4856),
    [aux_sym_file_position_statement_token3] = ACTIONS(4856),
    [aux_sym_file_position_statement_token4] = ACTIONS(4856),
    [aux_sym_allocate_statement_token1] = ACTIONS(4856),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_assign_statement_token1] = ACTIONS(4856),
    [aux_sym_logical_expression_token5] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_boolean_literal_token1] = ACTIONS(4858),
    [aux_sym_boolean_literal_token2] = ACTIONS(4858),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_statement_token13] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4858),
    [sym__float_literal] = ACTIONS(4858),
    [sym__boz_literal] = ACTIONS(4858),
    [sym__string_literal] = ACTIONS(4858),
    [sym__string_literal_kind] = ACTIONS(4858),
  },
  [3027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6245),
    [aux_sym_preproc_def_token1] = ACTIONS(6245),
    [aux_sym_preproc_if_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6245),
    [sym_preproc_directive] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6245),
    [anon_sym_PLUS] = ACTIONS(6247),
    [anon_sym_DASH] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6245),
    [aux_sym_block_data_statement_token2] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6245),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6245),
    [aux_sym_use_statement_token2] = ACTIONS(6245),
    [aux_sym_implicit_statement_token4] = ACTIONS(6245),
    [aux_sym_save_statement_token1] = ACTIONS(6245),
    [aux_sym_private_statement_token1] = ACTIONS(6245),
    [aux_sym_public_statement_token1] = ACTIONS(6245),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6245),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6245),
    [aux_sym_variable_attributes_token2] = ACTIONS(6245),
    [aux_sym_variable_attributes_token3] = ACTIONS(6245),
    [aux_sym_variable_attributes_token5] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6245),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6245),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6245),
    [aux_sym_type_qualifier_token1] = ACTIONS(6245),
    [aux_sym_type_qualifier_token2] = ACTIONS(6245),
    [aux_sym_stop_statement_token1] = ACTIONS(6245),
    [aux_sym_stop_statement_token2] = ACTIONS(6245),
    [aux_sym_subroutine_call_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token1] = ACTIONS(6245),
    [aux_sym_keyword_statement_token2] = ACTIONS(6245),
    [aux_sym_keyword_statement_token3] = ACTIONS(6245),
    [aux_sym_keyword_statement_token4] = ACTIONS(6245),
    [aux_sym_keyword_statement_token6] = ACTIONS(6245),
    [aux_sym_keyword_statement_token7] = ACTIONS(6245),
    [aux_sym_include_statement_token1] = ACTIONS(6245),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6245),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6245),
    [aux_sym_end_if_statement_token1] = ACTIONS(6245),
    [aux_sym_elseif_clause_token2] = ACTIONS(6245),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6245),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token1] = ACTIONS(6245),
    [aux_sym_select_case_statement_token3] = ACTIONS(6245),
    [aux_sym_select_type_statement_token1] = ACTIONS(6245),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6245),
    [aux_sym_associate_statement_token1] = ACTIONS(6245),
    [aux_sym_format_statement_token1] = ACTIONS(6245),
    [aux_sym_print_statement_token1] = ACTIONS(6245),
    [aux_sym_open_statement_token1] = ACTIONS(6245),
    [aux_sym_close_statement_token1] = ACTIONS(6245),
    [aux_sym_inquire_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token1] = ACTIONS(6245),
    [aux_sym_file_position_statement_token2] = ACTIONS(6245),
    [aux_sym_file_position_statement_token3] = ACTIONS(6245),
    [aux_sym_file_position_statement_token4] = ACTIONS(6245),
    [aux_sym_allocate_statement_token1] = ACTIONS(6245),
    [aux_sym_entry_statement_token1] = ACTIONS(6245),
    [aux_sym_assign_statement_token1] = ACTIONS(6245),
    [aux_sym_logical_expression_token5] = ACTIONS(6247),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6247),
    [anon_sym_LBRACK] = ACTIONS(6247),
    [aux_sym_boolean_literal_token1] = ACTIONS(6247),
    [aux_sym_boolean_literal_token2] = ACTIONS(6247),
    [aux_sym_null_literal_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_statement_token2] = ACTIONS(6245),
    [aux_sym_coarray_statement_token6] = ACTIONS(6245),
    [aux_sym_coarray_statement_token8] = ACTIONS(6245),
    [aux_sym_coarray_statement_token11] = ACTIONS(6245),
    [aux_sym_coarray_statement_token12] = ACTIONS(6245),
    [aux_sym_coarray_statement_token13] = ACTIONS(6245),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6245),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6245),
    [aux_sym_identifier_token1] = ACTIONS(6245),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6247),
    [sym__float_literal] = ACTIONS(6247),
    [sym__boz_literal] = ACTIONS(6247),
    [sym__string_literal] = ACTIONS(6247),
    [sym__string_literal_kind] = ACTIONS(6247),
  },
  [3028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4842),
    [aux_sym_block_data_statement_token1] = ACTIONS(4840),
    [aux_sym_block_data_statement_token2] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4840),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4840),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4840),
    [aux_sym_use_statement_token2] = ACTIONS(4840),
    [aux_sym_implicit_statement_token4] = ACTIONS(4840),
    [aux_sym_save_statement_token1] = ACTIONS(4840),
    [aux_sym_private_statement_token1] = ACTIONS(4840),
    [aux_sym_public_statement_token1] = ACTIONS(4840),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4840),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4840),
    [aux_sym_variable_attributes_token2] = ACTIONS(4840),
    [aux_sym_variable_attributes_token3] = ACTIONS(4840),
    [aux_sym_variable_attributes_token5] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4840),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4840),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4840),
    [aux_sym_type_qualifier_token1] = ACTIONS(4840),
    [aux_sym_type_qualifier_token2] = ACTIONS(4840),
    [aux_sym_stop_statement_token1] = ACTIONS(4840),
    [aux_sym_stop_statement_token2] = ACTIONS(4840),
    [aux_sym_subroutine_call_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token1] = ACTIONS(4840),
    [aux_sym_keyword_statement_token2] = ACTIONS(4840),
    [aux_sym_keyword_statement_token3] = ACTIONS(4840),
    [aux_sym_keyword_statement_token4] = ACTIONS(4840),
    [aux_sym_keyword_statement_token6] = ACTIONS(4840),
    [aux_sym_keyword_statement_token7] = ACTIONS(4840),
    [aux_sym_include_statement_token1] = ACTIONS(4840),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4840),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4840),
    [aux_sym_end_if_statement_token1] = ACTIONS(4840),
    [aux_sym_elseif_clause_token2] = ACTIONS(4840),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4840),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token1] = ACTIONS(4840),
    [aux_sym_select_case_statement_token3] = ACTIONS(4840),
    [aux_sym_select_type_statement_token1] = ACTIONS(4840),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4840),
    [aux_sym_associate_statement_token1] = ACTIONS(4840),
    [aux_sym_format_statement_token1] = ACTIONS(4840),
    [aux_sym_print_statement_token1] = ACTIONS(4840),
    [aux_sym_open_statement_token1] = ACTIONS(4840),
    [aux_sym_close_statement_token1] = ACTIONS(4840),
    [aux_sym_inquire_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token1] = ACTIONS(4840),
    [aux_sym_file_position_statement_token2] = ACTIONS(4840),
    [aux_sym_file_position_statement_token3] = ACTIONS(4840),
    [aux_sym_file_position_statement_token4] = ACTIONS(4840),
    [aux_sym_allocate_statement_token1] = ACTIONS(4840),
    [aux_sym_entry_statement_token1] = ACTIONS(4840),
    [aux_sym_assign_statement_token1] = ACTIONS(4840),
    [aux_sym_logical_expression_token5] = ACTIONS(4842),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4842),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_boolean_literal_token1] = ACTIONS(4842),
    [aux_sym_boolean_literal_token2] = ACTIONS(4842),
    [aux_sym_null_literal_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_statement_token2] = ACTIONS(4840),
    [aux_sym_coarray_statement_token6] = ACTIONS(4840),
    [aux_sym_coarray_statement_token8] = ACTIONS(4840),
    [aux_sym_coarray_statement_token11] = ACTIONS(4840),
    [aux_sym_coarray_statement_token12] = ACTIONS(4840),
    [aux_sym_coarray_statement_token13] = ACTIONS(4840),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4840),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4840),
    [aux_sym_identifier_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4842),
    [sym__float_literal] = ACTIONS(4842),
    [sym__boz_literal] = ACTIONS(4842),
    [sym__string_literal] = ACTIONS(4842),
    [sym__string_literal_kind] = ACTIONS(4842),
  },
  [3029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4988),
    [anon_sym_SEMI] = ACTIONS(6107),
    [aux_sym_block_data_statement_token1] = ACTIONS(4988),
    [aux_sym_block_data_statement_token2] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4988),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4988),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4988),
    [aux_sym_use_statement_token2] = ACTIONS(4988),
    [aux_sym_implicit_statement_token4] = ACTIONS(4988),
    [aux_sym_save_statement_token1] = ACTIONS(4988),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4988),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4988),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4988),
    [aux_sym_variable_attributes_token2] = ACTIONS(4988),
    [aux_sym_variable_attributes_token3] = ACTIONS(4988),
    [aux_sym_variable_attributes_token5] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4988),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4988),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4988),
    [aux_sym_type_qualifier_token1] = ACTIONS(4988),
    [aux_sym_type_qualifier_token2] = ACTIONS(4988),
    [aux_sym_stop_statement_token1] = ACTIONS(4988),
    [aux_sym_stop_statement_token2] = ACTIONS(4988),
    [aux_sym_subroutine_call_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token1] = ACTIONS(4988),
    [aux_sym_keyword_statement_token2] = ACTIONS(4988),
    [aux_sym_keyword_statement_token3] = ACTIONS(4988),
    [aux_sym_keyword_statement_token4] = ACTIONS(4988),
    [aux_sym_keyword_statement_token6] = ACTIONS(4988),
    [aux_sym_keyword_statement_token7] = ACTIONS(4988),
    [aux_sym_include_statement_token1] = ACTIONS(4988),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4988),
    [aux_sym_end_if_statement_token1] = ACTIONS(4988),
    [aux_sym_elseif_clause_token2] = ACTIONS(4988),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4988),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token1] = ACTIONS(4988),
    [aux_sym_select_case_statement_token3] = ACTIONS(4988),
    [aux_sym_select_type_statement_token1] = ACTIONS(4988),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4988),
    [aux_sym_associate_statement_token1] = ACTIONS(4988),
    [aux_sym_format_statement_token1] = ACTIONS(4988),
    [aux_sym_print_statement_token1] = ACTIONS(4988),
    [aux_sym_open_statement_token1] = ACTIONS(4988),
    [aux_sym_close_statement_token1] = ACTIONS(4988),
    [aux_sym_inquire_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token1] = ACTIONS(4988),
    [aux_sym_file_position_statement_token2] = ACTIONS(4988),
    [aux_sym_file_position_statement_token3] = ACTIONS(4988),
    [aux_sym_file_position_statement_token4] = ACTIONS(4988),
    [aux_sym_allocate_statement_token1] = ACTIONS(4988),
    [aux_sym_entry_statement_token1] = ACTIONS(4988),
    [aux_sym_assign_statement_token1] = ACTIONS(4988),
    [aux_sym_logical_expression_token5] = ACTIONS(6107),
    [anon_sym_DOT] = ACTIONS(4988),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [aux_sym_boolean_literal_token1] = ACTIONS(6107),
    [aux_sym_boolean_literal_token2] = ACTIONS(6107),
    [aux_sym_null_literal_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_statement_token2] = ACTIONS(4988),
    [aux_sym_coarray_statement_token6] = ACTIONS(4988),
    [aux_sym_coarray_statement_token8] = ACTIONS(4988),
    [aux_sym_coarray_statement_token11] = ACTIONS(4988),
    [aux_sym_coarray_statement_token12] = ACTIONS(4988),
    [aux_sym_coarray_statement_token13] = ACTIONS(4988),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4988),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4988),
    [aux_sym_identifier_token1] = ACTIONS(4988),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6107),
    [sym__float_literal] = ACTIONS(6107),
    [sym__boz_literal] = ACTIONS(6107),
    [sym__string_literal] = ACTIONS(6107),
    [sym__string_literal_kind] = ACTIONS(6107),
  },
  [3030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4896),
    [aux_sym_preproc_def_token1] = ACTIONS(4896),
    [aux_sym_preproc_if_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4896),
    [sym_preproc_directive] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [aux_sym_block_data_statement_token1] = ACTIONS(4896),
    [aux_sym_block_data_statement_token2] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4896),
    [aux_sym_use_statement_token2] = ACTIONS(4896),
    [aux_sym_implicit_statement_token4] = ACTIONS(4896),
    [aux_sym_save_statement_token1] = ACTIONS(4896),
    [aux_sym_private_statement_token1] = ACTIONS(4896),
    [aux_sym_public_statement_token1] = ACTIONS(4896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4896),
    [aux_sym_variable_attributes_token2] = ACTIONS(4896),
    [aux_sym_variable_attributes_token3] = ACTIONS(4896),
    [aux_sym_variable_attributes_token5] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4896),
    [aux_sym_type_qualifier_token1] = ACTIONS(4896),
    [aux_sym_type_qualifier_token2] = ACTIONS(4896),
    [aux_sym_stop_statement_token1] = ACTIONS(4896),
    [aux_sym_stop_statement_token2] = ACTIONS(4896),
    [aux_sym_subroutine_call_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token1] = ACTIONS(4896),
    [aux_sym_keyword_statement_token2] = ACTIONS(4896),
    [aux_sym_keyword_statement_token3] = ACTIONS(4896),
    [aux_sym_keyword_statement_token4] = ACTIONS(4896),
    [aux_sym_keyword_statement_token6] = ACTIONS(4896),
    [aux_sym_keyword_statement_token7] = ACTIONS(4896),
    [aux_sym_include_statement_token1] = ACTIONS(4896),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4896),
    [aux_sym_end_if_statement_token1] = ACTIONS(4896),
    [aux_sym_elseif_clause_token2] = ACTIONS(4896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4896),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token1] = ACTIONS(4896),
    [aux_sym_select_case_statement_token3] = ACTIONS(4896),
    [aux_sym_select_type_statement_token1] = ACTIONS(4896),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4896),
    [aux_sym_associate_statement_token1] = ACTIONS(4896),
    [aux_sym_format_statement_token1] = ACTIONS(4896),
    [aux_sym_print_statement_token1] = ACTIONS(4896),
    [aux_sym_open_statement_token1] = ACTIONS(4896),
    [aux_sym_close_statement_token1] = ACTIONS(4896),
    [aux_sym_inquire_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token1] = ACTIONS(4896),
    [aux_sym_file_position_statement_token2] = ACTIONS(4896),
    [aux_sym_file_position_statement_token3] = ACTIONS(4896),
    [aux_sym_file_position_statement_token4] = ACTIONS(4896),
    [aux_sym_allocate_statement_token1] = ACTIONS(4896),
    [aux_sym_entry_statement_token1] = ACTIONS(4896),
    [aux_sym_assign_statement_token1] = ACTIONS(4896),
    [aux_sym_logical_expression_token5] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [aux_sym_boolean_literal_token1] = ACTIONS(4898),
    [aux_sym_boolean_literal_token2] = ACTIONS(4898),
    [aux_sym_null_literal_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_statement_token2] = ACTIONS(4896),
    [aux_sym_coarray_statement_token6] = ACTIONS(4896),
    [aux_sym_coarray_statement_token8] = ACTIONS(4896),
    [aux_sym_coarray_statement_token11] = ACTIONS(4896),
    [aux_sym_coarray_statement_token12] = ACTIONS(4896),
    [aux_sym_coarray_statement_token13] = ACTIONS(4896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4896),
    [aux_sym_identifier_token1] = ACTIONS(4896),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4898),
    [sym__float_literal] = ACTIONS(4898),
    [sym__boz_literal] = ACTIONS(4898),
    [sym__string_literal] = ACTIONS(4898),
    [sym__string_literal_kind] = ACTIONS(4898),
  },
  [3031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6241),
    [aux_sym_preproc_def_token1] = ACTIONS(6241),
    [aux_sym_preproc_if_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6241),
    [sym_preproc_directive] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [aux_sym_block_data_statement_token1] = ACTIONS(6241),
    [aux_sym_block_data_statement_token2] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6241),
    [aux_sym_use_statement_token2] = ACTIONS(6241),
    [aux_sym_implicit_statement_token4] = ACTIONS(6241),
    [aux_sym_save_statement_token1] = ACTIONS(6241),
    [aux_sym_private_statement_token1] = ACTIONS(6241),
    [aux_sym_public_statement_token1] = ACTIONS(6241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6241),
    [aux_sym_variable_attributes_token2] = ACTIONS(6241),
    [aux_sym_variable_attributes_token3] = ACTIONS(6241),
    [aux_sym_variable_attributes_token5] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6241),
    [aux_sym_type_qualifier_token1] = ACTIONS(6241),
    [aux_sym_type_qualifier_token2] = ACTIONS(6241),
    [aux_sym_stop_statement_token1] = ACTIONS(6241),
    [aux_sym_stop_statement_token2] = ACTIONS(6241),
    [aux_sym_subroutine_call_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token1] = ACTIONS(6241),
    [aux_sym_keyword_statement_token2] = ACTIONS(6241),
    [aux_sym_keyword_statement_token3] = ACTIONS(6241),
    [aux_sym_keyword_statement_token4] = ACTIONS(6241),
    [aux_sym_keyword_statement_token6] = ACTIONS(6241),
    [aux_sym_keyword_statement_token7] = ACTIONS(6241),
    [aux_sym_include_statement_token1] = ACTIONS(6241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6241),
    [aux_sym_end_if_statement_token1] = ACTIONS(6241),
    [aux_sym_elseif_clause_token2] = ACTIONS(6241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token1] = ACTIONS(6241),
    [aux_sym_select_case_statement_token3] = ACTIONS(6241),
    [aux_sym_select_type_statement_token1] = ACTIONS(6241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6241),
    [aux_sym_associate_statement_token1] = ACTIONS(6241),
    [aux_sym_format_statement_token1] = ACTIONS(6241),
    [aux_sym_print_statement_token1] = ACTIONS(6241),
    [aux_sym_open_statement_token1] = ACTIONS(6241),
    [aux_sym_close_statement_token1] = ACTIONS(6241),
    [aux_sym_inquire_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token1] = ACTIONS(6241),
    [aux_sym_file_position_statement_token2] = ACTIONS(6241),
    [aux_sym_file_position_statement_token3] = ACTIONS(6241),
    [aux_sym_file_position_statement_token4] = ACTIONS(6241),
    [aux_sym_allocate_statement_token1] = ACTIONS(6241),
    [aux_sym_entry_statement_token1] = ACTIONS(6241),
    [aux_sym_assign_statement_token1] = ACTIONS(6241),
    [aux_sym_logical_expression_token5] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [aux_sym_boolean_literal_token1] = ACTIONS(6243),
    [aux_sym_boolean_literal_token2] = ACTIONS(6243),
    [aux_sym_null_literal_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_statement_token2] = ACTIONS(6241),
    [aux_sym_coarray_statement_token6] = ACTIONS(6241),
    [aux_sym_coarray_statement_token8] = ACTIONS(6241),
    [aux_sym_coarray_statement_token11] = ACTIONS(6241),
    [aux_sym_coarray_statement_token12] = ACTIONS(6241),
    [aux_sym_coarray_statement_token13] = ACTIONS(6241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6241),
    [aux_sym_identifier_token1] = ACTIONS(6241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6243),
    [sym__float_literal] = ACTIONS(6243),
    [sym__boz_literal] = ACTIONS(6243),
    [sym__string_literal] = ACTIONS(6243),
    [sym__string_literal_kind] = ACTIONS(6243),
  },
  [3032] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6872),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3033] = {
    [sym_unit_identifier] = STATE(7987),
    [sym__io_expressions] = STATE(7865),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(5199),
    [sym_derived_type_member_expression] = STATE(5199),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5199),
    [sym_math_expression] = STATE(5199),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5199),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7139),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5204),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5199),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5024),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3034] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7654),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3035] = {
    [anon_sym_LPAREN2] = ACTIONS(7263),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [3036] = {
    [sym_case_value_range_list] = STATE(8656),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3037] = {
    [sym__expression] = STATE(4719),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_assumed_size] = STATE(7584),
    [sym_assumed_shape] = STATE(7584),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7265),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3038] = {
    [sym_case_value_range_list] = STATE(8487),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3039] = {
    [sym_case_value_range_list] = STATE(8831),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3040] = {
    [sym_unit_identifier] = STATE(7762),
    [sym__io_expressions] = STATE(7865),
    [sym__expression] = STATE(4772),
    [sym_parenthesized_expression] = STATE(5199),
    [sym_derived_type_member_expression] = STATE(5199),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5199),
    [sym_math_expression] = STATE(5199),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5199),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6930),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5233),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5199),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5120),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3041] = {
    [sym_unit_identifier] = STATE(7762),
    [sym__io_expressions] = STATE(7865),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(5199),
    [sym_derived_type_member_expression] = STATE(5199),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5199),
    [sym_math_expression] = STATE(5199),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5199),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6930),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5204),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5199),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5024),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3042] = {
    [sym_output_item_list] = STATE(7836),
    [sym__expression] = STATE(4594),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(7267),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7269),
  },
  [3043] = {
    [sym_unit_identifier] = STATE(7768),
    [sym__file_position_spec] = STATE(7768),
    [sym__io_expressions] = STATE(7771),
    [sym__expression] = STATE(4945),
    [sym_parenthesized_expression] = STATE(5164),
    [sym_derived_type_member_expression] = STATE(5164),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5164),
    [sym_math_expression] = STATE(5164),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5164),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5415),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5164),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5164),
    [anon_sym_LPAREN2] = ACTIONS(7271),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(5670),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3044] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6779),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3045] = {
    [sym__expression] = STATE(4751),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_COMMA] = ACTIONS(7275),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7279),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(7275),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3046] = {
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [3047] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7373),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3048] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7398),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3049] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7646),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3050] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7669),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3051] = {
    [sym_unit_identifier] = STATE(8896),
    [sym__io_expressions] = STATE(7865),
    [sym__expression] = STATE(4772),
    [sym_parenthesized_expression] = STATE(5376),
    [sym_derived_type_member_expression] = STATE(5376),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(5376),
    [sym_math_expression] = STATE(5376),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5376),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7154),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5234),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(5376),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5118),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3052] = {
    [sym__expression] = STATE(4707),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7285),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3053] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6866),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3054] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6938),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3055] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6943),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3056] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7012),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3057] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7023),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4960),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3058] = {
    [sym_case_value_range_list] = STATE(8564),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3059] = {
    [sym_case_value_range_list] = STATE(8567),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3060] = {
    [sym_case_value_range_list] = STATE(8653),
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(6809),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3061] = {
    [sym_output_item_list] = STATE(8031),
    [sym__expression] = STATE(4594),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7287),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7287),
  },
  [3062] = {
    [sym_input_item_list] = STATE(7814),
    [sym__expression] = STATE(4590),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7289),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7289),
  },
  [3063] = {
    [sym__expression] = STATE(4743),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(7291),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7293),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7293),
  },
  [3064] = {
    [sym__expression] = STATE(4628),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7532),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3065] = {
    [sym__expression] = STATE(4718),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7898),
    [sym_extent_specifier] = STATE(7819),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3066] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6910),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3067] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6911),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3068] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6912),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3069] = {
    [sym__expression] = STATE(4616),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7243),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3070] = {
    [sym__expression] = STATE(4744),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7903),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3071] = {
    [sym__expression] = STATE(4632),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(7598),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3072] = {
    [sym_output_item_list] = STATE(7781),
    [sym__expression] = STATE(4594),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7301),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7301),
  },
  [3073] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(6999),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3074] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7092),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3075] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7574),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3076] = {
    [sym__expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(6844),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3077] = {
    [sym__expression] = STATE(4649),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(6921),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3078] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7026),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3079] = {
    [sym__expression] = STATE(4580),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym__coarray_extent_specifier] = STATE(6997),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(7307),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(7259),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3080] = {
    [sym_output_item_list] = STATE(7966),
    [sym__expression] = STATE(4594),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7309),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7309),
  },
  [3081] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7037),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3082] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_keyword_argument] = STATE(7084),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5168),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3083] = {
    [sym__expression] = STATE(4644),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(4415),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3084] = {
    [sym__expression] = STATE(4865),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7313),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
    [sym__external_end_of_statement] = ACTIONS(7313),
  },
  [3085] = {
    [sym_sized_allocation] = STATE(6487),
    [sym_coarray_allocation] = STATE(7085),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5160),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5160),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3086] = {
    [sym_statement_label] = STATE(7078),
    [sym_statement_label_reference] = STATE(7871),
    [sym__expression] = STATE(4913),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(7315),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7317),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3087] = {
    [sym__expression] = STATE(4655),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(4415),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3088] = {
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(4415),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3089] = {
    [sym__expression] = STATE(4926),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8279),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3090] = {
    [sym_sized_allocation] = STATE(6658),
    [sym_coarray_allocation] = STATE(7817),
    [sym__expression] = STATE(4959),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5382),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5382),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3091] = {
    [sym__expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_nil_literal] = STATE(5427),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_nil_literal_token1] = ACTIONS(7331),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3092] = {
    [sym__expression] = STATE(4907),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8617),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3093] = {
    [sym__expression] = STATE(4905),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8786),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3094] = {
    [sym__expression] = STATE(4574),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(4415),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3095] = {
    [sym__expression] = STATE(4909),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(9007),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3096] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(6985),
    [sym__expression] = STATE(4785),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5259),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5259),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3097] = {
    [sym_statement_label] = STATE(7078),
    [sym_statement_label_reference] = STATE(7924),
    [sym__expression] = STATE(4911),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7317),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3098] = {
    [sym__expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym__extent_specifier] = STATE(7787),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(6163),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3099] = {
    [sym__expression] = STATE(4714),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_nil_literal] = STATE(5149),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7349),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3100] = {
    [sym__expression] = STATE(4896),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8536),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3101] = {
    [sym__expression] = STATE(4627),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_nil_literal] = STATE(5001),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_nil_literal_token1] = ACTIONS(7357),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3102] = {
    [sym__expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8867),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3103] = {
    [sym__expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(4415),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3104] = {
    [sym__expression] = STATE(4920),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(9018),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3105] = {
    [sym__expression] = STATE(4900),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_nil_literal] = STATE(8635),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(7311),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3106] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(6792),
    [sym__expression] = STATE(4785),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5259),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5259),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3107] = {
    [sym_triplet_spec] = STATE(8073),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(5516),
    [sym_relational_expression] = STATE(5516),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5517),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3108] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8642),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3109] = {
    [sym_concurrent_control] = STATE(8057),
    [sym__expression] = STATE(4921),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5510),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3110] = {
    [sym_triplet_spec] = STATE(8073),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(5534),
    [sym_relational_expression] = STATE(5534),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5517),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3111] = {
    [sym__expression] = STATE(4790),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(7363),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3112] = {
    [sym__expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3113] = {
    [sym__expression] = STATE(4883),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(7367),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3114] = {
    [sym_concurrent_control] = STATE(8057),
    [sym__expression] = STATE(4902),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5510),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3115] = {
    [sym__expression] = STATE(4724),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3116] = {
    [sym__expression] = STATE(4825),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3117] = {
    [sym_input_item_list] = STATE(7769),
    [sym__expression] = STATE(4590),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3118] = {
    [sym_concurrent_control] = STATE(8057),
    [sym__expression] = STATE(4919),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5510),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3119] = {
    [sym_data_set] = STATE(3462),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5088),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5088),
    [sym_implied_do_loop_expression] = STATE(5088),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5088),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3120] = {
    [sym_pointer_association_statement] = STATE(8558),
    [sym__expression] = STATE(4809),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3121] = {
    [sym_output_item_list] = STATE(7714),
    [sym__expression] = STATE(4594),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3122] = {
    [sym_concurrent_control] = STATE(8057),
    [sym__expression] = STATE(4915),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5510),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3123] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8749),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3124] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8950),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3125] = {
    [sym_triplet_spec] = STATE(8073),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(5522),
    [sym_relational_expression] = STATE(5522),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5517),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3126] = {
    [sym_triplet_spec] = STATE(8073),
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(5524),
    [sym_relational_expression] = STATE(5524),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5517),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3127] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8904),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3128] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8964),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3129] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8451),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3130] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8598),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3131] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_loop_control_expression] = STATE(8711),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3132] = {
    [sym__expression] = STATE(4716),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3133] = {
    [sym__expression] = STATE(4440),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3134] = {
    [sym__expression] = STATE(4585),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3135] = {
    [sym__expression] = STATE(4689),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3136] = {
    [sym__expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3137] = {
    [sym__expression] = STATE(4634),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3138] = {
    [sym__name] = STATE(7144),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5279),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7371),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7371),
  },
  [3139] = {
    [sym__expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3140] = {
    [sym__name] = STATE(6876),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1061),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7375),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7375),
  },
  [3141] = {
    [sym__expression] = STATE(4636),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3142] = {
    [sym__expression] = STATE(4637),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3143] = {
    [sym__expression] = STATE(4881),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3144] = {
    [sym__expression] = STATE(4638),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3145] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5531),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3146] = {
    [sym__name] = STATE(7161),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5337),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7379),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7381),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7379),
  },
  [3147] = {
    [sym__expression] = STATE(4639),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3148] = {
    [sym__name] = STATE(7163),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5339),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7383),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7383),
  },
  [3149] = {
    [sym__expression] = STATE(4640),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3150] = {
    [sym__expression] = STATE(4727),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3151] = {
    [sym__expression] = STATE(4641),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3152] = {
    [sym__expression] = STATE(4642),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3153] = {
    [sym__expression] = STATE(4801),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3154] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5072),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5072),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3155] = {
    [sym__expression] = STATE(4807),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3156] = {
    [anon_sym_LPAREN2] = ACTIONS(7387),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7387),
    [anon_sym_SEMI] = ACTIONS(7389),
    [aux_sym_block_data_statement_token1] = ACTIONS(7387),
    [aux_sym_block_data_statement_token2] = ACTIONS(7387),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7387),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7387),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7387),
    [aux_sym_use_statement_token2] = ACTIONS(7387),
    [aux_sym_implicit_statement_token4] = ACTIONS(7387),
    [aux_sym_save_statement_token1] = ACTIONS(7387),
    [aux_sym_private_statement_token1] = ACTIONS(7387),
    [aux_sym_public_statement_token1] = ACTIONS(7387),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7387),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7387),
    [aux_sym_variable_attributes_token2] = ACTIONS(7387),
    [aux_sym_variable_attributes_token3] = ACTIONS(7387),
    [aux_sym_variable_attributes_token5] = ACTIONS(7387),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7387),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7387),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7387),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7387),
    [aux_sym_type_qualifier_token1] = ACTIONS(7387),
    [aux_sym_type_qualifier_token2] = ACTIONS(7387),
    [aux_sym_stop_statement_token1] = ACTIONS(7387),
    [aux_sym_stop_statement_token2] = ACTIONS(7387),
    [aux_sym_subroutine_call_token1] = ACTIONS(7387),
    [aux_sym_keyword_statement_token1] = ACTIONS(7387),
    [aux_sym_keyword_statement_token2] = ACTIONS(7387),
    [aux_sym_keyword_statement_token3] = ACTIONS(7387),
    [aux_sym_keyword_statement_token4] = ACTIONS(7387),
    [aux_sym_keyword_statement_token6] = ACTIONS(7387),
    [aux_sym_keyword_statement_token7] = ACTIONS(7387),
    [aux_sym_include_statement_token1] = ACTIONS(7387),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7387),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7387),
    [aux_sym_end_if_statement_token1] = ACTIONS(7387),
    [aux_sym_elseif_clause_token2] = ACTIONS(7387),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7387),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7387),
    [aux_sym_select_case_statement_token1] = ACTIONS(7387),
    [aux_sym_select_case_statement_token3] = ACTIONS(7387),
    [aux_sym_select_type_statement_token1] = ACTIONS(7387),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7387),
    [aux_sym_associate_statement_token1] = ACTIONS(7387),
    [aux_sym_format_statement_token1] = ACTIONS(7387),
    [aux_sym_print_statement_token1] = ACTIONS(7387),
    [aux_sym_open_statement_token1] = ACTIONS(7387),
    [aux_sym_close_statement_token1] = ACTIONS(7387),
    [aux_sym_inquire_statement_token1] = ACTIONS(7387),
    [aux_sym_file_position_statement_token1] = ACTIONS(7387),
    [aux_sym_file_position_statement_token2] = ACTIONS(7387),
    [aux_sym_file_position_statement_token3] = ACTIONS(7387),
    [aux_sym_file_position_statement_token4] = ACTIONS(7387),
    [aux_sym_allocate_statement_token1] = ACTIONS(7387),
    [aux_sym_entry_statement_token1] = ACTIONS(7387),
    [aux_sym_assign_statement_token1] = ACTIONS(7387),
    [aux_sym_logical_expression_token5] = ACTIONS(7389),
    [anon_sym_DOT] = ACTIONS(7387),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [aux_sym_boolean_literal_token1] = ACTIONS(7389),
    [aux_sym_boolean_literal_token2] = ACTIONS(7389),
    [aux_sym_null_literal_token1] = ACTIONS(7387),
    [aux_sym_coarray_statement_token1] = ACTIONS(7387),
    [aux_sym_coarray_statement_token2] = ACTIONS(7387),
    [aux_sym_coarray_statement_token6] = ACTIONS(7387),
    [aux_sym_coarray_statement_token8] = ACTIONS(7387),
    [aux_sym_coarray_statement_token11] = ACTIONS(7387),
    [aux_sym_coarray_statement_token12] = ACTIONS(7387),
    [aux_sym_coarray_statement_token13] = ACTIONS(7387),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7387),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7387),
    [aux_sym_identifier_token1] = ACTIONS(7387),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7389),
    [sym__float_literal] = ACTIONS(7389),
    [sym__boz_literal] = ACTIONS(7389),
    [sym__string_literal] = ACTIONS(7389),
    [sym__string_literal_kind] = ACTIONS(7389),
    [sym__external_end_of_statement] = ACTIONS(7389),
  },
  [3157] = {
    [sym__expression] = STATE(4604),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3158] = {
    [sym__expression] = STATE(4791),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3159] = {
    [sym__name] = STATE(6785),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(946),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_program_statement_token1] = ACTIONS(7391),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7393),
  },
  [3160] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5519),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5519),
    [sym_implied_do_loop_expression] = STATE(5519),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5519),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3161] = {
    [sym__expression] = STATE(4613),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3162] = {
    [sym__name] = STATE(7209),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5377),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7395),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7395),
  },
  [3163] = {
    [sym__expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3164] = {
    [sym__expression] = STATE(4808),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3165] = {
    [sym__name] = STATE(7211),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5514),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7399),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7399),
  },
  [3166] = {
    [sym__expression] = STATE(4811),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3167] = {
    [sym__expression] = STATE(4672),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3168] = {
    [sym__expression] = STATE(4817),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3169] = {
    [sym__expression] = STATE(4605),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3170] = {
    [sym__expression] = STATE(4822),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3171] = {
    [sym__expression] = STATE(4827),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3172] = {
    [sym__expression] = STATE(4879),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3173] = {
    [sym__name] = STATE(7090),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5055),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7403),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7403),
  },
  [3174] = {
    [sym__name] = STATE(7252),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5038),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7407),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7407),
  },
  [3175] = {
    [sym__expression] = STATE(4742),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3176] = {
    [sym__name] = STATE(7257),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5090),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7411),
  },
  [3177] = {
    [sym__expression] = STATE(4815),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3178] = {
    [sym__expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3179] = {
    [sym__expression] = STATE(4770),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3180] = {
    [sym__expression] = STATE(4834),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3181] = {
    [sym__expression] = STATE(4831),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3182] = {
    [anon_sym_LPAREN2] = ACTIONS(7415),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7415),
    [anon_sym_SEMI] = ACTIONS(7417),
    [aux_sym_block_data_statement_token1] = ACTIONS(7415),
    [aux_sym_block_data_statement_token2] = ACTIONS(7415),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7415),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7415),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7415),
    [aux_sym_use_statement_token2] = ACTIONS(7415),
    [aux_sym_implicit_statement_token4] = ACTIONS(7415),
    [aux_sym_save_statement_token1] = ACTIONS(7415),
    [aux_sym_private_statement_token1] = ACTIONS(7415),
    [aux_sym_public_statement_token1] = ACTIONS(7415),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7415),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7415),
    [aux_sym_variable_attributes_token2] = ACTIONS(7415),
    [aux_sym_variable_attributes_token3] = ACTIONS(7415),
    [aux_sym_variable_attributes_token5] = ACTIONS(7415),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7415),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7415),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7415),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7415),
    [aux_sym_type_qualifier_token1] = ACTIONS(7415),
    [aux_sym_type_qualifier_token2] = ACTIONS(7415),
    [aux_sym_stop_statement_token1] = ACTIONS(7415),
    [aux_sym_stop_statement_token2] = ACTIONS(7415),
    [aux_sym_subroutine_call_token1] = ACTIONS(7415),
    [aux_sym_keyword_statement_token1] = ACTIONS(7415),
    [aux_sym_keyword_statement_token2] = ACTIONS(7415),
    [aux_sym_keyword_statement_token3] = ACTIONS(7415),
    [aux_sym_keyword_statement_token4] = ACTIONS(7415),
    [aux_sym_keyword_statement_token6] = ACTIONS(7415),
    [aux_sym_keyword_statement_token7] = ACTIONS(7415),
    [aux_sym_include_statement_token1] = ACTIONS(7415),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7415),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7415),
    [aux_sym_end_if_statement_token1] = ACTIONS(7415),
    [aux_sym_elseif_clause_token2] = ACTIONS(7415),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7415),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7415),
    [aux_sym_select_case_statement_token1] = ACTIONS(7415),
    [aux_sym_select_case_statement_token3] = ACTIONS(7415),
    [aux_sym_select_type_statement_token1] = ACTIONS(7415),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7415),
    [aux_sym_associate_statement_token1] = ACTIONS(7415),
    [aux_sym_format_statement_token1] = ACTIONS(7415),
    [aux_sym_print_statement_token1] = ACTIONS(7415),
    [aux_sym_open_statement_token1] = ACTIONS(7415),
    [aux_sym_close_statement_token1] = ACTIONS(7415),
    [aux_sym_inquire_statement_token1] = ACTIONS(7415),
    [aux_sym_file_position_statement_token1] = ACTIONS(7415),
    [aux_sym_file_position_statement_token2] = ACTIONS(7415),
    [aux_sym_file_position_statement_token3] = ACTIONS(7415),
    [aux_sym_file_position_statement_token4] = ACTIONS(7415),
    [aux_sym_allocate_statement_token1] = ACTIONS(7415),
    [aux_sym_entry_statement_token1] = ACTIONS(7415),
    [aux_sym_assign_statement_token1] = ACTIONS(7415),
    [aux_sym_logical_expression_token5] = ACTIONS(7417),
    [anon_sym_DOT] = ACTIONS(7415),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [aux_sym_boolean_literal_token1] = ACTIONS(7417),
    [aux_sym_boolean_literal_token2] = ACTIONS(7417),
    [aux_sym_null_literal_token1] = ACTIONS(7415),
    [aux_sym_coarray_statement_token1] = ACTIONS(7415),
    [aux_sym_coarray_statement_token2] = ACTIONS(7415),
    [aux_sym_coarray_statement_token6] = ACTIONS(7415),
    [aux_sym_coarray_statement_token8] = ACTIONS(7415),
    [aux_sym_coarray_statement_token11] = ACTIONS(7415),
    [aux_sym_coarray_statement_token12] = ACTIONS(7415),
    [aux_sym_coarray_statement_token13] = ACTIONS(7415),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7415),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7415),
    [aux_sym_identifier_token1] = ACTIONS(7415),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7417),
    [sym__float_literal] = ACTIONS(7417),
    [sym__boz_literal] = ACTIONS(7417),
    [sym__string_literal] = ACTIONS(7417),
    [sym__string_literal_kind] = ACTIONS(7417),
    [sym__external_end_of_statement] = ACTIONS(7417),
  },
  [3183] = {
    [sym__name] = STATE(7221),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4661),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7419),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7419),
  },
  [3184] = {
    [sym__name] = STATE(6946),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5262),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7423),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7423),
  },
  [3185] = {
    [sym__expression] = STATE(4883),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3186] = {
    [sym__name] = STATE(7302),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5435),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7427),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7427),
  },
  [3187] = {
    [sym__name] = STATE(7256),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4666),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7431),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7431),
  },
  [3188] = {
    [sym__name] = STATE(7305),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5437),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7435),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7435),
  },
  [3189] = {
    [sym__expression] = STATE(4690),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3190] = {
    [sym__expression] = STATE(4819),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3191] = {
    [sym__expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3192] = {
    [sym__expression] = STATE(4721),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3193] = {
    [sym__name] = STATE(7295),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(953),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7439),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7439),
  },
  [3194] = {
    [sym__expression] = STATE(4621),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3195] = {
    [sym__expression] = STATE(4573),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3196] = {
    [sym__expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3197] = {
    [sym__expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3198] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5520),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(5520),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(5520),
    [sym_number_literal] = STATE(5520),
    [sym_boolean_literal] = STATE(5520),
    [sym_null_literal] = STATE(5520),
    [sym_string_literal] = STATE(5520),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5520),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3199] = {
    [sym__name] = STATE(6780),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5445),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7443),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7443),
  },
  [3200] = {
    [sym__expression] = STATE(4731),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3201] = {
    [sym__expression] = STATE(4882),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3202] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3203] = {
    [sym__name] = STATE(7289),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(951),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7447),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7447),
  },
  [3204] = {
    [sym__expression] = STATE(4706),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3205] = {
    [sym__expression] = STATE(4828),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3206] = {
    [sym__expression] = STATE(4577),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3207] = {
    [sym__expression] = STATE(4679),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3208] = {
    [sym__expression] = STATE(4576),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3209] = {
    [sym__expression] = STATE(4885),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3210] = {
    [sym__expression] = STATE(4832),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3211] = {
    [sym__expression] = STATE(4570),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3212] = {
    [sym__expression] = STATE(4737),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3213] = {
    [sym__expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3214] = {
    [sym__name] = STATE(6961),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5197),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7451),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7451),
  },
  [3215] = {
    [sym__expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3216] = {
    [sym__expression] = STATE(4785),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5259),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5259),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3217] = {
    [sym__expression] = STATE(4805),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3218] = {
    [sym__expression] = STATE(4700),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3219] = {
    [sym__name] = STATE(7419),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5313),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7455),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7455),
  },
  [3220] = {
    [sym__expression] = STATE(4702),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3221] = {
    [sym__expression] = STATE(4712),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3222] = {
    [sym__expression] = STATE(4629),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3223] = {
    [sym__expression] = STATE(4720),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3224] = {
    [sym__expression] = STATE(4741),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3225] = {
    [sym__expression] = STATE(4750),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3226] = {
    [sym__expression] = STATE(4752),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3227] = {
    [anon_sym_LPAREN2] = ACTIONS(7459),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7459),
    [anon_sym_SEMI] = ACTIONS(7461),
    [aux_sym_block_data_statement_token1] = ACTIONS(7459),
    [aux_sym_block_data_statement_token2] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7459),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7459),
    [aux_sym_use_statement_token2] = ACTIONS(7459),
    [aux_sym_implicit_statement_token4] = ACTIONS(7459),
    [aux_sym_save_statement_token1] = ACTIONS(7459),
    [aux_sym_private_statement_token1] = ACTIONS(7459),
    [aux_sym_public_statement_token1] = ACTIONS(7459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7459),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7459),
    [aux_sym_variable_attributes_token2] = ACTIONS(7459),
    [aux_sym_variable_attributes_token3] = ACTIONS(7459),
    [aux_sym_variable_attributes_token5] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7459),
    [aux_sym_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym_stop_statement_token1] = ACTIONS(7459),
    [aux_sym_stop_statement_token2] = ACTIONS(7459),
    [aux_sym_subroutine_call_token1] = ACTIONS(7459),
    [aux_sym_keyword_statement_token1] = ACTIONS(7459),
    [aux_sym_keyword_statement_token2] = ACTIONS(7459),
    [aux_sym_keyword_statement_token3] = ACTIONS(7459),
    [aux_sym_keyword_statement_token4] = ACTIONS(7459),
    [aux_sym_keyword_statement_token6] = ACTIONS(7459),
    [aux_sym_keyword_statement_token7] = ACTIONS(7459),
    [aux_sym_include_statement_token1] = ACTIONS(7459),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7459),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7459),
    [aux_sym_end_if_statement_token1] = ACTIONS(7459),
    [aux_sym_elseif_clause_token2] = ACTIONS(7459),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7459),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7459),
    [aux_sym_select_case_statement_token1] = ACTIONS(7459),
    [aux_sym_select_case_statement_token3] = ACTIONS(7459),
    [aux_sym_select_type_statement_token1] = ACTIONS(7459),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7459),
    [aux_sym_associate_statement_token1] = ACTIONS(7459),
    [aux_sym_format_statement_token1] = ACTIONS(7459),
    [aux_sym_print_statement_token1] = ACTIONS(7459),
    [aux_sym_open_statement_token1] = ACTIONS(7459),
    [aux_sym_close_statement_token1] = ACTIONS(7459),
    [aux_sym_inquire_statement_token1] = ACTIONS(7459),
    [aux_sym_file_position_statement_token1] = ACTIONS(7459),
    [aux_sym_file_position_statement_token2] = ACTIONS(7459),
    [aux_sym_file_position_statement_token3] = ACTIONS(7459),
    [aux_sym_file_position_statement_token4] = ACTIONS(7459),
    [aux_sym_allocate_statement_token1] = ACTIONS(7459),
    [aux_sym_entry_statement_token1] = ACTIONS(7459),
    [aux_sym_assign_statement_token1] = ACTIONS(7459),
    [aux_sym_logical_expression_token5] = ACTIONS(7461),
    [anon_sym_DOT] = ACTIONS(7459),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7461),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [aux_sym_boolean_literal_token1] = ACTIONS(7461),
    [aux_sym_boolean_literal_token2] = ACTIONS(7461),
    [aux_sym_null_literal_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token2] = ACTIONS(7459),
    [aux_sym_coarray_statement_token6] = ACTIONS(7459),
    [aux_sym_coarray_statement_token8] = ACTIONS(7459),
    [aux_sym_coarray_statement_token11] = ACTIONS(7459),
    [aux_sym_coarray_statement_token12] = ACTIONS(7459),
    [aux_sym_coarray_statement_token13] = ACTIONS(7459),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7459),
    [aux_sym_identifier_token1] = ACTIONS(7459),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7461),
    [sym__float_literal] = ACTIONS(7461),
    [sym__boz_literal] = ACTIONS(7461),
    [sym__string_literal] = ACTIONS(7461),
    [sym__string_literal_kind] = ACTIONS(7461),
    [sym__external_end_of_statement] = ACTIONS(7461),
  },
  [3228] = {
    [sym__expression] = STATE(4754),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3229] = {
    [anon_sym_LPAREN2] = ACTIONS(7463),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7463),
    [anon_sym_SEMI] = ACTIONS(7465),
    [aux_sym_block_data_statement_token1] = ACTIONS(7463),
    [aux_sym_block_data_statement_token2] = ACTIONS(7463),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7463),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7463),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7463),
    [aux_sym_use_statement_token2] = ACTIONS(7463),
    [aux_sym_implicit_statement_token4] = ACTIONS(7463),
    [aux_sym_save_statement_token1] = ACTIONS(7463),
    [aux_sym_private_statement_token1] = ACTIONS(7463),
    [aux_sym_public_statement_token1] = ACTIONS(7463),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7463),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7463),
    [aux_sym_variable_attributes_token2] = ACTIONS(7463),
    [aux_sym_variable_attributes_token3] = ACTIONS(7463),
    [aux_sym_variable_attributes_token5] = ACTIONS(7463),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7463),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7463),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7463),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7463),
    [aux_sym_type_qualifier_token1] = ACTIONS(7463),
    [aux_sym_type_qualifier_token2] = ACTIONS(7463),
    [aux_sym_stop_statement_token1] = ACTIONS(7463),
    [aux_sym_stop_statement_token2] = ACTIONS(7463),
    [aux_sym_subroutine_call_token1] = ACTIONS(7463),
    [aux_sym_keyword_statement_token1] = ACTIONS(7463),
    [aux_sym_keyword_statement_token2] = ACTIONS(7463),
    [aux_sym_keyword_statement_token3] = ACTIONS(7463),
    [aux_sym_keyword_statement_token4] = ACTIONS(7463),
    [aux_sym_keyword_statement_token6] = ACTIONS(7463),
    [aux_sym_keyword_statement_token7] = ACTIONS(7463),
    [aux_sym_include_statement_token1] = ACTIONS(7463),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7463),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7463),
    [aux_sym_end_if_statement_token1] = ACTIONS(7463),
    [aux_sym_elseif_clause_token2] = ACTIONS(7463),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7463),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7463),
    [aux_sym_select_case_statement_token1] = ACTIONS(7463),
    [aux_sym_select_case_statement_token3] = ACTIONS(7463),
    [aux_sym_select_type_statement_token1] = ACTIONS(7463),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7463),
    [aux_sym_associate_statement_token1] = ACTIONS(7463),
    [aux_sym_format_statement_token1] = ACTIONS(7463),
    [aux_sym_print_statement_token1] = ACTIONS(7463),
    [aux_sym_open_statement_token1] = ACTIONS(7463),
    [aux_sym_close_statement_token1] = ACTIONS(7463),
    [aux_sym_inquire_statement_token1] = ACTIONS(7463),
    [aux_sym_file_position_statement_token1] = ACTIONS(7463),
    [aux_sym_file_position_statement_token2] = ACTIONS(7463),
    [aux_sym_file_position_statement_token3] = ACTIONS(7463),
    [aux_sym_file_position_statement_token4] = ACTIONS(7463),
    [aux_sym_allocate_statement_token1] = ACTIONS(7463),
    [aux_sym_entry_statement_token1] = ACTIONS(7463),
    [aux_sym_assign_statement_token1] = ACTIONS(7463),
    [aux_sym_logical_expression_token5] = ACTIONS(7465),
    [anon_sym_DOT] = ACTIONS(7463),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7465),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [aux_sym_boolean_literal_token1] = ACTIONS(7465),
    [aux_sym_boolean_literal_token2] = ACTIONS(7465),
    [aux_sym_null_literal_token1] = ACTIONS(7463),
    [aux_sym_coarray_statement_token1] = ACTIONS(7463),
    [aux_sym_coarray_statement_token2] = ACTIONS(7463),
    [aux_sym_coarray_statement_token6] = ACTIONS(7463),
    [aux_sym_coarray_statement_token8] = ACTIONS(7463),
    [aux_sym_coarray_statement_token11] = ACTIONS(7463),
    [aux_sym_coarray_statement_token12] = ACTIONS(7463),
    [aux_sym_coarray_statement_token13] = ACTIONS(7463),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7463),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7463),
    [aux_sym_identifier_token1] = ACTIONS(7463),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7465),
    [sym__float_literal] = ACTIONS(7465),
    [sym__boz_literal] = ACTIONS(7465),
    [sym__string_literal] = ACTIONS(7465),
    [sym__string_literal_kind] = ACTIONS(7465),
    [sym__external_end_of_statement] = ACTIONS(7465),
  },
  [3230] = {
    [sym__expression] = STATE(4897),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3231] = {
    [sym__name] = STATE(7103),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4862),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7467),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7467),
  },
  [3232] = {
    [sym__name] = STATE(6972),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5216),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7471),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7471),
  },
  [3233] = {
    [sym__expression] = STATE(4852),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3234] = {
    [sym__expression] = STATE(4797),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3235] = {
    [sym__expression] = STATE(4730),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3236] = {
    [sym__name] = STATE(6966),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5200),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7475),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7475),
  },
  [3237] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5239),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(5239),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(5239),
    [sym_number_literal] = STATE(5260),
    [sym_boolean_literal] = STATE(5239),
    [sym_null_literal] = STATE(5239),
    [sym_string_literal] = STATE(5239),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5239),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3238] = {
    [sym__expression] = STATE(4798),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3239] = {
    [sym__name] = STATE(6810),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1125),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7479),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7479),
  },
  [3240] = {
    [anon_sym_LPAREN2] = ACTIONS(7483),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7483),
    [anon_sym_SEMI] = ACTIONS(7485),
    [aux_sym_block_data_statement_token1] = ACTIONS(7483),
    [aux_sym_block_data_statement_token2] = ACTIONS(7483),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7483),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7483),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7483),
    [aux_sym_use_statement_token2] = ACTIONS(7483),
    [aux_sym_implicit_statement_token4] = ACTIONS(7483),
    [aux_sym_save_statement_token1] = ACTIONS(7483),
    [aux_sym_private_statement_token1] = ACTIONS(7483),
    [aux_sym_public_statement_token1] = ACTIONS(7483),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7483),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7483),
    [aux_sym_variable_attributes_token2] = ACTIONS(7483),
    [aux_sym_variable_attributes_token3] = ACTIONS(7483),
    [aux_sym_variable_attributes_token5] = ACTIONS(7483),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7483),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7483),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7483),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7483),
    [aux_sym_type_qualifier_token1] = ACTIONS(7483),
    [aux_sym_type_qualifier_token2] = ACTIONS(7483),
    [aux_sym_stop_statement_token1] = ACTIONS(7483),
    [aux_sym_stop_statement_token2] = ACTIONS(7483),
    [aux_sym_subroutine_call_token1] = ACTIONS(7483),
    [aux_sym_keyword_statement_token1] = ACTIONS(7483),
    [aux_sym_keyword_statement_token2] = ACTIONS(7483),
    [aux_sym_keyword_statement_token3] = ACTIONS(7483),
    [aux_sym_keyword_statement_token4] = ACTIONS(7483),
    [aux_sym_keyword_statement_token6] = ACTIONS(7483),
    [aux_sym_keyword_statement_token7] = ACTIONS(7483),
    [aux_sym_include_statement_token1] = ACTIONS(7483),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7483),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7483),
    [aux_sym_end_if_statement_token1] = ACTIONS(7483),
    [aux_sym_elseif_clause_token2] = ACTIONS(7483),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7483),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7483),
    [aux_sym_select_case_statement_token1] = ACTIONS(7483),
    [aux_sym_select_case_statement_token3] = ACTIONS(7483),
    [aux_sym_select_type_statement_token1] = ACTIONS(7483),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7483),
    [aux_sym_associate_statement_token1] = ACTIONS(7483),
    [aux_sym_format_statement_token1] = ACTIONS(7483),
    [aux_sym_print_statement_token1] = ACTIONS(7483),
    [aux_sym_open_statement_token1] = ACTIONS(7483),
    [aux_sym_close_statement_token1] = ACTIONS(7483),
    [aux_sym_inquire_statement_token1] = ACTIONS(7483),
    [aux_sym_file_position_statement_token1] = ACTIONS(7483),
    [aux_sym_file_position_statement_token2] = ACTIONS(7483),
    [aux_sym_file_position_statement_token3] = ACTIONS(7483),
    [aux_sym_file_position_statement_token4] = ACTIONS(7483),
    [aux_sym_allocate_statement_token1] = ACTIONS(7483),
    [aux_sym_entry_statement_token1] = ACTIONS(7483),
    [aux_sym_assign_statement_token1] = ACTIONS(7483),
    [aux_sym_logical_expression_token5] = ACTIONS(7485),
    [anon_sym_DOT] = ACTIONS(7483),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [aux_sym_boolean_literal_token1] = ACTIONS(7485),
    [aux_sym_boolean_literal_token2] = ACTIONS(7485),
    [aux_sym_null_literal_token1] = ACTIONS(7483),
    [aux_sym_coarray_statement_token1] = ACTIONS(7483),
    [aux_sym_coarray_statement_token2] = ACTIONS(7483),
    [aux_sym_coarray_statement_token6] = ACTIONS(7483),
    [aux_sym_coarray_statement_token8] = ACTIONS(7483),
    [aux_sym_coarray_statement_token11] = ACTIONS(7483),
    [aux_sym_coarray_statement_token12] = ACTIONS(7483),
    [aux_sym_coarray_statement_token13] = ACTIONS(7483),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7483),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7483),
    [aux_sym_identifier_token1] = ACTIONS(7483),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7485),
    [sym__float_literal] = ACTIONS(7485),
    [sym__boz_literal] = ACTIONS(7485),
    [sym__string_literal] = ACTIONS(7485),
    [sym__string_literal_kind] = ACTIONS(7485),
    [sym__external_end_of_statement] = ACTIONS(7485),
  },
  [3241] = {
    [sym__expression] = STATE(4782),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3242] = {
    [sym__name] = STATE(6813),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1130),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7487),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7487),
  },
  [3243] = {
    [sym__expression] = STATE(4599),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3244] = {
    [sym__expression] = STATE(4606),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3245] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5532),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(5532),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(5532),
    [sym_number_literal] = STATE(5533),
    [sym_boolean_literal] = STATE(5532),
    [sym_null_literal] = STATE(5532),
    [sym_string_literal] = STATE(5532),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5532),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3246] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5478),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(5478),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(5478),
    [sym_number_literal] = STATE(5478),
    [sym_boolean_literal] = STATE(5478),
    [sym_null_literal] = STATE(5478),
    [sym_string_literal] = STATE(5478),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5478),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3247] = {
    [sym__expression] = STATE(4925),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3248] = {
    [sym__expression] = STATE(4688),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5498),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5498),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5498),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3249] = {
    [sym__expression] = STATE(4800),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3250] = {
    [sym__expression] = STATE(4600),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3251] = {
    [sym__expression] = STATE(4601),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3252] = {
    [sym__expression] = STATE(4914),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3253] = {
    [sym__expression] = STATE(4904),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3254] = {
    [sym__name] = STATE(7517),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5429),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7491),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7491),
  },
  [3255] = {
    [sym__expression] = STATE(4579),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3256] = {
    [sym__expression] = STATE(4908),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3257] = {
    [sym__expression] = STATE(4829),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3258] = {
    [sym__name] = STATE(7106),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4864),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7495),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7495),
  },
  [3259] = {
    [sym__name] = STATE(6892),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5319),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7499),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7501),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7499),
  },
  [3260] = {
    [sym__name] = STATE(6894),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5322),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7503),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7503),
  },
  [3261] = {
    [sym__expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3235),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3262] = {
    [sym__expression] = STATE(4830),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3263] = {
    [sym__expression] = STATE(4899),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3264] = {
    [sym__expression] = STATE(4772),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5259),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5259),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5259),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3265] = {
    [sym__expression] = STATE(4820),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3266] = {
    [sym__expression] = STATE(4924),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3267] = {
    [sym__expression] = STATE(4607),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3268] = {
    [sym__expression] = STATE(4923),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3269] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(5196),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5196),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3270] = {
    [sym__expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3271] = {
    [sym__name] = STATE(7520),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5487),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7507),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7507),
  },
  [3272] = {
    [sym__expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3273] = {
    [sym__expression] = STATE(4602),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3274] = {
    [sym__expression] = STATE(4713),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5506),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5506),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5506),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3275] = {
    [sym__expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(5529),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3276] = {
    [sym__expression] = STATE(4571),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3277] = {
    [sym__name] = STATE(7025),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(5412),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7511),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7513),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7511),
  },
  [3278] = {
    [sym__expression] = STATE(4610),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3279] = {
    [sym__expression] = STATE(4611),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3280] = {
    [sym__name] = STATE(7009),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1066),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_program_statement_token1] = ACTIONS(7515),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7517),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7517),
  },
  [3281] = {
    [sym__expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3282] = {
    [sym__expression] = STATE(4623),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3283] = {
    [sym__name] = STATE(6931),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1016),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7519),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7519),
  },
  [3284] = {
    [sym__expression] = STATE(4624),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3285] = {
    [sym__expression] = STATE(4757),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(5511),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(5511),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(5511),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3286] = {
    [sym__expression] = STATE(4557),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3287] = {
    [sym__expression] = STATE(4648),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3288] = {
    [sym__expression] = STATE(4582),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3289] = {
    [sym__expression] = STATE(4584),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3290] = {
    [sym__name] = STATE(7043),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4931),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7523),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7523),
  },
  [3291] = {
    [sym__expression] = STATE(4789),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3292] = {
    [sym__expression] = STATE(4593),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3293] = {
    [sym__expression] = STATE(4595),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3222),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7319),
    [anon_sym_DASH] = ACTIONS(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7323),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3294] = {
    [sym__name] = STATE(7045),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4933),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7527),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_function_statement_token1] = ACTIONS(7529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7527),
  },
  [3295] = {
    [sym__expression] = STATE(4559),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3296] = {
    [sym__expression] = STATE(4826),
    [sym_parenthesized_expression] = STATE(5372),
    [sym_derived_type_member_expression] = STATE(5372),
    [sym_logical_expression] = STATE(5372),
    [sym_relational_expression] = STATE(5372),
    [sym_concatenation_expression] = STATE(5372),
    [sym_math_expression] = STATE(5372),
    [sym_unary_expression] = STATE(5372),
    [sym_user_defined_operator] = STATE(3168),
    [sym_call_expression] = STATE(5372),
    [sym_implied_do_loop_expression] = STATE(5372),
    [sym_array_literal] = STATE(5372),
    [sym__array_constructor_legacy] = STATE(5373),
    [sym__array_constructor_f2003] = STATE(5374),
    [sym_complex_literal] = STATE(5372),
    [sym_number_literal] = STATE(5372),
    [sym_boolean_literal] = STATE(5372),
    [sym_null_literal] = STATE(5372),
    [sym_string_literal] = STATE(5372),
    [sym_coarray_expression] = STATE(5372),
    [sym_conditional_expression] = STATE(5372),
    [sym_identifier] = STATE(5372),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6113),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_logical_expression_token5] = ACTIONS(6127),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [aux_sym_boolean_literal_token1] = ACTIONS(6133),
    [aux_sym_boolean_literal_token2] = ACTIONS(6133),
    [aux_sym_null_literal_token1] = ACTIONS(6135),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6137),
    [sym__float_literal] = ACTIONS(6137),
    [sym__boz_literal] = ACTIONS(6137),
    [sym__string_literal] = ACTIONS(6139),
    [sym__string_literal_kind] = ACTIONS(6141),
  },
  [3297] = {
    [sym__expression] = STATE(4562),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3298] = {
    [sym__expression] = STATE(4563),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3299] = {
    [sym__expression] = STATE(4821),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3300] = {
    [sym__expression] = STATE(4603),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3301] = {
    [sym__name] = STATE(6873),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4850),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7531),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7531),
  },
  [3302] = {
    [sym__expression] = STATE(4825),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3303] = {
    [sym__expression] = STATE(4880),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3304] = {
    [sym__expression] = STATE(4922),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3276),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3305] = {
    [sym__expression] = STATE(4436),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3306] = {
    [sym__expression] = STATE(4438),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3307] = {
    [sym__expression] = STATE(4442),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3308] = {
    [sym__expression] = STATE(4447),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3309] = {
    [sym__expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3310] = {
    [sym__expression] = STATE(4449),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3311] = {
    [sym__expression] = STATE(4441),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3312] = {
    [sym__expression] = STATE(4450),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3313] = {
    [sym__expression] = STATE(4433),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3314] = {
    [sym__expression] = STATE(4434),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3315] = {
    [sym__expression] = STATE(4435),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3133),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6395),
    [aux_sym_block_data_statement_token1] = ACTIONS(6397),
    [aux_sym_block_data_statement_token2] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6397),
    [aux_sym_use_statement_token2] = ACTIONS(6397),
    [aux_sym_implicit_statement_token4] = ACTIONS(6397),
    [aux_sym_save_statement_token1] = ACTIONS(6397),
    [aux_sym_private_statement_token1] = ACTIONS(6397),
    [aux_sym_public_statement_token1] = ACTIONS(6397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6397),
    [aux_sym_variable_attributes_token2] = ACTIONS(6397),
    [aux_sym_variable_attributes_token3] = ACTIONS(6397),
    [aux_sym_variable_attributes_token5] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6397),
    [aux_sym_type_qualifier_token1] = ACTIONS(6397),
    [aux_sym_type_qualifier_token2] = ACTIONS(6397),
    [aux_sym_stop_statement_token1] = ACTIONS(6397),
    [aux_sym_stop_statement_token2] = ACTIONS(6397),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6397),
    [aux_sym_keyword_statement_token3] = ACTIONS(6397),
    [aux_sym_keyword_statement_token4] = ACTIONS(6405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6397),
    [aux_sym_end_if_statement_token1] = ACTIONS(6397),
    [aux_sym_elseif_clause_token2] = ACTIONS(6397),
    [aux_sym_select_case_statement_token1] = ACTIONS(6407),
    [aux_sym_format_statement_token1] = ACTIONS(6397),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6397),
    [aux_sym_entry_statement_token1] = ACTIONS(6397),
    [aux_sym_logical_expression_token5] = ACTIONS(7361),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_statement_token2] = ACTIONS(6397),
    [aux_sym_coarray_statement_token6] = ACTIONS(6397),
    [aux_sym_coarray_statement_token8] = ACTIONS(6397),
    [aux_sym_coarray_statement_token11] = ACTIONS(6397),
    [aux_sym_coarray_statement_token12] = ACTIONS(6397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6397),
    [aux_sym_identifier_token1] = ACTIONS(6397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(7325),
    [sym__string_literal_kind] = ACTIONS(7327),
  },
  [3316] = {
    [sym__expression] = STATE(4715),
    [sym_parenthesized_expression] = STATE(4977),
    [sym_derived_type_member_expression] = STATE(4977),
    [sym_logical_expression] = STATE(4977),
    [sym_relational_expression] = STATE(4977),
    [sym_concatenation_expression] = STATE(4977),
    [sym_math_expression] = STATE(4977),
    [sym_unary_expression] = STATE(4977),
    [sym_user_defined_operator] = STATE(3255),
    [sym_call_expression] = STATE(4977),
    [sym_implied_do_loop_expression] = STATE(4977),
    [sym_array_literal] = STATE(4977),
    [sym__array_constructor_legacy] = STATE(4981),
    [sym__array_constructor_f2003] = STATE(4986),
    [sym_complex_literal] = STATE(4977),
    [sym_number_literal] = STATE(4977),
    [sym_boolean_literal] = STATE(4977),
    [sym_null_literal] = STATE(4977),
    [sym_string_literal] = STATE(4977),
    [sym_coarray_expression] = STATE(4977),
    [sym_conditional_expression] = STATE(4977),
    [sym_identifier] = STATE(4977),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [aux_sym_boolean_literal_token1] = ACTIONS(5700),
    [aux_sym_boolean_literal_token2] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5702),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5704),
    [sym__float_literal] = ACTIONS(5704),
    [sym__boz_literal] = ACTIONS(5704),
    [sym__string_literal] = ACTIONS(5676),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [3317] = {
    [sym__expression] = STATE(4612),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3318] = {
    [sym__name] = STATE(7477),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1081),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_program_statement_token1] = ACTIONS(7535),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(7537),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7537),
  },
  [3319] = {
    [sym__expression] = STATE(4906),
    [sym_parenthesized_expression] = STATE(4328),
    [sym_derived_type_member_expression] = STATE(4328),
    [sym_logical_expression] = STATE(4328),
    [sym_relational_expression] = STATE(4328),
    [sym_concatenation_expression] = STATE(4328),
    [sym_math_expression] = STATE(4328),
    [sym_unary_expression] = STATE(4328),
    [sym_user_defined_operator] = STATE(3317),
    [sym_call_expression] = STATE(4328),
    [sym_implied_do_loop_expression] = STATE(4328),
    [sym_array_literal] = STATE(4328),
    [sym__array_constructor_legacy] = STATE(4185),
    [sym__array_constructor_f2003] = STATE(4343),
    [sym_complex_literal] = STATE(4328),
    [sym_number_literal] = STATE(4328),
    [sym_boolean_literal] = STATE(4328),
    [sym_null_literal] = STATE(4328),
    [sym_string_literal] = STATE(4328),
    [sym_coarray_expression] = STATE(4328),
    [sym_conditional_expression] = STATE(4328),
    [sym_identifier] = STATE(4328),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3320] = {
    [sym__expression] = STATE(4761),
    [sym_parenthesized_expression] = STATE(5176),
    [sym_derived_type_member_expression] = STATE(5176),
    [sym_logical_expression] = STATE(5176),
    [sym_relational_expression] = STATE(5176),
    [sym_concatenation_expression] = STATE(5176),
    [sym_math_expression] = STATE(5176),
    [sym_unary_expression] = STATE(5176),
    [sym_user_defined_operator] = STATE(3202),
    [sym_call_expression] = STATE(5176),
    [sym_implied_do_loop_expression] = STATE(5176),
    [sym_array_literal] = STATE(5176),
    [sym__array_constructor_legacy] = STATE(5177),
    [sym__array_constructor_f2003] = STATE(5178),
    [sym_complex_literal] = STATE(5176),
    [sym_number_literal] = STATE(5176),
    [sym_boolean_literal] = STATE(5176),
    [sym_null_literal] = STATE(5176),
    [sym_string_literal] = STATE(5176),
    [sym_coarray_expression] = STATE(5176),
    [sym_conditional_expression] = STATE(5176),
    [sym_identifier] = STATE(5176),
    [anon_sym_LPAREN2] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(7339),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7343),
    [aux_sym_boolean_literal_token1] = ACTIONS(7345),
    [aux_sym_boolean_literal_token2] = ACTIONS(7345),
    [aux_sym_null_literal_token1] = ACTIONS(7347),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7351),
    [sym__float_literal] = ACTIONS(7351),
    [sym__boz_literal] = ACTIONS(7351),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7355),
  },
  [3321] = {
    [anon_sym_LPAREN2] = ACTIONS(7459),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7459),
    [aux_sym_block_data_statement_token1] = ACTIONS(7459),
    [aux_sym_block_data_statement_token2] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7459),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7459),
    [aux_sym_use_statement_token2] = ACTIONS(7459),
    [aux_sym_implicit_statement_token4] = ACTIONS(7459),
    [aux_sym_save_statement_token1] = ACTIONS(7459),
    [aux_sym_private_statement_token1] = ACTIONS(7459),
    [aux_sym_public_statement_token1] = ACTIONS(7459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7459),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7459),
    [aux_sym_variable_attributes_token2] = ACTIONS(7459),
    [aux_sym_variable_attributes_token3] = ACTIONS(7459),
    [aux_sym_variable_attributes_token5] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7459),
    [aux_sym_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym_stop_statement_token1] = ACTIONS(7459),
    [aux_sym_stop_statement_token2] = ACTIONS(7459),
    [aux_sym_subroutine_call_token1] = ACTIONS(7459),
    [aux_sym_keyword_statement_token1] = ACTIONS(7459),
    [aux_sym_keyword_statement_token2] = ACTIONS(7459),
    [aux_sym_keyword_statement_token3] = ACTIONS(7459),
    [aux_sym_keyword_statement_token4] = ACTIONS(7459),
    [aux_sym_keyword_statement_token6] = ACTIONS(7459),
    [aux_sym_keyword_statement_token7] = ACTIONS(7459),
    [aux_sym_include_statement_token1] = ACTIONS(7459),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7459),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7459),
    [aux_sym__block_if_statement_token1] = ACTIONS(7459),
    [aux_sym_end_if_statement_token1] = ACTIONS(7459),
    [aux_sym_elseif_clause_token2] = ACTIONS(7459),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7459),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7459),
    [aux_sym_select_case_statement_token1] = ACTIONS(7459),
    [aux_sym_select_case_statement_token3] = ACTIONS(7459),
    [aux_sym_select_type_statement_token1] = ACTIONS(7459),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7459),
    [aux_sym_associate_statement_token1] = ACTIONS(7459),
    [aux_sym_format_statement_token1] = ACTIONS(7459),
    [aux_sym_print_statement_token1] = ACTIONS(7459),
    [aux_sym_open_statement_token1] = ACTIONS(7459),
    [aux_sym_close_statement_token1] = ACTIONS(7459),
    [aux_sym_inquire_statement_token1] = ACTIONS(7459),
    [aux_sym_file_position_statement_token1] = ACTIONS(7459),
    [aux_sym_file_position_statement_token2] = ACTIONS(7459),
    [aux_sym_file_position_statement_token3] = ACTIONS(7459),
    [aux_sym_file_position_statement_token4] = ACTIONS(7459),
    [aux_sym_allocate_statement_token1] = ACTIONS(7459),
    [aux_sym_entry_statement_token1] = ACTIONS(7459),
    [aux_sym_assign_statement_token1] = ACTIONS(7459),
    [aux_sym_logical_expression_token5] = ACTIONS(7461),
    [anon_sym_DOT] = ACTIONS(7459),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7461),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [aux_sym_boolean_literal_token1] = ACTIONS(7461),
    [aux_sym_boolean_literal_token2] = ACTIONS(7461),
    [aux_sym_null_literal_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token2] = ACTIONS(7459),
    [aux_sym_coarray_statement_token6] = ACTIONS(7459),
    [aux_sym_coarray_statement_token8] = ACTIONS(7459),
    [aux_sym_coarray_statement_token11] = ACTIONS(7459),
    [aux_sym_coarray_statement_token12] = ACTIONS(7459),
    [aux_sym_coarray_statement_token13] = ACTIONS(7459),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7459),
    [aux_sym_identifier_token1] = ACTIONS(7459),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7461),
    [sym__float_literal] = ACTIONS(7461),
    [sym__boz_literal] = ACTIONS(7461),
    [sym__string_literal] = ACTIONS(7461),
    [sym__string_literal_kind] = ACTIONS(7461),
  },
  [3322] = {
    [sym__import_names] = STATE(4665),
    [sym_identifier] = STATE(4561),
    [aux_sym_preproc_include_token1] = ACTIONS(7539),
    [aux_sym_preproc_def_token1] = ACTIONS(7539),
    [anon_sym_COMMA] = ACTIONS(7541),
    [aux_sym_preproc_if_token1] = ACTIONS(7539),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7539),
    [sym_preproc_directive] = ACTIONS(7539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7539),
    [aux_sym_module_statement_token1] = ACTIONS(7539),
    [anon_sym_SEMI] = ACTIONS(7543),
    [aux_sym_end_interface_statement_token1] = ACTIONS(7539),
    [aux_sym_block_data_statement_token1] = ACTIONS(6115),
    [aux_sym_block_data_statement_token2] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6115),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7539),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7539),
    [aux_sym_function_statement_token1] = ACTIONS(7539),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7539),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6115),
    [aux_sym_use_statement_token2] = ACTIONS(6115),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [aux_sym_implicit_statement_token3] = ACTIONS(7539),
    [aux_sym_implicit_statement_token4] = ACTIONS(6115),
    [aux_sym_save_statement_token1] = ACTIONS(6115),
    [aux_sym_private_statement_token1] = ACTIONS(6115),
    [aux_sym_public_statement_token1] = ACTIONS(6115),
    [aux_sym_import_statement_token1] = ACTIONS(7539),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6115),
    [aux_sym_procedure_kind_token1] = ACTIONS(7539),
    [aux_sym_procedure_kind_token2] = ACTIONS(7539),
    [aux_sym_procedure_kind_token3] = ACTIONS(7539),
    [aux_sym_procedure_kind_token4] = ACTIONS(7539),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6115),
    [aux_sym_variable_attributes_token2] = ACTIONS(6115),
    [aux_sym_variable_attributes_token3] = ACTIONS(6115),
    [aux_sym_variable_attributes_token5] = ACTIONS(6115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7539),
    [aux_sym_derived_type_token1] = ACTIONS(7539),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6115),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6115),
    [aux_sym_type_qualifier_token1] = ACTIONS(6115),
    [aux_sym_type_qualifier_token2] = ACTIONS(6115),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7539),
    [aux_sym_stop_statement_token1] = ACTIONS(6115),
    [aux_sym_stop_statement_token2] = ACTIONS(6115),
    [aux_sym_subroutine_call_token1] = ACTIONS(6121),
    [aux_sym_keyword_statement_token2] = ACTIONS(6115),
    [aux_sym_keyword_statement_token3] = ACTIONS(6115),
    [aux_sym_keyword_statement_token4] = ACTIONS(6123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6115),
    [aux_sym_end_if_statement_token1] = ACTIONS(6115),
    [aux_sym_elseif_clause_token2] = ACTIONS(6115),
    [aux_sym_select_case_statement_token1] = ACTIONS(6125),
    [aux_sym_format_statement_token1] = ACTIONS(6115),
    [aux_sym_open_statement_token1] = ACTIONS(6121),
    [aux_sym_inquire_statement_token1] = ACTIONS(6115),
    [aux_sym_entry_statement_token1] = ACTIONS(6115),
    [aux_sym_null_literal_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_statement_token2] = ACTIONS(6115),
    [aux_sym_coarray_statement_token6] = ACTIONS(6115),
    [aux_sym_coarray_statement_token8] = ACTIONS(6115),
    [aux_sym_coarray_statement_token11] = ACTIONS(6115),
    [aux_sym_coarray_statement_token12] = ACTIONS(6115),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6115),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6115),
    [aux_sym_identifier_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(21),
  },
  [3323] = {
    [sym__name] = STATE(7509),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1097),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7547),
    [aux_sym_block_data_statement_token1] = ACTIONS(7549),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_block_data_statement_token3] = ACTIONS(7551),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7547),
  },
  [3324] = {
    [sym__name] = STATE(7490),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1093),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_submodule_statement_token1] = ACTIONS(7553),
    [anon_sym_SEMI] = ACTIONS(7555),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7555),
  },
  [3325] = {
    [sym__name] = STATE(7413),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1077),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_submodule_statement_token1] = ACTIONS(7557),
    [anon_sym_SEMI] = ACTIONS(7559),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7559),
  },
  [3326] = {
    [sym__block_label] = STATE(7949),
    [sym_identifier] = STATE(7994),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(7561),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7561),
  },
  [3327] = {
    [sym__name] = STATE(7334),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1158),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_module_statement_token1] = ACTIONS(7563),
    [anon_sym_SEMI] = ACTIONS(7565),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7565),
  },
  [3328] = {
    [sym__name] = STATE(6983),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(905),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_module_statement_token1] = ACTIONS(7567),
    [anon_sym_SEMI] = ACTIONS(7569),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7569),
  },
  [3329] = {
    [sym__name] = STATE(7487),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1091),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_module_statement_token1] = ACTIONS(7571),
    [anon_sym_SEMI] = ACTIONS(7573),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7573),
  },
  [3330] = {
    [sym__name] = STATE(7495),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1095),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7575),
    [aux_sym_block_data_statement_token1] = ACTIONS(7577),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_block_data_statement_token3] = ACTIONS(7579),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7575),
  },
  [3331] = {
    [sym__name] = STATE(6996),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(907),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_submodule_statement_token1] = ACTIONS(7581),
    [anon_sym_SEMI] = ACTIONS(7583),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7583),
  },
  [3332] = {
    [sym__name] = STATE(7011),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(909),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7585),
    [aux_sym_block_data_statement_token1] = ACTIONS(7587),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_block_data_statement_token3] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4726),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7585),
  },
  [3333] = {
    [sym_identifier] = STATE(7924),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(7313),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7313),
  },
  [3334] = {
    [sym__import_names] = STATE(4935),
    [sym_identifier] = STATE(4818),
    [anon_sym_COMMA] = ACTIONS(7591),
    [aux_sym_preproc_if_token2] = ACTIONS(7543),
    [aux_sym_preproc_else_token1] = ACTIONS(7543),
    [aux_sym_preproc_elif_token1] = ACTIONS(7539),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7543),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_module_statement_token1] = ACTIONS(7539),
    [anon_sym_SEMI] = ACTIONS(7543),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7539),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7539),
    [aux_sym_function_statement_token1] = ACTIONS(7539),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7539),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_COLON_COLON] = ACTIONS(7593),
    [aux_sym_implicit_statement_token3] = ACTIONS(7539),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_import_statement_token1] = ACTIONS(7539),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_kind_token1] = ACTIONS(7539),
    [aux_sym_procedure_kind_token2] = ACTIONS(7539),
    [aux_sym_procedure_kind_token3] = ACTIONS(7539),
    [aux_sym_procedure_kind_token4] = ACTIONS(7539),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7539),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7539),
    [aux_sym_derived_type_token1] = ACTIONS(7539),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7539),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7539),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3335] = {
    [anon_sym_COMMA] = ACTIONS(6391),
    [anon_sym_LPAREN2] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6391),
    [anon_sym_DASH] = ACTIONS(6391),
    [anon_sym_STAR] = ACTIONS(6393),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6391),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6391),
    [anon_sym_GT] = ACTIONS(6393),
    [anon_sym_GT_EQ] = ACTIONS(6391),
    [anon_sym_LT_EQ] = ACTIONS(6391),
    [anon_sym_LT] = ACTIONS(6393),
    [aux_sym_end_program_statement_token1] = ACTIONS(6393),
    [anon_sym_SEMI] = ACTIONS(6391),
    [aux_sym_block_data_statement_token1] = ACTIONS(6393),
    [aux_sym_block_data_statement_token2] = ACTIONS(6393),
    [anon_sym_EQ] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6393),
    [aux_sym_use_statement_token2] = ACTIONS(6393),
    [anon_sym_EQ_GT] = ACTIONS(6391),
    [aux_sym_implicit_statement_token4] = ACTIONS(6393),
    [aux_sym_save_statement_token1] = ACTIONS(6393),
    [aux_sym_private_statement_token1] = ACTIONS(6393),
    [aux_sym_public_statement_token1] = ACTIONS(6393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6393),
    [aux_sym_variable_attributes_token2] = ACTIONS(6393),
    [aux_sym_variable_attributes_token3] = ACTIONS(6393),
    [aux_sym_variable_attributes_token5] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6393),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6393),
    [aux_sym_type_qualifier_token1] = ACTIONS(6393),
    [aux_sym_type_qualifier_token2] = ACTIONS(6393),
    [aux_sym_stop_statement_token1] = ACTIONS(6393),
    [aux_sym_stop_statement_token2] = ACTIONS(6393),
    [aux_sym_subroutine_call_token1] = ACTIONS(6393),
    [anon_sym_LT_LT_LT] = ACTIONS(6391),
    [aux_sym_keyword_statement_token2] = ACTIONS(6393),
    [aux_sym_keyword_statement_token3] = ACTIONS(6393),
    [aux_sym_keyword_statement_token4] = ACTIONS(6393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6393),
    [aux_sym_end_if_statement_token1] = ACTIONS(6393),
    [aux_sym_elseif_clause_token2] = ACTIONS(6393),
    [aux_sym_select_case_statement_token1] = ACTIONS(6393),
    [aux_sym_format_statement_token1] = ACTIONS(6393),
    [aux_sym_open_statement_token1] = ACTIONS(6393),
    [aux_sym_inquire_statement_token1] = ACTIONS(6393),
    [aux_sym_entry_statement_token1] = ACTIONS(6393),
    [aux_sym_logical_expression_token1] = ACTIONS(6391),
    [aux_sym_logical_expression_token2] = ACTIONS(6391),
    [aux_sym_logical_expression_token3] = ACTIONS(6391),
    [aux_sym_logical_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token1] = ACTIONS(6391),
    [aux_sym_relational_expression_token2] = ACTIONS(6391),
    [aux_sym_relational_expression_token3] = ACTIONS(6391),
    [aux_sym_relational_expression_token4] = ACTIONS(6391),
    [aux_sym_relational_expression_token5] = ACTIONS(6391),
    [anon_sym_SLASH_EQ] = ACTIONS(6391),
    [aux_sym_relational_expression_token6] = ACTIONS(6391),
    [anon_sym_SLASH_SLASH] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6391),
    [anon_sym_DOT] = ACTIONS(6393),
    [anon_sym_LBRACK] = ACTIONS(6391),
    [aux_sym_null_literal_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_statement_token2] = ACTIONS(6393),
    [aux_sym_coarray_statement_token6] = ACTIONS(6393),
    [aux_sym_coarray_statement_token8] = ACTIONS(6393),
    [aux_sym_coarray_statement_token11] = ACTIONS(6393),
    [aux_sym_coarray_statement_token12] = ACTIONS(6393),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6393),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6393),
    [anon_sym_QMARK] = ACTIONS(6391),
    [aux_sym_identifier_token1] = ACTIONS(6393),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6391),
  },
  [3336] = {
    [anon_sym_COMMA] = ACTIONS(6327),
    [anon_sym_LPAREN2] = ACTIONS(6327),
    [anon_sym_PLUS] = ACTIONS(6327),
    [anon_sym_DASH] = ACTIONS(6327),
    [anon_sym_STAR] = ACTIONS(6329),
    [anon_sym_SLASH] = ACTIONS(6329),
    [anon_sym_PERCENT] = ACTIONS(6327),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6327),
    [anon_sym_GT] = ACTIONS(6329),
    [anon_sym_GT_EQ] = ACTIONS(6327),
    [anon_sym_LT_EQ] = ACTIONS(6327),
    [anon_sym_LT] = ACTIONS(6329),
    [aux_sym_end_program_statement_token1] = ACTIONS(6329),
    [anon_sym_SEMI] = ACTIONS(6327),
    [aux_sym_block_data_statement_token1] = ACTIONS(6329),
    [aux_sym_block_data_statement_token2] = ACTIONS(6329),
    [anon_sym_EQ] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6329),
    [aux_sym_use_statement_token2] = ACTIONS(6329),
    [anon_sym_EQ_GT] = ACTIONS(6327),
    [aux_sym_implicit_statement_token4] = ACTIONS(6329),
    [aux_sym_save_statement_token1] = ACTIONS(6329),
    [aux_sym_private_statement_token1] = ACTIONS(6329),
    [aux_sym_public_statement_token1] = ACTIONS(6329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6329),
    [aux_sym_variable_attributes_token2] = ACTIONS(6329),
    [aux_sym_variable_attributes_token3] = ACTIONS(6329),
    [aux_sym_variable_attributes_token5] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6329),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6329),
    [aux_sym_type_qualifier_token1] = ACTIONS(6329),
    [aux_sym_type_qualifier_token2] = ACTIONS(6329),
    [aux_sym_stop_statement_token1] = ACTIONS(6329),
    [aux_sym_stop_statement_token2] = ACTIONS(6329),
    [aux_sym_subroutine_call_token1] = ACTIONS(6329),
    [anon_sym_LT_LT_LT] = ACTIONS(6327),
    [aux_sym_keyword_statement_token2] = ACTIONS(6329),
    [aux_sym_keyword_statement_token3] = ACTIONS(6329),
    [aux_sym_keyword_statement_token4] = ACTIONS(6329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6329),
    [aux_sym_end_if_statement_token1] = ACTIONS(6329),
    [aux_sym_elseif_clause_token2] = ACTIONS(6329),
    [aux_sym_select_case_statement_token1] = ACTIONS(6329),
    [aux_sym_format_statement_token1] = ACTIONS(6329),
    [aux_sym_open_statement_token1] = ACTIONS(6329),
    [aux_sym_inquire_statement_token1] = ACTIONS(6329),
    [aux_sym_entry_statement_token1] = ACTIONS(6329),
    [aux_sym_logical_expression_token1] = ACTIONS(6327),
    [aux_sym_logical_expression_token2] = ACTIONS(6327),
    [aux_sym_logical_expression_token3] = ACTIONS(6327),
    [aux_sym_logical_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token1] = ACTIONS(6327),
    [aux_sym_relational_expression_token2] = ACTIONS(6327),
    [aux_sym_relational_expression_token3] = ACTIONS(6327),
    [aux_sym_relational_expression_token4] = ACTIONS(6327),
    [aux_sym_relational_expression_token5] = ACTIONS(6327),
    [anon_sym_SLASH_EQ] = ACTIONS(6327),
    [aux_sym_relational_expression_token6] = ACTIONS(6327),
    [anon_sym_SLASH_SLASH] = ACTIONS(6327),
    [anon_sym_STAR_STAR] = ACTIONS(6327),
    [anon_sym_DOT] = ACTIONS(6329),
    [anon_sym_LBRACK] = ACTIONS(6327),
    [aux_sym_null_literal_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_statement_token2] = ACTIONS(6329),
    [aux_sym_coarray_statement_token6] = ACTIONS(6329),
    [aux_sym_coarray_statement_token8] = ACTIONS(6329),
    [aux_sym_coarray_statement_token11] = ACTIONS(6329),
    [aux_sym_coarray_statement_token12] = ACTIONS(6329),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6329),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6329),
    [anon_sym_QMARK] = ACTIONS(6327),
    [aux_sym_identifier_token1] = ACTIONS(6329),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6327),
  },
  [3337] = {
    [anon_sym_COMMA] = ACTIONS(6367),
    [anon_sym_LPAREN2] = ACTIONS(6367),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_STAR] = ACTIONS(6369),
    [anon_sym_SLASH] = ACTIONS(6369),
    [anon_sym_PERCENT] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6367),
    [anon_sym_GT] = ACTIONS(6369),
    [anon_sym_GT_EQ] = ACTIONS(6367),
    [anon_sym_LT_EQ] = ACTIONS(6367),
    [anon_sym_LT] = ACTIONS(6369),
    [aux_sym_end_program_statement_token1] = ACTIONS(6369),
    [anon_sym_SEMI] = ACTIONS(6367),
    [aux_sym_block_data_statement_token1] = ACTIONS(6369),
    [aux_sym_block_data_statement_token2] = ACTIONS(6369),
    [anon_sym_EQ] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6369),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6369),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6369),
    [aux_sym_use_statement_token2] = ACTIONS(6369),
    [anon_sym_EQ_GT] = ACTIONS(6367),
    [aux_sym_implicit_statement_token4] = ACTIONS(6369),
    [aux_sym_save_statement_token1] = ACTIONS(6369),
    [aux_sym_private_statement_token1] = ACTIONS(6369),
    [aux_sym_public_statement_token1] = ACTIONS(6369),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6369),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6369),
    [aux_sym_variable_attributes_token2] = ACTIONS(6369),
    [aux_sym_variable_attributes_token3] = ACTIONS(6369),
    [aux_sym_variable_attributes_token5] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6369),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6369),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6369),
    [aux_sym_type_qualifier_token1] = ACTIONS(6369),
    [aux_sym_type_qualifier_token2] = ACTIONS(6369),
    [aux_sym_stop_statement_token1] = ACTIONS(6369),
    [aux_sym_stop_statement_token2] = ACTIONS(6369),
    [aux_sym_subroutine_call_token1] = ACTIONS(6369),
    [anon_sym_LT_LT_LT] = ACTIONS(6367),
    [aux_sym_keyword_statement_token2] = ACTIONS(6369),
    [aux_sym_keyword_statement_token3] = ACTIONS(6369),
    [aux_sym_keyword_statement_token4] = ACTIONS(6369),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6369),
    [aux_sym_end_if_statement_token1] = ACTIONS(6369),
    [aux_sym_elseif_clause_token2] = ACTIONS(6369),
    [aux_sym_select_case_statement_token1] = ACTIONS(6369),
    [aux_sym_format_statement_token1] = ACTIONS(6369),
    [aux_sym_open_statement_token1] = ACTIONS(6369),
    [aux_sym_inquire_statement_token1] = ACTIONS(6369),
    [aux_sym_entry_statement_token1] = ACTIONS(6369),
    [aux_sym_logical_expression_token1] = ACTIONS(6367),
    [aux_sym_logical_expression_token2] = ACTIONS(6367),
    [aux_sym_logical_expression_token3] = ACTIONS(6367),
    [aux_sym_logical_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token1] = ACTIONS(6367),
    [aux_sym_relational_expression_token2] = ACTIONS(6367),
    [aux_sym_relational_expression_token3] = ACTIONS(6367),
    [aux_sym_relational_expression_token4] = ACTIONS(6367),
    [aux_sym_relational_expression_token5] = ACTIONS(6367),
    [anon_sym_SLASH_EQ] = ACTIONS(6367),
    [aux_sym_relational_expression_token6] = ACTIONS(6367),
    [anon_sym_SLASH_SLASH] = ACTIONS(6367),
    [anon_sym_STAR_STAR] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6369),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_statement_token2] = ACTIONS(6369),
    [aux_sym_coarray_statement_token6] = ACTIONS(6369),
    [aux_sym_coarray_statement_token8] = ACTIONS(6369),
    [aux_sym_coarray_statement_token11] = ACTIONS(6369),
    [aux_sym_coarray_statement_token12] = ACTIONS(6369),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6369),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6367),
    [aux_sym_identifier_token1] = ACTIONS(6369),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6367),
  },
  [3338] = {
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_LPAREN2] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7011),
    [anon_sym_SLASH] = ACTIONS(7011),
    [anon_sym_PERCENT] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_GT_EQ] = ACTIONS(7009),
    [anon_sym_LT_EQ] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7011),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [anon_sym_EQ] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [anon_sym_EQ_GT] = ACTIONS(7009),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [anon_sym_LT_LT_LT] = ACTIONS(7009),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token1] = ACTIONS(7009),
    [aux_sym_logical_expression_token2] = ACTIONS(7009),
    [aux_sym_logical_expression_token3] = ACTIONS(7009),
    [aux_sym_logical_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token1] = ACTIONS(7009),
    [aux_sym_relational_expression_token2] = ACTIONS(7009),
    [aux_sym_relational_expression_token3] = ACTIONS(7009),
    [aux_sym_relational_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token5] = ACTIONS(7009),
    [anon_sym_SLASH_EQ] = ACTIONS(7009),
    [aux_sym_relational_expression_token6] = ACTIONS(7009),
    [anon_sym_SLASH_SLASH] = ACTIONS(7009),
    [anon_sym_STAR_STAR] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [anon_sym_QMARK] = ACTIONS(7009),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7009),
  },
  [3339] = {
    [sym__name] = STATE(6084),
    [sym_identifier] = STATE(6435),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3340] = {
    [anon_sym_COMMA] = ACTIONS(5999),
    [anon_sym_LPAREN2] = ACTIONS(6001),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(6004),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(6007),
    [anon_sym_COLON] = ACTIONS(4716),
    [aux_sym_block_data_statement_token1] = ACTIONS(6007),
    [aux_sym_block_data_statement_token2] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6007),
    [aux_sym_use_statement_token2] = ACTIONS(6007),
    [anon_sym_COLON_COLON] = ACTIONS(5999),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token4] = ACTIONS(6007),
    [aux_sym_save_statement_token1] = ACTIONS(6007),
    [aux_sym_private_statement_token1] = ACTIONS(6007),
    [aux_sym_public_statement_token1] = ACTIONS(6007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6007),
    [aux_sym_variable_attributes_token2] = ACTIONS(6007),
    [aux_sym_variable_attributes_token3] = ACTIONS(6007),
    [aux_sym_variable_attributes_token5] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6007),
    [aux_sym_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym_stop_statement_token1] = ACTIONS(6007),
    [aux_sym_stop_statement_token2] = ACTIONS(6007),
    [aux_sym_subroutine_call_token1] = ACTIONS(6007),
    [aux_sym_keyword_statement_token2] = ACTIONS(6007),
    [aux_sym_keyword_statement_token3] = ACTIONS(6007),
    [aux_sym_keyword_statement_token4] = ACTIONS(6007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6007),
    [aux_sym_end_if_statement_token1] = ACTIONS(6007),
    [aux_sym_elseif_clause_token2] = ACTIONS(6007),
    [aux_sym_select_case_statement_token1] = ACTIONS(6007),
    [aux_sym_format_statement_token1] = ACTIONS(6007),
    [aux_sym_open_statement_token1] = ACTIONS(6007),
    [aux_sym_inquire_statement_token1] = ACTIONS(6007),
    [aux_sym_entry_statement_token1] = ACTIONS(6007),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token2] = ACTIONS(6007),
    [aux_sym_coarray_statement_token6] = ACTIONS(6007),
    [aux_sym_coarray_statement_token8] = ACTIONS(6007),
    [aux_sym_coarray_statement_token11] = ACTIONS(6007),
    [aux_sym_coarray_statement_token12] = ACTIONS(6007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(4718),
    [aux_sym_identifier_token1] = ACTIONS(6007),
    [sym_comment] = ACTIONS(21),
  },
  [3341] = {
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_LPAREN2] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7459),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7461),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7461),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_GT_EQ] = ACTIONS(7461),
    [anon_sym_LT_EQ] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [aux_sym_end_program_statement_token1] = ACTIONS(7459),
    [anon_sym_SEMI] = ACTIONS(7461),
    [aux_sym_block_data_statement_token1] = ACTIONS(7459),
    [aux_sym_block_data_statement_token2] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7459),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7459),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7459),
    [aux_sym_use_statement_token2] = ACTIONS(7459),
    [aux_sym_implicit_statement_token4] = ACTIONS(7459),
    [aux_sym_save_statement_token1] = ACTIONS(7459),
    [aux_sym_private_statement_token1] = ACTIONS(7459),
    [aux_sym_public_statement_token1] = ACTIONS(7459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7459),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7459),
    [aux_sym_variable_attributes_token2] = ACTIONS(7459),
    [aux_sym_variable_attributes_token3] = ACTIONS(7459),
    [aux_sym_variable_attributes_token5] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7459),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7459),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7459),
    [aux_sym_type_qualifier_token1] = ACTIONS(7459),
    [aux_sym_type_qualifier_token2] = ACTIONS(7459),
    [aux_sym_stop_statement_token1] = ACTIONS(7459),
    [aux_sym_stop_statement_token2] = ACTIONS(7459),
    [aux_sym_subroutine_call_token1] = ACTIONS(7459),
    [anon_sym_LT_LT_LT] = ACTIONS(7461),
    [aux_sym_keyword_statement_token2] = ACTIONS(7459),
    [aux_sym_keyword_statement_token3] = ACTIONS(7459),
    [aux_sym_keyword_statement_token4] = ACTIONS(7459),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7459),
    [aux_sym_end_if_statement_token1] = ACTIONS(7459),
    [aux_sym_elseif_clause_token2] = ACTIONS(7459),
    [aux_sym_select_case_statement_token1] = ACTIONS(7459),
    [aux_sym_format_statement_token1] = ACTIONS(7459),
    [aux_sym_open_statement_token1] = ACTIONS(7459),
    [aux_sym_inquire_statement_token1] = ACTIONS(7459),
    [aux_sym_entry_statement_token1] = ACTIONS(7459),
    [aux_sym_logical_expression_token1] = ACTIONS(7461),
    [aux_sym_logical_expression_token2] = ACTIONS(7461),
    [aux_sym_logical_expression_token3] = ACTIONS(7461),
    [aux_sym_logical_expression_token4] = ACTIONS(7461),
    [aux_sym_relational_expression_token1] = ACTIONS(7461),
    [aux_sym_relational_expression_token2] = ACTIONS(7461),
    [aux_sym_relational_expression_token3] = ACTIONS(7461),
    [aux_sym_relational_expression_token4] = ACTIONS(7461),
    [aux_sym_relational_expression_token5] = ACTIONS(7461),
    [anon_sym_SLASH_EQ] = ACTIONS(7461),
    [aux_sym_relational_expression_token6] = ACTIONS(7461),
    [anon_sym_SLASH_SLASH] = ACTIONS(7461),
    [anon_sym_STAR_STAR] = ACTIONS(7461),
    [anon_sym_DOT] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [aux_sym_null_literal_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_statement_token2] = ACTIONS(7459),
    [aux_sym_coarray_statement_token6] = ACTIONS(7459),
    [aux_sym_coarray_statement_token8] = ACTIONS(7459),
    [aux_sym_coarray_statement_token11] = ACTIONS(7459),
    [aux_sym_coarray_statement_token12] = ACTIONS(7459),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7459),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7459),
    [anon_sym_QMARK] = ACTIONS(7461),
    [aux_sym_identifier_token1] = ACTIONS(7459),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7461),
  },
  [3342] = {
    [anon_sym_COMMA] = ACTIONS(7111),
    [anon_sym_LPAREN2] = ACTIONS(7111),
    [anon_sym_PLUS] = ACTIONS(7111),
    [anon_sym_DASH] = ACTIONS(7111),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_PERCENT] = ACTIONS(7111),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7113),
    [anon_sym_GT_EQ] = ACTIONS(7111),
    [anon_sym_LT_EQ] = ACTIONS(7111),
    [anon_sym_LT] = ACTIONS(7113),
    [aux_sym_end_program_statement_token1] = ACTIONS(7113),
    [aux_sym_block_data_statement_token1] = ACTIONS(7113),
    [aux_sym_block_data_statement_token2] = ACTIONS(7113),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7113),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7113),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7113),
    [aux_sym_use_statement_token2] = ACTIONS(7113),
    [anon_sym_COLON_COLON] = ACTIONS(7111),
    [aux_sym_implicit_statement_token4] = ACTIONS(7113),
    [aux_sym_save_statement_token1] = ACTIONS(7113),
    [aux_sym_private_statement_token1] = ACTIONS(7113),
    [aux_sym_public_statement_token1] = ACTIONS(7113),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7113),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7113),
    [aux_sym_variable_attributes_token2] = ACTIONS(7113),
    [aux_sym_variable_attributes_token3] = ACTIONS(7113),
    [aux_sym_variable_attributes_token5] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7113),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7113),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7113),
    [aux_sym_type_qualifier_token1] = ACTIONS(7113),
    [aux_sym_type_qualifier_token2] = ACTIONS(7113),
    [aux_sym_stop_statement_token1] = ACTIONS(7113),
    [aux_sym_stop_statement_token2] = ACTIONS(7113),
    [aux_sym_subroutine_call_token1] = ACTIONS(7113),
    [aux_sym_keyword_statement_token2] = ACTIONS(7113),
    [aux_sym_keyword_statement_token3] = ACTIONS(7113),
    [aux_sym_keyword_statement_token4] = ACTIONS(7113),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7113),
    [aux_sym_end_if_statement_token1] = ACTIONS(7113),
    [aux_sym_elseif_clause_token2] = ACTIONS(7113),
    [aux_sym_select_case_statement_token1] = ACTIONS(7113),
    [aux_sym_format_statement_token1] = ACTIONS(7113),
    [aux_sym_open_statement_token1] = ACTIONS(7113),
    [aux_sym_inquire_statement_token1] = ACTIONS(7113),
    [aux_sym_entry_statement_token1] = ACTIONS(7113),
    [aux_sym_logical_expression_token1] = ACTIONS(7111),
    [aux_sym_logical_expression_token2] = ACTIONS(7111),
    [aux_sym_logical_expression_token3] = ACTIONS(7111),
    [aux_sym_logical_expression_token4] = ACTIONS(7111),
    [aux_sym_relational_expression_token1] = ACTIONS(7111),
    [aux_sym_relational_expression_token2] = ACTIONS(7111),
    [aux_sym_relational_expression_token3] = ACTIONS(7111),
    [aux_sym_relational_expression_token4] = ACTIONS(7111),
    [aux_sym_relational_expression_token5] = ACTIONS(7111),
    [anon_sym_SLASH_EQ] = ACTIONS(7111),
    [aux_sym_relational_expression_token6] = ACTIONS(7111),
    [anon_sym_SLASH_SLASH] = ACTIONS(7111),
    [anon_sym_STAR_STAR] = ACTIONS(7111),
    [anon_sym_DOT] = ACTIONS(7113),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7111),
    [aux_sym_null_literal_token1] = ACTIONS(7113),
    [aux_sym_coarray_statement_token1] = ACTIONS(7113),
    [aux_sym_coarray_statement_token2] = ACTIONS(7113),
    [aux_sym_coarray_statement_token6] = ACTIONS(7113),
    [aux_sym_coarray_statement_token8] = ACTIONS(7113),
    [aux_sym_coarray_statement_token11] = ACTIONS(7113),
    [aux_sym_coarray_statement_token12] = ACTIONS(7113),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7113),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7113),
    [anon_sym_QMARK] = ACTIONS(7111),
    [aux_sym_identifier_token1] = ACTIONS(7113),
    [sym_comment] = ACTIONS(21),
  },
  [3343] = {
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_LPAREN2] = ACTIONS(7119),
    [anon_sym_PLUS] = ACTIONS(7119),
    [anon_sym_DASH] = ACTIONS(7119),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_PERCENT] = ACTIONS(7119),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7121),
    [anon_sym_GT_EQ] = ACTIONS(7119),
    [anon_sym_LT_EQ] = ACTIONS(7119),
    [anon_sym_LT] = ACTIONS(7121),
    [aux_sym_end_program_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token2] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7121),
    [aux_sym_use_statement_token2] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(7119),
    [aux_sym_implicit_statement_token4] = ACTIONS(7121),
    [aux_sym_save_statement_token1] = ACTIONS(7121),
    [aux_sym_private_statement_token1] = ACTIONS(7121),
    [aux_sym_public_statement_token1] = ACTIONS(7121),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7121),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7121),
    [aux_sym_variable_attributes_token2] = ACTIONS(7121),
    [aux_sym_variable_attributes_token3] = ACTIONS(7121),
    [aux_sym_variable_attributes_token5] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7121),
    [aux_sym_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym_stop_statement_token1] = ACTIONS(7121),
    [aux_sym_stop_statement_token2] = ACTIONS(7121),
    [aux_sym_subroutine_call_token1] = ACTIONS(7121),
    [aux_sym_keyword_statement_token2] = ACTIONS(7121),
    [aux_sym_keyword_statement_token3] = ACTIONS(7121),
    [aux_sym_keyword_statement_token4] = ACTIONS(7121),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7121),
    [aux_sym_end_if_statement_token1] = ACTIONS(7121),
    [aux_sym_elseif_clause_token2] = ACTIONS(7121),
    [aux_sym_select_case_statement_token1] = ACTIONS(7121),
    [aux_sym_format_statement_token1] = ACTIONS(7121),
    [aux_sym_open_statement_token1] = ACTIONS(7121),
    [aux_sym_inquire_statement_token1] = ACTIONS(7121),
    [aux_sym_entry_statement_token1] = ACTIONS(7121),
    [aux_sym_logical_expression_token1] = ACTIONS(7119),
    [aux_sym_logical_expression_token2] = ACTIONS(7119),
    [aux_sym_logical_expression_token3] = ACTIONS(7119),
    [aux_sym_logical_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token1] = ACTIONS(7119),
    [aux_sym_relational_expression_token2] = ACTIONS(7119),
    [aux_sym_relational_expression_token3] = ACTIONS(7119),
    [aux_sym_relational_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token5] = ACTIONS(7119),
    [anon_sym_SLASH_EQ] = ACTIONS(7119),
    [aux_sym_relational_expression_token6] = ACTIONS(7119),
    [anon_sym_SLASH_SLASH] = ACTIONS(7119),
    [anon_sym_STAR_STAR] = ACTIONS(7119),
    [anon_sym_DOT] = ACTIONS(7121),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7119),
    [aux_sym_null_literal_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token2] = ACTIONS(7121),
    [aux_sym_coarray_statement_token6] = ACTIONS(7121),
    [aux_sym_coarray_statement_token8] = ACTIONS(7121),
    [aux_sym_coarray_statement_token11] = ACTIONS(7121),
    [aux_sym_coarray_statement_token12] = ACTIONS(7121),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7121),
    [anon_sym_QMARK] = ACTIONS(7119),
    [aux_sym_identifier_token1] = ACTIONS(7121),
    [sym_comment] = ACTIONS(21),
  },
  [3344] = {
    [anon_sym_COMMA] = ACTIONS(7031),
    [anon_sym_LPAREN2] = ACTIONS(7031),
    [anon_sym_PLUS] = ACTIONS(7031),
    [anon_sym_DASH] = ACTIONS(7031),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_PERCENT] = ACTIONS(7031),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7033),
    [anon_sym_GT_EQ] = ACTIONS(7031),
    [anon_sym_LT_EQ] = ACTIONS(7031),
    [anon_sym_LT] = ACTIONS(7033),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [anon_sym_COLON_COLON] = ACTIONS(7031),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token1] = ACTIONS(7031),
    [aux_sym_logical_expression_token2] = ACTIONS(7031),
    [aux_sym_logical_expression_token3] = ACTIONS(7031),
    [aux_sym_logical_expression_token4] = ACTIONS(7031),
    [aux_sym_relational_expression_token1] = ACTIONS(7031),
    [aux_sym_relational_expression_token2] = ACTIONS(7031),
    [aux_sym_relational_expression_token3] = ACTIONS(7031),
    [aux_sym_relational_expression_token4] = ACTIONS(7031),
    [aux_sym_relational_expression_token5] = ACTIONS(7031),
    [anon_sym_SLASH_EQ] = ACTIONS(7031),
    [aux_sym_relational_expression_token6] = ACTIONS(7031),
    [anon_sym_SLASH_SLASH] = ACTIONS(7031),
    [anon_sym_STAR_STAR] = ACTIONS(7031),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [anon_sym_QMARK] = ACTIONS(7031),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
  },
  [3345] = {
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_LPAREN2] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7011),
    [anon_sym_SLASH] = ACTIONS(7011),
    [anon_sym_PERCENT] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_GT_EQ] = ACTIONS(7009),
    [anon_sym_LT_EQ] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7011),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [anon_sym_COLON_COLON] = ACTIONS(7009),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token1] = ACTIONS(7009),
    [aux_sym_logical_expression_token2] = ACTIONS(7009),
    [aux_sym_logical_expression_token3] = ACTIONS(7009),
    [aux_sym_logical_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token1] = ACTIONS(7009),
    [aux_sym_relational_expression_token2] = ACTIONS(7009),
    [aux_sym_relational_expression_token3] = ACTIONS(7009),
    [aux_sym_relational_expression_token4] = ACTIONS(7009),
    [aux_sym_relational_expression_token5] = ACTIONS(7009),
    [anon_sym_SLASH_EQ] = ACTIONS(7009),
    [aux_sym_relational_expression_token6] = ACTIONS(7009),
    [anon_sym_SLASH_SLASH] = ACTIONS(7009),
    [anon_sym_STAR_STAR] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [anon_sym_QMARK] = ACTIONS(7009),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
  },
  [3346] = {
    [anon_sym_COMMA] = ACTIONS(6797),
    [anon_sym_LPAREN2] = ACTIONS(6797),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_DASH] = ACTIONS(6797),
    [anon_sym_STAR] = ACTIONS(6799),
    [anon_sym_SLASH] = ACTIONS(6799),
    [anon_sym_PERCENT] = ACTIONS(6797),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6797),
    [anon_sym_GT] = ACTIONS(6799),
    [anon_sym_GT_EQ] = ACTIONS(6797),
    [anon_sym_LT_EQ] = ACTIONS(6797),
    [anon_sym_LT] = ACTIONS(6799),
    [aux_sym_end_program_statement_token1] = ACTIONS(6799),
    [aux_sym_block_data_statement_token1] = ACTIONS(6799),
    [aux_sym_block_data_statement_token2] = ACTIONS(6799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6799),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6799),
    [aux_sym_use_statement_token2] = ACTIONS(6799),
    [anon_sym_COLON_COLON] = ACTIONS(6797),
    [aux_sym_implicit_statement_token4] = ACTIONS(6799),
    [aux_sym_save_statement_token1] = ACTIONS(6799),
    [aux_sym_private_statement_token1] = ACTIONS(6799),
    [aux_sym_public_statement_token1] = ACTIONS(6799),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6799),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6799),
    [aux_sym_variable_attributes_token2] = ACTIONS(6799),
    [aux_sym_variable_attributes_token3] = ACTIONS(6799),
    [aux_sym_variable_attributes_token5] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6799),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6799),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6799),
    [aux_sym_type_qualifier_token1] = ACTIONS(6799),
    [aux_sym_type_qualifier_token2] = ACTIONS(6799),
    [aux_sym_stop_statement_token1] = ACTIONS(6799),
    [aux_sym_stop_statement_token2] = ACTIONS(6799),
    [aux_sym_subroutine_call_token1] = ACTIONS(6799),
    [aux_sym_keyword_statement_token2] = ACTIONS(6799),
    [aux_sym_keyword_statement_token3] = ACTIONS(6799),
    [aux_sym_keyword_statement_token4] = ACTIONS(6799),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6799),
    [aux_sym_end_if_statement_token1] = ACTIONS(6799),
    [aux_sym_elseif_clause_token2] = ACTIONS(6799),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6799),
    [aux_sym_open_statement_token1] = ACTIONS(6799),
    [aux_sym_inquire_statement_token1] = ACTIONS(6799),
    [aux_sym_entry_statement_token1] = ACTIONS(6799),
    [aux_sym_logical_expression_token1] = ACTIONS(6797),
    [aux_sym_logical_expression_token2] = ACTIONS(6797),
    [aux_sym_logical_expression_token3] = ACTIONS(6797),
    [aux_sym_logical_expression_token4] = ACTIONS(6797),
    [aux_sym_relational_expression_token1] = ACTIONS(6797),
    [aux_sym_relational_expression_token2] = ACTIONS(6797),
    [aux_sym_relational_expression_token3] = ACTIONS(6797),
    [aux_sym_relational_expression_token4] = ACTIONS(6797),
    [aux_sym_relational_expression_token5] = ACTIONS(6797),
    [anon_sym_SLASH_EQ] = ACTIONS(6797),
    [aux_sym_relational_expression_token6] = ACTIONS(6797),
    [anon_sym_SLASH_SLASH] = ACTIONS(6797),
    [anon_sym_STAR_STAR] = ACTIONS(6797),
    [anon_sym_DOT] = ACTIONS(6799),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6797),
    [anon_sym_LBRACK] = ACTIONS(6797),
    [aux_sym_null_literal_token1] = ACTIONS(6799),
    [aux_sym_coarray_statement_token1] = ACTIONS(6799),
    [aux_sym_coarray_statement_token2] = ACTIONS(6799),
    [aux_sym_coarray_statement_token6] = ACTIONS(6799),
    [aux_sym_coarray_statement_token8] = ACTIONS(6799),
    [aux_sym_coarray_statement_token11] = ACTIONS(6799),
    [aux_sym_coarray_statement_token12] = ACTIONS(6799),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6799),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6799),
    [anon_sym_QMARK] = ACTIONS(6797),
    [aux_sym_identifier_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(21),
  },
  [3347] = {
    [anon_sym_COMMA] = ACTIONS(6873),
    [anon_sym_LPAREN2] = ACTIONS(6873),
    [anon_sym_PLUS] = ACTIONS(6873),
    [anon_sym_DASH] = ACTIONS(6873),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_PERCENT] = ACTIONS(6873),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6873),
    [anon_sym_GT] = ACTIONS(6875),
    [anon_sym_GT_EQ] = ACTIONS(6873),
    [anon_sym_LT_EQ] = ACTIONS(6873),
    [anon_sym_LT] = ACTIONS(6875),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [anon_sym_COLON_COLON] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token1] = ACTIONS(6873),
    [aux_sym_logical_expression_token2] = ACTIONS(6873),
    [aux_sym_logical_expression_token3] = ACTIONS(6873),
    [aux_sym_logical_expression_token4] = ACTIONS(6873),
    [aux_sym_relational_expression_token1] = ACTIONS(6873),
    [aux_sym_relational_expression_token2] = ACTIONS(6873),
    [aux_sym_relational_expression_token3] = ACTIONS(6873),
    [aux_sym_relational_expression_token4] = ACTIONS(6873),
    [aux_sym_relational_expression_token5] = ACTIONS(6873),
    [anon_sym_SLASH_EQ] = ACTIONS(6873),
    [aux_sym_relational_expression_token6] = ACTIONS(6873),
    [anon_sym_SLASH_SLASH] = ACTIONS(6873),
    [anon_sym_STAR_STAR] = ACTIONS(6873),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6873),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [anon_sym_QMARK] = ACTIONS(6873),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
  },
  [3348] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7595),
    [aux_sym_module_statement_token1] = ACTIONS(7597),
    [aux_sym_block_data_statement_token1] = ACTIONS(7595),
    [aux_sym_block_data_statement_token2] = ACTIONS(7595),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7595),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7595),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7597),
    [aux_sym_function_statement_token1] = ACTIONS(7597),
    [aux_sym_language_binding_token1] = ACTIONS(7595),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7595),
    [aux_sym_use_statement_token2] = ACTIONS(7595),
    [anon_sym_COLON_COLON] = ACTIONS(7599),
    [aux_sym_implicit_statement_token3] = ACTIONS(7597),
    [aux_sym_implicit_statement_token4] = ACTIONS(7595),
    [aux_sym_save_statement_token1] = ACTIONS(7595),
    [aux_sym_private_statement_token1] = ACTIONS(7595),
    [aux_sym_public_statement_token1] = ACTIONS(7595),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7595),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7595),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7595),
    [aux_sym_variable_attributes_token1] = ACTIONS(7595),
    [aux_sym_variable_attributes_token2] = ACTIONS(7595),
    [aux_sym_variable_attributes_token3] = ACTIONS(7595),
    [aux_sym_variable_attributes_token4] = ACTIONS(7595),
    [aux_sym_variable_attributes_token5] = ACTIONS(7595),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7597),
    [aux_sym_derived_type_token1] = ACTIONS(7597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7595),
    [aux_sym_type_qualifier_token1] = ACTIONS(7595),
    [aux_sym_type_qualifier_token2] = ACTIONS(7595),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7597),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7597),
    [aux_sym_stop_statement_token1] = ACTIONS(7595),
    [aux_sym_stop_statement_token2] = ACTIONS(7595),
    [aux_sym_subroutine_call_token1] = ACTIONS(7595),
    [aux_sym_keyword_statement_token2] = ACTIONS(7595),
    [aux_sym_keyword_statement_token3] = ACTIONS(7595),
    [aux_sym_keyword_statement_token4] = ACTIONS(7595),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7595),
    [aux_sym_end_if_statement_token1] = ACTIONS(7595),
    [aux_sym_elseif_clause_token2] = ACTIONS(7595),
    [aux_sym_select_case_statement_token1] = ACTIONS(7595),
    [aux_sym_format_statement_token1] = ACTIONS(7595),
    [aux_sym_open_statement_token1] = ACTIONS(7595),
    [aux_sym_inquire_statement_token1] = ACTIONS(7595),
    [aux_sym_entry_statement_token1] = ACTIONS(7595),
    [aux_sym_null_literal_token1] = ACTIONS(7595),
    [aux_sym_coarray_statement_token1] = ACTIONS(7595),
    [aux_sym_coarray_statement_token2] = ACTIONS(7595),
    [aux_sym_coarray_statement_token6] = ACTIONS(7595),
    [aux_sym_coarray_statement_token8] = ACTIONS(7595),
    [aux_sym_coarray_statement_token11] = ACTIONS(7595),
    [aux_sym_coarray_statement_token12] = ACTIONS(7595),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7595),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7595),
    [aux_sym_identifier_token1] = ACTIONS(7595),
    [sym_comment] = ACTIONS(21),
  },
  [3349] = {
    [sym__variable_declarator] = STATE(6389),
    [sym_sized_declarator] = STATE(3642),
    [sym__declaration_assignment] = STATE(6660),
    [sym__declaration_pointer_association] = STATE(6692),
    [sym__declaration_targets] = STATE(7942),
    [sym_coarray_declarator] = STATE(6389),
    [sym_identifier] = STATE(5994),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_module_statement_token1] = ACTIONS(7603),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7603),
    [aux_sym_function_statement_token1] = ACTIONS(7603),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7603),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7605),
    [aux_sym_implicit_statement_token3] = ACTIONS(7603),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7603),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7603),
    [aux_sym_derived_type_token1] = ACTIONS(7603),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7603),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7603),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7603),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7603),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7603),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3350] = {
    [sym_kind] = STATE(3358),
    [sym__argument_list] = STATE(3359),
    [anon_sym_COMMA] = ACTIONS(7607),
    [anon_sym_LPAREN2] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7613),
    [aux_sym_module_statement_token1] = ACTIONS(7613),
    [aux_sym_block_data_statement_token1] = ACTIONS(7613),
    [aux_sym_block_data_statement_token2] = ACTIONS(7613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7613),
    [aux_sym_function_statement_token1] = ACTIONS(7613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7613),
    [aux_sym_use_statement_token2] = ACTIONS(7613),
    [anon_sym_COLON_COLON] = ACTIONS(7607),
    [aux_sym_implicit_statement_token3] = ACTIONS(7613),
    [aux_sym_implicit_statement_token4] = ACTIONS(7613),
    [aux_sym_save_statement_token1] = ACTIONS(7613),
    [aux_sym_private_statement_token1] = ACTIONS(7613),
    [aux_sym_public_statement_token1] = ACTIONS(7613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7613),
    [aux_sym_variable_attributes_token2] = ACTIONS(7613),
    [aux_sym_variable_attributes_token3] = ACTIONS(7613),
    [aux_sym_variable_attributes_token5] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7613),
    [aux_sym_derived_type_token1] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7613),
    [aux_sym_type_qualifier_token1] = ACTIONS(7613),
    [aux_sym_type_qualifier_token2] = ACTIONS(7613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7613),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7613),
    [aux_sym_stop_statement_token1] = ACTIONS(7613),
    [aux_sym_stop_statement_token2] = ACTIONS(7613),
    [aux_sym_subroutine_call_token1] = ACTIONS(7613),
    [aux_sym_keyword_statement_token2] = ACTIONS(7613),
    [aux_sym_keyword_statement_token3] = ACTIONS(7613),
    [aux_sym_keyword_statement_token4] = ACTIONS(7613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7613),
    [aux_sym_end_if_statement_token1] = ACTIONS(7613),
    [aux_sym_elseif_clause_token2] = ACTIONS(7613),
    [aux_sym_select_case_statement_token1] = ACTIONS(7613),
    [aux_sym_format_statement_token1] = ACTIONS(7613),
    [aux_sym_open_statement_token1] = ACTIONS(7613),
    [aux_sym_inquire_statement_token1] = ACTIONS(7613),
    [aux_sym_entry_statement_token1] = ACTIONS(7613),
    [aux_sym_null_literal_token1] = ACTIONS(7613),
    [aux_sym_coarray_statement_token1] = ACTIONS(7613),
    [aux_sym_coarray_statement_token2] = ACTIONS(7613),
    [aux_sym_coarray_statement_token6] = ACTIONS(7613),
    [aux_sym_coarray_statement_token8] = ACTIONS(7613),
    [aux_sym_coarray_statement_token11] = ACTIONS(7613),
    [aux_sym_coarray_statement_token12] = ACTIONS(7613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7613),
    [aux_sym_identifier_token1] = ACTIONS(7613),
    [sym_comment] = ACTIONS(21),
  },
  [3351] = {
    [anon_sym_COMMA] = ACTIONS(7615),
    [anon_sym_RPAREN] = ACTIONS(7615),
    [anon_sym_LPAREN2] = ACTIONS(7615),
    [anon_sym_STAR] = ACTIONS(7615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7617),
    [aux_sym_module_statement_token1] = ACTIONS(7617),
    [aux_sym_block_data_statement_token1] = ACTIONS(7617),
    [aux_sym_block_data_statement_token2] = ACTIONS(7617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7617),
    [aux_sym_function_statement_token1] = ACTIONS(7617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7617),
    [aux_sym_use_statement_token2] = ACTIONS(7617),
    [anon_sym_COLON_COLON] = ACTIONS(7615),
    [aux_sym_implicit_statement_token3] = ACTIONS(7617),
    [aux_sym_implicit_statement_token4] = ACTIONS(7617),
    [aux_sym_save_statement_token1] = ACTIONS(7617),
    [aux_sym_private_statement_token1] = ACTIONS(7617),
    [aux_sym_public_statement_token1] = ACTIONS(7617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7617),
    [aux_sym_variable_attributes_token2] = ACTIONS(7617),
    [aux_sym_variable_attributes_token3] = ACTIONS(7617),
    [aux_sym_variable_attributes_token5] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7617),
    [aux_sym_derived_type_token1] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7617),
    [aux_sym_type_qualifier_token1] = ACTIONS(7617),
    [aux_sym_type_qualifier_token2] = ACTIONS(7617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7617),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7617),
    [aux_sym_stop_statement_token1] = ACTIONS(7617),
    [aux_sym_stop_statement_token2] = ACTIONS(7617),
    [aux_sym_subroutine_call_token1] = ACTIONS(7617),
    [aux_sym_keyword_statement_token2] = ACTIONS(7617),
    [aux_sym_keyword_statement_token3] = ACTIONS(7617),
    [aux_sym_keyword_statement_token4] = ACTIONS(7617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7617),
    [aux_sym_end_if_statement_token1] = ACTIONS(7617),
    [aux_sym_elseif_clause_token2] = ACTIONS(7617),
    [aux_sym_select_case_statement_token1] = ACTIONS(7617),
    [aux_sym_format_statement_token1] = ACTIONS(7617),
    [aux_sym_open_statement_token1] = ACTIONS(7617),
    [aux_sym_inquire_statement_token1] = ACTIONS(7617),
    [aux_sym_entry_statement_token1] = ACTIONS(7617),
    [aux_sym_null_literal_token1] = ACTIONS(7617),
    [aux_sym_coarray_statement_token1] = ACTIONS(7617),
    [aux_sym_coarray_statement_token2] = ACTIONS(7617),
    [aux_sym_coarray_statement_token6] = ACTIONS(7617),
    [aux_sym_coarray_statement_token8] = ACTIONS(7617),
    [aux_sym_coarray_statement_token11] = ACTIONS(7617),
    [aux_sym_coarray_statement_token12] = ACTIONS(7617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7617),
    [aux_sym_identifier_token1] = ACTIONS(7617),
    [sym_comment] = ACTIONS(21),
  },
  [3352] = {
    [anon_sym_COMMA] = ACTIONS(7619),
    [anon_sym_RPAREN] = ACTIONS(7619),
    [anon_sym_LPAREN2] = ACTIONS(7619),
    [anon_sym_STAR] = ACTIONS(7619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7621),
    [aux_sym_module_statement_token1] = ACTIONS(7621),
    [aux_sym_block_data_statement_token1] = ACTIONS(7621),
    [aux_sym_block_data_statement_token2] = ACTIONS(7621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7621),
    [aux_sym_function_statement_token1] = ACTIONS(7621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7621),
    [aux_sym_use_statement_token2] = ACTIONS(7621),
    [anon_sym_COLON_COLON] = ACTIONS(7619),
    [aux_sym_implicit_statement_token3] = ACTIONS(7621),
    [aux_sym_implicit_statement_token4] = ACTIONS(7621),
    [aux_sym_save_statement_token1] = ACTIONS(7621),
    [aux_sym_private_statement_token1] = ACTIONS(7621),
    [aux_sym_public_statement_token1] = ACTIONS(7621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7621),
    [aux_sym_variable_attributes_token2] = ACTIONS(7621),
    [aux_sym_variable_attributes_token3] = ACTIONS(7621),
    [aux_sym_variable_attributes_token5] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7621),
    [aux_sym_derived_type_token1] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7621),
    [aux_sym_type_qualifier_token1] = ACTIONS(7621),
    [aux_sym_type_qualifier_token2] = ACTIONS(7621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7621),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7621),
    [aux_sym_stop_statement_token1] = ACTIONS(7621),
    [aux_sym_stop_statement_token2] = ACTIONS(7621),
    [aux_sym_subroutine_call_token1] = ACTIONS(7621),
    [aux_sym_keyword_statement_token2] = ACTIONS(7621),
    [aux_sym_keyword_statement_token3] = ACTIONS(7621),
    [aux_sym_keyword_statement_token4] = ACTIONS(7621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7621),
    [aux_sym_end_if_statement_token1] = ACTIONS(7621),
    [aux_sym_elseif_clause_token2] = ACTIONS(7621),
    [aux_sym_select_case_statement_token1] = ACTIONS(7621),
    [aux_sym_format_statement_token1] = ACTIONS(7621),
    [aux_sym_open_statement_token1] = ACTIONS(7621),
    [aux_sym_inquire_statement_token1] = ACTIONS(7621),
    [aux_sym_entry_statement_token1] = ACTIONS(7621),
    [aux_sym_null_literal_token1] = ACTIONS(7621),
    [aux_sym_coarray_statement_token1] = ACTIONS(7621),
    [aux_sym_coarray_statement_token2] = ACTIONS(7621),
    [aux_sym_coarray_statement_token6] = ACTIONS(7621),
    [aux_sym_coarray_statement_token8] = ACTIONS(7621),
    [aux_sym_coarray_statement_token11] = ACTIONS(7621),
    [aux_sym_coarray_statement_token12] = ACTIONS(7621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7621),
    [aux_sym_identifier_token1] = ACTIONS(7621),
    [sym_comment] = ACTIONS(21),
  },
  [3353] = {
    [anon_sym_COMMA] = ACTIONS(5999),
    [anon_sym_RPAREN] = ACTIONS(5999),
    [anon_sym_LPAREN2] = ACTIONS(5999),
    [anon_sym_STAR] = ACTIONS(5999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6007),
    [aux_sym_module_statement_token1] = ACTIONS(6007),
    [aux_sym_block_data_statement_token1] = ACTIONS(6007),
    [aux_sym_block_data_statement_token2] = ACTIONS(6007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6007),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6007),
    [aux_sym_function_statement_token1] = ACTIONS(6007),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6007),
    [aux_sym_use_statement_token2] = ACTIONS(6007),
    [anon_sym_COLON_COLON] = ACTIONS(5999),
    [aux_sym_implicit_statement_token3] = ACTIONS(6007),
    [aux_sym_implicit_statement_token4] = ACTIONS(6007),
    [aux_sym_save_statement_token1] = ACTIONS(6007),
    [aux_sym_private_statement_token1] = ACTIONS(6007),
    [aux_sym_public_statement_token1] = ACTIONS(6007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6007),
    [aux_sym_variable_attributes_token2] = ACTIONS(6007),
    [aux_sym_variable_attributes_token3] = ACTIONS(6007),
    [aux_sym_variable_attributes_token5] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6007),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6007),
    [aux_sym_derived_type_token1] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6007),
    [aux_sym_type_qualifier_token1] = ACTIONS(6007),
    [aux_sym_type_qualifier_token2] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6007),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6007),
    [aux_sym_stop_statement_token1] = ACTIONS(6007),
    [aux_sym_stop_statement_token2] = ACTIONS(6007),
    [aux_sym_subroutine_call_token1] = ACTIONS(6007),
    [aux_sym_keyword_statement_token2] = ACTIONS(6007),
    [aux_sym_keyword_statement_token3] = ACTIONS(6007),
    [aux_sym_keyword_statement_token4] = ACTIONS(6007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6007),
    [aux_sym_end_if_statement_token1] = ACTIONS(6007),
    [aux_sym_elseif_clause_token2] = ACTIONS(6007),
    [aux_sym_select_case_statement_token1] = ACTIONS(6007),
    [aux_sym_format_statement_token1] = ACTIONS(6007),
    [aux_sym_open_statement_token1] = ACTIONS(6007),
    [aux_sym_inquire_statement_token1] = ACTIONS(6007),
    [aux_sym_entry_statement_token1] = ACTIONS(6007),
    [aux_sym_null_literal_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_statement_token2] = ACTIONS(6007),
    [aux_sym_coarray_statement_token6] = ACTIONS(6007),
    [aux_sym_coarray_statement_token8] = ACTIONS(6007),
    [aux_sym_coarray_statement_token11] = ACTIONS(6007),
    [aux_sym_coarray_statement_token12] = ACTIONS(6007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6007),
    [aux_sym_identifier_token1] = ACTIONS(6007),
    [sym_comment] = ACTIONS(21),
  },
  [3354] = {
    [anon_sym_COMMA] = ACTIONS(7623),
    [anon_sym_RPAREN] = ACTIONS(7623),
    [anon_sym_LPAREN2] = ACTIONS(7623),
    [anon_sym_STAR] = ACTIONS(7623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7625),
    [aux_sym_module_statement_token1] = ACTIONS(7625),
    [aux_sym_block_data_statement_token1] = ACTIONS(7625),
    [aux_sym_block_data_statement_token2] = ACTIONS(7625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7625),
    [aux_sym_function_statement_token1] = ACTIONS(7625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7625),
    [aux_sym_use_statement_token2] = ACTIONS(7625),
    [anon_sym_COLON_COLON] = ACTIONS(7623),
    [aux_sym_implicit_statement_token3] = ACTIONS(7625),
    [aux_sym_implicit_statement_token4] = ACTIONS(7625),
    [aux_sym_save_statement_token1] = ACTIONS(7625),
    [aux_sym_private_statement_token1] = ACTIONS(7625),
    [aux_sym_public_statement_token1] = ACTIONS(7625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7625),
    [aux_sym_variable_attributes_token2] = ACTIONS(7625),
    [aux_sym_variable_attributes_token3] = ACTIONS(7625),
    [aux_sym_variable_attributes_token5] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7625),
    [aux_sym_derived_type_token1] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7625),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7625),
    [aux_sym_type_qualifier_token1] = ACTIONS(7625),
    [aux_sym_type_qualifier_token2] = ACTIONS(7625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7625),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7625),
    [aux_sym_stop_statement_token1] = ACTIONS(7625),
    [aux_sym_stop_statement_token2] = ACTIONS(7625),
    [aux_sym_subroutine_call_token1] = ACTIONS(7625),
    [aux_sym_keyword_statement_token2] = ACTIONS(7625),
    [aux_sym_keyword_statement_token3] = ACTIONS(7625),
    [aux_sym_keyword_statement_token4] = ACTIONS(7625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7625),
    [aux_sym_end_if_statement_token1] = ACTIONS(7625),
    [aux_sym_elseif_clause_token2] = ACTIONS(7625),
    [aux_sym_select_case_statement_token1] = ACTIONS(7625),
    [aux_sym_format_statement_token1] = ACTIONS(7625),
    [aux_sym_open_statement_token1] = ACTIONS(7625),
    [aux_sym_inquire_statement_token1] = ACTIONS(7625),
    [aux_sym_entry_statement_token1] = ACTIONS(7625),
    [aux_sym_null_literal_token1] = ACTIONS(7625),
    [aux_sym_coarray_statement_token1] = ACTIONS(7625),
    [aux_sym_coarray_statement_token2] = ACTIONS(7625),
    [aux_sym_coarray_statement_token6] = ACTIONS(7625),
    [aux_sym_coarray_statement_token8] = ACTIONS(7625),
    [aux_sym_coarray_statement_token11] = ACTIONS(7625),
    [aux_sym_coarray_statement_token12] = ACTIONS(7625),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7625),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7625),
    [aux_sym_identifier_token1] = ACTIONS(7625),
    [sym_comment] = ACTIONS(21),
  },
  [3355] = {
    [anon_sym_COMMA] = ACTIONS(7627),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_LPAREN2] = ACTIONS(7627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7629),
    [aux_sym_module_statement_token1] = ACTIONS(7629),
    [aux_sym_block_data_statement_token1] = ACTIONS(7629),
    [aux_sym_block_data_statement_token2] = ACTIONS(7629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7629),
    [aux_sym_function_statement_token1] = ACTIONS(7629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7629),
    [aux_sym_use_statement_token2] = ACTIONS(7629),
    [anon_sym_COLON_COLON] = ACTIONS(7627),
    [aux_sym_implicit_statement_token3] = ACTIONS(7629),
    [aux_sym_implicit_statement_token4] = ACTIONS(7629),
    [aux_sym_save_statement_token1] = ACTIONS(7629),
    [aux_sym_private_statement_token1] = ACTIONS(7629),
    [aux_sym_public_statement_token1] = ACTIONS(7629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7629),
    [aux_sym_variable_attributes_token2] = ACTIONS(7629),
    [aux_sym_variable_attributes_token3] = ACTIONS(7629),
    [aux_sym_variable_attributes_token5] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7629),
    [aux_sym_derived_type_token1] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7629),
    [aux_sym_type_qualifier_token1] = ACTIONS(7629),
    [aux_sym_type_qualifier_token2] = ACTIONS(7629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7629),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7629),
    [aux_sym_stop_statement_token1] = ACTIONS(7629),
    [aux_sym_stop_statement_token2] = ACTIONS(7629),
    [aux_sym_subroutine_call_token1] = ACTIONS(7629),
    [aux_sym_keyword_statement_token2] = ACTIONS(7629),
    [aux_sym_keyword_statement_token3] = ACTIONS(7629),
    [aux_sym_keyword_statement_token4] = ACTIONS(7629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7629),
    [aux_sym_end_if_statement_token1] = ACTIONS(7629),
    [aux_sym_elseif_clause_token2] = ACTIONS(7629),
    [aux_sym_select_case_statement_token1] = ACTIONS(7629),
    [aux_sym_format_statement_token1] = ACTIONS(7629),
    [aux_sym_open_statement_token1] = ACTIONS(7629),
    [aux_sym_inquire_statement_token1] = ACTIONS(7629),
    [aux_sym_entry_statement_token1] = ACTIONS(7629),
    [aux_sym_null_literal_token1] = ACTIONS(7629),
    [aux_sym_coarray_statement_token1] = ACTIONS(7629),
    [aux_sym_coarray_statement_token2] = ACTIONS(7629),
    [aux_sym_coarray_statement_token6] = ACTIONS(7629),
    [aux_sym_coarray_statement_token8] = ACTIONS(7629),
    [aux_sym_coarray_statement_token11] = ACTIONS(7629),
    [aux_sym_coarray_statement_token12] = ACTIONS(7629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7629),
    [aux_sym_identifier_token1] = ACTIONS(7629),
    [sym_comment] = ACTIONS(21),
  },
  [3356] = {
    [anon_sym_COMMA] = ACTIONS(7631),
    [anon_sym_RPAREN] = ACTIONS(7631),
    [anon_sym_LPAREN2] = ACTIONS(7631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7634),
    [aux_sym_module_statement_token1] = ACTIONS(7634),
    [aux_sym_block_data_statement_token1] = ACTIONS(7634),
    [aux_sym_block_data_statement_token2] = ACTIONS(7634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7634),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7634),
    [aux_sym_function_statement_token1] = ACTIONS(7634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7634),
    [aux_sym_use_statement_token2] = ACTIONS(7634),
    [anon_sym_COLON_COLON] = ACTIONS(7631),
    [aux_sym_implicit_statement_token3] = ACTIONS(7634),
    [aux_sym_implicit_statement_token4] = ACTIONS(7634),
    [aux_sym_save_statement_token1] = ACTIONS(7634),
    [aux_sym_private_statement_token1] = ACTIONS(7634),
    [aux_sym_public_statement_token1] = ACTIONS(7634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7634),
    [aux_sym_variable_attributes_token2] = ACTIONS(7634),
    [aux_sym_variable_attributes_token3] = ACTIONS(7634),
    [aux_sym_variable_attributes_token5] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7634),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7634),
    [aux_sym_derived_type_token1] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7634),
    [aux_sym_type_qualifier_token1] = ACTIONS(7634),
    [aux_sym_type_qualifier_token2] = ACTIONS(7634),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7634),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7634),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7634),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7634),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7634),
    [aux_sym_stop_statement_token1] = ACTIONS(7634),
    [aux_sym_stop_statement_token2] = ACTIONS(7634),
    [aux_sym_subroutine_call_token1] = ACTIONS(7634),
    [aux_sym_keyword_statement_token2] = ACTIONS(7634),
    [aux_sym_keyword_statement_token3] = ACTIONS(7634),
    [aux_sym_keyword_statement_token4] = ACTIONS(7634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7634),
    [aux_sym_end_if_statement_token1] = ACTIONS(7634),
    [aux_sym_elseif_clause_token2] = ACTIONS(7634),
    [aux_sym_select_case_statement_token1] = ACTIONS(7634),
    [aux_sym_format_statement_token1] = ACTIONS(7634),
    [aux_sym_open_statement_token1] = ACTIONS(7634),
    [aux_sym_inquire_statement_token1] = ACTIONS(7634),
    [aux_sym_entry_statement_token1] = ACTIONS(7634),
    [aux_sym_null_literal_token1] = ACTIONS(7634),
    [aux_sym_coarray_statement_token1] = ACTIONS(7634),
    [aux_sym_coarray_statement_token2] = ACTIONS(7634),
    [aux_sym_coarray_statement_token6] = ACTIONS(7634),
    [aux_sym_coarray_statement_token8] = ACTIONS(7634),
    [aux_sym_coarray_statement_token11] = ACTIONS(7634),
    [aux_sym_coarray_statement_token12] = ACTIONS(7634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7634),
    [aux_sym_identifier_token1] = ACTIONS(7634),
    [sym_comment] = ACTIONS(21),
  },
  [3357] = {
    [anon_sym_COMMA] = ACTIONS(7637),
    [anon_sym_RPAREN] = ACTIONS(7637),
    [anon_sym_LPAREN2] = ACTIONS(7637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7639),
    [aux_sym_module_statement_token1] = ACTIONS(7639),
    [aux_sym_block_data_statement_token1] = ACTIONS(7639),
    [aux_sym_block_data_statement_token2] = ACTIONS(7639),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7639),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7639),
    [aux_sym_function_statement_token1] = ACTIONS(7639),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7639),
    [aux_sym_use_statement_token2] = ACTIONS(7639),
    [anon_sym_COLON_COLON] = ACTIONS(7637),
    [aux_sym_implicit_statement_token3] = ACTIONS(7639),
    [aux_sym_implicit_statement_token4] = ACTIONS(7639),
    [aux_sym_save_statement_token1] = ACTIONS(7639),
    [aux_sym_private_statement_token1] = ACTIONS(7639),
    [aux_sym_public_statement_token1] = ACTIONS(7639),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7639),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7639),
    [aux_sym_variable_attributes_token2] = ACTIONS(7639),
    [aux_sym_variable_attributes_token3] = ACTIONS(7639),
    [aux_sym_variable_attributes_token5] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7639),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7639),
    [aux_sym_derived_type_token1] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7639),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7639),
    [aux_sym_type_qualifier_token1] = ACTIONS(7639),
    [aux_sym_type_qualifier_token2] = ACTIONS(7639),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7639),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7639),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7639),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7639),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7639),
    [aux_sym_stop_statement_token1] = ACTIONS(7639),
    [aux_sym_stop_statement_token2] = ACTIONS(7639),
    [aux_sym_subroutine_call_token1] = ACTIONS(7639),
    [aux_sym_keyword_statement_token2] = ACTIONS(7639),
    [aux_sym_keyword_statement_token3] = ACTIONS(7639),
    [aux_sym_keyword_statement_token4] = ACTIONS(7639),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7639),
    [aux_sym_end_if_statement_token1] = ACTIONS(7639),
    [aux_sym_elseif_clause_token2] = ACTIONS(7639),
    [aux_sym_select_case_statement_token1] = ACTIONS(7639),
    [aux_sym_format_statement_token1] = ACTIONS(7639),
    [aux_sym_open_statement_token1] = ACTIONS(7639),
    [aux_sym_inquire_statement_token1] = ACTIONS(7639),
    [aux_sym_entry_statement_token1] = ACTIONS(7639),
    [aux_sym_null_literal_token1] = ACTIONS(7639),
    [aux_sym_coarray_statement_token1] = ACTIONS(7639),
    [aux_sym_coarray_statement_token2] = ACTIONS(7639),
    [aux_sym_coarray_statement_token6] = ACTIONS(7639),
    [aux_sym_coarray_statement_token8] = ACTIONS(7639),
    [aux_sym_coarray_statement_token11] = ACTIONS(7639),
    [aux_sym_coarray_statement_token12] = ACTIONS(7639),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7639),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7639),
    [aux_sym_identifier_token1] = ACTIONS(7639),
    [sym_comment] = ACTIONS(21),
  },
  [3358] = {
    [anon_sym_COMMA] = ACTIONS(7641),
    [anon_sym_RPAREN] = ACTIONS(7641),
    [anon_sym_LPAREN2] = ACTIONS(7641),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7643),
    [aux_sym_module_statement_token1] = ACTIONS(7643),
    [aux_sym_block_data_statement_token1] = ACTIONS(7643),
    [aux_sym_block_data_statement_token2] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7643),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7643),
    [aux_sym_function_statement_token1] = ACTIONS(7643),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7643),
    [aux_sym_use_statement_token2] = ACTIONS(7643),
    [anon_sym_COLON_COLON] = ACTIONS(7641),
    [aux_sym_implicit_statement_token3] = ACTIONS(7643),
    [aux_sym_implicit_statement_token4] = ACTIONS(7643),
    [aux_sym_save_statement_token1] = ACTIONS(7643),
    [aux_sym_private_statement_token1] = ACTIONS(7643),
    [aux_sym_public_statement_token1] = ACTIONS(7643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7643),
    [aux_sym_variable_attributes_token2] = ACTIONS(7643),
    [aux_sym_variable_attributes_token3] = ACTIONS(7643),
    [aux_sym_variable_attributes_token5] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7643),
    [aux_sym_derived_type_token1] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7643),
    [aux_sym_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7643),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7643),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7643),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7643),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7643),
    [aux_sym_stop_statement_token1] = ACTIONS(7643),
    [aux_sym_stop_statement_token2] = ACTIONS(7643),
    [aux_sym_subroutine_call_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token2] = ACTIONS(7643),
    [aux_sym_keyword_statement_token3] = ACTIONS(7643),
    [aux_sym_keyword_statement_token4] = ACTIONS(7643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7643),
    [aux_sym_end_if_statement_token1] = ACTIONS(7643),
    [aux_sym_elseif_clause_token2] = ACTIONS(7643),
    [aux_sym_select_case_statement_token1] = ACTIONS(7643),
    [aux_sym_format_statement_token1] = ACTIONS(7643),
    [aux_sym_open_statement_token1] = ACTIONS(7643),
    [aux_sym_inquire_statement_token1] = ACTIONS(7643),
    [aux_sym_entry_statement_token1] = ACTIONS(7643),
    [aux_sym_null_literal_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token2] = ACTIONS(7643),
    [aux_sym_coarray_statement_token6] = ACTIONS(7643),
    [aux_sym_coarray_statement_token8] = ACTIONS(7643),
    [aux_sym_coarray_statement_token11] = ACTIONS(7643),
    [aux_sym_coarray_statement_token12] = ACTIONS(7643),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7643),
    [aux_sym_identifier_token1] = ACTIONS(7643),
    [sym_comment] = ACTIONS(21),
  },
  [3359] = {
    [anon_sym_COMMA] = ACTIONS(7645),
    [anon_sym_RPAREN] = ACTIONS(7645),
    [anon_sym_LPAREN2] = ACTIONS(7645),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7647),
    [aux_sym_module_statement_token1] = ACTIONS(7647),
    [aux_sym_block_data_statement_token1] = ACTIONS(7647),
    [aux_sym_block_data_statement_token2] = ACTIONS(7647),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7647),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7647),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7647),
    [aux_sym_function_statement_token1] = ACTIONS(7647),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7647),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7647),
    [aux_sym_use_statement_token2] = ACTIONS(7647),
    [anon_sym_COLON_COLON] = ACTIONS(7645),
    [aux_sym_implicit_statement_token3] = ACTIONS(7647),
    [aux_sym_implicit_statement_token4] = ACTIONS(7647),
    [aux_sym_save_statement_token1] = ACTIONS(7647),
    [aux_sym_private_statement_token1] = ACTIONS(7647),
    [aux_sym_public_statement_token1] = ACTIONS(7647),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7647),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7647),
    [aux_sym_variable_attributes_token2] = ACTIONS(7647),
    [aux_sym_variable_attributes_token3] = ACTIONS(7647),
    [aux_sym_variable_attributes_token5] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7647),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7647),
    [aux_sym_derived_type_token1] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7647),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7647),
    [aux_sym_type_qualifier_token1] = ACTIONS(7647),
    [aux_sym_type_qualifier_token2] = ACTIONS(7647),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7647),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7647),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7647),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7647),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7647),
    [aux_sym_stop_statement_token1] = ACTIONS(7647),
    [aux_sym_stop_statement_token2] = ACTIONS(7647),
    [aux_sym_subroutine_call_token1] = ACTIONS(7647),
    [aux_sym_keyword_statement_token2] = ACTIONS(7647),
    [aux_sym_keyword_statement_token3] = ACTIONS(7647),
    [aux_sym_keyword_statement_token4] = ACTIONS(7647),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7647),
    [aux_sym_end_if_statement_token1] = ACTIONS(7647),
    [aux_sym_elseif_clause_token2] = ACTIONS(7647),
    [aux_sym_select_case_statement_token1] = ACTIONS(7647),
    [aux_sym_format_statement_token1] = ACTIONS(7647),
    [aux_sym_open_statement_token1] = ACTIONS(7647),
    [aux_sym_inquire_statement_token1] = ACTIONS(7647),
    [aux_sym_entry_statement_token1] = ACTIONS(7647),
    [aux_sym_null_literal_token1] = ACTIONS(7647),
    [aux_sym_coarray_statement_token1] = ACTIONS(7647),
    [aux_sym_coarray_statement_token2] = ACTIONS(7647),
    [aux_sym_coarray_statement_token6] = ACTIONS(7647),
    [aux_sym_coarray_statement_token8] = ACTIONS(7647),
    [aux_sym_coarray_statement_token11] = ACTIONS(7647),
    [aux_sym_coarray_statement_token12] = ACTIONS(7647),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7647),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7647),
    [aux_sym_identifier_token1] = ACTIONS(7647),
    [sym_comment] = ACTIONS(21),
  },
  [3360] = {
    [anon_sym_COMMA] = ACTIONS(7649),
    [anon_sym_RPAREN] = ACTIONS(7649),
    [anon_sym_LPAREN2] = ACTIONS(7649),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7651),
    [aux_sym_module_statement_token1] = ACTIONS(7651),
    [aux_sym_block_data_statement_token1] = ACTIONS(7651),
    [aux_sym_block_data_statement_token2] = ACTIONS(7651),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7651),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7651),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7651),
    [aux_sym_function_statement_token1] = ACTIONS(7651),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7651),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7651),
    [aux_sym_use_statement_token2] = ACTIONS(7651),
    [anon_sym_COLON_COLON] = ACTIONS(7649),
    [aux_sym_implicit_statement_token3] = ACTIONS(7651),
    [aux_sym_implicit_statement_token4] = ACTIONS(7651),
    [aux_sym_save_statement_token1] = ACTIONS(7651),
    [aux_sym_private_statement_token1] = ACTIONS(7651),
    [aux_sym_public_statement_token1] = ACTIONS(7651),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7651),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7651),
    [aux_sym_variable_attributes_token2] = ACTIONS(7651),
    [aux_sym_variable_attributes_token3] = ACTIONS(7651),
    [aux_sym_variable_attributes_token5] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7651),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7651),
    [aux_sym_derived_type_token1] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7651),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7651),
    [aux_sym_type_qualifier_token1] = ACTIONS(7651),
    [aux_sym_type_qualifier_token2] = ACTIONS(7651),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7651),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7651),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7651),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7651),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7651),
    [aux_sym_stop_statement_token1] = ACTIONS(7651),
    [aux_sym_stop_statement_token2] = ACTIONS(7651),
    [aux_sym_subroutine_call_token1] = ACTIONS(7651),
    [aux_sym_keyword_statement_token2] = ACTIONS(7651),
    [aux_sym_keyword_statement_token3] = ACTIONS(7651),
    [aux_sym_keyword_statement_token4] = ACTIONS(7651),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7651),
    [aux_sym_end_if_statement_token1] = ACTIONS(7651),
    [aux_sym_elseif_clause_token2] = ACTIONS(7651),
    [aux_sym_select_case_statement_token1] = ACTIONS(7651),
    [aux_sym_format_statement_token1] = ACTIONS(7651),
    [aux_sym_open_statement_token1] = ACTIONS(7651),
    [aux_sym_inquire_statement_token1] = ACTIONS(7651),
    [aux_sym_entry_statement_token1] = ACTIONS(7651),
    [aux_sym_null_literal_token1] = ACTIONS(7651),
    [aux_sym_coarray_statement_token1] = ACTIONS(7651),
    [aux_sym_coarray_statement_token2] = ACTIONS(7651),
    [aux_sym_coarray_statement_token6] = ACTIONS(7651),
    [aux_sym_coarray_statement_token8] = ACTIONS(7651),
    [aux_sym_coarray_statement_token11] = ACTIONS(7651),
    [aux_sym_coarray_statement_token12] = ACTIONS(7651),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7651),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7651),
    [aux_sym_identifier_token1] = ACTIONS(7651),
    [sym_comment] = ACTIONS(21),
  },
  [3361] = {
    [anon_sym_COMMA] = ACTIONS(7653),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7655),
    [aux_sym_module_statement_token1] = ACTIONS(7655),
    [aux_sym_block_data_statement_token1] = ACTIONS(7655),
    [aux_sym_block_data_statement_token2] = ACTIONS(7655),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7655),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7655),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7655),
    [aux_sym_function_statement_token1] = ACTIONS(7655),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7655),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7655),
    [aux_sym_use_statement_token2] = ACTIONS(7655),
    [anon_sym_COLON_COLON] = ACTIONS(7653),
    [aux_sym_implicit_statement_token3] = ACTIONS(7655),
    [aux_sym_implicit_statement_token4] = ACTIONS(7655),
    [aux_sym_save_statement_token1] = ACTIONS(7655),
    [aux_sym_private_statement_token1] = ACTIONS(7655),
    [aux_sym_public_statement_token1] = ACTIONS(7655),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7655),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7655),
    [aux_sym_variable_attributes_token2] = ACTIONS(7655),
    [aux_sym_variable_attributes_token3] = ACTIONS(7655),
    [aux_sym_variable_attributes_token5] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7655),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7655),
    [aux_sym_derived_type_token1] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7655),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7655),
    [aux_sym_type_qualifier_token1] = ACTIONS(7655),
    [aux_sym_type_qualifier_token2] = ACTIONS(7655),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7655),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7655),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7655),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7655),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7655),
    [aux_sym_stop_statement_token1] = ACTIONS(7655),
    [aux_sym_stop_statement_token2] = ACTIONS(7655),
    [aux_sym_subroutine_call_token1] = ACTIONS(7655),
    [aux_sym_keyword_statement_token2] = ACTIONS(7655),
    [aux_sym_keyword_statement_token3] = ACTIONS(7655),
    [aux_sym_keyword_statement_token4] = ACTIONS(7655),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7655),
    [aux_sym_end_if_statement_token1] = ACTIONS(7655),
    [aux_sym_elseif_clause_token2] = ACTIONS(7655),
    [aux_sym_select_case_statement_token1] = ACTIONS(7655),
    [aux_sym_format_statement_token1] = ACTIONS(7655),
    [aux_sym_open_statement_token1] = ACTIONS(7655),
    [aux_sym_inquire_statement_token1] = ACTIONS(7655),
    [aux_sym_entry_statement_token1] = ACTIONS(7655),
    [aux_sym_null_literal_token1] = ACTIONS(7655),
    [aux_sym_coarray_statement_token1] = ACTIONS(7655),
    [aux_sym_coarray_statement_token2] = ACTIONS(7655),
    [aux_sym_coarray_statement_token6] = ACTIONS(7655),
    [aux_sym_coarray_statement_token8] = ACTIONS(7655),
    [aux_sym_coarray_statement_token11] = ACTIONS(7655),
    [aux_sym_coarray_statement_token12] = ACTIONS(7655),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7655),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7655),
    [aux_sym_identifier_token1] = ACTIONS(7655),
    [sym_comment] = ACTIONS(21),
  },
  [3362] = {
    [sym__name] = STATE(1861),
    [sym_identifier] = STATE(1857),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7657),
    [aux_sym_module_statement_token1] = ACTIONS(7659),
    [aux_sym_block_data_statement_token1] = ACTIONS(7661),
    [aux_sym_block_data_statement_token2] = ACTIONS(7661),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7661),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7661),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7659),
    [aux_sym_function_statement_token1] = ACTIONS(7659),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7659),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7661),
    [aux_sym_use_statement_token2] = ACTIONS(7661),
    [aux_sym_implicit_statement_token3] = ACTIONS(7659),
    [aux_sym_implicit_statement_token4] = ACTIONS(7661),
    [aux_sym_save_statement_token1] = ACTIONS(7661),
    [aux_sym_private_statement_token1] = ACTIONS(7661),
    [aux_sym_public_statement_token1] = ACTIONS(7661),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7661),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7661),
    [aux_sym_variable_attributes_token2] = ACTIONS(7661),
    [aux_sym_variable_attributes_token3] = ACTIONS(7661),
    [aux_sym_variable_attributes_token5] = ACTIONS(7661),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7663),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7659),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7663),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7666),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7659),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7659),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7659),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7659),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7659),
    [aux_sym_derived_type_token1] = ACTIONS(7659),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7669),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7669),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7661),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7661),
    [aux_sym_type_qualifier_token1] = ACTIONS(7661),
    [aux_sym_type_qualifier_token2] = ACTIONS(7661),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7659),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7659),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7659),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7659),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7659),
    [aux_sym_stop_statement_token1] = ACTIONS(7661),
    [aux_sym_stop_statement_token2] = ACTIONS(7661),
    [aux_sym_subroutine_call_token1] = ACTIONS(7669),
    [aux_sym_keyword_statement_token2] = ACTIONS(7661),
    [aux_sym_keyword_statement_token3] = ACTIONS(7661),
    [aux_sym_keyword_statement_token4] = ACTIONS(7671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7661),
    [aux_sym_end_if_statement_token1] = ACTIONS(7661),
    [aux_sym_elseif_clause_token2] = ACTIONS(7661),
    [aux_sym_select_case_statement_token1] = ACTIONS(7673),
    [aux_sym_format_statement_token1] = ACTIONS(7661),
    [aux_sym_open_statement_token1] = ACTIONS(7669),
    [aux_sym_inquire_statement_token1] = ACTIONS(7661),
    [aux_sym_entry_statement_token1] = ACTIONS(7661),
    [aux_sym_null_literal_token1] = ACTIONS(7661),
    [aux_sym_coarray_statement_token1] = ACTIONS(7661),
    [aux_sym_coarray_statement_token2] = ACTIONS(7661),
    [aux_sym_coarray_statement_token6] = ACTIONS(7661),
    [aux_sym_coarray_statement_token8] = ACTIONS(7661),
    [aux_sym_coarray_statement_token11] = ACTIONS(7661),
    [aux_sym_coarray_statement_token12] = ACTIONS(7661),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7661),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7661),
    [aux_sym_identifier_token1] = ACTIONS(7661),
    [sym_comment] = ACTIONS(21),
  },
  [3363] = {
    [anon_sym_COMMA] = ACTIONS(7675),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7677),
    [aux_sym_module_statement_token1] = ACTIONS(7677),
    [aux_sym_block_data_statement_token1] = ACTIONS(7677),
    [aux_sym_block_data_statement_token2] = ACTIONS(7677),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7677),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7677),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7677),
    [aux_sym_function_statement_token1] = ACTIONS(7677),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7677),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7677),
    [aux_sym_use_statement_token2] = ACTIONS(7677),
    [anon_sym_COLON_COLON] = ACTIONS(7675),
    [aux_sym_implicit_statement_token3] = ACTIONS(7677),
    [aux_sym_implicit_statement_token4] = ACTIONS(7677),
    [aux_sym_save_statement_token1] = ACTIONS(7677),
    [aux_sym_private_statement_token1] = ACTIONS(7677),
    [aux_sym_public_statement_token1] = ACTIONS(7677),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7677),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7677),
    [aux_sym_variable_attributes_token2] = ACTIONS(7677),
    [aux_sym_variable_attributes_token3] = ACTIONS(7677),
    [aux_sym_variable_attributes_token5] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7677),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7677),
    [aux_sym_derived_type_token1] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7677),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7677),
    [aux_sym_type_qualifier_token1] = ACTIONS(7677),
    [aux_sym_type_qualifier_token2] = ACTIONS(7677),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7677),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7677),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7677),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7677),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7677),
    [aux_sym_stop_statement_token1] = ACTIONS(7677),
    [aux_sym_stop_statement_token2] = ACTIONS(7677),
    [aux_sym_subroutine_call_token1] = ACTIONS(7677),
    [aux_sym_keyword_statement_token2] = ACTIONS(7677),
    [aux_sym_keyword_statement_token3] = ACTIONS(7677),
    [aux_sym_keyword_statement_token4] = ACTIONS(7677),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7677),
    [aux_sym_end_if_statement_token1] = ACTIONS(7677),
    [aux_sym_elseif_clause_token2] = ACTIONS(7677),
    [aux_sym_select_case_statement_token1] = ACTIONS(7677),
    [aux_sym_format_statement_token1] = ACTIONS(7677),
    [aux_sym_open_statement_token1] = ACTIONS(7677),
    [aux_sym_inquire_statement_token1] = ACTIONS(7677),
    [aux_sym_entry_statement_token1] = ACTIONS(7677),
    [aux_sym_null_literal_token1] = ACTIONS(7677),
    [aux_sym_coarray_statement_token1] = ACTIONS(7677),
    [aux_sym_coarray_statement_token2] = ACTIONS(7677),
    [aux_sym_coarray_statement_token6] = ACTIONS(7677),
    [aux_sym_coarray_statement_token8] = ACTIONS(7677),
    [aux_sym_coarray_statement_token11] = ACTIONS(7677),
    [aux_sym_coarray_statement_token12] = ACTIONS(7677),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7677),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7677),
    [aux_sym_identifier_token1] = ACTIONS(7677),
    [sym_comment] = ACTIONS(21),
  },
  [3364] = {
    [anon_sym_COMMA] = ACTIONS(7679),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7681),
    [aux_sym_module_statement_token1] = ACTIONS(7681),
    [aux_sym_block_data_statement_token1] = ACTIONS(7681),
    [aux_sym_block_data_statement_token2] = ACTIONS(7681),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7681),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7681),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7681),
    [aux_sym_function_statement_token1] = ACTIONS(7681),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7681),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7681),
    [aux_sym_use_statement_token2] = ACTIONS(7681),
    [anon_sym_COLON_COLON] = ACTIONS(7679),
    [aux_sym_implicit_statement_token3] = ACTIONS(7681),
    [aux_sym_implicit_statement_token4] = ACTIONS(7681),
    [aux_sym_save_statement_token1] = ACTIONS(7681),
    [aux_sym_private_statement_token1] = ACTIONS(7681),
    [aux_sym_public_statement_token1] = ACTIONS(7681),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7681),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7681),
    [aux_sym_variable_attributes_token2] = ACTIONS(7681),
    [aux_sym_variable_attributes_token3] = ACTIONS(7681),
    [aux_sym_variable_attributes_token5] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7681),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7681),
    [aux_sym_derived_type_token1] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7681),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7681),
    [aux_sym_type_qualifier_token1] = ACTIONS(7681),
    [aux_sym_type_qualifier_token2] = ACTIONS(7681),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7681),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7681),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7681),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7681),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7681),
    [aux_sym_stop_statement_token1] = ACTIONS(7681),
    [aux_sym_stop_statement_token2] = ACTIONS(7681),
    [aux_sym_subroutine_call_token1] = ACTIONS(7681),
    [aux_sym_keyword_statement_token2] = ACTIONS(7681),
    [aux_sym_keyword_statement_token3] = ACTIONS(7681),
    [aux_sym_keyword_statement_token4] = ACTIONS(7681),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7681),
    [aux_sym_end_if_statement_token1] = ACTIONS(7681),
    [aux_sym_elseif_clause_token2] = ACTIONS(7681),
    [aux_sym_select_case_statement_token1] = ACTIONS(7681),
    [aux_sym_format_statement_token1] = ACTIONS(7681),
    [aux_sym_open_statement_token1] = ACTIONS(7681),
    [aux_sym_inquire_statement_token1] = ACTIONS(7681),
    [aux_sym_entry_statement_token1] = ACTIONS(7681),
    [aux_sym_null_literal_token1] = ACTIONS(7681),
    [aux_sym_coarray_statement_token1] = ACTIONS(7681),
    [aux_sym_coarray_statement_token2] = ACTIONS(7681),
    [aux_sym_coarray_statement_token6] = ACTIONS(7681),
    [aux_sym_coarray_statement_token8] = ACTIONS(7681),
    [aux_sym_coarray_statement_token11] = ACTIONS(7681),
    [aux_sym_coarray_statement_token12] = ACTIONS(7681),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7681),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7681),
    [aux_sym_identifier_token1] = ACTIONS(7681),
    [sym_comment] = ACTIONS(21),
  },
  [3365] = {
    [anon_sym_COMMA] = ACTIONS(7683),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7685),
    [aux_sym_module_statement_token1] = ACTIONS(7685),
    [aux_sym_block_data_statement_token1] = ACTIONS(7685),
    [aux_sym_block_data_statement_token2] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7685),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7685),
    [aux_sym_function_statement_token1] = ACTIONS(7685),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7685),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7685),
    [aux_sym_use_statement_token2] = ACTIONS(7685),
    [anon_sym_COLON_COLON] = ACTIONS(7683),
    [aux_sym_implicit_statement_token3] = ACTIONS(7685),
    [aux_sym_implicit_statement_token4] = ACTIONS(7685),
    [aux_sym_save_statement_token1] = ACTIONS(7685),
    [aux_sym_private_statement_token1] = ACTIONS(7685),
    [aux_sym_public_statement_token1] = ACTIONS(7685),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7685),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7685),
    [aux_sym_variable_attributes_token2] = ACTIONS(7685),
    [aux_sym_variable_attributes_token3] = ACTIONS(7685),
    [aux_sym_variable_attributes_token5] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7685),
    [aux_sym_derived_type_token1] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7685),
    [aux_sym_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7685),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7685),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7685),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7685),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7685),
    [aux_sym_stop_statement_token1] = ACTIONS(7685),
    [aux_sym_stop_statement_token2] = ACTIONS(7685),
    [aux_sym_subroutine_call_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token2] = ACTIONS(7685),
    [aux_sym_keyword_statement_token3] = ACTIONS(7685),
    [aux_sym_keyword_statement_token4] = ACTIONS(7685),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7685),
    [aux_sym_end_if_statement_token1] = ACTIONS(7685),
    [aux_sym_elseif_clause_token2] = ACTIONS(7685),
    [aux_sym_select_case_statement_token1] = ACTIONS(7685),
    [aux_sym_format_statement_token1] = ACTIONS(7685),
    [aux_sym_open_statement_token1] = ACTIONS(7685),
    [aux_sym_inquire_statement_token1] = ACTIONS(7685),
    [aux_sym_entry_statement_token1] = ACTIONS(7685),
    [aux_sym_null_literal_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token2] = ACTIONS(7685),
    [aux_sym_coarray_statement_token6] = ACTIONS(7685),
    [aux_sym_coarray_statement_token8] = ACTIONS(7685),
    [aux_sym_coarray_statement_token11] = ACTIONS(7685),
    [aux_sym_coarray_statement_token12] = ACTIONS(7685),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7685),
    [aux_sym_identifier_token1] = ACTIONS(7685),
    [sym_comment] = ACTIONS(21),
  },
  [3366] = {
    [anon_sym_COMMA] = ACTIONS(7687),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7689),
    [aux_sym_module_statement_token1] = ACTIONS(7689),
    [aux_sym_block_data_statement_token1] = ACTIONS(7689),
    [aux_sym_block_data_statement_token2] = ACTIONS(7689),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7689),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7689),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7689),
    [aux_sym_function_statement_token1] = ACTIONS(7689),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7689),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7689),
    [aux_sym_use_statement_token2] = ACTIONS(7689),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [aux_sym_implicit_statement_token3] = ACTIONS(7689),
    [aux_sym_implicit_statement_token4] = ACTIONS(7689),
    [aux_sym_save_statement_token1] = ACTIONS(7689),
    [aux_sym_private_statement_token1] = ACTIONS(7689),
    [aux_sym_public_statement_token1] = ACTIONS(7689),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7689),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7689),
    [aux_sym_variable_attributes_token2] = ACTIONS(7689),
    [aux_sym_variable_attributes_token3] = ACTIONS(7689),
    [aux_sym_variable_attributes_token5] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7689),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7689),
    [aux_sym_derived_type_token1] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7689),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7689),
    [aux_sym_type_qualifier_token1] = ACTIONS(7689),
    [aux_sym_type_qualifier_token2] = ACTIONS(7689),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7689),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7689),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7689),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7689),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7689),
    [aux_sym_stop_statement_token1] = ACTIONS(7689),
    [aux_sym_stop_statement_token2] = ACTIONS(7689),
    [aux_sym_subroutine_call_token1] = ACTIONS(7689),
    [aux_sym_keyword_statement_token2] = ACTIONS(7689),
    [aux_sym_keyword_statement_token3] = ACTIONS(7689),
    [aux_sym_keyword_statement_token4] = ACTIONS(7689),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7689),
    [aux_sym_end_if_statement_token1] = ACTIONS(7689),
    [aux_sym_elseif_clause_token2] = ACTIONS(7689),
    [aux_sym_select_case_statement_token1] = ACTIONS(7689),
    [aux_sym_format_statement_token1] = ACTIONS(7689),
    [aux_sym_open_statement_token1] = ACTIONS(7689),
    [aux_sym_inquire_statement_token1] = ACTIONS(7689),
    [aux_sym_entry_statement_token1] = ACTIONS(7689),
    [aux_sym_null_literal_token1] = ACTIONS(7689),
    [aux_sym_coarray_statement_token1] = ACTIONS(7689),
    [aux_sym_coarray_statement_token2] = ACTIONS(7689),
    [aux_sym_coarray_statement_token6] = ACTIONS(7689),
    [aux_sym_coarray_statement_token8] = ACTIONS(7689),
    [aux_sym_coarray_statement_token11] = ACTIONS(7689),
    [aux_sym_coarray_statement_token12] = ACTIONS(7689),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7689),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7689),
    [aux_sym_identifier_token1] = ACTIONS(7689),
    [sym_comment] = ACTIONS(21),
  },
  [3367] = {
    [anon_sym_COMMA] = ACTIONS(7691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7693),
    [aux_sym_module_statement_token1] = ACTIONS(7693),
    [aux_sym_block_data_statement_token1] = ACTIONS(7693),
    [aux_sym_block_data_statement_token2] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7693),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7693),
    [aux_sym_function_statement_token1] = ACTIONS(7693),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7693),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7693),
    [aux_sym_use_statement_token2] = ACTIONS(7693),
    [anon_sym_COLON_COLON] = ACTIONS(7691),
    [aux_sym_implicit_statement_token3] = ACTIONS(7693),
    [aux_sym_implicit_statement_token4] = ACTIONS(7693),
    [aux_sym_save_statement_token1] = ACTIONS(7693),
    [aux_sym_private_statement_token1] = ACTIONS(7693),
    [aux_sym_public_statement_token1] = ACTIONS(7693),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7693),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7693),
    [aux_sym_variable_attributes_token2] = ACTIONS(7693),
    [aux_sym_variable_attributes_token3] = ACTIONS(7693),
    [aux_sym_variable_attributes_token5] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7693),
    [aux_sym_derived_type_token1] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7693),
    [aux_sym_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7693),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7693),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7693),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7693),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7693),
    [aux_sym_stop_statement_token1] = ACTIONS(7693),
    [aux_sym_stop_statement_token2] = ACTIONS(7693),
    [aux_sym_subroutine_call_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token2] = ACTIONS(7693),
    [aux_sym_keyword_statement_token3] = ACTIONS(7693),
    [aux_sym_keyword_statement_token4] = ACTIONS(7693),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7693),
    [aux_sym_end_if_statement_token1] = ACTIONS(7693),
    [aux_sym_elseif_clause_token2] = ACTIONS(7693),
    [aux_sym_select_case_statement_token1] = ACTIONS(7693),
    [aux_sym_format_statement_token1] = ACTIONS(7693),
    [aux_sym_open_statement_token1] = ACTIONS(7693),
    [aux_sym_inquire_statement_token1] = ACTIONS(7693),
    [aux_sym_entry_statement_token1] = ACTIONS(7693),
    [aux_sym_null_literal_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token2] = ACTIONS(7693),
    [aux_sym_coarray_statement_token6] = ACTIONS(7693),
    [aux_sym_coarray_statement_token8] = ACTIONS(7693),
    [aux_sym_coarray_statement_token11] = ACTIONS(7693),
    [aux_sym_coarray_statement_token12] = ACTIONS(7693),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7693),
    [aux_sym_identifier_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(21),
  },
  [3368] = {
    [anon_sym_COMMA] = ACTIONS(7695),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7697),
    [aux_sym_module_statement_token1] = ACTIONS(7697),
    [aux_sym_block_data_statement_token1] = ACTIONS(7697),
    [aux_sym_block_data_statement_token2] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7697),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7697),
    [aux_sym_function_statement_token1] = ACTIONS(7697),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7697),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7697),
    [aux_sym_use_statement_token2] = ACTIONS(7697),
    [anon_sym_COLON_COLON] = ACTIONS(7695),
    [aux_sym_implicit_statement_token3] = ACTIONS(7697),
    [aux_sym_implicit_statement_token4] = ACTIONS(7697),
    [aux_sym_save_statement_token1] = ACTIONS(7697),
    [aux_sym_private_statement_token1] = ACTIONS(7697),
    [aux_sym_public_statement_token1] = ACTIONS(7697),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7697),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7697),
    [aux_sym_variable_attributes_token2] = ACTIONS(7697),
    [aux_sym_variable_attributes_token3] = ACTIONS(7697),
    [aux_sym_variable_attributes_token5] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7697),
    [aux_sym_derived_type_token1] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7697),
    [aux_sym_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7697),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7697),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7697),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7697),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7697),
    [aux_sym_stop_statement_token1] = ACTIONS(7697),
    [aux_sym_stop_statement_token2] = ACTIONS(7697),
    [aux_sym_subroutine_call_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token2] = ACTIONS(7697),
    [aux_sym_keyword_statement_token3] = ACTIONS(7697),
    [aux_sym_keyword_statement_token4] = ACTIONS(7697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7697),
    [aux_sym_end_if_statement_token1] = ACTIONS(7697),
    [aux_sym_elseif_clause_token2] = ACTIONS(7697),
    [aux_sym_select_case_statement_token1] = ACTIONS(7697),
    [aux_sym_format_statement_token1] = ACTIONS(7697),
    [aux_sym_open_statement_token1] = ACTIONS(7697),
    [aux_sym_inquire_statement_token1] = ACTIONS(7697),
    [aux_sym_entry_statement_token1] = ACTIONS(7697),
    [aux_sym_null_literal_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token2] = ACTIONS(7697),
    [aux_sym_coarray_statement_token6] = ACTIONS(7697),
    [aux_sym_coarray_statement_token8] = ACTIONS(7697),
    [aux_sym_coarray_statement_token11] = ACTIONS(7697),
    [aux_sym_coarray_statement_token12] = ACTIONS(7697),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7697),
    [aux_sym_identifier_token1] = ACTIONS(7697),
    [sym_comment] = ACTIONS(21),
  },
  [3369] = {
    [anon_sym_COMMA] = ACTIONS(7699),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7701),
    [aux_sym_module_statement_token1] = ACTIONS(7701),
    [aux_sym_block_data_statement_token1] = ACTIONS(7701),
    [aux_sym_block_data_statement_token2] = ACTIONS(7701),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7701),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7701),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7701),
    [aux_sym_function_statement_token1] = ACTIONS(7701),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7701),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7701),
    [aux_sym_use_statement_token2] = ACTIONS(7701),
    [anon_sym_COLON_COLON] = ACTIONS(7699),
    [aux_sym_implicit_statement_token3] = ACTIONS(7701),
    [aux_sym_implicit_statement_token4] = ACTIONS(7701),
    [aux_sym_save_statement_token1] = ACTIONS(7701),
    [aux_sym_private_statement_token1] = ACTIONS(7701),
    [aux_sym_public_statement_token1] = ACTIONS(7701),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7701),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7701),
    [aux_sym_variable_attributes_token2] = ACTIONS(7701),
    [aux_sym_variable_attributes_token3] = ACTIONS(7701),
    [aux_sym_variable_attributes_token5] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7701),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7701),
    [aux_sym_derived_type_token1] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7701),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7701),
    [aux_sym_type_qualifier_token1] = ACTIONS(7701),
    [aux_sym_type_qualifier_token2] = ACTIONS(7701),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7701),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7701),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7701),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7701),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7701),
    [aux_sym_stop_statement_token1] = ACTIONS(7701),
    [aux_sym_stop_statement_token2] = ACTIONS(7701),
    [aux_sym_subroutine_call_token1] = ACTIONS(7701),
    [aux_sym_keyword_statement_token2] = ACTIONS(7701),
    [aux_sym_keyword_statement_token3] = ACTIONS(7701),
    [aux_sym_keyword_statement_token4] = ACTIONS(7701),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7701),
    [aux_sym_end_if_statement_token1] = ACTIONS(7701),
    [aux_sym_elseif_clause_token2] = ACTIONS(7701),
    [aux_sym_select_case_statement_token1] = ACTIONS(7701),
    [aux_sym_format_statement_token1] = ACTIONS(7701),
    [aux_sym_open_statement_token1] = ACTIONS(7701),
    [aux_sym_inquire_statement_token1] = ACTIONS(7701),
    [aux_sym_entry_statement_token1] = ACTIONS(7701),
    [aux_sym_null_literal_token1] = ACTIONS(7701),
    [aux_sym_coarray_statement_token1] = ACTIONS(7701),
    [aux_sym_coarray_statement_token2] = ACTIONS(7701),
    [aux_sym_coarray_statement_token6] = ACTIONS(7701),
    [aux_sym_coarray_statement_token8] = ACTIONS(7701),
    [aux_sym_coarray_statement_token11] = ACTIONS(7701),
    [aux_sym_coarray_statement_token12] = ACTIONS(7701),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7701),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7701),
    [aux_sym_identifier_token1] = ACTIONS(7701),
    [sym_comment] = ACTIONS(21),
  },
  [3370] = {
    [anon_sym_COMMA] = ACTIONS(7703),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7705),
    [aux_sym_module_statement_token1] = ACTIONS(7705),
    [aux_sym_block_data_statement_token1] = ACTIONS(7705),
    [aux_sym_block_data_statement_token2] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7705),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7705),
    [aux_sym_function_statement_token1] = ACTIONS(7705),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7705),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7705),
    [aux_sym_use_statement_token2] = ACTIONS(7705),
    [anon_sym_COLON_COLON] = ACTIONS(7703),
    [aux_sym_implicit_statement_token3] = ACTIONS(7705),
    [aux_sym_implicit_statement_token4] = ACTIONS(7705),
    [aux_sym_save_statement_token1] = ACTIONS(7705),
    [aux_sym_private_statement_token1] = ACTIONS(7705),
    [aux_sym_public_statement_token1] = ACTIONS(7705),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7705),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7705),
    [aux_sym_variable_attributes_token2] = ACTIONS(7705),
    [aux_sym_variable_attributes_token3] = ACTIONS(7705),
    [aux_sym_variable_attributes_token5] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7705),
    [aux_sym_derived_type_token1] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7705),
    [aux_sym_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7705),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7705),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7705),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7705),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7705),
    [aux_sym_stop_statement_token1] = ACTIONS(7705),
    [aux_sym_stop_statement_token2] = ACTIONS(7705),
    [aux_sym_subroutine_call_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token2] = ACTIONS(7705),
    [aux_sym_keyword_statement_token3] = ACTIONS(7705),
    [aux_sym_keyword_statement_token4] = ACTIONS(7705),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7705),
    [aux_sym_end_if_statement_token1] = ACTIONS(7705),
    [aux_sym_elseif_clause_token2] = ACTIONS(7705),
    [aux_sym_select_case_statement_token1] = ACTIONS(7705),
    [aux_sym_format_statement_token1] = ACTIONS(7705),
    [aux_sym_open_statement_token1] = ACTIONS(7705),
    [aux_sym_inquire_statement_token1] = ACTIONS(7705),
    [aux_sym_entry_statement_token1] = ACTIONS(7705),
    [aux_sym_null_literal_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token2] = ACTIONS(7705),
    [aux_sym_coarray_statement_token6] = ACTIONS(7705),
    [aux_sym_coarray_statement_token8] = ACTIONS(7705),
    [aux_sym_coarray_statement_token11] = ACTIONS(7705),
    [aux_sym_coarray_statement_token12] = ACTIONS(7705),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7705),
    [aux_sym_identifier_token1] = ACTIONS(7705),
    [sym_comment] = ACTIONS(21),
  },
  [3371] = {
    [anon_sym_COMMA] = ACTIONS(7707),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7709),
    [aux_sym_module_statement_token1] = ACTIONS(7709),
    [aux_sym_block_data_statement_token1] = ACTIONS(7709),
    [aux_sym_block_data_statement_token2] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7709),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7709),
    [aux_sym_function_statement_token1] = ACTIONS(7709),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7709),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7709),
    [aux_sym_use_statement_token2] = ACTIONS(7709),
    [anon_sym_COLON_COLON] = ACTIONS(7707),
    [aux_sym_implicit_statement_token3] = ACTIONS(7709),
    [aux_sym_implicit_statement_token4] = ACTIONS(7709),
    [aux_sym_save_statement_token1] = ACTIONS(7709),
    [aux_sym_private_statement_token1] = ACTIONS(7709),
    [aux_sym_public_statement_token1] = ACTIONS(7709),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7709),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7709),
    [aux_sym_variable_attributes_token2] = ACTIONS(7709),
    [aux_sym_variable_attributes_token3] = ACTIONS(7709),
    [aux_sym_variable_attributes_token5] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7709),
    [aux_sym_derived_type_token1] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7709),
    [aux_sym_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7709),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7709),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7709),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7709),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7709),
    [aux_sym_stop_statement_token1] = ACTIONS(7709),
    [aux_sym_stop_statement_token2] = ACTIONS(7709),
    [aux_sym_subroutine_call_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token2] = ACTIONS(7709),
    [aux_sym_keyword_statement_token3] = ACTIONS(7709),
    [aux_sym_keyword_statement_token4] = ACTIONS(7709),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7709),
    [aux_sym_end_if_statement_token1] = ACTIONS(7709),
    [aux_sym_elseif_clause_token2] = ACTIONS(7709),
    [aux_sym_select_case_statement_token1] = ACTIONS(7709),
    [aux_sym_format_statement_token1] = ACTIONS(7709),
    [aux_sym_open_statement_token1] = ACTIONS(7709),
    [aux_sym_inquire_statement_token1] = ACTIONS(7709),
    [aux_sym_entry_statement_token1] = ACTIONS(7709),
    [aux_sym_null_literal_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token2] = ACTIONS(7709),
    [aux_sym_coarray_statement_token6] = ACTIONS(7709),
    [aux_sym_coarray_statement_token8] = ACTIONS(7709),
    [aux_sym_coarray_statement_token11] = ACTIONS(7709),
    [aux_sym_coarray_statement_token12] = ACTIONS(7709),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7709),
    [aux_sym_identifier_token1] = ACTIONS(7709),
    [sym_comment] = ACTIONS(21),
  },
  [3372] = {
    [sym_language_binding] = STATE(3514),
    [sym_variable_attributes] = STATE(3514),
    [sym__variable_declarator] = STATE(6743),
    [sym_sized_declarator] = STATE(3642),
    [sym__standalone_type_qualifier] = STATE(3608),
    [sym_coarray_declarator] = STATE(6743),
    [sym_identifier] = STATE(5994),
    [aux_sym_variable_modification_repeat1] = STATE(3514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(755),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7711),
    [aux_sym_use_statement_token2] = ACTIONS(7711),
    [anon_sym_COLON_COLON] = ACTIONS(7713),
    [aux_sym_implicit_statement_token4] = ACTIONS(7711),
    [aux_sym_save_statement_token1] = ACTIONS(7711),
    [aux_sym_private_statement_token1] = ACTIONS(7711),
    [aux_sym_public_statement_token1] = ACTIONS(7711),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7711),
    [aux_sym_abstract_specifier_token1] = ACTIONS(81),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7711),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(7711),
    [aux_sym_variable_attributes_token3] = ACTIONS(7711),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(7711),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7715),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7717),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7711),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3373] = {
    [sym__preproc_expression] = STATE(5793),
    [sym_preproc_parenthesized_expression] = STATE(5793),
    [sym_preproc_defined] = STATE(5793),
    [sym_preproc_unary_expression] = STATE(5793),
    [sym_preproc_call_expression] = STATE(5793),
    [sym_preproc_binary_expression] = STATE(5793),
    [sym_number_literal] = STATE(5793),
    [sym_string_literal] = STATE(5793),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7723),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3374] = {
    [sym__preproc_expression] = STATE(5652),
    [sym_preproc_parenthesized_expression] = STATE(5652),
    [sym_preproc_defined] = STATE(5652),
    [sym_preproc_unary_expression] = STATE(5652),
    [sym_preproc_call_expression] = STATE(5652),
    [sym_preproc_binary_expression] = STATE(5652),
    [sym_number_literal] = STATE(5652),
    [sym_string_literal] = STATE(5652),
    [sym_identifier] = STATE(5615),
    [anon_sym_RPAREN] = ACTIONS(7745),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3375] = {
    [sym__preproc_expression] = STATE(5845),
    [sym_preproc_parenthesized_expression] = STATE(5845),
    [sym_preproc_defined] = STATE(5845),
    [sym_preproc_unary_expression] = STATE(5845),
    [sym_preproc_call_expression] = STATE(5845),
    [sym_preproc_binary_expression] = STATE(5845),
    [sym_number_literal] = STATE(5845),
    [sym_string_literal] = STATE(5845),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7771),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3376] = {
    [sym__preproc_expression] = STATE(5797),
    [sym_preproc_parenthesized_expression] = STATE(5797),
    [sym_preproc_defined] = STATE(5797),
    [sym_preproc_unary_expression] = STATE(5797),
    [sym_preproc_call_expression] = STATE(5797),
    [sym_preproc_binary_expression] = STATE(5797),
    [sym_number_literal] = STATE(5797),
    [sym_string_literal] = STATE(5797),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3377] = {
    [sym__preproc_expression] = STATE(5815),
    [sym_preproc_parenthesized_expression] = STATE(5815),
    [sym_preproc_defined] = STATE(5815),
    [sym_preproc_unary_expression] = STATE(5815),
    [sym_preproc_call_expression] = STATE(5815),
    [sym_preproc_binary_expression] = STATE(5815),
    [sym_number_literal] = STATE(5815),
    [sym_string_literal] = STATE(5815),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7775),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3378] = {
    [sym__preproc_expression] = STATE(5827),
    [sym_preproc_parenthesized_expression] = STATE(5827),
    [sym_preproc_defined] = STATE(5827),
    [sym_preproc_unary_expression] = STATE(5827),
    [sym_preproc_call_expression] = STATE(5827),
    [sym_preproc_binary_expression] = STATE(5827),
    [sym_number_literal] = STATE(5827),
    [sym_string_literal] = STATE(5827),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7777),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3379] = {
    [sym__preproc_expression] = STATE(5679),
    [sym_preproc_parenthesized_expression] = STATE(5679),
    [sym_preproc_defined] = STATE(5679),
    [sym_preproc_unary_expression] = STATE(5679),
    [sym_preproc_call_expression] = STATE(5679),
    [sym_preproc_binary_expression] = STATE(5679),
    [sym_number_literal] = STATE(5679),
    [sym_string_literal] = STATE(5679),
    [sym_identifier] = STATE(5615),
    [anon_sym_RPAREN] = ACTIONS(7779),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3380] = {
    [sym__preproc_expression] = STATE(5811),
    [sym_preproc_parenthesized_expression] = STATE(5811),
    [sym_preproc_defined] = STATE(5811),
    [sym_preproc_unary_expression] = STATE(5811),
    [sym_preproc_call_expression] = STATE(5811),
    [sym_preproc_binary_expression] = STATE(5811),
    [sym_number_literal] = STATE(5811),
    [sym_string_literal] = STATE(5811),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7781),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3381] = {
    [sym__preproc_expression] = STATE(5816),
    [sym_preproc_parenthesized_expression] = STATE(5816),
    [sym_preproc_defined] = STATE(5816),
    [sym_preproc_unary_expression] = STATE(5816),
    [sym_preproc_call_expression] = STATE(5816),
    [sym_preproc_binary_expression] = STATE(5816),
    [sym_number_literal] = STATE(5816),
    [sym_string_literal] = STATE(5816),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3382] = {
    [sym__preproc_expression] = STATE(5821),
    [sym_preproc_parenthesized_expression] = STATE(5821),
    [sym_preproc_defined] = STATE(5821),
    [sym_preproc_unary_expression] = STATE(5821),
    [sym_preproc_call_expression] = STATE(5821),
    [sym_preproc_binary_expression] = STATE(5821),
    [sym_number_literal] = STATE(5821),
    [sym_string_literal] = STATE(5821),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7785),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3383] = {
    [sym__argument_list] = STATE(2634),
    [sym_argument_list] = STATE(3606),
    [anon_sym_COMMA] = ACTIONS(4718),
    [anon_sym_LPAREN2] = ACTIONS(7147),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(4718),
  },
  [3384] = {
    [sym__preproc_expression] = STATE(5629),
    [sym_preproc_parenthesized_expression] = STATE(5629),
    [sym_preproc_defined] = STATE(5629),
    [sym_preproc_unary_expression] = STATE(5629),
    [sym_preproc_call_expression] = STATE(5629),
    [sym_preproc_binary_expression] = STATE(5629),
    [sym_number_literal] = STATE(5629),
    [sym_string_literal] = STATE(5629),
    [sym_identifier] = STATE(5615),
    [anon_sym_RPAREN] = ACTIONS(7787),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3385] = {
    [sym__preproc_expression] = STATE(5799),
    [sym_preproc_parenthesized_expression] = STATE(5799),
    [sym_preproc_defined] = STATE(5799),
    [sym_preproc_unary_expression] = STATE(5799),
    [sym_preproc_call_expression] = STATE(5799),
    [sym_preproc_binary_expression] = STATE(5799),
    [sym_number_literal] = STATE(5799),
    [sym_string_literal] = STATE(5799),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3386] = {
    [sym__preproc_expression] = STATE(5849),
    [sym_preproc_parenthesized_expression] = STATE(5849),
    [sym_preproc_defined] = STATE(5849),
    [sym_preproc_unary_expression] = STATE(5849),
    [sym_preproc_call_expression] = STATE(5849),
    [sym_preproc_binary_expression] = STATE(5849),
    [sym_number_literal] = STATE(5849),
    [sym_string_literal] = STATE(5849),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3387] = {
    [sym__preproc_expression] = STATE(5795),
    [sym_preproc_parenthesized_expression] = STATE(5795),
    [sym_preproc_defined] = STATE(5795),
    [sym_preproc_unary_expression] = STATE(5795),
    [sym_preproc_call_expression] = STATE(5795),
    [sym_preproc_binary_expression] = STATE(5795),
    [sym_number_literal] = STATE(5795),
    [sym_string_literal] = STATE(5795),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7793),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3388] = {
    [sym__preproc_expression] = STATE(5808),
    [sym_preproc_parenthesized_expression] = STATE(5808),
    [sym_preproc_defined] = STATE(5808),
    [sym_preproc_unary_expression] = STATE(5808),
    [sym_preproc_call_expression] = STATE(5808),
    [sym_preproc_binary_expression] = STATE(5808),
    [sym_number_literal] = STATE(5808),
    [sym_string_literal] = STATE(5808),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7795),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3389] = {
    [sym__preproc_expression] = STATE(5814),
    [sym_preproc_parenthesized_expression] = STATE(5814),
    [sym_preproc_defined] = STATE(5814),
    [sym_preproc_unary_expression] = STATE(5814),
    [sym_preproc_call_expression] = STATE(5814),
    [sym_preproc_binary_expression] = STATE(5814),
    [sym_number_literal] = STATE(5814),
    [sym_string_literal] = STATE(5814),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7797),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3390] = {
    [sym__preproc_expression] = STATE(5654),
    [sym_preproc_parenthesized_expression] = STATE(5654),
    [sym_preproc_defined] = STATE(5654),
    [sym_preproc_unary_expression] = STATE(5654),
    [sym_preproc_call_expression] = STATE(5654),
    [sym_preproc_binary_expression] = STATE(5654),
    [sym_number_literal] = STATE(5654),
    [sym_string_literal] = STATE(5654),
    [sym_identifier] = STATE(5615),
    [anon_sym_RPAREN] = ACTIONS(7799),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3391] = {
    [sym__preproc_expression] = STATE(5840),
    [sym_preproc_parenthesized_expression] = STATE(5840),
    [sym_preproc_defined] = STATE(5840),
    [sym_preproc_unary_expression] = STATE(5840),
    [sym_preproc_call_expression] = STATE(5840),
    [sym_preproc_binary_expression] = STATE(5840),
    [sym_number_literal] = STATE(5840),
    [sym_string_literal] = STATE(5840),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7801),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3392] = {
    [sym__preproc_expression] = STATE(5812),
    [sym_preproc_parenthesized_expression] = STATE(5812),
    [sym_preproc_defined] = STATE(5812),
    [sym_preproc_unary_expression] = STATE(5812),
    [sym_preproc_call_expression] = STATE(5812),
    [sym_preproc_binary_expression] = STATE(5812),
    [sym_number_literal] = STATE(5812),
    [sym_string_literal] = STATE(5812),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [sym_preproc_comment] = ACTIONS(7803),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3393] = {
    [sym__preproc_expression] = STATE(5764),
    [sym_preproc_parenthesized_expression] = STATE(5764),
    [sym_preproc_defined] = STATE(5764),
    [sym_preproc_unary_expression] = STATE(5764),
    [sym_preproc_call_expression] = STATE(5764),
    [sym_preproc_binary_expression] = STATE(5764),
    [sym_number_literal] = STATE(5764),
    [sym_string_literal] = STATE(5764),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3394] = {
    [sym__preproc_expression] = STATE(5769),
    [sym_preproc_parenthesized_expression] = STATE(5769),
    [sym_preproc_defined] = STATE(5769),
    [sym_preproc_unary_expression] = STATE(5769),
    [sym_preproc_call_expression] = STATE(5769),
    [sym_preproc_binary_expression] = STATE(5769),
    [sym_number_literal] = STATE(5769),
    [sym_string_literal] = STATE(5769),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3395] = {
    [sym__preproc_expression] = STATE(5798),
    [sym_preproc_parenthesized_expression] = STATE(5798),
    [sym_preproc_defined] = STATE(5798),
    [sym_preproc_unary_expression] = STATE(5798),
    [sym_preproc_call_expression] = STATE(5798),
    [sym_preproc_binary_expression] = STATE(5798),
    [sym_number_literal] = STATE(5798),
    [sym_string_literal] = STATE(5798),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3396] = {
    [sym__preproc_expression] = STATE(5822),
    [sym_preproc_parenthesized_expression] = STATE(5822),
    [sym_preproc_defined] = STATE(5822),
    [sym_preproc_unary_expression] = STATE(5822),
    [sym_preproc_call_expression] = STATE(5822),
    [sym_preproc_binary_expression] = STATE(5822),
    [sym_number_literal] = STATE(5822),
    [sym_string_literal] = STATE(5822),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3397] = {
    [sym__preproc_expression] = STATE(5806),
    [sym_preproc_parenthesized_expression] = STATE(5806),
    [sym_preproc_defined] = STATE(5806),
    [sym_preproc_unary_expression] = STATE(5806),
    [sym_preproc_call_expression] = STATE(5806),
    [sym_preproc_binary_expression] = STATE(5806),
    [sym_number_literal] = STATE(5806),
    [sym_string_literal] = STATE(5806),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3398] = {
    [anon_sym_COMMA] = ACTIONS(7829),
    [anon_sym_LPAREN2] = ACTIONS(7831),
    [anon_sym_PLUS] = ACTIONS(7829),
    [anon_sym_DASH] = ACTIONS(7829),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7831),
    [anon_sym_SEMI] = ACTIONS(7829),
    [aux_sym_block_data_statement_token1] = ACTIONS(7831),
    [aux_sym_block_data_statement_token2] = ACTIONS(7831),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7831),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7831),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7831),
    [aux_sym_use_statement_token2] = ACTIONS(7831),
    [aux_sym_implicit_statement_token4] = ACTIONS(7831),
    [aux_sym_save_statement_token1] = ACTIONS(7831),
    [aux_sym_private_statement_token1] = ACTIONS(7831),
    [aux_sym_public_statement_token1] = ACTIONS(7831),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7831),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7831),
    [aux_sym_variable_attributes_token2] = ACTIONS(7831),
    [aux_sym_variable_attributes_token3] = ACTIONS(7831),
    [aux_sym_variable_attributes_token5] = ACTIONS(7831),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7831),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7831),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7831),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7831),
    [aux_sym_type_qualifier_token1] = ACTIONS(7831),
    [aux_sym_type_qualifier_token2] = ACTIONS(7831),
    [aux_sym_stop_statement_token1] = ACTIONS(7831),
    [aux_sym_stop_statement_token2] = ACTIONS(7831),
    [aux_sym_subroutine_call_token1] = ACTIONS(7831),
    [aux_sym_keyword_statement_token2] = ACTIONS(7831),
    [aux_sym_keyword_statement_token3] = ACTIONS(7831),
    [aux_sym_keyword_statement_token4] = ACTIONS(7831),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7831),
    [aux_sym_end_if_statement_token1] = ACTIONS(7831),
    [aux_sym_elseif_clause_token2] = ACTIONS(7831),
    [aux_sym_select_case_statement_token1] = ACTIONS(7831),
    [aux_sym_format_statement_token1] = ACTIONS(7831),
    [aux_sym_open_statement_token1] = ACTIONS(7831),
    [aux_sym_inquire_statement_token1] = ACTIONS(7831),
    [aux_sym_entry_statement_token1] = ACTIONS(7831),
    [aux_sym_logical_expression_token5] = ACTIONS(7829),
    [anon_sym_DOT] = ACTIONS(7831),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7829),
    [anon_sym_LBRACK] = ACTIONS(7829),
    [aux_sym_boolean_literal_token1] = ACTIONS(7829),
    [aux_sym_boolean_literal_token2] = ACTIONS(7829),
    [aux_sym_null_literal_token1] = ACTIONS(7831),
    [aux_sym_coarray_statement_token1] = ACTIONS(7831),
    [aux_sym_coarray_statement_token2] = ACTIONS(7831),
    [aux_sym_coarray_statement_token6] = ACTIONS(7831),
    [aux_sym_coarray_statement_token8] = ACTIONS(7831),
    [aux_sym_coarray_statement_token11] = ACTIONS(7831),
    [aux_sym_coarray_statement_token12] = ACTIONS(7831),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7831),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7831),
    [aux_sym_identifier_token1] = ACTIONS(7831),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7829),
    [sym__float_literal] = ACTIONS(7829),
    [sym__boz_literal] = ACTIONS(7829),
    [sym__string_literal] = ACTIONS(7829),
    [sym__string_literal_kind] = ACTIONS(7829),
    [sym__external_end_of_statement] = ACTIONS(7829),
  },
  [3399] = {
    [anon_sym_COMMA] = ACTIONS(7833),
    [anon_sym_LPAREN2] = ACTIONS(7835),
    [anon_sym_PLUS] = ACTIONS(7833),
    [anon_sym_DASH] = ACTIONS(7833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7835),
    [anon_sym_SEMI] = ACTIONS(7833),
    [aux_sym_block_data_statement_token1] = ACTIONS(7835),
    [aux_sym_block_data_statement_token2] = ACTIONS(7835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7835),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7835),
    [aux_sym_use_statement_token2] = ACTIONS(7835),
    [aux_sym_implicit_statement_token4] = ACTIONS(7835),
    [aux_sym_save_statement_token1] = ACTIONS(7835),
    [aux_sym_private_statement_token1] = ACTIONS(7835),
    [aux_sym_public_statement_token1] = ACTIONS(7835),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7835),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7835),
    [aux_sym_variable_attributes_token2] = ACTIONS(7835),
    [aux_sym_variable_attributes_token3] = ACTIONS(7835),
    [aux_sym_variable_attributes_token5] = ACTIONS(7835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7835),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7835),
    [aux_sym_type_qualifier_token1] = ACTIONS(7835),
    [aux_sym_type_qualifier_token2] = ACTIONS(7835),
    [aux_sym_stop_statement_token1] = ACTIONS(7835),
    [aux_sym_stop_statement_token2] = ACTIONS(7835),
    [aux_sym_subroutine_call_token1] = ACTIONS(7835),
    [aux_sym_keyword_statement_token2] = ACTIONS(7835),
    [aux_sym_keyword_statement_token3] = ACTIONS(7835),
    [aux_sym_keyword_statement_token4] = ACTIONS(7835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7835),
    [aux_sym_end_if_statement_token1] = ACTIONS(7835),
    [aux_sym_elseif_clause_token2] = ACTIONS(7835),
    [aux_sym_select_case_statement_token1] = ACTIONS(7835),
    [aux_sym_format_statement_token1] = ACTIONS(7835),
    [aux_sym_open_statement_token1] = ACTIONS(7835),
    [aux_sym_inquire_statement_token1] = ACTIONS(7835),
    [aux_sym_entry_statement_token1] = ACTIONS(7835),
    [aux_sym_logical_expression_token5] = ACTIONS(7833),
    [anon_sym_DOT] = ACTIONS(7835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7833),
    [anon_sym_LBRACK] = ACTIONS(7833),
    [aux_sym_boolean_literal_token1] = ACTIONS(7833),
    [aux_sym_boolean_literal_token2] = ACTIONS(7833),
    [aux_sym_null_literal_token1] = ACTIONS(7835),
    [aux_sym_coarray_statement_token1] = ACTIONS(7835),
    [aux_sym_coarray_statement_token2] = ACTIONS(7835),
    [aux_sym_coarray_statement_token6] = ACTIONS(7835),
    [aux_sym_coarray_statement_token8] = ACTIONS(7835),
    [aux_sym_coarray_statement_token11] = ACTIONS(7835),
    [aux_sym_coarray_statement_token12] = ACTIONS(7835),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7835),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7835),
    [aux_sym_identifier_token1] = ACTIONS(7835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7833),
    [sym__float_literal] = ACTIONS(7833),
    [sym__boz_literal] = ACTIONS(7833),
    [sym__string_literal] = ACTIONS(7833),
    [sym__string_literal_kind] = ACTIONS(7833),
    [sym__external_end_of_statement] = ACTIONS(7833),
  },
  [3400] = {
    [sym__preproc_expression] = STATE(5757),
    [sym_preproc_parenthesized_expression] = STATE(5757),
    [sym_preproc_defined] = STATE(5757),
    [sym_preproc_unary_expression] = STATE(5757),
    [sym_preproc_call_expression] = STATE(5757),
    [sym_preproc_binary_expression] = STATE(5757),
    [sym_number_literal] = STATE(5757),
    [sym_string_literal] = STATE(5757),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3401] = {
    [sym__preproc_expression] = STATE(5748),
    [sym_preproc_parenthesized_expression] = STATE(5748),
    [sym_preproc_defined] = STATE(5748),
    [sym_preproc_unary_expression] = STATE(5748),
    [sym_preproc_call_expression] = STATE(5748),
    [sym_preproc_binary_expression] = STATE(5748),
    [sym_number_literal] = STATE(5748),
    [sym_string_literal] = STATE(5748),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3402] = {
    [sym__preproc_expression] = STATE(5767),
    [sym_preproc_parenthesized_expression] = STATE(5767),
    [sym_preproc_defined] = STATE(5767),
    [sym_preproc_unary_expression] = STATE(5767),
    [sym_preproc_call_expression] = STATE(5767),
    [sym_preproc_binary_expression] = STATE(5767),
    [sym_number_literal] = STATE(5767),
    [sym_string_literal] = STATE(5767),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3403] = {
    [sym__preproc_expression] = STATE(5794),
    [sym_preproc_parenthesized_expression] = STATE(5794),
    [sym_preproc_defined] = STATE(5794),
    [sym_preproc_unary_expression] = STATE(5794),
    [sym_preproc_call_expression] = STATE(5794),
    [sym_preproc_binary_expression] = STATE(5794),
    [sym_number_literal] = STATE(5794),
    [sym_string_literal] = STATE(5794),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3404] = {
    [sym__preproc_expression] = STATE(5813),
    [sym_preproc_parenthesized_expression] = STATE(5813),
    [sym_preproc_defined] = STATE(5813),
    [sym_preproc_unary_expression] = STATE(5813),
    [sym_preproc_call_expression] = STATE(5813),
    [sym_preproc_binary_expression] = STATE(5813),
    [sym_number_literal] = STATE(5813),
    [sym_string_literal] = STATE(5813),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3405] = {
    [sym__preproc_expression] = STATE(5817),
    [sym_preproc_parenthesized_expression] = STATE(5817),
    [sym_preproc_defined] = STATE(5817),
    [sym_preproc_unary_expression] = STATE(5817),
    [sym_preproc_call_expression] = STATE(5817),
    [sym_preproc_binary_expression] = STATE(5817),
    [sym_number_literal] = STATE(5817),
    [sym_string_literal] = STATE(5817),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3406] = {
    [sym__preproc_expression] = STATE(5826),
    [sym_preproc_parenthesized_expression] = STATE(5826),
    [sym_preproc_defined] = STATE(5826),
    [sym_preproc_unary_expression] = STATE(5826),
    [sym_preproc_call_expression] = STATE(5826),
    [sym_preproc_binary_expression] = STATE(5826),
    [sym_number_literal] = STATE(5826),
    [sym_string_literal] = STATE(5826),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3407] = {
    [sym__preproc_expression] = STATE(5832),
    [sym_preproc_parenthesized_expression] = STATE(5832),
    [sym_preproc_defined] = STATE(5832),
    [sym_preproc_unary_expression] = STATE(5832),
    [sym_preproc_call_expression] = STATE(5832),
    [sym_preproc_binary_expression] = STATE(5832),
    [sym_number_literal] = STATE(5832),
    [sym_string_literal] = STATE(5832),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3408] = {
    [sym__preproc_expression] = STATE(5735),
    [sym_preproc_parenthesized_expression] = STATE(5735),
    [sym_preproc_defined] = STATE(5735),
    [sym_preproc_unary_expression] = STATE(5735),
    [sym_preproc_call_expression] = STATE(5735),
    [sym_preproc_binary_expression] = STATE(5735),
    [sym_number_literal] = STATE(5735),
    [sym_string_literal] = STATE(5735),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3409] = {
    [sym__preproc_expression] = STATE(5709),
    [sym_preproc_parenthesized_expression] = STATE(5709),
    [sym_preproc_defined] = STATE(5709),
    [sym_preproc_unary_expression] = STATE(5709),
    [sym_preproc_call_expression] = STATE(5709),
    [sym_preproc_binary_expression] = STATE(5709),
    [sym_number_literal] = STATE(5709),
    [sym_string_literal] = STATE(5709),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3410] = {
    [anon_sym_COMMA] = ACTIONS(7837),
    [anon_sym_LPAREN2] = ACTIONS(7839),
    [anon_sym_PLUS] = ACTIONS(7837),
    [anon_sym_DASH] = ACTIONS(7837),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7839),
    [anon_sym_SEMI] = ACTIONS(7837),
    [aux_sym_block_data_statement_token1] = ACTIONS(7839),
    [aux_sym_block_data_statement_token2] = ACTIONS(7839),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7839),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7839),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7839),
    [aux_sym_use_statement_token2] = ACTIONS(7839),
    [aux_sym_implicit_statement_token4] = ACTIONS(7839),
    [aux_sym_save_statement_token1] = ACTIONS(7839),
    [aux_sym_private_statement_token1] = ACTIONS(7839),
    [aux_sym_public_statement_token1] = ACTIONS(7839),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7839),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7839),
    [aux_sym_variable_attributes_token2] = ACTIONS(7839),
    [aux_sym_variable_attributes_token3] = ACTIONS(7839),
    [aux_sym_variable_attributes_token5] = ACTIONS(7839),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7839),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7839),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7839),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7839),
    [aux_sym_type_qualifier_token1] = ACTIONS(7839),
    [aux_sym_type_qualifier_token2] = ACTIONS(7839),
    [aux_sym_stop_statement_token1] = ACTIONS(7839),
    [aux_sym_stop_statement_token2] = ACTIONS(7839),
    [aux_sym_subroutine_call_token1] = ACTIONS(7839),
    [aux_sym_keyword_statement_token2] = ACTIONS(7839),
    [aux_sym_keyword_statement_token3] = ACTIONS(7839),
    [aux_sym_keyword_statement_token4] = ACTIONS(7839),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7839),
    [aux_sym_end_if_statement_token1] = ACTIONS(7839),
    [aux_sym_elseif_clause_token2] = ACTIONS(7839),
    [aux_sym_select_case_statement_token1] = ACTIONS(7839),
    [aux_sym_format_statement_token1] = ACTIONS(7839),
    [aux_sym_open_statement_token1] = ACTIONS(7839),
    [aux_sym_inquire_statement_token1] = ACTIONS(7839),
    [aux_sym_entry_statement_token1] = ACTIONS(7839),
    [aux_sym_logical_expression_token5] = ACTIONS(7837),
    [anon_sym_DOT] = ACTIONS(7839),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7837),
    [anon_sym_LBRACK] = ACTIONS(7837),
    [aux_sym_boolean_literal_token1] = ACTIONS(7837),
    [aux_sym_boolean_literal_token2] = ACTIONS(7837),
    [aux_sym_null_literal_token1] = ACTIONS(7839),
    [aux_sym_coarray_statement_token1] = ACTIONS(7839),
    [aux_sym_coarray_statement_token2] = ACTIONS(7839),
    [aux_sym_coarray_statement_token6] = ACTIONS(7839),
    [aux_sym_coarray_statement_token8] = ACTIONS(7839),
    [aux_sym_coarray_statement_token11] = ACTIONS(7839),
    [aux_sym_coarray_statement_token12] = ACTIONS(7839),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7839),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7839),
    [aux_sym_identifier_token1] = ACTIONS(7839),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7837),
    [sym__float_literal] = ACTIONS(7837),
    [sym__boz_literal] = ACTIONS(7837),
    [sym__string_literal] = ACTIONS(7837),
    [sym__string_literal_kind] = ACTIONS(7837),
    [sym__external_end_of_statement] = ACTIONS(7837),
  },
  [3411] = {
    [sym__preproc_expression] = STATE(5697),
    [sym_preproc_parenthesized_expression] = STATE(5697),
    [sym_preproc_defined] = STATE(5697),
    [sym_preproc_unary_expression] = STATE(5697),
    [sym_preproc_call_expression] = STATE(5697),
    [sym_preproc_binary_expression] = STATE(5697),
    [sym_number_literal] = STATE(5697),
    [sym_string_literal] = STATE(5697),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3412] = {
    [anon_sym_COMMA] = ACTIONS(7841),
    [anon_sym_LPAREN2] = ACTIONS(7843),
    [anon_sym_PLUS] = ACTIONS(7841),
    [anon_sym_DASH] = ACTIONS(7841),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7843),
    [anon_sym_SEMI] = ACTIONS(7841),
    [aux_sym_block_data_statement_token1] = ACTIONS(7843),
    [aux_sym_block_data_statement_token2] = ACTIONS(7843),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7843),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7843),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7843),
    [aux_sym_use_statement_token2] = ACTIONS(7843),
    [aux_sym_implicit_statement_token4] = ACTIONS(7843),
    [aux_sym_save_statement_token1] = ACTIONS(7843),
    [aux_sym_private_statement_token1] = ACTIONS(7843),
    [aux_sym_public_statement_token1] = ACTIONS(7843),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7843),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7843),
    [aux_sym_variable_attributes_token2] = ACTIONS(7843),
    [aux_sym_variable_attributes_token3] = ACTIONS(7843),
    [aux_sym_variable_attributes_token5] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7843),
    [aux_sym_type_qualifier_token1] = ACTIONS(7843),
    [aux_sym_type_qualifier_token2] = ACTIONS(7843),
    [aux_sym_stop_statement_token1] = ACTIONS(7843),
    [aux_sym_stop_statement_token2] = ACTIONS(7843),
    [aux_sym_subroutine_call_token1] = ACTIONS(7843),
    [aux_sym_keyword_statement_token2] = ACTIONS(7843),
    [aux_sym_keyword_statement_token3] = ACTIONS(7843),
    [aux_sym_keyword_statement_token4] = ACTIONS(7843),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7843),
    [aux_sym_end_if_statement_token1] = ACTIONS(7843),
    [aux_sym_elseif_clause_token2] = ACTIONS(7843),
    [aux_sym_select_case_statement_token1] = ACTIONS(7843),
    [aux_sym_format_statement_token1] = ACTIONS(7843),
    [aux_sym_open_statement_token1] = ACTIONS(7843),
    [aux_sym_inquire_statement_token1] = ACTIONS(7843),
    [aux_sym_entry_statement_token1] = ACTIONS(7843),
    [aux_sym_logical_expression_token5] = ACTIONS(7841),
    [anon_sym_DOT] = ACTIONS(7843),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7841),
    [anon_sym_LBRACK] = ACTIONS(7841),
    [aux_sym_boolean_literal_token1] = ACTIONS(7841),
    [aux_sym_boolean_literal_token2] = ACTIONS(7841),
    [aux_sym_null_literal_token1] = ACTIONS(7843),
    [aux_sym_coarray_statement_token1] = ACTIONS(7843),
    [aux_sym_coarray_statement_token2] = ACTIONS(7843),
    [aux_sym_coarray_statement_token6] = ACTIONS(7843),
    [aux_sym_coarray_statement_token8] = ACTIONS(7843),
    [aux_sym_coarray_statement_token11] = ACTIONS(7843),
    [aux_sym_coarray_statement_token12] = ACTIONS(7843),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7843),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7843),
    [aux_sym_identifier_token1] = ACTIONS(7843),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7841),
    [sym__float_literal] = ACTIONS(7841),
    [sym__boz_literal] = ACTIONS(7841),
    [sym__string_literal] = ACTIONS(7841),
    [sym__string_literal_kind] = ACTIONS(7841),
    [sym__external_end_of_statement] = ACTIONS(7841),
  },
  [3413] = {
    [anon_sym_COMMA] = ACTIONS(7841),
    [anon_sym_LPAREN2] = ACTIONS(7843),
    [anon_sym_PLUS] = ACTIONS(7841),
    [anon_sym_DASH] = ACTIONS(7841),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7843),
    [anon_sym_SEMI] = ACTIONS(7841),
    [aux_sym_block_data_statement_token1] = ACTIONS(7843),
    [aux_sym_block_data_statement_token2] = ACTIONS(7843),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7843),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7843),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7843),
    [aux_sym_use_statement_token2] = ACTIONS(7843),
    [aux_sym_implicit_statement_token4] = ACTIONS(7843),
    [aux_sym_save_statement_token1] = ACTIONS(7843),
    [aux_sym_private_statement_token1] = ACTIONS(7843),
    [aux_sym_public_statement_token1] = ACTIONS(7843),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7843),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7843),
    [aux_sym_variable_attributes_token2] = ACTIONS(7843),
    [aux_sym_variable_attributes_token3] = ACTIONS(7843),
    [aux_sym_variable_attributes_token5] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7843),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7843),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7843),
    [aux_sym_type_qualifier_token1] = ACTIONS(7843),
    [aux_sym_type_qualifier_token2] = ACTIONS(7843),
    [aux_sym_stop_statement_token1] = ACTIONS(7843),
    [aux_sym_stop_statement_token2] = ACTIONS(7843),
    [aux_sym_subroutine_call_token1] = ACTIONS(7843),
    [aux_sym_keyword_statement_token2] = ACTIONS(7843),
    [aux_sym_keyword_statement_token3] = ACTIONS(7843),
    [aux_sym_keyword_statement_token4] = ACTIONS(7843),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7843),
    [aux_sym_end_if_statement_token1] = ACTIONS(7843),
    [aux_sym_elseif_clause_token2] = ACTIONS(7843),
    [aux_sym_select_case_statement_token1] = ACTIONS(7843),
    [aux_sym_format_statement_token1] = ACTIONS(7843),
    [aux_sym_open_statement_token1] = ACTIONS(7843),
    [aux_sym_inquire_statement_token1] = ACTIONS(7843),
    [aux_sym_entry_statement_token1] = ACTIONS(7843),
    [aux_sym_logical_expression_token5] = ACTIONS(7841),
    [anon_sym_DOT] = ACTIONS(7843),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7841),
    [anon_sym_LBRACK] = ACTIONS(7841),
    [aux_sym_boolean_literal_token1] = ACTIONS(7841),
    [aux_sym_boolean_literal_token2] = ACTIONS(7841),
    [aux_sym_null_literal_token1] = ACTIONS(7843),
    [aux_sym_coarray_statement_token1] = ACTIONS(7843),
    [aux_sym_coarray_statement_token2] = ACTIONS(7843),
    [aux_sym_coarray_statement_token6] = ACTIONS(7843),
    [aux_sym_coarray_statement_token8] = ACTIONS(7843),
    [aux_sym_coarray_statement_token11] = ACTIONS(7843),
    [aux_sym_coarray_statement_token12] = ACTIONS(7843),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7843),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7843),
    [aux_sym_identifier_token1] = ACTIONS(7843),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7841),
    [sym__float_literal] = ACTIONS(7841),
    [sym__boz_literal] = ACTIONS(7841),
    [sym__string_literal] = ACTIONS(7841),
    [sym__string_literal_kind] = ACTIONS(7841),
    [sym__external_end_of_statement] = ACTIONS(7841),
  },
  [3414] = {
    [anon_sym_COMMA] = ACTIONS(7845),
    [anon_sym_LPAREN2] = ACTIONS(7847),
    [anon_sym_PLUS] = ACTIONS(7845),
    [anon_sym_DASH] = ACTIONS(7845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7847),
    [anon_sym_SEMI] = ACTIONS(7845),
    [aux_sym_block_data_statement_token1] = ACTIONS(7847),
    [aux_sym_block_data_statement_token2] = ACTIONS(7847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7847),
    [aux_sym_use_statement_token2] = ACTIONS(7847),
    [aux_sym_implicit_statement_token4] = ACTIONS(7847),
    [aux_sym_save_statement_token1] = ACTIONS(7847),
    [aux_sym_private_statement_token1] = ACTIONS(7847),
    [aux_sym_public_statement_token1] = ACTIONS(7847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7847),
    [aux_sym_variable_attributes_token2] = ACTIONS(7847),
    [aux_sym_variable_attributes_token3] = ACTIONS(7847),
    [aux_sym_variable_attributes_token5] = ACTIONS(7847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7847),
    [aux_sym_type_qualifier_token1] = ACTIONS(7847),
    [aux_sym_type_qualifier_token2] = ACTIONS(7847),
    [aux_sym_stop_statement_token1] = ACTIONS(7847),
    [aux_sym_stop_statement_token2] = ACTIONS(7847),
    [aux_sym_subroutine_call_token1] = ACTIONS(7847),
    [aux_sym_keyword_statement_token2] = ACTIONS(7847),
    [aux_sym_keyword_statement_token3] = ACTIONS(7847),
    [aux_sym_keyword_statement_token4] = ACTIONS(7847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7847),
    [aux_sym_end_if_statement_token1] = ACTIONS(7847),
    [aux_sym_elseif_clause_token2] = ACTIONS(7847),
    [aux_sym_select_case_statement_token1] = ACTIONS(7847),
    [aux_sym_format_statement_token1] = ACTIONS(7847),
    [aux_sym_open_statement_token1] = ACTIONS(7847),
    [aux_sym_inquire_statement_token1] = ACTIONS(7847),
    [aux_sym_entry_statement_token1] = ACTIONS(7847),
    [aux_sym_logical_expression_token5] = ACTIONS(7845),
    [anon_sym_DOT] = ACTIONS(7847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7845),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [aux_sym_boolean_literal_token1] = ACTIONS(7845),
    [aux_sym_boolean_literal_token2] = ACTIONS(7845),
    [aux_sym_null_literal_token1] = ACTIONS(7847),
    [aux_sym_coarray_statement_token1] = ACTIONS(7847),
    [aux_sym_coarray_statement_token2] = ACTIONS(7847),
    [aux_sym_coarray_statement_token6] = ACTIONS(7847),
    [aux_sym_coarray_statement_token8] = ACTIONS(7847),
    [aux_sym_coarray_statement_token11] = ACTIONS(7847),
    [aux_sym_coarray_statement_token12] = ACTIONS(7847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7847),
    [aux_sym_identifier_token1] = ACTIONS(7847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7845),
    [sym__float_literal] = ACTIONS(7845),
    [sym__boz_literal] = ACTIONS(7845),
    [sym__string_literal] = ACTIONS(7845),
    [sym__string_literal_kind] = ACTIONS(7845),
    [sym__external_end_of_statement] = ACTIONS(7845),
  },
  [3415] = {
    [sym__preproc_expression] = STATE(5755),
    [sym_preproc_parenthesized_expression] = STATE(5755),
    [sym_preproc_defined] = STATE(5755),
    [sym_preproc_unary_expression] = STATE(5755),
    [sym_preproc_call_expression] = STATE(5755),
    [sym_preproc_binary_expression] = STATE(5755),
    [sym_number_literal] = STATE(5755),
    [sym_string_literal] = STATE(5755),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3416] = {
    [sym__preproc_expression] = STATE(5770),
    [sym_preproc_parenthesized_expression] = STATE(5770),
    [sym_preproc_defined] = STATE(5770),
    [sym_preproc_unary_expression] = STATE(5770),
    [sym_preproc_call_expression] = STATE(5770),
    [sym_preproc_binary_expression] = STATE(5770),
    [sym_number_literal] = STATE(5770),
    [sym_string_literal] = STATE(5770),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3417] = {
    [sym__preproc_expression] = STATE(5721),
    [sym_preproc_parenthesized_expression] = STATE(5721),
    [sym_preproc_defined] = STATE(5721),
    [sym_preproc_unary_expression] = STATE(5721),
    [sym_preproc_call_expression] = STATE(5721),
    [sym_preproc_binary_expression] = STATE(5721),
    [sym_number_literal] = STATE(5721),
    [sym_string_literal] = STATE(5721),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3418] = {
    [sym__preproc_expression] = STATE(5689),
    [sym_preproc_parenthesized_expression] = STATE(5689),
    [sym_preproc_defined] = STATE(5689),
    [sym_preproc_unary_expression] = STATE(5689),
    [sym_preproc_call_expression] = STATE(5689),
    [sym_preproc_binary_expression] = STATE(5689),
    [sym_number_literal] = STATE(5689),
    [sym_string_literal] = STATE(5689),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3419] = {
    [sym__preproc_expression] = STATE(5833),
    [sym_preproc_parenthesized_expression] = STATE(5833),
    [sym_preproc_defined] = STATE(5833),
    [sym_preproc_unary_expression] = STATE(5833),
    [sym_preproc_call_expression] = STATE(5833),
    [sym_preproc_binary_expression] = STATE(5833),
    [sym_number_literal] = STATE(5833),
    [sym_string_literal] = STATE(5833),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3420] = {
    [sym__preproc_expression] = STATE(5722),
    [sym_preproc_parenthesized_expression] = STATE(5722),
    [sym_preproc_defined] = STATE(5722),
    [sym_preproc_unary_expression] = STATE(5722),
    [sym_preproc_call_expression] = STATE(5722),
    [sym_preproc_binary_expression] = STATE(5722),
    [sym_number_literal] = STATE(5722),
    [sym_string_literal] = STATE(5722),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3421] = {
    [sym__preproc_expression] = STATE(5839),
    [sym_preproc_parenthesized_expression] = STATE(5839),
    [sym_preproc_defined] = STATE(5839),
    [sym_preproc_unary_expression] = STATE(5839),
    [sym_preproc_call_expression] = STATE(5839),
    [sym_preproc_binary_expression] = STATE(5839),
    [sym_number_literal] = STATE(5839),
    [sym_string_literal] = STATE(5839),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3422] = {
    [sym__preproc_expression] = STATE(5723),
    [sym_preproc_parenthesized_expression] = STATE(5723),
    [sym_preproc_defined] = STATE(5723),
    [sym_preproc_unary_expression] = STATE(5723),
    [sym_preproc_call_expression] = STATE(5723),
    [sym_preproc_binary_expression] = STATE(5723),
    [sym_number_literal] = STATE(5723),
    [sym_string_literal] = STATE(5723),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3423] = {
    [sym__preproc_expression] = STATE(5846),
    [sym_preproc_parenthesized_expression] = STATE(5846),
    [sym_preproc_defined] = STATE(5846),
    [sym_preproc_unary_expression] = STATE(5846),
    [sym_preproc_call_expression] = STATE(5846),
    [sym_preproc_binary_expression] = STATE(5846),
    [sym_number_literal] = STATE(5846),
    [sym_string_literal] = STATE(5846),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3424] = {
    [sym__preproc_expression] = STATE(5694),
    [sym_preproc_parenthesized_expression] = STATE(5694),
    [sym_preproc_defined] = STATE(5694),
    [sym_preproc_unary_expression] = STATE(5694),
    [sym_preproc_call_expression] = STATE(5694),
    [sym_preproc_binary_expression] = STATE(5694),
    [sym_number_literal] = STATE(5694),
    [sym_string_literal] = STATE(5694),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3425] = {
    [sym__preproc_expression] = STATE(5834),
    [sym_preproc_parenthesized_expression] = STATE(5834),
    [sym_preproc_defined] = STATE(5834),
    [sym_preproc_unary_expression] = STATE(5834),
    [sym_preproc_call_expression] = STATE(5834),
    [sym_preproc_binary_expression] = STATE(5834),
    [sym_number_literal] = STATE(5834),
    [sym_string_literal] = STATE(5834),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3426] = {
    [sym__preproc_expression] = STATE(5838),
    [sym_preproc_parenthesized_expression] = STATE(5838),
    [sym_preproc_defined] = STATE(5838),
    [sym_preproc_unary_expression] = STATE(5838),
    [sym_preproc_call_expression] = STATE(5838),
    [sym_preproc_binary_expression] = STATE(5838),
    [sym_number_literal] = STATE(5838),
    [sym_string_literal] = STATE(5838),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3427] = {
    [sym__preproc_expression] = STATE(5702),
    [sym_preproc_parenthesized_expression] = STATE(5702),
    [sym_preproc_defined] = STATE(5702),
    [sym_preproc_unary_expression] = STATE(5702),
    [sym_preproc_call_expression] = STATE(5702),
    [sym_preproc_binary_expression] = STATE(5702),
    [sym_number_literal] = STATE(5702),
    [sym_string_literal] = STATE(5702),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3428] = {
    [sym__preproc_expression] = STATE(5752),
    [sym_preproc_parenthesized_expression] = STATE(5752),
    [sym_preproc_defined] = STATE(5752),
    [sym_preproc_unary_expression] = STATE(5752),
    [sym_preproc_call_expression] = STATE(5752),
    [sym_preproc_binary_expression] = STATE(5752),
    [sym_number_literal] = STATE(5752),
    [sym_string_literal] = STATE(5752),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3429] = {
    [sym__preproc_expression] = STATE(5841),
    [sym_preproc_parenthesized_expression] = STATE(5841),
    [sym_preproc_defined] = STATE(5841),
    [sym_preproc_unary_expression] = STATE(5841),
    [sym_preproc_call_expression] = STATE(5841),
    [sym_preproc_binary_expression] = STATE(5841),
    [sym_number_literal] = STATE(5841),
    [sym_string_literal] = STATE(5841),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3430] = {
    [sym__preproc_expression] = STATE(5742),
    [sym_preproc_parenthesized_expression] = STATE(5742),
    [sym_preproc_defined] = STATE(5742),
    [sym_preproc_unary_expression] = STATE(5742),
    [sym_preproc_call_expression] = STATE(5742),
    [sym_preproc_binary_expression] = STATE(5742),
    [sym_number_literal] = STATE(5742),
    [sym_string_literal] = STATE(5742),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3431] = {
    [sym__preproc_expression] = STATE(5791),
    [sym_preproc_parenthesized_expression] = STATE(5791),
    [sym_preproc_defined] = STATE(5791),
    [sym_preproc_unary_expression] = STATE(5791),
    [sym_preproc_call_expression] = STATE(5791),
    [sym_preproc_binary_expression] = STATE(5791),
    [sym_number_literal] = STATE(5791),
    [sym_string_literal] = STATE(5791),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3432] = {
    [sym__preproc_expression] = STATE(5749),
    [sym_preproc_parenthesized_expression] = STATE(5749),
    [sym_preproc_defined] = STATE(5749),
    [sym_preproc_unary_expression] = STATE(5749),
    [sym_preproc_call_expression] = STATE(5749),
    [sym_preproc_binary_expression] = STATE(5749),
    [sym_number_literal] = STATE(5749),
    [sym_string_literal] = STATE(5749),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3433] = {
    [sym__preproc_expression] = STATE(5796),
    [sym_preproc_parenthesized_expression] = STATE(5796),
    [sym_preproc_defined] = STATE(5796),
    [sym_preproc_unary_expression] = STATE(5796),
    [sym_preproc_call_expression] = STATE(5796),
    [sym_preproc_binary_expression] = STATE(5796),
    [sym_number_literal] = STATE(5796),
    [sym_string_literal] = STATE(5796),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3434] = {
    [sym__preproc_expression] = STATE(5760),
    [sym_preproc_parenthesized_expression] = STATE(5760),
    [sym_preproc_defined] = STATE(5760),
    [sym_preproc_unary_expression] = STATE(5760),
    [sym_preproc_call_expression] = STATE(5760),
    [sym_preproc_binary_expression] = STATE(5760),
    [sym_number_literal] = STATE(5760),
    [sym_string_literal] = STATE(5760),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3435] = {
    [sym__preproc_expression] = STATE(5772),
    [sym_preproc_parenthesized_expression] = STATE(5772),
    [sym_preproc_defined] = STATE(5772),
    [sym_preproc_unary_expression] = STATE(5772),
    [sym_preproc_call_expression] = STATE(5772),
    [sym_preproc_binary_expression] = STATE(5772),
    [sym_number_literal] = STATE(5772),
    [sym_string_literal] = STATE(5772),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3436] = {
    [sym__preproc_expression] = STATE(5773),
    [sym_preproc_parenthesized_expression] = STATE(5773),
    [sym_preproc_defined] = STATE(5773),
    [sym_preproc_unary_expression] = STATE(5773),
    [sym_preproc_call_expression] = STATE(5773),
    [sym_preproc_binary_expression] = STATE(5773),
    [sym_number_literal] = STATE(5773),
    [sym_string_literal] = STATE(5773),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3437] = {
    [sym__preproc_expression] = STATE(5800),
    [sym_preproc_parenthesized_expression] = STATE(5800),
    [sym_preproc_defined] = STATE(5800),
    [sym_preproc_unary_expression] = STATE(5800),
    [sym_preproc_call_expression] = STATE(5800),
    [sym_preproc_binary_expression] = STATE(5800),
    [sym_number_literal] = STATE(5800),
    [sym_string_literal] = STATE(5800),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3438] = {
    [sym__preproc_expression] = STATE(5775),
    [sym_preproc_parenthesized_expression] = STATE(5775),
    [sym_preproc_defined] = STATE(5775),
    [sym_preproc_unary_expression] = STATE(5775),
    [sym_preproc_call_expression] = STATE(5775),
    [sym_preproc_binary_expression] = STATE(5775),
    [sym_number_literal] = STATE(5775),
    [sym_string_literal] = STATE(5775),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3439] = {
    [sym__preproc_expression] = STATE(5828),
    [sym_preproc_parenthesized_expression] = STATE(5828),
    [sym_preproc_defined] = STATE(5828),
    [sym_preproc_unary_expression] = STATE(5828),
    [sym_preproc_call_expression] = STATE(5828),
    [sym_preproc_binary_expression] = STATE(5828),
    [sym_number_literal] = STATE(5828),
    [sym_string_literal] = STATE(5828),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3440] = {
    [sym__preproc_expression] = STATE(5686),
    [sym_preproc_parenthesized_expression] = STATE(5686),
    [sym_preproc_defined] = STATE(5686),
    [sym_preproc_unary_expression] = STATE(5686),
    [sym_preproc_call_expression] = STATE(5686),
    [sym_preproc_binary_expression] = STATE(5686),
    [sym_number_literal] = STATE(5686),
    [sym_string_literal] = STATE(5686),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3441] = {
    [sym__preproc_expression] = STATE(5687),
    [sym_preproc_parenthesized_expression] = STATE(5687),
    [sym_preproc_defined] = STATE(5687),
    [sym_preproc_unary_expression] = STATE(5687),
    [sym_preproc_call_expression] = STATE(5687),
    [sym_preproc_binary_expression] = STATE(5687),
    [sym_number_literal] = STATE(5687),
    [sym_string_literal] = STATE(5687),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3442] = {
    [sym__preproc_expression] = STATE(5803),
    [sym_preproc_parenthesized_expression] = STATE(5803),
    [sym_preproc_defined] = STATE(5803),
    [sym_preproc_unary_expression] = STATE(5803),
    [sym_preproc_call_expression] = STATE(5803),
    [sym_preproc_binary_expression] = STATE(5803),
    [sym_number_literal] = STATE(5803),
    [sym_string_literal] = STATE(5803),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3443] = {
    [sym__preproc_expression] = STATE(5843),
    [sym_preproc_parenthesized_expression] = STATE(5843),
    [sym_preproc_defined] = STATE(5843),
    [sym_preproc_unary_expression] = STATE(5843),
    [sym_preproc_call_expression] = STATE(5843),
    [sym_preproc_binary_expression] = STATE(5843),
    [sym_number_literal] = STATE(5843),
    [sym_string_literal] = STATE(5843),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3444] = {
    [anon_sym_COMMA] = ACTIONS(7849),
    [anon_sym_LPAREN2] = ACTIONS(7851),
    [anon_sym_PLUS] = ACTIONS(7849),
    [anon_sym_DASH] = ACTIONS(7849),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7851),
    [anon_sym_SEMI] = ACTIONS(7849),
    [aux_sym_block_data_statement_token1] = ACTIONS(7851),
    [aux_sym_block_data_statement_token2] = ACTIONS(7851),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7851),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7851),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7851),
    [aux_sym_use_statement_token2] = ACTIONS(7851),
    [aux_sym_implicit_statement_token4] = ACTIONS(7851),
    [aux_sym_save_statement_token1] = ACTIONS(7851),
    [aux_sym_private_statement_token1] = ACTIONS(7851),
    [aux_sym_public_statement_token1] = ACTIONS(7851),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7851),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7851),
    [aux_sym_variable_attributes_token2] = ACTIONS(7851),
    [aux_sym_variable_attributes_token3] = ACTIONS(7851),
    [aux_sym_variable_attributes_token5] = ACTIONS(7851),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7851),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7851),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7851),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7851),
    [aux_sym_type_qualifier_token1] = ACTIONS(7851),
    [aux_sym_type_qualifier_token2] = ACTIONS(7851),
    [aux_sym_stop_statement_token1] = ACTIONS(7851),
    [aux_sym_stop_statement_token2] = ACTIONS(7851),
    [aux_sym_subroutine_call_token1] = ACTIONS(7851),
    [aux_sym_keyword_statement_token2] = ACTIONS(7851),
    [aux_sym_keyword_statement_token3] = ACTIONS(7851),
    [aux_sym_keyword_statement_token4] = ACTIONS(7851),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7851),
    [aux_sym_end_if_statement_token1] = ACTIONS(7851),
    [aux_sym_elseif_clause_token2] = ACTIONS(7851),
    [aux_sym_select_case_statement_token1] = ACTIONS(7851),
    [aux_sym_format_statement_token1] = ACTIONS(7851),
    [aux_sym_open_statement_token1] = ACTIONS(7851),
    [aux_sym_inquire_statement_token1] = ACTIONS(7851),
    [aux_sym_entry_statement_token1] = ACTIONS(7851),
    [aux_sym_logical_expression_token5] = ACTIONS(7849),
    [anon_sym_DOT] = ACTIONS(7851),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7849),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [aux_sym_boolean_literal_token1] = ACTIONS(7849),
    [aux_sym_boolean_literal_token2] = ACTIONS(7849),
    [aux_sym_null_literal_token1] = ACTIONS(7851),
    [aux_sym_coarray_statement_token1] = ACTIONS(7851),
    [aux_sym_coarray_statement_token2] = ACTIONS(7851),
    [aux_sym_coarray_statement_token6] = ACTIONS(7851),
    [aux_sym_coarray_statement_token8] = ACTIONS(7851),
    [aux_sym_coarray_statement_token11] = ACTIONS(7851),
    [aux_sym_coarray_statement_token12] = ACTIONS(7851),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7851),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7851),
    [aux_sym_identifier_token1] = ACTIONS(7851),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7849),
    [sym__float_literal] = ACTIONS(7849),
    [sym__boz_literal] = ACTIONS(7849),
    [sym__string_literal] = ACTIONS(7849),
    [sym__string_literal_kind] = ACTIONS(7849),
    [sym__external_end_of_statement] = ACTIONS(7849),
  },
  [3445] = {
    [anon_sym_COMMA] = ACTIONS(7853),
    [anon_sym_LPAREN2] = ACTIONS(7855),
    [anon_sym_PLUS] = ACTIONS(7853),
    [anon_sym_DASH] = ACTIONS(7853),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7855),
    [anon_sym_SEMI] = ACTIONS(7853),
    [aux_sym_block_data_statement_token1] = ACTIONS(7855),
    [aux_sym_block_data_statement_token2] = ACTIONS(7855),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7855),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7855),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7855),
    [aux_sym_use_statement_token2] = ACTIONS(7855),
    [aux_sym_implicit_statement_token4] = ACTIONS(7855),
    [aux_sym_save_statement_token1] = ACTIONS(7855),
    [aux_sym_private_statement_token1] = ACTIONS(7855),
    [aux_sym_public_statement_token1] = ACTIONS(7855),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7855),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7855),
    [aux_sym_variable_attributes_token2] = ACTIONS(7855),
    [aux_sym_variable_attributes_token3] = ACTIONS(7855),
    [aux_sym_variable_attributes_token5] = ACTIONS(7855),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7855),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7855),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7855),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7855),
    [aux_sym_type_qualifier_token1] = ACTIONS(7855),
    [aux_sym_type_qualifier_token2] = ACTIONS(7855),
    [aux_sym_stop_statement_token1] = ACTIONS(7855),
    [aux_sym_stop_statement_token2] = ACTIONS(7855),
    [aux_sym_subroutine_call_token1] = ACTIONS(7855),
    [aux_sym_keyword_statement_token2] = ACTIONS(7855),
    [aux_sym_keyword_statement_token3] = ACTIONS(7855),
    [aux_sym_keyword_statement_token4] = ACTIONS(7855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7855),
    [aux_sym_end_if_statement_token1] = ACTIONS(7855),
    [aux_sym_elseif_clause_token2] = ACTIONS(7855),
    [aux_sym_select_case_statement_token1] = ACTIONS(7855),
    [aux_sym_format_statement_token1] = ACTIONS(7855),
    [aux_sym_open_statement_token1] = ACTIONS(7855),
    [aux_sym_inquire_statement_token1] = ACTIONS(7855),
    [aux_sym_entry_statement_token1] = ACTIONS(7855),
    [aux_sym_logical_expression_token5] = ACTIONS(7853),
    [anon_sym_DOT] = ACTIONS(7855),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7853),
    [anon_sym_LBRACK] = ACTIONS(7853),
    [aux_sym_boolean_literal_token1] = ACTIONS(7853),
    [aux_sym_boolean_literal_token2] = ACTIONS(7853),
    [aux_sym_null_literal_token1] = ACTIONS(7855),
    [aux_sym_coarray_statement_token1] = ACTIONS(7855),
    [aux_sym_coarray_statement_token2] = ACTIONS(7855),
    [aux_sym_coarray_statement_token6] = ACTIONS(7855),
    [aux_sym_coarray_statement_token8] = ACTIONS(7855),
    [aux_sym_coarray_statement_token11] = ACTIONS(7855),
    [aux_sym_coarray_statement_token12] = ACTIONS(7855),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7855),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7855),
    [aux_sym_identifier_token1] = ACTIONS(7855),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7853),
    [sym__float_literal] = ACTIONS(7853),
    [sym__boz_literal] = ACTIONS(7853),
    [sym__string_literal] = ACTIONS(7853),
    [sym__string_literal_kind] = ACTIONS(7853),
    [sym__external_end_of_statement] = ACTIONS(7853),
  },
  [3446] = {
    [sym__preproc_expression] = STATE(5819),
    [sym_preproc_parenthesized_expression] = STATE(5819),
    [sym_preproc_defined] = STATE(5819),
    [sym_preproc_unary_expression] = STATE(5819),
    [sym_preproc_call_expression] = STATE(5819),
    [sym_preproc_binary_expression] = STATE(5819),
    [sym_number_literal] = STATE(5819),
    [sym_string_literal] = STATE(5819),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3447] = {
    [sym__preproc_expression] = STATE(5784),
    [sym_preproc_parenthesized_expression] = STATE(5784),
    [sym_preproc_defined] = STATE(5784),
    [sym_preproc_unary_expression] = STATE(5784),
    [sym_preproc_call_expression] = STATE(5784),
    [sym_preproc_binary_expression] = STATE(5784),
    [sym_number_literal] = STATE(5784),
    [sym_string_literal] = STATE(5784),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3448] = {
    [sym__preproc_expression] = STATE(5844),
    [sym_preproc_parenthesized_expression] = STATE(5844),
    [sym_preproc_defined] = STATE(5844),
    [sym_preproc_unary_expression] = STATE(5844),
    [sym_preproc_call_expression] = STATE(5844),
    [sym_preproc_binary_expression] = STATE(5844),
    [sym_number_literal] = STATE(5844),
    [sym_string_literal] = STATE(5844),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3449] = {
    [sym__preproc_expression] = STATE(5804),
    [sym_preproc_parenthesized_expression] = STATE(5804),
    [sym_preproc_defined] = STATE(5804),
    [sym_preproc_unary_expression] = STATE(5804),
    [sym_preproc_call_expression] = STATE(5804),
    [sym_preproc_binary_expression] = STATE(5804),
    [sym_number_literal] = STATE(5804),
    [sym_string_literal] = STATE(5804),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3450] = {
    [sym__preproc_expression] = STATE(5727),
    [sym_preproc_parenthesized_expression] = STATE(5727),
    [sym_preproc_defined] = STATE(5727),
    [sym_preproc_unary_expression] = STATE(5727),
    [sym_preproc_call_expression] = STATE(5727),
    [sym_preproc_binary_expression] = STATE(5727),
    [sym_number_literal] = STATE(5727),
    [sym_string_literal] = STATE(5727),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3451] = {
    [sym__preproc_expression] = STATE(5805),
    [sym_preproc_parenthesized_expression] = STATE(5805),
    [sym_preproc_defined] = STATE(5805),
    [sym_preproc_unary_expression] = STATE(5805),
    [sym_preproc_call_expression] = STATE(5805),
    [sym_preproc_binary_expression] = STATE(5805),
    [sym_number_literal] = STATE(5805),
    [sym_string_literal] = STATE(5805),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3452] = {
    [sym__preproc_expression] = STATE(5762),
    [sym_preproc_parenthesized_expression] = STATE(5762),
    [sym_preproc_defined] = STATE(5762),
    [sym_preproc_unary_expression] = STATE(5762),
    [sym_preproc_call_expression] = STATE(5762),
    [sym_preproc_binary_expression] = STATE(5762),
    [sym_number_literal] = STATE(5762),
    [sym_string_literal] = STATE(5762),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3453] = {
    [sym__preproc_expression] = STATE(5782),
    [sym_preproc_parenthesized_expression] = STATE(5782),
    [sym_preproc_defined] = STATE(5782),
    [sym_preproc_unary_expression] = STATE(5782),
    [sym_preproc_call_expression] = STATE(5782),
    [sym_preproc_binary_expression] = STATE(5782),
    [sym_number_literal] = STATE(5782),
    [sym_string_literal] = STATE(5782),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3454] = {
    [sym__preproc_expression] = STATE(5685),
    [sym_preproc_parenthesized_expression] = STATE(5685),
    [sym_preproc_defined] = STATE(5685),
    [sym_preproc_unary_expression] = STATE(5685),
    [sym_preproc_call_expression] = STATE(5685),
    [sym_preproc_binary_expression] = STATE(5685),
    [sym_number_literal] = STATE(5685),
    [sym_string_literal] = STATE(5685),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3455] = {
    [sym__preproc_expression] = STATE(5786),
    [sym_preproc_parenthesized_expression] = STATE(5786),
    [sym_preproc_defined] = STATE(5786),
    [sym_preproc_unary_expression] = STATE(5786),
    [sym_preproc_call_expression] = STATE(5786),
    [sym_preproc_binary_expression] = STATE(5786),
    [sym_number_literal] = STATE(5786),
    [sym_string_literal] = STATE(5786),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3456] = {
    [sym__preproc_expression] = STATE(5785),
    [sym_preproc_parenthesized_expression] = STATE(5785),
    [sym_preproc_defined] = STATE(5785),
    [sym_preproc_unary_expression] = STATE(5785),
    [sym_preproc_call_expression] = STATE(5785),
    [sym_preproc_binary_expression] = STATE(5785),
    [sym_number_literal] = STATE(5785),
    [sym_string_literal] = STATE(5785),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3457] = {
    [sym__preproc_expression] = STATE(5692),
    [sym_preproc_parenthesized_expression] = STATE(5692),
    [sym_preproc_defined] = STATE(5692),
    [sym_preproc_unary_expression] = STATE(5692),
    [sym_preproc_call_expression] = STATE(5692),
    [sym_preproc_binary_expression] = STATE(5692),
    [sym_number_literal] = STATE(5692),
    [sym_string_literal] = STATE(5692),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3458] = {
    [sym__preproc_expression] = STATE(5751),
    [sym_preproc_parenthesized_expression] = STATE(5751),
    [sym_preproc_defined] = STATE(5751),
    [sym_preproc_unary_expression] = STATE(5751),
    [sym_preproc_call_expression] = STATE(5751),
    [sym_preproc_binary_expression] = STATE(5751),
    [sym_number_literal] = STATE(5751),
    [sym_string_literal] = STATE(5751),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3459] = {
    [sym__preproc_expression] = STATE(5754),
    [sym_preproc_parenthesized_expression] = STATE(5754),
    [sym_preproc_defined] = STATE(5754),
    [sym_preproc_unary_expression] = STATE(5754),
    [sym_preproc_call_expression] = STATE(5754),
    [sym_preproc_binary_expression] = STATE(5754),
    [sym_number_literal] = STATE(5754),
    [sym_string_literal] = STATE(5754),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3460] = {
    [sym__preproc_expression] = STATE(5768),
    [sym_preproc_parenthesized_expression] = STATE(5768),
    [sym_preproc_defined] = STATE(5768),
    [sym_preproc_unary_expression] = STATE(5768),
    [sym_preproc_call_expression] = STATE(5768),
    [sym_preproc_binary_expression] = STATE(5768),
    [sym_number_literal] = STATE(5768),
    [sym_string_literal] = STATE(5768),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3461] = {
    [sym__preproc_expression] = STATE(5780),
    [sym_preproc_parenthesized_expression] = STATE(5780),
    [sym_preproc_defined] = STATE(5780),
    [sym_preproc_unary_expression] = STATE(5780),
    [sym_preproc_call_expression] = STATE(5780),
    [sym_preproc_binary_expression] = STATE(5780),
    [sym_number_literal] = STATE(5780),
    [sym_string_literal] = STATE(5780),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3462] = {
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_LPAREN2] = ACTIONS(7857),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7857),
    [anon_sym_SEMI] = ACTIONS(7213),
    [aux_sym_block_data_statement_token1] = ACTIONS(7857),
    [aux_sym_block_data_statement_token2] = ACTIONS(7857),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7857),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7857),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7857),
    [aux_sym_use_statement_token2] = ACTIONS(7857),
    [aux_sym_implicit_statement_token4] = ACTIONS(7857),
    [aux_sym_save_statement_token1] = ACTIONS(7857),
    [aux_sym_private_statement_token1] = ACTIONS(7857),
    [aux_sym_public_statement_token1] = ACTIONS(7857),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7857),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7857),
    [aux_sym_variable_attributes_token2] = ACTIONS(7857),
    [aux_sym_variable_attributes_token3] = ACTIONS(7857),
    [aux_sym_variable_attributes_token5] = ACTIONS(7857),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7857),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7857),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7857),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7857),
    [aux_sym_type_qualifier_token1] = ACTIONS(7857),
    [aux_sym_type_qualifier_token2] = ACTIONS(7857),
    [aux_sym_stop_statement_token1] = ACTIONS(7857),
    [aux_sym_stop_statement_token2] = ACTIONS(7857),
    [aux_sym_subroutine_call_token1] = ACTIONS(7857),
    [aux_sym_keyword_statement_token2] = ACTIONS(7857),
    [aux_sym_keyword_statement_token3] = ACTIONS(7857),
    [aux_sym_keyword_statement_token4] = ACTIONS(7857),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7857),
    [aux_sym_end_if_statement_token1] = ACTIONS(7857),
    [aux_sym_elseif_clause_token2] = ACTIONS(7857),
    [aux_sym_select_case_statement_token1] = ACTIONS(7857),
    [aux_sym_format_statement_token1] = ACTIONS(7857),
    [aux_sym_open_statement_token1] = ACTIONS(7857),
    [aux_sym_inquire_statement_token1] = ACTIONS(7857),
    [aux_sym_entry_statement_token1] = ACTIONS(7857),
    [aux_sym_logical_expression_token5] = ACTIONS(7213),
    [anon_sym_DOT] = ACTIONS(7857),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7213),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [aux_sym_boolean_literal_token1] = ACTIONS(7213),
    [aux_sym_boolean_literal_token2] = ACTIONS(7213),
    [aux_sym_null_literal_token1] = ACTIONS(7857),
    [aux_sym_coarray_statement_token1] = ACTIONS(7857),
    [aux_sym_coarray_statement_token2] = ACTIONS(7857),
    [aux_sym_coarray_statement_token6] = ACTIONS(7857),
    [aux_sym_coarray_statement_token8] = ACTIONS(7857),
    [aux_sym_coarray_statement_token11] = ACTIONS(7857),
    [aux_sym_coarray_statement_token12] = ACTIONS(7857),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7857),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7857),
    [aux_sym_identifier_token1] = ACTIONS(7857),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7213),
    [sym__float_literal] = ACTIONS(7213),
    [sym__boz_literal] = ACTIONS(7213),
    [sym__string_literal] = ACTIONS(7213),
    [sym__string_literal_kind] = ACTIONS(7213),
    [sym__external_end_of_statement] = ACTIONS(7213),
  },
  [3463] = {
    [anon_sym_COMMA] = ACTIONS(7859),
    [anon_sym_LPAREN2] = ACTIONS(7861),
    [anon_sym_PLUS] = ACTIONS(7859),
    [anon_sym_DASH] = ACTIONS(7859),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7861),
    [anon_sym_SEMI] = ACTIONS(7859),
    [aux_sym_block_data_statement_token1] = ACTIONS(7861),
    [aux_sym_block_data_statement_token2] = ACTIONS(7861),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7861),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7861),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7861),
    [aux_sym_use_statement_token2] = ACTIONS(7861),
    [aux_sym_implicit_statement_token4] = ACTIONS(7861),
    [aux_sym_save_statement_token1] = ACTIONS(7861),
    [aux_sym_private_statement_token1] = ACTIONS(7861),
    [aux_sym_public_statement_token1] = ACTIONS(7861),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7861),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7861),
    [aux_sym_variable_attributes_token2] = ACTIONS(7861),
    [aux_sym_variable_attributes_token3] = ACTIONS(7861),
    [aux_sym_variable_attributes_token5] = ACTIONS(7861),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7861),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7861),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7861),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7861),
    [aux_sym_type_qualifier_token1] = ACTIONS(7861),
    [aux_sym_type_qualifier_token2] = ACTIONS(7861),
    [aux_sym_stop_statement_token1] = ACTIONS(7861),
    [aux_sym_stop_statement_token2] = ACTIONS(7861),
    [aux_sym_subroutine_call_token1] = ACTIONS(7861),
    [aux_sym_keyword_statement_token2] = ACTIONS(7861),
    [aux_sym_keyword_statement_token3] = ACTIONS(7861),
    [aux_sym_keyword_statement_token4] = ACTIONS(7861),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7861),
    [aux_sym_end_if_statement_token1] = ACTIONS(7861),
    [aux_sym_elseif_clause_token2] = ACTIONS(7861),
    [aux_sym_select_case_statement_token1] = ACTIONS(7861),
    [aux_sym_format_statement_token1] = ACTIONS(7861),
    [aux_sym_open_statement_token1] = ACTIONS(7861),
    [aux_sym_inquire_statement_token1] = ACTIONS(7861),
    [aux_sym_entry_statement_token1] = ACTIONS(7861),
    [aux_sym_logical_expression_token5] = ACTIONS(7859),
    [anon_sym_DOT] = ACTIONS(7861),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7859),
    [anon_sym_LBRACK] = ACTIONS(7859),
    [aux_sym_boolean_literal_token1] = ACTIONS(7859),
    [aux_sym_boolean_literal_token2] = ACTIONS(7859),
    [aux_sym_null_literal_token1] = ACTIONS(7861),
    [aux_sym_coarray_statement_token1] = ACTIONS(7861),
    [aux_sym_coarray_statement_token2] = ACTIONS(7861),
    [aux_sym_coarray_statement_token6] = ACTIONS(7861),
    [aux_sym_coarray_statement_token8] = ACTIONS(7861),
    [aux_sym_coarray_statement_token11] = ACTIONS(7861),
    [aux_sym_coarray_statement_token12] = ACTIONS(7861),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7861),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7861),
    [aux_sym_identifier_token1] = ACTIONS(7861),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7859),
    [sym__float_literal] = ACTIONS(7859),
    [sym__boz_literal] = ACTIONS(7859),
    [sym__string_literal] = ACTIONS(7859),
    [sym__string_literal_kind] = ACTIONS(7859),
    [sym__external_end_of_statement] = ACTIONS(7859),
  },
  [3464] = {
    [anon_sym_COMMA] = ACTIONS(7863),
    [anon_sym_LPAREN2] = ACTIONS(7865),
    [anon_sym_PLUS] = ACTIONS(7863),
    [anon_sym_DASH] = ACTIONS(7863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7865),
    [anon_sym_SEMI] = ACTIONS(7863),
    [aux_sym_block_data_statement_token1] = ACTIONS(7865),
    [aux_sym_block_data_statement_token2] = ACTIONS(7865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7865),
    [aux_sym_use_statement_token2] = ACTIONS(7865),
    [aux_sym_implicit_statement_token4] = ACTIONS(7865),
    [aux_sym_save_statement_token1] = ACTIONS(7865),
    [aux_sym_private_statement_token1] = ACTIONS(7865),
    [aux_sym_public_statement_token1] = ACTIONS(7865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7865),
    [aux_sym_variable_attributes_token2] = ACTIONS(7865),
    [aux_sym_variable_attributes_token3] = ACTIONS(7865),
    [aux_sym_variable_attributes_token5] = ACTIONS(7865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7865),
    [aux_sym_type_qualifier_token1] = ACTIONS(7865),
    [aux_sym_type_qualifier_token2] = ACTIONS(7865),
    [aux_sym_stop_statement_token1] = ACTIONS(7865),
    [aux_sym_stop_statement_token2] = ACTIONS(7865),
    [aux_sym_subroutine_call_token1] = ACTIONS(7865),
    [aux_sym_keyword_statement_token2] = ACTIONS(7865),
    [aux_sym_keyword_statement_token3] = ACTIONS(7865),
    [aux_sym_keyword_statement_token4] = ACTIONS(7865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7865),
    [aux_sym_end_if_statement_token1] = ACTIONS(7865),
    [aux_sym_elseif_clause_token2] = ACTIONS(7865),
    [aux_sym_select_case_statement_token1] = ACTIONS(7865),
    [aux_sym_format_statement_token1] = ACTIONS(7865),
    [aux_sym_open_statement_token1] = ACTIONS(7865),
    [aux_sym_inquire_statement_token1] = ACTIONS(7865),
    [aux_sym_entry_statement_token1] = ACTIONS(7865),
    [aux_sym_logical_expression_token5] = ACTIONS(7863),
    [anon_sym_DOT] = ACTIONS(7865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7863),
    [anon_sym_LBRACK] = ACTIONS(7863),
    [aux_sym_boolean_literal_token1] = ACTIONS(7863),
    [aux_sym_boolean_literal_token2] = ACTIONS(7863),
    [aux_sym_null_literal_token1] = ACTIONS(7865),
    [aux_sym_coarray_statement_token1] = ACTIONS(7865),
    [aux_sym_coarray_statement_token2] = ACTIONS(7865),
    [aux_sym_coarray_statement_token6] = ACTIONS(7865),
    [aux_sym_coarray_statement_token8] = ACTIONS(7865),
    [aux_sym_coarray_statement_token11] = ACTIONS(7865),
    [aux_sym_coarray_statement_token12] = ACTIONS(7865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7865),
    [aux_sym_identifier_token1] = ACTIONS(7865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7863),
    [sym__float_literal] = ACTIONS(7863),
    [sym__boz_literal] = ACTIONS(7863),
    [sym__string_literal] = ACTIONS(7863),
    [sym__string_literal_kind] = ACTIONS(7863),
    [sym__external_end_of_statement] = ACTIONS(7863),
  },
  [3465] = {
    [sym__preproc_expression] = STATE(5837),
    [sym_preproc_parenthesized_expression] = STATE(5837),
    [sym_preproc_defined] = STATE(5837),
    [sym_preproc_unary_expression] = STATE(5837),
    [sym_preproc_call_expression] = STATE(5837),
    [sym_preproc_binary_expression] = STATE(5837),
    [sym_number_literal] = STATE(5837),
    [sym_string_literal] = STATE(5837),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3466] = {
    [sym__preproc_expression] = STATE(5695),
    [sym_preproc_parenthesized_expression] = STATE(5695),
    [sym_preproc_defined] = STATE(5695),
    [sym_preproc_unary_expression] = STATE(5695),
    [sym_preproc_call_expression] = STATE(5695),
    [sym_preproc_binary_expression] = STATE(5695),
    [sym_number_literal] = STATE(5695),
    [sym_string_literal] = STATE(5695),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3467] = {
    [anon_sym_COMMA] = ACTIONS(7867),
    [anon_sym_LPAREN2] = ACTIONS(7869),
    [anon_sym_PLUS] = ACTIONS(7867),
    [anon_sym_DASH] = ACTIONS(7867),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7869),
    [anon_sym_SEMI] = ACTIONS(7867),
    [aux_sym_block_data_statement_token1] = ACTIONS(7869),
    [aux_sym_block_data_statement_token2] = ACTIONS(7869),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7869),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7869),
    [aux_sym_use_statement_token2] = ACTIONS(7869),
    [aux_sym_implicit_statement_token4] = ACTIONS(7869),
    [aux_sym_save_statement_token1] = ACTIONS(7869),
    [aux_sym_private_statement_token1] = ACTIONS(7869),
    [aux_sym_public_statement_token1] = ACTIONS(7869),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7869),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7869),
    [aux_sym_variable_attributes_token2] = ACTIONS(7869),
    [aux_sym_variable_attributes_token3] = ACTIONS(7869),
    [aux_sym_variable_attributes_token5] = ACTIONS(7869),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7869),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7869),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7869),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7869),
    [aux_sym_type_qualifier_token1] = ACTIONS(7869),
    [aux_sym_type_qualifier_token2] = ACTIONS(7869),
    [aux_sym_stop_statement_token1] = ACTIONS(7869),
    [aux_sym_stop_statement_token2] = ACTIONS(7869),
    [aux_sym_subroutine_call_token1] = ACTIONS(7869),
    [aux_sym_keyword_statement_token2] = ACTIONS(7869),
    [aux_sym_keyword_statement_token3] = ACTIONS(7869),
    [aux_sym_keyword_statement_token4] = ACTIONS(7869),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7869),
    [aux_sym_end_if_statement_token1] = ACTIONS(7869),
    [aux_sym_elseif_clause_token2] = ACTIONS(7869),
    [aux_sym_select_case_statement_token1] = ACTIONS(7869),
    [aux_sym_format_statement_token1] = ACTIONS(7869),
    [aux_sym_open_statement_token1] = ACTIONS(7869),
    [aux_sym_inquire_statement_token1] = ACTIONS(7869),
    [aux_sym_entry_statement_token1] = ACTIONS(7869),
    [aux_sym_logical_expression_token5] = ACTIONS(7867),
    [anon_sym_DOT] = ACTIONS(7869),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7867),
    [anon_sym_LBRACK] = ACTIONS(7867),
    [aux_sym_boolean_literal_token1] = ACTIONS(7867),
    [aux_sym_boolean_literal_token2] = ACTIONS(7867),
    [aux_sym_null_literal_token1] = ACTIONS(7869),
    [aux_sym_coarray_statement_token1] = ACTIONS(7869),
    [aux_sym_coarray_statement_token2] = ACTIONS(7869),
    [aux_sym_coarray_statement_token6] = ACTIONS(7869),
    [aux_sym_coarray_statement_token8] = ACTIONS(7869),
    [aux_sym_coarray_statement_token11] = ACTIONS(7869),
    [aux_sym_coarray_statement_token12] = ACTIONS(7869),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7869),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7869),
    [aux_sym_identifier_token1] = ACTIONS(7869),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7867),
    [sym__float_literal] = ACTIONS(7867),
    [sym__boz_literal] = ACTIONS(7867),
    [sym__string_literal] = ACTIONS(7867),
    [sym__string_literal_kind] = ACTIONS(7867),
    [sym__external_end_of_statement] = ACTIONS(7867),
  },
  [3468] = {
    [sym__preproc_expression] = STATE(5835),
    [sym_preproc_parenthesized_expression] = STATE(5835),
    [sym_preproc_defined] = STATE(5835),
    [sym_preproc_unary_expression] = STATE(5835),
    [sym_preproc_call_expression] = STATE(5835),
    [sym_preproc_binary_expression] = STATE(5835),
    [sym_number_literal] = STATE(5835),
    [sym_string_literal] = STATE(5835),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3469] = {
    [anon_sym_COMMA] = ACTIONS(7871),
    [anon_sym_LPAREN2] = ACTIONS(7873),
    [anon_sym_PLUS] = ACTIONS(7871),
    [anon_sym_DASH] = ACTIONS(7871),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7873),
    [anon_sym_SEMI] = ACTIONS(7871),
    [aux_sym_block_data_statement_token1] = ACTIONS(7873),
    [aux_sym_block_data_statement_token2] = ACTIONS(7873),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7873),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7873),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7873),
    [aux_sym_use_statement_token2] = ACTIONS(7873),
    [aux_sym_implicit_statement_token4] = ACTIONS(7873),
    [aux_sym_save_statement_token1] = ACTIONS(7873),
    [aux_sym_private_statement_token1] = ACTIONS(7873),
    [aux_sym_public_statement_token1] = ACTIONS(7873),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7873),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7873),
    [aux_sym_variable_attributes_token2] = ACTIONS(7873),
    [aux_sym_variable_attributes_token3] = ACTIONS(7873),
    [aux_sym_variable_attributes_token5] = ACTIONS(7873),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7873),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7873),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7873),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7873),
    [aux_sym_type_qualifier_token1] = ACTIONS(7873),
    [aux_sym_type_qualifier_token2] = ACTIONS(7873),
    [aux_sym_stop_statement_token1] = ACTIONS(7873),
    [aux_sym_stop_statement_token2] = ACTIONS(7873),
    [aux_sym_subroutine_call_token1] = ACTIONS(7873),
    [aux_sym_keyword_statement_token2] = ACTIONS(7873),
    [aux_sym_keyword_statement_token3] = ACTIONS(7873),
    [aux_sym_keyword_statement_token4] = ACTIONS(7873),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7873),
    [aux_sym_end_if_statement_token1] = ACTIONS(7873),
    [aux_sym_elseif_clause_token2] = ACTIONS(7873),
    [aux_sym_select_case_statement_token1] = ACTIONS(7873),
    [aux_sym_format_statement_token1] = ACTIONS(7873),
    [aux_sym_open_statement_token1] = ACTIONS(7873),
    [aux_sym_inquire_statement_token1] = ACTIONS(7873),
    [aux_sym_entry_statement_token1] = ACTIONS(7873),
    [aux_sym_logical_expression_token5] = ACTIONS(7871),
    [anon_sym_DOT] = ACTIONS(7873),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7871),
    [anon_sym_LBRACK] = ACTIONS(7871),
    [aux_sym_boolean_literal_token1] = ACTIONS(7871),
    [aux_sym_boolean_literal_token2] = ACTIONS(7871),
    [aux_sym_null_literal_token1] = ACTIONS(7873),
    [aux_sym_coarray_statement_token1] = ACTIONS(7873),
    [aux_sym_coarray_statement_token2] = ACTIONS(7873),
    [aux_sym_coarray_statement_token6] = ACTIONS(7873),
    [aux_sym_coarray_statement_token8] = ACTIONS(7873),
    [aux_sym_coarray_statement_token11] = ACTIONS(7873),
    [aux_sym_coarray_statement_token12] = ACTIONS(7873),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7873),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7873),
    [aux_sym_identifier_token1] = ACTIONS(7873),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7871),
    [sym__float_literal] = ACTIONS(7871),
    [sym__boz_literal] = ACTIONS(7871),
    [sym__string_literal] = ACTIONS(7871),
    [sym__string_literal_kind] = ACTIONS(7871),
    [sym__external_end_of_statement] = ACTIONS(7871),
  },
  [3470] = {
    [sym__preproc_expression] = STATE(5807),
    [sym_preproc_parenthesized_expression] = STATE(5807),
    [sym_preproc_defined] = STATE(5807),
    [sym_preproc_unary_expression] = STATE(5807),
    [sym_preproc_call_expression] = STATE(5807),
    [sym_preproc_binary_expression] = STATE(5807),
    [sym_number_literal] = STATE(5807),
    [sym_string_literal] = STATE(5807),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3471] = {
    [sym__preproc_expression] = STATE(5809),
    [sym_preproc_parenthesized_expression] = STATE(5809),
    [sym_preproc_defined] = STATE(5809),
    [sym_preproc_unary_expression] = STATE(5809),
    [sym_preproc_call_expression] = STATE(5809),
    [sym_preproc_binary_expression] = STATE(5809),
    [sym_number_literal] = STATE(5809),
    [sym_string_literal] = STATE(5809),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3472] = {
    [sym__preproc_expression] = STATE(5823),
    [sym_preproc_parenthesized_expression] = STATE(5823),
    [sym_preproc_defined] = STATE(5823),
    [sym_preproc_unary_expression] = STATE(5823),
    [sym_preproc_call_expression] = STATE(5823),
    [sym_preproc_binary_expression] = STATE(5823),
    [sym_number_literal] = STATE(5823),
    [sym_string_literal] = STATE(5823),
    [sym_identifier] = STATE(5649),
    [anon_sym_LPAREN2] = ACTIONS(7719),
    [anon_sym_defined] = ACTIONS(7721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7725),
    [aux_sym_block_data_statement_token1] = ACTIONS(7727),
    [aux_sym_block_data_statement_token2] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7727),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7727),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7727),
    [aux_sym_use_statement_token2] = ACTIONS(7727),
    [aux_sym_implicit_statement_token4] = ACTIONS(7727),
    [aux_sym_save_statement_token1] = ACTIONS(7727),
    [aux_sym_private_statement_token1] = ACTIONS(7727),
    [aux_sym_public_statement_token1] = ACTIONS(7727),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7727),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7727),
    [aux_sym_variable_attributes_token2] = ACTIONS(7727),
    [aux_sym_variable_attributes_token3] = ACTIONS(7727),
    [aux_sym_variable_attributes_token5] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7731),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7727),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7727),
    [aux_sym_type_qualifier_token1] = ACTIONS(7727),
    [aux_sym_type_qualifier_token2] = ACTIONS(7727),
    [aux_sym_stop_statement_token1] = ACTIONS(7727),
    [aux_sym_stop_statement_token2] = ACTIONS(7727),
    [aux_sym_subroutine_call_token1] = ACTIONS(7731),
    [aux_sym_keyword_statement_token2] = ACTIONS(7727),
    [aux_sym_keyword_statement_token3] = ACTIONS(7727),
    [aux_sym_keyword_statement_token4] = ACTIONS(7733),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7727),
    [aux_sym_end_if_statement_token1] = ACTIONS(7727),
    [aux_sym_elseif_clause_token2] = ACTIONS(7727),
    [aux_sym_select_case_statement_token1] = ACTIONS(7735),
    [aux_sym_format_statement_token1] = ACTIONS(7727),
    [aux_sym_open_statement_token1] = ACTIONS(7731),
    [aux_sym_inquire_statement_token1] = ACTIONS(7727),
    [aux_sym_entry_statement_token1] = ACTIONS(7727),
    [aux_sym_null_literal_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_statement_token2] = ACTIONS(7727),
    [aux_sym_coarray_statement_token6] = ACTIONS(7727),
    [aux_sym_coarray_statement_token8] = ACTIONS(7727),
    [aux_sym_coarray_statement_token11] = ACTIONS(7727),
    [aux_sym_coarray_statement_token12] = ACTIONS(7727),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7727),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7727),
    [aux_sym_identifier_token1] = ACTIONS(7727),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7737),
    [sym__float_literal] = ACTIONS(7737),
    [sym__boz_literal] = ACTIONS(7737),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7741),
    [sym__preproc_unary_operator] = ACTIONS(7743),
  },
  [3473] = {
    [sym__preproc_expression] = STATE(5771),
    [sym_preproc_parenthesized_expression] = STATE(5771),
    [sym_preproc_defined] = STATE(5771),
    [sym_preproc_unary_expression] = STATE(5771),
    [sym_preproc_call_expression] = STATE(5771),
    [sym_preproc_binary_expression] = STATE(5771),
    [sym_number_literal] = STATE(5771),
    [sym_string_literal] = STATE(5771),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3474] = {
    [sym__preproc_expression] = STATE(5776),
    [sym_preproc_parenthesized_expression] = STATE(5776),
    [sym_preproc_defined] = STATE(5776),
    [sym_preproc_unary_expression] = STATE(5776),
    [sym_preproc_call_expression] = STATE(5776),
    [sym_preproc_binary_expression] = STATE(5776),
    [sym_number_literal] = STATE(5776),
    [sym_string_literal] = STATE(5776),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3475] = {
    [sym__preproc_expression] = STATE(5781),
    [sym_preproc_parenthesized_expression] = STATE(5781),
    [sym_preproc_defined] = STATE(5781),
    [sym_preproc_unary_expression] = STATE(5781),
    [sym_preproc_call_expression] = STATE(5781),
    [sym_preproc_binary_expression] = STATE(5781),
    [sym_number_literal] = STATE(5781),
    [sym_string_literal] = STATE(5781),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3476] = {
    [sym__preproc_expression] = STATE(5738),
    [sym_preproc_parenthesized_expression] = STATE(5738),
    [sym_preproc_defined] = STATE(5738),
    [sym_preproc_unary_expression] = STATE(5738),
    [sym_preproc_call_expression] = STATE(5738),
    [sym_preproc_binary_expression] = STATE(5738),
    [sym_number_literal] = STATE(5738),
    [sym_string_literal] = STATE(5738),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3477] = {
    [sym__preproc_expression] = STATE(5683),
    [sym_preproc_parenthesized_expression] = STATE(5683),
    [sym_preproc_defined] = STATE(5683),
    [sym_preproc_unary_expression] = STATE(5683),
    [sym_preproc_call_expression] = STATE(5683),
    [sym_preproc_binary_expression] = STATE(5683),
    [sym_number_literal] = STATE(5683),
    [sym_string_literal] = STATE(5683),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3478] = {
    [sym__preproc_expression] = STATE(5684),
    [sym_preproc_parenthesized_expression] = STATE(5684),
    [sym_preproc_defined] = STATE(5684),
    [sym_preproc_unary_expression] = STATE(5684),
    [sym_preproc_call_expression] = STATE(5684),
    [sym_preproc_binary_expression] = STATE(5684),
    [sym_number_literal] = STATE(5684),
    [sym_string_literal] = STATE(5684),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3479] = {
    [sym__preproc_expression] = STATE(5688),
    [sym_preproc_parenthesized_expression] = STATE(5688),
    [sym_preproc_defined] = STATE(5688),
    [sym_preproc_unary_expression] = STATE(5688),
    [sym_preproc_call_expression] = STATE(5688),
    [sym_preproc_binary_expression] = STATE(5688),
    [sym_number_literal] = STATE(5688),
    [sym_string_literal] = STATE(5688),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3480] = {
    [anon_sym_COMMA] = ACTIONS(7875),
    [anon_sym_LPAREN2] = ACTIONS(7877),
    [anon_sym_PLUS] = ACTIONS(7875),
    [anon_sym_DASH] = ACTIONS(7875),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7877),
    [anon_sym_SEMI] = ACTIONS(7875),
    [aux_sym_block_data_statement_token1] = ACTIONS(7877),
    [aux_sym_block_data_statement_token2] = ACTIONS(7877),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7877),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7877),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7877),
    [aux_sym_use_statement_token2] = ACTIONS(7877),
    [aux_sym_implicit_statement_token4] = ACTIONS(7877),
    [aux_sym_save_statement_token1] = ACTIONS(7877),
    [aux_sym_private_statement_token1] = ACTIONS(7877),
    [aux_sym_public_statement_token1] = ACTIONS(7877),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7877),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7877),
    [aux_sym_variable_attributes_token2] = ACTIONS(7877),
    [aux_sym_variable_attributes_token3] = ACTIONS(7877),
    [aux_sym_variable_attributes_token5] = ACTIONS(7877),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7877),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7877),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7877),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7877),
    [aux_sym_type_qualifier_token1] = ACTIONS(7877),
    [aux_sym_type_qualifier_token2] = ACTIONS(7877),
    [aux_sym_stop_statement_token1] = ACTIONS(7877),
    [aux_sym_stop_statement_token2] = ACTIONS(7877),
    [aux_sym_subroutine_call_token1] = ACTIONS(7877),
    [aux_sym_keyword_statement_token2] = ACTIONS(7877),
    [aux_sym_keyword_statement_token3] = ACTIONS(7877),
    [aux_sym_keyword_statement_token4] = ACTIONS(7877),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7877),
    [aux_sym_end_if_statement_token1] = ACTIONS(7877),
    [aux_sym_elseif_clause_token2] = ACTIONS(7877),
    [aux_sym_select_case_statement_token1] = ACTIONS(7877),
    [aux_sym_format_statement_token1] = ACTIONS(7877),
    [aux_sym_open_statement_token1] = ACTIONS(7877),
    [aux_sym_inquire_statement_token1] = ACTIONS(7877),
    [aux_sym_entry_statement_token1] = ACTIONS(7877),
    [aux_sym_logical_expression_token5] = ACTIONS(7875),
    [anon_sym_DOT] = ACTIONS(7877),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7875),
    [anon_sym_LBRACK] = ACTIONS(7875),
    [aux_sym_boolean_literal_token1] = ACTIONS(7875),
    [aux_sym_boolean_literal_token2] = ACTIONS(7875),
    [aux_sym_null_literal_token1] = ACTIONS(7877),
    [aux_sym_coarray_statement_token1] = ACTIONS(7877),
    [aux_sym_coarray_statement_token2] = ACTIONS(7877),
    [aux_sym_coarray_statement_token6] = ACTIONS(7877),
    [aux_sym_coarray_statement_token8] = ACTIONS(7877),
    [aux_sym_coarray_statement_token11] = ACTIONS(7877),
    [aux_sym_coarray_statement_token12] = ACTIONS(7877),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7877),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7877),
    [aux_sym_identifier_token1] = ACTIONS(7877),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7875),
    [sym__float_literal] = ACTIONS(7875),
    [sym__boz_literal] = ACTIONS(7875),
    [sym__string_literal] = ACTIONS(7875),
    [sym__string_literal_kind] = ACTIONS(7875),
    [sym__external_end_of_statement] = ACTIONS(7875),
  },
  [3481] = {
    [sym__preproc_expression] = STATE(5700),
    [sym_preproc_parenthesized_expression] = STATE(5700),
    [sym_preproc_defined] = STATE(5700),
    [sym_preproc_unary_expression] = STATE(5700),
    [sym_preproc_call_expression] = STATE(5700),
    [sym_preproc_binary_expression] = STATE(5700),
    [sym_number_literal] = STATE(5700),
    [sym_string_literal] = STATE(5700),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3482] = {
    [sym__preproc_expression] = STATE(5705),
    [sym_preproc_parenthesized_expression] = STATE(5705),
    [sym_preproc_defined] = STATE(5705),
    [sym_preproc_unary_expression] = STATE(5705),
    [sym_preproc_call_expression] = STATE(5705),
    [sym_preproc_binary_expression] = STATE(5705),
    [sym_number_literal] = STATE(5705),
    [sym_string_literal] = STATE(5705),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3483] = {
    [sym__preproc_expression] = STATE(5707),
    [sym_preproc_parenthesized_expression] = STATE(5707),
    [sym_preproc_defined] = STATE(5707),
    [sym_preproc_unary_expression] = STATE(5707),
    [sym_preproc_call_expression] = STATE(5707),
    [sym_preproc_binary_expression] = STATE(5707),
    [sym_number_literal] = STATE(5707),
    [sym_string_literal] = STATE(5707),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3484] = {
    [sym__preproc_expression] = STATE(5708),
    [sym_preproc_parenthesized_expression] = STATE(5708),
    [sym_preproc_defined] = STATE(5708),
    [sym_preproc_unary_expression] = STATE(5708),
    [sym_preproc_call_expression] = STATE(5708),
    [sym_preproc_binary_expression] = STATE(5708),
    [sym_number_literal] = STATE(5708),
    [sym_string_literal] = STATE(5708),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3485] = {
    [sym__preproc_expression] = STATE(5710),
    [sym_preproc_parenthesized_expression] = STATE(5710),
    [sym_preproc_defined] = STATE(5710),
    [sym_preproc_unary_expression] = STATE(5710),
    [sym_preproc_call_expression] = STATE(5710),
    [sym_preproc_binary_expression] = STATE(5710),
    [sym_number_literal] = STATE(5710),
    [sym_string_literal] = STATE(5710),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3486] = {
    [sym__preproc_expression] = STATE(5711),
    [sym_preproc_parenthesized_expression] = STATE(5711),
    [sym_preproc_defined] = STATE(5711),
    [sym_preproc_unary_expression] = STATE(5711),
    [sym_preproc_call_expression] = STATE(5711),
    [sym_preproc_binary_expression] = STATE(5711),
    [sym_number_literal] = STATE(5711),
    [sym_string_literal] = STATE(5711),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3487] = {
    [sym__preproc_expression] = STATE(5712),
    [sym_preproc_parenthesized_expression] = STATE(5712),
    [sym_preproc_defined] = STATE(5712),
    [sym_preproc_unary_expression] = STATE(5712),
    [sym_preproc_call_expression] = STATE(5712),
    [sym_preproc_binary_expression] = STATE(5712),
    [sym_number_literal] = STATE(5712),
    [sym_string_literal] = STATE(5712),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3488] = {
    [sym__preproc_expression] = STATE(5713),
    [sym_preproc_parenthesized_expression] = STATE(5713),
    [sym_preproc_defined] = STATE(5713),
    [sym_preproc_unary_expression] = STATE(5713),
    [sym_preproc_call_expression] = STATE(5713),
    [sym_preproc_binary_expression] = STATE(5713),
    [sym_number_literal] = STATE(5713),
    [sym_string_literal] = STATE(5713),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3489] = {
    [sym__preproc_expression] = STATE(5682),
    [sym_preproc_parenthesized_expression] = STATE(5682),
    [sym_preproc_defined] = STATE(5682),
    [sym_preproc_unary_expression] = STATE(5682),
    [sym_preproc_call_expression] = STATE(5682),
    [sym_preproc_binary_expression] = STATE(5682),
    [sym_number_literal] = STATE(5682),
    [sym_string_literal] = STATE(5682),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3490] = {
    [sym__preproc_expression] = STATE(5715),
    [sym_preproc_parenthesized_expression] = STATE(5715),
    [sym_preproc_defined] = STATE(5715),
    [sym_preproc_unary_expression] = STATE(5715),
    [sym_preproc_call_expression] = STATE(5715),
    [sym_preproc_binary_expression] = STATE(5715),
    [sym_number_literal] = STATE(5715),
    [sym_string_literal] = STATE(5715),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3491] = {
    [sym__preproc_expression] = STATE(5716),
    [sym_preproc_parenthesized_expression] = STATE(5716),
    [sym_preproc_defined] = STATE(5716),
    [sym_preproc_unary_expression] = STATE(5716),
    [sym_preproc_call_expression] = STATE(5716),
    [sym_preproc_binary_expression] = STATE(5716),
    [sym_number_literal] = STATE(5716),
    [sym_string_literal] = STATE(5716),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3492] = {
    [sym__preproc_expression] = STATE(5718),
    [sym_preproc_parenthesized_expression] = STATE(5718),
    [sym_preproc_defined] = STATE(5718),
    [sym_preproc_unary_expression] = STATE(5718),
    [sym_preproc_call_expression] = STATE(5718),
    [sym_preproc_binary_expression] = STATE(5718),
    [sym_number_literal] = STATE(5718),
    [sym_string_literal] = STATE(5718),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3493] = {
    [sym__preproc_expression] = STATE(5719),
    [sym_preproc_parenthesized_expression] = STATE(5719),
    [sym_preproc_defined] = STATE(5719),
    [sym_preproc_unary_expression] = STATE(5719),
    [sym_preproc_call_expression] = STATE(5719),
    [sym_preproc_binary_expression] = STATE(5719),
    [sym_number_literal] = STATE(5719),
    [sym_string_literal] = STATE(5719),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3494] = {
    [sym__preproc_expression] = STATE(5720),
    [sym_preproc_parenthesized_expression] = STATE(5720),
    [sym_preproc_defined] = STATE(5720),
    [sym_preproc_unary_expression] = STATE(5720),
    [sym_preproc_call_expression] = STATE(5720),
    [sym_preproc_binary_expression] = STATE(5720),
    [sym_number_literal] = STATE(5720),
    [sym_string_literal] = STATE(5720),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3495] = {
    [sym__preproc_expression] = STATE(5724),
    [sym_preproc_parenthesized_expression] = STATE(5724),
    [sym_preproc_defined] = STATE(5724),
    [sym_preproc_unary_expression] = STATE(5724),
    [sym_preproc_call_expression] = STATE(5724),
    [sym_preproc_binary_expression] = STATE(5724),
    [sym_number_literal] = STATE(5724),
    [sym_string_literal] = STATE(5724),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3496] = {
    [sym__preproc_expression] = STATE(5726),
    [sym_preproc_parenthesized_expression] = STATE(5726),
    [sym_preproc_defined] = STATE(5726),
    [sym_preproc_unary_expression] = STATE(5726),
    [sym_preproc_call_expression] = STATE(5726),
    [sym_preproc_binary_expression] = STATE(5726),
    [sym_number_literal] = STATE(5726),
    [sym_string_literal] = STATE(5726),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3497] = {
    [sym__preproc_expression] = STATE(5732),
    [sym_preproc_parenthesized_expression] = STATE(5732),
    [sym_preproc_defined] = STATE(5732),
    [sym_preproc_unary_expression] = STATE(5732),
    [sym_preproc_call_expression] = STATE(5732),
    [sym_preproc_binary_expression] = STATE(5732),
    [sym_number_literal] = STATE(5732),
    [sym_string_literal] = STATE(5732),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3498] = {
    [sym__preproc_expression] = STATE(5733),
    [sym_preproc_parenthesized_expression] = STATE(5733),
    [sym_preproc_defined] = STATE(5733),
    [sym_preproc_unary_expression] = STATE(5733),
    [sym_preproc_call_expression] = STATE(5733),
    [sym_preproc_binary_expression] = STATE(5733),
    [sym_number_literal] = STATE(5733),
    [sym_string_literal] = STATE(5733),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3499] = {
    [sym__preproc_expression] = STATE(5736),
    [sym_preproc_parenthesized_expression] = STATE(5736),
    [sym_preproc_defined] = STATE(5736),
    [sym_preproc_unary_expression] = STATE(5736),
    [sym_preproc_call_expression] = STATE(5736),
    [sym_preproc_binary_expression] = STATE(5736),
    [sym_number_literal] = STATE(5736),
    [sym_string_literal] = STATE(5736),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3500] = {
    [sym__preproc_expression] = STATE(5737),
    [sym_preproc_parenthesized_expression] = STATE(5737),
    [sym_preproc_defined] = STATE(5737),
    [sym_preproc_unary_expression] = STATE(5737),
    [sym_preproc_call_expression] = STATE(5737),
    [sym_preproc_binary_expression] = STATE(5737),
    [sym_number_literal] = STATE(5737),
    [sym_string_literal] = STATE(5737),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3501] = {
    [sym__preproc_expression] = STATE(5790),
    [sym_preproc_parenthesized_expression] = STATE(5790),
    [sym_preproc_defined] = STATE(5790),
    [sym_preproc_unary_expression] = STATE(5790),
    [sym_preproc_call_expression] = STATE(5790),
    [sym_preproc_binary_expression] = STATE(5790),
    [sym_number_literal] = STATE(5790),
    [sym_string_literal] = STATE(5790),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3502] = {
    [sym__preproc_expression] = STATE(5740),
    [sym_preproc_parenthesized_expression] = STATE(5740),
    [sym_preproc_defined] = STATE(5740),
    [sym_preproc_unary_expression] = STATE(5740),
    [sym_preproc_call_expression] = STATE(5740),
    [sym_preproc_binary_expression] = STATE(5740),
    [sym_number_literal] = STATE(5740),
    [sym_string_literal] = STATE(5740),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3503] = {
    [sym__preproc_expression] = STATE(5741),
    [sym_preproc_parenthesized_expression] = STATE(5741),
    [sym_preproc_defined] = STATE(5741),
    [sym_preproc_unary_expression] = STATE(5741),
    [sym_preproc_call_expression] = STATE(5741),
    [sym_preproc_binary_expression] = STATE(5741),
    [sym_number_literal] = STATE(5741),
    [sym_string_literal] = STATE(5741),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3504] = {
    [sym__preproc_expression] = STATE(5743),
    [sym_preproc_parenthesized_expression] = STATE(5743),
    [sym_preproc_defined] = STATE(5743),
    [sym_preproc_unary_expression] = STATE(5743),
    [sym_preproc_call_expression] = STATE(5743),
    [sym_preproc_binary_expression] = STATE(5743),
    [sym_number_literal] = STATE(5743),
    [sym_string_literal] = STATE(5743),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3505] = {
    [sym__preproc_expression] = STATE(5747),
    [sym_preproc_parenthesized_expression] = STATE(5747),
    [sym_preproc_defined] = STATE(5747),
    [sym_preproc_unary_expression] = STATE(5747),
    [sym_preproc_call_expression] = STATE(5747),
    [sym_preproc_binary_expression] = STATE(5747),
    [sym_number_literal] = STATE(5747),
    [sym_string_literal] = STATE(5747),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3506] = {
    [sym__preproc_expression] = STATE(5753),
    [sym_preproc_parenthesized_expression] = STATE(5753),
    [sym_preproc_defined] = STATE(5753),
    [sym_preproc_unary_expression] = STATE(5753),
    [sym_preproc_call_expression] = STATE(5753),
    [sym_preproc_binary_expression] = STATE(5753),
    [sym_number_literal] = STATE(5753),
    [sym_string_literal] = STATE(5753),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3507] = {
    [sym__preproc_expression] = STATE(5756),
    [sym_preproc_parenthesized_expression] = STATE(5756),
    [sym_preproc_defined] = STATE(5756),
    [sym_preproc_unary_expression] = STATE(5756),
    [sym_preproc_call_expression] = STATE(5756),
    [sym_preproc_binary_expression] = STATE(5756),
    [sym_number_literal] = STATE(5756),
    [sym_string_literal] = STATE(5756),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3508] = {
    [sym__preproc_expression] = STATE(5759),
    [sym_preproc_parenthesized_expression] = STATE(5759),
    [sym_preproc_defined] = STATE(5759),
    [sym_preproc_unary_expression] = STATE(5759),
    [sym_preproc_call_expression] = STATE(5759),
    [sym_preproc_binary_expression] = STATE(5759),
    [sym_number_literal] = STATE(5759),
    [sym_string_literal] = STATE(5759),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3509] = {
    [sym__preproc_expression] = STATE(5761),
    [sym_preproc_parenthesized_expression] = STATE(5761),
    [sym_preproc_defined] = STATE(5761),
    [sym_preproc_unary_expression] = STATE(5761),
    [sym_preproc_call_expression] = STATE(5761),
    [sym_preproc_binary_expression] = STATE(5761),
    [sym_number_literal] = STATE(5761),
    [sym_string_literal] = STATE(5761),
    [sym_identifier] = STATE(5610),
    [anon_sym_LPAREN2] = ACTIONS(7805),
    [anon_sym_defined] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7809),
    [aux_sym_block_data_statement_token1] = ACTIONS(7811),
    [aux_sym_block_data_statement_token2] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7811),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7811),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7811),
    [aux_sym_use_statement_token2] = ACTIONS(7811),
    [aux_sym_implicit_statement_token4] = ACTIONS(7811),
    [aux_sym_save_statement_token1] = ACTIONS(7811),
    [aux_sym_private_statement_token1] = ACTIONS(7811),
    [aux_sym_public_statement_token1] = ACTIONS(7811),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7811),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7811),
    [aux_sym_variable_attributes_token2] = ACTIONS(7811),
    [aux_sym_variable_attributes_token3] = ACTIONS(7811),
    [aux_sym_variable_attributes_token5] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7811),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7813),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7815),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7811),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7811),
    [aux_sym_type_qualifier_token1] = ACTIONS(7811),
    [aux_sym_type_qualifier_token2] = ACTIONS(7811),
    [aux_sym_stop_statement_token1] = ACTIONS(7811),
    [aux_sym_stop_statement_token2] = ACTIONS(7811),
    [aux_sym_subroutine_call_token1] = ACTIONS(7815),
    [aux_sym_keyword_statement_token2] = ACTIONS(7811),
    [aux_sym_keyword_statement_token3] = ACTIONS(7811),
    [aux_sym_keyword_statement_token4] = ACTIONS(7817),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7811),
    [aux_sym_end_if_statement_token1] = ACTIONS(7811),
    [aux_sym_elseif_clause_token2] = ACTIONS(7811),
    [aux_sym_select_case_statement_token1] = ACTIONS(7819),
    [aux_sym_format_statement_token1] = ACTIONS(7811),
    [aux_sym_open_statement_token1] = ACTIONS(7815),
    [aux_sym_inquire_statement_token1] = ACTIONS(7811),
    [aux_sym_entry_statement_token1] = ACTIONS(7811),
    [aux_sym_null_literal_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_statement_token2] = ACTIONS(7811),
    [aux_sym_coarray_statement_token6] = ACTIONS(7811),
    [aux_sym_coarray_statement_token8] = ACTIONS(7811),
    [aux_sym_coarray_statement_token11] = ACTIONS(7811),
    [aux_sym_coarray_statement_token12] = ACTIONS(7811),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7811),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7811),
    [aux_sym_identifier_token1] = ACTIONS(7811),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7821),
    [sym__float_literal] = ACTIONS(7821),
    [sym__boz_literal] = ACTIONS(7821),
    [sym__string_literal] = ACTIONS(7823),
    [sym__string_literal_kind] = ACTIONS(7825),
    [sym__preproc_unary_operator] = ACTIONS(7827),
  },
  [3510] = {
    [sym__preproc_expression] = STATE(5778),
    [sym_preproc_parenthesized_expression] = STATE(5778),
    [sym_preproc_defined] = STATE(5778),
    [sym_preproc_unary_expression] = STATE(5778),
    [sym_preproc_call_expression] = STATE(5778),
    [sym_preproc_binary_expression] = STATE(5778),
    [sym_number_literal] = STATE(5778),
    [sym_string_literal] = STATE(5778),
    [sym_identifier] = STATE(5615),
    [anon_sym_LPAREN2] = ACTIONS(7747),
    [anon_sym_defined] = ACTIONS(7749),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7751),
    [aux_sym_block_data_statement_token1] = ACTIONS(7753),
    [aux_sym_block_data_statement_token2] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7753),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7753),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7753),
    [aux_sym_use_statement_token2] = ACTIONS(7753),
    [aux_sym_implicit_statement_token4] = ACTIONS(7753),
    [aux_sym_save_statement_token1] = ACTIONS(7753),
    [aux_sym_private_statement_token1] = ACTIONS(7753),
    [aux_sym_public_statement_token1] = ACTIONS(7753),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7753),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7753),
    [aux_sym_variable_attributes_token2] = ACTIONS(7753),
    [aux_sym_variable_attributes_token3] = ACTIONS(7753),
    [aux_sym_variable_attributes_token5] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7753),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7755),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7753),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7753),
    [aux_sym_type_qualifier_token1] = ACTIONS(7753),
    [aux_sym_type_qualifier_token2] = ACTIONS(7753),
    [aux_sym_stop_statement_token1] = ACTIONS(7753),
    [aux_sym_stop_statement_token2] = ACTIONS(7753),
    [aux_sym_subroutine_call_token1] = ACTIONS(7757),
    [aux_sym_keyword_statement_token2] = ACTIONS(7753),
    [aux_sym_keyword_statement_token3] = ACTIONS(7753),
    [aux_sym_keyword_statement_token4] = ACTIONS(7759),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7753),
    [aux_sym_end_if_statement_token1] = ACTIONS(7753),
    [aux_sym_elseif_clause_token2] = ACTIONS(7753),
    [aux_sym_select_case_statement_token1] = ACTIONS(7761),
    [aux_sym_format_statement_token1] = ACTIONS(7753),
    [aux_sym_open_statement_token1] = ACTIONS(7757),
    [aux_sym_inquire_statement_token1] = ACTIONS(7753),
    [aux_sym_entry_statement_token1] = ACTIONS(7753),
    [aux_sym_null_literal_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_statement_token2] = ACTIONS(7753),
    [aux_sym_coarray_statement_token6] = ACTIONS(7753),
    [aux_sym_coarray_statement_token8] = ACTIONS(7753),
    [aux_sym_coarray_statement_token11] = ACTIONS(7753),
    [aux_sym_coarray_statement_token12] = ACTIONS(7753),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7753),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7753),
    [aux_sym_identifier_token1] = ACTIONS(7753),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7763),
    [sym__float_literal] = ACTIONS(7763),
    [sym__boz_literal] = ACTIONS(7763),
    [sym__string_literal] = ACTIONS(7765),
    [sym__string_literal_kind] = ACTIONS(7767),
    [sym__preproc_unary_operator] = ACTIONS(7769),
  },
  [3511] = {
    [anon_sym_COMMA] = ACTIONS(4718),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(4718),
  },
  [3512] = {
    [anon_sym_LPAREN2] = ACTIONS(7879),
    [anon_sym_PLUS] = ACTIONS(7881),
    [anon_sym_DASH] = ACTIONS(7881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7879),
    [aux_sym_block_data_statement_token1] = ACTIONS(7879),
    [aux_sym_block_data_statement_token2] = ACTIONS(7879),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7879),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7879),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7879),
    [aux_sym_use_statement_token2] = ACTIONS(7879),
    [aux_sym_implicit_statement_token4] = ACTIONS(7879),
    [aux_sym_save_statement_token1] = ACTIONS(7879),
    [aux_sym_private_statement_token1] = ACTIONS(7879),
    [aux_sym_public_statement_token1] = ACTIONS(7879),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7879),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7879),
    [aux_sym_variable_attributes_token2] = ACTIONS(7879),
    [aux_sym_variable_attributes_token3] = ACTIONS(7879),
    [aux_sym_variable_attributes_token5] = ACTIONS(7879),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7879),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7879),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7879),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7879),
    [aux_sym_type_qualifier_token1] = ACTIONS(7879),
    [aux_sym_type_qualifier_token2] = ACTIONS(7879),
    [aux_sym_stop_statement_token1] = ACTIONS(7879),
    [aux_sym_stop_statement_token2] = ACTIONS(7879),
    [aux_sym_subroutine_call_token1] = ACTIONS(7879),
    [aux_sym_keyword_statement_token2] = ACTIONS(7879),
    [aux_sym_keyword_statement_token3] = ACTIONS(7879),
    [aux_sym_keyword_statement_token4] = ACTIONS(7879),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7879),
    [aux_sym_end_if_statement_token1] = ACTIONS(7879),
    [aux_sym_elseif_clause_token2] = ACTIONS(7879),
    [aux_sym_select_case_statement_token1] = ACTIONS(7879),
    [aux_sym_format_statement_token1] = ACTIONS(7879),
    [aux_sym_open_statement_token1] = ACTIONS(7879),
    [aux_sym_inquire_statement_token1] = ACTIONS(7879),
    [aux_sym_entry_statement_token1] = ACTIONS(7879),
    [aux_sym_logical_expression_token5] = ACTIONS(7881),
    [anon_sym_DOT] = ACTIONS(7879),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7881),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7881),
    [anon_sym_LBRACK] = ACTIONS(7881),
    [anon_sym_RBRACK] = ACTIONS(7881),
    [aux_sym_boolean_literal_token1] = ACTIONS(7881),
    [aux_sym_boolean_literal_token2] = ACTIONS(7881),
    [aux_sym_null_literal_token1] = ACTIONS(7879),
    [aux_sym_coarray_statement_token1] = ACTIONS(7879),
    [aux_sym_coarray_statement_token2] = ACTIONS(7879),
    [aux_sym_coarray_statement_token6] = ACTIONS(7879),
    [aux_sym_coarray_statement_token8] = ACTIONS(7879),
    [aux_sym_coarray_statement_token11] = ACTIONS(7879),
    [aux_sym_coarray_statement_token12] = ACTIONS(7879),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7879),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7879),
    [aux_sym_identifier_token1] = ACTIONS(7879),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7881),
    [sym__float_literal] = ACTIONS(7881),
    [sym__boz_literal] = ACTIONS(7881),
    [sym__string_literal] = ACTIONS(7881),
    [sym__string_literal_kind] = ACTIONS(7881),
  },
  [3513] = {
    [sym_statement_label] = STATE(4119),
    [sym_statement_label_reference] = STATE(4050),
    [sym_while_statement] = STATE(7534),
    [sym_concurrent_statement] = STATE(7534),
    [sym_concurrent_header] = STATE(6090),
    [sym_loop_control_expression] = STATE(7534),
    [sym_identifier] = STATE(8682),
    [sym__end_of_statement] = STATE(733),
    [anon_sym_COMMA] = ACTIONS(7883),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(7885),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_while_statement_token1] = ACTIONS(7887),
    [aux_sym_concurrent_header_token1] = ACTIONS(7889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7891),
    [sym__external_end_of_statement] = ACTIONS(7885),
  },
  [3514] = {
    [sym_language_binding] = STATE(3514),
    [sym_variable_attributes] = STATE(3514),
    [sym__standalone_type_qualifier] = STATE(3608),
    [aux_sym_variable_modification_repeat1] = STATE(3514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7893),
    [aux_sym_block_data_statement_token1] = ACTIONS(7893),
    [aux_sym_block_data_statement_token2] = ACTIONS(7893),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7893),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7893),
    [aux_sym_language_binding_token1] = ACTIONS(7895),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7898),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7901),
    [aux_sym_use_statement_token2] = ACTIONS(7901),
    [anon_sym_COLON_COLON] = ACTIONS(7904),
    [aux_sym_implicit_statement_token4] = ACTIONS(7901),
    [aux_sym_save_statement_token1] = ACTIONS(7901),
    [aux_sym_private_statement_token1] = ACTIONS(7901),
    [aux_sym_public_statement_token1] = ACTIONS(7901),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7901),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7901),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7901),
    [aux_sym_variable_attributes_token1] = ACTIONS(7901),
    [aux_sym_variable_attributes_token2] = ACTIONS(7901),
    [aux_sym_variable_attributes_token3] = ACTIONS(7901),
    [aux_sym_variable_attributes_token4] = ACTIONS(7901),
    [aux_sym_variable_attributes_token5] = ACTIONS(7901),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7893),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7893),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7893),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7906),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7901),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7901),
    [aux_sym_type_qualifier_token1] = ACTIONS(7893),
    [aux_sym_type_qualifier_token2] = ACTIONS(7893),
    [aux_sym_stop_statement_token1] = ACTIONS(7893),
    [aux_sym_stop_statement_token2] = ACTIONS(7893),
    [aux_sym_subroutine_call_token1] = ACTIONS(7893),
    [aux_sym_keyword_statement_token2] = ACTIONS(7893),
    [aux_sym_keyword_statement_token3] = ACTIONS(7893),
    [aux_sym_keyword_statement_token4] = ACTIONS(7893),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7893),
    [aux_sym_end_if_statement_token1] = ACTIONS(7893),
    [aux_sym_elseif_clause_token2] = ACTIONS(7893),
    [aux_sym_select_case_statement_token1] = ACTIONS(7893),
    [aux_sym_format_statement_token1] = ACTIONS(7893),
    [aux_sym_open_statement_token1] = ACTIONS(7893),
    [aux_sym_inquire_statement_token1] = ACTIONS(7893),
    [aux_sym_entry_statement_token1] = ACTIONS(7893),
    [aux_sym_null_literal_token1] = ACTIONS(7893),
    [aux_sym_coarray_statement_token1] = ACTIONS(7893),
    [aux_sym_coarray_statement_token2] = ACTIONS(7893),
    [aux_sym_coarray_statement_token6] = ACTIONS(7893),
    [aux_sym_coarray_statement_token8] = ACTIONS(7893),
    [aux_sym_coarray_statement_token11] = ACTIONS(7893),
    [aux_sym_coarray_statement_token12] = ACTIONS(7893),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7893),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7893),
    [aux_sym_identifier_token1] = ACTIONS(7893),
    [sym_comment] = ACTIONS(21),
  },
  [3515] = {
    [anon_sym_LPAREN2] = ACTIONS(7918),
    [anon_sym_PLUS] = ACTIONS(7920),
    [anon_sym_DASH] = ACTIONS(7920),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7918),
    [aux_sym_block_data_statement_token1] = ACTIONS(7918),
    [aux_sym_block_data_statement_token2] = ACTIONS(7918),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7918),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7918),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7918),
    [aux_sym_use_statement_token2] = ACTIONS(7918),
    [aux_sym_implicit_statement_token4] = ACTIONS(7918),
    [aux_sym_save_statement_token1] = ACTIONS(7918),
    [aux_sym_private_statement_token1] = ACTIONS(7918),
    [aux_sym_public_statement_token1] = ACTIONS(7918),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7918),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7918),
    [aux_sym_variable_attributes_token2] = ACTIONS(7918),
    [aux_sym_variable_attributes_token3] = ACTIONS(7918),
    [aux_sym_variable_attributes_token5] = ACTIONS(7918),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7918),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7918),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7918),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7918),
    [aux_sym_type_qualifier_token1] = ACTIONS(7918),
    [aux_sym_type_qualifier_token2] = ACTIONS(7918),
    [aux_sym_stop_statement_token1] = ACTIONS(7918),
    [aux_sym_stop_statement_token2] = ACTIONS(7918),
    [aux_sym_subroutine_call_token1] = ACTIONS(7918),
    [aux_sym_keyword_statement_token2] = ACTIONS(7918),
    [aux_sym_keyword_statement_token3] = ACTIONS(7918),
    [aux_sym_keyword_statement_token4] = ACTIONS(7918),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7918),
    [aux_sym_end_if_statement_token1] = ACTIONS(7918),
    [aux_sym_elseif_clause_token2] = ACTIONS(7918),
    [aux_sym_select_case_statement_token1] = ACTIONS(7918),
    [aux_sym_format_statement_token1] = ACTIONS(7918),
    [aux_sym_open_statement_token1] = ACTIONS(7918),
    [aux_sym_inquire_statement_token1] = ACTIONS(7918),
    [aux_sym_entry_statement_token1] = ACTIONS(7918),
    [aux_sym_logical_expression_token5] = ACTIONS(7920),
    [anon_sym_DOT] = ACTIONS(7918),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7920),
    [anon_sym_LBRACK] = ACTIONS(7920),
    [aux_sym_boolean_literal_token1] = ACTIONS(7920),
    [aux_sym_boolean_literal_token2] = ACTIONS(7920),
    [aux_sym_null_literal_token1] = ACTIONS(7918),
    [aux_sym_coarray_statement_token1] = ACTIONS(7918),
    [aux_sym_coarray_statement_token2] = ACTIONS(7918),
    [aux_sym_coarray_statement_token6] = ACTIONS(7918),
    [aux_sym_coarray_statement_token8] = ACTIONS(7918),
    [aux_sym_coarray_statement_token11] = ACTIONS(7918),
    [aux_sym_coarray_statement_token12] = ACTIONS(7918),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7918),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7918),
    [aux_sym_identifier_token1] = ACTIONS(7918),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7920),
    [sym__float_literal] = ACTIONS(7920),
    [sym__boz_literal] = ACTIONS(7920),
    [sym__string_literal] = ACTIONS(7920),
    [sym__string_literal_kind] = ACTIONS(7920),
  },
  [3516] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6424),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6424),
    [sym_identifier] = STATE(6642),
    [anon_sym_COMMA] = ACTIONS(7922),
    [anon_sym_LPAREN2] = ACTIONS(7924),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7932),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3517] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6607),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6607),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3519),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7936),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3518] = {
    [sym__argument_list] = STATE(2634),
    [sym_argument_list] = STATE(3606),
    [anon_sym_LPAREN2] = ACTIONS(7147),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [3519] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6601),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6601),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3991),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7938),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3520] = {
    [anon_sym_COMMA] = ACTIONS(4718),
    [anon_sym_RPAREN] = ACTIONS(4718),
    [aux_sym_preproc_if_token2] = ACTIONS(4718),
    [aux_sym_preproc_else_token1] = ACTIONS(4718),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4718),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4718),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4718),
    [aux_sym_module_statement_token1] = ACTIONS(4718),
    [anon_sym_COLON] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(4718),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4718),
    [aux_sym_function_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4718),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token3] = ACTIONS(4718),
    [aux_sym_import_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token2] = ACTIONS(4718),
    [aux_sym_procedure_kind_token3] = ACTIONS(4718),
    [aux_sym_procedure_kind_token4] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4718),
    [aux_sym_derived_type_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4718),
    [anon_sym_GT_GT_GT] = ACTIONS(4718),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_RBRACK] = ACTIONS(4718),
    [anon_sym_QMARK] = ACTIONS(4718),
    [sym_comment] = ACTIONS(21),
  },
  [3521] = {
    [anon_sym_COMMA] = ACTIONS(4718),
    [anon_sym_RPAREN] = ACTIONS(4718),
    [aux_sym_preproc_if_token2] = ACTIONS(4718),
    [aux_sym_preproc_else_token1] = ACTIONS(4718),
    [aux_sym_preproc_elif_token1] = ACTIONS(4716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4718),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4718),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4718),
    [aux_sym_module_statement_token1] = ACTIONS(4718),
    [anon_sym_COLON] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(4718),
    [anon_sym_EQ] = ACTIONS(4716),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4718),
    [aux_sym_function_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4718),
    [anon_sym_EQ_GT] = ACTIONS(4718),
    [aux_sym_implicit_statement_token3] = ACTIONS(4718),
    [aux_sym_import_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token2] = ACTIONS(4718),
    [aux_sym_procedure_kind_token3] = ACTIONS(4718),
    [aux_sym_procedure_kind_token4] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4718),
    [aux_sym_derived_type_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4718),
    [anon_sym_GT_GT_GT] = ACTIONS(4718),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_RBRACK] = ACTIONS(4718),
    [anon_sym_QMARK] = ACTIONS(4718),
    [sym_comment] = ACTIONS(21),
  },
  [3522] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6563),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6563),
    [sym_identifier] = STATE(6642),
    [anon_sym_COMMA] = ACTIONS(7940),
    [anon_sym_LPAREN2] = ACTIONS(7942),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7944),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3523] = {
    [anon_sym_COMMA] = ACTIONS(4726),
    [anon_sym_RPAREN] = ACTIONS(4726),
    [aux_sym_preproc_if_token2] = ACTIONS(4726),
    [aux_sym_preproc_else_token1] = ACTIONS(4726),
    [aux_sym_preproc_elif_token1] = ACTIONS(4724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(4726),
    [aux_sym_module_statement_token1] = ACTIONS(4726),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(4726),
    [anon_sym_EQ] = ACTIONS(4724),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4726),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4726),
    [aux_sym_function_statement_token1] = ACTIONS(4726),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4726),
    [anon_sym_EQ_GT] = ACTIONS(4726),
    [aux_sym_implicit_statement_token3] = ACTIONS(4726),
    [aux_sym_import_statement_token1] = ACTIONS(4726),
    [aux_sym_procedure_kind_token1] = ACTIONS(4726),
    [aux_sym_procedure_kind_token2] = ACTIONS(4726),
    [aux_sym_procedure_kind_token3] = ACTIONS(4726),
    [aux_sym_procedure_kind_token4] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4726),
    [aux_sym_derived_type_token1] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4726),
    [anon_sym_GT_GT_GT] = ACTIONS(4726),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [anon_sym_RBRACK] = ACTIONS(4726),
    [anon_sym_QMARK] = ACTIONS(4726),
    [sym_comment] = ACTIONS(21),
  },
  [3524] = {
    [anon_sym_COMMA] = ACTIONS(4722),
    [anon_sym_RPAREN] = ACTIONS(4722),
    [aux_sym_preproc_if_token2] = ACTIONS(4722),
    [aux_sym_preproc_else_token1] = ACTIONS(4722),
    [aux_sym_preproc_elif_token1] = ACTIONS(4720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4722),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4722),
    [anon_sym_STAR] = ACTIONS(4720),
    [anon_sym_SLASH] = ACTIONS(4720),
    [anon_sym_PERCENT] = ACTIONS(4722),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4722),
    [anon_sym_GT] = ACTIONS(4720),
    [anon_sym_GT_EQ] = ACTIONS(4722),
    [anon_sym_LT_EQ] = ACTIONS(4722),
    [anon_sym_LT] = ACTIONS(4720),
    [aux_sym_end_program_statement_token1] = ACTIONS(4722),
    [aux_sym_module_statement_token1] = ACTIONS(4722),
    [anon_sym_COLON] = ACTIONS(4722),
    [anon_sym_SEMI] = ACTIONS(4722),
    [anon_sym_EQ] = ACTIONS(4720),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4722),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4722),
    [aux_sym_function_statement_token1] = ACTIONS(4722),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4722),
    [anon_sym_EQ_GT] = ACTIONS(4722),
    [aux_sym_implicit_statement_token3] = ACTIONS(4722),
    [aux_sym_import_statement_token1] = ACTIONS(4722),
    [aux_sym_procedure_kind_token1] = ACTIONS(4722),
    [aux_sym_procedure_kind_token2] = ACTIONS(4722),
    [aux_sym_procedure_kind_token3] = ACTIONS(4722),
    [aux_sym_procedure_kind_token4] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4722),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4722),
    [aux_sym_derived_type_token1] = ACTIONS(4722),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4722),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4722),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4722),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4722),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4722),
    [anon_sym_GT_GT_GT] = ACTIONS(4722),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4722),
    [aux_sym_logical_expression_token1] = ACTIONS(4722),
    [aux_sym_logical_expression_token2] = ACTIONS(4722),
    [aux_sym_logical_expression_token3] = ACTIONS(4722),
    [aux_sym_logical_expression_token4] = ACTIONS(4722),
    [aux_sym_relational_expression_token1] = ACTIONS(4722),
    [aux_sym_relational_expression_token2] = ACTIONS(4722),
    [aux_sym_relational_expression_token3] = ACTIONS(4722),
    [aux_sym_relational_expression_token4] = ACTIONS(4722),
    [aux_sym_relational_expression_token5] = ACTIONS(4722),
    [anon_sym_SLASH_EQ] = ACTIONS(4722),
    [aux_sym_relational_expression_token6] = ACTIONS(4722),
    [anon_sym_SLASH_SLASH] = ACTIONS(4722),
    [anon_sym_STAR_STAR] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [anon_sym_RBRACK] = ACTIONS(4722),
    [anon_sym_QMARK] = ACTIONS(4722),
    [sym_comment] = ACTIONS(21),
  },
  [3525] = {
    [anon_sym_COMMA] = ACTIONS(4730),
    [anon_sym_RPAREN] = ACTIONS(4730),
    [aux_sym_preproc_if_token2] = ACTIONS(4730),
    [aux_sym_preproc_else_token1] = ACTIONS(4730),
    [aux_sym_preproc_elif_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4730),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4730),
    [anon_sym_LPAREN2] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4728),
    [anon_sym_SLASH] = ACTIONS(4728),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4730),
    [anon_sym_GT] = ACTIONS(4728),
    [anon_sym_GT_EQ] = ACTIONS(4730),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4728),
    [aux_sym_end_program_statement_token1] = ACTIONS(4730),
    [aux_sym_module_statement_token1] = ACTIONS(4730),
    [anon_sym_COLON] = ACTIONS(4730),
    [anon_sym_SEMI] = ACTIONS(4730),
    [anon_sym_EQ] = ACTIONS(4728),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4730),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4730),
    [aux_sym_function_statement_token1] = ACTIONS(4730),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4730),
    [anon_sym_EQ_GT] = ACTIONS(4730),
    [aux_sym_implicit_statement_token3] = ACTIONS(4730),
    [aux_sym_import_statement_token1] = ACTIONS(4730),
    [aux_sym_procedure_kind_token1] = ACTIONS(4730),
    [aux_sym_procedure_kind_token2] = ACTIONS(4730),
    [aux_sym_procedure_kind_token3] = ACTIONS(4730),
    [aux_sym_procedure_kind_token4] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4730),
    [aux_sym_derived_type_token1] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4730),
    [anon_sym_GT_GT_GT] = ACTIONS(4730),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4730),
    [aux_sym_logical_expression_token1] = ACTIONS(4730),
    [aux_sym_logical_expression_token2] = ACTIONS(4730),
    [aux_sym_logical_expression_token3] = ACTIONS(4730),
    [aux_sym_logical_expression_token4] = ACTIONS(4730),
    [aux_sym_relational_expression_token1] = ACTIONS(4730),
    [aux_sym_relational_expression_token2] = ACTIONS(4730),
    [aux_sym_relational_expression_token3] = ACTIONS(4730),
    [aux_sym_relational_expression_token4] = ACTIONS(4730),
    [aux_sym_relational_expression_token5] = ACTIONS(4730),
    [anon_sym_SLASH_EQ] = ACTIONS(4730),
    [aux_sym_relational_expression_token6] = ACTIONS(4730),
    [anon_sym_SLASH_SLASH] = ACTIONS(4730),
    [anon_sym_STAR_STAR] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_RBRACK] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4730),
    [sym_comment] = ACTIONS(21),
  },
  [3526] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6469),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6469),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3528),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7946),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3527] = {
    [anon_sym_COMMA] = ACTIONS(4734),
    [anon_sym_RPAREN] = ACTIONS(4734),
    [aux_sym_preproc_if_token2] = ACTIONS(4734),
    [aux_sym_preproc_else_token1] = ACTIONS(4734),
    [aux_sym_preproc_elif_token1] = ACTIONS(4732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4734),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4734),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_STAR] = ACTIONS(4732),
    [anon_sym_SLASH] = ACTIONS(4732),
    [anon_sym_PERCENT] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4734),
    [anon_sym_GT] = ACTIONS(4732),
    [anon_sym_GT_EQ] = ACTIONS(4734),
    [anon_sym_LT_EQ] = ACTIONS(4734),
    [anon_sym_LT] = ACTIONS(4732),
    [aux_sym_end_program_statement_token1] = ACTIONS(4734),
    [aux_sym_module_statement_token1] = ACTIONS(4734),
    [anon_sym_COLON] = ACTIONS(4734),
    [anon_sym_SEMI] = ACTIONS(4734),
    [anon_sym_EQ] = ACTIONS(4732),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4734),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4734),
    [aux_sym_function_statement_token1] = ACTIONS(4734),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4734),
    [anon_sym_EQ_GT] = ACTIONS(4734),
    [aux_sym_implicit_statement_token3] = ACTIONS(4734),
    [aux_sym_import_statement_token1] = ACTIONS(4734),
    [aux_sym_procedure_kind_token1] = ACTIONS(4734),
    [aux_sym_procedure_kind_token2] = ACTIONS(4734),
    [aux_sym_procedure_kind_token3] = ACTIONS(4734),
    [aux_sym_procedure_kind_token4] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4734),
    [aux_sym_derived_type_token1] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4734),
    [anon_sym_GT_GT_GT] = ACTIONS(4734),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4734),
    [aux_sym_logical_expression_token1] = ACTIONS(4734),
    [aux_sym_logical_expression_token2] = ACTIONS(4734),
    [aux_sym_logical_expression_token3] = ACTIONS(4734),
    [aux_sym_logical_expression_token4] = ACTIONS(4734),
    [aux_sym_relational_expression_token1] = ACTIONS(4734),
    [aux_sym_relational_expression_token2] = ACTIONS(4734),
    [aux_sym_relational_expression_token3] = ACTIONS(4734),
    [aux_sym_relational_expression_token4] = ACTIONS(4734),
    [aux_sym_relational_expression_token5] = ACTIONS(4734),
    [anon_sym_SLASH_EQ] = ACTIONS(4734),
    [aux_sym_relational_expression_token6] = ACTIONS(4734),
    [anon_sym_SLASH_SLASH] = ACTIONS(4734),
    [anon_sym_STAR_STAR] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [anon_sym_RBRACK] = ACTIONS(4734),
    [anon_sym_QMARK] = ACTIONS(4734),
    [sym_comment] = ACTIONS(21),
  },
  [3528] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6609),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6609),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3991),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7948),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3529] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6506),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6506),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3532),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7950),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3530] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6434),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6434),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3531),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7952),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3531] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6522),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6522),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3991),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7954),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3532] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6595),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6595),
    [sym_identifier] = STATE(6642),
    [aux_sym_procedure_statement_repeat1] = STATE(3991),
    [anon_sym_COMMA] = ACTIONS(7934),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7956),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3533] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6633),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6633),
    [sym_identifier] = STATE(6642),
    [anon_sym_COMMA] = ACTIONS(7958),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7960),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3534] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6611),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6611),
    [sym_identifier] = STATE(6642),
    [anon_sym_COMMA] = ACTIONS(7962),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7964),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3535] = {
    [sym_assignment] = STATE(7098),
    [sym_operator] = STATE(7098),
    [sym_defined_io_procedure] = STATE(7098),
    [sym__generic_procedure] = STATE(7098),
    [sym__name] = STATE(7098),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7966),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7966),
  },
  [3536] = {
    [sym_assignment] = STATE(6441),
    [sym_operator] = STATE(6441),
    [sym_defined_io_procedure] = STATE(6441),
    [sym__generic_procedure] = STATE(6441),
    [sym_identifier] = STATE(6441),
    [sym__end_of_statement] = STATE(5980),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7968),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7970),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7968),
  },
  [3537] = {
    [sym_assignment] = STATE(7381),
    [sym_operator] = STATE(7381),
    [sym_defined_io_procedure] = STATE(7381),
    [sym__generic_procedure] = STATE(7381),
    [sym__name] = STATE(7381),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1450),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7972),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7972),
  },
  [3538] = {
    [sym_assignment] = STATE(7382),
    [sym_operator] = STATE(7382),
    [sym_defined_io_procedure] = STATE(7382),
    [sym__generic_procedure] = STATE(7382),
    [sym__name] = STATE(7382),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1489),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7974),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7974),
  },
  [3539] = {
    [sym_assignment] = STATE(6956),
    [sym_operator] = STATE(6956),
    [sym_defined_io_procedure] = STATE(6956),
    [sym__generic_procedure] = STATE(6956),
    [sym__name] = STATE(6956),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7976),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7976),
  },
  [3540] = {
    [sym_assignment] = STATE(7296),
    [sym_operator] = STATE(7296),
    [sym_defined_io_procedure] = STATE(7296),
    [sym__generic_procedure] = STATE(7296),
    [sym__name] = STATE(7296),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1736),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7978),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7978),
  },
  [3541] = {
    [sym_assignment] = STATE(7035),
    [sym_operator] = STATE(7035),
    [sym_defined_io_procedure] = STATE(7035),
    [sym__generic_procedure] = STATE(7035),
    [sym__name] = STATE(7035),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7980),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7980),
  },
  [3542] = {
    [sym_assignment] = STATE(7036),
    [sym_operator] = STATE(7036),
    [sym_defined_io_procedure] = STATE(7036),
    [sym__generic_procedure] = STATE(7036),
    [sym__name] = STATE(7036),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7982),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7982),
  },
  [3543] = {
    [sym_assignment] = STATE(7016),
    [sym_operator] = STATE(7016),
    [sym_defined_io_procedure] = STATE(7016),
    [sym__generic_procedure] = STATE(7016),
    [sym__name] = STATE(7016),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7984),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7984),
  },
  [3544] = {
    [sym_assignment] = STATE(7297),
    [sym_operator] = STATE(7297),
    [sym_defined_io_procedure] = STATE(7297),
    [sym__generic_procedure] = STATE(7297),
    [sym__name] = STATE(7297),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1738),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7986),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7986),
  },
  [3545] = {
    [sym_assignment] = STATE(7579),
    [sym_operator] = STATE(7579),
    [sym_defined_io_procedure] = STATE(7579),
    [sym__generic_procedure] = STATE(7579),
    [sym__name] = STATE(7579),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(4709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7988),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7988),
  },
  [3546] = {
    [sym__type_name] = STATE(6624),
    [sym__intrinsic_type] = STATE(6625),
    [sym_unlimited_polymorphic] = STATE(8411),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3547] = {
    [sym__type_name] = STATE(6635),
    [sym__intrinsic_type] = STATE(6530),
    [sym_unlimited_polymorphic] = STATE(8445),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3548] = {
    [sym_while_statement] = STATE(6823),
    [sym_concurrent_statement] = STATE(6823),
    [sym_concurrent_header] = STATE(6090),
    [sym_loop_control_expression] = STATE(6823),
    [sym_identifier] = STATE(8682),
    [sym__end_of_statement] = STATE(741),
    [anon_sym_COMMA] = ACTIONS(7992),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(7994),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_while_statement_token1] = ACTIONS(7887),
    [aux_sym_concurrent_header_token1] = ACTIONS(7889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7994),
  },
  [3549] = {
    [sym_assignment] = STATE(6955),
    [sym_operator] = STATE(6955),
    [sym_defined_io_procedure] = STATE(6955),
    [sym__generic_procedure] = STATE(6955),
    [sym__name] = STATE(6955),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(972),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7996),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7996),
  },
  [3550] = {
    [sym_assignment] = STATE(7331),
    [sym_operator] = STATE(7331),
    [sym_defined_io_procedure] = STATE(7331),
    [sym__generic_procedure] = STATE(7331),
    [sym__name] = STATE(7331),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(7998),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7998),
  },
  [3551] = {
    [sym_assignment] = STATE(7332),
    [sym_operator] = STATE(7332),
    [sym_defined_io_procedure] = STATE(7332),
    [sym__generic_procedure] = STATE(7332),
    [sym__name] = STATE(7332),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8000),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8000),
  },
  [3552] = {
    [sym__type_name] = STATE(6410),
    [sym__intrinsic_type] = STATE(6411),
    [sym_unlimited_polymorphic] = STATE(8816),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3553] = {
    [sym__type_name] = STATE(6421),
    [sym__intrinsic_type] = STATE(6422),
    [sym_unlimited_polymorphic] = STATE(8826),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3554] = {
    [sym_assignment] = STATE(7099),
    [sym_operator] = STATE(7099),
    [sym_defined_io_procedure] = STATE(7099),
    [sym__generic_procedure] = STATE(7099),
    [sym__name] = STATE(7099),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1480),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8002),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8002),
  },
  [3555] = {
    [sym_assignment] = STATE(6440),
    [sym_operator] = STATE(6440),
    [sym_defined_io_procedure] = STATE(6440),
    [sym__generic_procedure] = STATE(6440),
    [sym_identifier] = STATE(6440),
    [sym__end_of_statement] = STATE(5979),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8004),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(8006),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8004),
  },
  [3556] = {
    [sym_assignment] = STATE(7008),
    [sym_operator] = STATE(7008),
    [sym_defined_io_procedure] = STATE(7008),
    [sym__generic_procedure] = STATE(7008),
    [sym__name] = STATE(7008),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1646),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8008),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8008),
  },
  [3557] = {
    [sym_assignment] = STATE(7357),
    [sym_operator] = STATE(7357),
    [sym_defined_io_procedure] = STATE(7357),
    [sym__generic_procedure] = STATE(7357),
    [sym__name] = STATE(7357),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1981),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8010),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8010),
  },
  [3558] = {
    [anon_sym_COMMA] = ACTIONS(8012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8014),
    [aux_sym_block_data_statement_token1] = ACTIONS(8014),
    [aux_sym_block_data_statement_token2] = ACTIONS(8014),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8014),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8014),
    [aux_sym_language_binding_token1] = ACTIONS(8014),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8014),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8014),
    [aux_sym_use_statement_token2] = ACTIONS(8014),
    [anon_sym_COLON_COLON] = ACTIONS(8012),
    [aux_sym_implicit_statement_token4] = ACTIONS(8014),
    [aux_sym_save_statement_token1] = ACTIONS(8014),
    [aux_sym_private_statement_token1] = ACTIONS(8014),
    [aux_sym_public_statement_token1] = ACTIONS(8014),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8014),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8014),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8014),
    [aux_sym_variable_attributes_token1] = ACTIONS(8014),
    [aux_sym_variable_attributes_token2] = ACTIONS(8014),
    [aux_sym_variable_attributes_token3] = ACTIONS(8014),
    [aux_sym_variable_attributes_token4] = ACTIONS(8014),
    [aux_sym_variable_attributes_token5] = ACTIONS(8014),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8014),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8014),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8014),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8014),
    [aux_sym_type_qualifier_token1] = ACTIONS(8014),
    [aux_sym_type_qualifier_token2] = ACTIONS(8014),
    [aux_sym_stop_statement_token1] = ACTIONS(8014),
    [aux_sym_stop_statement_token2] = ACTIONS(8014),
    [aux_sym_subroutine_call_token1] = ACTIONS(8014),
    [aux_sym_keyword_statement_token2] = ACTIONS(8014),
    [aux_sym_keyword_statement_token3] = ACTIONS(8014),
    [aux_sym_keyword_statement_token4] = ACTIONS(8014),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8014),
    [aux_sym_end_if_statement_token1] = ACTIONS(8014),
    [aux_sym_elseif_clause_token2] = ACTIONS(8014),
    [aux_sym_select_case_statement_token1] = ACTIONS(8014),
    [aux_sym_format_statement_token1] = ACTIONS(8014),
    [aux_sym_open_statement_token1] = ACTIONS(8014),
    [aux_sym_inquire_statement_token1] = ACTIONS(8014),
    [aux_sym_entry_statement_token1] = ACTIONS(8014),
    [aux_sym_null_literal_token1] = ACTIONS(8014),
    [aux_sym_coarray_statement_token1] = ACTIONS(8014),
    [aux_sym_coarray_statement_token2] = ACTIONS(8014),
    [aux_sym_coarray_statement_token6] = ACTIONS(8014),
    [aux_sym_coarray_statement_token8] = ACTIONS(8014),
    [aux_sym_coarray_statement_token11] = ACTIONS(8014),
    [aux_sym_coarray_statement_token12] = ACTIONS(8014),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8014),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8014),
    [aux_sym_identifier_token1] = ACTIONS(8014),
    [sym_comment] = ACTIONS(21),
  },
  [3559] = {
    [sym_assignment] = STATE(6433),
    [sym_operator] = STATE(6433),
    [sym_defined_io_procedure] = STATE(6433),
    [sym__generic_procedure] = STATE(6433),
    [sym_identifier] = STATE(6433),
    [sym__end_of_statement] = STATE(5555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8016),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(8018),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8016),
  },
  [3560] = {
    [sym_assignment] = STATE(7152),
    [sym_operator] = STATE(7152),
    [sym_defined_io_procedure] = STATE(7152),
    [sym__generic_procedure] = STATE(7152),
    [sym__name] = STATE(7152),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8020),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8020),
  },
  [3561] = {
    [sym_assignment] = STATE(7153),
    [sym_operator] = STATE(7153),
    [sym_defined_io_procedure] = STATE(7153),
    [sym__generic_procedure] = STATE(7153),
    [sym__name] = STATE(7153),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8022),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8022),
  },
  [3562] = {
    [sym_assignment] = STATE(7358),
    [sym_operator] = STATE(7358),
    [sym_defined_io_procedure] = STATE(7358),
    [sym__generic_procedure] = STATE(7358),
    [sym__name] = STATE(7358),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8024),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8024),
  },
  [3563] = {
    [sym_assignment] = STATE(7494),
    [sym_operator] = STATE(7494),
    [sym_defined_io_procedure] = STATE(7494),
    [sym__generic_procedure] = STATE(7494),
    [sym__name] = STATE(7494),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8026),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8026),
  },
  [3564] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [aux_sym_interface_statement_token1] = ACTIONS(8028),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [3565] = {
    [sym_assignment] = STATE(6450),
    [sym_operator] = STATE(6450),
    [sym_defined_io_procedure] = STATE(6450),
    [sym__generic_procedure] = STATE(6450),
    [sym_identifier] = STATE(6450),
    [sym__end_of_statement] = STATE(5556),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8030),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(8032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8030),
  },
  [3566] = {
    [sym_character_length] = STATE(3657),
    [sym__argument_list] = STATE(3888),
    [sym_argument_list] = STATE(3659),
    [sym_coarray_index] = STATE(3704),
    [anon_sym_COMMA] = ACTIONS(8034),
    [anon_sym_LPAREN2] = ACTIONS(8036),
    [anon_sym_STAR] = ACTIONS(8038),
    [anon_sym_SLASH] = ACTIONS(8034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8040),
    [anon_sym_SEMI] = ACTIONS(8034),
    [aux_sym_block_data_statement_token1] = ACTIONS(8040),
    [aux_sym_block_data_statement_token2] = ACTIONS(8040),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8040),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8040),
    [aux_sym_use_statement_token2] = ACTIONS(8040),
    [aux_sym_implicit_statement_token4] = ACTIONS(8040),
    [aux_sym_save_statement_token1] = ACTIONS(8040),
    [aux_sym_private_statement_token1] = ACTIONS(8040),
    [aux_sym_public_statement_token1] = ACTIONS(8040),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8040),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8040),
    [aux_sym_variable_attributes_token2] = ACTIONS(8040),
    [aux_sym_variable_attributes_token3] = ACTIONS(8040),
    [aux_sym_variable_attributes_token5] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8040),
    [aux_sym_type_qualifier_token1] = ACTIONS(8040),
    [aux_sym_type_qualifier_token2] = ACTIONS(8040),
    [aux_sym_stop_statement_token1] = ACTIONS(8040),
    [aux_sym_stop_statement_token2] = ACTIONS(8040),
    [aux_sym_subroutine_call_token1] = ACTIONS(8040),
    [aux_sym_keyword_statement_token2] = ACTIONS(8040),
    [aux_sym_keyword_statement_token3] = ACTIONS(8040),
    [aux_sym_keyword_statement_token4] = ACTIONS(8040),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8040),
    [aux_sym_end_if_statement_token1] = ACTIONS(8040),
    [aux_sym_elseif_clause_token2] = ACTIONS(8040),
    [aux_sym_select_case_statement_token1] = ACTIONS(8040),
    [aux_sym_format_statement_token1] = ACTIONS(8040),
    [aux_sym_open_statement_token1] = ACTIONS(8040),
    [aux_sym_inquire_statement_token1] = ACTIONS(8040),
    [aux_sym_entry_statement_token1] = ACTIONS(8040),
    [anon_sym_LBRACK] = ACTIONS(8042),
    [aux_sym_null_literal_token1] = ACTIONS(8040),
    [aux_sym_coarray_statement_token1] = ACTIONS(8040),
    [aux_sym_coarray_statement_token2] = ACTIONS(8040),
    [aux_sym_coarray_statement_token6] = ACTIONS(8040),
    [aux_sym_coarray_statement_token8] = ACTIONS(8040),
    [aux_sym_coarray_statement_token11] = ACTIONS(8040),
    [aux_sym_coarray_statement_token12] = ACTIONS(8040),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8040),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8040),
    [aux_sym_identifier_token1] = ACTIONS(8040),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8034),
  },
  [3567] = {
    [sym_assignment] = STATE(6852),
    [sym_operator] = STATE(6852),
    [sym_defined_io_procedure] = STATE(6852),
    [sym__generic_procedure] = STATE(6852),
    [sym__name] = STATE(6852),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1051),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8044),
  },
  [3568] = {
    [sym_assignment] = STATE(7203),
    [sym_operator] = STATE(7203),
    [sym_defined_io_procedure] = STATE(7203),
    [sym__generic_procedure] = STATE(7203),
    [sym__name] = STATE(7203),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8046),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8046),
  },
  [3569] = {
    [sym_assignment] = STATE(7500),
    [sym_operator] = STATE(7500),
    [sym_defined_io_procedure] = STATE(7500),
    [sym__generic_procedure] = STATE(7500),
    [sym__name] = STATE(7500),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1814),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8048),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8048),
  },
  [3570] = {
    [sym_assignment] = STATE(7204),
    [sym_operator] = STATE(7204),
    [sym_defined_io_procedure] = STATE(7204),
    [sym__generic_procedure] = STATE(7204),
    [sym__name] = STATE(7204),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8050),
  },
  [3571] = {
    [sym__type_name] = STATE(6408),
    [sym__intrinsic_type] = STATE(6459),
    [sym_unlimited_polymorphic] = STATE(8860),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3572] = {
    [sym_assignment] = STATE(6884),
    [sym_operator] = STATE(6884),
    [sym_defined_io_procedure] = STATE(6884),
    [sym__generic_procedure] = STATE(6884),
    [sym__name] = STATE(6884),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8052),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8052),
  },
  [3573] = {
    [sym_assignment] = STATE(6885),
    [sym_operator] = STATE(6885),
    [sym_defined_io_procedure] = STATE(6885),
    [sym__generic_procedure] = STATE(6885),
    [sym__name] = STATE(6885),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1963),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8054),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8054),
  },
  [3574] = {
    [sym_assignment] = STATE(7467),
    [sym_operator] = STATE(7467),
    [sym_defined_io_procedure] = STATE(7467),
    [sym__generic_procedure] = STATE(7467),
    [sym__name] = STATE(7467),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8056),
  },
  [3575] = {
    [sym_assignment] = STATE(7245),
    [sym_operator] = STATE(7245),
    [sym_defined_io_procedure] = STATE(7245),
    [sym__generic_procedure] = STATE(7245),
    [sym__name] = STATE(7245),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8058),
  },
  [3576] = {
    [sym_assignment] = STATE(7246),
    [sym_operator] = STATE(7246),
    [sym_defined_io_procedure] = STATE(7246),
    [sym__generic_procedure] = STATE(7246),
    [sym__name] = STATE(7246),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1228),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8060),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8060),
  },
  [3577] = {
    [sym_assignment] = STATE(6803),
    [sym_operator] = STATE(6803),
    [sym_defined_io_procedure] = STATE(6803),
    [sym__generic_procedure] = STATE(6803),
    [sym__name] = STATE(6803),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1889),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8062),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8062),
  },
  [3578] = {
    [anon_sym_COMMA] = ACTIONS(8064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8066),
    [aux_sym_block_data_statement_token1] = ACTIONS(8066),
    [aux_sym_block_data_statement_token2] = ACTIONS(8066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8066),
    [aux_sym_language_binding_token1] = ACTIONS(8066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8066),
    [aux_sym_use_statement_token2] = ACTIONS(8066),
    [anon_sym_COLON_COLON] = ACTIONS(8064),
    [aux_sym_implicit_statement_token4] = ACTIONS(8066),
    [aux_sym_save_statement_token1] = ACTIONS(8066),
    [aux_sym_private_statement_token1] = ACTIONS(8066),
    [aux_sym_public_statement_token1] = ACTIONS(8066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8066),
    [aux_sym_variable_attributes_token1] = ACTIONS(8066),
    [aux_sym_variable_attributes_token2] = ACTIONS(8066),
    [aux_sym_variable_attributes_token3] = ACTIONS(8066),
    [aux_sym_variable_attributes_token4] = ACTIONS(8066),
    [aux_sym_variable_attributes_token5] = ACTIONS(8066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8066),
    [aux_sym_type_qualifier_token1] = ACTIONS(8066),
    [aux_sym_type_qualifier_token2] = ACTIONS(8066),
    [aux_sym_stop_statement_token1] = ACTIONS(8066),
    [aux_sym_stop_statement_token2] = ACTIONS(8066),
    [aux_sym_subroutine_call_token1] = ACTIONS(8066),
    [aux_sym_keyword_statement_token2] = ACTIONS(8066),
    [aux_sym_keyword_statement_token3] = ACTIONS(8066),
    [aux_sym_keyword_statement_token4] = ACTIONS(8066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8066),
    [aux_sym_end_if_statement_token1] = ACTIONS(8066),
    [aux_sym_elseif_clause_token2] = ACTIONS(8066),
    [aux_sym_select_case_statement_token1] = ACTIONS(8066),
    [aux_sym_format_statement_token1] = ACTIONS(8066),
    [aux_sym_open_statement_token1] = ACTIONS(8066),
    [aux_sym_inquire_statement_token1] = ACTIONS(8066),
    [aux_sym_entry_statement_token1] = ACTIONS(8066),
    [aux_sym_null_literal_token1] = ACTIONS(8066),
    [aux_sym_coarray_statement_token1] = ACTIONS(8066),
    [aux_sym_coarray_statement_token2] = ACTIONS(8066),
    [aux_sym_coarray_statement_token6] = ACTIONS(8066),
    [aux_sym_coarray_statement_token8] = ACTIONS(8066),
    [aux_sym_coarray_statement_token11] = ACTIONS(8066),
    [aux_sym_coarray_statement_token12] = ACTIONS(8066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8066),
    [aux_sym_identifier_token1] = ACTIONS(8066),
    [sym_comment] = ACTIONS(21),
  },
  [3579] = {
    [sym_assignment] = STATE(6804),
    [sym_operator] = STATE(6804),
    [sym_defined_io_procedure] = STATE(6804),
    [sym__generic_procedure] = STATE(6804),
    [sym__name] = STATE(6804),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1893),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8068),
  },
  [3580] = {
    [sym__type_name] = STATE(6486),
    [sym__intrinsic_type] = STATE(6491),
    [sym_unlimited_polymorphic] = STATE(8645),
    [sym_identifier] = STATE(6454),
    [anon_sym_STAR] = ACTIONS(7990),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3581] = {
    [sym_assignment] = STATE(7208),
    [sym_operator] = STATE(7208),
    [sym_defined_io_procedure] = STATE(7208),
    [sym__generic_procedure] = STATE(7208),
    [sym__name] = STATE(7208),
    [sym_identifier] = STATE(6435),
    [sym__end_of_statement] = STATE(1406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8070),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8070),
  },
  [3582] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6575),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6575),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3583] = {
    [sym_unary_expression] = STATE(8905),
    [sym_user_defined_operator] = STATE(3247),
    [sym_number_literal] = STATE(8905),
    [sym_identifier] = STATE(8905),
    [anon_sym_PLUS] = ACTIONS(8072),
    [anon_sym_DASH] = ACTIONS(8072),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8074),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
  },
  [3584] = {
    [sym_unary_expression] = STATE(8471),
    [sym_user_defined_operator] = STATE(3247),
    [sym_number_literal] = STATE(8471),
    [sym_identifier] = STATE(8471),
    [anon_sym_PLUS] = ACTIONS(8072),
    [anon_sym_DASH] = ACTIONS(8072),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8074),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
  },
  [3585] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6595),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6595),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3586] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6537),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6537),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3587] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(9020),
    [sym_concurrent_control] = STATE(7040),
    [sym_identifier] = STATE(9033),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3588] = {
    [sym_assignment] = STATE(6701),
    [sym_operator] = STATE(6701),
    [sym_defined_io_procedure] = STATE(6701),
    [sym__generic_procedure] = STATE(6701),
    [sym_use_alias] = STATE(6701),
    [sym_identifier] = STATE(6597),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(8078),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8078),
  },
  [3589] = {
    [sym_unary_expression] = STATE(8751),
    [sym_user_defined_operator] = STATE(3247),
    [sym_number_literal] = STATE(8751),
    [sym_identifier] = STATE(8751),
    [anon_sym_PLUS] = ACTIONS(8072),
    [anon_sym_DASH] = ACTIONS(8072),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8074),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
  },
  [3590] = {
    [sym__variable_declarator] = STATE(5596),
    [sym_sized_declarator] = STATE(5591),
    [sym__declaration_assignment] = STATE(5616),
    [sym__declaration_pointer_association] = STATE(5614),
    [sym__declaration_targets] = STATE(5739),
    [sym_coarray_declarator] = STATE(5596),
    [sym_identifier] = STATE(5201),
    [aux_sym_variable_declaration_repeat1] = STATE(4035),
    [anon_sym_COMMA] = ACTIONS(8080),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8082),
    [aux_sym_block_data_statement_token1] = ACTIONS(8084),
    [aux_sym_block_data_statement_token2] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8084),
    [aux_sym_use_statement_token2] = ACTIONS(8084),
    [anon_sym_COLON_COLON] = ACTIONS(8086),
    [aux_sym_implicit_statement_token4] = ACTIONS(8084),
    [aux_sym_save_statement_token1] = ACTIONS(8084),
    [aux_sym_private_statement_token1] = ACTIONS(8084),
    [aux_sym_public_statement_token1] = ACTIONS(8084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8084),
    [aux_sym_variable_attributes_token2] = ACTIONS(8084),
    [aux_sym_variable_attributes_token3] = ACTIONS(8084),
    [aux_sym_variable_attributes_token5] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8084),
    [aux_sym_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym_stop_statement_token1] = ACTIONS(8084),
    [aux_sym_stop_statement_token2] = ACTIONS(8084),
    [aux_sym_subroutine_call_token1] = ACTIONS(8088),
    [aux_sym_keyword_statement_token2] = ACTIONS(8084),
    [aux_sym_keyword_statement_token3] = ACTIONS(8084),
    [aux_sym_keyword_statement_token4] = ACTIONS(8090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8084),
    [aux_sym_end_if_statement_token1] = ACTIONS(8084),
    [aux_sym_elseif_clause_token2] = ACTIONS(8084),
    [aux_sym_select_case_statement_token1] = ACTIONS(8092),
    [aux_sym_format_statement_token1] = ACTIONS(8084),
    [aux_sym_open_statement_token1] = ACTIONS(8088),
    [aux_sym_inquire_statement_token1] = ACTIONS(8084),
    [aux_sym_entry_statement_token1] = ACTIONS(8084),
    [aux_sym_null_literal_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token2] = ACTIONS(8084),
    [aux_sym_coarray_statement_token6] = ACTIONS(8084),
    [aux_sym_coarray_statement_token8] = ACTIONS(8084),
    [aux_sym_coarray_statement_token11] = ACTIONS(8084),
    [aux_sym_coarray_statement_token12] = ACTIONS(8084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8084),
    [aux_sym_identifier_token1] = ACTIONS(8084),
    [sym_comment] = ACTIONS(21),
  },
  [3591] = {
    [sym_while_statement] = STATE(7133),
    [sym_concurrent_statement] = STATE(7133),
    [sym_concurrent_header] = STATE(6090),
    [sym_loop_control_expression] = STATE(7133),
    [sym_identifier] = STATE(8682),
    [sym__end_of_statement] = STATE(738),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(8094),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_while_statement_token1] = ACTIONS(7887),
    [aux_sym_concurrent_header_token1] = ACTIONS(7889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8094),
  },
  [3592] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6600),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6600),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3593] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7595),
    [aux_sym_block_data_statement_token1] = ACTIONS(7595),
    [aux_sym_block_data_statement_token2] = ACTIONS(7595),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7595),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7595),
    [aux_sym_language_binding_token1] = ACTIONS(7595),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7595),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7595),
    [aux_sym_use_statement_token2] = ACTIONS(7595),
    [anon_sym_COLON_COLON] = ACTIONS(7599),
    [aux_sym_implicit_statement_token4] = ACTIONS(7595),
    [aux_sym_save_statement_token1] = ACTIONS(7595),
    [aux_sym_private_statement_token1] = ACTIONS(7595),
    [aux_sym_public_statement_token1] = ACTIONS(7595),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7595),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7595),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7595),
    [aux_sym_variable_attributes_token1] = ACTIONS(7595),
    [aux_sym_variable_attributes_token2] = ACTIONS(7595),
    [aux_sym_variable_attributes_token3] = ACTIONS(7595),
    [aux_sym_variable_attributes_token4] = ACTIONS(7595),
    [aux_sym_variable_attributes_token5] = ACTIONS(7595),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7595),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7595),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7595),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7595),
    [aux_sym_type_qualifier_token1] = ACTIONS(7595),
    [aux_sym_type_qualifier_token2] = ACTIONS(7595),
    [aux_sym_stop_statement_token1] = ACTIONS(7595),
    [aux_sym_stop_statement_token2] = ACTIONS(7595),
    [aux_sym_subroutine_call_token1] = ACTIONS(7595),
    [aux_sym_keyword_statement_token2] = ACTIONS(7595),
    [aux_sym_keyword_statement_token3] = ACTIONS(7595),
    [aux_sym_keyword_statement_token4] = ACTIONS(7595),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7595),
    [aux_sym_end_if_statement_token1] = ACTIONS(7595),
    [aux_sym_elseif_clause_token2] = ACTIONS(7595),
    [aux_sym_select_case_statement_token1] = ACTIONS(7595),
    [aux_sym_format_statement_token1] = ACTIONS(7595),
    [aux_sym_open_statement_token1] = ACTIONS(7595),
    [aux_sym_inquire_statement_token1] = ACTIONS(7595),
    [aux_sym_entry_statement_token1] = ACTIONS(7595),
    [aux_sym_null_literal_token1] = ACTIONS(7595),
    [aux_sym_coarray_statement_token1] = ACTIONS(7595),
    [aux_sym_coarray_statement_token2] = ACTIONS(7595),
    [aux_sym_coarray_statement_token6] = ACTIONS(7595),
    [aux_sym_coarray_statement_token8] = ACTIONS(7595),
    [aux_sym_coarray_statement_token11] = ACTIONS(7595),
    [aux_sym_coarray_statement_token12] = ACTIONS(7595),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7595),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7595),
    [aux_sym_identifier_token1] = ACTIONS(7595),
    [sym_comment] = ACTIONS(21),
  },
  [3594] = {
    [sym__variable_declarator] = STATE(6389),
    [sym_sized_declarator] = STATE(3642),
    [sym__declaration_assignment] = STATE(6660),
    [sym__declaration_pointer_association] = STATE(6692),
    [sym__declaration_targets] = STATE(7709),
    [sym_coarray_declarator] = STATE(6389),
    [sym_identifier] = STATE(5994),
    [aux_sym_variable_declaration_repeat1] = STATE(3596),
    [anon_sym_COMMA] = ACTIONS(8080),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(8096),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3595] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(7255),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(7255),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3596] = {
    [sym__variable_declarator] = STATE(6389),
    [sym_sized_declarator] = STATE(3642),
    [sym__declaration_assignment] = STATE(6660),
    [sym__declaration_pointer_association] = STATE(6692),
    [sym__declaration_targets] = STATE(7950),
    [sym_coarray_declarator] = STATE(6389),
    [sym_identifier] = STATE(5994),
    [aux_sym_variable_declaration_repeat1] = STATE(4035),
    [anon_sym_COMMA] = ACTIONS(8080),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(8098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3597] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8100),
    [aux_sym_block_data_statement_token1] = ACTIONS(8100),
    [aux_sym_block_data_statement_token2] = ACTIONS(8100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8100),
    [aux_sym_language_binding_token1] = ACTIONS(8100),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8100),
    [aux_sym_use_statement_token2] = ACTIONS(8100),
    [anon_sym_COLON_COLON] = ACTIONS(8102),
    [aux_sym_implicit_statement_token4] = ACTIONS(8100),
    [aux_sym_save_statement_token1] = ACTIONS(8100),
    [aux_sym_private_statement_token1] = ACTIONS(8100),
    [aux_sym_public_statement_token1] = ACTIONS(8100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8100),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8100),
    [aux_sym_variable_attributes_token1] = ACTIONS(8100),
    [aux_sym_variable_attributes_token2] = ACTIONS(8100),
    [aux_sym_variable_attributes_token3] = ACTIONS(8100),
    [aux_sym_variable_attributes_token4] = ACTIONS(8100),
    [aux_sym_variable_attributes_token5] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8100),
    [aux_sym_type_qualifier_token1] = ACTIONS(8100),
    [aux_sym_type_qualifier_token2] = ACTIONS(8100),
    [aux_sym_stop_statement_token1] = ACTIONS(8100),
    [aux_sym_stop_statement_token2] = ACTIONS(8100),
    [aux_sym_subroutine_call_token1] = ACTIONS(8100),
    [aux_sym_keyword_statement_token2] = ACTIONS(8100),
    [aux_sym_keyword_statement_token3] = ACTIONS(8100),
    [aux_sym_keyword_statement_token4] = ACTIONS(8100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8100),
    [aux_sym_end_if_statement_token1] = ACTIONS(8100),
    [aux_sym_elseif_clause_token2] = ACTIONS(8100),
    [aux_sym_select_case_statement_token1] = ACTIONS(8100),
    [aux_sym_format_statement_token1] = ACTIONS(8100),
    [aux_sym_open_statement_token1] = ACTIONS(8100),
    [aux_sym_inquire_statement_token1] = ACTIONS(8100),
    [aux_sym_entry_statement_token1] = ACTIONS(8100),
    [aux_sym_null_literal_token1] = ACTIONS(8100),
    [aux_sym_coarray_statement_token1] = ACTIONS(8100),
    [aux_sym_coarray_statement_token2] = ACTIONS(8100),
    [aux_sym_coarray_statement_token6] = ACTIONS(8100),
    [aux_sym_coarray_statement_token8] = ACTIONS(8100),
    [aux_sym_coarray_statement_token11] = ACTIONS(8100),
    [aux_sym_coarray_statement_token12] = ACTIONS(8100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8100),
    [aux_sym_identifier_token1] = ACTIONS(8100),
    [sym_comment] = ACTIONS(21),
  },
  [3598] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8104),
    [aux_sym_block_data_statement_token1] = ACTIONS(8104),
    [aux_sym_block_data_statement_token2] = ACTIONS(8104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8104),
    [aux_sym_language_binding_token1] = ACTIONS(8104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8104),
    [aux_sym_use_statement_token2] = ACTIONS(8104),
    [anon_sym_COLON_COLON] = ACTIONS(8106),
    [aux_sym_implicit_statement_token4] = ACTIONS(8104),
    [aux_sym_save_statement_token1] = ACTIONS(8104),
    [aux_sym_private_statement_token1] = ACTIONS(8104),
    [aux_sym_public_statement_token1] = ACTIONS(8104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8104),
    [aux_sym_variable_attributes_token1] = ACTIONS(8104),
    [aux_sym_variable_attributes_token2] = ACTIONS(8104),
    [aux_sym_variable_attributes_token3] = ACTIONS(8104),
    [aux_sym_variable_attributes_token4] = ACTIONS(8104),
    [aux_sym_variable_attributes_token5] = ACTIONS(8104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8104),
    [aux_sym_type_qualifier_token1] = ACTIONS(8104),
    [aux_sym_type_qualifier_token2] = ACTIONS(8104),
    [aux_sym_stop_statement_token1] = ACTIONS(8104),
    [aux_sym_stop_statement_token2] = ACTIONS(8104),
    [aux_sym_subroutine_call_token1] = ACTIONS(8104),
    [aux_sym_keyword_statement_token2] = ACTIONS(8104),
    [aux_sym_keyword_statement_token3] = ACTIONS(8104),
    [aux_sym_keyword_statement_token4] = ACTIONS(8104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8104),
    [aux_sym_end_if_statement_token1] = ACTIONS(8104),
    [aux_sym_elseif_clause_token2] = ACTIONS(8104),
    [aux_sym_select_case_statement_token1] = ACTIONS(8104),
    [aux_sym_format_statement_token1] = ACTIONS(8104),
    [aux_sym_open_statement_token1] = ACTIONS(8104),
    [aux_sym_inquire_statement_token1] = ACTIONS(8104),
    [aux_sym_entry_statement_token1] = ACTIONS(8104),
    [aux_sym_null_literal_token1] = ACTIONS(8104),
    [aux_sym_coarray_statement_token1] = ACTIONS(8104),
    [aux_sym_coarray_statement_token2] = ACTIONS(8104),
    [aux_sym_coarray_statement_token6] = ACTIONS(8104),
    [aux_sym_coarray_statement_token8] = ACTIONS(8104),
    [aux_sym_coarray_statement_token11] = ACTIONS(8104),
    [aux_sym_coarray_statement_token12] = ACTIONS(8104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8104),
    [aux_sym_identifier_token1] = ACTIONS(8104),
    [sym_comment] = ACTIONS(21),
  },
  [3599] = {
    [sym_while_statement] = STATE(6823),
    [sym_concurrent_statement] = STATE(6823),
    [sym_concurrent_header] = STATE(6090),
    [sym_loop_control_expression] = STATE(6823),
    [sym_identifier] = STATE(8682),
    [sym__end_of_statement] = STATE(741),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(7994),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym_while_statement_token1] = ACTIONS(7887),
    [aux_sym_concurrent_header_token1] = ACTIONS(7889),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7994),
  },
  [3600] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6609),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6609),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3601] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6601),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6601),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3602] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6402),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6402),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3603] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8108),
    [aux_sym_block_data_statement_token1] = ACTIONS(8108),
    [aux_sym_block_data_statement_token2] = ACTIONS(8108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8108),
    [aux_sym_language_binding_token1] = ACTIONS(8108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8108),
    [aux_sym_use_statement_token2] = ACTIONS(8108),
    [anon_sym_COLON_COLON] = ACTIONS(8110),
    [aux_sym_implicit_statement_token4] = ACTIONS(8108),
    [aux_sym_save_statement_token1] = ACTIONS(8108),
    [aux_sym_private_statement_token1] = ACTIONS(8108),
    [aux_sym_public_statement_token1] = ACTIONS(8108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8108),
    [aux_sym_variable_attributes_token1] = ACTIONS(8108),
    [aux_sym_variable_attributes_token2] = ACTIONS(8108),
    [aux_sym_variable_attributes_token3] = ACTIONS(8108),
    [aux_sym_variable_attributes_token4] = ACTIONS(8108),
    [aux_sym_variable_attributes_token5] = ACTIONS(8108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8108),
    [aux_sym_type_qualifier_token1] = ACTIONS(8108),
    [aux_sym_type_qualifier_token2] = ACTIONS(8108),
    [aux_sym_stop_statement_token1] = ACTIONS(8108),
    [aux_sym_stop_statement_token2] = ACTIONS(8108),
    [aux_sym_subroutine_call_token1] = ACTIONS(8108),
    [aux_sym_keyword_statement_token2] = ACTIONS(8108),
    [aux_sym_keyword_statement_token3] = ACTIONS(8108),
    [aux_sym_keyword_statement_token4] = ACTIONS(8108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8108),
    [aux_sym_end_if_statement_token1] = ACTIONS(8108),
    [aux_sym_elseif_clause_token2] = ACTIONS(8108),
    [aux_sym_select_case_statement_token1] = ACTIONS(8108),
    [aux_sym_format_statement_token1] = ACTIONS(8108),
    [aux_sym_open_statement_token1] = ACTIONS(8108),
    [aux_sym_inquire_statement_token1] = ACTIONS(8108),
    [aux_sym_entry_statement_token1] = ACTIONS(8108),
    [aux_sym_null_literal_token1] = ACTIONS(8108),
    [aux_sym_coarray_statement_token1] = ACTIONS(8108),
    [aux_sym_coarray_statement_token2] = ACTIONS(8108),
    [aux_sym_coarray_statement_token6] = ACTIONS(8108),
    [aux_sym_coarray_statement_token8] = ACTIONS(8108),
    [aux_sym_coarray_statement_token11] = ACTIONS(8108),
    [aux_sym_coarray_statement_token12] = ACTIONS(8108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8108),
    [aux_sym_identifier_token1] = ACTIONS(8108),
    [sym_comment] = ACTIONS(21),
  },
  [3604] = {
    [sym_unary_expression] = STATE(8620),
    [sym_user_defined_operator] = STATE(3247),
    [sym_number_literal] = STATE(8620),
    [sym_identifier] = STATE(8620),
    [anon_sym_PLUS] = ACTIONS(8072),
    [anon_sym_DASH] = ACTIONS(8072),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8074),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5674),
    [sym__float_literal] = ACTIONS(5674),
    [sym__boz_literal] = ACTIONS(5674),
  },
  [3605] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6576),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6576),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3606] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8100),
    [aux_sym_block_data_statement_token1] = ACTIONS(8100),
    [aux_sym_block_data_statement_token2] = ACTIONS(8100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8100),
    [aux_sym_language_binding_token1] = ACTIONS(8100),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8100),
    [aux_sym_use_statement_token2] = ACTIONS(8100),
    [anon_sym_COLON_COLON] = ACTIONS(8102),
    [aux_sym_implicit_statement_token4] = ACTIONS(8100),
    [aux_sym_save_statement_token1] = ACTIONS(8100),
    [aux_sym_private_statement_token1] = ACTIONS(8100),
    [aux_sym_public_statement_token1] = ACTIONS(8100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8100),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8100),
    [aux_sym_variable_attributes_token1] = ACTIONS(8100),
    [aux_sym_variable_attributes_token2] = ACTIONS(8100),
    [aux_sym_variable_attributes_token3] = ACTIONS(8100),
    [aux_sym_variable_attributes_token4] = ACTIONS(8100),
    [aux_sym_variable_attributes_token5] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8100),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8100),
    [aux_sym_type_qualifier_token1] = ACTIONS(8100),
    [aux_sym_type_qualifier_token2] = ACTIONS(8100),
    [aux_sym_stop_statement_token1] = ACTIONS(8100),
    [aux_sym_stop_statement_token2] = ACTIONS(8100),
    [aux_sym_subroutine_call_token1] = ACTIONS(8100),
    [aux_sym_keyword_statement_token2] = ACTIONS(8100),
    [aux_sym_keyword_statement_token3] = ACTIONS(8100),
    [aux_sym_keyword_statement_token4] = ACTIONS(8100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8100),
    [aux_sym_end_if_statement_token1] = ACTIONS(8100),
    [aux_sym_elseif_clause_token2] = ACTIONS(8100),
    [aux_sym_select_case_statement_token1] = ACTIONS(8100),
    [aux_sym_format_statement_token1] = ACTIONS(8100),
    [aux_sym_open_statement_token1] = ACTIONS(8100),
    [aux_sym_inquire_statement_token1] = ACTIONS(8100),
    [aux_sym_entry_statement_token1] = ACTIONS(8100),
    [aux_sym_null_literal_token1] = ACTIONS(8100),
    [aux_sym_coarray_statement_token1] = ACTIONS(8100),
    [aux_sym_coarray_statement_token2] = ACTIONS(8100),
    [aux_sym_coarray_statement_token6] = ACTIONS(8100),
    [aux_sym_coarray_statement_token8] = ACTIONS(8100),
    [aux_sym_coarray_statement_token11] = ACTIONS(8100),
    [aux_sym_coarray_statement_token12] = ACTIONS(8100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8100),
    [aux_sym_identifier_token1] = ACTIONS(8100),
    [sym_comment] = ACTIONS(21),
  },
  [3607] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6612),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6612),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3608] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8112),
    [aux_sym_block_data_statement_token1] = ACTIONS(8112),
    [aux_sym_block_data_statement_token2] = ACTIONS(8112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8112),
    [aux_sym_language_binding_token1] = ACTIONS(8112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8112),
    [aux_sym_use_statement_token2] = ACTIONS(8112),
    [anon_sym_COLON_COLON] = ACTIONS(8114),
    [aux_sym_implicit_statement_token4] = ACTIONS(8112),
    [aux_sym_save_statement_token1] = ACTIONS(8112),
    [aux_sym_private_statement_token1] = ACTIONS(8112),
    [aux_sym_public_statement_token1] = ACTIONS(8112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8112),
    [aux_sym_variable_attributes_token1] = ACTIONS(8112),
    [aux_sym_variable_attributes_token2] = ACTIONS(8112),
    [aux_sym_variable_attributes_token3] = ACTIONS(8112),
    [aux_sym_variable_attributes_token4] = ACTIONS(8112),
    [aux_sym_variable_attributes_token5] = ACTIONS(8112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8112),
    [aux_sym_type_qualifier_token1] = ACTIONS(8112),
    [aux_sym_type_qualifier_token2] = ACTIONS(8112),
    [aux_sym_stop_statement_token1] = ACTIONS(8112),
    [aux_sym_stop_statement_token2] = ACTIONS(8112),
    [aux_sym_subroutine_call_token1] = ACTIONS(8112),
    [aux_sym_keyword_statement_token2] = ACTIONS(8112),
    [aux_sym_keyword_statement_token3] = ACTIONS(8112),
    [aux_sym_keyword_statement_token4] = ACTIONS(8112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8112),
    [aux_sym_end_if_statement_token1] = ACTIONS(8112),
    [aux_sym_elseif_clause_token2] = ACTIONS(8112),
    [aux_sym_select_case_statement_token1] = ACTIONS(8112),
    [aux_sym_format_statement_token1] = ACTIONS(8112),
    [aux_sym_open_statement_token1] = ACTIONS(8112),
    [aux_sym_inquire_statement_token1] = ACTIONS(8112),
    [aux_sym_entry_statement_token1] = ACTIONS(8112),
    [aux_sym_null_literal_token1] = ACTIONS(8112),
    [aux_sym_coarray_statement_token1] = ACTIONS(8112),
    [aux_sym_coarray_statement_token2] = ACTIONS(8112),
    [aux_sym_coarray_statement_token6] = ACTIONS(8112),
    [aux_sym_coarray_statement_token8] = ACTIONS(8112),
    [aux_sym_coarray_statement_token11] = ACTIONS(8112),
    [aux_sym_coarray_statement_token12] = ACTIONS(8112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8112),
    [aux_sym_identifier_token1] = ACTIONS(8112),
    [sym_comment] = ACTIONS(21),
  },
  [3609] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6522),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6522),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3610] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8116),
    [aux_sym_block_data_statement_token1] = ACTIONS(8116),
    [aux_sym_block_data_statement_token2] = ACTIONS(8116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8116),
    [aux_sym_language_binding_token1] = ACTIONS(8116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8116),
    [aux_sym_use_statement_token2] = ACTIONS(8116),
    [anon_sym_COLON_COLON] = ACTIONS(8118),
    [aux_sym_implicit_statement_token4] = ACTIONS(8116),
    [aux_sym_save_statement_token1] = ACTIONS(8116),
    [aux_sym_private_statement_token1] = ACTIONS(8116),
    [aux_sym_public_statement_token1] = ACTIONS(8116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8116),
    [aux_sym_variable_attributes_token1] = ACTIONS(8116),
    [aux_sym_variable_attributes_token2] = ACTIONS(8116),
    [aux_sym_variable_attributes_token3] = ACTIONS(8116),
    [aux_sym_variable_attributes_token4] = ACTIONS(8116),
    [aux_sym_variable_attributes_token5] = ACTIONS(8116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8116),
    [aux_sym_type_qualifier_token1] = ACTIONS(8116),
    [aux_sym_type_qualifier_token2] = ACTIONS(8116),
    [aux_sym_stop_statement_token1] = ACTIONS(8116),
    [aux_sym_stop_statement_token2] = ACTIONS(8116),
    [aux_sym_subroutine_call_token1] = ACTIONS(8116),
    [aux_sym_keyword_statement_token2] = ACTIONS(8116),
    [aux_sym_keyword_statement_token3] = ACTIONS(8116),
    [aux_sym_keyword_statement_token4] = ACTIONS(8116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8116),
    [aux_sym_end_if_statement_token1] = ACTIONS(8116),
    [aux_sym_elseif_clause_token2] = ACTIONS(8116),
    [aux_sym_select_case_statement_token1] = ACTIONS(8116),
    [aux_sym_format_statement_token1] = ACTIONS(8116),
    [aux_sym_open_statement_token1] = ACTIONS(8116),
    [aux_sym_inquire_statement_token1] = ACTIONS(8116),
    [aux_sym_entry_statement_token1] = ACTIONS(8116),
    [aux_sym_null_literal_token1] = ACTIONS(8116),
    [aux_sym_coarray_statement_token1] = ACTIONS(8116),
    [aux_sym_coarray_statement_token2] = ACTIONS(8116),
    [aux_sym_coarray_statement_token6] = ACTIONS(8116),
    [aux_sym_coarray_statement_token8] = ACTIONS(8116),
    [aux_sym_coarray_statement_token11] = ACTIONS(8116),
    [aux_sym_coarray_statement_token12] = ACTIONS(8116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8116),
    [aux_sym_identifier_token1] = ACTIONS(8116),
    [sym_comment] = ACTIONS(21),
  },
  [3611] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6543),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6543),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3612] = {
    [sym_assignment] = STATE(8532),
    [sym_operator] = STATE(8532),
    [sym_defined_io_procedure] = STATE(8532),
    [sym__generic_procedure] = STATE(8532),
    [sym_binding] = STATE(6520),
    [sym_binding_name] = STATE(8544),
    [sym_method_name] = STATE(6520),
    [sym_identifier] = STATE(6642),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(7926),
    [aux_sym_operator_token1] = ACTIONS(7928),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7930),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7930),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3613] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8120),
    [aux_sym_block_data_statement_token1] = ACTIONS(8120),
    [aux_sym_block_data_statement_token2] = ACTIONS(8120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8120),
    [aux_sym_language_binding_token1] = ACTIONS(8120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8120),
    [aux_sym_use_statement_token2] = ACTIONS(8120),
    [anon_sym_COLON_COLON] = ACTIONS(8122),
    [aux_sym_implicit_statement_token4] = ACTIONS(8120),
    [aux_sym_save_statement_token1] = ACTIONS(8120),
    [aux_sym_private_statement_token1] = ACTIONS(8120),
    [aux_sym_public_statement_token1] = ACTIONS(8120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8120),
    [aux_sym_variable_attributes_token1] = ACTIONS(8120),
    [aux_sym_variable_attributes_token2] = ACTIONS(8120),
    [aux_sym_variable_attributes_token3] = ACTIONS(8120),
    [aux_sym_variable_attributes_token4] = ACTIONS(8120),
    [aux_sym_variable_attributes_token5] = ACTIONS(8120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8120),
    [aux_sym_type_qualifier_token1] = ACTIONS(8120),
    [aux_sym_type_qualifier_token2] = ACTIONS(8120),
    [aux_sym_stop_statement_token1] = ACTIONS(8120),
    [aux_sym_stop_statement_token2] = ACTIONS(8120),
    [aux_sym_subroutine_call_token1] = ACTIONS(8120),
    [aux_sym_keyword_statement_token2] = ACTIONS(8120),
    [aux_sym_keyword_statement_token3] = ACTIONS(8120),
    [aux_sym_keyword_statement_token4] = ACTIONS(8120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8120),
    [aux_sym_end_if_statement_token1] = ACTIONS(8120),
    [aux_sym_elseif_clause_token2] = ACTIONS(8120),
    [aux_sym_select_case_statement_token1] = ACTIONS(8120),
    [aux_sym_format_statement_token1] = ACTIONS(8120),
    [aux_sym_open_statement_token1] = ACTIONS(8120),
    [aux_sym_inquire_statement_token1] = ACTIONS(8120),
    [aux_sym_entry_statement_token1] = ACTIONS(8120),
    [aux_sym_null_literal_token1] = ACTIONS(8120),
    [aux_sym_coarray_statement_token1] = ACTIONS(8120),
    [aux_sym_coarray_statement_token2] = ACTIONS(8120),
    [aux_sym_coarray_statement_token6] = ACTIONS(8120),
    [aux_sym_coarray_statement_token8] = ACTIONS(8120),
    [aux_sym_coarray_statement_token11] = ACTIONS(8120),
    [aux_sym_coarray_statement_token12] = ACTIONS(8120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8120),
    [aux_sym_identifier_token1] = ACTIONS(8120),
    [sym_comment] = ACTIONS(21),
  },
  [3614] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token1] = ACTIONS(5967),
    [aux_sym_block_data_statement_token2] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5967),
    [aux_sym_language_binding_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5967),
    [aux_sym_use_statement_token2] = ACTIONS(5967),
    [anon_sym_COLON_COLON] = ACTIONS(7149),
    [aux_sym_implicit_statement_token4] = ACTIONS(5967),
    [aux_sym_save_statement_token1] = ACTIONS(5967),
    [aux_sym_private_statement_token1] = ACTIONS(5967),
    [aux_sym_public_statement_token1] = ACTIONS(5967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5967),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5967),
    [aux_sym_variable_attributes_token1] = ACTIONS(5967),
    [aux_sym_variable_attributes_token2] = ACTIONS(5967),
    [aux_sym_variable_attributes_token3] = ACTIONS(5967),
    [aux_sym_variable_attributes_token4] = ACTIONS(5967),
    [aux_sym_variable_attributes_token5] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5967),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5967),
    [aux_sym_type_qualifier_token1] = ACTIONS(5967),
    [aux_sym_type_qualifier_token2] = ACTIONS(5967),
    [aux_sym_stop_statement_token1] = ACTIONS(5967),
    [aux_sym_stop_statement_token2] = ACTIONS(5967),
    [aux_sym_subroutine_call_token1] = ACTIONS(5967),
    [aux_sym_keyword_statement_token2] = ACTIONS(5967),
    [aux_sym_keyword_statement_token3] = ACTIONS(5967),
    [aux_sym_keyword_statement_token4] = ACTIONS(5967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5967),
    [aux_sym_end_if_statement_token1] = ACTIONS(5967),
    [aux_sym_elseif_clause_token2] = ACTIONS(5967),
    [aux_sym_select_case_statement_token1] = ACTIONS(5967),
    [aux_sym_format_statement_token1] = ACTIONS(5967),
    [aux_sym_open_statement_token1] = ACTIONS(5967),
    [aux_sym_inquire_statement_token1] = ACTIONS(5967),
    [aux_sym_entry_statement_token1] = ACTIONS(5967),
    [aux_sym_null_literal_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_statement_token2] = ACTIONS(5967),
    [aux_sym_coarray_statement_token6] = ACTIONS(5967),
    [aux_sym_coarray_statement_token8] = ACTIONS(5967),
    [aux_sym_coarray_statement_token11] = ACTIONS(5967),
    [aux_sym_coarray_statement_token12] = ACTIONS(5967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5967),
    [aux_sym_identifier_token1] = ACTIONS(5967),
    [sym_comment] = ACTIONS(21),
  },
  [3615] = {
    [sym__variable_declarator] = STATE(5596),
    [sym_sized_declarator] = STATE(5591),
    [sym__declaration_assignment] = STATE(5616),
    [sym__declaration_pointer_association] = STATE(5614),
    [sym__declaration_targets] = STATE(5704),
    [sym_coarray_declarator] = STATE(5596),
    [sym_identifier] = STATE(5201),
    [aux_sym_variable_declaration_repeat1] = STATE(3590),
    [anon_sym_COMMA] = ACTIONS(8080),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8082),
    [aux_sym_block_data_statement_token1] = ACTIONS(8084),
    [aux_sym_block_data_statement_token2] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8084),
    [aux_sym_use_statement_token2] = ACTIONS(8084),
    [anon_sym_COLON_COLON] = ACTIONS(8124),
    [aux_sym_implicit_statement_token4] = ACTIONS(8084),
    [aux_sym_save_statement_token1] = ACTIONS(8084),
    [aux_sym_private_statement_token1] = ACTIONS(8084),
    [aux_sym_public_statement_token1] = ACTIONS(8084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8084),
    [aux_sym_variable_attributes_token2] = ACTIONS(8084),
    [aux_sym_variable_attributes_token3] = ACTIONS(8084),
    [aux_sym_variable_attributes_token5] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8084),
    [aux_sym_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym_stop_statement_token1] = ACTIONS(8084),
    [aux_sym_stop_statement_token2] = ACTIONS(8084),
    [aux_sym_subroutine_call_token1] = ACTIONS(8088),
    [aux_sym_keyword_statement_token2] = ACTIONS(8084),
    [aux_sym_keyword_statement_token3] = ACTIONS(8084),
    [aux_sym_keyword_statement_token4] = ACTIONS(8090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8084),
    [aux_sym_end_if_statement_token1] = ACTIONS(8084),
    [aux_sym_elseif_clause_token2] = ACTIONS(8084),
    [aux_sym_select_case_statement_token1] = ACTIONS(8092),
    [aux_sym_format_statement_token1] = ACTIONS(8084),
    [aux_sym_open_statement_token1] = ACTIONS(8088),
    [aux_sym_inquire_statement_token1] = ACTIONS(8084),
    [aux_sym_entry_statement_token1] = ACTIONS(8084),
    [aux_sym_null_literal_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token2] = ACTIONS(8084),
    [aux_sym_coarray_statement_token6] = ACTIONS(8084),
    [aux_sym_coarray_statement_token8] = ACTIONS(8084),
    [aux_sym_coarray_statement_token11] = ACTIONS(8084),
    [aux_sym_coarray_statement_token12] = ACTIONS(8084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8084),
    [aux_sym_identifier_token1] = ACTIONS(8084),
    [sym_comment] = ACTIONS(21),
  },
  [3616] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8654),
    [sym_identifier] = STATE(8654),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3617] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8655),
    [sym_identifier] = STATE(8655),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3618] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8658),
    [sym_identifier] = STATE(8658),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3619] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8659),
    [sym_identifier] = STATE(8659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3620] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8565),
    [sym_identifier] = STATE(8565),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3621] = {
    [sym_variable_group] = STATE(3636),
    [sym__variable_declarator] = STATE(3960),
    [sym_sized_declarator] = STATE(3642),
    [sym_coarray_declarator] = STATE(3960),
    [sym_identifier] = STATE(3566),
    [aux_sym_common_statement_repeat2] = STATE(3636),
    [anon_sym_SLASH] = ACTIONS(8126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8128),
    [anon_sym_SEMI] = ACTIONS(8130),
    [aux_sym_block_data_statement_token1] = ACTIONS(8132),
    [aux_sym_block_data_statement_token2] = ACTIONS(8132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8132),
    [aux_sym_use_statement_token2] = ACTIONS(8132),
    [aux_sym_implicit_statement_token4] = ACTIONS(8132),
    [aux_sym_save_statement_token1] = ACTIONS(8132),
    [aux_sym_private_statement_token1] = ACTIONS(8132),
    [aux_sym_public_statement_token1] = ACTIONS(8132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8132),
    [aux_sym_variable_attributes_token2] = ACTIONS(8132),
    [aux_sym_variable_attributes_token3] = ACTIONS(8132),
    [aux_sym_variable_attributes_token5] = ACTIONS(8132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8134),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8136),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8136),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8132),
    [aux_sym_type_qualifier_token1] = ACTIONS(8132),
    [aux_sym_type_qualifier_token2] = ACTIONS(8132),
    [aux_sym_stop_statement_token1] = ACTIONS(8132),
    [aux_sym_stop_statement_token2] = ACTIONS(8132),
    [aux_sym_subroutine_call_token1] = ACTIONS(8136),
    [aux_sym_keyword_statement_token2] = ACTIONS(8132),
    [aux_sym_keyword_statement_token3] = ACTIONS(8132),
    [aux_sym_keyword_statement_token4] = ACTIONS(8138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8132),
    [aux_sym_end_if_statement_token1] = ACTIONS(8132),
    [aux_sym_elseif_clause_token2] = ACTIONS(8132),
    [aux_sym_select_case_statement_token1] = ACTIONS(8140),
    [aux_sym_format_statement_token1] = ACTIONS(8132),
    [aux_sym_open_statement_token1] = ACTIONS(8136),
    [aux_sym_inquire_statement_token1] = ACTIONS(8132),
    [aux_sym_entry_statement_token1] = ACTIONS(8132),
    [aux_sym_null_literal_token1] = ACTIONS(8132),
    [aux_sym_coarray_statement_token1] = ACTIONS(8132),
    [aux_sym_coarray_statement_token2] = ACTIONS(8132),
    [aux_sym_coarray_statement_token6] = ACTIONS(8132),
    [aux_sym_coarray_statement_token8] = ACTIONS(8132),
    [aux_sym_coarray_statement_token11] = ACTIONS(8132),
    [aux_sym_coarray_statement_token12] = ACTIONS(8132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8132),
    [aux_sym_identifier_token1] = ACTIONS(8132),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8130),
  },
  [3622] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8566),
    [sym_identifier] = STATE(8566),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3623] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8572),
    [sym_identifier] = STATE(8572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3624] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8571),
    [sym_identifier] = STATE(8571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3625] = {
    [anon_sym_COMMA] = ACTIONS(8142),
    [anon_sym_LPAREN2] = ACTIONS(8144),
    [anon_sym_SLASH] = ACTIONS(8142),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8146),
    [anon_sym_SEMI] = ACTIONS(8142),
    [aux_sym_block_data_statement_token1] = ACTIONS(8146),
    [aux_sym_block_data_statement_token2] = ACTIONS(8146),
    [anon_sym_EQ] = ACTIONS(8146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8146),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8146),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8146),
    [aux_sym_use_statement_token2] = ACTIONS(8146),
    [anon_sym_EQ_GT] = ACTIONS(8142),
    [aux_sym_implicit_statement_token4] = ACTIONS(8146),
    [aux_sym_save_statement_token1] = ACTIONS(8146),
    [aux_sym_private_statement_token1] = ACTIONS(8146),
    [aux_sym_public_statement_token1] = ACTIONS(8146),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8146),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8146),
    [aux_sym_variable_attributes_token2] = ACTIONS(8146),
    [aux_sym_variable_attributes_token3] = ACTIONS(8146),
    [aux_sym_variable_attributes_token5] = ACTIONS(8146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8146),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8146),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8146),
    [aux_sym_kind_token1] = ACTIONS(8148),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8146),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8146),
    [aux_sym_type_qualifier_token1] = ACTIONS(8146),
    [aux_sym_type_qualifier_token2] = ACTIONS(8146),
    [aux_sym_stop_statement_token1] = ACTIONS(8146),
    [aux_sym_stop_statement_token2] = ACTIONS(8146),
    [aux_sym_subroutine_call_token1] = ACTIONS(8146),
    [aux_sym_keyword_statement_token2] = ACTIONS(8146),
    [aux_sym_keyword_statement_token3] = ACTIONS(8146),
    [aux_sym_keyword_statement_token4] = ACTIONS(8146),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8146),
    [aux_sym_end_if_statement_token1] = ACTIONS(8146),
    [aux_sym_elseif_clause_token2] = ACTIONS(8146),
    [aux_sym_select_case_statement_token1] = ACTIONS(8146),
    [aux_sym_format_statement_token1] = ACTIONS(8146),
    [aux_sym_open_statement_token1] = ACTIONS(8146),
    [aux_sym_inquire_statement_token1] = ACTIONS(8146),
    [aux_sym_entry_statement_token1] = ACTIONS(8146),
    [anon_sym_LBRACK] = ACTIONS(8142),
    [aux_sym_null_literal_token1] = ACTIONS(8146),
    [aux_sym_coarray_statement_token1] = ACTIONS(8146),
    [aux_sym_coarray_statement_token2] = ACTIONS(8146),
    [aux_sym_coarray_statement_token6] = ACTIONS(8146),
    [aux_sym_coarray_statement_token8] = ACTIONS(8146),
    [aux_sym_coarray_statement_token11] = ACTIONS(8146),
    [aux_sym_coarray_statement_token12] = ACTIONS(8146),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8146),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8146),
    [aux_sym_identifier_token1] = ACTIONS(8146),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8142),
  },
  [3626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4724),
    [aux_sym_preproc_def_token1] = ACTIONS(4724),
    [anon_sym_COMMA] = ACTIONS(4726),
    [aux_sym_preproc_if_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4724),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4726),
    [anon_sym_DASH] = ACTIONS(4726),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4726),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4724),
    [aux_sym_end_program_statement_token1] = ACTIONS(4724),
    [aux_sym_module_statement_token1] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(4726),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4726),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4726),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4726),
    [aux_sym_function_statement_token1] = ACTIONS(4726),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4726),
    [aux_sym_implicit_statement_token3] = ACTIONS(4726),
    [aux_sym_import_statement_token1] = ACTIONS(4726),
    [aux_sym_procedure_kind_token1] = ACTIONS(4726),
    [aux_sym_procedure_kind_token2] = ACTIONS(4726),
    [aux_sym_procedure_kind_token3] = ACTIONS(4726),
    [aux_sym_procedure_kind_token4] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4726),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4726),
    [aux_sym_derived_type_token1] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4726),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4726),
    [aux_sym_logical_expression_token1] = ACTIONS(4726),
    [aux_sym_logical_expression_token2] = ACTIONS(4726),
    [aux_sym_logical_expression_token3] = ACTIONS(4726),
    [aux_sym_logical_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token1] = ACTIONS(4726),
    [aux_sym_relational_expression_token2] = ACTIONS(4726),
    [aux_sym_relational_expression_token3] = ACTIONS(4726),
    [aux_sym_relational_expression_token4] = ACTIONS(4726),
    [aux_sym_relational_expression_token5] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [aux_sym_relational_expression_token6] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(4726),
    [anon_sym_STAR_STAR] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4726),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [anon_sym_QMARK] = ACTIONS(4726),
    [sym_comment] = ACTIONS(21),
  },
  [3627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [anon_sym_COMMA] = ACTIONS(4718),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_module_statement_token1] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4718),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4718),
    [aux_sym_function_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4718),
    [aux_sym_implicit_statement_token3] = ACTIONS(4718),
    [aux_sym_import_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token2] = ACTIONS(4718),
    [aux_sym_procedure_kind_token3] = ACTIONS(4718),
    [aux_sym_procedure_kind_token4] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4718),
    [aux_sym_derived_type_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4718),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_QMARK] = ACTIONS(4718),
    [sym_comment] = ACTIONS(21),
  },
  [3628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4716),
    [aux_sym_preproc_def_token1] = ACTIONS(4716),
    [anon_sym_COMMA] = ACTIONS(4718),
    [aux_sym_preproc_if_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4716),
    [sym_preproc_directive] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_DASH] = ACTIONS(4718),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4716),
    [aux_sym_end_program_statement_token1] = ACTIONS(4716),
    [aux_sym_module_statement_token1] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(4718),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4718),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4718),
    [aux_sym_function_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4718),
    [aux_sym_implicit_statement_token3] = ACTIONS(4718),
    [aux_sym_import_statement_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token1] = ACTIONS(4718),
    [aux_sym_procedure_kind_token2] = ACTIONS(4718),
    [aux_sym_procedure_kind_token3] = ACTIONS(4718),
    [aux_sym_procedure_kind_token4] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4718),
    [aux_sym_derived_type_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4718),
    [aux_sym_logical_expression_token1] = ACTIONS(4718),
    [aux_sym_logical_expression_token2] = ACTIONS(4718),
    [aux_sym_logical_expression_token3] = ACTIONS(4718),
    [aux_sym_logical_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token1] = ACTIONS(4718),
    [aux_sym_relational_expression_token2] = ACTIONS(4718),
    [aux_sym_relational_expression_token3] = ACTIONS(4718),
    [aux_sym_relational_expression_token4] = ACTIONS(4718),
    [aux_sym_relational_expression_token5] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [aux_sym_relational_expression_token6] = ACTIONS(4718),
    [anon_sym_SLASH_SLASH] = ACTIONS(4718),
    [anon_sym_STAR_STAR] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4718),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_QMARK] = ACTIONS(4718),
    [sym_comment] = ACTIONS(21),
  },
  [3629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4728),
    [aux_sym_preproc_def_token1] = ACTIONS(4728),
    [anon_sym_COMMA] = ACTIONS(4730),
    [aux_sym_preproc_if_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4728),
    [sym_preproc_directive] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4728),
    [anon_sym_SLASH] = ACTIONS(4728),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4730),
    [anon_sym_GT] = ACTIONS(4728),
    [anon_sym_GT_EQ] = ACTIONS(4730),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4728),
    [aux_sym_end_program_statement_token1] = ACTIONS(4728),
    [aux_sym_module_statement_token1] = ACTIONS(4730),
    [anon_sym_SEMI] = ACTIONS(4730),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4730),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4730),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4730),
    [aux_sym_function_statement_token1] = ACTIONS(4730),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4730),
    [aux_sym_implicit_statement_token3] = ACTIONS(4730),
    [aux_sym_import_statement_token1] = ACTIONS(4730),
    [aux_sym_procedure_kind_token1] = ACTIONS(4730),
    [aux_sym_procedure_kind_token2] = ACTIONS(4730),
    [aux_sym_procedure_kind_token3] = ACTIONS(4730),
    [aux_sym_procedure_kind_token4] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4730),
    [aux_sym_derived_type_token1] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4730),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4730),
    [aux_sym_logical_expression_token1] = ACTIONS(4730),
    [aux_sym_logical_expression_token2] = ACTIONS(4730),
    [aux_sym_logical_expression_token3] = ACTIONS(4730),
    [aux_sym_logical_expression_token4] = ACTIONS(4730),
    [aux_sym_relational_expression_token1] = ACTIONS(4730),
    [aux_sym_relational_expression_token2] = ACTIONS(4730),
    [aux_sym_relational_expression_token3] = ACTIONS(4730),
    [aux_sym_relational_expression_token4] = ACTIONS(4730),
    [aux_sym_relational_expression_token5] = ACTIONS(4730),
    [anon_sym_SLASH_EQ] = ACTIONS(4730),
    [aux_sym_relational_expression_token6] = ACTIONS(4730),
    [anon_sym_SLASH_SLASH] = ACTIONS(4730),
    [anon_sym_STAR_STAR] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4730),
    [sym_comment] = ACTIONS(21),
  },
  [3630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4732),
    [aux_sym_preproc_def_token1] = ACTIONS(4732),
    [anon_sym_COMMA] = ACTIONS(4734),
    [aux_sym_preproc_if_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4732),
    [sym_preproc_directive] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_PLUS] = ACTIONS(4734),
    [anon_sym_DASH] = ACTIONS(4734),
    [anon_sym_STAR] = ACTIONS(4732),
    [anon_sym_SLASH] = ACTIONS(4732),
    [anon_sym_PERCENT] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4734),
    [anon_sym_GT] = ACTIONS(4732),
    [anon_sym_GT_EQ] = ACTIONS(4734),
    [anon_sym_LT_EQ] = ACTIONS(4734),
    [anon_sym_LT] = ACTIONS(4732),
    [aux_sym_end_program_statement_token1] = ACTIONS(4732),
    [aux_sym_module_statement_token1] = ACTIONS(4734),
    [anon_sym_SEMI] = ACTIONS(4734),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4734),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4734),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4734),
    [aux_sym_function_statement_token1] = ACTIONS(4734),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4734),
    [aux_sym_implicit_statement_token3] = ACTIONS(4734),
    [aux_sym_import_statement_token1] = ACTIONS(4734),
    [aux_sym_procedure_kind_token1] = ACTIONS(4734),
    [aux_sym_procedure_kind_token2] = ACTIONS(4734),
    [aux_sym_procedure_kind_token3] = ACTIONS(4734),
    [aux_sym_procedure_kind_token4] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4732),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4734),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4734),
    [aux_sym_derived_type_token1] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4734),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4734),
    [aux_sym_logical_expression_token1] = ACTIONS(4734),
    [aux_sym_logical_expression_token2] = ACTIONS(4734),
    [aux_sym_logical_expression_token3] = ACTIONS(4734),
    [aux_sym_logical_expression_token4] = ACTIONS(4734),
    [aux_sym_relational_expression_token1] = ACTIONS(4734),
    [aux_sym_relational_expression_token2] = ACTIONS(4734),
    [aux_sym_relational_expression_token3] = ACTIONS(4734),
    [aux_sym_relational_expression_token4] = ACTIONS(4734),
    [aux_sym_relational_expression_token5] = ACTIONS(4734),
    [anon_sym_SLASH_EQ] = ACTIONS(4734),
    [aux_sym_relational_expression_token6] = ACTIONS(4734),
    [anon_sym_SLASH_SLASH] = ACTIONS(4734),
    [anon_sym_STAR_STAR] = ACTIONS(4734),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4734),
    [anon_sym_LBRACK] = ACTIONS(4734),
    [anon_sym_QMARK] = ACTIONS(4734),
    [sym_comment] = ACTIONS(21),
  },
  [3631] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8467),
    [sym_identifier] = STATE(8467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3632] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8164),
    [sym_identifier] = STATE(8164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3633] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8633),
    [sym_identifier] = STATE(8633),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3634] = {
    [sym__variable_declarator] = STATE(6389),
    [sym_sized_declarator] = STATE(3642),
    [sym__declaration_assignment] = STATE(6660),
    [sym__declaration_pointer_association] = STATE(6692),
    [sym__declaration_targets] = STATE(7806),
    [sym_coarray_declarator] = STATE(6389),
    [sym_identifier] = STATE(5994),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5658),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5658),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(7605),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3635] = {
    [sym__intrinsic_type] = STATE(6395),
    [sym_intrinsic_type] = STATE(8175),
    [sym_identifier] = STATE(8175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(749),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1699),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1699),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_open_statement_token1] = ACTIONS(1699),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3636] = {
    [sym_variable_group] = STATE(3636),
    [sym__variable_declarator] = STATE(3960),
    [sym_sized_declarator] = STATE(3642),
    [sym_coarray_declarator] = STATE(3960),
    [sym_identifier] = STATE(3566),
    [aux_sym_common_statement_repeat2] = STATE(3636),
    [anon_sym_SLASH] = ACTIONS(8150),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8153),
    [anon_sym_SEMI] = ACTIONS(8156),
    [aux_sym_block_data_statement_token1] = ACTIONS(8158),
    [aux_sym_block_data_statement_token2] = ACTIONS(8158),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8158),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8158),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8158),
    [aux_sym_use_statement_token2] = ACTIONS(8158),
    [aux_sym_implicit_statement_token4] = ACTIONS(8158),
    [aux_sym_save_statement_token1] = ACTIONS(8158),
    [aux_sym_private_statement_token1] = ACTIONS(8158),
    [aux_sym_public_statement_token1] = ACTIONS(8158),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8158),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8158),
    [aux_sym_variable_attributes_token2] = ACTIONS(8158),
    [aux_sym_variable_attributes_token3] = ACTIONS(8158),
    [aux_sym_variable_attributes_token5] = ACTIONS(8158),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8158),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8158),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8161),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8164),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8164),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8158),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8158),
    [aux_sym_type_qualifier_token1] = ACTIONS(8158),
    [aux_sym_type_qualifier_token2] = ACTIONS(8158),
    [aux_sym_stop_statement_token1] = ACTIONS(8158),
    [aux_sym_stop_statement_token2] = ACTIONS(8158),
    [aux_sym_subroutine_call_token1] = ACTIONS(8164),
    [aux_sym_keyword_statement_token2] = ACTIONS(8158),
    [aux_sym_keyword_statement_token3] = ACTIONS(8158),
    [aux_sym_keyword_statement_token4] = ACTIONS(8167),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8158),
    [aux_sym_end_if_statement_token1] = ACTIONS(8158),
    [aux_sym_elseif_clause_token2] = ACTIONS(8158),
    [aux_sym_select_case_statement_token1] = ACTIONS(8170),
    [aux_sym_format_statement_token1] = ACTIONS(8158),
    [aux_sym_open_statement_token1] = ACTIONS(8164),
    [aux_sym_inquire_statement_token1] = ACTIONS(8158),
    [aux_sym_entry_statement_token1] = ACTIONS(8158),
    [aux_sym_null_literal_token1] = ACTIONS(8158),
    [aux_sym_coarray_statement_token1] = ACTIONS(8158),
    [aux_sym_coarray_statement_token2] = ACTIONS(8158),
    [aux_sym_coarray_statement_token6] = ACTIONS(8158),
    [aux_sym_coarray_statement_token8] = ACTIONS(8158),
    [aux_sym_coarray_statement_token11] = ACTIONS(8158),
    [aux_sym_coarray_statement_token12] = ACTIONS(8158),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8158),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8158),
    [aux_sym_identifier_token1] = ACTIONS(8158),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8156),
  },
  [3637] = {
    [sym__variable_declarator] = STATE(5596),
    [sym_sized_declarator] = STATE(5591),
    [sym__declaration_assignment] = STATE(5616),
    [sym__declaration_pointer_association] = STATE(5614),
    [sym__declaration_targets] = STATE(5725),
    [sym_coarray_declarator] = STATE(5596),
    [sym_identifier] = STATE(5201),
    [anon_sym_COMMA] = ACTIONS(8173),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8082),
    [aux_sym_block_data_statement_token1] = ACTIONS(8084),
    [aux_sym_block_data_statement_token2] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8084),
    [aux_sym_use_statement_token2] = ACTIONS(8084),
    [anon_sym_COLON_COLON] = ACTIONS(8175),
    [aux_sym_implicit_statement_token4] = ACTIONS(8084),
    [aux_sym_save_statement_token1] = ACTIONS(8084),
    [aux_sym_private_statement_token1] = ACTIONS(8084),
    [aux_sym_public_statement_token1] = ACTIONS(8084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8084),
    [aux_sym_variable_attributes_token2] = ACTIONS(8084),
    [aux_sym_variable_attributes_token3] = ACTIONS(8084),
    [aux_sym_variable_attributes_token5] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8088),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8084),
    [aux_sym_type_qualifier_token1] = ACTIONS(8084),
    [aux_sym_type_qualifier_token2] = ACTIONS(8084),
    [aux_sym_stop_statement_token1] = ACTIONS(8084),
    [aux_sym_stop_statement_token2] = ACTIONS(8084),
    [aux_sym_subroutine_call_token1] = ACTIONS(8088),
    [aux_sym_keyword_statement_token2] = ACTIONS(8084),
    [aux_sym_keyword_statement_token3] = ACTIONS(8084),
    [aux_sym_keyword_statement_token4] = ACTIONS(8090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8084),
    [aux_sym_end_if_statement_token1] = ACTIONS(8084),
    [aux_sym_elseif_clause_token2] = ACTIONS(8084),
    [aux_sym_select_case_statement_token1] = ACTIONS(8092),
    [aux_sym_format_statement_token1] = ACTIONS(8084),
    [aux_sym_open_statement_token1] = ACTIONS(8088),
    [aux_sym_inquire_statement_token1] = ACTIONS(8084),
    [aux_sym_entry_statement_token1] = ACTIONS(8084),
    [aux_sym_null_literal_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_statement_token2] = ACTIONS(8084),
    [aux_sym_coarray_statement_token6] = ACTIONS(8084),
    [aux_sym_coarray_statement_token8] = ACTIONS(8084),
    [aux_sym_coarray_statement_token11] = ACTIONS(8084),
    [aux_sym_coarray_statement_token12] = ACTIONS(8084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8084),
    [aux_sym_identifier_token1] = ACTIONS(8084),
    [sym_comment] = ACTIONS(21),
  },
  [3638] = {
    [anon_sym_COMMA] = ACTIONS(8177),
    [anon_sym_LPAREN2] = ACTIONS(8179),
    [anon_sym_SLASH] = ACTIONS(8177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8181),
    [anon_sym_SEMI] = ACTIONS(8177),
    [aux_sym_block_data_statement_token1] = ACTIONS(8181),
    [aux_sym_block_data_statement_token2] = ACTIONS(8181),
    [anon_sym_EQ] = ACTIONS(8181),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8181),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8181),
    [aux_sym_use_statement_token2] = ACTIONS(8181),
    [anon_sym_EQ_GT] = ACTIONS(8177),
    [aux_sym_implicit_statement_token4] = ACTIONS(8181),
    [aux_sym_save_statement_token1] = ACTIONS(8181),
    [aux_sym_private_statement_token1] = ACTIONS(8181),
    [aux_sym_public_statement_token1] = ACTIONS(8181),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8181),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8181),
    [aux_sym_variable_attributes_token2] = ACTIONS(8181),
    [aux_sym_variable_attributes_token3] = ACTIONS(8181),
    [aux_sym_variable_attributes_token5] = ACTIONS(8181),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8181),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8181),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8181),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8181),
    [aux_sym_type_qualifier_token1] = ACTIONS(8181),
    [aux_sym_type_qualifier_token2] = ACTIONS(8181),
    [aux_sym_stop_statement_token1] = ACTIONS(8181),
    [aux_sym_stop_statement_token2] = ACTIONS(8181),
    [aux_sym_subroutine_call_token1] = ACTIONS(8181),
    [aux_sym_keyword_statement_token2] = ACTIONS(8181),
    [aux_sym_keyword_statement_token3] = ACTIONS(8181),
    [aux_sym_keyword_statement_token4] = ACTIONS(8181),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8181),
    [aux_sym_end_if_statement_token1] = ACTIONS(8181),
    [aux_sym_elseif_clause_token2] = ACTIONS(8181),
    [aux_sym_select_case_statement_token1] = ACTIONS(8181),
    [aux_sym_format_statement_token1] = ACTIONS(8181),
    [aux_sym_open_statement_token1] = ACTIONS(8181),
    [aux_sym_inquire_statement_token1] = ACTIONS(8181),
    [aux_sym_entry_statement_token1] = ACTIONS(8181),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [aux_sym_null_literal_token1] = ACTIONS(8181),
    [aux_sym_coarray_statement_token1] = ACTIONS(8181),
    [aux_sym_coarray_statement_token2] = ACTIONS(8181),
    [aux_sym_coarray_statement_token6] = ACTIONS(8181),
    [aux_sym_coarray_statement_token8] = ACTIONS(8181),
    [aux_sym_coarray_statement_token11] = ACTIONS(8181),
    [aux_sym_coarray_statement_token12] = ACTIONS(8181),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8181),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8181),
    [aux_sym_identifier_token1] = ACTIONS(8181),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8177),
  },
  [3639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(8183),
    [aux_sym_preproc_def_token1] = ACTIONS(8183),
    [anon_sym_COMMA] = ACTIONS(8185),
    [anon_sym_RPAREN] = ACTIONS(8185),
    [aux_sym_preproc_if_token1] = ACTIONS(8183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8183),
    [sym_preproc_directive] = ACTIONS(8183),
    [anon_sym_LPAREN2] = ACTIONS(8185),
    [anon_sym_PLUS] = ACTIONS(8185),
    [anon_sym_DASH] = ACTIONS(8185),
    [anon_sym_STAR] = ACTIONS(8183),
    [anon_sym_SLASH] = ACTIONS(8183),
    [anon_sym_PERCENT] = ACTIONS(8185),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(8185),
    [anon_sym_GT] = ACTIONS(8183),
    [anon_sym_GT_EQ] = ACTIONS(8185),
    [anon_sym_LT_EQ] = ACTIONS(8185),
    [anon_sym_LT] = ACTIONS(8183),
    [aux_sym_end_program_statement_token1] = ACTIONS(8183),
    [aux_sym_end_program_statement_token2] = ACTIONS(8185),
    [aux_sym_module_statement_token1] = ACTIONS(8185),
    [anon_sym_COLON] = ACTIONS(8185),
    [anon_sym_EQ] = ACTIONS(8183),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8185),
    [aux_sym_function_statement_token1] = ACTIONS(8185),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8185),
    [anon_sym_EQ_GT] = ACTIONS(8185),
    [aux_sym_implicit_statement_token3] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8183),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8185),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8185),
    [aux_sym_derived_type_token1] = ACTIONS(8185),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8185),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8185),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8185),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8185),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8185),
    [anon_sym_GT_GT_GT] = ACTIONS(8185),
    [aux_sym_include_statement_token1] = ACTIONS(8185),
    [aux_sym_logical_expression_token1] = ACTIONS(8185),
    [aux_sym_logical_expression_token2] = ACTIONS(8185),
    [aux_sym_logical_expression_token3] = ACTIONS(8185),
    [aux_sym_logical_expression_token4] = ACTIONS(8185),
    [aux_sym_relational_expression_token1] = ACTIONS(8185),
    [aux_sym_relational_expression_token2] = ACTIONS(8185),
    [aux_sym_relational_expression_token3] = ACTIONS(8185),
    [aux_sym_relational_expression_token4] = ACTIONS(8185),
    [aux_sym_relational_expression_token5] = ACTIONS(8185),
    [anon_sym_SLASH_EQ] = ACTIONS(8185),
    [aux_sym_relational_expression_token6] = ACTIONS(8185),
    [anon_sym_SLASH_SLASH] = ACTIONS(8185),
    [anon_sym_STAR_STAR] = ACTIONS(8185),
    [anon_sym_DOT] = ACTIONS(8183),
    [anon_sym_LBRACK] = ACTIONS(8185),
    [anon_sym_RBRACK] = ACTIONS(8185),
    [anon_sym_QMARK] = ACTIONS(8185),
    [sym_comment] = ACTIONS(21),
  },
  [3640] = {
    [sym_assignment] = STATE(7619),
    [sym_operator] = STATE(7619),
    [sym_defined_io_procedure] = STATE(7619),
    [sym__generic_procedure] = STATE(7619),
    [sym_use_alias] = STATE(7619),
    [sym_identifier] = STATE(6682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5656),
    [aux_sym_block_data_statement_token1] = ACTIONS(5658),
    [aux_sym_block_data_statement_token2] = ACTIONS(5658),
    [aux_sym_assignment_token1] = ACTIONS(5961),
    [aux_sym_operator_token1] = ACTIONS(5963),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5965),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5965),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5658),
    [aux_sym_use_statement_token2] = ACTIONS(5658),
    [aux_sym_implicit_statement_token4] = ACTIONS(5658),
    [aux_sym_save_statement_token1] = ACTIONS(5658),
    [aux_sym_private_statement_token1] = ACTIONS(5658),
    [aux_sym_public_statement_token1] = ACTIONS(5658),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5658),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5658),
    [aux_sym_variable_attributes_token2] = ACTIONS(5658),
    [aux_sym_variable_attributes_token3] = ACTIONS(5658),
    [aux_sym_variable_attributes_token5] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5658),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5660),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5658),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5658),
    [aux_sym_type_qualifier_token1] = ACTIONS(5658),
    [aux_sym_type_qualifier_token2] = ACTIONS(5658),
    [aux_sym_stop_statement_token1] = ACTIONS(5658),
    [aux_sym_stop_statement_token2] = ACTIONS(5658),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5658),
    [aux_sym_keyword_statement_token3] = ACTIONS(5658),
    [aux_sym_keyword_statement_token4] = ACTIONS(5664),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5658),
    [aux_sym_end_if_statement_token1] = ACTIONS(5658),
    [aux_sym_elseif_clause_token2] = ACTIONS(5658),
    [aux_sym_select_case_statement_token1] = ACTIONS(5666),
    [aux_sym_format_statement_token1] = ACTIONS(5658),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5658),
    [aux_sym_entry_statement_token1] = ACTIONS(5658),
    [aux_sym_null_literal_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_statement_token2] = ACTIONS(5658),
    [aux_sym_coarray_statement_token6] = ACTIONS(5658),
    [aux_sym_coarray_statement_token8] = ACTIONS(5658),
    [aux_sym_coarray_statement_token11] = ACTIONS(5658),
    [aux_sym_coarray_statement_token12] = ACTIONS(5658),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5658),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5658),
    [aux_sym_identifier_token1] = ACTIONS(5658),
    [sym_comment] = ACTIONS(21),
  },
  [3641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(8187),
    [aux_sym_preproc_def_token1] = ACTIONS(8187),
    [anon_sym_COMMA] = ACTIONS(8189),
    [anon_sym_RPAREN] = ACTIONS(8189),
    [aux_sym_preproc_if_token1] = ACTIONS(8187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8187),
    [sym_preproc_directive] = ACTIONS(8187),
    [anon_sym_LPAREN2] = ACTIONS(8189),
    [anon_sym_PLUS] = ACTIONS(8189),
    [anon_sym_DASH] = ACTIONS(8189),
    [anon_sym_STAR] = ACTIONS(8187),
    [anon_sym_SLASH] = ACTIONS(8187),
    [anon_sym_PERCENT] = ACTIONS(8189),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(8189),
    [anon_sym_GT] = ACTIONS(8187),
    [anon_sym_GT_EQ] = ACTIONS(8189),
    [anon_sym_LT_EQ] = ACTIONS(8189),
    [anon_sym_LT] = ACTIONS(8187),
    [aux_sym_end_program_statement_token1] = ACTIONS(8187),
    [aux_sym_end_program_statement_token2] = ACTIONS(8189),
    [aux_sym_module_statement_token1] = ACTIONS(8189),
    [anon_sym_COLON] = ACTIONS(8189),
    [anon_sym_EQ] = ACTIONS(8187),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8189),
    [aux_sym_function_statement_token1] = ACTIONS(8189),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8189),
    [anon_sym_EQ_GT] = ACTIONS(8189),
    [aux_sym_implicit_statement_token3] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8187),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8189),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8189),
    [aux_sym_derived_type_token1] = ACTIONS(8189),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8189),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8189),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8189),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8189),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8189),
    [anon_sym_GT_GT_GT] = ACTIONS(8189),
    [aux_sym_include_statement_token1] = ACTIONS(8189),
    [aux_sym_logical_expression_token1] = ACTIONS(8189),
    [aux_sym_logical_expression_token2] = ACTIONS(8189),
    [aux_sym_logical_expression_token3] = ACTIONS(8189),
    [aux_sym_logical_expression_token4] = ACTIONS(8189),
    [aux_sym_relational_expression_token1] = ACTIONS(8189),
    [aux_sym_relational_expression_token2] = ACTIONS(8189),
    [aux_sym_relational_expression_token3] = ACTIONS(8189),
    [aux_sym_relational_expression_token4] = ACTIONS(8189),
    [aux_sym_relational_expression_token5] = ACTIONS(8189),
    [anon_sym_SLASH_EQ] = ACTIONS(8189),
    [aux_sym_relational_expression_token6] = ACTIONS(8189),
    [anon_sym_SLASH_SLASH] = ACTIONS(8189),
    [anon_sym_STAR_STAR] = ACTIONS(8189),
    [anon_sym_DOT] = ACTIONS(8187),
    [anon_sym_LBRACK] = ACTIONS(8189),
    [anon_sym_RBRACK] = ACTIONS(8189),
    [anon_sym_QMARK] = ACTIONS(8189),
    [sym_comment] = ACTIONS(21),
  },
  [3642] = {
    [sym_coarray_index] = STATE(3704),
    [anon_sym_COMMA] = ACTIONS(8034),
    [anon_sym_SLASH] = ACTIONS(8034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8040),
    [anon_sym_SEMI] = ACTIONS(8034),
    [aux_sym_block_data_statement_token1] = ACTIONS(8040),
    [aux_sym_block_data_statement_token2] = ACTIONS(8040),
    [anon_sym_EQ] = ACTIONS(8040),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8040),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8040),
    [aux_sym_use_statement_token2] = ACTIONS(8040),
    [anon_sym_EQ_GT] = ACTIONS(8034),
    [aux_sym_implicit_statement_token4] = ACTIONS(8040),
    [aux_sym_save_statement_token1] = ACTIONS(8040),
    [aux_sym_private_statement_token1] = ACTIONS(8040),
    [aux_sym_public_statement_token1] = ACTIONS(8040),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8040),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8040),
    [aux_sym_variable_attributes_token2] = ACTIONS(8040),
    [aux_sym_variable_attributes_token3] = ACTIONS(8040),
    [aux_sym_variable_attributes_token5] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8040),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8040),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8040),
    [aux_sym_type_qualifier_token1] = ACTIONS(8040),
    [aux_sym_type_qualifier_token2] = ACTIONS(8040),
    [aux_sym_stop_statement_token1] = ACTIONS(8040),
    [aux_sym_stop_statement_token2] = ACTIONS(8040),
    [aux_sym_subroutine_call_token1] = ACTIONS(8040),
    [aux_sym_keyword_statement_token2] = ACTIONS(8040),
    [aux_sym_keyword_statement_token3] = ACTIONS(8040),
    [aux_sym_keyword_statement_token4] = ACTIONS(8040),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8040),
    [aux_sym_end_if_statement_token1] = ACTIONS(8040),
    [aux_sym_elseif_clause_token2] = ACTIONS(8040),
    [aux_sym_select_case_statement_token1] = ACTIONS(8040),
    [aux_sym_format_statement_token1] = ACTIONS(8040),
    [aux_sym_open_statement_token1] = ACTIONS(8040),
    [aux_sym_inquire_statement_token1] = ACTIONS(8040),
    [aux_sym_entry_statement_token1] = ACTIONS(8040),
    [anon_sym_LBRACK] = ACTIONS(8042),
    [aux_sym_null_literal_token1] = ACTIONS(8040),
    [aux_sym_coarray_statement_token1] = ACTIONS(8040),
    [aux_sym_coarray_statement_token2] = ACTIONS(8040),
    [aux_sym_coarray_statement_token6] = ACTIONS(8040),
    [aux_sym_coarray_statement_token8] = ACTIONS(8040),
    [aux_sym_coarray_statement_token11] = ACTIONS(8040),
    [aux_sym_coarray_statement_token12] = ACTIONS(8040),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8040),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8040),
    [aux_sym_identifier_token1] = ACTIONS(8040),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8034),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6483), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [87] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8191), 1,
      anon_sym_LPAREN2,
    STATE(694), 1,
      sym__end_of_statement,
    STATE(3892), 1,
      sym_parenthesized_expression,
    STATE(6908), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8193), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [178] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    STATE(6660), 1,
      sym__declaration_assignment,
    STATE(6692), 1,
      sym__declaration_pointer_association,
    STATE(7910), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6389), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [269] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(4019), 1,
      sym_argument_list,
    STATE(7851), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8197), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [360] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(7459), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [447] = 12,
    ACTIONS(8126), 1,
      anon_sym_SLASH,
    ACTIONS(8128), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8134), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8138), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8140), 1,
      aux_sym_select_case_statement_token1,
    STATE(3566), 1,
      sym_identifier,
    STATE(3642), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3621), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3960), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8136), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8132), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [536] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6615), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [623] = 13,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5201), 1,
      sym_identifier,
    STATE(5591), 1,
      sym_sized_declarator,
    STATE(5614), 1,
      sym__declaration_pointer_association,
    STATE(5616), 1,
      sym__declaration_assignment,
    STATE(5763), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5596), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [714] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    STATE(6660), 1,
      sym__declaration_assignment,
    STATE(6692), 1,
      sym__declaration_pointer_association,
    STATE(7988), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6389), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 17,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(8185), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [876] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 17,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(8189), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8199), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
    ACTIONS(8201), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1018] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6626), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1105] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6630), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1192] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8203), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
    ACTIONS(8205), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1263] = 13,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5201), 1,
      sym_identifier,
    STATE(5591), 1,
      sym_sized_declarator,
    STATE(5614), 1,
      sym__declaration_pointer_association,
    STATE(5616), 1,
      sym__declaration_assignment,
    STATE(5703), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5596), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1354] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8207), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
    ACTIONS(8209), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1425] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6414), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1512] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6416), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1599] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8191), 1,
      anon_sym_LPAREN2,
    STATE(695), 1,
      sym__end_of_statement,
    STATE(3987), 1,
      sym_parenthesized_expression,
    STATE(7230), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8211), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1690] = 13,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5201), 1,
      sym_identifier,
    STATE(5591), 1,
      sym_sized_declarator,
    STATE(5614), 1,
      sym__declaration_pointer_association,
    STATE(5616), 1,
      sym__declaration_assignment,
    STATE(5699), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5596), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1781] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6584), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1868] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6586), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1955] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6571), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2042] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6496), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2129] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6407), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2216] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6462), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2303] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6467), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2390] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6578), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2477] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6583), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2564] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6513), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2651] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6519), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2738] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6449), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2825] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6479), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2912] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6593), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2999] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6596), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3086] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6425), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3173] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6427), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3260] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6461), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3347] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6464), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3434] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6502), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3521] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6504), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3608] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6527), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3695] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6636), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3782] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6552), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3869] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6555), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8213), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
    ACTIONS(8215), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4716), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4098] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4726), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4724), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4169] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4722), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4720), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4240] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4716), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4311] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4730), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4728), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4382] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4734), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4732), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4453] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(4008), 1,
      sym_argument_list,
    STATE(7860), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8217), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4544] = 13,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    STATE(6660), 1,
      sym__declaration_assignment,
    STATE(6692), 1,
      sym__declaration_pointer_association,
    STATE(7948), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6389), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4635] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5961), 1,
      aux_sym_assignment_token1,
    ACTIONS(5963), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5965), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    STATE(6443), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5658), 45,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4722] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7437), 1,
      aux_sym_function_statement_token1,
    STATE(5437), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7305), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7435), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4810] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    STATE(7064), 1,
      sym__declaration_assignment,
    STATE(7069), 1,
      sym__declaration_pointer_association,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6417), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4898] = 12,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5201), 1,
      sym_identifier,
    STATE(5591), 1,
      sym_sized_declarator,
    STATE(5658), 1,
      sym__declaration_assignment,
    STATE(5659), 1,
      sym__declaration_pointer_association,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5601), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4986] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7441), 1,
      aux_sym_function_statement_token1,
    STATE(953), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7439), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5074] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7119), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(7121), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5144] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8219), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(8221), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5214] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7405), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5055), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7090), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5302] = 12,
    ACTIONS(8223), 1,
      sym_system_lib_string,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    STATE(7157), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8930), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5390] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7513), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5412), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7025), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7511), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5478] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7469), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4862), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7103), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7467), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5566] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7497), 1,
      aux_sym_function_statement_token1,
    STATE(4864), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7106), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7495), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5654] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8243), 1,
      aux_sym_implicit_statement_token3,
    STATE(1400), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7126), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5742] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7521), 1,
      aux_sym_function_statement_token1,
    STATE(1016), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6931), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7519), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5830] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7525), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4931), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7043), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7523), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5918] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7533), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(4850), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6873), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7531), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6006] = 7,
    ACTIONS(8245), 1,
      anon_sym_LPAREN2,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    STATE(4057), 1,
      sym_kind,
    STATE(4060), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7607), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7613), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6084] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7501), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5319), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6892), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7499), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6172] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_function_statement_token1,
    STATE(5322), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6894), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7503), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6260] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8249), 1,
      sym_system_lib_string,
    STATE(7549), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8707), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6348] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7373), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5279), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7144), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7371), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6436] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7391), 1,
      aux_sym_program_statement_token1,
    STATE(946), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6785), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7393), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6524] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7381), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5337), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7161), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6612] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7421), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4661), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7221), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7419), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6700] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6873), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(6875), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6770] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8251), 1,
      sym_system_lib_string,
    STATE(6829), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8352), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6858] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7433), 1,
      aux_sym_function_statement_token1,
    STATE(4666), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7256), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6946] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8253), 1,
      anon_sym_COMMA,
    ACTIONS(8255), 1,
      anon_sym_COLON_COLON,
    STATE(6724), 1,
      sym_identifier,
    STATE(7738), 1,
      sym__import_names,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7543), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7034] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7385), 1,
      aux_sym_function_statement_token1,
    STATE(5339), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7163), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7122] = 12,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8257), 1,
      anon_sym_COLON_COLON,
    STATE(5989), 1,
      sym_identifier,
    STATE(6735), 1,
      sym__declaration_assignment,
    STATE(6787), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8578), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7210] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8259), 1,
      sym_system_lib_string,
    STATE(6907), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8575), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7298] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8263), 1,
      aux_sym_implicit_statement_token3,
    STATE(1169), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6925), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7386] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7493), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5429), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7517), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7474] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8267), 1,
      aux_sym_implicit_statement_token3,
    STATE(1282), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7187), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7562] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7457), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5313), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7455), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7650] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8269), 1,
      sym_system_lib_string,
    STATE(6980), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8535), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7738] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7445), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5445), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6780), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7443), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7826] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8273), 1,
      aux_sym_implicit_statement_token3,
    STATE(1677), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7001), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8271), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7914] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8275), 1,
      sym_system_lib_string,
    STATE(7058), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8185), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8002] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7529), 1,
      aux_sym_function_statement_token1,
    STATE(4933), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7045), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7527), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8090] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7473), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5216), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6972), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8178] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8277), 1,
      sym_system_lib_string,
    STATE(7118), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8619), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8266] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7397), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5377), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7209), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7395), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8354] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7401), 1,
      aux_sym_function_statement_token1,
    STATE(5514), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7211), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8442] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8279), 1,
      sym_system_lib_string,
    STATE(7173), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(9042), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8530] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8283), 1,
      aux_sym_implicit_statement_token3,
    STATE(1200), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7233), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8618] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7509), 1,
      aux_sym_function_statement_token1,
    STATE(5487), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7520), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8706] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8285), 1,
      sym_system_lib_string,
    STATE(7220), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8319), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8794] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7567), 1,
      aux_sym_module_statement_token1,
    STATE(905), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6983), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7569), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8882] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7409), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5038), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7252), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7407), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8970] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8287), 1,
      sym_system_lib_string,
    STATE(7270), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8534), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9058] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7413), 1,
      aux_sym_function_statement_token1,
    STATE(5090), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7257), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9146] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7581), 1,
      aux_sym_submodule_statement_token1,
    STATE(907), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6996), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7583), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9234] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8289), 1,
      sym_system_lib_string,
    STATE(7315), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8687), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9322] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8293), 1,
      aux_sym_implicit_statement_token3,
    STATE(1723), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7285), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9410] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7481), 1,
      aux_sym_subroutine_statement_token1,
    STATE(1125), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6810), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9498] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8295), 1,
      sym_system_lib_string,
    STATE(7338), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8791), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9586] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7489), 1,
      aux_sym_function_statement_token1,
    STATE(1130), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6813), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9674] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7429), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5435), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7302), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7427), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9762] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8297), 1,
      sym_system_lib_string,
    STATE(7363), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8918), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9850] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6797), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(6799), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9920] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7449), 1,
      aux_sym_subroutine_statement_token1,
    STATE(951), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7289), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7447), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10008] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8299), 1,
      sym_system_lib_string,
    STATE(7384), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(9027), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10096] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7111), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(7113), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10166] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8303), 1,
      aux_sym_implicit_statement_token3,
    STATE(1576), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7322), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10254] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8305), 1,
      sym_system_lib_string,
    STATE(7393), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8095), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10342] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7515), 1,
      aux_sym_program_statement_token1,
    STATE(1066), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7009), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10430] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8309), 1,
      aux_sym_implicit_statement_token3,
    STATE(1997), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7348), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10518] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8311), 1,
      sym_system_lib_string,
    STATE(7400), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8135), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10606] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8313), 1,
      sym_system_lib_string,
    STATE(7409), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8167), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10694] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8315), 1,
      sym_system_lib_string,
    STATE(7416), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8199), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10782] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8317), 1,
      sym_system_lib_string,
    STATE(7424), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8230), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10870] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8319), 1,
      sym_system_lib_string,
    STATE(7425), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8246), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10958] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8321), 1,
      sym_system_lib_string,
    STATE(7426), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8262), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11046] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8323), 1,
      sym_system_lib_string,
    STATE(7428), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8278), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11134] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8325), 1,
      sym_system_lib_string,
    STATE(7430), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8286), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11222] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8327), 1,
      sym_system_lib_string,
    STATE(7431), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8294), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11310] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8329), 1,
      sym_system_lib_string,
    STATE(7432), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8302), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11398] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8331), 1,
      sym_system_lib_string,
    STATE(7433), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8310), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11486] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8333), 1,
      sym_system_lib_string,
    STATE(7434), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8318), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11574] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8335), 1,
      sym_system_lib_string,
    STATE(7435), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8326), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11662] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8337), 1,
      sym_system_lib_string,
    STATE(7436), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8334), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11750] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8339), 1,
      sym_system_lib_string,
    STATE(7437), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8342), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11838] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8341), 1,
      sym_system_lib_string,
    STATE(7438), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8350), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11926] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8343), 1,
      sym_system_lib_string,
    STATE(7440), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8358), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12014] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8345), 1,
      sym_system_lib_string,
    STATE(7441), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8366), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12102] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8347), 1,
      sym_system_lib_string,
    STATE(7442), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8374), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12190] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8349), 1,
      sym_system_lib_string,
    STATE(7443), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8382), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12278] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8351), 1,
      sym_system_lib_string,
    STATE(7444), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8390), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12366] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8353), 1,
      sym_system_lib_string,
    STATE(7445), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8398), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12454] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8355), 1,
      sym_system_lib_string,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8406), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12542] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8357), 1,
      sym_system_lib_string,
    STATE(7447), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8414), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12630] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8359), 1,
      sym_system_lib_string,
    STATE(7448), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8422), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12718] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8361), 1,
      sym_system_lib_string,
    STATE(7449), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8430), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12806] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8363), 1,
      sym_system_lib_string,
    STATE(7450), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8438), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12894] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8365), 1,
      sym_system_lib_string,
    STATE(7451), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8446), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12982] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8367), 1,
      sym_system_lib_string,
    STATE(7452), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8454), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13070] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8369), 1,
      sym_system_lib_string,
    STATE(7453), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8462), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13158] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8371), 1,
      sym_system_lib_string,
    STATE(7454), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8470), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13246] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8373), 1,
      sym_system_lib_string,
    STATE(7456), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8478), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13334] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7031), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
    ACTIONS(7033), 56,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13404] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8377), 1,
      aux_sym_implicit_statement_token3,
    STATE(1564), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7592), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8375), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13492] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8381), 1,
      aux_sym_implicit_statement_token3,
    STATE(1941), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6848), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13580] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8385), 1,
      aux_sym_implicit_statement_token3,
    STATE(1652), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7369), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13668] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8389), 1,
      aux_sym_implicit_statement_token3,
    STATE(1866), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8387), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13756] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7563), 1,
      aux_sym_module_statement_token1,
    STATE(1158), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7334), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7565), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13844] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8393), 1,
      aux_sym_implicit_statement_token3,
    STATE(1800), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7610), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8391), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13932] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7377), 1,
      aux_sym_subroutine_statement_token1,
    STATE(1061), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6876), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7375), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14020] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7535), 1,
      aux_sym_program_statement_token1,
    STATE(1081), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7477), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7537), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14108] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7571), 1,
      aux_sym_module_statement_token1,
    STATE(1091), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7487), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7573), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14196] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7425), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5262), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6946), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14284] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7553), 1,
      aux_sym_submodule_statement_token1,
    STATE(1093), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7490), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7555), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14372] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7557), 1,
      aux_sym_submodule_statement_token1,
    STATE(1077), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7413), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14460] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8397), 1,
      aux_sym_implicit_statement_token3,
    STATE(1561), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7073), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8395), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14548] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7453), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5197), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6961), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7451), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14636] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7477), 1,
      aux_sym_function_statement_token1,
    STATE(5200), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6966), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14724] = 12,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8399), 1,
      anon_sym_COLON_COLON,
    STATE(5975), 1,
      sym_identifier,
    STATE(6567), 1,
      sym__declaration_assignment,
    STATE(6787), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8788), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14812] = 12,
    ACTIONS(8225), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8229), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8233), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8235), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8237), 1,
      sym__string_literal,
    ACTIONS(8239), 1,
      sym__string_literal_kind,
    ACTIONS(8401), 1,
      sym_system_lib_string,
    STATE(6847), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(9006), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(8231), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8227), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14900] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5487), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7520), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14985] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5105), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7260), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15070] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1800), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7610), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8391), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15155] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5115), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7262), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8405), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15240] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(920), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7206), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8407), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15325] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1561), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7073), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8395), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15410] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1146), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6815), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8409), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15495] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1574), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7080), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15580] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1723), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7285), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15665] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1728), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7291), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8413), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15750] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(951), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7289), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7447), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15835] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1007), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6802), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8415), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15920] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(924), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7217), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16005] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1152), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6817), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8419), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16090] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(953), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7439), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16175] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5435), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7302), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7427), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16260] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4661), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7221), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7419), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16345] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5437), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7305), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7435), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16430] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4666), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7256), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16515] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5440), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7307), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8421), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16600] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5444), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7309), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16685] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1576), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7322), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16770] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1588), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7328), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16855] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(946), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6785), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7393), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16940] = 5,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    STATE(3956), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8429), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8431), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17013] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5055), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7090), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17098] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1081), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7477), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7537), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17183] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1956), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6859), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8433), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17268] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1922), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6919), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8435), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17353] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1997), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7348), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17438] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1969), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7352), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8437), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17523] = 11,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(5993), 1,
      sym_identifier,
    STATE(6652), 1,
      sym__declaration_assignment,
    STATE(6787), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8578), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17608] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(767), 1,
      sym__end_of_statement,
    STATE(7239), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8439), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17693] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(903), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6935), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8441), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17778] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1941), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6848), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17863] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1124), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6798), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8443), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17948] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1652), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7369), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18033] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1661), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7374), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8445), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18118] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5097), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7095), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8447), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18203] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1947), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6858), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8449), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18288] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1447), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7034), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8451), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18373] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1866), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8387), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18458] = 5,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    STATE(3858), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8456), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8458), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18531] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(955), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7376), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8460), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18616] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1151), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7265), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18701] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1564), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7592), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8375), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18786] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1033), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6821), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8464), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18871] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1012), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7294), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8466), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18956] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(597), 1,
      sym__end_of_statement,
    STATE(6962), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8468), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19041] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5445), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6780), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7443), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19126] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1879), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7353), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8470), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19211] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4850), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6873), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7531), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19296] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4862), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7103), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7467), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19381] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(958), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7379), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8472), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19466] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4864), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7106), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7495), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19551] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8474), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19620] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(645), 1,
      sym__end_of_statement,
    STATE(7377), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8478), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19705] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1819), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7638), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8480), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19790] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8484), 1,
      aux_sym__inline_if_statement_token1,
    STATE(821), 1,
      sym__end_of_statement,
    STATE(7469), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8482), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 46,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19877] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1041), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7303), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8486), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19962] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4867), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7108), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8488), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20047] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1077), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7413), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20132] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4870), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7110), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8490), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20217] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4812), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6879), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8492), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20302] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1053), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6870), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8494), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20387] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5429), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7517), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20472] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5319), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6892), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7499), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20557] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6367), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(6369), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20626] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5322), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6894), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7503), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20711] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5398), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6897), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8496), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20796] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(905), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6983), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7569), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20881] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5401), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6899), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8498), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20966] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7009), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7011), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21035] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(935), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7478), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8500), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21120] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(650), 1,
      sym__end_of_statement,
    STATE(7405), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8502), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21205] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(653), 1,
      sym__end_of_statement,
    STATE(7406), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8504), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21290] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(705), 1,
      sym__end_of_statement,
    STATE(7271), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8506), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21375] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4697), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7481), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8508), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21460] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1482), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7131), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8510), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21545] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(807), 1,
      sym__end_of_statement,
    STATE(7667), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8512), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21630] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4703), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7483), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8514), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21715] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5313), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7455), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21800] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(907), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6996), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7583), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21885] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4931), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7043), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7523), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21970] = 11,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5966), 1,
      sym_identifier,
    STATE(6460), 1,
      sym__declaration_assignment,
    STATE(6787), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8788), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22055] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1158), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7334), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7565), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22140] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(740), 1,
      sym__end_of_statement,
    STATE(6820), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8516), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22225] = 11,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6013), 1,
      sym_identifier,
    STATE(6787), 1,
      sym_sized_declarator,
    STATE(7513), 1,
      sym__declaration_assignment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8578), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6391), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(6393), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22379] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(747), 1,
      sym__end_of_statement,
    STATE(6796), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8518), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22464] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5279), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7144), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7371), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22549] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1169), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6925), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22634] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5329), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7455), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8520), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22719] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(909), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7011), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22804] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(612), 1,
      sym__end_of_statement,
    STATE(6860), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8522), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22889] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5286), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7150), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8524), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22974] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(581), 1,
      sym__end_of_statement,
    STATE(6864), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23059] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(660), 1,
      sym__end_of_statement,
    STATE(7460), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8528), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23144] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(662), 1,
      sym__end_of_statement,
    STATE(7464), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8530), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23229] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(663), 1,
      sym__end_of_statement,
    STATE(7465), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8532), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23314] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(664), 1,
      sym__end_of_statement,
    STATE(7466), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23399] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(580), 1,
      sym__end_of_statement,
    STATE(7345), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8536), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23484] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(805), 1,
      sym__end_of_statement,
    STATE(7670), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23569] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5337), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7161), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23654] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(600), 1,
      sym__end_of_statement,
    STATE(7354), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8540), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23739] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5339), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7163), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23824] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(788), 1,
      sym__end_of_statement,
    STATE(6881), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8542), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23909] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5347), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7165), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8544), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23994] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(757), 1,
      sym__end_of_statement,
    STATE(7375), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24079] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4933), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7045), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7527), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24164] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5350), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7167), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24249] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(621), 1,
      sym__end_of_statement,
    STATE(7471), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8550), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24334] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4936), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7048), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8552), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24419] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5309), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7524), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8554), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24504] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(622), 1,
      sym__end_of_statement,
    STATE(7472), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8556), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24589] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5412), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7025), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7511), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24674] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1282), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7187), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24759] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1309), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7192), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8558), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24844] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1097), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7509), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24929] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1089), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7484), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25014] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5472), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6789), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8562), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25099] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4941), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7050), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8564), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25184] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(798), 1,
      sym__end_of_statement,
    STATE(6791), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8566), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25269] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5377), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7209), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7395), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25354] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5324), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7224), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8568), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25439] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(771), 1,
      sym__end_of_statement,
    STATE(7671), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8570), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25524] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(801), 1,
      sym__end_of_statement,
    STATE(6793), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8572), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25609] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5514), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7211), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25694] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(802), 1,
      sym__end_of_statement,
    STATE(6794), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8574), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25779] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5383), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7213), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8576), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25864] = 6,
    ACTIONS(8245), 1,
      anon_sym_LPAREN2,
    STATE(3345), 1,
      sym__argument_list,
    STATE(4116), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5967), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25939] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(803), 1,
      sym__end_of_statement,
    STATE(6795), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8578), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26024] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5387), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7215), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8580), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26109] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(639), 1,
      sym__end_of_statement,
    STATE(7174), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8582), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26194] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1200), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7233), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26279] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1217), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7237), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26364] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(810), 1,
      sym__end_of_statement,
    STATE(6799), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8586), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26449] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1186), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6936), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26534] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8590), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_LPAREN2,
    ACTIONS(8594), 1,
      anon_sym_COLON_COLON,
    STATE(6368), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26621] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(786), 1,
      sym__end_of_statement,
    STATE(7647), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8596), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26706] = 5,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    STATE(3858), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8598), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8600), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26779] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(812), 1,
      sym__end_of_statement,
    STATE(6800), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8602), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26864] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8604), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(8606), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26933] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1091), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7487), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7573), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27018] = 5,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    STATE(3968), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8608), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8610), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27091] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5262), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6946), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27176] = 4,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8612), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8616), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27247] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5361), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7526), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8618), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27332] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1093), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7490), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7555), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27417] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1095), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7495), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7575), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27502] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1125), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6810), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27587] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1102), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7497), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8620), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27672] = 5,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    STATE(3858), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8156), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8622), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27745] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1105), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7498), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8624), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27830] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5274), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6952), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8626), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27915] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5432), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7031), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8628), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28000] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5038), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7252), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7407), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28085] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5216), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6972), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28170] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(917), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7202), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8630), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28255] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5197), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6961), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7451), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28340] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1108), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7502), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8632), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28425] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1061), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6876), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7375), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28510] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6327), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(6329), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28579] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5200), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6966), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28664] = 11,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    STATE(5991), 1,
      sym_identifier,
    STATE(6695), 1,
      sym__declaration_assignment,
    STATE(6787), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(8788), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28749] = 12,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8590), 1,
      anon_sym_COMMA,
    ACTIONS(8594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8634), 1,
      anon_sym_LPAREN2,
    STATE(6368), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28836] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5205), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6968), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8636), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28921] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1130), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6813), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29006] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5208), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6970), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8638), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29091] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(5090), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7257), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29176] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1066), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7009), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29261] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(708), 1,
      sym__end_of_statement,
    STATE(7175), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29346] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1677), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7001), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8271), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29431] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1680), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7010), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8642), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29516] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(648), 1,
      sym__end_of_statement,
    STATE(7414), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8644), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29601] = 5,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(8651), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8649), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29674] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1016), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(6931), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7519), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29759] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1121), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7507), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8653), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29844] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(1400), 1,
      sym__end_of_statement,
    STATE(6435), 1,
      sym_identifier,
    STATE(7126), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29929] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7959), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8655), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30011] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7748), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8657), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30093] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8456), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8458), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30161] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5999), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(6007), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7623), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7625), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30297] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7794), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8659), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30379] = 11,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(8663), 1,
      anon_sym_COLON_COLON,
    STATE(6454), 1,
      sym_identifier,
    STATE(7700), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30463] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6740), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30545] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7992), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8665), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30627] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7889), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30709] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7959), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8655), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30791] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8669), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8671), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30859] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(3642), 1,
      sym_sized_declarator,
    STATE(5994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7223), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30941] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7760), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8673), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31023] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7896), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8675), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31105] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8651), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31173] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7847), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8677), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31255] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7748), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8657), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7619), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7621), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31405] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7929), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8679), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31487] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8612), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8616), 57,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31555] = 11,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8681), 1,
      anon_sym_COMMA,
    ACTIONS(8683), 1,
      anon_sym_COLON_COLON,
    STATE(6363), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31639] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7888), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8685), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31721] = 10,
    ACTIONS(8128), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8134), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8138), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8140), 1,
      aux_sym_select_case_statement_token1,
    STATE(3566), 1,
      sym_identifier,
    STATE(3642), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3997), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8136), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8132), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31803] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7808), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31885] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7899), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8689), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31967] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7967), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8691), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32049] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7994), 1,
      sym_identifier,
    STATE(8002), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32131] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7826), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8695), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32213] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6435), 1,
      sym_identifier,
    STATE(7983), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8697), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32295] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7869), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8699), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32377] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7949), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7561), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32459] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7902), 1,
      sym__block_label,
    STATE(7994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8701), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32541] = 10,
    ACTIONS(8128), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8134), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8138), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8140), 1,
      aux_sym_select_case_statement_token1,
    STATE(3566), 1,
      sym_identifier,
    STATE(3642), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3840), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(8136), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8132), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32623] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7615), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7617), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32691] = 10,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8703), 1,
      anon_sym_COMMA,
    ACTIONS(8705), 1,
      anon_sym_COLON_COLON,
    STATE(6672), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32772] = 5,
    ACTIONS(8707), 1,
      anon_sym_COMMA,
    ACTIONS(8712), 1,
      anon_sym_COLON_COLON,
    STATE(4033), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8710), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32843] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8714), 1,
      aux_sym_included_items_token1,
    STATE(6755), 1,
      sym_use_alias,
    STATE(8087), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32924] = 5,
    ACTIONS(8651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8716), 1,
      anon_sym_COMMA,
    STATE(4033), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8649), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32995] = 4,
    ACTIONS(8719), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8612), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8616), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33064] = 5,
    ACTIONS(8721), 1,
      anon_sym_COMMA,
    ACTIONS(8726), 1,
      anon_sym_COLON_COLON,
    STATE(4035), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8724), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33135] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8714), 1,
      aux_sym_included_items_token1,
    STATE(6747), 1,
      sym_use_alias,
    STATE(8087), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33216] = 5,
    ACTIONS(8728), 1,
      anon_sym_COMMA,
    ACTIONS(8733), 1,
      anon_sym_COLON_COLON,
    STATE(4033), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8731), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33287] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(8185), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [33354] = 5,
    ACTIONS(8735), 1,
      anon_sym_COMMA,
    ACTIONS(8740), 1,
      anon_sym_COLON_COLON,
    STATE(4033), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8738), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33425] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8714), 1,
      aux_sym_included_items_token1,
    STATE(6667), 1,
      sym_use_alias,
    STATE(8087), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33506] = 5,
    ACTIONS(8742), 1,
      anon_sym_COMMA,
    ACTIONS(8747), 1,
      anon_sym_COLON_COLON,
    STATE(4037), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8745), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33577] = 5,
    ACTIONS(8749), 1,
      anon_sym_COMMA,
    ACTIONS(8752), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8754), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33648] = 5,
    ACTIONS(8758), 1,
      anon_sym_COMMA,
    ACTIONS(8763), 1,
      anon_sym_COLON_COLON,
    STATE(4031), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8761), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33719] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8765), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_RPAREN,
    STATE(7476), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33800] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8769), 1,
      anon_sym_COLON_COLON,
    STATE(6454), 1,
      sym_identifier,
    STATE(7717), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33881] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7676), 1,
      sym_identifier,
    STATE(7754), 1,
      sym__name,
    STATE(8734), 1,
      sym_module_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33962] = 5,
    ACTIONS(8771), 1,
      anon_sym_COMMA,
    ACTIONS(8776), 1,
      anon_sym_COLON_COLON,
    STATE(4039), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8774), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34033] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7676), 1,
      sym_identifier,
    STATE(7745), 1,
      sym_module_name,
    STATE(7754), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34114] = 5,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(4313), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8780), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8778), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34185] = 10,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8784), 1,
      anon_sym_COMMA,
    STATE(7827), 1,
      sym_loop_control_expression,
    STATE(8682), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34266] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(8189), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [34333] = 5,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(4063), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5712), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34404] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8796), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8802), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    STATE(1737), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [34522] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8118), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8116), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34588] = 4,
    ACTIONS(8776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8826), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8774), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34656] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7193), 1,
      sym_association,
    STATE(8541), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34734] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7641), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7643), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34800] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6072), 1,
      sym__name,
    STATE(6435), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34878] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8835), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8847), 1,
      sym_preproc_comment,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8637), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4266), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34998] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7645), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7647), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35064] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7081), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35142] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8853), 1,
      anon_sym_RPAREN,
    STATE(8684), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35220] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8857), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8855), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [35286] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8861), 1,
      anon_sym_SEMI,
    ACTIONS(8863), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1224), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4140), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35404] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8865), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(7803), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35482] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8651), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35548] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7784), 1,
      sym_parameter_assignment,
    STATE(8933), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35626] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8869), 1,
      anon_sym_SEMI,
    ACTIONS(8871), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1959), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35744] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8875), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8873), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35810] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8064), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8066), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35876] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8877), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1399), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35994] = 9,
    ACTIONS(8881), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8885), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8889), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8891), 1,
      aux_sym_select_case_statement_token1,
    STATE(1555), 1,
      sym__name,
    STATE(1591), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8887), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8883), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36072] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8893), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8895), 1,
      anon_sym_SEMI,
    ACTIONS(8897), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1572), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4172), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [36190] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7675), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7677), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36256] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8780), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36334] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7978), 1,
      sym_loop_control_expression,
    STATE(8682), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8669), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8671), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36478] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8899), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8901), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8403), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4287), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36598] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8780), 1,
      sym_identifier,
    STATE(8965), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36676] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8604), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36754] = 9,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(7819), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    STATE(5730), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(7811), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36832] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8907), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8905), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36898] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6454), 1,
      sym_identifier,
    STATE(7885), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36976] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6947), 1,
      sym_triplet_spec,
    STATE(8320), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37054] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7653), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7655), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37120] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7699), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7701), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37186] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8012), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8014), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37252] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5967), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37318] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8909), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8911), 1,
      anon_sym_SEMI,
    ACTIONS(8913), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1987), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4155), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37436] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6391), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37502] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8915), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8917), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37568] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8919), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8921), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1018), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37686] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8925), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8775), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4294), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37806] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8927), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8929), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8796), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4208), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37926] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6830), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38004] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6079), 1,
      sym__name,
    STATE(6435), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7627), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7629), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38148] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7683), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7685), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38214] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6343), 1,
      sym__name,
    STATE(6435), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38292] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8106), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8104), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38358] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6358), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38436] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6388), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38514] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8122), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8120), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38580] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7649), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7651), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38646] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8110), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8108), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38712] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8931), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8933), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38778] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8935), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8937), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1647), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [38896] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7707), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7709), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38962] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7637), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7639), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39028] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8919), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8921), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8939), 1,
      anon_sym_SEMI,
    STATE(1015), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4092), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [39146] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7047), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39224] = 9,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(7676), 1,
      sym_identifier,
    STATE(8219), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39302] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8943), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8945), 1,
      anon_sym_SEMI,
    ACTIONS(8947), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1699), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4127), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [39420] = 9,
    ACTIONS(8949), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8953), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8957), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8959), 1,
      aux_sym_select_case_statement_token1,
    STATE(1874), 1,
      sym__name,
    STATE(1904), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8955), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8951), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39498] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8961), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8963), 1,
      anon_sym_SEMI,
    ACTIONS(8965), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1885), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4131), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [39616] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8102), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8100), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39682] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8969), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1618), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [39800] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8102), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8100), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39866] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8971), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8973), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39932] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7990), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40010] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8975), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8977), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9016), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4273), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40130] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6374), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40208] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8796), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8802), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8979), 1,
      anon_sym_SEMI,
    STATE(1734), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4053), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40326] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8981), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8983), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1470), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40444] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7259), 1,
      sym_method_name,
    STATE(7264), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40522] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7917), 1,
      sym_keyword_argument,
    STATE(8780), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40600] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8943), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8947), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1692), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40718] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8969), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8985), 1,
      anon_sym_SEMI,
    STATE(1607), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4117), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40836] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8987), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8989), 1,
      anon_sym_SEMI,
    ACTIONS(8991), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1901), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4136), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40954] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6383), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41032] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8961), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8965), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1890), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41150] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8993), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8995), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9064), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4245), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41270] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7251), 1,
      sym_triplet_spec,
    STATE(8320), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41348] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8981), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8983), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8997), 1,
      anon_sym_SEMI,
    STATE(1446), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4124), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41466] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6454), 1,
      sym_identifier,
    STATE(7823), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41544] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8987), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8991), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1793), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41662] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7666), 1,
      sym_concurrent_control,
    STATE(9033), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41740] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7687), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7689), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41806] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7602), 1,
      sym_parameter_assignment,
    STATE(8933), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41884] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8863), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1199), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [42002] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6375), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42080] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8999), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9001), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42146] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7832), 1,
      sym_association,
    STATE(8541), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7703), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7705), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42290] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9003), 1,
      anon_sym_SLASH,
    STATE(7422), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42368] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6329), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42434] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8871), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1961), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [42552] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8780), 1,
      sym_identifier,
    STATE(8961), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42630] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9005), 1,
      anon_sym_RPAREN,
    STATE(7529), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42708] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9009), 1,
      anon_sym_SEMI,
    ACTIONS(9011), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1034), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4156), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [42826] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9013), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9015), 1,
      aux_sym_end_interface_statement_token1,
    STATE(973), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [42944] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9017), 1,
      anon_sym_SLASH,
    STATE(6668), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43022] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6435), 1,
      sym_identifier,
    STATE(8059), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43100] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9019), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9021), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8754), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4307), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43220] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8909), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8913), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1982), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43338] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9011), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1087), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43456] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7679), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7681), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43522] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6435), 1,
      sym_identifier,
    STATE(7818), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6367), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6369), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43666] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7642), 1,
      sym_use_alias,
    STATE(8087), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43744] = 9,
    ACTIONS(7725), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7729), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7733), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(7735), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9023), 1,
      anon_sym_LPAREN2,
    STATE(5802), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7731), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(7727), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43822] = 9,
    ACTIONS(8949), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8953), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8957), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8959), 1,
      aux_sym_select_case_statement_token1,
    STATE(1902), 1,
      sym__name,
    STATE(1904), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8955), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8951), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43900] = 9,
    ACTIONS(7751), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7755), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7759), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(7761), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9025), 1,
      anon_sym_LPAREN2,
    STATE(5750), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7757), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(7753), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43978] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9029), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9027), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44044] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6326), 1,
      sym__name,
    STATE(6435), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44122] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7631), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44188] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9031), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9033), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7459), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7461), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym__block_if_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44320] = 9,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6363), 1,
      sym__type_name,
    STATE(7411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44398] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9013), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9015), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9035), 1,
      anon_sym_SEMI,
    STATE(971), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4151), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44516] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9037), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9039), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9002), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4258), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44636] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8893), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8897), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1396), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44754] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8877), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9041), 1,
      anon_sym_SEMI,
    STATE(1385), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4071), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8612), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8616), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44938] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5706), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45004] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7691), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7693), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45070] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8057), 1,
      sym_concurrent_control,
    STATE(9033), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45148] = 30,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9043), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9045), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8778), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4280), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45268] = 4,
    ACTIONS(9047), 1,
      anon_sym_COMMA,
    ACTIONS(9052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9050), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45336] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7100), 1,
      sym_association,
    STATE(8541), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45414] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9054), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9056), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45480] = 9,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8073), 1,
      sym_triplet_spec,
    STATE(8320), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7695), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7697), 55,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45624] = 29,
    ACTIONS(8786), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8788), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8790), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8794), 1,
      sym_preproc_directive,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8814), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8935), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8937), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9058), 1,
      anon_sym_SEMI,
    STATE(1581), 1,
      sym_end_interface_statement,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8792), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4107), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [45742] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9060), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45807] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9066), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9064), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9070), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9068), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45937] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(83), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46012] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(250), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46087] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9096), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8674), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46204] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9096), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8674), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4205), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46321] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9098), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8093), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46438] = 8,
    ACTIONS(9100), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9104), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9108), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9110), 1,
      aux_sym_select_case_statement_token1,
    STATE(5099), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9106), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9102), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46513] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(72), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46588] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(26), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46663] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(80), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46738] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(6788), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46813] = 8,
    ACTIONS(9136), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9140), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9144), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9146), 1,
      aux_sym_select_case_statement_token1,
    STATE(6119), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9142), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9138), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46888] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(6877), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46963] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8794), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47038] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(4186), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47113] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8850), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47188] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6665), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47263] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8975), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47338] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9148), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8375), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47455] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9150), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8431), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4217), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47572] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9152), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8440), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4218), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47689] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9152), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8440), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47806] = 8,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(9012), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47881] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9156), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9154), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [47946] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6674), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48021] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(294), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48096] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7997), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48171] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6664), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48246] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(6865), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48321] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9158), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8500), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4224), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [48438] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9160), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8502), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [48555] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9162), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8505), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [48672] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(9001), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48747] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(6941), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48822] = 8,
    ACTIONS(9136), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9140), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9144), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9146), 1,
      aux_sym_select_case_statement_token1,
    STATE(6101), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9142), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9138), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48897] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(6984), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48972] = 8,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(8996), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49047] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9164), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8866), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [49164] = 4,
    ACTIONS(9166), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4718), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49231] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(3), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49306] = 8,
    ACTIONS(9168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9172), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9176), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9178), 1,
      aux_sym_select_case_statement_token1,
    STATE(479), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9174), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9170), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49381] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(4823), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49456] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(6749), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49531] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(4451), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49606] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(4994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49681] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(2), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49756] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49831] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(4567), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49906] = 8,
    ACTIONS(9100), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9104), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9108), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9110), 1,
      aux_sym_select_case_statement_token1,
    STATE(5142), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9106), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9102), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49981] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(4836), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50056] = 8,
    ACTIONS(6113), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6123), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6125), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4555), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6121), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6115), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50131] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(5039), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50206] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50281] = 8,
    ACTIONS(6113), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6123), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6125), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4567), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6121), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6115), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50356] = 8,
    ACTIONS(6113), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6123), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6125), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4560), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6121), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6115), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50431] = 8,
    ACTIONS(8082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8090), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8092), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8941), 1,
      aux_sym__intrinsic_type_token4,
    STATE(8596), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8088), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8084), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50506] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9180), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8196), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4246), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [50623] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9182), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8211), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4248), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [50740] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9182), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8211), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [50857] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9184), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8448), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [50974] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9184), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8448), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4249), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [51091] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9186), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8464), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [51208] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9188), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8516), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [51325] = 8,
    ACTIONS(6113), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6123), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6125), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7329), 1,
      aux_sym__intrinsic_type_token4,
    STATE(5402), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6121), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6115), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51400] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(4890), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51475] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7514), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9192), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9190), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51615] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9196), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9194), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51680] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7644), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51755] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9198), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8576), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4259), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [51872] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9200), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8166), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4261), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [51989] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9200), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8166), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52106] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9202), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8165), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52223] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9202), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8165), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4262), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52340] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9204), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8214), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52457] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9206), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8705), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52574] = 8,
    ACTIONS(6395), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6405), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6407), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7321), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4186), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6403), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6397), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52649] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9208), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8898), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4267), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52766] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9210), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8935), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4269), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [52883] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9210), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8935), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53000] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9212), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8143), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53117] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9212), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8143), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4270), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53234] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9214), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8160), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53351] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9216), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8203), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53468] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9218), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8136), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4274), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53585] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9220), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8141), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4276), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53702] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9220), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8141), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53819] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9222), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8224), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [53936] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9222), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8224), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4277), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54053] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9224), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8231), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54170] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9226), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8261), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54287] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9228), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8837), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4281), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54404] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9230), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8852), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4283), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54521] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9230), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8852), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54638] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9232), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8948), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54755] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9232), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8948), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4284), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54872] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9234), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8956), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [54989] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9236), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8972), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55106] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9238), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8459), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4288), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55223] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8469), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4290), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55340] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8469), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55457] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8497), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55574] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8497), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4291), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55691] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8506), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55808] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9246), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8514), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [55925] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9248), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8815), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4295), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56042] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9250), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8820), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4297), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56159] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9250), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8820), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56276] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9252), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8851), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56393] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9252), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8851), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4298), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56510] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8853), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56627] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8876), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [56744] = 8,
    ACTIONS(5656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5660), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(5666), 1,
      aux_sym_select_case_statement_token1,
    STATE(7963), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5662), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(5658), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56819] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9260), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9258), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [56884] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9264), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9262), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [56949] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9268), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9266), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [57014] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(56), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57089] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9270), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8228), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4190), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [57206] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4094), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57281] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9284), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8400), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4192), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [57398] = 29,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8839), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8841), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9284), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8843), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8400), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [57515] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(5820), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57590] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8994), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57665] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6726), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57740] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(4), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57815] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7931), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57890] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9300), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9298), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [57955] = 8,
    ACTIONS(9168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9172), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9176), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9178), 1,
      aux_sym_select_case_statement_token1,
    STATE(481), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9174), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9170), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58030] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(299), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58105] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8641), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58180] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8413), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58255] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(59), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58330] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4132), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58405] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(81), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58480] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8952), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58555] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(248), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58630] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58705] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(5), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58780] = 28,
    ACTIONS(9302), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9305), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9308), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9314), 1,
      sym_preproc_directive,
    ACTIONS(9317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9319), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9322), 1,
      anon_sym_SEMI,
    ACTIONS(9325), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9327), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9333), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9336), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9339), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9342), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9348), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9351), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9354), 1,
      aux_sym_derived_type_token1,
    STATE(3516), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7461), 1,
      sym_subroutine_statement,
    STATE(7462), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9311), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9330), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9357), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9345), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4325), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [58895] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7932), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58970] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(58), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59045] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9360), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [59110] = 8,
    ACTIONS(9168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9172), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9176), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9178), 1,
      aux_sym_select_case_statement_token1,
    STATE(480), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9174), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9170), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59185] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(295), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59260] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(8874), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59335] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(73), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59410] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(57), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59485] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4171), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59560] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(82), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59635] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(249), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59710] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6673), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59785] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(6), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59860] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7965), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59935] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(297), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60010] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4059), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60085] = 8,
    ACTIONS(9072), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9076), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9080), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9082), 1,
      aux_sym_select_case_statement_token1,
    STATE(84), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9078), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9074), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60160] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9060), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [60225] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6756), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60300] = 8,
    ACTIONS(9112), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9116), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9120), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9122), 1,
      aux_sym_select_case_statement_token1,
    STATE(7), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9118), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9114), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60375] = 8,
    ACTIONS(9168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9172), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9176), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9178), 1,
      aux_sym_select_case_statement_token1,
    STATE(482), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9174), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9170), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60450] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(288), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60525] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4121), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60600] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6773), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60675] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(289), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60750] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4178), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60825] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4154), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60900] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6715), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60975] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(290), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61050] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4078), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61125] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6655), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61200] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(291), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61275] = 8,
    ACTIONS(9272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9280), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9282), 1,
      aux_sym_select_case_statement_token1,
    STATE(4093), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9278), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9274), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61350] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6753), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61425] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(292), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61500] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6708), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61575] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(300), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61650] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6679), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61725] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6663), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61800] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(293), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61875] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6654), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61950] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(5842), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62025] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(298), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62100] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6761), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62175] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(301), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62250] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9366), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9364), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [62315] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6649), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62390] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(302), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62465] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62540] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(303), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62615] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6765), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62690] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(304), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62765] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6669), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62840] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(305), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62915] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6700), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62990] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(306), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63065] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6725), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63140] = 8,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9088), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9092), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9094), 1,
      aux_sym_select_case_statement_token1,
    STATE(307), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9090), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9086), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63215] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6751), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63290] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6752), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63365] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6757), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63440] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6758), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63515] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6759), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63590] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6763), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63665] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6764), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63740] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6766), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63815] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6767), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63890] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63965] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64040] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6772), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64115] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6738), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64190] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6713), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64265] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6720), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64340] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6723), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64415] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6732), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64490] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6760), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64565] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6647), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64640] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6650), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64715] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6670), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64790] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6675), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64865] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6687), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64940] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6688), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65015] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6691), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65090] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6705), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65165] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6774), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65240] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6714), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65315] = 8,
    ACTIONS(9286), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9294), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9296), 1,
      aux_sym_select_case_statement_token1,
    STATE(6717), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9292), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9288), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65390] = 8,
    ACTIONS(9124), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9128), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9132), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9134), 1,
      aux_sym_select_case_statement_token1,
    STATE(4452), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9130), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9126), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65465] = 8,
    ACTIONS(749), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2335), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2337), 1,
      aux_sym_select_case_statement_token1,
    STATE(7088), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1699), 4,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65540] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9370), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9368), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [65605] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9376), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9372), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4420), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [65715] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7119), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [65779] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7033), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7031), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [65843] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7113), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7111), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [65907] = 26,
    ACTIONS(9378), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9381), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9384), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9392), 1,
      sym_preproc_directive,
    ACTIONS(9395), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9427), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9389), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9387), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4420), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [66017] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6875), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6873), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66081] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7011), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7009), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66145] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6799), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6797), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66209] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9376), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_program_statement_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9430), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4416), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [66319] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6369), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6367), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66382] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6329), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6327), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66445] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6393), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6391), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [66508] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4722), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66570] = 25,
    ACTIONS(9378), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9381), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9384), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9392), 1,
      sym_preproc_directive,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9434), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9389), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9387), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [66676] = 25,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9430), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4431), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [66782] = 25,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8829), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8831), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8833), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8845), 1,
      sym_preproc_directive,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8851), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7539), 1,
      sym_module_procedure_statement,
    STATE(7586), 1,
      sym_subroutine_statement,
    STATE(7587), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8837), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9372), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4429), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [66888] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9449), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9453), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9370), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9368), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66981] = 13,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9459), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67062] = 9,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9463), 36,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67135] = 18,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9449), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9453), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9463), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67226] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9449), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(9473), 1,
      anon_sym_QMARK,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9453), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9469), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9467), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [67323] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4718), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67384] = 15,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9477), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9475), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67469] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9449), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(9473), 1,
      anon_sym_QMARK,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9453), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9481), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9479), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [67566] = 8,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9483), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67637] = 15,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9489), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9487), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67722] = 11,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9463), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67799] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4726), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4718), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67921] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4730), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67982] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4734), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68043] = 10,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9463), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68118] = 13,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9491), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68199] = 16,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9489), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9487), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68286] = 17,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9449), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9451), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9455), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9457), 1,
      anon_sym_STAR_STAR,
    STATE(3315), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9447), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4493), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9489), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9445), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9487), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68375] = 27,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9495), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9503), 1,
      sym_preproc_comment,
    ACTIONS(9505), 1,
      anon_sym_SEMI,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8660), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4465), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [68483] = 27,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9509), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9511), 1,
      sym_preproc_comment,
    ACTIONS(9513), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8137), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4480), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [68591] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6369), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6367), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68651] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6393), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6391), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6329), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6327), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68771] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9430), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4458), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68877] = 26,
    ACTIONS(9395), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9527), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9530), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9533), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9539), 1,
      sym_preproc_directive,
    ACTIONS(9542), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9387), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9536), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4457), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68983] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9372), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4457), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69089] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9545), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9548), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9551), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9557), 1,
      sym_preproc_directive,
    ACTIONS(9560), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7562), 1,
      sym_module_procedure_statement,
    STATE(7596), 1,
      sym_subroutine_statement,
    STATE(7597), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9554), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4459), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69194] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9565), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9032), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4475), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69299] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9567), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9569), 1,
      sym_preproc_comment,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4499), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69404] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9571), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9573), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8299), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4491), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69509] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9575), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9577), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8311), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4473), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69614] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9579), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9581), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9583), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9587), 1,
      sym_preproc_directive,
    ACTIONS(9589), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7530), 1,
      sym_subroutine_statement,
    STATE(7531), 1,
      sym_function_statement,
    STATE(7571), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9585), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4487), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69719] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9575), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8311), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69824] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8407), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69929] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9595), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9598), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9607), 1,
      sym_preproc_directive,
    ACTIONS(9610), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7475), 1,
      sym_module_procedure_statement,
    STATE(7554), 1,
      sym_subroutine_statement,
    STATE(7555), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9604), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4467), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70034] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8189), 40,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70093] = 6,
    ACTIONS(9617), 1,
      anon_sym_LPAREN2,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4469), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9613), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70158] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(9620), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9622), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9624), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9628), 1,
      sym_preproc_directive,
    ACTIONS(9630), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7583), 1,
      sym_module_procedure_statement,
    STATE(7617), 1,
      sym_subroutine_statement,
    STATE(7618), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9626), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4472), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70263] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(9632), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9634), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9636), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9640), 1,
      sym_preproc_directive,
    ACTIONS(9642), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7551), 1,
      sym_module_procedure_statement,
    STATE(7590), 1,
      sym_subroutine_statement,
    STATE(7591), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4477), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70368] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(9620), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9622), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9624), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9628), 1,
      sym_preproc_directive,
    ACTIONS(9630), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7583), 1,
      sym_module_procedure_statement,
    STATE(7617), 1,
      sym_subroutine_statement,
    STATE(7618), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9626), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4482), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70473] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9644), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8421), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [70578] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4722), 40,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70637] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9646), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8264), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [70742] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9648), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9651), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9654), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9660), 1,
      sym_preproc_directive,
    ACTIONS(9663), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7551), 1,
      sym_module_procedure_statement,
    STATE(7590), 1,
      sym_subroutine_statement,
    STATE(7591), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9657), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4476), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70847] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(9632), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9634), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9636), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9640), 1,
      sym_preproc_directive,
    ACTIONS(9642), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7551), 1,
      sym_module_procedure_statement,
    STATE(7590), 1,
      sym_subroutine_statement,
    STATE(7591), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4476), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70952] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9666), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9668), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9071), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4495), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71057] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9670), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9672), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8341), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4466), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71162] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9670), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8341), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71267] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(9674), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9676), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9678), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9682), 1,
      sym_preproc_directive,
    ACTIONS(9684), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7475), 1,
      sym_module_procedure_statement,
    STATE(7554), 1,
      sym_subroutine_statement,
    STATE(7555), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9680), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4489), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71372] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9686), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9689), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9692), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9698), 1,
      sym_preproc_directive,
    ACTIONS(9701), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7583), 1,
      sym_module_procedure_statement,
    STATE(7617), 1,
      sym_subroutine_statement,
    STATE(7618), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9695), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4482), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71477] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(9704), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9706), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9708), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9712), 1,
      sym_preproc_directive,
    ACTIONS(9714), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7562), 1,
      sym_module_procedure_statement,
    STATE(7596), 1,
      sym_subroutine_statement,
    STATE(7597), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9710), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4494), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71582] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9579), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9581), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9583), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9587), 1,
      sym_preproc_directive,
    ACTIONS(9589), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7530), 1,
      sym_subroutine_statement,
    STATE(7531), 1,
      sym_function_statement,
    STATE(7571), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9585), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4464), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71687] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9430), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9432), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(9716), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9718), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9720), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9724), 1,
      sym_preproc_directive,
    ACTIONS(9726), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7519), 1,
      sym_module_procedure_statement,
    STATE(7567), 1,
      sym_subroutine_statement,
    STATE(7568), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4492), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71792] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9728), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8100), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71897] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9730), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9733), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9736), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9742), 1,
      sym_preproc_directive,
    ACTIONS(9745), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7530), 1,
      sym_subroutine_statement,
    STATE(7531), 1,
      sym_function_statement,
    STATE(7571), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9739), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4487), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72002] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8185), 40,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72061] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(9674), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9676), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9678), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9682), 1,
      sym_preproc_directive,
    ACTIONS(9684), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7475), 1,
      sym_module_procedure_statement,
    STATE(7554), 1,
      sym_subroutine_statement,
    STATE(7555), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9680), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4467), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72166] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9748), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9750), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8309), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4486), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72271] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9752), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8408), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72376] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(9716), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9718), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9720), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9724), 1,
      sym_preproc_directive,
    ACTIONS(9726), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7519), 1,
      sym_module_procedure_statement,
    STATE(7567), 1,
      sym_subroutine_statement,
    STATE(7568), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4496), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72481] = 5,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4469), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9754), 38,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72544] = 26,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9372), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9374), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(9704), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9706), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9708), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9712), 1,
      sym_preproc_directive,
    ACTIONS(9714), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7562), 1,
      sym_module_procedure_statement,
    STATE(7596), 1,
      sym_subroutine_statement,
    STATE(7597), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9710), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4459), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72649] = 26,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9497), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9499), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9501), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9032), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72754] = 26,
    ACTIONS(9387), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9395), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(9397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9400), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9403), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9406), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9409), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9415), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9418), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9421), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9758), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9761), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9764), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9770), 1,
      sym_preproc_directive,
    ACTIONS(9773), 1,
      aux_sym_include_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7519), 1,
      sym_module_procedure_statement,
    STATE(7567), 1,
      sym_subroutine_statement,
    STATE(7568), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9767), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9424), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9412), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4496), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72859] = 25,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4457), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72961] = 25,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9778), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4497), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [73063] = 25,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8849), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9515), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9517), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9523), 1,
      sym_preproc_directive,
    ACTIONS(9525), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9778), 1,
      aux_sym_preproc_if_token2,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(6775), 1,
      sym_module_procedure_statement,
    STATE(7607), 1,
      sym_subroutine_statement,
    STATE(7608), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5582), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4457), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [73165] = 23,
    ACTIONS(9782), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9784), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9787), 1,
      anon_sym_SEMI,
    ACTIONS(9790), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9796), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9799), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9802), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9805), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9811), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9814), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9817), 1,
      aux_sym_derived_type_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9780), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(9793), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9820), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9808), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [73261] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9847), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    STATE(1286), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7188), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73364] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9861), 1,
      aux_sym_end_type_statement_token1,
    STATE(1577), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7323), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73467] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9863), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9865), 1,
      aux_sym_end_type_statement_token1,
    STATE(1867), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7275), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73570] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9869), 1,
      aux_sym_end_type_statement_token1,
    STATE(1937), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(6836), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4505), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73673] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9869), 1,
      aux_sym_end_type_statement_token1,
    STATE(1942), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(6849), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73776] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9873), 1,
      aux_sym_end_type_statement_token1,
    STATE(1973), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7340), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4507), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73879] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9873), 1,
      aux_sym_end_type_statement_token1,
    STATE(1998), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7349), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73982] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9877), 1,
      aux_sym_end_type_statement_token1,
    STATE(1635), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7365), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4509), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74085] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9877), 1,
      aux_sym_end_type_statement_token1,
    STATE(1653), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7370), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74188] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9879), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9881), 1,
      aux_sym_end_type_statement_token1,
    STATE(1181), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(6913), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4511), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74291] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9879), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9881), 1,
      aux_sym_end_type_statement_token1,
    STATE(1170), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(6926), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74394] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9885), 1,
      aux_sym_end_type_statement_token1,
    STATE(1722), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7276), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4521), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74497] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9887), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9889), 1,
      aux_sym_end_type_statement_token1,
    STATE(1676), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(6988), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4514), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74600] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9887), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9889), 1,
      aux_sym_end_type_statement_token1,
    STATE(1693), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7002), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74703] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9891), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9893), 1,
      aux_sym_end_type_statement_token1,
    STATE(1602), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7623), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74806] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9863), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9865), 1,
      aux_sym_end_type_statement_token1,
    STATE(1854), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7196), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4503), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74909] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9891), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9893), 1,
      aux_sym_end_type_statement_token1,
    STATE(1557), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7055), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4515), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75012] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9897), 1,
      aux_sym_end_type_statement_token1,
    STATE(1390), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7120), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4525), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75115] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9899), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9901), 1,
      aux_sym_end_type_statement_token1,
    STATE(1551), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7063), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4520), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75218] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9899), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9901), 1,
      aux_sym_end_type_statement_token1,
    STATE(1562), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7074), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75321] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9885), 1,
      aux_sym_end_type_statement_token1,
    STATE(1724), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7286), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75424] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9903), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9905), 1,
      aux_sym_end_type_statement_token1,
    STATE(1907), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7561), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4524), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75527] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9907), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9909), 1,
      aux_sym_end_type_statement_token1,
    STATE(1201), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7234), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75630] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9903), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9905), 1,
      aux_sym_end_type_statement_token1,
    STATE(1801), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7611), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75733] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9897), 1,
      aux_sym_end_type_statement_token1,
    STATE(1402), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7127), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75836] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9847), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    STATE(1256), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7179), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4501), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75939] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9907), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9909), 1,
      aux_sym_end_type_statement_token1,
    STATE(1225), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7226), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4523), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [76042] = 27,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9823), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9825), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9827), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9831), 1,
      sym_preproc_directive,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9837), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9841), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9843), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9845), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9857), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9861), 1,
      aux_sym_end_type_statement_token1,
    STATE(1571), 1,
      sym_end_type_statement,
    STATE(3714), 1,
      sym__intrinsic_type,
    STATE(5653), 1,
      sym_contains_statement,
    STATE(7317), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9829), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4502), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [76145] = 23,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9911), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9913), 1,
      sym_preproc_comment,
    ACTIONS(9915), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4533), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76238] = 23,
    ACTIONS(9917), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9920), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9923), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9929), 1,
      sym_preproc_directive,
    ACTIONS(9932), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9934), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9939), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9942), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9945), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9948), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9954), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9957), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9960), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9966), 1,
      aux_sym_include_statement_token1,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9937), 2,
      aux_sym_contains_statement_token1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9963), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(7060), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3634), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9951), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4530), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [76330] = 22,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9969), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9971), 1,
      anon_sym_SEMI,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4532), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76420] = 22,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9973), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76510] = 22,
    ACTIONS(8798), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8804), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8808), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9507), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    ACTIONS(9969), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    STATE(5592), 1,
      sym__intrinsic_type,
    STATE(7576), 1,
      sym_subroutine_statement,
    STATE(7577), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5583), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4500), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9975), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9977), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76648] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9979), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9981), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76696] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9983), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9985), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76744] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9987), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9989), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76792] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9991), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9993), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76840] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9995), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9997), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76888] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9999), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10001), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76936] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10003), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10005), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76984] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10007), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10009), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77032] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10011), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10013), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77080] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77128] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10019), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10021), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77176] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10023), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10025), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77320] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10035), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10037), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77368] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10039), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10041), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77416] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10043), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10045), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77464] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10047), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10049), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77512] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10053), 35,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77560] = 7,
    ACTIONS(5706), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(4063), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5708), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_implicit_statement_token3,
      aux_sym_end_do_loop_statement_token1,
      aux_sym_format_statement_token1,
    ACTIONS(5710), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5712), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77615] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4566), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77665] = 6,
    ACTIONS(10061), 1,
      anon_sym_LPAREN2,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4556), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9613), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [77717] = 15,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9487), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [77787] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4568), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77837] = 17,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [77911] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4565), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10082), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10084), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77961] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4558), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10086), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10088), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78011] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9459), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78077] = 9,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78135] = 16,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78207] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4568), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10090), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10092), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78257] = 5,
    ACTIONS(10057), 1,
      anon_sym_COMMA,
    STATE(4568), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10096), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78307] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10098), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10100), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78353] = 5,
    ACTIONS(10102), 1,
      anon_sym_COMMA,
    STATE(4568), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10098), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10100), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78403] = 5,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4556), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9754), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78453] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9491), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78519] = 8,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9483), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78575] = 18,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9465), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78651] = 15,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9477), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9475), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78721] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78797] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4722), 29,
      anon_sym_COMMA,
      anon_sym_SLASH,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78843] = 10,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78903] = 11,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78965] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10109), 1,
      anon_sym_RPAREN,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6933), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79050] = 8,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9483), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79105] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10137), 1,
      anon_sym_COMMA,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7006), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79190] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10143), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7007), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79275] = 17,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10153), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10155), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 7,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79348] = 6,
    ACTIONS(10161), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4583), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9613), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79399] = 13,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9459), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79464] = 15,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9477), 1,
      anon_sym_DOT,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79533] = 4,
    ACTIONS(10178), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10176), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10180), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79580] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7079), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79665] = 4,
    ACTIONS(10186), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10184), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10188), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79712] = 5,
    STATE(2634), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4608), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9754), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [79761] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10190), 1,
      anon_sym_COMMA,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    STATE(6734), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79844] = 4,
    ACTIONS(10206), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10204), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10208), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79891] = 4,
    ACTIONS(10212), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10210), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10214), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79938] = 9,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79995] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10190), 1,
      anon_sym_COMMA,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    STATE(6748), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10216), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80078] = 18,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10153), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10155), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9465), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10218), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80153] = 4,
    ACTIONS(10222), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10224), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [80200] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7632), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80285] = 4,
    ACTIONS(10230), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10232), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [80332] = 11,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80393] = 10,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80452] = 13,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9491), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80517] = 16,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 9,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80588] = 15,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80657] = 17,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80730] = 13,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9459), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80795] = 9,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80852] = 18,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9465), 1,
      anon_sym_DOT,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80927] = 6,
    ACTIONS(10234), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4608), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9613), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [80978] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10237), 1,
      anon_sym_COMMA,
    ACTIONS(10239), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7359), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81063] = 11,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81124] = 10,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81183] = 8,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9483), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [81238] = 15,
    ACTIONS(9477), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81307] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    ACTIONS(10243), 1,
      anon_sym_LT_LT_LT,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(4625), 1,
      aux_sym_call_expression_repeat1,
    STATE(5010), 1,
      sym_coarray_index,
    STATE(5130), 1,
      sym_argument_list,
    STATE(6512), 1,
      sym_cuda_kernel_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81392] = 4,
    ACTIONS(10247), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10245), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10249), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81439] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7333), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81524] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10255), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7335), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81609] = 4,
    ACTIONS(10259), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10257), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10261), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81656] = 4,
    ACTIONS(10265), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10263), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10267), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81703] = 4,
    ACTIONS(10271), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10269), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10273), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81750] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(9469), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10153), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10155), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10275), 1,
      anon_sym_QMARK,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10218), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9467), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81831] = 4,
    ACTIONS(10279), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10277), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10281), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81878] = 13,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9491), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81943] = 16,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10155), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82014] = 5,
    STATE(3338), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4583), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9754), 27,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82063] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9370), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10153), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10155), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10218), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82140] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82215] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10283), 1,
      anon_sym_COMMA,
    ACTIONS(10285), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7599), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82300] = 8,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9483), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82355] = 15,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9477), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82424] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10287), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6807), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82509] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10289), 1,
      anon_sym_COMMA,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7631), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82594] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10293), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7632), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82679] = 11,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82740] = 10,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82799] = 13,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9491), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82864] = 16,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82935] = 15,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83004] = 17,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83077] = 13,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9459), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [83142] = 9,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [83199] = 18,
    ACTIONS(9465), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83274] = 4,
    ACTIONS(10297), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10295), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10299), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [83321] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83396] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10301), 1,
      anon_sym_COMMA,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6856), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83481] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10305), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6857), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83566] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10307), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(7007), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83651] = 15,
    ACTIONS(9443), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10157), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10159), 1,
      anon_sym_STAR_STAR,
    STATE(3293), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10145), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10147), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10151), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10149), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83720] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    ACTIONS(10309), 1,
      anon_sym_COMMA,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6932), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83805] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10313), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6933), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83890] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    STATE(6807), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83975] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [84019] = 15,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9477), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84087] = 4,
    ACTIONS(10329), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84133] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9370), 1,
      anon_sym_EQ,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84209] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7291), 1,
      anon_sym_COMMA,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7293), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84289] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10361), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(10363), 1,
      anon_sym_LBRACK,
    ACTIONS(10365), 1,
      anon_sym_QMARK,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    STATE(7266), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10355), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84371] = 4,
    ACTIONS(10369), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84417] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10257), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10261), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84461] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(6954), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84543] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84587] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84631] = 4,
    ACTIONS(10381), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84677] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10385), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10387), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10389), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10391), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84765] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84809] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84853] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10393), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10395), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84941] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10269), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10273), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84985] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10224), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85029] = 18,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9465), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10399), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85147] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10043), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10045), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85191] = 4,
    ACTIONS(10403), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85237] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10047), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10049), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85281] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10407), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10409), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85325] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85369] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10411), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT_GT,
      anon_sym_RBRACK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85447] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10415), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85491] = 4,
    ACTIONS(10419), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85537] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85581] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10053), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85625] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10007), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10009), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85669] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85713] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10011), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10013), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85757] = 8,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9483), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85811] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10425), 1,
      anon_sym_COMMA,
    ACTIONS(10427), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(8030), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85893] = 10,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9463), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85951] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9467), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86029] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86073] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86117] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86161] = 4,
    ACTIONS(10431), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86207] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9491), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86271] = 4,
    ACTIONS(10437), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86317] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86361] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86405] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86449] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9479), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86527] = 4,
    ACTIONS(10443), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86573] = 11,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86633] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86677] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86765] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10451), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86845] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7279), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7275), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86925] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10210), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10214), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86969] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10455), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10457), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87013] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7199), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7197), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87093] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87173] = 10,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [87231] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(8052), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87313] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10471), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10473), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10475), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87387] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10411), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87465] = 13,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9491), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [87529] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87573] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87653] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87731] = 16,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10473), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87801] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10483), 1,
      anon_sym_GT_GT_GT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(6833), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87883] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10019), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10021), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87927] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87971] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10363), 1,
      anon_sym_LBRACK,
    ACTIONS(10365), 1,
      anon_sym_QMARK,
    ACTIONS(10485), 1,
      anon_sym_SLASH_RPAREN,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    STATE(7616), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10355), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [88053] = 8,
    ACTIONS(10487), 1,
      anon_sym_LPAREN2,
    STATE(722), 1,
      sym__end_of_statement,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7512), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10490), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88107] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88151] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9459), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88215] = 4,
    ACTIONS(10494), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88261] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4722), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88305] = 8,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9483), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88359] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10471), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10473), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10498), 1,
      anon_sym_LBRACK,
    ACTIONS(10500), 1,
      anon_sym_QMARK,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10475), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9467), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [88437] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10502), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10504), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88525] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88569] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88613] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88657] = 15,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9477), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [88725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10506), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10508), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88769] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10510), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10512), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88813] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10514), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10516), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88857] = 15,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [88925] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10520), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10518), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89005] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    ACTIONS(10522), 1,
      anon_sym_COMMA,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10524), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89085] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89165] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10528), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10530), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89209] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10023), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10025), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89253] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9987), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9989), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89297] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9991), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9993), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89341] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9999), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10001), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89385] = 17,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10471), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10473), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 7,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89457] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10534), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89537] = 13,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9459), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89601] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10121), 1,
      anon_sym_COLON,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89681] = 18,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9465), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    ACTIONS(10449), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10471), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10473), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10477), 1,
      anon_sym_SLASH_SLASH,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10465), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10469), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10475), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10467), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89755] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10540), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89879] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10542), 1,
      anon_sym_COMMA,
    ACTIONS(10544), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(8061), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [89961] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90005] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90049] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90093] = 9,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(10423), 1,
      anon_sym_PERCENT,
    STATE(3228), 1,
      sym_user_defined_operator,
    STATE(5103), 1,
      sym_coarray_index,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4916), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90149] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4730), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90193] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4726), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90237] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4722), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90281] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4718), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90325] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4730), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90369] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4734), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90413] = 16,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90483] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4718), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [90527] = 15,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90595] = 5,
    ACTIONS(10546), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10548), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4722), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [90643] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10427), 1,
      anon_sym_RPAREN,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(8048), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10552), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10554), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90769] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90813] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10035), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10037), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90857] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4734), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90901] = 11,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9463), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90961] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10039), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10041), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91005] = 4,
    ACTIONS(10558), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91051] = 4,
    ACTIONS(10564), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91097] = 4,
    ACTIONS(10570), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91143] = 17,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9489), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91215] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9979), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9981), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91259] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9983), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9985), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91303] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10574), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(8048), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91385] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9995), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9997), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91429] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9975), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9977), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91473] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10003), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10005), 27,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91517] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    ACTIONS(10576), 1,
      anon_sym_COMMA,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10578), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91597] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10485), 1,
      anon_sym_RBRACK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(7195), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91679] = 9,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91735] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10580), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91812] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91855] = 10,
    ACTIONS(10586), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10590), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10592), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10594), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10596), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4167), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10598), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3594), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10588), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [91912] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91955] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91998] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92075] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92152] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92195] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92272] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10606), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92349] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92392] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10612), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92469] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92512] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92589] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92632] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10620), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92709] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10622), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92786] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10624), 1,
      anon_sym_RPAREN,
    ACTIONS(10626), 1,
      anon_sym_EQ_GT,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92865] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92908] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10632), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92985] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93028] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93071] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93114] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93191] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10648), 4,
      aux_sym__import_names_token1,
      aux_sym_coarray_statement_token3,
      aux_sym_coarray_statement_token4,
      aux_sym_coarray_statement_token5,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93236] = 8,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9485), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9483), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93289] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4824), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10086), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10088), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [93336] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10652), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93413] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93490] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93567] = 15,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(9477), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9475), 8,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93634] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4835), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [93681] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4877), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [93728] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93805] = 11,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93864] = 10,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93921] = 13,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9493), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9491), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93984] = 16,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 7,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94053] = 15,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 8,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94120] = 17,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(9489), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9487), 6,
      anon_sym_COMMA,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94191] = 13,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9461), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9459), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [94254] = 9,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9465), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9463), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [94309] = 18,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(9465), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10355), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9463), 4,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94382] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4877), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10096), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [94429] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4846), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10082), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10084), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [94476] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94519] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94562] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94648] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94691] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94734] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94777] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10660), 1,
      anon_sym_EQ,
    ACTIONS(10662), 1,
      anon_sym_EQ_GT,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94856] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94899] = 5,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    STATE(4877), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10090), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10092), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [94946] = 10,
    ACTIONS(10586), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10590), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10592), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10594), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10596), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4167), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10598), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3615), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10588), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [95003] = 10,
    ACTIONS(10586), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10590), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10592), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10594), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10596), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4167), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10598), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(4091), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10588), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [95060] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95146] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95189] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10363), 1,
      anon_sym_LBRACK,
    ACTIONS(10365), 1,
      anon_sym_QMARK,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10355), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10411), 2,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95266] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95309] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95352] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95395] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95438] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95524] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95567] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95610] = 6,
    ACTIONS(10696), 1,
      aux_sym_block_data_statement_token2,
    STATE(207), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10694), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [95659] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95702] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95745] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95788] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10698), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95865] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95908] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95951] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96037] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96080] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96123] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96166] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96209] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96252] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96295] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96338] = 5,
    ACTIONS(10700), 1,
      anon_sym_COMMA,
    STATE(4877), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10098), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10100), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96385] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96428] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10578), 1,
      anon_sym_RPAREN,
    ACTIONS(10707), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96507] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10709), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96584] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10711), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96661] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96738] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96815] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96858] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10194), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10196), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10200), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5010), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10170), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10198), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10721), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10168), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96935] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7609), 1,
      anon_sym_LPAREN2,
    ACTIONS(10345), 1,
      anon_sym_PERCENT,
    ACTIONS(10351), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10353), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10357), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10359), 1,
      anon_sym_STAR_STAR,
    STATE(3180), 1,
      sym_user_defined_operator,
    STATE(3345), 1,
      sym__argument_list,
    STATE(5385), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10343), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10355), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4952), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9368), 4,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10347), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97008] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    ACTIONS(10723), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4726), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97126] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4722), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97168] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10098), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10100), 31,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97210] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10574), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97286] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4718), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97328] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4730), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97370] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4734), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97412] = 5,
    ACTIONS(10725), 1,
      anon_sym__,
    STATE(5021), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5712), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97458] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10727), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97534] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10729), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97610] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4718), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [97652] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10622), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97728] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10731), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97804] = 5,
    STATE(207), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10694), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97850] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97926] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10735), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98002] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10737), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98078] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10739), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98154] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10741), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98230] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10743), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98306] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98382] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10747), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98458] = 5,
    ACTIONS(10725), 1,
      anon_sym__,
    STATE(4969), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8780), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8778), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98504] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    ACTIONS(10749), 1,
      anon_sym_COMMA,
    ACTIONS(10751), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98580] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10660), 1,
      anon_sym_EQ,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98656] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    ACTIONS(10753), 1,
      anon_sym_COMMA,
    ACTIONS(10755), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98732] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10323), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10333), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10335), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_COMMA,
    ACTIONS(10664), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3167), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10317), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10321), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10337), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10319), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98808] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10757), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98884] = 5,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4918), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9754), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98930] = 6,
    ACTIONS(10759), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10761), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(10763), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4734), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98978] = 6,
    ACTIONS(9617), 1,
      anon_sym_LPAREN2,
    STATE(5165), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4918), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9613), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99026] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10765), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99102] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10767), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99178] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10769), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99254] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10721), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99330] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10771), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99406] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    ACTIONS(10427), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99482] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(9483), 1,
      anon_sym_RPAREN,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99558] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(10123), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10125), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10129), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10131), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10133), 1,
      anon_sym_QMARK,
    ACTIONS(10773), 1,
      anon_sym_COLON,
    STATE(3152), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    STATE(4422), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10119), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10127), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4569), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10117), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99634] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4589), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [99707] = 6,
    ACTIONS(10775), 1,
      anon_sym_LPAREN2,
    STATE(3345), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4928), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9615), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9613), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99754] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99795] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99836] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99877] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99959] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100000] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10389), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10391), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100041] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100082] = 5,
    ACTIONS(10778), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(10780), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100127] = 5,
    ACTIONS(10782), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10784), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4722), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100172] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100213] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100295] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100336] = 5,
    ACTIONS(10786), 1,
      anon_sym__,
    STATE(5094), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8780), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8778), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100381] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100422] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10135), 1,
      anon_sym_PERCENT,
    ACTIONS(10172), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10174), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(3267), 1,
      sym_user_defined_operator,
    STATE(3338), 1,
      sym__argument_list,
    STATE(4210), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10164), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4625), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [100495] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100536] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100577] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100618] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3597), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100665] = 6,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(4063), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5708), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5710), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5712), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100712] = 5,
    ACTIONS(10778), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(10788), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100757] = 5,
    STATE(3345), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4928), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9756), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9754), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100802] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10790), 2,
      aux_sym_coarray_statement_token9,
      aux_sym_coarray_statement_token10,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100845] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10502), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10504), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100886] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10055), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10059), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100927] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7820), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100974] = 5,
    ACTIONS(10786), 1,
      anon_sym__,
    STATE(5054), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5712), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101019] = 6,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(4063), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5708), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5710), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5712), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101066] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(10068), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10076), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10078), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10080), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3281), 1,
      sym_user_defined_operator,
    STATE(4589), 1,
      aux_sym_call_expression_repeat1,
    STATE(5191), 1,
      sym_argument_list,
    STATE(5192), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10064), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10066), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10072), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10105), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10070), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [101141] = 4,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [101184] = 5,
    ACTIONS(10546), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10548), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4722), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101229] = 5,
    ACTIONS(8782), 1,
      anon_sym__,
    STATE(5140), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5712), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101274] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [101315] = 5,
    ACTIONS(10794), 1,
      anon_sym__,
    STATE(5512), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5712), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101359] = 4,
    ACTIONS(10796), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4730), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101401] = 4,
    ACTIONS(10798), 1,
      aux_sym_coarray_critical_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101443] = 4,
    ACTIONS(10800), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101485] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10802), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101527] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9300), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9298), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101567] = 5,
    ACTIONS(10546), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10548), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4722), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101611] = 4,
    ACTIONS(10804), 1,
      aux_sym_coarray_statement_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101653] = 4,
    ACTIONS(10806), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101695] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9260), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9258), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101735] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9264), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9262), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101775] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6875), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6873), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101815] = 4,
    ACTIONS(10808), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101857] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9192), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9190), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101937] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9196), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9194), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101977] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7033), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7031), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102017] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102057] = 4,
    ACTIONS(10810), 1,
      aux_sym_block_data_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102099] = 4,
    ACTIONS(10812), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102141] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9268), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9266), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102181] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9029), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9027), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102221] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102261] = 5,
    ACTIONS(10814), 1,
      anon_sym_LPAREN2,
    STATE(3061), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102305] = 4,
    ACTIONS(10816), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102347] = 4,
    ACTIONS(10818), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102389] = 4,
    ACTIONS(10820), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102431] = 4,
    ACTIONS(10822), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102473] = 5,
    ACTIONS(10814), 1,
      anon_sym_LPAREN2,
    STATE(3042), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102517] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8189), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102557] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9066), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9064), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102597] = 4,
    ACTIONS(10824), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102639] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7119), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102679] = 4,
    ACTIONS(10826), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9070), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9068), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102761] = 4,
    ACTIONS(10828), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102803] = 7,
    ACTIONS(10830), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_RPAREN,
    ACTIONS(10834), 1,
      anon_sym_COLON_COLON,
    STATE(7609), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102851] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9370), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9368), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102891] = 4,
    ACTIONS(10836), 1,
      aux_sym_stop_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102933] = 4,
    ACTIONS(10838), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102975] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7113), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7111), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9366), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9364), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103055] = 4,
    ACTIONS(10840), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103097] = 4,
    ACTIONS(10842), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103139] = 4,
    ACTIONS(10778), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103181] = 4,
    ACTIONS(10788), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103223] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9156), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9154), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103263] = 4,
    ACTIONS(10844), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103305] = 5,
    ACTIONS(10814), 1,
      anon_sym_LPAREN2,
    STATE(3080), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103349] = 5,
    ACTIONS(10846), 1,
      anon_sym_LPAREN2,
    STATE(8621), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103393] = 4,
    ACTIONS(10780), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4726), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103435] = 4,
    ACTIONS(10849), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103477] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8185), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103517] = 4,
    ACTIONS(10851), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103559] = 5,
    ACTIONS(10794), 1,
      anon_sym__,
    STATE(5381), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8780), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8778), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103603] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6799), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6797), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103643] = 4,
    ACTIONS(10853), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103685] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8857), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8855), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103725] = 5,
    ACTIONS(10855), 1,
      anon_sym_LPAREN2,
    STATE(840), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103769] = 4,
    ACTIONS(10857), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103811] = 5,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10859), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103893] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103932] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103971] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104010] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104049] = 4,
    ACTIONS(10861), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104090] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9264), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9262), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104129] = 4,
    ACTIONS(10863), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104170] = 4,
    ACTIONS(10865), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104211] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104250] = 4,
    ACTIONS(10867), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104291] = 5,
    ACTIONS(6004), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6001), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(4716), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104334] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104373] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9066), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9064), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104451] = 4,
    ACTIONS(10869), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104492] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104531] = 4,
    ACTIONS(10871), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104572] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104611] = 4,
    ACTIONS(10873), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104691] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9192), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9190), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104730] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104769] = 6,
    ACTIONS(10830), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_RPAREN,
    STATE(7595), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104814] = 4,
    ACTIONS(10875), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104855] = 4,
    ACTIONS(10877), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104896] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7033), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7031), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104935] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104974] = 4,
    ACTIONS(10879), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8857), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8855), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105054] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105093] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105132] = 4,
    ACTIONS(10881), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105173] = 4,
    ACTIONS(10883), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105214] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6799), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6797), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105253] = 4,
    ACTIONS(10885), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105294] = 4,
    ACTIONS(10887), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105335] = 4,
    ACTIONS(10889), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105376] = 4,
    ACTIONS(10891), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105417] = 4,
    ACTIONS(10893), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105458] = 4,
    ACTIONS(10895), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105499] = 4,
    ACTIONS(10897), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105540] = 4,
    ACTIONS(10899), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105581] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105620] = 4,
    ACTIONS(10901), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105661] = 4,
    ACTIONS(10903), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105702] = 4,
    ACTIONS(10905), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105743] = 6,
    ACTIONS(10907), 1,
      anon_sym_COMMA,
    ACTIONS(10909), 1,
      anon_sym_RPAREN,
    STATE(7659), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105788] = 4,
    ACTIONS(10911), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105829] = 4,
    ACTIONS(10913), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105870] = 4,
    ACTIONS(10915), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105911] = 4,
    ACTIONS(10917), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105952] = 4,
    ACTIONS(10919), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105993] = 4,
    ACTIONS(10921), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106034] = 4,
    ACTIONS(10923), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106075] = 4,
    ACTIONS(10925), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106116] = 4,
    ACTIONS(10927), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106157] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106196] = 4,
    ACTIONS(10929), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106237] = 4,
    ACTIONS(10931), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106278] = 4,
    ACTIONS(10933), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106319] = 4,
    ACTIONS(10935), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106360] = 4,
    ACTIONS(10937), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106401] = 7,
    ACTIONS(10939), 1,
      anon_sym_COMMA,
    ACTIONS(10941), 1,
      anon_sym_SLASH,
    STATE(3480), 1,
      sym_data_value,
    STATE(6685), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106448] = 4,
    ACTIONS(10943), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106489] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106528] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9196), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9194), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106567] = 4,
    ACTIONS(10945), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106608] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106647] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9300), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9298), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106686] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9268), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9266), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106725] = 4,
    ACTIONS(10947), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106766] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106844] = 17,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10949), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10957), 1,
      sym_preproc_comment,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5258), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8925), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [106911] = 4,
    ACTIONS(10959), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106952] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106991] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107030] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9156), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9154), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107069] = 6,
    ACTIONS(5999), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6001), 1,
      anon_sym_LPAREN2,
    ACTIONS(6004), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [107114] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107153] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9029), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9027), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107192] = 4,
    ACTIONS(10961), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107233] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9070), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9068), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107311] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107350] = 4,
    ACTIONS(10963), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10556), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10560), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107391] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107430] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107469] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107508] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107547] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107586] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7119), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107625] = 5,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(10859), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107668] = 4,
    ACTIONS(10965), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107709] = 5,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10859), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107791] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107830] = 4,
    ACTIONS(10967), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10568), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10572), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107871] = 4,
    ACTIONS(10969), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107912] = 4,
    ACTIONS(10971), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107953] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107992] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108031] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108070] = 4,
    ACTIONS(10973), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108111] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10979), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10977), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10975), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108152] = 4,
    ACTIONS(10981), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108193] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108232] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7113), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7111), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108271] = 4,
    ACTIONS(10983), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108312] = 4,
    ACTIONS(10985), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108353] = 4,
    ACTIONS(10987), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108394] = 4,
    ACTIONS(10989), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108435] = 4,
    ACTIONS(10991), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108476] = 4,
    ACTIONS(10993), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108517] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8857), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8855), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108556] = 4,
    ACTIONS(10995), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108597] = 17,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10997), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10999), 1,
      sym_preproc_comment,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5240), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8187), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [108664] = 4,
    ACTIONS(11001), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10379), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10383), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108705] = 4,
    ACTIONS(11003), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108746] = 4,
    ACTIONS(11005), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108787] = 4,
    ACTIONS(11007), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108828] = 4,
    ACTIONS(11009), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108869] = 4,
    ACTIONS(11011), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108910] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9370), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9368), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108949] = 4,
    ACTIONS(11013), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108990] = 4,
    ACTIONS(11015), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10429), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10433), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109031] = 4,
    ACTIONS(11017), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109072] = 6,
    ACTIONS(5999), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6001), 1,
      anon_sym_LPAREN2,
    ACTIONS(6004), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109117] = 4,
    ACTIONS(11019), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109158] = 4,
    ACTIONS(11021), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109199] = 4,
    ACTIONS(11023), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109240] = 4,
    ACTIONS(11025), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10435), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10439), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109281] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109320] = 4,
    ACTIONS(11027), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109361] = 6,
    ACTIONS(11029), 1,
      anon_sym_COMMA,
    ACTIONS(11031), 1,
      anon_sym_RPAREN,
    STATE(6950), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109406] = 4,
    ACTIONS(11033), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10405), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109447] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109486] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6875), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6873), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109525] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10859), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109566] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7011), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7009), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109605] = 4,
    ACTIONS(9166), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109646] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109685] = 5,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109728] = 4,
    ACTIONS(11037), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10496), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109769] = 4,
    ACTIONS(11039), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109810] = 4,
    ACTIONS(11041), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10367), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10371), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109851] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109890] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109929] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9366), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9364), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109968] = 4,
    ACTIONS(9166), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110009] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110048] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110087] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110126] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110165] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9260), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9258), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110243] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110282] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7459), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7461), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110321] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110360] = 4,
    ACTIONS(11043), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110401] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110439] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110477] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110515] = 4,
    ACTIONS(11045), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110555] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110593] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11047), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(10977), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10975), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
  [110633] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11049), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9156), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9154), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110673] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110749] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110787] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11051), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110827] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110865] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110903] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10859), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [110943] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110981] = 10,
    ACTIONS(9437), 1,
      anon_sym_LPAREN2,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    STATE(4422), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8040), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8034), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [111033] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111071] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111109] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11055), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [111149] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111187] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111225] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111263] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111301] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111339] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9029), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9027), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [111415] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111529] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111567] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111643] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111681] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111719] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111757] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111795] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111833] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111871] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111909] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111985] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112023] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112061] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112099] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112137] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112175] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112213] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11055), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [112253] = 4,
    ACTIONS(11055), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [112293] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11057), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8595), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [112357] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112395] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11059), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5335), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8611), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [112459] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11061), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5336), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8638), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [112523] = 6,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(11065), 1,
      anon_sym_SLASH,
    STATE(7569), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [112567] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11061), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8638), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [112631] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112669] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11068), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5419), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8811), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [112733] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112771] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112809] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112847] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112885] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112923] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112961] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112999] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113037] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113075] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113113] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113151] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113189] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113227] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113265] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11070), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5423), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8903), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [113329] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11070), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8903), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [113393] = 4,
    ACTIONS(11072), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [113433] = 7,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(11065), 1,
      anon_sym_SLASH,
    ACTIONS(11075), 1,
      anon_sym_STAR,
    STATE(7573), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [113479] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113517] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113555] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113593] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113631] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113669] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113707] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113745] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113783] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113821] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113859] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113935] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113973] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114011] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114049] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114087] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114125] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114201] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114239] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114277] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114315] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114391] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114429] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114467] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114505] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114543] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114581] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114619] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114657] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114695] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114733] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114771] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114809] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114847] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114885] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114923] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114961] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114999] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115037] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115075] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115113] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115151] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115189] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115227] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115265] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115303] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115341] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115379] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115417] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115455] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115493] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115569] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115607] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115645] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115683] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115759] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115797] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115873] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115911] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115949] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115987] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116025] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116063] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116101] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116139] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116177] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11077), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5461), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8498), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116241] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116279] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116317] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11079), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8517), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116381] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11081), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8549), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116445] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116483] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116521] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116559] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116635] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116673] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116749] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116787] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116825] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116863] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116901] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116939] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116977] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117091] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117129] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117167] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117205] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117243] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117281] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117319] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117357] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117395] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117433] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117471] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [117509] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4726), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [117547] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [117585] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4730), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [117623] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4734), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [117661] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117699] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117737] = 4,
    ACTIONS(11083), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4718), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117777] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117815] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117853] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9062), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9060), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117929] = 4,
    ACTIONS(10859), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117969] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118007] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118045] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118083] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118121] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9300), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9298), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118159] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118199] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118237] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118275] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9156), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9154), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118313] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118351] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118389] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118427] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118465] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118503] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118541] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118617] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9260), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9258), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118655] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9264), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9262), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118693] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9268), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9266), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118731] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118769] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118807] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118845] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118883] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118921] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9066), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9064), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [118959] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118997] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119035] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9070), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9068), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119073] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119111] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119149] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119187] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119225] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119263] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119301] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119339] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119415] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11055), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119455] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119493] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9192), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9190), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9196), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9194), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119569] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11085), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8437), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [119633] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11085), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5235), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8437), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [119697] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119735] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7459), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7461), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119773] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11087), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8479), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [119837] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119875] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119913] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119951] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9370), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9368), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119989] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9366), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9364), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120141] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120179] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5028), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5030), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120217] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5034), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120255] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5036), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5038), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120293] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120331] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120369] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120407] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120445] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5052), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5054), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120483] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5056), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5058), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120521] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10562), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10566), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120559] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5060), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5062), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5064), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5066), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120635] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120673] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5068), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120749] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5072), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5074), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120787] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120825] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120863] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120901] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120939] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [120977] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5090), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121091] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121129] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121167] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121205] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121243] = 16,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10951), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10953), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11089), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10955), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8515), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [121307] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121345] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121383] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121421] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121459] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121497] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10421), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121535] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121573] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10445), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121611] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121649] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121687] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10636), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10640), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121763] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10644), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121801] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5040), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5042), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121839] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121877] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4946), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121915] = 6,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(11091), 1,
      anon_sym_SLASH,
    STATE(6826), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [121959] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [121997] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4950), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122035] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4854), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122073] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4858), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122111] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122149] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4842), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122187] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10327), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10331), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122225] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4898), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122263] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122301] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4902), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122339] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10680), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10684), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122415] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10688), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10690), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10692), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122529] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122567] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5048), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5050), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8183), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8185), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122643] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8187), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8189), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122681] = 4,
    ACTIONS(11094), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [122721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122759] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122797] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122873] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10703), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10705), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122911] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10717), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122949] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [122987] = 4,
    ACTIONS(11097), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10582), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10584), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [123065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5084), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5086), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [123103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10616), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [123141] = 4,
    ACTIONS(11100), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123181] = 4,
    ACTIONS(11102), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123221] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8857), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8855), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123259] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [123297] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5044), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5046), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [123335] = 4,
    ACTIONS(11107), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11105), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11109), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123374] = 4,
    ACTIONS(11111), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123413] = 4,
    ACTIONS(11113), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123452] = 4,
    ACTIONS(11117), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11115), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11119), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123491] = 5,
    ACTIONS(11121), 1,
      anon_sym_COMMA,
    ACTIONS(11123), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123532] = 5,
    ACTIONS(11126), 1,
      anon_sym_COMMA,
    ACTIONS(11128), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123573] = 4,
    ACTIONS(11133), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11131), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11135), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123612] = 4,
    ACTIONS(11137), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123651] = 4,
    ACTIONS(11141), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11139), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11143), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123690] = 4,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123729] = 4,
    ACTIONS(11149), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11147), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11151), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123768] = 4,
    ACTIONS(11155), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11153), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11157), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123807] = 4,
    ACTIONS(11161), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11159), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11163), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123846] = 4,
    ACTIONS(11167), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11165), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11169), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123885] = 4,
    ACTIONS(11171), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [123924] = 4,
    ACTIONS(11175), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11173), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11177), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [123963] = 4,
    ACTIONS(11179), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [124002] = 5,
    ACTIONS(11181), 1,
      anon_sym_COMMA,
    ACTIONS(11183), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [124043] = 6,
    ACTIONS(11181), 1,
      anon_sym_COMMA,
    ACTIONS(11183), 1,
      anon_sym_SLASH,
    ACTIONS(11186), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [124086] = 4,
    ACTIONS(11188), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9362), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9360), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [124125] = 4,
    ACTIONS(11192), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11190), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11194), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124164] = 4,
    ACTIONS(11198), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11196), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11200), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124203] = 4,
    ACTIONS(11204), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11202), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11206), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11208), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11210), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11139), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11143), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124314] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11212), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11214), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124350] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11216), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11218), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11220), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11222), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124422] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4852), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4854), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124458] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4858), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124494] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11226), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124530] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4900), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4902), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124566] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4944), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4946), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124602] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11159), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11163), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5290), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124674] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5294), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124710] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11228), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11230), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124746] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5244), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5246), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124782] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11232), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11234), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124818] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4840), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4842), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5306), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124890] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5298), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124926] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11236), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11238), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124962] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11240), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11242), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [124998] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5300), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5302), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125034] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11246), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125070] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11248), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11250), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125106] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11252), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11254), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125142] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11256), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11258), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125178] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11262), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125214] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11266), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125250] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11270), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125286] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11272), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11274), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125322] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5212), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5214), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125358] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9932), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(9937), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125394] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5250), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125430] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11276), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11278), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125466] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4948), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4950), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125502] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11196), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11200), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11280), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11282), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11286), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125610] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11288), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11290), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125646] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11115), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11119), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125682] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11292), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11294), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125718] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11296), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11298), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125754] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4896), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4898), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [125790] = 13,
    ACTIONS(11302), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11304), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(11307), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11313), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11319), 1,
      aux_sym_derived_type_token1,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11322), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    ACTIONS(11300), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(11310), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [125845] = 14,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11325), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11327), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(11329), 1,
      aux_sym_function_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5584), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [125902] = 13,
    ACTIONS(8810), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8812), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8818), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8820), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8822), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11327), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(11329), 1,
      aux_sym_function_statement_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5584), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8824), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8816), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [125957] = 12,
    ACTIONS(11336), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(11339), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11345), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11348), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11351), 1,
      aux_sym_derived_type_token1,
    STATE(5592), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11334), 2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
    STATE(5644), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5584), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(11331), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(11342), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126010] = 18,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    STATE(3864), 1,
      sym__class_default,
    STATE(6965), 1,
      sym_statement_label,
    STATE(8013), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5599), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [126074] = 18,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    STATE(3864), 1,
      sym__class_default,
    STATE(7105), 1,
      sym_statement_label,
    STATE(7891), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5599), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [126138] = 18,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    STATE(3864), 1,
      sym__class_default,
    STATE(7401), 1,
      sym_statement_label,
    STATE(7970), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5599), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [126202] = 5,
    ACTIONS(11380), 1,
      anon_sym_LPAREN2,
    ACTIONS(11382), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8146), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8142), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126240] = 18,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    STATE(3864), 1,
      sym__class_default,
    STATE(7621), 1,
      sym_statement_label,
    STATE(7973), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5599), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [126304] = 4,
    ACTIONS(11384), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8181), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8177), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126339] = 5,
    ACTIONS(9471), 1,
      anon_sym_LBRACK,
    STATE(5602), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8040), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8034), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126376] = 7,
    ACTIONS(7613), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10111), 1,
      anon_sym_LPAREN2,
    ACTIONS(11386), 1,
      anon_sym_STAR,
    STATE(5655), 1,
      sym_kind,
    STATE(5657), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7607), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [126417] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8201), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8199), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126449] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8205), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8203), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8215), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8213), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126513] = 7,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(11396), 1,
      anon_sym_EQ_GT,
    STATE(5611), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11392), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11390), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126553] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8209), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8207), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [126585] = 13,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11398), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11400), 1,
      sym_preproc_comment,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5603), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126637] = 15,
    ACTIONS(11402), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11405), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11408), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11414), 1,
      sym_preproc_directive,
    ACTIONS(11417), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11419), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11422), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11427), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11430), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11433), 1,
      aux_sym__class_default_token1,
    STATE(3864), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11411), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11425), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5599), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [126693] = 12,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11436), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5605), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126742] = 5,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(11396), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11440), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11438), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126777] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8221), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8219), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126808] = 12,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11436), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126857] = 3,
    ACTIONS(7621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7619), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [126888] = 12,
    ACTIONS(771), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9835), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9839), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9851), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9853), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11442), 1,
      aux_sym_preproc_if_token2,
    STATE(3714), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9855), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5581), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3637), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9849), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126937] = 3,
    ACTIONS(7617), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7615), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [126968] = 3,
    ACTIONS(6007), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5999), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [126999] = 3,
    ACTIONS(7625), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7623), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127030] = 4,
    ACTIONS(7659), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11446), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11444), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_LF,
    ACTIONS(11450), 1,
      anon_sym_LPAREN2,
    STATE(5783), 1,
      sym_preproc_argument_list,
    ACTIONS(11452), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127096] = 5,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11456), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11454), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127130] = 5,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11460), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11458), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127164] = 5,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11460), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11458), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127198] = 5,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    STATE(5613), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11464), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11462), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11466), 1,
      anon_sym_LPAREN2,
    STATE(5734), 1,
      sym_preproc_argument_list,
    ACTIONS(11452), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11448), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127266] = 5,
    ACTIONS(11388), 1,
      anon_sym_COMMA,
    STATE(5612), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11464), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11462), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127300] = 5,
    ACTIONS(11468), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11473), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11471), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127334] = 4,
    ACTIONS(7659), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11475), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11444), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11477), 1,
      anon_sym__,
    STATE(5779), 1,
      sym__kind,
    ACTIONS(5710), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5712), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_LF,
    ACTIONS(11479), 1,
      anon_sym__,
    STATE(5696), 1,
      sym__kind,
    ACTIONS(5710), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127434] = 4,
    ACTIONS(7659), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11481), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11444), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127466] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    STATE(3864), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5587), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [127515] = 3,
    ACTIONS(7697), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7695), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127544] = 3,
    ACTIONS(7677), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7675), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127573] = 3,
    ACTIONS(7655), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7653), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127602] = 3,
    ACTIONS(7701), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7699), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127631] = 3,
    ACTIONS(7685), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7683), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127660] = 3,
    ACTIONS(7659), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11444), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11485), 1,
      anon_sym_RPAREN,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    STATE(7253), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [127744] = 3,
    ACTIONS(7597), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11511), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127773] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7112), 1,
      sym_statement_label,
    STATE(7964), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5825), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [127822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4722), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127851] = 3,
    ACTIONS(7705), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7703), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127880] = 3,
    ACTIONS(7709), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7707), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127909] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    STATE(7625), 1,
      sym_statement_label,
    STATE(7979), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5810), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [127958] = 3,
    ACTIONS(7681), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7679), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [127987] = 3,
    ACTIONS(7689), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7687), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128016] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7412), 1,
      sym_statement_label,
    STATE(7991), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5825), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [128065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_LF,
    ACTIONS(11525), 1,
      anon_sym__,
    STATE(5792), 1,
      sym__kind,
    ACTIONS(5710), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128098] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    STATE(7417), 1,
      sym_statement_label,
    STATE(8005), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5810), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [128147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_LF,
    ACTIONS(4724), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LF,
    ACTIONS(4720), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LF,
    ACTIONS(4716), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128234] = 3,
    ACTIONS(7603), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11527), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128263] = 3,
    ACTIONS(7634), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7631), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_LF,
    ACTIONS(4728), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LF,
    ACTIONS(4732), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128350] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7663), 1,
      sym_statement_label,
    STATE(8058), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5825), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [128399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_LF,
    ACTIONS(11529), 1,
      anon_sym_LPAREN2,
    STATE(5830), 1,
      sym_preproc_argument_list,
    ACTIONS(11452), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128432] = 3,
    ACTIONS(7693), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7691), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128461] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    STATE(3864), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5589), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [128510] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(7641), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [128565] = 11,
    ACTIONS(11533), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11537), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11541), 1,
      aux_sym_private_statement_token1,
    ACTIONS(11543), 1,
      aux_sym_public_statement_token1,
    ACTIONS(11545), 1,
      aux_sym_end_type_statement_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11535), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5663), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [128610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11547), 1,
      anon_sym_RPAREN,
    STATE(7356), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [128665] = 3,
    ACTIONS(7643), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7641), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128694] = 3,
    ACTIONS(11551), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11549), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128723] = 3,
    ACTIONS(7647), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7645), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [128752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11555), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11553), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [128781] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11555), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11553), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [128810] = 11,
    ACTIONS(11557), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11563), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11565), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11571), 1,
      aux_sym_private_statement_token1,
    ACTIONS(11574), 1,
      aux_sym_public_statement_token1,
    ACTIONS(11577), 1,
      aux_sym_end_type_statement_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11560), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11568), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5660), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [128855] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    STATE(3864), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5586), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [128904] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4726), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [128933] = 11,
    ACTIONS(11533), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11541), 1,
      aux_sym_private_statement_token1,
    ACTIONS(11543), 1,
      aux_sym_public_statement_token1,
    ACTIONS(11579), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11581), 1,
      aux_sym_end_type_statement_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11535), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5660), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [128978] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4722), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129007] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129036] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4730), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4734), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4718), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4726), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4718), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4730), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4734), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129239] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    STATE(6949), 1,
      sym_statement_label,
    STATE(7880), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5810), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [129288] = 3,
    ACTIONS(7629), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7627), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [129317] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129346] = 3,
    ACTIONS(7651), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7649), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [129375] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11378), 1,
      sym__integer_literal,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6986), 1,
      sym_statement_label,
    STATE(7799), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5825), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [129424] = 3,
    ACTIONS(7639), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7637), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [129453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11583), 1,
      anon_sym_RPAREN,
    STATE(6863), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [129508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LF,
    ACTIONS(4716), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129537] = 13,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11366), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11368), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11372), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11374), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    STATE(3864), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11360), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5585), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [129586] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11585), 1,
      anon_sym_LF,
    ACTIONS(11587), 1,
      sym_preproc_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129634] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11609), 1,
      anon_sym_LF,
    ACTIONS(11611), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129682] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11613), 1,
      anon_sym_LF,
    ACTIONS(11615), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129730] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11617), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [129778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 12,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 14,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129844] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11621), 1,
      anon_sym_LF,
    ACTIONS(11623), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129892] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11625), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [129942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8185), 1,
      anon_sym_LF,
    ACTIONS(8183), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8187), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8189), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11619), 1,
      anon_sym_PIPE,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11617), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [130042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LF,
    ACTIONS(4732), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11627), 1,
      anon_sym_LF,
    ACTIONS(11629), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130118] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11631), 1,
      anon_sym_LF,
    ACTIONS(11633), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8855), 1,
      anon_sym_LF,
    ACTIONS(8857), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130194] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11635), 1,
      anon_sym_LF,
    ACTIONS(11637), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_LF,
    ACTIONS(11641), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130270] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11645), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11643), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [130298] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11647), 1,
      anon_sym_LF,
    ACTIONS(11649), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8183), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8185), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 16,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130404] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11653), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11651), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [130432] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11657), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11655), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [130460] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11659), 1,
      anon_sym_LF,
    ACTIONS(11661), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_LF,
    ACTIONS(11665), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11667), 1,
      anon_sym_LF,
    ACTIONS(11669), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11671), 1,
      anon_sym_LF,
    ACTIONS(11673), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130632] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11675), 1,
      anon_sym_LF,
    ACTIONS(11677), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130680] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11679), 1,
      anon_sym_LF,
    ACTIONS(11681), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130728] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11683), 1,
      anon_sym_LF,
    ACTIONS(11685), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130776] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11687), 1,
      anon_sym_LF,
    ACTIONS(11689), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130824] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11691), 1,
      anon_sym_LF,
    ACTIONS(11693), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11697), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11695), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130900] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11699), 1,
      anon_sym_LF,
    ACTIONS(11701), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130948] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11703), 1,
      anon_sym_LF,
    ACTIONS(11705), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9027), 1,
      anon_sym_LF,
    ACTIONS(9029), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131024] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11707), 1,
      anon_sym_LF,
    ACTIONS(11709), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131072] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11711), 1,
      anon_sym_LF,
    ACTIONS(11713), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131120] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11715), 1,
      anon_sym_LF,
    ACTIONS(11717), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131168] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11719), 1,
      anon_sym_LF,
    ACTIONS(11721), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11723), 1,
      anon_sym_LF,
    ACTIONS(11725), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131244] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11727), 1,
      anon_sym_LF,
    ACTIONS(11729), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11731), 1,
      anon_sym_LF,
    ACTIONS(11733), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131340] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11737), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11735), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [131368] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11739), 1,
      anon_sym_LF,
    ACTIONS(11741), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131416] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11743), 1,
      anon_sym_LF,
    ACTIONS(11745), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LF,
    ACTIONS(4716), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      anon_sym_LF,
    ACTIONS(8187), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_LF,
    ACTIONS(11749), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_LF,
    ACTIONS(4728), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131576] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11751), 1,
      anon_sym_LF,
    ACTIONS(11753), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131624] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11755), 1,
      anon_sym_LF,
    ACTIONS(11757), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11759), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [131700] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11763), 1,
      anon_sym_LF,
    ACTIONS(11765), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131748] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11767), 1,
      anon_sym_LF,
    ACTIONS(11769), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131796] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11771), 1,
      anon_sym_LF,
    ACTIONS(11773), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131844] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11775), 1,
      anon_sym_LF,
    ACTIONS(11777), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131892] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11781), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11779), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [131920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11783), 1,
      anon_sym_LF,
    ACTIONS(11785), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131968] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11787), 1,
      anon_sym_LF,
    ACTIONS(11789), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11619), 2,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132062] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11791), 1,
      anon_sym_LF,
    ACTIONS(11793), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11797), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11795), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11801), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11799), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9027), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132194] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11803), 1,
      anon_sym_LF,
    ACTIONS(11805), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132242] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11807), 1,
      anon_sym_LF,
    ACTIONS(11809), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 3,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11749), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11747), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132362] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11619), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11617), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [132404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11619), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132432] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11811), 1,
      anon_sym_LF,
    ACTIONS(11813), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
    ACTIONS(11617), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
  [132518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11815), 1,
      anon_sym_LF,
    ACTIONS(11817), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132566] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11819), 1,
      anon_sym_LF,
    ACTIONS(11821), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132614] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11823), 1,
      anon_sym_LF,
    ACTIONS(11825), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11799), 1,
      anon_sym_LF,
    ACTIONS(11801), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132690] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11827), 1,
      anon_sym_LF,
    ACTIONS(11829), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132738] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 4,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
  [132780] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11831), 1,
      anon_sym_LF,
    ACTIONS(11833), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132828] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11835), 1,
      anon_sym_LF,
    ACTIONS(11837), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132876] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11841), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11839), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [132904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11843), 1,
      anon_sym_LF,
    ACTIONS(11845), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11795), 1,
      anon_sym_LF,
    ACTIONS(11797), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [132980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11639), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133008] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11847), 1,
      anon_sym_LF,
    ACTIONS(11849), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11617), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [133090] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11851), 1,
      anon_sym_LF,
    ACTIONS(11853), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133138] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11855), 1,
      anon_sym_LF,
    ACTIONS(11857), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133186] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11859), 1,
      anon_sym_LF,
    ACTIONS(11861), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 5,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
  [133274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 6,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [133312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_LF,
    ACTIONS(11697), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133340] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 8,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [133376] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11863), 1,
      anon_sym_LF,
    ACTIONS(11865), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11663), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11617), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8857), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8855), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11617), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133542] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11867), 1,
      anon_sym_LF,
    ACTIONS(11869), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11619), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11617), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_LF,
    ACTIONS(11761), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11725), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11723), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133674] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11619), 1,
      anon_sym_PIPE,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11617), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [133720] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11617), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [133766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_LF,
    ACTIONS(4724), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LF,
    ACTIONS(4720), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LF,
    ACTIONS(4716), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133850] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    ACTIONS(11599), 1,
      anon_sym_CARET,
    ACTIONS(11601), 1,
      anon_sym_AMP,
    ACTIONS(11871), 1,
      anon_sym_LF,
    ACTIONS(11873), 1,
      sym_preproc_comment,
    ACTIONS(11589), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11603), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11607), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11591), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11605), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11875), 1,
      anon_sym_LF,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8855), 1,
      anon_sym_LF,
    ACTIONS(8857), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [133970] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11897), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134015] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11899), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11901), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11903), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134150] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11905), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11723), 1,
      anon_sym_LF,
    ACTIONS(11725), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [134222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11907), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11909), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8185), 1,
      anon_sym_LF,
    ACTIONS(8183), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [134339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_LF,
    ACTIONS(11749), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [134366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11911), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [134448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(11619), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [134483] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11913), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11915), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [134637] = 10,
    ACTIONS(11917), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11920), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11923), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11929), 1,
      sym_preproc_directive,
    ACTIONS(11932), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11934), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11937), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5810), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [134678] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11939), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134723] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11941), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134768] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11943), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134813] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11945), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134858] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11947), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134903] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11949), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134948] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11951), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_LF,
    ACTIONS(11641), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11619), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135061] = 11,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11953), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11961), 1,
      sym_preproc_comment,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5863), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8843), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135104] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11963), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135149] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11965), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135194] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11967), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      anon_sym_LF,
    ACTIONS(8187), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135266] = 10,
    ACTIONS(11969), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11972), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11975), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11981), 1,
      sym_preproc_directive,
    ACTIONS(11984), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11986), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11978), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11989), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5825), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [135307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11991), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135352] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11993), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11995), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_LF,
    ACTIONS(11665), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_LF,
    ACTIONS(11761), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11799), 1,
      anon_sym_LF,
    ACTIONS(11801), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11997), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11619), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11999), 1,
      anon_sym_RPAREN,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [135673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_LF,
    ACTIONS(11697), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135700] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12001), 1,
      anon_sym_RPAREN,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [135749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11495), 1,
      anon_sym_PIPE,
    ACTIONS(11497), 1,
      anon_sym_CARET,
    ACTIONS(11499), 1,
      anon_sym_AMP,
    ACTIONS(11501), 1,
      anon_sym_EQ_EQ,
    ACTIONS(11503), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
    ACTIONS(11487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11505), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11507), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(11509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11489), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [135843] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(12005), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(12007), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135933] = 11,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12009), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12011), 1,
      sym_preproc_comment,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5851), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9024), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135976] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11617), 1,
      anon_sym_LF,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11619), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(12013), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136103] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(12015), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9027), 1,
      anon_sym_LF,
    ACTIONS(9029), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [136175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11795), 1,
      anon_sym_LF,
    ACTIONS(11797), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [136202] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(11883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(11885), 1,
      anon_sym_PIPE,
    ACTIONS(11887), 1,
      anon_sym_CARET,
    ACTIONS(11889), 1,
      anon_sym_AMP,
    ACTIONS(12017), 1,
      anon_sym_LF,
    ACTIONS(11877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11891), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(11895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11893), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136247] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12019), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5853), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8947), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136287] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12019), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8947), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136327] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12021), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5861), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8528), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136367] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12023), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8894), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136407] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12025), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8530), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136447] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12027), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8533), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136487] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12029), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5858), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8608), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136527] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12031), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8628), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136567] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12033), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8766), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136607] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12033), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5857), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8766), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136647] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12035), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5854), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8672), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136687] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12037), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8870), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136727] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12039), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5855), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8723), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136767] = 10,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11955), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11957), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12039), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11959), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8723), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [136807] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4858), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4856), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136832] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4950), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4948), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136857] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4854), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4852), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136882] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4898), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4896), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136907] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4902), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4900), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136932] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4842), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4840), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136957] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4946), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4944), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [136982] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5673), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [137016] = 4,
    ACTIONS(12043), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12045), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12041), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137042] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5638), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [137076] = 4,
    ACTIONS(12049), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12051), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12047), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137102] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5648), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [137136] = 4,
    ACTIONS(12055), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12057), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12053), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137162] = 4,
    ACTIONS(12061), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12063), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12059), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137188] = 4,
    ACTIONS(12067), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12069), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12065), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137214] = 4,
    ACTIONS(12073), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12075), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12071), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137240] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5631), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [137274] = 4,
    ACTIONS(12079), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12081), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12077), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137300] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5640), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [137334] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11513), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11517), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5677), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [137368] = 4,
    ACTIONS(12085), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12087), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12083), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137394] = 8,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11362), 1,
      sym_preproc_directive,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11523), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11521), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5635), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [137428] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8424), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137465] = 4,
    ACTIONS(12103), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12099), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12101), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [137490] = 4,
    ACTIONS(12109), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12105), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12107), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [137515] = 4,
    ACTIONS(12115), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12111), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12113), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [137540] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12119), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12117), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137563] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12121), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8862), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8883), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137600] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12123), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8929), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137637] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12127), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12125), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137660] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12123), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8929), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137697] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12131), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12129), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137720] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12133), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8625), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8629), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137757] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12137), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12135), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [137780] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8229), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137817] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12141), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8113), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [137854] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12141), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8113), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [137891] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12143), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8125), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8793), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [137928] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12145), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8631), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137965] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12145), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8631), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138002] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12147), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8182), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8339), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8888), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138035] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12153), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8232), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8304), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138072] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12155), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8368), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8383), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8941), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138105] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12157), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8387), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8392), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8953), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138138] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12159), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8692), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8696), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138175] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12161), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8679), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138212] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8355), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8744), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8928), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138245] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12081), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12077), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [138268] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12165), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8455), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8503), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9034), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138301] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12167), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8862), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8872), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138338] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12169), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8456), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8510), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9043), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138371] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12171), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8496), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8522), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8782), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138404] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12173), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8709), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138441] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12175), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8793), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8807), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138478] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12177), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8360), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8669), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8704), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138511] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12179), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8327), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8371), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138548] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8738), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8879), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9015), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [138581] = 4,
    ACTIONS(12187), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12185), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [138606] = 4,
    ACTIONS(12193), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12189), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12191), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [138631] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12195), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8784), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8829), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138664] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12197), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8150), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8327), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138701] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12199), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8189), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8226), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8936), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138734] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8212), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8251), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8307), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138767] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8217), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8695), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138800] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12159), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8692), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8696), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8855), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [138833] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12205), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8122), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8830), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9025), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [138866] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12207), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8173), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8862), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138903] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12209), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8179), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138940] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12209), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8179), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138977] = 4,
    ACTIONS(12215), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12211), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12213), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139002] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12217), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8197), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139039] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12217), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8197), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139076] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12219), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8304), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8554), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139113] = 4,
    ACTIONS(12225), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12221), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12223), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139138] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12227), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8198), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8793), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139175] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12201), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8251), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8307), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139212] = 4,
    ACTIONS(12233), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12229), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12231), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139237] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12235), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8381), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9058), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9065), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139270] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8695), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139307] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8695), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139344] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8424), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139381] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12237), 1,
      aux_sym_preproc_if_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8205), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8304), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139418] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12239), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8537), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8552), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9076), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139451] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12241), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8582), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8678), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9078), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139484] = 4,
    ACTIONS(12247), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12243), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12245), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139509] = 7,
    ACTIONS(12251), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12253), 1,
      aux_sym_module_statement_token1,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(12249), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(12256), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139540] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12057), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12053), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [139563] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12259), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8085), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8551), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8777), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139596] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12261), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8086), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8614), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8783), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139629] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12263), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8090), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8092), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8795), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139662] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12267), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12265), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [139685] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8229), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8932), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139718] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12271), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12269), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [139741] = 10,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12273), 1,
      aux_sym_preproc_if_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8327), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8708), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139778] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8625), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8629), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8825), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139811] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12161), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8679), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8832), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139844] = 8,
    ACTIONS(741), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12151), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8709), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8834), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [139877] = 4,
    ACTIONS(12279), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12275), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12277), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139902] = 4,
    ACTIONS(12285), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12281), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12283), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139927] = 4,
    ACTIONS(12291), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12287), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12289), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139952] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12293), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12295), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139974] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5244), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5246), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [139996] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12299), 1,
      aux_sym_end_program_statement_token1,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    STATE(6591), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12301), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [140038] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12221), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12223), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140060] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12303), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12305), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5250), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140104] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12185), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140126] = 14,
    ACTIONS(10763), 1,
      aux_sym_select_case_statement_token3,
    ACTIONS(12307), 1,
      aux_sym_block_data_statement_token1,
    ACTIONS(12309), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(12311), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(12313), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(12315), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(12317), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(12319), 1,
      aux_sym_select_type_statement_token1,
    ACTIONS(12321), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(12323), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(12325), 1,
      aux_sym_coarray_team_statement_token1,
    ACTIONS(12327), 1,
      aux_sym_coarray_critical_statement_token1,
    STATE(7637), 1,
      sym__forall_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12329), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12331), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140192] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12333), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12335), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140214] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12337), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12339), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140236] = 13,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12341), 1,
      aux_sym_end_program_statement_token1,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    STATE(6484), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12343), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [140278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5212), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5214), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12111), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12113), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140322] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12345), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12347), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140344] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5306), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140366] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5298), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140388] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5300), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5302), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140410] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12349), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12351), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140432] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5290), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140454] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5294), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140476] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12281), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12283), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140498] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12353), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12355), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140520] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12357), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12359), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [140542] = 9,
    ACTIONS(12361), 1,
      anon_sym_COMMA,
    ACTIONS(12363), 1,
      anon_sym_RPAREN,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12369), 1,
      sym__string_literal,
    ACTIONS(12371), 1,
      sym__string_literal_kind,
    ACTIONS(12373), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(5996), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [140575] = 12,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    STATE(6639), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12343), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [140614] = 9,
    ACTIONS(12377), 1,
      anon_sym_COMMA,
    ACTIONS(12380), 1,
      anon_sym_RPAREN,
    ACTIONS(12382), 1,
      anon_sym_LPAREN2,
    ACTIONS(12388), 1,
      sym__string_literal,
    ACTIONS(12391), 1,
      sym__string_literal_kind,
    ACTIONS(12394), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12385), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(5990), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [140647] = 11,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    ACTIONS(12399), 1,
      aux_sym_end_program_statement_token1,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12397), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [140684] = 3,
    ACTIONS(12403), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12401), 11,
      aux_sym_block_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
  [140705] = 12,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    STATE(6653), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12301), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [140744] = 10,
    ACTIONS(8038), 1,
      anon_sym_STAR,
    ACTIONS(8040), 1,
      anon_sym_EQ,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(3657), 1,
      sym_character_length,
    STATE(3659), 1,
      sym_argument_list,
    STATE(3704), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8034), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [140779] = 7,
    ACTIONS(12405), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(12409), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(12411), 1,
      aux_sym__intrinsic_type_token8,
    STATE(6709), 1,
      sym__intrinsic_type,
    STATE(8427), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12407), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [140808] = 9,
    ACTIONS(12361), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12369), 1,
      sym__string_literal,
    ACTIONS(12371), 1,
      sym__string_literal_kind,
    ACTIONS(12413), 1,
      anon_sym_RPAREN,
    ACTIONS(12415), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(5990), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [140841] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12417), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8496), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8522), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [140869] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12179), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8327), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8371), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140897] = 4,
    ACTIONS(12425), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12427), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12423), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [140919] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12429), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8738), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9015), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [140947] = 4,
    ACTIONS(12433), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12435), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12431), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [140969] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12167), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8862), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8872), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140997] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12437), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8830), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9025), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141025] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8251), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8307), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141053] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8695), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141081] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12439), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8360), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8669), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141109] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8625), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8629), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141137] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12441), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8834), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141165] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8424), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141193] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12443), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8182), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8339), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141221] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12445), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8679), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8832), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141249] = 4,
    ACTIONS(12449), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12451), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12447), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141271] = 10,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 1,
      anon_sym_STAR,
    STATE(2634), 1,
      sym__argument_list,
    STATE(5594), 1,
      sym_character_length,
    STATE(5597), 1,
      sym_argument_list,
    STATE(5602), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12397), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [141305] = 4,
    ACTIONS(12455), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12457), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12453), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141327] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12459), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8355), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8744), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141355] = 4,
    ACTIONS(12463), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12465), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12461), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141377] = 4,
    ACTIONS(12469), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12471), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12467), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141399] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8229), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141427] = 4,
    ACTIONS(12475), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12477), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12473), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141449] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12161), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8679), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141477] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9058), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9065), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141505] = 4,
    ACTIONS(12483), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12485), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12481), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141527] = 4,
    ACTIONS(12489), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12491), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12487), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141549] = 4,
    ACTIONS(12495), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12497), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12493), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141571] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12499), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8696), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8855), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141599] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12159), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8692), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8696), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141627] = 7,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12501), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12503), 1,
      sym_preproc_comment,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6075), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [141655] = 4,
    ACTIONS(12507), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12509), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12505), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141677] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12511), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8537), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9076), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141705] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12513), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8678), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9078), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141733] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12515), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8368), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8383), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141761] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12517), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8085), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8551), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141789] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12519), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8086), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8614), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141817] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12521), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8090), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8795), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141845] = 4,
    ACTIONS(12525), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12527), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12523), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141867] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12529), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8387), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8392), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141895] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8709), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141923] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12531), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8455), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8503), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [141951] = 4,
    ACTIONS(12535), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12537), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12533), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141973] = 4,
    ACTIONS(12541), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12543), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12539), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [141995] = 4,
    ACTIONS(12547), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12545), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142017] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12551), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8629), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8825), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [142045] = 6,
    ACTIONS(12409), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(12411), 1,
      aux_sym__intrinsic_type_token8,
    STATE(6709), 1,
      sym__intrinsic_type,
    STATE(8779), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12407), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [142071] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12553), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8932), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [142099] = 4,
    ACTIONS(12557), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12559), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12555), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142121] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8631), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142149] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12561), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8456), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8510), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [142177] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12175), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8793), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8807), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142205] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8189), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8936), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142233] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12565), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8212), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8307), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142261] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12567), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8217), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142289] = 7,
    ACTIONS(1751), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12569), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12421), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8784), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8829), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142317] = 7,
    ACTIONS(835), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12091), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12219), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12093), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8304), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8554), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142345] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12573), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12571), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142364] = 10,
    ACTIONS(3212), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(6627), 1,
      sym_else_clause,
    STATE(7662), 1,
      sym_statement_label,
    STATE(8039), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6340), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [142397] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12471), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12467), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142416] = 8,
    ACTIONS(12583), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12587), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(12589), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7797), 1,
      sym_base_type_specifier,
    STATE(8069), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12585), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(8027), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [142445] = 10,
    ACTIONS(3212), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(6481), 1,
      sym_else_clause,
    STATE(7089), 1,
      sym_statement_label,
    STATE(7821), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6340), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [142478] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12593), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12591), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142497] = 8,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12369), 1,
      sym__string_literal,
    ACTIONS(12371), 1,
      sym__string_literal_kind,
    ACTIONS(12595), 1,
      sym_hollerith_constant,
    STATE(8644), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(5988), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [142526] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12599), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12597), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12491), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12487), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12603), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12601), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142583] = 8,
    ACTIONS(12583), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12587), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(12589), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7797), 1,
      sym_base_type_specifier,
    STATE(8069), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12585), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(7346), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [142612] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12543), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12539), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142631] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12607), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12605), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142650] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12611), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12609), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142669] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12615), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12613), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142688] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12619), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12617), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142707] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12623), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12621), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142726] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12627), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12625), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142745] = 7,
    ACTIONS(12629), 1,
      anon_sym_LPAREN2,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12631), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6328), 2,
      sym__parameters,
      sym_parameters,
    STATE(6350), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [142772] = 6,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12637), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6082), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [142797] = 10,
    ACTIONS(3212), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(6420), 1,
      sym_else_clause,
    STATE(7407), 1,
      sym_statement_label,
    STATE(8072), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6340), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [142830] = 6,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12637), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [142855] = 8,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12369), 1,
      sym__string_literal,
    ACTIONS(12371), 1,
      sym__string_literal_kind,
    ACTIONS(12595), 1,
      sym_hollerith_constant,
    STATE(8344), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(5988), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [142884] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12641), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(12639), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [142903] = 10,
    ACTIONS(3212), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(6634), 1,
      sym_else_clause,
    STATE(7238), 1,
      sym_statement_label,
    STATE(7940), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6340), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [142936] = 7,
    ACTIONS(12629), 1,
      anon_sym_LPAREN2,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6353), 2,
      sym__parameters,
      sym_parameters,
    STATE(6322), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [142963] = 8,
    ACTIONS(12583), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12587), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(12589), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7797), 1,
      sym_base_type_specifier,
    STATE(8069), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12585), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(7077), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [142992] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12647), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12645), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [143011] = 6,
    ACTIONS(11539), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12649), 1,
      aux_sym_preproc_if_token2,
    STATE(3522), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5949), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8806), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [143036] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12435), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12431), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [143055] = 7,
    ACTIONS(12629), 1,
      anon_sym_LPAREN2,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12651), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6351), 2,
      sym__parameters,
      sym_parameters,
    STATE(6349), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143082] = 4,
    ACTIONS(12655), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3530), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12653), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143102] = 4,
    ACTIONS(12659), 1,
      aux_sym_procedure_attributes_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12657), 3,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
    ACTIONS(12661), 5,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [143122] = 4,
    ACTIONS(12655), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3517), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12653), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143142] = 4,
    ACTIONS(12665), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4041), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12663), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143162] = 7,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12369), 1,
      sym__string_literal,
    ACTIONS(12371), 1,
      sym__string_literal_kind,
    ACTIONS(12667), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6210), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [143188] = 7,
    ACTIONS(12673), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12675), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12677), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12669), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(12671), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(6094), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [143214] = 4,
    ACTIONS(12655), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3529), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12653), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143234] = 4,
    ACTIONS(12665), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4066), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12663), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143254] = 4,
    ACTIONS(12665), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4043), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12663), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143274] = 7,
    ACTIONS(12673), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12675), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12677), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12671), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    ACTIONS(12679), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6097), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [143300] = 4,
    ACTIONS(12655), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3526), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12653), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143320] = 4,
    ACTIONS(12665), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4047), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12663), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143340] = 7,
    ACTIONS(12686), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12689), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12692), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12681), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(12683), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(6097), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [143366] = 4,
    ACTIONS(12655), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4010), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12653), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [143386] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12695), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8554), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143409] = 6,
    ACTIONS(12701), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8944), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [143432] = 9,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12709), 1,
      sym_preproc_comment,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6138), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143461] = 6,
    ACTIONS(12719), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8495), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [143484] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12727), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9036), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143507] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12729), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9045), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143530] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8742), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143553] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12733), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8488), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143576] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12739), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8755), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143599] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12741), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8756), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143622] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12743), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8139), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [143645] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12749), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8762), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143668] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12751), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8732), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [143691] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12753), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8763), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143714] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12755), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8901), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [143737] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12757), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8499), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [143760] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8709), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143783] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12759), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8307), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143806] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12761), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143829] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12763), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9049), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143852] = 9,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    ACTIONS(12765), 1,
      sym_preproc_comment,
    STATE(3872), 1,
      sym__class_default,
    STATE(6286), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143881] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12767), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8793), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143904] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12769), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8552), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143927] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12771), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8150), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143950] = 6,
    ACTIONS(12773), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8946), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [143973] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12781), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8173), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143996] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12783), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8179), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144019] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12785), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8197), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144042] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12787), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8198), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144065] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12789), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8205), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144088] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12791), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8926), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [144111] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12793), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8399), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144134] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9013), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [144157] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12797), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8846), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144180] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8858), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144203] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8859), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144226] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12803), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8865), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144249] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8868), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144272] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12807), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8880), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144295] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12809), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8162), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [144318] = 5,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3597), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [144339] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12811), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8415), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144362] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12813), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8489), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [144385] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12815), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8084), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [144408] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12817), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8966), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144431] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12819), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8987), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144454] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12821), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8089), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [144477] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12823), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8989), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144500] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12825), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9003), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144523] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12827), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9005), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144546] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12829), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9011), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144569] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8419), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144592] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12833), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8091), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [144615] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12835), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8857), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [144638] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12837), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8112), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144661] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12839), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8119), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144684] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8120), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144707] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12843), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8580), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [144730] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12845), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8126), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144753] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12847), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8127), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144776] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12849), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8131), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144799] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8704), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [144822] = 9,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12853), 1,
      sym_preproc_comment,
    ACTIONS(12855), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12857), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12859), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12861), 1,
      aux_sym_type_statement_token3,
    STATE(3955), 1,
      sym__class_default,
    STATE(8954), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144851] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12863), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8631), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144874] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12865), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8146), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144897] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12867), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8151), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144920] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12869), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8152), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144943] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12871), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8158), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144966] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12873), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8159), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [144989] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12875), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8163), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145012] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8432), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145035] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12879), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8178), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145058] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8183), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145081] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8229), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [145104] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12883), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8184), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145127] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12885), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8190), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145150] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12887), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8191), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145173] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12889), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8195), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145196] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12891), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8210), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145219] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12893), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8215), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145242] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12895), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8888), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [145265] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12897), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8216), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145288] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12899), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8662), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [145311] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12901), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8222), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145334] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12903), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8223), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145357] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12905), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8227), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145380] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12907), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8239), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145403] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12909), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8240), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145426] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12911), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8241), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145449] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12913), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8242), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145472] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12915), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8243), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145495] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12917), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8244), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145518] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12919), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8435), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145541] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12921), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8255), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145564] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8256), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145587] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12925), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8257), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145610] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12927), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8258), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145633] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12929), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145656] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12931), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8260), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145679] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12933), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8990), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [145702] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12935), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8735), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [145725] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12937), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8271), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145748] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12939), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8272), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145771] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12941), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8443), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145794] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12943), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8273), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145817] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12945), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8274), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145840] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12947), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8275), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145863] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12949), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8276), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145886] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12951), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8696), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145909] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12953), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8889), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145932] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12955), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [145947] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12380), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [145962] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12957), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8872), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [145985] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12959), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146008] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12961), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8424), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146031] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12963), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8920), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [146054] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12965), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8623), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146077] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12967), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8923), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [146100] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12969), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8122), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146123] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12971), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8807), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146146] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12973), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8539), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [146169] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12975), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8373), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [146192] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12977), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8722), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146215] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12979), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8862), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146238] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12981), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8327), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146261] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12983), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8941), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146284] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12985), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8285), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146307] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12987), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8153), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146330] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12989), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8288), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146353] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12991), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9017), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146376] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12993), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8416), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146399] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12995), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8953), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146422] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12997), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8890), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [146445] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12999), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8978), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146468] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13001), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9028), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146491] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13003), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8157), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146514] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13005), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8304), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146537] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13007), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8879), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146560] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13009), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8381), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146583] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13011), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8389), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146606] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13013), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9034), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146629] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13015), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9043), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146652] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13017), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9050), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146675] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13019), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9054), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [146698] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13021), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8708), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146721] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8625), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146744] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8695), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146767] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13023), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8629), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146790] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13025), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8679), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146813] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13027), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146836] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13029), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8556), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146859] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13031), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8583), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146882] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13033), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8562), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146905] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13035), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8883), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [146928] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13037), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8782), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146951] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13039), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8591), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146974] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13041), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8103), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [146997] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13043), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8486), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147020] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13045), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8493), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147043] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13047), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8929), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147066] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8251), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147089] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13049), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8101), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147112] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8113), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147135] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8189), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [147150] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13053), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8235), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [147173] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13055), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8781), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147196] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13057), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8108), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147219] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13059), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8634), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [147242] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13061), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8839), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147265] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13063), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8125), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147288] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13065), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8247), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147311] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13067), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8232), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147334] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13069), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8942), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147357] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13071), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8540), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147380] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13073), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8594), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147403] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8955), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147426] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13077), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8940), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147449] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13079), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [147464] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13081), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8899), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [147487] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13083), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8892), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [147510] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13085), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8133), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147533] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13087), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8226), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147556] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12159), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8692), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147579] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13089), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8745), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147602] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13091), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8746), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147625] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13093), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8248), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147648] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13095), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8312), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147671] = 6,
    ACTIONS(12703), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12705), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13097), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8681), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [147694] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12161), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147717] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13099), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8371), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147740] = 6,
    ACTIONS(12775), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12777), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13101), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8753), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [147763] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13103), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8804), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147786] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8185), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [147801] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13105), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8328), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [147824] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13107), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8582), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147847] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13109), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8588), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147870] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13111), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8803), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147893] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13113), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8836), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147916] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13115), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8777), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147939] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13117), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8783), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [147962] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13119), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8813), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [147985] = 6,
    ACTIONS(12721), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12723), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13121), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12725), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8937), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [148008] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13123), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8599), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148031] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13125), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8600), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148054] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13127), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8842), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148077] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13129), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8911), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [148100] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13131), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8606), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148123] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8607), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148146] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13135), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8970), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148169] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13137), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8976), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148192] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13139), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8092), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [148215] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13141), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8612), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148238] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13143), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8134), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [148261] = 6,
    ACTIONS(2321), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12745), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13145), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12747), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8245), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [148284] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13147), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8928), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [148307] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8109), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148330] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13151), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8116), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148353] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13153), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148376] = 6,
    ACTIONS(861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12735), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13155), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12737), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8192), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [148399] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13157), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8207), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148422] = 6,
    ACTIONS(1847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12697), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13159), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8771), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [148445] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13161), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148465] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13163), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148485] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13165), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148505] = 7,
    ACTIONS(2788), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13167), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13169), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13171), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7782), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6381), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [148529] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6100), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148555] = 3,
    ACTIONS(13175), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13173), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148571] = 6,
    ACTIONS(12629), 1,
      anon_sym_LPAREN2,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    STATE(7877), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13177), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6661), 2,
      sym__parameters,
      sym_parameters,
  [148593] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12855), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12857), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12859), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12861), 1,
      aux_sym_type_statement_token3,
    STATE(3955), 1,
      sym__class_default,
    STATE(8747), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148619] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13179), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6341), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148639] = 3,
    ACTIONS(13183), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13181), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148655] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6277), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148681] = 3,
    ACTIONS(13187), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13185), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148697] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6113), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148723] = 7,
    ACTIONS(2788), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13167), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13169), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13171), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7952), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6381), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [148747] = 3,
    ACTIONS(13191), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13189), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148763] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6111), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148789] = 3,
    ACTIONS(13195), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13193), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148805] = 3,
    ACTIONS(13199), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13197), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148821] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6156), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148847] = 3,
    ACTIONS(13203), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13201), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148863] = 6,
    ACTIONS(13205), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13209), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13212), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13207), 2,
      sym__integer_literal,
      aux_sym_end_if_statement_token1,
    STATE(6340), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [148885] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13215), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148905] = 8,
    ACTIONS(11376), 1,
      aux_sym__class_default_token1,
    ACTIONS(12711), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12713), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12715), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12717), 1,
      aux_sym_type_statement_token3,
    STATE(3872), 1,
      sym__class_default,
    STATE(6141), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148931] = 6,
    ACTIONS(12629), 1,
      anon_sym_LPAREN2,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    STATE(8043), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13217), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6742), 2,
      sym__parameters,
      sym_parameters,
  [148953] = 3,
    ACTIONS(13221), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13219), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [148969] = 5,
    ACTIONS(13225), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13228), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13223), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [148989] = 7,
    ACTIONS(2788), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13167), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13169), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13171), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7984), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6381), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [149013] = 3,
    ACTIONS(13233), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13231), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [149029] = 3,
    ACTIONS(13237), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13235), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [149045] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [149065] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6345), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [149085] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13243), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6320), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [149105] = 3,
    ACTIONS(13247), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13245), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [149121] = 5,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12635), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6321), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [149141] = 3,
    ACTIONS(13253), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13251), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [149157] = 3,
    ACTIONS(13257), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13255), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [149173] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7003), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149194] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6916), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6361), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149215] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5566), 1,
      sym__end_of_statement,
    STATE(7148), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149236] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7287), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149257] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7284), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149278] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6927), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149299] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(729), 1,
      sym__end_of_statement,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7329), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149320] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5557), 1,
      sym__end_of_statement,
    STATE(7094), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149341] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7235), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149362] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7342), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6367), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149383] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7279), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6359), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149404] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7350), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149425] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5541), 1,
      sym__end_of_statement,
    STATE(7364), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13271), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149446] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4724), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4726), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [149461] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4722), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [149476] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7565), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6401), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149497] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [149512] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7367), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6377), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149533] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5553), 1,
      sym__end_of_statement,
    STATE(6889), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13273), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149554] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5574), 1,
      sym__end_of_statement,
    STATE(7650), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13275), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149575] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6850), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149596] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7371), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149617] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7067), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6379), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149638] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7075), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149659] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4716), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4718), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [149674] = 6,
    ACTIONS(13277), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13279), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13282), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13284), 1,
      aux_sym_elsewhere_clause_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6381), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [149695] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6869), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149716] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5538), 1,
      sym__end_of_statement,
    STATE(7380), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13287), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149737] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7123), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6386), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149758] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7319), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6391), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149779] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7128), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149800] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7242), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6382), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149821] = 6,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(5551), 1,
      sym__end_of_statement,
    STATE(7404), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149842] = 6,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      anon_sym_EQ,
    ACTIONS(13295), 1,
      anon_sym_EQ_GT,
    STATE(6729), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11390), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149863] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12661), 6,
      aux_sym_procedure_attributes_token3,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [149876] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7324), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149897] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7182), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6394), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4728), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4730), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [149933] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7189), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149954] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    STATE(3358), 1,
      sym_kind,
    STATE(3359), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7607), 2,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [149975] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6992), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6356), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [149996] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4734), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [150011] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7200), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6360), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150032] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6839), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6376), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150053] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7228), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6364), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150074] = 6,
    ACTIONS(13259), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13261), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13263), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7613), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150095] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4717), 1,
      sym__end_of_statement,
    STATE(6561), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150113] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4778), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13303), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150131] = 5,
    ACTIONS(13305), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13307), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(13310), 1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6404), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150149] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5568), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13314), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150167] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7201), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6413), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150185] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1194), 1,
      sym__end_of_statement,
    STATE(6518), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150203] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13322), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8463), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150223] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      sym__end_of_statement,
    STATE(6426), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13324), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150241] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13326), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8909), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150261] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13328), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8910), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150281] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1210), 1,
      sym__end_of_statement,
    STATE(6429), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13330), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150299] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7290), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150317] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      sym__end_of_statement,
    STATE(6451), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13332), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150335] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13332), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150353] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      sym__end_of_statement,
    STATE(6453), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13334), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150371] = 4,
    ACTIONS(13293), 1,
      anon_sym_EQ,
    ACTIONS(13295), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11438), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150387] = 5,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7741), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13336), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150405] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13334), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150423] = 6,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(7089), 1,
      sym_statement_label,
    STATE(7821), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150443] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13338), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8914), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150463] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13340), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8915), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150483] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1389), 1,
      sym__end_of_statement,
    STATE(6515), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13342), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150501] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4723), 1,
      sym__end_of_statement,
    STATE(6514), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13344), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150519] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1232), 1,
      sym__end_of_statement,
    STATE(6431), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13346), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150537] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1232), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13346), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150555] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      sym__end_of_statement,
    STATE(6432), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13348), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150573] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4788), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13350), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150591] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13348), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150609] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4548), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13352), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150627] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1211), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13354), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150645] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1206), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13356), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150663] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5549), 1,
      sym__end_of_statement,
    STATE(6628), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13358), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150681] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4549), 1,
      sym__end_of_statement,
    STATE(6535), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13360), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150699] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5648), 5,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [150711] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4550), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13362), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150729] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1194), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150747] = 5,
    ACTIONS(5676), 1,
      sym__string_literal,
    ACTIONS(5678), 1,
      sym__string_literal_kind,
    STATE(7768), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13364), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150765] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1393), 1,
      sym__end_of_statement,
    STATE(6521), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13366), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150783] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5983), 1,
      sym__end_of_statement,
    STATE(6478), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13368), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150801] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5984), 1,
      sym__end_of_statement,
    STATE(6480), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13370), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150819] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      sym__end_of_statement,
    STATE(6466), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13372), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150837] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      sym__end_of_statement,
    STATE(6538), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13374), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150855] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1688), 1,
      sym__end_of_statement,
    STATE(6468), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13376), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150873] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13378), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150891] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7360), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6589), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150909] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1517), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13380), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150927] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13374), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150945] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5981), 1,
      sym__end_of_statement,
    STATE(6488), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13382), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150963] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5550), 1,
      sym__end_of_statement,
    STATE(6405), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13384), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150981] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1830), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13386), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150999] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7566), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6458), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151017] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1837), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13388), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151035] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13390), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [151047] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1748), 1,
      sym__end_of_statement,
    STATE(6463), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13392), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151065] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1749), 1,
      sym__end_of_statement,
    STATE(6465), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13394), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151083] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4786), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13396), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151101] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7614), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151119] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13398), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8483), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151139] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      aux_sym_end_program_statement_token1,
    STATE(6582), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13402), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [151157] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      sym__end_of_statement,
    STATE(6473), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151175] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1685), 1,
      sym__end_of_statement,
    STATE(6476), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13406), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151193] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151211] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      sym__end_of_statement,
    STATE(6474), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13408), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151229] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13408), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151247] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1685), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13406), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151265] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1670), 1,
      sym__end_of_statement,
    STATE(6477), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13410), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151283] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1670), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13410), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151301] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4551), 1,
      sym__end_of_statement,
    STATE(6610), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13412), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151319] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4552), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13414), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151337] = 4,
    ACTIONS(4718), 1,
      anon_sym_EQ,
    ACTIONS(6001), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5999), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
  [151353] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6840), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6475), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151371] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13416), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151389] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1753), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13418), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151407] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6851), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151425] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1674), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13420), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151443] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1684), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13422), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151461] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5981), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13382), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151479] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5976), 1,
      sym__end_of_statement,
    STATE(6490), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13424), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151497] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5976), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13424), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151515] = 6,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(7662), 1,
      sym_statement_label,
    STATE(8039), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151535] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13426), 1,
      aux_sym_end_program_statement_token1,
    STATE(6599), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13428), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [151553] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1519), 1,
      sym__end_of_statement,
    STATE(6447), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13430), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151571] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13432), 1,
      aux_sym_end_program_statement_token1,
    STATE(6599), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13434), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [151589] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6917), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6489), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151607] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8719), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151627] = 6,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(11029), 1,
      anon_sym_COMMA,
    ACTIONS(11031), 1,
      anon_sym_RPAREN,
    STATE(6891), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(7873), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151647] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5965), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13438), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151665] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6928), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151683] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5969), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13440), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151701] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13442), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8743), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151721] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1554), 1,
      sym__end_of_statement,
    STATE(6494), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13444), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151739] = 4,
    ACTIONS(8126), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13446), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6616), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [151755] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13448), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151773] = 3,
    ACTIONS(13450), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [151787] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5568), 1,
      sym__end_of_statement,
    STATE(6621), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13314), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151805] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6993), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6501), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151823] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4684), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13452), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151841] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1650), 1,
      sym__end_of_statement,
    STATE(6503), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13454), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151859] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1651), 1,
      sym__end_of_statement,
    STATE(6505), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151877] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7004), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [151895] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1659), 1,
      sym__end_of_statement,
    STATE(6508), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13458), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151913] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1659), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13458), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151931] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      sym__end_of_statement,
    STATE(6510), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13460), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151949] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13460), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151967] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4674), 1,
      sym__end_of_statement,
    STATE(6498), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151985] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7068), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6509), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152003] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1403), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13464), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152021] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7076), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152039] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1433), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13466), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152057] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4746), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13468), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152075] = 5,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7905), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10979), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152093] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1455), 1,
      sym__end_of_statement,
    STATE(6620), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13470), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152111] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4722), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13472), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152129] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1455), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13470), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152147] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7124), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6517), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152165] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7129), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152183] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1182), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13474), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152201] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1461), 1,
      sym__end_of_statement,
    STATE(6623), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13476), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152219] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4787), 1,
      sym__end_of_statement,
    STATE(6428), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13478), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152237] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1461), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13476), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152255] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4535), 1,
      sym__end_of_statement,
    STATE(6542), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13480), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152273] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7183), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6524), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152291] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7190), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152309] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(2016), 1,
      sym__end_of_statement,
    STATE(6528), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13482), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152327] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      sym__end_of_statement,
    STATE(6531), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13484), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152345] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      sym__end_of_statement,
    STATE(6533), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13486), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152363] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13486), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152381] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7229), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6532), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152399] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13488), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8776), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152419] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1975), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13490), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152437] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7236), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152455] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13492), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152473] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1985), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13494), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152491] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4536), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13496), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152509] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7280), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6539), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152527] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4747), 1,
      sym__end_of_statement,
    STATE(6604), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13498), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152545] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1183), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13500), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152563] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7288), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152581] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1519), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13430), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152599] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym__end_of_statement,
    STATE(6415), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13502), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152617] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4539), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13504), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152635] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4534), 1,
      sym__end_of_statement,
    STATE(6546), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13506), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152653] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym__end_of_statement,
    STATE(6419), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13508), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152671] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7320), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6548), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152689] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4541), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13510), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152707] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1518), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13512), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152725] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7325), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152743] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4546), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13514), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152761] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1543), 1,
      sym__end_of_statement,
    STATE(6553), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13516), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152779] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1544), 1,
      sym__end_of_statement,
    STATE(6556), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13518), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152797] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1575), 1,
      sym__end_of_statement,
    STATE(6558), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13520), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152815] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1575), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13520), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152833] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7343), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6557), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152851] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1578), 1,
      sym__end_of_statement,
    STATE(6560), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13522), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152869] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1578), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13522), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152887] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7351), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [152905] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1594), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13524), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152923] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym__end_of_statement,
    STATE(6629), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152941] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1612), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13528), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152959] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4676), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13530), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152977] = 6,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(7407), 1,
      sym_statement_label,
    STATE(8072), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152997] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4547), 1,
      sym__end_of_statement,
    STATE(6618), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13532), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153015] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7368), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6565), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [153033] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7372), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [153051] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      sym__end_of_statement,
    STATE(6632), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153069] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13536), 1,
      aux_sym_end_program_statement_token1,
    STATE(6482), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13538), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [153087] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1395), 1,
      sym__end_of_statement,
    STATE(6579), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13540), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153105] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1397), 1,
      sym__end_of_statement,
    STATE(6588), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13542), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153123] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1547), 1,
      sym__end_of_statement,
    STATE(6540), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13544), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153141] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5559), 1,
      sym__end_of_statement,
    STATE(6577), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153159] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1345), 1,
      sym__end_of_statement,
    STATE(6594), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153177] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1347), 1,
      sym__end_of_statement,
    STATE(6598), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13550), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153195] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1191), 1,
      sym__end_of_statement,
    STATE(6437), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13552), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153213] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4748), 1,
      sym__end_of_statement,
    STATE(6403), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13554), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153231] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4537), 1,
      sym__end_of_statement,
    STATE(6430), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13556), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153249] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5552), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13558), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153267] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1478), 1,
      sym__end_of_statement,
    STATE(6590), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153285] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1478), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153303] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1968), 1,
      sym__end_of_statement,
    STATE(6585), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13562), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153321] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      sym__end_of_statement,
    STATE(6587), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13564), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153339] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13566), 1,
      aux_sym_end_program_statement_token1,
    STATE(6599), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13568), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [153357] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1479), 1,
      sym__end_of_statement,
    STATE(6592), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13570), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153375] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym__end_of_statement,
    STATE(6602), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13572), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153393] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13572), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153411] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      sym__end_of_statement,
    STATE(6606), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13574), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153429] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13574), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153447] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1479), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13570), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153465] = 5,
    ACTIONS(13316), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13318), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7679), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [153483] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1513), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13576), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153501] = 5,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(13578), 1,
      aux_sym_end_program_statement_token1,
    STATE(6599), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13580), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [153519] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13582), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153537] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1348), 1,
      sym__end_of_statement,
    STATE(6605), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153555] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1348), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153573] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4683), 1,
      sym__end_of_statement,
    STATE(6511), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13586), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153591] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1349), 1,
      sym__end_of_statement,
    STATE(6608), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153609] = 5,
    ACTIONS(13590), 1,
      anon_sym_COMMA,
    ACTIONS(13594), 1,
      anon_sym_EQ_GT,
    STATE(6643), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13592), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153627] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1349), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153645] = 5,
    ACTIONS(13596), 1,
      anon_sym_COMMA,
    ACTIONS(13599), 1,
      aux_sym_end_program_statement_token1,
    STATE(6599), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13601), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [153663] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4544), 1,
      sym__end_of_statement,
    STATE(6470), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13603), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153681] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4783), 1,
      sym__end_of_statement,
    STATE(6457), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13605), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153699] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13607), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153717] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4784), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13609), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153735] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4774), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13611), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153753] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1350), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13613), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153771] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1953), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13615), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153789] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4775), 1,
      sym__end_of_statement,
    STATE(6603), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13617), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153807] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1351), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13619), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153825] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4553), 1,
      sym__end_of_statement,
    STATE(6549), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13621), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153843] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4542), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13623), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153861] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4543), 1,
      sym__end_of_statement,
    STATE(6619), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13625), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153879] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4538), 1,
      sym__end_of_statement,
    STATE(6436), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13627), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153897] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13629), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153915] = 3,
    ACTIONS(13631), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [153929] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      sym__end_of_statement,
    STATE(6547), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13448), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153947] = 4,
    ACTIONS(13633), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13636), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6616), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [153963] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4749), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13638), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153981] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4545), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153999] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4540), 1,
      sym__end_of_statement,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13642), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154017] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1491), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13644), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154035] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5570), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13646), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154053] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1192), 1,
      sym__end_of_statement,
    STATE(6448), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13648), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154071] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1492), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13650), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154089] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13652), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8761), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154109] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13654), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8764), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154129] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      sym__end_of_statement,
    STATE(6445), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154147] = 6,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(7238), 1,
      sym_statement_label,
    STATE(7940), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154167] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(5559), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154185] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154203] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1876), 1,
      sym__end_of_statement,
    STATE(6613), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154221] = 6,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10830), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_RPAREN,
    STATE(7570), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(7873), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154241] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1876), 1,
      sym__end_of_statement,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154259] = 5,
    ACTIONS(13299), 1,
      anon_sym_COMMA,
    STATE(4686), 1,
      sym__end_of_statement,
    STATE(6617), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13660), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154277] = 6,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(12581), 1,
      sym__integer_literal,
    STATE(7622), 1,
      sym_statement_label,
    STATE(7809), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154297] = 6,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13662), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym__argument_list,
    STATE(8774), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154317] = 5,
    ACTIONS(13312), 1,
      anon_sym_COMMA,
    STATE(1975), 1,
      sym__end_of_statement,
    STATE(6534), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13490), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154335] = 5,
    ACTIONS(13664), 1,
      anon_sym_LPAREN2,
    ACTIONS(13666), 1,
      aux_sym_kind_token1,
    STATE(3357), 1,
      sym__argument_list,
    STATE(3360), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154352] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6762), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13670), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154367] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6697), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13434), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [154382] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6727), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13670), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154397] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6706), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13674), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154412] = 3,
    ACTIONS(13678), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13676), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154425] = 4,
    ACTIONS(13590), 1,
      anon_sym_COMMA,
    STATE(6683), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13680), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154440] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13682), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [154451] = 4,
    ACTIONS(13684), 1,
      anon_sym_COMMA,
    STATE(6733), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13686), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154466] = 4,
    ACTIONS(13688), 1,
      anon_sym_COMMA,
    STATE(6690), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13690), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154481] = 5,
    ACTIONS(13692), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13696), 1,
      sym_preproc_arg,
    STATE(7711), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154498] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6697), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13568), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [154513] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13698), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13700), 1,
      sym_preproc_arg,
    STATE(7887), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154530] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13704), 1,
      sym_preproc_arg,
    STATE(7715), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154547] = 4,
    ACTIONS(13706), 1,
      anon_sym_COMMA,
    STATE(6651), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13709), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154562] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6648), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13402), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [154577] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6697), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13580), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [154592] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13711), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13713), 1,
      sym_preproc_arg,
    STATE(7802), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154609] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13715), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13717), 1,
      sym_preproc_arg,
    STATE(7953), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154626] = 4,
    ACTIONS(13719), 1,
      anon_sym_COMMA,
    STATE(6656), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154641] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6689), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10096), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154656] = 4,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    STATE(7873), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [154671] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13724), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [154682] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6731), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154697] = 4,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    STATE(7788), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13726), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154712] = 5,
    ACTIONS(13666), 1,
      aux_sym_kind_token1,
    ACTIONS(13728), 1,
      anon_sym_LPAREN2,
    STATE(3357), 1,
      sym__argument_list,
    STATE(3360), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154729] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13730), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13732), 1,
      sym_preproc_arg,
    STATE(7697), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154746] = 4,
    ACTIONS(13734), 1,
      anon_sym_COMMA,
    STATE(7946), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13736), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154761] = 4,
    ACTIONS(13738), 1,
      anon_sym_COMMA,
    STATE(8007), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13740), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154776] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13742), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [154787] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6699), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13744), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154802] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6744), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13746), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154817] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13748), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13750), 1,
      sym_preproc_arg,
    STATE(7960), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154834] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13752), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13754), 1,
      sym_preproc_arg,
    STATE(7718), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154851] = 4,
    ACTIONS(13756), 1,
      anon_sym_LPAREN2,
    STATE(8739), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154866] = 4,
    ACTIONS(13758), 1,
      anon_sym_COMMA,
    STATE(7857), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13760), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154881] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13762), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13764), 1,
      sym_preproc_arg,
    STATE(7915), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154898] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6730), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10084), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154913] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13768), 1,
      sym_preproc_arg,
    STATE(7721), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154930] = 4,
    ACTIONS(13770), 1,
      anon_sym_COMMA,
    STATE(6676), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154945] = 5,
    ACTIONS(13775), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    STATE(1082), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154962] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6706), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13781), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154977] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13783), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13785), 1,
      sym_preproc_arg,
    STATE(7795), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154994] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6638), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13787), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155009] = 5,
    ACTIONS(13789), 1,
      anon_sym_LPAREN2,
    ACTIONS(13791), 1,
      aux_sym_kind_token1,
    STATE(5676), 1,
      sym_parenthesized_expression,
    STATE(5678), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155026] = 3,
    ACTIONS(13594), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13793), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155039] = 4,
    ACTIONS(13795), 1,
      anon_sym_COMMA,
    STATE(6683), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155054] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8012), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [155065] = 5,
    ACTIONS(10939), 1,
      anon_sym_COMMA,
    ACTIONS(13798), 1,
      anon_sym_SLASH,
    STATE(3467), 1,
      sym_data_value,
    STATE(7355), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155082] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12657), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [155093] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13800), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13802), 1,
      sym_preproc_arg,
    STATE(7725), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155110] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13804), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13806), 1,
      sym_preproc_arg,
    STATE(7729), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155127] = 4,
    ACTIONS(13808), 1,
      anon_sym_COMMA,
    STATE(6689), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10100), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155142] = 4,
    ACTIONS(13811), 1,
      anon_sym_COMMA,
    STATE(6690), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13814), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155157] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13816), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13818), 1,
      sym_preproc_arg,
    STATE(7732), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155174] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6737), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155189] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13820), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [155200] = 4,
    ACTIONS(13822), 1,
      anon_sym_COMMA,
    STATE(6702), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13824), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155215] = 3,
    ACTIONS(13828), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13826), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [155228] = 5,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(13830), 1,
      aux_sym_preproc_if_token2,
    STATE(1090), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155245] = 4,
    ACTIONS(13832), 1,
      anon_sym_COMMA,
    STATE(6697), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13601), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [155260] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13835), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [155271] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6706), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155286] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13839), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13841), 1,
      sym_preproc_arg,
    STATE(7980), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155303] = 4,
    ACTIONS(13590), 1,
      anon_sym_COMMA,
    STATE(6643), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13592), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155318] = 4,
    ACTIONS(13843), 1,
      anon_sym_COMMA,
    STATE(6702), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13846), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155333] = 5,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(13848), 1,
      aux_sym_preproc_if_token2,
    STATE(1090), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155350] = 5,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(13830), 1,
      aux_sym_preproc_if_token2,
    STATE(1082), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155367] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13850), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13852), 1,
      sym_preproc_arg,
    STATE(7736), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155384] = 4,
    ACTIONS(13854), 1,
      anon_sym_COMMA,
    STATE(6706), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13857), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155399] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13859), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13861), 1,
      sym_preproc_arg,
    STATE(7911), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155416] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13863), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13865), 1,
      sym_preproc_arg,
    STATE(7912), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155433] = 5,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(13867), 1,
      anon_sym_LPAREN2,
    STATE(3358), 1,
      sym_kind,
    STATE(3359), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155450] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13870), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13872), 1,
      sym_preproc_arg,
    STATE(7926), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155467] = 4,
    ACTIONS(13688), 1,
      anon_sym_COMMA,
    STATE(6716), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13874), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155482] = 4,
    ACTIONS(13876), 1,
      anon_sym_COMMA,
    STATE(6712), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155497] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13879), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13881), 1,
      sym_preproc_arg,
    STATE(7695), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155514] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13883), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13885), 1,
      sym_preproc_arg,
    STATE(7743), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155531] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13887), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13889), 1,
      sym_preproc_arg,
    STATE(7759), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155548] = 4,
    ACTIONS(13688), 1,
      anon_sym_COMMA,
    STATE(6690), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155563] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13893), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13895), 1,
      sym_preproc_arg,
    STATE(7747), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155580] = 4,
    ACTIONS(13688), 1,
      anon_sym_COMMA,
    STATE(6646), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155595] = 4,
    ACTIONS(13310), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13897), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6719), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [155610] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13900), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13902), 1,
      sym_preproc_arg,
    STATE(7698), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155627] = 5,
    ACTIONS(13904), 1,
      anon_sym_LPAREN2,
    ACTIONS(13906), 1,
      aux_sym_kind_token1,
    STATE(4104), 1,
      sym_parenthesized_expression,
    STATE(4109), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155644] = 4,
    ACTIONS(13822), 1,
      anon_sym_COMMA,
    STATE(6702), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13908), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155659] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13910), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13912), 1,
      sym_preproc_arg,
    STATE(7701), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155676] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6745), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10088), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155691] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13914), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13916), 1,
      sym_preproc_arg,
    STATE(8001), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155708] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13918), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13920), 1,
      sym_preproc_arg,
    STATE(7867), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155725] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6762), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13922), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155740] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6762), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13746), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155755] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6712), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11454), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155770] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6689), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155785] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6712), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11458), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155800] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13924), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13926), 1,
      sym_preproc_arg,
    STATE(7704), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155817] = 4,
    ACTIONS(13684), 1,
      anon_sym_COMMA,
    STATE(6676), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13928), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155832] = 4,
    ACTIONS(10190), 1,
      anon_sym_COMMA,
    STATE(6656), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155847] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6750), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13538), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [155862] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8064), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [155873] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6712), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11458), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155888] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13932), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13934), 1,
      sym_preproc_arg,
    STATE(7692), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155905] = 3,
    STATE(8887), 1,
      sym_number_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5674), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
  [155918] = 4,
    ACTIONS(13822), 1,
      anon_sym_COMMA,
    STATE(6694), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13936), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155933] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13938), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [155944] = 4,
    ACTIONS(12633), 1,
      aux_sym_language_binding_token1,
    STATE(7854), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13940), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155959] = 4,
    ACTIONS(13822), 1,
      anon_sym_COMMA,
    STATE(6722), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13942), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155974] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6762), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13787), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155989] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6689), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156004] = 3,
    STATE(8733), 1,
      sym_binary_op,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13944), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      aux_sym_binary_op_token1,
  [156017] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6678), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13946), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156032] = 4,
    ACTIONS(10190), 1,
      anon_sym_COMMA,
    STATE(6656), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13948), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156047] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    STATE(6657), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156062] = 4,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(6697), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13428), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [156077] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13950), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13952), 1,
      sym_preproc_arg,
    STATE(8026), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156094] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13954), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13956), 1,
      sym_preproc_arg,
    STATE(8033), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156111] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13958), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13960), 1,
      sym_preproc_arg,
    STATE(7811), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156128] = 4,
    ACTIONS(13962), 1,
      anon_sym_COMMA,
    STATE(6754), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156143] = 4,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(6641), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156158] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13969), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13971), 1,
      sym_preproc_arg,
    STATE(8064), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156175] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13973), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13975), 1,
      sym_preproc_arg,
    STATE(8038), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156192] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13977), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13979), 1,
      sym_preproc_arg,
    STATE(8044), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156209] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13981), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13983), 1,
      sym_preproc_arg,
    STATE(8053), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156226] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13985), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13987), 1,
      sym_preproc_arg,
    STATE(7707), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156243] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13989), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13991), 1,
      sym_preproc_arg,
    STATE(7849), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156260] = 4,
    ACTIONS(13993), 1,
      anon_sym_COMMA,
    STATE(6762), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13996), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156275] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(13998), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14000), 1,
      sym_preproc_arg,
    STATE(8062), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156292] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14002), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14004), 1,
      sym_preproc_arg,
    STATE(8067), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156309] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14006), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14008), 1,
      sym_preproc_arg,
    STATE(7947), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156326] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14010), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14012), 1,
      sym_preproc_arg,
    STATE(8070), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156343] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14014), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14016), 1,
      sym_preproc_arg,
    STATE(8076), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156360] = 4,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(6728), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14018), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156375] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14020), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14022), 1,
      sym_preproc_arg,
    STATE(7682), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156392] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14024), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14026), 1,
      sym_preproc_arg,
    STATE(7685), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156409] = 4,
    ACTIONS(14028), 1,
      anon_sym_COMMA,
    STATE(6771), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10411), 2,
      anon_sym_GT_GT_GT,
      anon_sym_RBRACK,
  [156424] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14031), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14033), 1,
      sym_preproc_arg,
    STATE(7688), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156441] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14035), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14037), 1,
      sym_preproc_arg,
    STATE(7778), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156458] = 5,
    ACTIONS(13694), 1,
      anon_sym_LPAREN,
    ACTIONS(14039), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14041), 1,
      sym_preproc_arg,
    STATE(7739), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156475] = 3,
    STATE(163), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156487] = 3,
    ACTIONS(4728), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4730), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [156499] = 3,
    ACTIONS(7199), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7197), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [156511] = 3,
    STATE(723), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14045), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156523] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14049), 1,
      anon_sym_RBRACK,
    STATE(7653), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156537] = 3,
    STATE(5473), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14051), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156549] = 3,
    STATE(2552), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14053), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156561] = 4,
    ACTIONS(14055), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14057), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5474), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156575] = 4,
    ACTIONS(10526), 1,
      anon_sym_RBRACK,
    ACTIONS(14059), 1,
      anon_sym_COMMA,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156589] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14062), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156603] = 3,
    STATE(903), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8441), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156615] = 3,
    ACTIONS(10534), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [156627] = 4,
    ACTIONS(8034), 1,
      anon_sym_EQ,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    STATE(5602), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156641] = 4,
    ACTIONS(14064), 1,
      sym_preproc_comment,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6266), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156655] = 3,
    STATE(5491), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14068), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156667] = 4,
    ACTIONS(14055), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14057), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5492), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156681] = 3,
    STATE(808), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14070), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156693] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
    STATE(7015), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156707] = 3,
    STATE(813), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14076), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156719] = 3,
    STATE(815), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14078), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156731] = 3,
    STATE(760), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14080), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156743] = 3,
    STATE(714), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156755] = 4,
    ACTIONS(14084), 1,
      aux_sym_included_items_token1,
    ACTIONS(14086), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(14088), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156769] = 3,
    STATE(1145), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14090), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156781] = 3,
    STATE(763), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156793] = 3,
    STATE(765), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14094), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156805] = 4,
    ACTIONS(10536), 1,
      anon_sym_RPAREN,
    ACTIONS(14096), 1,
      anon_sym_COMMA,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156819] = 3,
    STATE(1073), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14099), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156831] = 3,
    STATE(1894), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14101), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156843] = 3,
    STATE(1896), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14103), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156855] = 4,
    ACTIONS(14105), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14107), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1126), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156869] = 4,
    ACTIONS(10479), 1,
      anon_sym_RPAREN,
    ACTIONS(14109), 1,
      anon_sym_COMMA,
    STATE(6806), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156883] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(14112), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156897] = 4,
    ACTIONS(14114), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14116), 1,
      aux_sym_end_function_statement_token1,
    STATE(1132), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156911] = 4,
    ACTIONS(10237), 1,
      anon_sym_COMMA,
    ACTIONS(10239), 1,
      anon_sym_RPAREN,
    STATE(7359), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156925] = 3,
    STATE(1148), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14118), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156937] = 4,
    ACTIONS(14105), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14107), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1150), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156951] = 3,
    ACTIONS(10540), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [156963] = 3,
    STATE(1153), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14120), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156975] = 4,
    ACTIONS(14114), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14116), 1,
      aux_sym_end_function_statement_token1,
    STATE(1154), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156989] = 3,
    STATE(1156), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14122), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157001] = 4,
    ACTIONS(14105), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14107), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1157), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157015] = 3,
    STATE(1008), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14124), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157027] = 4,
    ACTIONS(14114), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14116), 1,
      aux_sym_end_function_statement_token1,
    STATE(1071), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157041] = 4,
    ACTIONS(14126), 1,
      anon_sym_COMMA,
    ACTIONS(14129), 1,
      anon_sym_RPAREN,
    STATE(6819), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157055] = 3,
    STATE(755), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14131), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157067] = 3,
    STATE(1147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14133), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157079] = 4,
    ACTIONS(14135), 1,
      sym__string_literal,
    ACTIONS(14137), 1,
      sym__string_literal_kind,
    STATE(4802), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157093] = 3,
    STATE(738), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8094), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157105] = 3,
    STATE(4424), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14139), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157117] = 3,
    STATE(1936), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14141), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157129] = 4,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(14143), 1,
      anon_sym_SLASH,
    STATE(7626), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157143] = 3,
    STATE(2893), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14145), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157155] = 3,
    STATE(1542), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14147), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157167] = 4,
    ACTIONS(14149), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [157181] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14155), 1,
      anon_sym_RPAREN,
    STATE(7615), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157195] = 4,
    ACTIONS(14157), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14159), 1,
      aux_sym_end_module_statement_token1,
    STATE(906), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157209] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14161), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [157219] = 4,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(14163), 1,
      anon_sym_GT_GT_GT,
    STATE(6771), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157233] = 3,
    STATE(1556), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14165), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157245] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14167), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157259] = 4,
    ACTIONS(9867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9869), 1,
      aux_sym_end_type_statement_token1,
    STATE(1942), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157273] = 3,
    STATE(2901), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14169), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157285] = 3,
    STATE(1566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14171), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157297] = 3,
    STATE(1944), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14173), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157309] = 3,
    STATE(1915), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14175), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157321] = 4,
    ACTIONS(7891), 1,
      sym__integer_literal,
    STATE(4119), 1,
      sym_statement_label,
    STATE(7664), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157335] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14177), 1,
      anon_sym_RPAREN,
    STATE(7665), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157349] = 4,
    ACTIONS(14179), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14181), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(908), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157363] = 4,
    ACTIONS(10301), 1,
      anon_sym_COMMA,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    STATE(6856), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157377] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10305), 1,
      anon_sym_RPAREN,
    STATE(6857), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157391] = 3,
    STATE(1553), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14183), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157403] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14185), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [157417] = 3,
    STATE(1948), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14187), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157429] = 4,
    ACTIONS(9867), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9869), 1,
      aux_sym_end_type_statement_token1,
    STATE(1949), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157443] = 3,
    STATE(1950), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14189), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157455] = 3,
    STATE(1951), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14191), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157467] = 3,
    STATE(1149), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14193), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157479] = 4,
    ACTIONS(14195), 1,
      anon_sym_COMMA,
    ACTIONS(14198), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157493] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14177), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157507] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14200), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157521] = 4,
    ACTIONS(14202), 1,
      anon_sym_COMMA,
    ACTIONS(14204), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157535] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(14206), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157549] = 3,
    STATE(1954), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14208), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157561] = 3,
    STATE(1938), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14210), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157573] = 3,
    STATE(603), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14212), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157585] = 3,
    STATE(1553), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14183), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157597] = 4,
    ACTIONS(14214), 1,
      anon_sym_COMMA,
    ACTIONS(14216), 1,
      anon_sym_RPAREN,
    STATE(7672), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157611] = 4,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(14218), 1,
      anon_sym_RPAREN,
    STATE(7485), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157625] = 3,
    STATE(607), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14220), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157637] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(14224), 1,
      anon_sym_RPAREN,
    STATE(7673), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157651] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14226), 1,
      anon_sym_RBRACK,
    STATE(6871), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157665] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14228), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157679] = 4,
    ACTIONS(14230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14232), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4854), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157693] = 3,
    STATE(1463), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14234), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157705] = 3,
    STATE(1060), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14236), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157717] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14238), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157731] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14238), 1,
      anon_sym_RBRACK,
    STATE(6878), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157745] = 3,
    STATE(4813), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14240), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157757] = 4,
    ACTIONS(14230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14232), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4814), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157771] = 3,
    STATE(1050), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14242), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157783] = 3,
    STATE(1013), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14244), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157795] = 4,
    ACTIONS(14246), 1,
      sym_preproc_comment,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6289), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157809] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14250), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157823] = 3,
    STATE(4857), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14252), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157835] = 4,
    ACTIONS(14230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14232), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4858), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157849] = 3,
    STATE(756), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14254), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157861] = 3,
    STATE(5871), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14256), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157873] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
    STATE(6819), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157887] = 3,
    STATE(1964), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14262), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157899] = 3,
    STATE(1939), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14264), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157911] = 3,
    STATE(2442), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14266), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157923] = 4,
    ACTIONS(14268), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14270), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5320), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157937] = 4,
    ACTIONS(14272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14274), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1014), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157951] = 3,
    STATE(5558), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14276), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157963] = 4,
    ACTIONS(14278), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14280), 1,
      aux_sym_end_function_statement_token1,
    STATE(5353), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157977] = 4,
    ACTIONS(14282), 1,
      anon_sym_COMMA,
    ACTIONS(14284), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157991] = 3,
    STATE(5399), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14286), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158003] = 4,
    ACTIONS(14268), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14270), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5400), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158017] = 3,
    STATE(5403), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14288), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158029] = 4,
    ACTIONS(14278), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14280), 1,
      aux_sym_end_function_statement_token1,
    STATE(5404), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158043] = 3,
    STATE(5681), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14290), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158055] = 3,
    STATE(5407), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14292), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158067] = 4,
    ACTIONS(14268), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14270), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5408), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158081] = 3,
    STATE(5409), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14294), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158093] = 4,
    ACTIONS(14278), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14280), 1,
      aux_sym_end_function_statement_token1,
    STATE(5410), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158107] = 4,
    ACTIONS(14296), 1,
      sym__string_literal,
    ACTIONS(14298), 1,
      sym__string_literal_kind,
    STATE(5308), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158121] = 3,
    STATE(5883), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14300), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158133] = 3,
    STATE(4471), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14302), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158145] = 3,
    STATE(1178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14304), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158157] = 3,
    STATE(2966), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14306), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158169] = 3,
    STATE(1388), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158181] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14310), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158195] = 3,
    STATE(705), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8506), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158207] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14312), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158221] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14314), 1,
      anon_sym_RPAREN,
    STATE(7386), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158235] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_RPAREN,
    STATE(7387), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158249] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14318), 1,
      anon_sym_RPAREN,
    STATE(7389), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158263] = 4,
    ACTIONS(9879), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9881), 1,
      aux_sym_end_type_statement_token1,
    STATE(1170), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158277] = 3,
    STATE(2971), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158289] = 3,
    STATE(1434), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158301] = 3,
    STATE(1173), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14324), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158313] = 3,
    STATE(1174), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14326), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158325] = 4,
    ACTIONS(14328), 1,
      anon_sym_COMMA,
    ACTIONS(14330), 1,
      anon_sym_RPAREN,
    STATE(7636), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158339] = 3,
    STATE(1967), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14332), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158351] = 4,
    ACTIONS(14334), 1,
      anon_sym_COMMA,
    ACTIONS(14336), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158365] = 4,
    ACTIONS(10309), 1,
      anon_sym_COMMA,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    STATE(6932), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158379] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10313), 1,
      anon_sym_RPAREN,
    STATE(6933), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158393] = 3,
    STATE(1725), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14338), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158405] = 3,
    STATE(132), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14340), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158417] = 3,
    STATE(1187), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14342), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158429] = 4,
    ACTIONS(9879), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9881), 1,
      aux_sym_end_type_statement_token1,
    STATE(1188), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158443] = 3,
    STATE(1189), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14344), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158455] = 3,
    STATE(1190), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14346), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158467] = 4,
    ACTIONS(8971), 1,
      anon_sym_COMMA,
    ACTIONS(14348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14350), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158481] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14352), 1,
      anon_sym_RPAREN,
    STATE(7439), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158495] = 3,
    STATE(1042), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14354), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158507] = 4,
    ACTIONS(14356), 1,
      anon_sym_COMMA,
    ACTIONS(14358), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158521] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(14360), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158535] = 4,
    ACTIONS(14362), 1,
      anon_sym_COMMA,
    ACTIONS(14365), 1,
      anon_sym_RPAREN,
    STATE(6934), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158549] = 3,
    STATE(915), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14367), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158561] = 3,
    STATE(1196), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14369), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158573] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13773), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158583] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14371), 1,
      anon_sym_RBRACK,
    STATE(6942), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158597] = 4,
    ACTIONS(14373), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14375), 1,
      aux_sym_end_function_statement_token1,
    STATE(1043), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158611] = 4,
    ACTIONS(14377), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14379), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5263), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158625] = 4,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(14381), 1,
      sym_preproc_comment,
    STATE(6152), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158639] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14383), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158653] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14383), 1,
      anon_sym_RBRACK,
    STATE(6951), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158667] = 4,
    ACTIONS(14385), 1,
      anon_sym_COMMA,
    ACTIONS(14388), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158681] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14390), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158695] = 3,
    STATE(5276), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14392), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158707] = 4,
    ACTIONS(14394), 1,
      anon_sym_COMMA,
    ACTIONS(14396), 1,
      anon_sym_RPAREN,
    STATE(7241), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158721] = 4,
    ACTIONS(14377), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14379), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5277), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158735] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7813), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158749] = 4,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158763] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158777] = 3,
    STATE(5295), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158789] = 4,
    ACTIONS(14377), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14379), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5298), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158803] = 4,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(14406), 1,
      anon_sym_RBRACK,
    STATE(6771), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158817] = 3,
    STATE(943), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14408), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158829] = 3,
    STATE(911), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14410), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158841] = 4,
    ACTIONS(14412), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14414), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5198), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158855] = 4,
    ACTIONS(14416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14418), 1,
      aux_sym_end_function_statement_token1,
    STATE(5202), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158869] = 3,
    STATE(5661), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14420), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158881] = 3,
    STATE(5880), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14422), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158893] = 3,
    STATE(5206), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14424), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158905] = 3,
    STATE(585), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14426), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158917] = 4,
    ACTIONS(14412), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14414), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5207), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158931] = 3,
    STATE(5885), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14428), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158943] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7835), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158957] = 3,
    STATE(5209), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14430), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158969] = 4,
    ACTIONS(14416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14418), 1,
      aux_sym_end_function_statement_token1,
    STATE(5210), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158983] = 3,
    STATE(5212), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14432), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158995] = 4,
    ACTIONS(14412), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14414), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5213), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159009] = 3,
    STATE(5214), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14434), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159021] = 4,
    ACTIONS(14416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14418), 1,
      aux_sym_end_function_statement_token1,
    STATE(5215), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159035] = 3,
    STATE(5325), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14436), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159047] = 4,
    ACTIONS(14438), 1,
      sym__string_literal,
    ACTIONS(14440), 1,
      sym__string_literal_kind,
    STATE(5188), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159061] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14442), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159071] = 3,
    STATE(4483), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14444), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159083] = 3,
    STATE(1689), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14446), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159095] = 4,
    ACTIONS(11051), 1,
      anon_sym_RPAREN,
    ACTIONS(14448), 1,
      anon_sym_COMMA,
    STATE(6977), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159109] = 3,
    STATE(2880), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14451), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159121] = 3,
    STATE(1255), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14453), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159133] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14455), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159147] = 4,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(916), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159161] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159175] = 3,
    STATE(918), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14459), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159187] = 4,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(14461), 1,
      sym_preproc_comment,
    STATE(6219), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159201] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14463), 1,
      anon_sym_RPAREN,
    STATE(6835), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159215] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7724), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159229] = 4,
    ACTIONS(14465), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(14467), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(14469), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159243] = 4,
    ACTIONS(9887), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9889), 1,
      aux_sym_end_type_statement_token1,
    STATE(1693), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159257] = 3,
    STATE(5567), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159269] = 3,
    STATE(2959), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14473), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159281] = 3,
    STATE(1287), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159293] = 3,
    STATE(1690), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14477), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159305] = 3,
    STATE(1675), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159317] = 4,
    ACTIONS(14157), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14159), 1,
      aux_sym_end_module_statement_token1,
    STATE(919), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159331] = 3,
    STATE(134), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14481), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159343] = 3,
    STATE(922), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14483), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159355] = 4,
    ACTIONS(10137), 1,
      anon_sym_COMMA,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    STATE(7006), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159369] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      anon_sym_RPAREN,
    STATE(7007), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159383] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14485), 1,
      anon_sym_RPAREN,
    STATE(7630), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159397] = 3,
    STATE(1212), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159409] = 3,
    STATE(1681), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14489), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159421] = 4,
    ACTIONS(9887), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9889), 1,
      aux_sym_end_type_statement_token1,
    STATE(1682), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159435] = 3,
    STATE(1683), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159447] = 3,
    STATE(1686), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14493), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159459] = 4,
    ACTIONS(14179), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14181), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(923), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159473] = 4,
    ACTIONS(14495), 1,
      anon_sym_COMMA,
    ACTIONS(14497), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159487] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(14499), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159501] = 3,
    STATE(1407), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14501), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159513] = 3,
    STATE(1007), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8415), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159525] = 3,
    STATE(1695), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14503), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159537] = 3,
    STATE(925), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159549] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14507), 1,
      anon_sym_RBRACK,
    STATE(7022), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159563] = 4,
    ACTIONS(7891), 1,
      sym__integer_literal,
    STATE(4119), 1,
      sym_statement_label,
    STATE(7945), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159577] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5327), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159591] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14463), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159605] = 3,
    STATE(4709), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7988), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159617] = 4,
    ACTIONS(14513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14515), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5413), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159631] = 3,
    STATE(713), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159643] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14519), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159657] = 4,
    ACTIONS(14521), 1,
      anon_sym_COMMA,
    ACTIONS(14524), 1,
      anon_sym_RPAREN,
    STATE(7020), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159671] = 4,
    ACTIONS(7891), 1,
      sym__integer_literal,
    STATE(4119), 1,
      sym_statement_label,
    STATE(6842), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159685] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14526), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159699] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14526), 1,
      anon_sym_RBRACK,
    STATE(7029), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159713] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(14528), 1,
      anon_sym_RPAREN,
    STATE(6854), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159727] = 3,
    STATE(5439), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14530), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159739] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14532), 1,
      anon_sym_RPAREN,
    STATE(7634), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159753] = 4,
    ACTIONS(14513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14515), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5449), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159767] = 3,
    ACTIONS(4716), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [159779] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(14534), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159793] = 3,
    ACTIONS(14536), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159805] = 3,
    STATE(5468), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14540), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159817] = 4,
    ACTIONS(14513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14515), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5471), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159831] = 4,
    ACTIONS(14542), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14544), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4662), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159845] = 3,
    STATE(1569), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159857] = 3,
    STATE(1678), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159869] = 3,
    STATE(1700), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14550), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159881] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14552), 1,
      anon_sym_RPAREN,
    STATE(7639), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159895] = 4,
    ACTIONS(14554), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14556), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4932), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159909] = 4,
    ACTIONS(14558), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14560), 1,
      aux_sym_end_function_statement_token1,
    STATE(4667), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159923] = 4,
    ACTIONS(14562), 1,
      anon_sym_COMMA,
    ACTIONS(14564), 1,
      anon_sym_RPAREN,
    STATE(6862), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159937] = 4,
    ACTIONS(14566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14568), 1,
      aux_sym_end_function_statement_token1,
    STATE(4934), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159951] = 4,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      anon_sym_RPAREN,
    STATE(7672), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159965] = 3,
    STATE(4939), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14574), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159977] = 4,
    ACTIONS(14554), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14556), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4940), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159991] = 3,
    STATE(4942), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14576), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160003] = 4,
    ACTIONS(14566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14568), 1,
      aux_sym_end_function_statement_token1,
    STATE(4963), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160017] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_RPAREN,
    STATE(6855), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160031] = 3,
    STATE(4944), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14580), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160043] = 4,
    ACTIONS(14554), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14556), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4946), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160057] = 3,
    STATE(4947), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14582), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160069] = 4,
    ACTIONS(14566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14568), 1,
      aux_sym_end_function_statement_token1,
    STATE(4948), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160083] = 4,
    ACTIONS(7353), 1,
      sym__string_literal,
    ACTIONS(7355), 1,
      sym__string_literal_kind,
    STATE(4802), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160097] = 3,
    STATE(4456), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160109] = 3,
    STATE(1542), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14147), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160121] = 4,
    ACTIONS(9891), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9893), 1,
      aux_sym_end_type_statement_token1,
    STATE(1602), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160135] = 3,
    STATE(2398), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14586), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160147] = 3,
    STATE(1222), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160159] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14590), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [160173] = 4,
    ACTIONS(14592), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14594), 1,
      aux_sym_end_program_statement_token2,
    STATE(1055), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160187] = 3,
    STATE(5569), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14596), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160199] = 4,
    ACTIONS(14598), 1,
      anon_sym_COMMA,
    ACTIONS(14600), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160213] = 3,
    ACTIONS(14604), 1,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160225] = 4,
    ACTIONS(9899), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9901), 1,
      aux_sym_end_type_statement_token1,
    STATE(1562), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160239] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11553), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160249] = 3,
    STATE(2423), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14606), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160261] = 3,
    STATE(1212), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160273] = 3,
    STATE(1567), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14608), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160285] = 3,
    STATE(1568), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14610), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160297] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11553), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160307] = 4,
    ACTIONS(14612), 1,
      anon_sym_COMMA,
    ACTIONS(14614), 1,
      anon_sym_RPAREN,
    STATE(7648), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160321] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(7079), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160335] = 3,
    STATE(1679), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14616), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160347] = 3,
    STATE(1586), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14618), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160359] = 4,
    ACTIONS(9899), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9901), 1,
      aux_sym_end_type_statement_token1,
    STATE(1587), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160373] = 3,
    STATE(1596), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14620), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160385] = 3,
    STATE(1599), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14622), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160397] = 4,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
    ACTIONS(14626), 1,
      anon_sym_COLON_COLON,
    STATE(7403), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160411] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8971), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160421] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160435] = 3,
    STATE(1380), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14630), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160447] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14632), 1,
      anon_sym_RPAREN,
    STATE(6867), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160461] = 4,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
    ACTIONS(14634), 1,
      anon_sym_COLON_COLON,
    STATE(7652), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160475] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14636), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160485] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14638), 1,
      anon_sym_RPAREN,
    STATE(7674), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160499] = 4,
    ACTIONS(11029), 1,
      anon_sym_COMMA,
    ACTIONS(11031), 1,
      anon_sym_RPAREN,
    STATE(6920), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160513] = 4,
    ACTIONS(14640), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14642), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5056), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160527] = 4,
    ACTIONS(14644), 1,
      sym__integer_literal,
    STATE(7078), 1,
      sym_statement_label,
    STATE(7770), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160541] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(14646), 1,
      anon_sym_RPAREN,
    STATE(7655), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160555] = 4,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    STATE(8039), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160569] = 3,
    STATE(5098), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14648), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160581] = 4,
    ACTIONS(14640), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14642), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5101), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160595] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14650), 1,
      anon_sym_RPAREN,
    STATE(6982), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160609] = 3,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14654), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160621] = 3,
    STATE(5564), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160633] = 3,
    STATE(5126), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160645] = 4,
    ACTIONS(14640), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14642), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5127), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160659] = 4,
    ACTIONS(14660), 1,
      anon_sym_COMMA,
    ACTIONS(14663), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160673] = 3,
    STATE(1481), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14665), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160685] = 3,
    STATE(1528), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160697] = 4,
    ACTIONS(14669), 1,
      anon_sym_COMMA,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
    STATE(7429), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160711] = 4,
    ACTIONS(14673), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14675), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4863), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160725] = 4,
    ACTIONS(14677), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14679), 1,
      aux_sym_end_function_statement_token1,
    STATE(4866), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160739] = 3,
    STATE(4868), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14681), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160751] = 4,
    ACTIONS(14673), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14675), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4869), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160765] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7749), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160779] = 3,
    STATE(4871), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14683), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160791] = 4,
    ACTIONS(14677), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14679), 1,
      aux_sym_end_function_statement_token1,
    STATE(4872), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160805] = 3,
    STATE(4873), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14685), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160817] = 4,
    ACTIONS(14673), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14675), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4874), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160831] = 3,
    STATE(4875), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160843] = 4,
    ACTIONS(14677), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14679), 1,
      aux_sym_end_function_statement_token1,
    STATE(4876), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160857] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7750), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160871] = 4,
    ACTIONS(14689), 1,
      sym__string_literal,
    ACTIONS(14691), 1,
      sym__string_literal_kind,
    STATE(5179), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160885] = 3,
    STATE(4470), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160897] = 3,
    STATE(1388), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160909] = 3,
    STATE(2169), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14695), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160921] = 3,
    STATE(1570), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14697), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160933] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14699), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [160947] = 3,
    STATE(4484), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14701), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160959] = 4,
    ACTIONS(9895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9897), 1,
      aux_sym_end_type_statement_token1,
    STATE(1402), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160973] = 3,
    STATE(2175), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14703), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160985] = 3,
    STATE(1579), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14705), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160997] = 3,
    STATE(1448), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14707), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161009] = 3,
    STATE(1453), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14709), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161021] = 3,
    STATE(2005), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14711), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161033] = 3,
    STATE(1486), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161045] = 4,
    ACTIONS(9895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9897), 1,
      aux_sym_end_type_statement_token1,
    STATE(1494), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161059] = 3,
    STATE(1496), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161071] = 3,
    STATE(1500), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14717), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161083] = 4,
    ACTIONS(10411), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    STATE(7130), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161097] = 3,
    STATE(1531), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14722), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161109] = 4,
    ACTIONS(6139), 1,
      sym__string_literal,
    ACTIONS(6141), 1,
      sym__string_literal_kind,
    STATE(5379), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161123] = 3,
    STATE(743), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14724), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161135] = 4,
    ACTIONS(14328), 1,
      anon_sym_COMMA,
    ACTIONS(14726), 1,
      anon_sym_RPAREN,
    STATE(6918), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161149] = 4,
    ACTIONS(14728), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14730), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5280), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161163] = 4,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(965), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161177] = 3,
    STATE(4481), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14732), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161189] = 3,
    STATE(1849), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14734), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161201] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14736), 1,
      anon_sym_RPAREN,
    STATE(7508), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161215] = 3,
    ACTIONS(14738), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14740), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [161227] = 4,
    ACTIONS(14328), 1,
      anon_sym_COMMA,
    ACTIONS(14742), 1,
      anon_sym_RPAREN,
    STATE(6918), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161241] = 3,
    STATE(2082), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14744), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161253] = 3,
    STATE(1178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14304), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161265] = 3,
    STATE(5287), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14746), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161277] = 3,
    STATE(900), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14748), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161289] = 4,
    ACTIONS(14728), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14730), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5288), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161303] = 3,
    STATE(4045), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12585), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
  [161315] = 3,
    STATE(5579), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14750), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161327] = 3,
    ACTIONS(14752), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14754), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161339] = 3,
    STATE(5296), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14756), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161351] = 4,
    ACTIONS(14728), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14730), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5297), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161365] = 3,
    STATE(1465), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14758), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161377] = 3,
    STATE(1503), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14760), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161389] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(14762), 1,
      anon_sym_RPAREN,
    STATE(7546), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161403] = 4,
    ACTIONS(14764), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14766), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5338), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161417] = 4,
    ACTIONS(14768), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14770), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(952), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161431] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14772), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [161445] = 4,
    ACTIONS(10830), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161459] = 4,
    ACTIONS(14774), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14776), 1,
      aux_sym_end_function_statement_token1,
    STATE(5340), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161473] = 4,
    ACTIONS(14778), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14780), 1,
      aux_sym_end_function_statement_token1,
    STATE(954), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161487] = 3,
    STATE(5348), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14782), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161499] = 4,
    ACTIONS(14764), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14766), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5349), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161513] = 3,
    STATE(5351), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14784), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161525] = 4,
    ACTIONS(14774), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14776), 1,
      aux_sym_end_function_statement_token1,
    STATE(5352), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161539] = 3,
    STATE(5354), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14786), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161551] = 4,
    ACTIONS(14764), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14766), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5355), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161565] = 3,
    STATE(5356), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14788), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161577] = 4,
    ACTIONS(14774), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14776), 1,
      aux_sym_end_function_statement_token1,
    STATE(5357), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161591] = 4,
    ACTIONS(14790), 1,
      sym__string_literal,
    ACTIONS(14792), 1,
      sym__string_literal_kind,
    STATE(5306), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161605] = 3,
    STATE(1255), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14453), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161617] = 3,
    STATE(2260), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14794), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161629] = 3,
    STATE(1632), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14796), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161641] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14798), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [161655] = 3,
    STATE(648), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8644), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161667] = 3,
    STATE(703), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14800), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161679] = 4,
    ACTIONS(14802), 1,
      aux_sym_included_items_token1,
    ACTIONS(14804), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(14806), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161693] = 3,
    STATE(5622), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14808), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161705] = 3,
    STATE(5873), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14810), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161717] = 4,
    ACTIONS(9833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9847), 1,
      aux_sym_end_type_statement_token1,
    STATE(1286), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161731] = 3,
    STATE(2417), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14812), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161743] = 3,
    STATE(1654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14814), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161755] = 3,
    STATE(1289), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14816), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161767] = 3,
    STATE(1292), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14818), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161779] = 4,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(904), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161793] = 3,
    STATE(1566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14171), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161805] = 3,
    STATE(5882), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14820), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161817] = 3,
    STATE(1312), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14822), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161829] = 4,
    ACTIONS(9833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9847), 1,
      aux_sym_end_type_statement_token1,
    STATE(1378), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161843] = 3,
    STATE(1318), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14824), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161855] = 3,
    STATE(1319), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14826), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161867] = 4,
    ACTIONS(7891), 1,
      sym__integer_literal,
    STATE(4119), 1,
      sym_statement_label,
    STATE(8461), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161881] = 3,
    STATE(1326), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14828), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161893] = 4,
    ACTIONS(14669), 1,
      anon_sym_COMMA,
    ACTIONS(14830), 1,
      anon_sym_RPAREN,
    STATE(7421), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161907] = 3,
    STATE(745), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14832), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161919] = 4,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(14834), 1,
      anon_sym_RBRACK,
    STATE(6771), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161933] = 4,
    ACTIONS(9863), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9865), 1,
      aux_sym_end_type_statement_token1,
    STATE(1867), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161947] = 4,
    ACTIONS(12095), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12097), 1,
      aux_sym_end_program_statement_token2,
    STATE(932), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161961] = 3,
    STATE(2088), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14836), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161973] = 3,
    STATE(1171), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14838), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161985] = 3,
    STATE(1869), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14840), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161997] = 3,
    STATE(1870), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14842), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162009] = 3,
    STATE(933), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14844), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162021] = 3,
    STATE(1020), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14846), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162033] = 3,
    STATE(1021), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14848), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162045] = 4,
    ACTIONS(14850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14852), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5378), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162059] = 3,
    STATE(934), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14854), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162071] = 4,
    ACTIONS(14856), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14858), 1,
      aux_sym_end_function_statement_token1,
    STATE(5380), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162085] = 3,
    STATE(1436), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14860), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162097] = 3,
    STATE(5384), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14862), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162109] = 4,
    ACTIONS(14850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14852), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5386), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162123] = 3,
    STATE(5388), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14864), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162135] = 4,
    ACTIONS(14856), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14858), 1,
      aux_sym_end_function_statement_token1,
    STATE(5389), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162149] = 3,
    STATE(5390), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14866), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162161] = 4,
    ACTIONS(14850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14852), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5391), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162175] = 3,
    STATE(5392), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14868), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162187] = 4,
    ACTIONS(14856), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14858), 1,
      aux_sym_end_function_statement_token1,
    STATE(5393), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162201] = 3,
    STATE(936), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14870), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162213] = 3,
    STATE(1222), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162225] = 3,
    STATE(2639), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14872), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162237] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14874), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162251] = 3,
    STATE(4698), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14876), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162263] = 4,
    ACTIONS(14612), 1,
      anon_sym_COMMA,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    STATE(7493), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162277] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14880), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162287] = 3,
    STATE(5459), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14882), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162299] = 3,
    STATE(5651), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14884), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162311] = 4,
    ACTIONS(9907), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9909), 1,
      aux_sym_end_type_statement_token1,
    STATE(1201), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162325] = 3,
    STATE(2654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14886), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162337] = 3,
    STATE(1213), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14888), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162349] = 3,
    STATE(1214), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14890), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162361] = 3,
    STATE(708), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162373] = 4,
    ACTIONS(14542), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14544), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4699), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162387] = 3,
    STATE(1434), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162399] = 3,
    STATE(1218), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14892), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162411] = 4,
    ACTIONS(9907), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9909), 1,
      aux_sym_end_type_statement_token1,
    STATE(1219), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162425] = 3,
    STATE(1220), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14894), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162437] = 3,
    STATE(1221), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14896), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162449] = 3,
    STATE(1223), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14898), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162461] = 4,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    STATE(7809), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162475] = 3,
    STATE(793), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14900), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162487] = 3,
    ACTIONS(8014), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8012), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [162499] = 4,
    ACTIONS(14902), 1,
      anon_sym_COMMA,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    STATE(6934), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162513] = 3,
    STATE(1640), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14906), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162525] = 4,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      anon_sym_RBRACK,
    STATE(7333), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162539] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5460), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162553] = 3,
    STATE(1229), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14908), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162565] = 3,
    STATE(1230), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14910), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162577] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10255), 1,
      anon_sym_RPAREN,
    STATE(7335), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162591] = 4,
    ACTIONS(14912), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14914), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5047), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162605] = 4,
    ACTIONS(10100), 1,
      anon_sym_RPAREN,
    ACTIONS(14916), 1,
      anon_sym_COMMA,
    STATE(7249), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162619] = 4,
    ACTIONS(14919), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14921), 1,
      aux_sym_end_function_statement_token1,
    STATE(5102), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162633] = 4,
    ACTIONS(14923), 1,
      anon_sym_COMMA,
    ACTIONS(14925), 1,
      anon_sym_RPAREN,
    STATE(7339), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162647] = 3,
    STATE(5109), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14927), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162659] = 4,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_RPAREN,
    STATE(7485), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162673] = 4,
    ACTIONS(14912), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14914), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5114), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162687] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14931), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162697] = 3,
    STATE(4704), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14933), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162709] = 3,
    STATE(5116), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14935), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162721] = 4,
    ACTIONS(14919), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14921), 1,
      aux_sym_end_function_statement_token1,
    STATE(5158), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162735] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14937), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162745] = 3,
    STATE(5162), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14939), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162757] = 4,
    ACTIONS(14912), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14914), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5167), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162771] = 3,
    STATE(5181), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14941), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162783] = 4,
    ACTIONS(14919), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14921), 1,
      aux_sym_end_function_statement_token1,
    STATE(5034), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162797] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13676), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162807] = 3,
    STATE(1059), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14943), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162819] = 4,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(14406), 1,
      anon_sym_SLASH_RPAREN,
    STATE(7130), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162833] = 3,
    STATE(1721), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14945), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162845] = 3,
    STATE(1803), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14947), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162857] = 3,
    STATE(2896), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162869] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(14951), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162883] = 3,
    STATE(710), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162895] = 3,
    ACTIONS(14955), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162907] = 3,
    STATE(2666), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14957), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162919] = 3,
    STATE(1880), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14959), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162931] = 4,
    ACTIONS(9863), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9865), 1,
      aux_sym_end_type_statement_token1,
    STATE(1881), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162945] = 4,
    ACTIONS(9883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9885), 1,
      aux_sym_end_type_statement_token1,
    STATE(1724), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162959] = 4,
    ACTIONS(7147), 1,
      anon_sym_LPAREN2,
    STATE(2634), 1,
      sym__argument_list,
    STATE(3597), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162973] = 3,
    STATE(2761), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14961), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162985] = 3,
    STATE(1726), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14963), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162997] = 3,
    STATE(1727), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163009] = 3,
    STATE(5875), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163021] = 4,
    ACTIONS(14558), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14560), 1,
      aux_sym_end_function_statement_token1,
    STATE(4705), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163035] = 3,
    STATE(1579), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14705), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163047] = 3,
    STATE(1882), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14969), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163059] = 3,
    STATE(1729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14971), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163071] = 4,
    ACTIONS(9883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9885), 1,
      aux_sym_end_type_statement_token1,
    STATE(1730), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163085] = 3,
    STATE(1731), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14973), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163097] = 3,
    STATE(1732), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14975), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163109] = 3,
    STATE(956), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14977), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163121] = 3,
    STATE(1883), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14979), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163133] = 3,
    STATE(1733), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14981), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163145] = 3,
    STATE(749), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14983), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163157] = 4,
    ACTIONS(14768), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14770), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(957), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163171] = 3,
    STATE(1063), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14985), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163183] = 3,
    STATE(959), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14987), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163195] = 3,
    STATE(1739), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14989), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163207] = 3,
    STATE(1740), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14991), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163219] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5436), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163233] = 4,
    ACTIONS(14778), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14780), 1,
      aux_sym_end_function_statement_token1,
    STATE(960), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163247] = 4,
    ACTIONS(14272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14274), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1064), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163261] = 4,
    ACTIONS(14997), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14999), 1,
      aux_sym_end_function_statement_token1,
    STATE(5438), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163275] = 3,
    STATE(5441), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15001), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163287] = 3,
    STATE(1067), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15003), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163299] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5443), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163313] = 3,
    STATE(5447), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15005), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163325] = 4,
    ACTIONS(14997), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14999), 1,
      aux_sym_end_function_statement_token1,
    STATE(5448), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163339] = 3,
    STATE(5452), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15007), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163351] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5453), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163365] = 3,
    STATE(5454), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15009), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163377] = 4,
    ACTIONS(14997), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14999), 1,
      aux_sym_end_function_statement_token1,
    STATE(5455), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163391] = 4,
    ACTIONS(14373), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14375), 1,
      aux_sym_end_function_statement_token1,
    STATE(1068), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163405] = 3,
    STATE(1570), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14697), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163417] = 4,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7194), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163431] = 3,
    STATE(2854), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15011), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163443] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15013), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163457] = 4,
    ACTIONS(15015), 1,
      anon_sym_COMMA,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(7501), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163471] = 4,
    ACTIONS(9859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9861), 1,
      aux_sym_end_type_statement_token1,
    STATE(1577), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163485] = 3,
    STATE(2862), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15019), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163497] = 3,
    STATE(1582), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15021), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163509] = 3,
    STATE(1585), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15023), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163521] = 3,
    STATE(1654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14814), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163533] = 3,
    STATE(1589), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15025), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163545] = 4,
    ACTIONS(9859), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9861), 1,
      aux_sym_end_type_statement_token1,
    STATE(1592), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163559] = 3,
    STATE(1593), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15027), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163571] = 3,
    STATE(1595), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15029), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163583] = 4,
    ACTIONS(14592), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14594), 1,
      aux_sym_end_program_statement_token2,
    STATE(1136), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163597] = 3,
    ACTIONS(4732), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4734), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [163609] = 3,
    STATE(1600), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15031), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163621] = 3,
    STATE(712), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15033), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163633] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5217), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163647] = 3,
    STATE(1622), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15035), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163659] = 3,
    STATE(1627), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15037), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163671] = 4,
    ACTIONS(15039), 1,
      anon_sym_COMMA,
    ACTIONS(15041), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163685] = 3,
    STATE(1010), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163697] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163711] = 3,
    STATE(2009), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15047), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163723] = 3,
    STATE(2174), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15049), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163735] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15051), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163749] = 4,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15055), 1,
      anon_sym_RPAREN,
    STATE(6934), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163763] = 4,
    ACTIONS(9871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9873), 1,
      aux_sym_end_type_statement_token1,
    STATE(1998), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163777] = 3,
    STATE(2177), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15057), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163789] = 3,
    STATE(2007), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163801] = 3,
    STATE(2018), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15061), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163813] = 4,
    ACTIONS(15063), 1,
      sym_preproc_comment,
    ACTIONS(15065), 1,
      aux_sym_select_case_statement_token2,
    STATE(8759), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163827] = 3,
    STATE(602), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163839] = 4,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
    ACTIONS(15069), 1,
      anon_sym_COLON_COLON,
    STATE(7082), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163853] = 3,
    STATE(2724), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163865] = 3,
    STATE(1976), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15073), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163877] = 4,
    ACTIONS(9871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9873), 1,
      aux_sym_end_type_statement_token1,
    STATE(1980), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163891] = 3,
    STATE(1992), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163903] = 3,
    STATE(2004), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15077), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163915] = 3,
    STATE(1974), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163927] = 3,
    STATE(1903), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15081), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163939] = 3,
    STATE(615), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15083), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163951] = 4,
    ACTIONS(11121), 1,
      anon_sym_SLASH,
    ACTIONS(15085), 1,
      anon_sym_COMMA,
    STATE(7355), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163965] = 4,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(15088), 1,
      anon_sym_RPAREN,
    STATE(7485), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163979] = 3,
    STATE(1996), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15090), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163991] = 3,
    STATE(2010), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164003] = 4,
    ACTIONS(10237), 1,
      anon_sym_COMMA,
    ACTIONS(15094), 1,
      anon_sym_RPAREN,
    STATE(6806), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164017] = 3,
    STATE(1460), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15096), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164029] = 3,
    STATE(1632), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14796), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164041] = 3,
    STATE(2872), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164053] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15100), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164067] = 3,
    STATE(5563), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15102), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164079] = 4,
    ACTIONS(9875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9877), 1,
      aux_sym_end_type_statement_token1,
    STATE(1653), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164093] = 3,
    STATE(2882), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15104), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164105] = 3,
    STATE(1655), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15106), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164117] = 3,
    STATE(1656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15108), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164129] = 3,
    STATE(1662), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15110), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164141] = 4,
    ACTIONS(9875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9877), 1,
      aux_sym_end_type_statement_token1,
    STATE(1663), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164155] = 3,
    STATE(1664), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15112), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164167] = 3,
    STATE(1665), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15114), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164179] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15116), 1,
      anon_sym_RBRACK,
    STATE(7397), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164193] = 3,
    STATE(1442), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15118), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164205] = 3,
    STATE(758), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15120), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164217] = 3,
    STATE(961), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15122), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164229] = 3,
    STATE(651), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15124), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164241] = 4,
    ACTIONS(14768), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14770), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(962), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164255] = 3,
    STATE(963), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15126), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164267] = 3,
    STATE(5565), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15128), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164279] = 3,
    STATE(1502), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15130), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164291] = 3,
    STATE(1507), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15132), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164303] = 3,
    STATE(3012), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15134), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164315] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15136), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164329] = 3,
    STATE(3027), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15138), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164341] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15140), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164355] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15142), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164369] = 4,
    ACTIONS(14778), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14780), 1,
      aux_sym_end_function_statement_token1,
    STATE(964), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164383] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15144), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164397] = 3,
    STATE(1556), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14165), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164409] = 4,
    ACTIONS(15146), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15148), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5314), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164423] = 3,
    STATE(2750), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15150), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164435] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15152), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164449] = 3,
    STATE(2432), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15154), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164461] = 3,
    STATE(1868), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15156), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164473] = 4,
    ACTIONS(15158), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15160), 1,
      aux_sym_end_module_statement_token1,
    STATE(1011), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164487] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15162), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164501] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15162), 1,
      anon_sym_RBRACK,
    STATE(7427), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164515] = 3,
    STATE(2922), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15164), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164527] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15166), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164541] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7753), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164555] = 3,
    STATE(2973), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15168), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164567] = 4,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
    ACTIONS(15170), 1,
      anon_sym_COLON_COLON,
    STATE(7652), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164581] = 3,
    STATE(5540), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15172), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164593] = 3,
    STATE(654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164605] = 3,
    STATE(657), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15176), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164617] = 4,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    STATE(7821), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164631] = 3,
    STATE(2211), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15178), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164643] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15180), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164657] = 3,
    STATE(2208), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15182), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164669] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13390), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [164679] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7758), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164693] = 3,
    STATE(1048), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15184), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164705] = 3,
    STATE(649), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15186), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164717] = 3,
    STATE(2978), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15188), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164729] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15190), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164743] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7766), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164757] = 3,
    STATE(2759), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164769] = 3,
    STATE(5330), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164781] = 4,
    ACTIONS(15146), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15148), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5331), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164795] = 4,
    ACTIONS(14669), 1,
      anon_sym_COMMA,
    ACTIONS(15196), 1,
      anon_sym_RPAREN,
    STATE(7020), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164809] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13996), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164819] = 3,
    STATE(719), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15198), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164831] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15200), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164845] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15202), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164859] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15204), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164873] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15206), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164887] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15208), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164901] = 4,
    ACTIONS(14669), 1,
      anon_sym_COMMA,
    ACTIONS(14830), 1,
      anon_sym_RPAREN,
    STATE(7020), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164915] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15210), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164929] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15212), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164943] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15214), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164957] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15216), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164971] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15218), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164985] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15220), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164999] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15222), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165013] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15224), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165027] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15226), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165041] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15228), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165055] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15230), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165069] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15232), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165083] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15234), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165097] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15236), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165111] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15238), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165125] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15240), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165139] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15242), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165153] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15244), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165167] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15246), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165181] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15248), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165195] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15250), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165209] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15252), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165223] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15254), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165237] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15256), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165251] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15258), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165265] = 3,
    STATE(5345), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15260), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165277] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15262), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165291] = 4,
    ACTIONS(15146), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15148), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5346), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165305] = 3,
    ACTIONS(8066), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8064), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [165317] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13965), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165327] = 3,
    STATE(671), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15264), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165339] = 3,
    STATE(127), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15266), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165351] = 3,
    STATE(128), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15268), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165363] = 4,
    ACTIONS(15270), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15272), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1049), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165377] = 3,
    STATE(623), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15274), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165389] = 3,
    STATE(626), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15276), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165401] = 3,
    STATE(628), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15278), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165413] = 3,
    STATE(1052), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15280), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165425] = 4,
    ACTIONS(15282), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(15284), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(15286), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165439] = 3,
    STATE(819), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15288), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165451] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7268), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165465] = 3,
    STATE(632), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15294), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165477] = 3,
    STATE(634), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15296), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165489] = 3,
    STATE(205), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15298), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165501] = 4,
    ACTIONS(15300), 1,
      sym_preproc_comment,
    ACTIONS(15302), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8902), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165515] = 3,
    STATE(131), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15304), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165527] = 4,
    ACTIONS(15015), 1,
      anon_sym_COMMA,
    ACTIONS(15306), 1,
      anon_sym_RPAREN,
    STATE(7316), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165541] = 3,
    STATE(1089), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165553] = 3,
    STATE(974), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165565] = 4,
    ACTIONS(15310), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15312), 1,
      aux_sym_end_module_statement_token1,
    STATE(1092), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165579] = 4,
    ACTIONS(15314), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15316), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1094), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165593] = 3,
    STATE(4733), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15318), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165605] = 4,
    ACTIONS(14542), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14544), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4734), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165619] = 3,
    STATE(4735), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165631] = 3,
    STATE(1100), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165643] = 4,
    ACTIONS(11625), 1,
      anon_sym_RPAREN,
    ACTIONS(15324), 1,
      anon_sym_COMMA,
    STATE(7485), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165657] = 4,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    STATE(1101), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165671] = 3,
    STATE(1103), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15327), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165683] = 4,
    ACTIONS(15310), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15312), 1,
      aux_sym_end_module_statement_token1,
    STATE(1104), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165697] = 4,
    ACTIONS(14558), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14560), 1,
      aux_sym_end_function_statement_token1,
    STATE(4736), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165711] = 3,
    STATE(1106), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15329), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165723] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15331), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165733] = 4,
    ACTIONS(15314), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15316), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1107), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165747] = 4,
    ACTIONS(14612), 1,
      anon_sym_COMMA,
    ACTIONS(15333), 1,
      anon_sym_RPAREN,
    STATE(7649), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165761] = 3,
    STATE(1815), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15335), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165773] = 3,
    STATE(1109), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15337), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165785] = 4,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    STATE(1118), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165799] = 3,
    STATE(1119), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15339), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165811] = 3,
    STATE(1120), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15341), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165823] = 3,
    STATE(4430), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165835] = 3,
    STATE(1841), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165847] = 4,
    ACTIONS(15347), 1,
      anon_sym_COMMA,
    ACTIONS(15350), 1,
      anon_sym_RPAREN,
    STATE(7501), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165861] = 3,
    STATE(1122), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15352), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165873] = 3,
    ACTIONS(15354), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165885] = 3,
    STATE(137), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15356), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165897] = 3,
    STATE(138), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15358), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165909] = 4,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7741), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165923] = 3,
    STATE(1138), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15360), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165935] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15362), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165949] = 3,
    STATE(1054), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15364), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165961] = 4,
    ACTIONS(15366), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15368), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5475), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165975] = 4,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(3338), 1,
      sym__argument_list,
    STATE(7292), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165989] = 3,
    STATE(729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166001] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13826), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [166011] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10100), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166021] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7603), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166035] = 4,
    ACTIONS(15370), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15372), 1,
      aux_sym_end_function_statement_token1,
    STATE(5495), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166049] = 3,
    STATE(5316), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15374), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166061] = 4,
    ACTIONS(15366), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15368), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5317), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166075] = 3,
    STATE(139), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15376), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166087] = 3,
    STATE(5397), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15378), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166099] = 4,
    ACTIONS(14272), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14274), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1009), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166113] = 3,
    STATE(2674), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15380), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166125] = 4,
    ACTIONS(15370), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15372), 1,
      aux_sym_end_function_statement_token1,
    STATE(5414), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166139] = 3,
    STATE(5501), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15382), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166151] = 4,
    ACTIONS(15366), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15368), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5505), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166165] = 3,
    STATE(5508), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15384), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166177] = 4,
    ACTIONS(15370), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15372), 1,
      aux_sym_end_function_statement_token1,
    STATE(5187), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166191] = 4,
    ACTIONS(15386), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15388), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(15390), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166205] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(15392), 1,
      anon_sym_RPAREN,
    STATE(7585), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166219] = 3,
    STATE(143), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15394), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166231] = 3,
    STATE(144), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15396), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166243] = 4,
    ACTIONS(10283), 1,
      anon_sym_COMMA,
    ACTIONS(10285), 1,
      anon_sym_RBRACK,
    STATE(7599), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166257] = 4,
    ACTIONS(15398), 1,
      sym__string_literal,
    ACTIONS(15400), 1,
      sym__string_literal_kind,
    STATE(5513), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166271] = 3,
    STATE(741), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7994), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166283] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(6846), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166297] = 4,
    ACTIONS(14592), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14594), 1,
      aux_sym_end_program_statement_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166311] = 3,
    ACTIONS(8126), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6493), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [166323] = 4,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    STATE(1082), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166337] = 3,
    STATE(145), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15402), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166349] = 3,
    STATE(4485), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166361] = 3,
    STATE(1905), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15406), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166373] = 3,
    STATE(2835), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15408), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166385] = 3,
    STATE(1689), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14446), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166397] = 3,
    STATE(1086), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15410), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166409] = 4,
    ACTIONS(14373), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14375), 1,
      aux_sym_end_function_statement_token1,
    STATE(1022), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166423] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15412), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166437] = 3,
    STATE(149), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15414), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166449] = 3,
    STATE(150), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15416), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166461] = 4,
    ACTIONS(14151), 1,
      anon_sym_LPAREN2,
    ACTIONS(15418), 1,
      aux_sym_preproc_include_token2,
    STATE(8919), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166475] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(6923), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166489] = 3,
    STATE(151), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15420), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166501] = 4,
    ACTIONS(15422), 1,
      aux_sym_included_items_token1,
    ACTIONS(15424), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(15426), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166515] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10287), 1,
      anon_sym_RPAREN,
    STATE(6807), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166529] = 3,
    STATE(155), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15428), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166541] = 3,
    STATE(156), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15430), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166553] = 4,
    ACTIONS(13777), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13779), 1,
      aux_sym_end_program_statement_token2,
    STATE(1090), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166567] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15432), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166577] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15434), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166587] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15436), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166597] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7000), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166611] = 4,
    ACTIONS(9903), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9905), 1,
      aux_sym_end_type_statement_token1,
    STATE(1801), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166625] = 3,
    STATE(157), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15438), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166637] = 3,
    STATE(2811), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15440), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166649] = 3,
    STATE(1679), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14616), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166661] = 3,
    STATE(1804), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15442), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166673] = 3,
    STATE(1805), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15444), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166685] = 3,
    STATE(161), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15446), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166697] = 3,
    STATE(162), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15448), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166709] = 4,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(15450), 1,
      anon_sym_SLASH,
    STATE(7626), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166723] = 4,
    ACTIONS(15452), 1,
      anon_sym_COMMA,
    ACTIONS(15454), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166737] = 3,
    STATE(130), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166749] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7072), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166763] = 4,
    ACTIONS(11063), 1,
      anon_sym_COMMA,
    ACTIONS(15458), 1,
      anon_sym_SLASH,
    STATE(7626), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166777] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15460), 1,
      anon_sym_RPAREN,
    STATE(6909), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166791] = 3,
    STATE(587), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166803] = 3,
    STATE(167), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15464), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166815] = 3,
    STATE(168), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15466), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166827] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15468), 1,
      anon_sym_RPAREN,
    STATE(7629), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166841] = 3,
    STATE(4664), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15470), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166853] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7125), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166867] = 4,
    ACTIONS(15472), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166881] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15477), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [166891] = 3,
    STATE(169), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166903] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [166913] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(15481), 1,
      anon_sym_RPAREN,
    STATE(7249), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166927] = 3,
    STATE(173), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15483), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166939] = 3,
    STATE(120), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15485), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166951] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7185), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166965] = 4,
    ACTIONS(15487), 1,
      anon_sym_COMMA,
    ACTIONS(15489), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166979] = 3,
    STATE(176), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166991] = 3,
    STATE(177), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15493), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167003] = 3,
    STATE(1456), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15495), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167015] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7232), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167029] = 3,
    STATE(2431), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15497), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167041] = 4,
    ACTIONS(15499), 1,
      anon_sym_COMMA,
    ACTIONS(15501), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167055] = 3,
    STATE(180), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15503), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167067] = 3,
    STATE(181), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167079] = 4,
    ACTIONS(10289), 1,
      anon_sym_COMMA,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    STATE(7631), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167093] = 4,
    ACTIONS(15507), 1,
      anon_sym_COMMA,
    ACTIONS(15509), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167107] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10293), 1,
      anon_sym_RPAREN,
    STATE(7632), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167121] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7283), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167135] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(15511), 1,
      anon_sym_RPAREN,
    STATE(6883), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167149] = 3,
    STATE(1943), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167161] = 4,
    ACTIONS(15158), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15160), 1,
      aux_sym_end_module_statement_token1,
    STATE(1072), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167175] = 3,
    ACTIONS(15515), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167187] = 3,
    STATE(2687), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167199] = 3,
    STATE(184), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15519), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167211] = 3,
    STATE(185), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15521), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167223] = 4,
    ACTIONS(15523), 1,
      anon_sym_COMMA,
    ACTIONS(15525), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167237] = 3,
    STATE(1820), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15527), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167249] = 4,
    ACTIONS(9903), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9905), 1,
      aux_sym_end_type_statement_token1,
    STATE(1821), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167263] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7321), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167277] = 3,
    STATE(1822), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15529), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167289] = 3,
    STATE(1823), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15531), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167301] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15533), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167315] = 4,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(14834), 1,
      anon_sym_SLASH_RPAREN,
    STATE(7130), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167329] = 3,
    STATE(186), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15535), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167341] = 3,
    STATE(147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15537), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167353] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13793), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167363] = 4,
    ACTIONS(15290), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15292), 1,
      aux_sym_format_statement_token1,
    STATE(7395), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167377] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(8012), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167391] = 4,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    STATE(8004), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167405] = 4,
    ACTIONS(9891), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9893), 1,
      aux_sym_end_type_statement_token1,
    STATE(1457), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167419] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15539), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167429] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(7805), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167443] = 4,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15544), 1,
      anon_sym_SLASH,
    STATE(7626), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167457] = 4,
    ACTIONS(8245), 1,
      anon_sym_LPAREN2,
    STATE(3345), 1,
      sym__argument_list,
    STATE(4118), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167471] = 4,
    ACTIONS(5676), 1,
      sym__string_literal,
    ACTIONS(5678), 1,
      sym__string_literal_kind,
    STATE(8050), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167485] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15546), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167499] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15548), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167513] = 4,
    ACTIONS(15550), 1,
      anon_sym_COMMA,
    ACTIONS(15552), 1,
      anon_sym_RBRACK,
    STATE(6783), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167527] = 4,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(15554), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167541] = 3,
    ACTIONS(7279), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7275), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [167553] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15556), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167567] = 3,
    STATE(2586), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15558), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167579] = 4,
    ACTIONS(15560), 1,
      anon_sym_COMMA,
    ACTIONS(15563), 1,
      anon_sym_RPAREN,
    STATE(7636), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167593] = 3,
    STATE(717), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15565), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167605] = 3,
    STATE(1844), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15567), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167617] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15569), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167631] = 4,
    ACTIONS(15270), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15272), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1078), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167645] = 4,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(15571), 1,
      anon_sym_RPAREN,
    STATE(7485), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167659] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13857), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167669] = 4,
    ACTIONS(14598), 1,
      anon_sym_COMMA,
    ACTIONS(15573), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167683] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15575), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167693] = 4,
    ACTIONS(15577), 1,
      anon_sym_COMMA,
    ACTIONS(15580), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167707] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15582), 1,
      anon_sym_RBRACK,
    STATE(7668), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167721] = 3,
    STATE(806), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167733] = 4,
    ACTIONS(14612), 1,
      anon_sym_COMMA,
    ACTIONS(15586), 1,
      anon_sym_RPAREN,
    STATE(7649), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167747] = 4,
    ACTIONS(15588), 1,
      anon_sym_COMMA,
    ACTIONS(15591), 1,
      anon_sym_RPAREN,
    STATE(7649), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167761] = 3,
    STATE(5545), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15593), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167773] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15595), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167783] = 4,
    ACTIONS(15597), 1,
      anon_sym_COMMA,
    ACTIONS(15600), 1,
      anon_sym_COLON_COLON,
    STATE(7652), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167797] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167811] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_RBRACK,
    STATE(6945), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167825] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_RPAREN,
    STATE(7249), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167839] = 4,
    ACTIONS(14592), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14594), 1,
      aux_sym_end_program_statement_token2,
    STATE(1127), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167853] = 4,
    ACTIONS(14055), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14057), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5446), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167867] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15606), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167877] = 4,
    ACTIONS(10907), 1,
      anon_sym_COMMA,
    ACTIONS(15608), 1,
      anon_sym_RPAREN,
    STATE(6977), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167891] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15610), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [167901] = 4,
    ACTIONS(201), 1,
      sym__string_literal,
    ACTIONS(203), 1,
      sym__string_literal_kind,
    STATE(5203), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167915] = 4,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_if_statement_token1,
    STATE(7940), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167929] = 4,
    ACTIONS(11364), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11370), 1,
      aux_sym_end_select_statement_token1,
    STATE(8016), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167943] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(15612), 1,
      anon_sym_RPAREN,
    STATE(7019), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167957] = 4,
    ACTIONS(14072), 1,
      anon_sym_COMMA,
    ACTIONS(15612), 1,
      anon_sym_RPAREN,
    STATE(6853), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167971] = 4,
    ACTIONS(15614), 1,
      anon_sym_COMMA,
    ACTIONS(15616), 1,
      anon_sym_RPAREN,
    STATE(7042), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167985] = 3,
    STATE(768), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15618), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [167997] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15620), 1,
      anon_sym_RBRACK,
    STATE(6944), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168011] = 4,
    ACTIONS(14047), 1,
      anon_sym_COMMA,
    ACTIONS(15620), 1,
      anon_sym_RBRACK,
    STATE(6784), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168025] = 3,
    STATE(783), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15622), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168037] = 3,
    STATE(795), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15624), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168049] = 4,
    ACTIONS(15626), 1,
      anon_sym_COMMA,
    ACTIONS(15629), 1,
      anon_sym_RPAREN,
    STATE(7672), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168063] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    ACTIONS(15631), 1,
      anon_sym_RPAREN,
    STATE(7249), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168077] = 4,
    ACTIONS(14153), 1,
      anon_sym_COMMA,
    ACTIONS(15633), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168091] = 3,
    ACTIONS(4724), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4726), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [168103] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5648), 3,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_COLON,
  [168113] = 3,
    ACTIONS(4720), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4722), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [168125] = 3,
    ACTIONS(4716), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4718), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [168137] = 3,
    STATE(1477), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15635), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168149] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15637), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168158] = 3,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    STATE(3598), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168169] = 3,
    ACTIONS(15639), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15641), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168180] = 3,
    ACTIONS(15643), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15645), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168191] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15647), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168200] = 3,
    ACTIONS(15649), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15651), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168211] = 3,
    ACTIONS(15653), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15655), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168222] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15657), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168231] = 3,
    ACTIONS(15659), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15661), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168242] = 3,
    ACTIONS(15663), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15665), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168253] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15667), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [168262] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15669), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [168271] = 3,
    ACTIONS(15671), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15673), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168282] = 3,
    ACTIONS(15675), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15677), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168293] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15679), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [168302] = 3,
    ACTIONS(15681), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15683), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168313] = 3,
    ACTIONS(15685), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15687), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168324] = 3,
    ACTIONS(15689), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15691), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168335] = 3,
    ACTIONS(15693), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15695), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168346] = 3,
    ACTIONS(15697), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15699), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168357] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15701), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [168366] = 3,
    ACTIONS(15703), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15705), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168377] = 3,
    ACTIONS(15707), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15709), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168388] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [168397] = 3,
    ACTIONS(15711), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15713), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168408] = 3,
    ACTIONS(15715), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15717), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168419] = 3,
    ACTIONS(15719), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15721), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168430] = 3,
    ACTIONS(15723), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15725), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168441] = 3,
    ACTIONS(15727), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15729), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168452] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11655), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168461] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15731), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168470] = 3,
    ACTIONS(15733), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15735), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168481] = 3,
    ACTIONS(15737), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15739), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168492] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15741), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168501] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15743), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168510] = 3,
    ACTIONS(15745), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15747), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168521] = 3,
    ACTIONS(15749), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15751), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168532] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15753), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [168541] = 3,
    ACTIONS(15755), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15757), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168552] = 3,
    ACTIONS(15759), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15761), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168563] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15763), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [168572] = 3,
    ACTIONS(15765), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15767), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168583] = 3,
    ACTIONS(15769), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15771), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168594] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15741), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168603] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168612] = 3,
    ACTIONS(15775), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15777), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168623] = 3,
    ACTIONS(15779), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15781), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168634] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15783), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168643] = 3,
    ACTIONS(8191), 1,
      anon_sym_LPAREN2,
    STATE(7956), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168654] = 3,
    ACTIONS(15785), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15787), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168665] = 3,
    ACTIONS(15789), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15791), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168676] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15741), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168685] = 3,
    ACTIONS(15793), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15795), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168696] = 3,
    ACTIONS(15797), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15799), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168707] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15801), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168716] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168725] = 3,
    ACTIONS(15805), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15807), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168736] = 3,
    ACTIONS(15809), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15811), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168747] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10391), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168756] = 3,
    ACTIONS(15813), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15815), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168767] = 3,
    ACTIONS(15817), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15819), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168778] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15821), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168787] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6231), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168798] = 3,
    ACTIONS(15823), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15825), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168809] = 3,
    ACTIONS(15827), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15829), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168820] = 3,
    ACTIONS(15831), 1,
      anon_sym_RPAREN,
    ACTIONS(15833), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168831] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6278), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168842] = 3,
    ACTIONS(15835), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15837), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168853] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15839), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168862] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15841), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168871] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15843), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168880] = 3,
    ACTIONS(15845), 1,
      aux_sym_language_binding_token1,
    STATE(7140), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168891] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15847), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [168900] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15849), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168909] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15851), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [168918] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10612), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168927] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15853), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168936] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15855), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168945] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15857), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168954] = 3,
    ACTIONS(15859), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15861), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168965] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15863), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [168974] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6129), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168985] = 3,
    ACTIONS(14352), 1,
      anon_sym_RPAREN,
    ACTIONS(15865), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168996] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6959), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169007] = 3,
    ACTIONS(15869), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15871), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169018] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15873), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [169027] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15875), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169036] = 3,
    ACTIONS(15877), 1,
      anon_sym_LPAREN2,
    STATE(6645), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169047] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15879), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169056] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15881), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169065] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15883), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169074] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11055), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169083] = 3,
    ACTIONS(10546), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10548), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169094] = 3,
    ACTIONS(15885), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(15887), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169105] = 3,
    ACTIONS(15889), 1,
      anon_sym_LPAREN2,
    ACTIONS(15891), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169116] = 3,
    ACTIONS(15893), 1,
      anon_sym_LPAREN2,
    ACTIONS(15895), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169127] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10504), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169136] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169145] = 3,
    ACTIONS(15897), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15899), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169156] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15901), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169165] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15903), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169174] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15905), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169183] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15907), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169192] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15909), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169201] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14129), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169210] = 3,
    ACTIONS(15911), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15913), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169221] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13336), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169230] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15915), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169239] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15917), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169248] = 3,
    ACTIONS(13756), 1,
      anon_sym_LPAREN2,
    STATE(8589), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169259] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15919), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169268] = 3,
    ACTIONS(8191), 1,
      anon_sym_LPAREN2,
    STATE(7575), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169279] = 3,
    ACTIONS(15921), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15923), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169290] = 3,
    ACTIONS(15925), 1,
      anon_sym_LPAREN2,
    STATE(828), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169301] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15927), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169310] = 3,
    ACTIONS(15929), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15931), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169321] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15933), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169330] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15935), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [169339] = 3,
    ACTIONS(5706), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5708), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169350] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15937), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169359] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15741), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169368] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15939), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169377] = 3,
    ACTIONS(15941), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15943), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169388] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169397] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15945), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169406] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15947), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169415] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11735), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169424] = 3,
    ACTIONS(15949), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15951), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169435] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169444] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15955), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169453] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6960), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169464] = 3,
    ACTIONS(15957), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15959), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169475] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(7177), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169486] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15961), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169495] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15963), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169504] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6102), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169515] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169524] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169533] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169542] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169551] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13336), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169560] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15969), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169569] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15971), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169578] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15973), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [169587] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15975), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169596] = 3,
    ACTIONS(15977), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15979), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169607] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15981), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169616] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15983), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169625] = 3,
    ACTIONS(15985), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15987), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169636] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6300), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169647] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15989), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169656] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169665] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169674] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15991), 2,
      aux_sym_use_statement_token2,
      aux_sym_use_statement_token3,
  [169683] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15993), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169692] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15995), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169701] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169710] = 3,
    ACTIONS(15997), 1,
      anon_sym_LPAREN2,
    ACTIONS(15999), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169721] = 3,
    ACTIONS(16001), 1,
      anon_sym_LPAREN2,
    ACTIONS(16003), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169732] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6181), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169743] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6199), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169754] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16005), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169763] = 3,
    ACTIONS(4732), 1,
      anon_sym_LPAREN2,
    ACTIONS(4734), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169774] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16007), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169783] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16009), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169792] = 3,
    ACTIONS(16011), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16013), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169803] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6896), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169814] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16015), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169823] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16017), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169832] = 3,
    ACTIONS(16019), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16021), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169843] = 3,
    ACTIONS(5706), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5708), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169854] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169863] = 3,
    ACTIONS(16023), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16025), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169874] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16027), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169883] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16029), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169892] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16009), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169901] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169910] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16031), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169919] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16033), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [169928] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16009), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169937] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8673), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169946] = 3,
    ACTIONS(16035), 1,
      aux_sym_implicit_range_token1,
    STATE(7070), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169957] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16037), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169966] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16039), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [169975] = 3,
    ACTIONS(16041), 1,
      anon_sym_LPAREN2,
    ACTIONS(16043), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169986] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11055), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169995] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16009), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170004] = 3,
    ACTIONS(16045), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16047), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170015] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16049), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [170024] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16051), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170033] = 3,
    ACTIONS(16053), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16055), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170044] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16057), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170053] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170062] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11049), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [170071] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(7178), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170082] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16061), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170091] = 3,
    ACTIONS(10782), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10784), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170102] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16063), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170111] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(7225), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170122] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16065), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170131] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170140] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6123), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170151] = 3,
    ACTIONS(16069), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16071), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170162] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16073), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170171] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170180] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16077), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [170189] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16079), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [170198] = 3,
    ACTIONS(16081), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16083), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170209] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16085), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170218] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16087), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170227] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16089), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170236] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16091), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170245] = 3,
    ACTIONS(16093), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16095), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170256] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(7281), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170267] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16097), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170276] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16099), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170285] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16101), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170294] = 3,
    ACTIONS(16103), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16105), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170305] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16107), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [170314] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16109), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170323] = 3,
    ACTIONS(16111), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16113), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170334] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6214), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170345] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16115), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170354] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [170363] = 3,
    ACTIONS(14248), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6216), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170374] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16117), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170383] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16119), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170392] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15637), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170401] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170410] = 3,
    ACTIONS(15468), 1,
      anon_sym_RPAREN,
    ACTIONS(16123), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170421] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170430] = 3,
    ACTIONS(16125), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16127), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170441] = 3,
    ACTIONS(16129), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16131), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170452] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7485), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170461] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6902), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170472] = 3,
    ACTIONS(16133), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16135), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170483] = 3,
    ACTIONS(16137), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16139), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170494] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [170503] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16141), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170512] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16143), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170521] = 3,
    ACTIONS(16145), 1,
      anon_sym_RPAREN,
    ACTIONS(16147), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170532] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16149), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170541] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16151), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170550] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16153), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170559] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10698), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170568] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [170577] = 3,
    ACTIONS(16155), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16157), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170588] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16159), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170597] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16151), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170606] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16161), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170615] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15637), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170624] = 3,
    ACTIONS(16163), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170635] = 3,
    ACTIONS(16167), 1,
      anon_sym_COMMA,
    ACTIONS(16169), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170646] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16151), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170655] = 3,
    ACTIONS(4728), 1,
      anon_sym_LPAREN2,
    ACTIONS(4730), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170666] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16153), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170675] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16171), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170684] = 3,
    ACTIONS(16173), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(16175), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170695] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16177), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170704] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16153), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170713] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16179), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170722] = 3,
    ACTIONS(13756), 1,
      anon_sym_LPAREN2,
    STATE(8621), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170733] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11735), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170742] = 3,
    ACTIONS(16181), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16183), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170753] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16185), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170762] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14198), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [170771] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16187), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170780] = 3,
    ACTIONS(16189), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16191), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170791] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11651), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170800] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16193), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170809] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11779), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170818] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16195), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [170827] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16197), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170836] = 3,
    ACTIONS(16199), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16201), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170847] = 3,
    ACTIONS(16203), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16205), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170858] = 3,
    ACTIONS(16207), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16209), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170869] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16211), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170878] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7313), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170887] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16213), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170896] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16215), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170905] = 3,
    ACTIONS(16217), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16219), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170916] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16221), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170925] = 3,
    ACTIONS(15302), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8949), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170936] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16223), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170945] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16225), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170954] = 3,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170965] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16231), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170974] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170983] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16235), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [170992] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6882), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171003] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16237), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171012] = 3,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    ACTIONS(16241), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171023] = 3,
    ACTIONS(16035), 1,
      aux_sym_implicit_range_token1,
    STATE(7222), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171034] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16243), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171043] = 3,
    ACTIONS(16245), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16247), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171054] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171063] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(7186), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171074] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171083] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171092] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16255), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171101] = 3,
    ACTIONS(16257), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16259), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171112] = 3,
    ACTIONS(10363), 1,
      anon_sym_LBRACK,
    STATE(4100), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171123] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171132] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16263), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171141] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171150] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171159] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16269), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [171168] = 3,
    ACTIONS(14736), 1,
      anon_sym_RPAREN,
    ACTIONS(16271), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171179] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11839), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171188] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171197] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [171206] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16275), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171215] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16277), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171224] = 3,
    ACTIONS(16279), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16281), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171235] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16283), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171244] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171253] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171262] = 3,
    ACTIONS(16285), 1,
      anon_sym_COMMA,
    ACTIONS(16287), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171273] = 3,
    ACTIONS(15065), 1,
      aux_sym_select_case_statement_token2,
    STATE(8592), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171284] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171293] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171302] = 3,
    ACTIONS(16291), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16293), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171313] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16295), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171322] = 3,
    ACTIONS(16297), 1,
      anon_sym_LPAREN2,
    ACTIONS(16299), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171333] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171342] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16303), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171351] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16305), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171360] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171369] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16309), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [171378] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171387] = 3,
    ACTIONS(16311), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16313), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171398] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13874), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171407] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16315), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171416] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16317), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171425] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171434] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171443] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16319), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171452] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171461] = 3,
    ACTIONS(16035), 1,
      aux_sym_implicit_range_token1,
    STATE(8019), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171472] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171481] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6220), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171492] = 3,
    ACTIONS(16323), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16325), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171503] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16327), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171512] = 3,
    ACTIONS(16329), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16331), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171523] = 3,
    ACTIONS(15867), 1,
      anon_sym_LPAREN2,
    STATE(6964), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171534] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16333), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [171543] = 3,
    ACTIONS(16335), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16337), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171554] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16339), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [171563] = 3,
    ACTIONS(15877), 1,
      anon_sym_LPAREN2,
    STATE(6937), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171574] = 3,
    ACTIONS(16341), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16343), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171585] = 3,
    ACTIONS(16345), 1,
      anon_sym_COMMA,
    STATE(8079), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171596] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171605] = 3,
    ACTIONS(14066), 1,
      aux_sym_select_case_statement_token2,
    STATE(6263), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171616] = 3,
    ACTIONS(16349), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16351), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171627] = 3,
    ACTIONS(16353), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16355), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171638] = 3,
    ACTIONS(14348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14350), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171649] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12335), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171658] = 3,
    ACTIONS(16357), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16359), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171669] = 3,
    ACTIONS(16361), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16363), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171680] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16365), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171689] = 3,
    ACTIONS(16367), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16369), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171700] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16371), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171709] = 3,
    ACTIONS(4716), 1,
      anon_sym_LPAREN2,
    ACTIONS(4718), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171720] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16373), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171729] = 3,
    ACTIONS(16375), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16377), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171740] = 3,
    ACTIONS(16379), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16381), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171751] = 3,
    ACTIONS(4716), 1,
      anon_sym_LPAREN2,
    ACTIONS(4718), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171762] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171771] = 3,
    ACTIONS(16385), 1,
      anon_sym_COMMA,
    STATE(8079), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171782] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7465), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171791] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10610), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171800] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171809] = 3,
    ACTIONS(16387), 1,
      anon_sym_COMMA,
    STATE(8079), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171820] = 3,
    ACTIONS(16389), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16391), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171831] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16393), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171840] = 3,
    ACTIONS(4724), 1,
      anon_sym_LPAREN2,
    ACTIONS(4726), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171851] = 3,
    ACTIONS(16395), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16397), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171862] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171871] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171880] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16401), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171889] = 3,
    ACTIONS(4720), 1,
      anon_sym_LPAREN2,
    ACTIONS(4722), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171900] = 3,
    ACTIONS(16403), 1,
      anon_sym_COMMA,
    STATE(8079), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171911] = 3,
    ACTIONS(16405), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16407), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171922] = 3,
    ACTIONS(16409), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16411), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171933] = 3,
    ACTIONS(16413), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16415), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171944] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7389), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [171953] = 3,
    ACTIONS(13756), 1,
      anon_sym_LPAREN2,
    STATE(8739), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171964] = 3,
    ACTIONS(16417), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16419), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171975] = 3,
    ACTIONS(16421), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16423), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171986] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16425), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [171995] = 3,
    ACTIONS(16427), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16429), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172006] = 3,
    ACTIONS(16431), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16433), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172017] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16435), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [172026] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14365), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [172035] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5708), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [172044] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16437), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [172053] = 3,
    ACTIONS(16439), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16441), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172064] = 3,
    ACTIONS(16173), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(16443), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172075] = 3,
    ACTIONS(16173), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(16445), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172086] = 3,
    ACTIONS(16447), 1,
      anon_sym_COMMA,
    STATE(8079), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172097] = 2,
    ACTIONS(16450), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172105] = 2,
    ACTIONS(13830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172113] = 2,
    ACTIONS(16452), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172121] = 2,
    ACTIONS(16454), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172129] = 2,
    ACTIONS(16456), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172137] = 2,
    ACTIONS(16458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172145] = 2,
    ACTIONS(16460), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172153] = 2,
    ACTIONS(13594), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172161] = 2,
    ACTIONS(10869), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172169] = 2,
    ACTIONS(16462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172177] = 2,
    ACTIONS(16464), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172185] = 2,
    ACTIONS(16466), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172193] = 2,
    ACTIONS(16468), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172201] = 2,
    ACTIONS(16470), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172209] = 2,
    ACTIONS(16472), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172217] = 2,
    ACTIONS(15152), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172225] = 2,
    ACTIONS(16474), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172233] = 2,
    ACTIONS(16476), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172241] = 2,
    ACTIONS(16478), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172249] = 2,
    ACTIONS(16480), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172257] = 2,
    ACTIONS(16482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172265] = 2,
    ACTIONS(16484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172273] = 2,
    ACTIONS(16486), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172281] = 2,
    ACTIONS(16488), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172289] = 2,
    ACTIONS(16490), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172297] = 2,
    ACTIONS(15432), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172305] = 2,
    ACTIONS(16492), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172313] = 2,
    ACTIONS(16494), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172321] = 2,
    ACTIONS(16496), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172329] = 2,
    ACTIONS(16498), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172337] = 2,
    ACTIONS(16500), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172345] = 2,
    ACTIONS(16502), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172353] = 2,
    ACTIONS(16504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172361] = 2,
    ACTIONS(16506), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172369] = 2,
    ACTIONS(16508), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172377] = 2,
    ACTIONS(16510), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172385] = 2,
    ACTIONS(16512), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172393] = 2,
    ACTIONS(15434), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172401] = 2,
    ACTIONS(16514), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172409] = 2,
    ACTIONS(16516), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172417] = 2,
    ACTIONS(16518), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172425] = 2,
    ACTIONS(16520), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172433] = 2,
    ACTIONS(16522), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172441] = 2,
    ACTIONS(8634), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172449] = 2,
    ACTIONS(16524), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172457] = 2,
    ACTIONS(16526), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172465] = 2,
    ACTIONS(16528), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172473] = 2,
    ACTIONS(16530), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172481] = 2,
    ACTIONS(16532), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172489] = 2,
    ACTIONS(16534), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172497] = 2,
    ACTIONS(16536), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172505] = 2,
    ACTIONS(16538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172513] = 2,
    ACTIONS(16540), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172521] = 2,
    ACTIONS(16542), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172529] = 2,
    ACTIONS(16544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172537] = 2,
    ACTIONS(15166), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172545] = 2,
    ACTIONS(16546), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172553] = 2,
    ACTIONS(16548), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172561] = 2,
    ACTIONS(16550), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172569] = 2,
    ACTIONS(16552), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172577] = 2,
    ACTIONS(16554), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172585] = 2,
    ACTIONS(16556), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172593] = 2,
    ACTIONS(16558), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172601] = 2,
    ACTIONS(16560), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172609] = 2,
    ACTIONS(16562), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172617] = 2,
    ACTIONS(16564), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172625] = 2,
    ACTIONS(16566), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172633] = 2,
    ACTIONS(16568), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172641] = 2,
    ACTIONS(16570), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172649] = 2,
    ACTIONS(16572), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172657] = 2,
    ACTIONS(16574), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172665] = 2,
    ACTIONS(16576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172673] = 2,
    ACTIONS(16578), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172681] = 2,
    ACTIONS(16580), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172689] = 2,
    ACTIONS(16582), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172697] = 2,
    ACTIONS(16584), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172705] = 2,
    ACTIONS(15436), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172713] = 2,
    ACTIONS(16586), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172721] = 2,
    ACTIONS(16588), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172729] = 2,
    ACTIONS(16590), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172737] = 2,
    ACTIONS(16592), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172745] = 2,
    ACTIONS(16594), 1,
      aux_sym_user_defined_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172753] = 2,
    ACTIONS(16596), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172761] = 2,
    ACTIONS(16598), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172769] = 2,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172777] = 2,
    ACTIONS(16602), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172785] = 2,
    ACTIONS(16604), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172793] = 2,
    ACTIONS(15180), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172801] = 2,
    ACTIONS(16606), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172809] = 2,
    ACTIONS(16608), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172817] = 2,
    ACTIONS(16610), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172825] = 2,
    ACTIONS(16612), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172833] = 2,
    ACTIONS(16614), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172841] = 2,
    ACTIONS(16616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172849] = 2,
    ACTIONS(16618), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172857] = 2,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172865] = 2,
    ACTIONS(16622), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172873] = 2,
    ACTIONS(16624), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172881] = 2,
    ACTIONS(16626), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172889] = 2,
    ACTIONS(16628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172897] = 2,
    ACTIONS(16630), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172905] = 2,
    ACTIONS(16632), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172913] = 2,
    ACTIONS(16634), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172921] = 2,
    ACTIONS(16636), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172929] = 2,
    ACTIONS(16638), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172937] = 2,
    ACTIONS(14590), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172945] = 2,
    ACTIONS(16640), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172953] = 2,
    ACTIONS(16642), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172961] = 2,
    ACTIONS(16644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172969] = 2,
    ACTIONS(16646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172977] = 2,
    ACTIONS(16648), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172985] = 2,
    ACTIONS(16650), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172993] = 2,
    ACTIONS(16652), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173001] = 2,
    ACTIONS(16654), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173009] = 2,
    ACTIONS(16656), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173017] = 2,
    ACTIONS(16658), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173025] = 2,
    ACTIONS(16660), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173033] = 2,
    ACTIONS(16662), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173041] = 2,
    ACTIONS(16664), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173049] = 2,
    ACTIONS(15190), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173057] = 2,
    ACTIONS(16666), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173065] = 2,
    ACTIONS(16668), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173073] = 2,
    ACTIONS(16670), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173081] = 2,
    ACTIONS(16672), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173089] = 2,
    ACTIONS(16674), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173097] = 2,
    ACTIONS(16676), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173105] = 2,
    ACTIONS(16678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173113] = 2,
    ACTIONS(16680), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173121] = 2,
    ACTIONS(16682), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173129] = 2,
    ACTIONS(16684), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173137] = 2,
    ACTIONS(16686), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173145] = 2,
    ACTIONS(16688), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173153] = 2,
    ACTIONS(16690), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173161] = 2,
    ACTIONS(16692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173169] = 2,
    ACTIONS(16694), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173177] = 2,
    ACTIONS(16696), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173185] = 2,
    ACTIONS(16698), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173193] = 2,
    ACTIONS(16700), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173201] = 2,
    ACTIONS(16702), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173209] = 2,
    ACTIONS(16704), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173217] = 2,
    ACTIONS(16706), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173225] = 2,
    ACTIONS(16708), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173233] = 2,
    ACTIONS(16710), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173241] = 2,
    ACTIONS(16712), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173249] = 2,
    ACTIONS(16714), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173257] = 2,
    ACTIONS(16716), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173265] = 2,
    ACTIONS(16718), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173273] = 2,
    ACTIONS(16720), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173281] = 2,
    ACTIONS(16722), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173289] = 2,
    ACTIONS(16724), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173297] = 2,
    ACTIONS(15200), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173305] = 2,
    ACTIONS(16726), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173313] = 2,
    ACTIONS(16728), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173321] = 2,
    ACTIONS(16730), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173329] = 2,
    ACTIONS(16732), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173337] = 2,
    ACTIONS(16734), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173345] = 2,
    ACTIONS(16736), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173353] = 2,
    ACTIONS(16738), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173361] = 2,
    ACTIONS(16740), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173369] = 2,
    ACTIONS(16742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173377] = 2,
    ACTIONS(16744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173385] = 2,
    ACTIONS(16746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173393] = 2,
    ACTIONS(16748), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173401] = 2,
    ACTIONS(16750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173409] = 2,
    ACTIONS(16752), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173417] = 2,
    ACTIONS(16754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173425] = 2,
    ACTIONS(15202), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173433] = 2,
    ACTIONS(16756), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173441] = 2,
    ACTIONS(16758), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173449] = 2,
    ACTIONS(16760), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173457] = 2,
    ACTIONS(16762), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173465] = 2,
    ACTIONS(16764), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173473] = 2,
    ACTIONS(16766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173481] = 2,
    ACTIONS(16768), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173489] = 2,
    ACTIONS(16770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173497] = 2,
    ACTIONS(16772), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173505] = 2,
    ACTIONS(16774), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173513] = 2,
    ACTIONS(16776), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173521] = 2,
    ACTIONS(16778), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173529] = 2,
    ACTIONS(16780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173537] = 2,
    ACTIONS(16782), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173545] = 2,
    ACTIONS(16784), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173553] = 2,
    ACTIONS(15204), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173561] = 2,
    ACTIONS(16786), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173569] = 2,
    ACTIONS(16788), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173577] = 2,
    ACTIONS(16790), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173585] = 2,
    ACTIONS(16792), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173593] = 2,
    ACTIONS(16794), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173601] = 2,
    ACTIONS(16796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173609] = 2,
    ACTIONS(16798), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173617] = 2,
    ACTIONS(16800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173625] = 2,
    ACTIONS(16802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173633] = 2,
    ACTIONS(16804), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173641] = 2,
    ACTIONS(16806), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173649] = 2,
    ACTIONS(16808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173657] = 2,
    ACTIONS(16810), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173665] = 2,
    ACTIONS(16812), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173673] = 2,
    ACTIONS(16814), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173681] = 2,
    ACTIONS(15208), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173689] = 2,
    ACTIONS(10773), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173697] = 2,
    ACTIONS(16816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173705] = 2,
    ACTIONS(16818), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173713] = 2,
    ACTIONS(16820), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173721] = 2,
    ACTIONS(16822), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173729] = 2,
    ACTIONS(16824), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173737] = 2,
    ACTIONS(16826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173745] = 2,
    ACTIONS(15210), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173753] = 2,
    ACTIONS(16828), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173761] = 2,
    ACTIONS(16830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173769] = 2,
    ACTIONS(16832), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173777] = 2,
    ACTIONS(16834), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173785] = 2,
    ACTIONS(16836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173793] = 2,
    ACTIONS(16838), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173801] = 2,
    ACTIONS(16840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173809] = 2,
    ACTIONS(15212), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173817] = 2,
    ACTIONS(16842), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173825] = 2,
    ACTIONS(16844), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173833] = 2,
    ACTIONS(16846), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173841] = 2,
    ACTIONS(16848), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173849] = 2,
    ACTIONS(16850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173857] = 2,
    ACTIONS(16852), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173865] = 2,
    ACTIONS(16854), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173873] = 2,
    ACTIONS(15214), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173881] = 2,
    ACTIONS(16856), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173889] = 2,
    ACTIONS(16858), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173897] = 2,
    ACTIONS(16860), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173905] = 2,
    ACTIONS(16862), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173913] = 2,
    ACTIONS(16864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173921] = 2,
    ACTIONS(16866), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173929] = 2,
    ACTIONS(16868), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173937] = 2,
    ACTIONS(15216), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173945] = 2,
    ACTIONS(16870), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173953] = 2,
    ACTIONS(16872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173961] = 2,
    ACTIONS(16874), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173969] = 2,
    ACTIONS(16876), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173977] = 2,
    ACTIONS(16878), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173985] = 2,
    ACTIONS(16880), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173993] = 2,
    ACTIONS(16882), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174001] = 2,
    ACTIONS(15218), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174009] = 2,
    ACTIONS(14874), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174017] = 2,
    ACTIONS(16884), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174025] = 2,
    ACTIONS(16886), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174033] = 2,
    ACTIONS(16888), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174041] = 2,
    ACTIONS(16890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174049] = 2,
    ACTIONS(16892), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174057] = 2,
    ACTIONS(16894), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174065] = 2,
    ACTIONS(15220), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174073] = 2,
    ACTIONS(16896), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174081] = 2,
    ACTIONS(16898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174089] = 2,
    ACTIONS(16900), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174097] = 2,
    ACTIONS(16902), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174105] = 2,
    ACTIONS(16904), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174113] = 2,
    ACTIONS(16906), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174121] = 2,
    ACTIONS(16908), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174129] = 2,
    ACTIONS(15222), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174137] = 2,
    ACTIONS(16910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174145] = 2,
    ACTIONS(16912), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174153] = 2,
    ACTIONS(16914), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174161] = 2,
    ACTIONS(16916), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174169] = 2,
    ACTIONS(16918), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174177] = 2,
    ACTIONS(16920), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174185] = 2,
    ACTIONS(16922), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174193] = 2,
    ACTIONS(15224), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174201] = 2,
    ACTIONS(16924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174209] = 2,
    ACTIONS(16926), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174217] = 2,
    ACTIONS(16928), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174225] = 2,
    ACTIONS(16930), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174233] = 2,
    ACTIONS(16932), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174241] = 2,
    ACTIONS(16934), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174249] = 2,
    ACTIONS(16936), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174257] = 2,
    ACTIONS(15226), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174265] = 2,
    ACTIONS(16938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174273] = 2,
    ACTIONS(14149), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174281] = 2,
    ACTIONS(16940), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174289] = 2,
    ACTIONS(16942), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174297] = 2,
    ACTIONS(16944), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174305] = 2,
    ACTIONS(16946), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174313] = 2,
    ACTIONS(16948), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174321] = 2,
    ACTIONS(15230), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174329] = 2,
    ACTIONS(16950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174337] = 2,
    ACTIONS(16952), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174345] = 2,
    ACTIONS(16954), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174353] = 2,
    ACTIONS(16956), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174361] = 2,
    ACTIONS(16958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174369] = 2,
    ACTIONS(16960), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174377] = 2,
    ACTIONS(16962), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174385] = 2,
    ACTIONS(15232), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174393] = 2,
    ACTIONS(16964), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174401] = 2,
    ACTIONS(16966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174409] = 2,
    ACTIONS(16968), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174417] = 2,
    ACTIONS(16970), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174425] = 2,
    ACTIONS(16972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174433] = 2,
    ACTIONS(16974), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174441] = 2,
    ACTIONS(16976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174449] = 2,
    ACTIONS(15234), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174457] = 2,
    ACTIONS(16978), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174465] = 2,
    ACTIONS(13848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174473] = 2,
    ACTIONS(16980), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174481] = 2,
    ACTIONS(16982), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174489] = 2,
    ACTIONS(16984), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174497] = 2,
    ACTIONS(16986), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174505] = 2,
    ACTIONS(16988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174513] = 2,
    ACTIONS(15236), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174521] = 2,
    ACTIONS(16990), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174529] = 2,
    ACTIONS(16992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174537] = 2,
    ACTIONS(16994), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174545] = 2,
    ACTIONS(16996), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174553] = 2,
    ACTIONS(16998), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174561] = 2,
    ACTIONS(17000), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174569] = 2,
    ACTIONS(17002), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174577] = 2,
    ACTIONS(15238), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174585] = 2,
    ACTIONS(11795), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174593] = 2,
    ACTIONS(17004), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174601] = 2,
    ACTIONS(17006), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174609] = 2,
    ACTIONS(17008), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174617] = 2,
    ACTIONS(17010), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174625] = 2,
    ACTIONS(17012), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174633] = 2,
    ACTIONS(17014), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174641] = 2,
    ACTIONS(15240), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174649] = 2,
    ACTIONS(17016), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174657] = 2,
    ACTIONS(17018), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174665] = 2,
    ACTIONS(17020), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174673] = 2,
    ACTIONS(17022), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174681] = 2,
    ACTIONS(17024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174689] = 2,
    ACTIONS(17026), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174697] = 2,
    ACTIONS(10790), 1,
      aux_sym_coarray_statement_token10,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174705] = 2,
    ACTIONS(15242), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174713] = 2,
    ACTIONS(17028), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174721] = 2,
    ACTIONS(17030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174729] = 2,
    ACTIONS(17032), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174737] = 2,
    ACTIONS(17034), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174745] = 2,
    ACTIONS(17036), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174753] = 2,
    ACTIONS(17038), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174761] = 2,
    ACTIONS(17040), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174769] = 2,
    ACTIONS(15244), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174777] = 2,
    ACTIONS(17042), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174785] = 2,
    ACTIONS(17044), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174793] = 2,
    ACTIONS(17046), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174801] = 2,
    ACTIONS(17048), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174809] = 2,
    ACTIONS(17050), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174817] = 2,
    ACTIONS(17052), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174825] = 2,
    ACTIONS(17054), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174833] = 2,
    ACTIONS(15246), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174841] = 2,
    ACTIONS(17056), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174849] = 2,
    ACTIONS(17058), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174857] = 2,
    ACTIONS(17060), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174865] = 2,
    ACTIONS(17062), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174873] = 2,
    ACTIONS(17064), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174881] = 2,
    ACTIONS(17066), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174889] = 2,
    ACTIONS(17068), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174897] = 2,
    ACTIONS(15248), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174905] = 2,
    ACTIONS(17070), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174913] = 2,
    ACTIONS(17072), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174921] = 2,
    ACTIONS(17074), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174929] = 2,
    ACTIONS(17076), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174937] = 2,
    ACTIONS(17078), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174945] = 2,
    ACTIONS(17080), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174953] = 2,
    ACTIONS(17082), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174961] = 2,
    ACTIONS(15250), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174969] = 2,
    ACTIONS(17084), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174977] = 2,
    ACTIONS(17086), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174985] = 2,
    ACTIONS(17088), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174993] = 2,
    ACTIONS(17090), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175001] = 2,
    ACTIONS(17092), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175009] = 2,
    ACTIONS(17094), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175017] = 2,
    ACTIONS(17096), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175025] = 2,
    ACTIONS(15252), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175033] = 2,
    ACTIONS(17098), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175041] = 2,
    ACTIONS(17100), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175049] = 2,
    ACTIONS(17102), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175057] = 2,
    ACTIONS(17104), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175065] = 2,
    ACTIONS(17106), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175073] = 2,
    ACTIONS(17108), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175081] = 2,
    ACTIONS(17110), 1,
      aux_sym_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175089] = 2,
    ACTIONS(15254), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175097] = 2,
    ACTIONS(17112), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175105] = 2,
    ACTIONS(17114), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175113] = 2,
    ACTIONS(17116), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175121] = 2,
    ACTIONS(17118), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175129] = 2,
    ACTIONS(17120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175137] = 2,
    ACTIONS(17122), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175145] = 2,
    ACTIONS(17124), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175153] = 2,
    ACTIONS(15256), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175161] = 2,
    ACTIONS(17126), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175169] = 2,
    ACTIONS(17128), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175177] = 2,
    ACTIONS(17130), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175185] = 2,
    ACTIONS(17132), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175193] = 2,
    ACTIONS(17134), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175201] = 2,
    ACTIONS(17136), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175209] = 2,
    ACTIONS(17138), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175217] = 2,
    ACTIONS(15258), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175225] = 2,
    ACTIONS(17140), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175233] = 2,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175241] = 2,
    ACTIONS(17142), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175249] = 2,
    ACTIONS(17144), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175257] = 2,
    ACTIONS(17146), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175265] = 2,
    ACTIONS(17148), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175273] = 2,
    ACTIONS(17150), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175281] = 2,
    ACTIONS(15262), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175289] = 2,
    ACTIONS(17152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175297] = 2,
    ACTIONS(17154), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175305] = 2,
    ACTIONS(17156), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175313] = 2,
    ACTIONS(17158), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175321] = 2,
    ACTIONS(17160), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175329] = 2,
    ACTIONS(17162), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175337] = 2,
    ACTIONS(17164), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175345] = 2,
    ACTIONS(17166), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175353] = 2,
    ACTIONS(17168), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175361] = 2,
    ACTIONS(17170), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175369] = 2,
    ACTIONS(17172), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175377] = 2,
    ACTIONS(17174), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175385] = 2,
    ACTIONS(17176), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175393] = 2,
    ACTIONS(17178), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175401] = 2,
    ACTIONS(17180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175409] = 2,
    ACTIONS(17182), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175417] = 2,
    ACTIONS(17184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175425] = 2,
    ACTIONS(17186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175433] = 2,
    ACTIONS(17188), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175441] = 2,
    ACTIONS(17190), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175449] = 2,
    ACTIONS(17192), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175457] = 2,
    ACTIONS(17194), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175465] = 2,
    ACTIONS(17196), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175473] = 2,
    ACTIONS(17198), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175481] = 2,
    ACTIONS(17200), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175489] = 2,
    ACTIONS(17202), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175497] = 2,
    ACTIONS(17204), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175505] = 2,
    ACTIONS(17206), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175513] = 2,
    ACTIONS(17208), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175521] = 2,
    ACTIONS(17210), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175529] = 2,
    ACTIONS(17212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175537] = 2,
    ACTIONS(17214), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175545] = 2,
    ACTIONS(17216), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175553] = 2,
    ACTIONS(17218), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175561] = 2,
    ACTIONS(10788), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175569] = 2,
    ACTIONS(17220), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175577] = 2,
    ACTIONS(17222), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175585] = 2,
    ACTIONS(17224), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175593] = 2,
    ACTIONS(17226), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175601] = 2,
    ACTIONS(17228), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175609] = 2,
    ACTIONS(11695), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175617] = 2,
    ACTIONS(17230), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175625] = 2,
    ACTIONS(17232), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175633] = 2,
    ACTIONS(17234), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175641] = 2,
    ACTIONS(17236), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175649] = 2,
    ACTIONS(17238), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175657] = 2,
    ACTIONS(17240), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175665] = 2,
    ACTIONS(17242), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175673] = 2,
    ACTIONS(17244), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175681] = 2,
    ACTIONS(17246), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175689] = 2,
    ACTIONS(17248), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175697] = 2,
    ACTIONS(17250), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175705] = 2,
    ACTIONS(17252), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175713] = 2,
    ACTIONS(13678), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175721] = 2,
    ACTIONS(17254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175729] = 2,
    ACTIONS(14951), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175737] = 2,
    ACTIONS(14455), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175745] = 2,
    ACTIONS(10727), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175753] = 2,
    ACTIONS(17256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175761] = 2,
    ACTIONS(17258), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175769] = 2,
    ACTIONS(17260), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175777] = 2,
    ACTIONS(17262), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175785] = 2,
    ACTIONS(17264), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175793] = 2,
    ACTIONS(17266), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175801] = 2,
    ACTIONS(17268), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175809] = 2,
    ACTIONS(17270), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175817] = 2,
    ACTIONS(17272), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175825] = 2,
    ACTIONS(17274), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175833] = 2,
    ACTIONS(17276), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175841] = 2,
    ACTIONS(17278), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175849] = 2,
    ACTIONS(17280), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175857] = 2,
    ACTIONS(17282), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175865] = 2,
    ACTIONS(17284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175873] = 2,
    ACTIONS(17286), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175881] = 2,
    ACTIONS(17288), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175889] = 2,
    ACTIONS(17290), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175897] = 2,
    ACTIONS(17292), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175905] = 2,
    ACTIONS(17294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175913] = 2,
    ACTIONS(17296), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175921] = 2,
    ACTIONS(10624), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175929] = 2,
    ACTIONS(17298), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175937] = 2,
    ACTIONS(17300), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175945] = 2,
    ACTIONS(17302), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175953] = 2,
    ACTIONS(17304), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175961] = 2,
    ACTIONS(17306), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [175969] = 2,
    ACTIONS(17308), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175977] = 2,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175985] = 2,
    ACTIONS(17312), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [175993] = 2,
    ACTIONS(17314), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176001] = 2,
    ACTIONS(17316), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176009] = 2,
    ACTIONS(17318), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176017] = 2,
    ACTIONS(17320), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176025] = 2,
    ACTIONS(17322), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176033] = 2,
    ACTIONS(17324), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176041] = 2,
    ACTIONS(17326), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176049] = 2,
    ACTIONS(11799), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176057] = 2,
    ACTIONS(14310), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176065] = 2,
    ACTIONS(17328), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176073] = 2,
    ACTIONS(17330), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176081] = 2,
    ACTIONS(17332), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176089] = 2,
    ACTIONS(17334), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176097] = 2,
    ACTIONS(17336), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176105] = 2,
    ACTIONS(17338), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176113] = 2,
    ACTIONS(17340), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176121] = 2,
    ACTIONS(17342), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176129] = 2,
    ACTIONS(17344), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176137] = 2,
    ACTIONS(17346), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176145] = 2,
    ACTIONS(17348), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176153] = 2,
    ACTIONS(17350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176161] = 2,
    ACTIONS(17352), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176169] = 2,
    ACTIONS(17354), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176177] = 2,
    ACTIONS(17356), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176185] = 2,
    ACTIONS(17358), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176193] = 2,
    ACTIONS(17360), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176201] = 2,
    ACTIONS(17362), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176209] = 2,
    ACTIONS(17364), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176217] = 2,
    ACTIONS(17366), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176225] = 2,
    ACTIONS(17368), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176233] = 2,
    ACTIONS(17370), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176241] = 2,
    ACTIONS(17372), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176249] = 2,
    ACTIONS(17374), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176257] = 2,
    ACTIONS(17376), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176265] = 2,
    ACTIONS(17378), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176273] = 2,
    ACTIONS(17380), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176281] = 2,
    ACTIONS(10818), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176289] = 2,
    ACTIONS(17382), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176297] = 2,
    ACTIONS(17384), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176305] = 2,
    ACTIONS(17386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176313] = 2,
    ACTIONS(17388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176321] = 2,
    ACTIONS(17390), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176329] = 2,
    ACTIONS(17392), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176337] = 2,
    ACTIONS(13775), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176345] = 2,
    ACTIONS(17394), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176353] = 2,
    ACTIONS(17396), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176361] = 2,
    ACTIONS(17398), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176369] = 2,
    ACTIONS(17400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176377] = 2,
    ACTIONS(17402), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176385] = 2,
    ACTIONS(17404), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176393] = 2,
    ACTIONS(10743), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176401] = 2,
    ACTIONS(8592), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176409] = 2,
    ACTIONS(14699), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176417] = 2,
    ACTIONS(17406), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176425] = 2,
    ACTIONS(17408), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176433] = 2,
    ACTIONS(17410), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176441] = 2,
    ACTIONS(17412), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176449] = 2,
    ACTIONS(17414), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176457] = 2,
    ACTIONS(17416), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176465] = 2,
    ACTIONS(17418), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176473] = 2,
    ACTIONS(17420), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176481] = 2,
    ACTIONS(17422), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176489] = 2,
    ACTIONS(17424), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176497] = 2,
    ACTIONS(17426), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176505] = 2,
    ACTIONS(17428), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176513] = 2,
    ACTIONS(17430), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176521] = 2,
    ACTIONS(17432), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176529] = 2,
    ACTIONS(17434), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176537] = 2,
    ACTIONS(10731), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176545] = 2,
    ACTIONS(17436), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176553] = 2,
    ACTIONS(17438), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176561] = 2,
    ACTIONS(17440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176569] = 2,
    ACTIONS(17442), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176577] = 2,
    ACTIONS(13830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176585] = 2,
    ACTIONS(17444), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176593] = 2,
    ACTIONS(17446), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176601] = 2,
    ACTIONS(17448), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176609] = 2,
    ACTIONS(17450), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176617] = 2,
    ACTIONS(17452), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176625] = 2,
    ACTIONS(17454), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176633] = 2,
    ACTIONS(17456), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176641] = 2,
    ACTIONS(17458), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176649] = 2,
    ACTIONS(17460), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176657] = 2,
    ACTIONS(17462), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176665] = 2,
    ACTIONS(17464), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176673] = 2,
    ACTIONS(17466), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176681] = 2,
    ACTIONS(17468), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176689] = 2,
    ACTIONS(17470), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176697] = 2,
    ACTIONS(17472), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176705] = 2,
    ACTIONS(17474), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176713] = 2,
    ACTIONS(17476), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176721] = 2,
    ACTIONS(17478), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176729] = 2,
    ACTIONS(17480), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176737] = 2,
    ACTIONS(17482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176745] = 2,
    ACTIONS(17484), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176753] = 2,
    ACTIONS(17486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176761] = 2,
    ACTIONS(17488), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176769] = 2,
    ACTIONS(17490), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176777] = 2,
    ACTIONS(13848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176785] = 2,
    ACTIONS(17492), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176793] = 2,
    ACTIONS(17494), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176801] = 2,
    ACTIONS(17496), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176809] = 2,
    ACTIONS(17498), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176817] = 2,
    ACTIONS(17500), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176825] = 2,
    ACTIONS(17502), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176833] = 2,
    ACTIONS(17504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176841] = 2,
    ACTIONS(17506), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176849] = 2,
    ACTIONS(17508), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176857] = 2,
    ACTIONS(17510), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176865] = 2,
    ACTIONS(17512), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176873] = 2,
    ACTIONS(17514), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176881] = 2,
    ACTIONS(17516), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176889] = 2,
    ACTIONS(17518), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176897] = 2,
    ACTIONS(13775), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176905] = 2,
    ACTIONS(17520), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176913] = 2,
    ACTIONS(17522), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176921] = 2,
    ACTIONS(17524), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176929] = 2,
    ACTIONS(17526), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176937] = 2,
    ACTIONS(17528), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176945] = 2,
    ACTIONS(17530), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176953] = 2,
    ACTIONS(15013), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176961] = 2,
    ACTIONS(17532), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176969] = 2,
    ACTIONS(17534), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176977] = 2,
    ACTIONS(17536), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [176985] = 2,
    ACTIONS(17538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [176993] = 2,
    ACTIONS(17540), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177001] = 2,
    ACTIONS(8189), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177009] = 2,
    ACTIONS(17542), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177017] = 2,
    ACTIONS(17544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177025] = 2,
    ACTIONS(17546), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177033] = 2,
    ACTIONS(17548), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177041] = 2,
    ACTIONS(17550), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177049] = 2,
    ACTIONS(17552), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177057] = 2,
    ACTIONS(17554), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177065] = 2,
    ACTIONS(17556), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177073] = 2,
    ACTIONS(17558), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177081] = 2,
    ACTIONS(17560), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177089] = 2,
    ACTIONS(17562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177097] = 2,
    ACTIONS(17564), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177105] = 2,
    ACTIONS(17566), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177113] = 2,
    ACTIONS(15418), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177121] = 2,
    ACTIONS(17568), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177129] = 2,
    ACTIONS(17570), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177137] = 2,
    ACTIONS(17572), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177145] = 2,
    ACTIONS(17574), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177153] = 2,
    ACTIONS(17576), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177161] = 2,
    ACTIONS(17578), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177169] = 2,
    ACTIONS(17580), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177177] = 2,
    ACTIONS(17582), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177185] = 2,
    ACTIONS(17584), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177193] = 2,
    ACTIONS(17586), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177201] = 2,
    ACTIONS(17588), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177209] = 2,
    ACTIONS(17590), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177217] = 2,
    ACTIONS(17592), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177225] = 2,
    ACTIONS(17594), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177233] = 2,
    ACTIONS(17596), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177241] = 2,
    ACTIONS(17598), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177249] = 2,
    ACTIONS(17600), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177257] = 2,
    ACTIONS(17602), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177265] = 2,
    ACTIONS(17604), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177273] = 2,
    ACTIONS(17606), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177281] = 2,
    ACTIONS(17608), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177289] = 2,
    ACTIONS(17610), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177297] = 2,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177305] = 2,
    ACTIONS(17614), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177313] = 2,
    ACTIONS(17616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177321] = 2,
    ACTIONS(17618), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177329] = 2,
    ACTIONS(17620), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177337] = 2,
    ACTIONS(17622), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177345] = 2,
    ACTIONS(17624), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177353] = 2,
    ACTIONS(17626), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177361] = 2,
    ACTIONS(17628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177369] = 2,
    ACTIONS(17630), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177377] = 2,
    ACTIONS(17632), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177385] = 2,
    ACTIONS(17634), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177393] = 2,
    ACTIONS(17636), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177401] = 2,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177409] = 2,
    ACTIONS(17640), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177417] = 2,
    ACTIONS(17642), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177425] = 2,
    ACTIONS(17644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177433] = 2,
    ACTIONS(17646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177441] = 2,
    ACTIONS(17648), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177449] = 2,
    ACTIONS(17650), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177457] = 2,
    ACTIONS(17652), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177465] = 2,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177473] = 2,
    ACTIONS(17656), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177481] = 2,
    ACTIONS(17658), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177489] = 2,
    ACTIONS(17660), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177497] = 2,
    ACTIONS(17662), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177505] = 2,
    ACTIONS(17664), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177513] = 2,
    ACTIONS(17666), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177521] = 2,
    ACTIONS(17668), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177529] = 2,
    ACTIONS(17670), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177537] = 2,
    ACTIONS(17672), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177545] = 2,
    ACTIONS(17674), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177553] = 2,
    ACTIONS(17676), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177561] = 2,
    ACTIONS(17678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177569] = 2,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177577] = 2,
    ACTIONS(17682), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177585] = 2,
    ACTIONS(17684), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177593] = 2,
    ACTIONS(17686), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177601] = 2,
    ACTIONS(17688), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177609] = 2,
    ACTIONS(17690), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177617] = 2,
    ACTIONS(17692), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177625] = 2,
    ACTIONS(17694), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177633] = 2,
    ACTIONS(17696), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177641] = 2,
    ACTIONS(17698), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177649] = 2,
    ACTIONS(17700), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177657] = 2,
    ACTIONS(17702), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177665] = 2,
    ACTIONS(17704), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177673] = 2,
    ACTIONS(17706), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177681] = 2,
    ACTIONS(17708), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177689] = 2,
    ACTIONS(17710), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177697] = 2,
    ACTIONS(17712), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177705] = 2,
    ACTIONS(17714), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177713] = 2,
    ACTIONS(17716), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177721] = 2,
    ACTIONS(17718), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177729] = 2,
    ACTIONS(17720), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177737] = 2,
    ACTIONS(17722), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177745] = 2,
    ACTIONS(10739), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177753] = 2,
    ACTIONS(17724), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177761] = 2,
    ACTIONS(17726), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177769] = 2,
    ACTIONS(17728), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177777] = 2,
    ACTIONS(17730), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177785] = 2,
    ACTIONS(15051), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177793] = 2,
    ACTIONS(17732), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177801] = 2,
    ACTIONS(17734), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177809] = 2,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177817] = 2,
    ACTIONS(17738), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177825] = 2,
    ACTIONS(17740), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177833] = 2,
    ACTIONS(17742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177841] = 2,
    ACTIONS(17744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177849] = 2,
    ACTIONS(17746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177857] = 2,
    ACTIONS(17748), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177865] = 2,
    ACTIONS(17750), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177873] = 2,
    ACTIONS(17752), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177881] = 2,
    ACTIONS(17754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177889] = 2,
    ACTIONS(17756), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177897] = 2,
    ACTIONS(16145), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177905] = 2,
    ACTIONS(17758), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177913] = 2,
    ACTIONS(17760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177921] = 2,
    ACTIONS(17762), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177929] = 2,
    ACTIONS(13830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177937] = 2,
    ACTIONS(17764), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177945] = 2,
    ACTIONS(17766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177953] = 2,
    ACTIONS(17768), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [177961] = 2,
    ACTIONS(17770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177969] = 2,
    ACTIONS(17772), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177977] = 2,
    ACTIONS(17774), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177985] = 2,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [177993] = 2,
    ACTIONS(13848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178001] = 2,
    ACTIONS(17778), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178009] = 2,
    ACTIONS(17780), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178017] = 2,
    ACTIONS(17782), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178025] = 2,
    ACTIONS(17784), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178033] = 2,
    ACTIONS(17786), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178041] = 2,
    ACTIONS(17788), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178049] = 2,
    ACTIONS(17790), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178057] = 2,
    ACTIONS(17792), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178065] = 2,
    ACTIONS(17794), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178073] = 2,
    ACTIONS(17796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178081] = 2,
    ACTIONS(17798), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178089] = 2,
    ACTIONS(17800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178097] = 2,
    ACTIONS(17802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178105] = 2,
    ACTIONS(17804), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178113] = 2,
    ACTIONS(17806), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178121] = 2,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178129] = 2,
    ACTIONS(17810), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178137] = 2,
    ACTIONS(17812), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178145] = 2,
    ACTIONS(17814), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178153] = 2,
    ACTIONS(17816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178161] = 2,
    ACTIONS(17818), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178169] = 2,
    ACTIONS(17820), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178177] = 2,
    ACTIONS(17822), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178185] = 2,
    ACTIONS(17824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178193] = 2,
    ACTIONS(17826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178201] = 2,
    ACTIONS(17828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178209] = 2,
    ACTIONS(17830), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178217] = 2,
    ACTIONS(17832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178225] = 2,
    ACTIONS(17834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178233] = 2,
    ACTIONS(13775), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178241] = 2,
    ACTIONS(11475), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178249] = 2,
    ACTIONS(17836), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178257] = 2,
    ACTIONS(17838), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178265] = 2,
    ACTIONS(17840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178273] = 2,
    ACTIONS(17842), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178281] = 2,
    ACTIONS(17844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178289] = 2,
    ACTIONS(17846), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178297] = 2,
    ACTIONS(17848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178305] = 2,
    ACTIONS(17850), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178313] = 2,
    ACTIONS(17852), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178321] = 2,
    ACTIONS(17854), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178329] = 2,
    ACTIONS(17856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178337] = 2,
    ACTIONS(17858), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178345] = 2,
    ACTIONS(17860), 1,
      aux_sym_enumeration_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178353] = 2,
    ACTIONS(17862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178361] = 2,
    ACTIONS(17864), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178369] = 2,
    ACTIONS(17866), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178377] = 2,
    ACTIONS(17868), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178385] = 2,
    ACTIONS(17870), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178393] = 2,
    ACTIONS(10735), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178401] = 2,
    ACTIONS(17872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178409] = 2,
    ACTIONS(17874), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178417] = 2,
    ACTIONS(17876), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178425] = 2,
    ACTIONS(17878), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178433] = 2,
    ACTIONS(17880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178441] = 2,
    ACTIONS(17882), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178449] = 2,
    ACTIONS(17884), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178457] = 2,
    ACTIONS(17886), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178465] = 2,
    ACTIONS(17888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178473] = 2,
    ACTIONS(17890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178481] = 2,
    ACTIONS(17892), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178489] = 2,
    ACTIONS(17894), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178497] = 2,
    ACTIONS(17896), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178505] = 2,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178513] = 2,
    ACTIONS(17900), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178521] = 2,
    ACTIONS(17902), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178529] = 2,
    ACTIONS(17904), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178537] = 2,
    ACTIONS(17906), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178545] = 2,
    ACTIONS(17908), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178553] = 2,
    ACTIONS(17910), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178561] = 2,
    ACTIONS(17912), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178569] = 2,
    ACTIONS(17914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178577] = 2,
    ACTIONS(17916), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178585] = 2,
    ACTIONS(17918), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178593] = 2,
    ACTIONS(17920), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178601] = 2,
    ACTIONS(17922), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178609] = 2,
    ACTIONS(17924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178617] = 2,
    ACTIONS(17926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178625] = 2,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178633] = 2,
    ACTIONS(17930), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178641] = 2,
    ACTIONS(17932), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178649] = 2,
    ACTIONS(17934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178657] = 2,
    ACTIONS(17936), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178665] = 2,
    ACTIONS(17938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178673] = 2,
    ACTIONS(17940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178681] = 2,
    ACTIONS(17942), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178689] = 2,
    ACTIONS(17944), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178697] = 2,
    ACTIONS(17946), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178705] = 2,
    ACTIONS(17948), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178713] = 2,
    ACTIONS(17950), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178721] = 2,
    ACTIONS(17952), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178729] = 2,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178737] = 2,
    ACTIONS(17956), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178745] = 2,
    ACTIONS(17958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178753] = 2,
    ACTIONS(17960), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178761] = 2,
    ACTIONS(10834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178769] = 2,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178777] = 2,
    ACTIONS(17964), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178785] = 2,
    ACTIONS(17966), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178793] = 2,
    ACTIONS(17968), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178801] = 2,
    ACTIONS(15100), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178809] = 2,
    ACTIONS(11759), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178817] = 2,
    ACTIONS(17970), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178825] = 2,
    ACTIONS(17972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178833] = 2,
    ACTIONS(17974), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178841] = 2,
    ACTIONS(17976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178849] = 2,
    ACTIONS(17978), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178857] = 2,
    ACTIONS(17980), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178865] = 2,
    ACTIONS(17982), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178873] = 2,
    ACTIONS(17984), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178881] = 2,
    ACTIONS(17986), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178889] = 2,
    ACTIONS(17988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178897] = 2,
    ACTIONS(14772), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178905] = 2,
    ACTIONS(17990), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178913] = 2,
    ACTIONS(17992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178921] = 2,
    ACTIONS(17994), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178929] = 2,
    ACTIONS(17996), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178937] = 2,
    ACTIONS(17998), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178945] = 2,
    ACTIONS(18000), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178953] = 2,
    ACTIONS(18002), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178961] = 2,
    ACTIONS(18004), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178969] = 2,
    ACTIONS(18006), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [178977] = 2,
    ACTIONS(18008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178985] = 2,
    ACTIONS(18010), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [178993] = 2,
    ACTIONS(18012), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179001] = 2,
    ACTIONS(18014), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179009] = 2,
    ACTIONS(18016), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179017] = 2,
    ACTIONS(18018), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179025] = 2,
    ACTIONS(18020), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179033] = 2,
    ACTIONS(18022), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179041] = 2,
    ACTIONS(18024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179049] = 2,
    ACTIONS(18026), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179057] = 2,
    ACTIONS(18028), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179065] = 2,
    ACTIONS(18030), 1,
      aux_sym_implicit_range_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179073] = 2,
    ACTIONS(18032), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179081] = 2,
    ACTIONS(18034), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179089] = 2,
    ACTIONS(18036), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179097] = 2,
    ACTIONS(18038), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179105] = 2,
    ACTIONS(18040), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179113] = 2,
    ACTIONS(18042), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179121] = 2,
    ACTIONS(18044), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179129] = 2,
    ACTIONS(18046), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179137] = 2,
    ACTIONS(18048), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179145] = 2,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179153] = 2,
    ACTIONS(18052), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179161] = 2,
    ACTIONS(18054), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179169] = 2,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179177] = 2,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179185] = 2,
    ACTIONS(18060), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179193] = 2,
    ACTIONS(8185), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179201] = 2,
    ACTIONS(18062), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179209] = 2,
    ACTIONS(18064), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179217] = 2,
    ACTIONS(18066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179225] = 2,
    ACTIONS(18068), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179233] = 2,
    ACTIONS(18070), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179241] = 2,
    ACTIONS(18072), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179249] = 2,
    ACTIONS(18074), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179257] = 2,
    ACTIONS(18076), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179265] = 2,
    ACTIONS(18078), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179273] = 2,
    ACTIONS(18080), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179281] = 2,
    ACTIONS(18082), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179289] = 2,
    ACTIONS(18084), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179297] = 2,
    ACTIONS(18086), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179305] = 2,
    ACTIONS(18088), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179313] = 2,
    ACTIONS(18090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179321] = 2,
    ACTIONS(18092), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179329] = 2,
    ACTIONS(18094), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179337] = 2,
    ACTIONS(18096), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179345] = 2,
    ACTIONS(18098), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179353] = 2,
    ACTIONS(18100), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179361] = 2,
    ACTIONS(18102), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179369] = 2,
    ACTIONS(18104), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179377] = 2,
    ACTIONS(18106), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179385] = 2,
    ACTIONS(18108), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179393] = 2,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179401] = 2,
    ACTIONS(18112), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179409] = 2,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179417] = 2,
    ACTIONS(18116), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179425] = 2,
    ACTIONS(18118), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179433] = 2,
    ACTIONS(18120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179441] = 2,
    ACTIONS(18122), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179449] = 2,
    ACTIONS(18124), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179457] = 2,
    ACTIONS(18126), 1,
      anon_sym_DOT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179465] = 2,
    ACTIONS(18128), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179473] = 2,
    ACTIONS(18130), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179481] = 2,
    ACTIONS(18132), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179489] = 2,
    ACTIONS(18134), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179497] = 2,
    ACTIONS(18136), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179505] = 2,
    ACTIONS(14185), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179513] = 2,
    ACTIONS(10747), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179521] = 2,
    ACTIONS(18138), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179529] = 2,
    ACTIONS(18140), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179537] = 2,
    ACTIONS(18142), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179545] = 2,
    ACTIONS(18144), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179553] = 2,
    ACTIONS(18146), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179561] = 2,
    ACTIONS(18148), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179569] = 2,
    ACTIONS(18150), 1,
      ts_builtin_sym_end,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179577] = 2,
    ACTIONS(18152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179585] = 2,
    ACTIONS(18154), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179593] = 2,
    ACTIONS(18156), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179601] = 2,
    ACTIONS(10767), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179609] = 2,
    ACTIONS(18158), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179617] = 2,
    ACTIONS(18160), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179625] = 2,
    ACTIONS(18162), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179633] = 2,
    ACTIONS(18164), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179641] = 2,
    ACTIONS(18166), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179649] = 2,
    ACTIONS(18168), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179657] = 2,
    ACTIONS(18170), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179665] = 2,
    ACTIONS(18172), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179673] = 2,
    ACTIONS(15136), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179681] = 2,
    ACTIONS(18174), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179689] = 2,
    ACTIONS(18176), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179697] = 2,
    ACTIONS(18178), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179705] = 2,
    ACTIONS(18180), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179713] = 2,
    ACTIONS(18182), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179721] = 2,
    ACTIONS(18184), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179729] = 2,
    ACTIONS(18186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179737] = 2,
    ACTIONS(18188), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179745] = 2,
    ACTIONS(18190), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179753] = 2,
    ACTIONS(18192), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179761] = 2,
    ACTIONS(18194), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179769] = 2,
    ACTIONS(18196), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179777] = 2,
    ACTIONS(18198), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179785] = 2,
    ACTIONS(18200), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179793] = 2,
    ACTIONS(14798), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179801] = 2,
    ACTIONS(18202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179809] = 2,
    ACTIONS(18204), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179817] = 2,
    ACTIONS(18206), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179825] = 2,
    ACTIONS(18208), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179833] = 2,
    ACTIONS(18210), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179841] = 2,
    ACTIONS(18212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179849] = 2,
    ACTIONS(18214), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179857] = 2,
    ACTIONS(18216), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179865] = 2,
    ACTIONS(18218), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179873] = 2,
    ACTIONS(18220), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179881] = 2,
    ACTIONS(18222), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179889] = 2,
    ACTIONS(18224), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179897] = 2,
    ACTIONS(18226), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [179905] = 2,
    ACTIONS(18228), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179913] = 2,
    ACTIONS(18230), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179921] = 2,
    ACTIONS(18232), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179929] = 2,
    ACTIONS(18234), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179937] = 2,
    ACTIONS(18236), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179945] = 2,
    ACTIONS(10778), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179953] = 2,
    ACTIONS(18238), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179961] = 2,
    ACTIONS(18240), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179969] = 2,
    ACTIONS(18242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179977] = 2,
    ACTIONS(18244), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179985] = 2,
    ACTIONS(18246), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [179993] = 2,
    ACTIONS(18248), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180001] = 2,
    ACTIONS(18250), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180009] = 2,
    ACTIONS(18252), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180017] = 2,
    ACTIONS(18254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180025] = 2,
    ACTIONS(18256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180033] = 2,
    ACTIONS(18258), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180041] = 2,
    ACTIONS(18260), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180049] = 2,
    ACTIONS(18262), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180057] = 2,
    ACTIONS(18264), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180065] = 2,
    ACTIONS(18266), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180073] = 2,
    ACTIONS(18268), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180081] = 2,
    ACTIONS(18270), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [180089] = 2,
    ACTIONS(18272), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3643)] = 0,
  [SMALL_STATE(3644)] = 87,
  [SMALL_STATE(3645)] = 178,
  [SMALL_STATE(3646)] = 269,
  [SMALL_STATE(3647)] = 360,
  [SMALL_STATE(3648)] = 447,
  [SMALL_STATE(3649)] = 536,
  [SMALL_STATE(3650)] = 623,
  [SMALL_STATE(3651)] = 714,
  [SMALL_STATE(3652)] = 805,
  [SMALL_STATE(3653)] = 876,
  [SMALL_STATE(3654)] = 947,
  [SMALL_STATE(3655)] = 1018,
  [SMALL_STATE(3656)] = 1105,
  [SMALL_STATE(3657)] = 1192,
  [SMALL_STATE(3658)] = 1263,
  [SMALL_STATE(3659)] = 1354,
  [SMALL_STATE(3660)] = 1425,
  [SMALL_STATE(3661)] = 1512,
  [SMALL_STATE(3662)] = 1599,
  [SMALL_STATE(3663)] = 1690,
  [SMALL_STATE(3664)] = 1781,
  [SMALL_STATE(3665)] = 1868,
  [SMALL_STATE(3666)] = 1955,
  [SMALL_STATE(3667)] = 2042,
  [SMALL_STATE(3668)] = 2129,
  [SMALL_STATE(3669)] = 2216,
  [SMALL_STATE(3670)] = 2303,
  [SMALL_STATE(3671)] = 2390,
  [SMALL_STATE(3672)] = 2477,
  [SMALL_STATE(3673)] = 2564,
  [SMALL_STATE(3674)] = 2651,
  [SMALL_STATE(3675)] = 2738,
  [SMALL_STATE(3676)] = 2825,
  [SMALL_STATE(3677)] = 2912,
  [SMALL_STATE(3678)] = 2999,
  [SMALL_STATE(3679)] = 3086,
  [SMALL_STATE(3680)] = 3173,
  [SMALL_STATE(3681)] = 3260,
  [SMALL_STATE(3682)] = 3347,
  [SMALL_STATE(3683)] = 3434,
  [SMALL_STATE(3684)] = 3521,
  [SMALL_STATE(3685)] = 3608,
  [SMALL_STATE(3686)] = 3695,
  [SMALL_STATE(3687)] = 3782,
  [SMALL_STATE(3688)] = 3869,
  [SMALL_STATE(3689)] = 3956,
  [SMALL_STATE(3690)] = 4027,
  [SMALL_STATE(3691)] = 4098,
  [SMALL_STATE(3692)] = 4169,
  [SMALL_STATE(3693)] = 4240,
  [SMALL_STATE(3694)] = 4311,
  [SMALL_STATE(3695)] = 4382,
  [SMALL_STATE(3696)] = 4453,
  [SMALL_STATE(3697)] = 4544,
  [SMALL_STATE(3698)] = 4635,
  [SMALL_STATE(3699)] = 4722,
  [SMALL_STATE(3700)] = 4810,
  [SMALL_STATE(3701)] = 4898,
  [SMALL_STATE(3702)] = 4986,
  [SMALL_STATE(3703)] = 5074,
  [SMALL_STATE(3704)] = 5144,
  [SMALL_STATE(3705)] = 5214,
  [SMALL_STATE(3706)] = 5302,
  [SMALL_STATE(3707)] = 5390,
  [SMALL_STATE(3708)] = 5478,
  [SMALL_STATE(3709)] = 5566,
  [SMALL_STATE(3710)] = 5654,
  [SMALL_STATE(3711)] = 5742,
  [SMALL_STATE(3712)] = 5830,
  [SMALL_STATE(3713)] = 5918,
  [SMALL_STATE(3714)] = 6006,
  [SMALL_STATE(3715)] = 6084,
  [SMALL_STATE(3716)] = 6172,
  [SMALL_STATE(3717)] = 6260,
  [SMALL_STATE(3718)] = 6348,
  [SMALL_STATE(3719)] = 6436,
  [SMALL_STATE(3720)] = 6524,
  [SMALL_STATE(3721)] = 6612,
  [SMALL_STATE(3722)] = 6700,
  [SMALL_STATE(3723)] = 6770,
  [SMALL_STATE(3724)] = 6858,
  [SMALL_STATE(3725)] = 6946,
  [SMALL_STATE(3726)] = 7034,
  [SMALL_STATE(3727)] = 7122,
  [SMALL_STATE(3728)] = 7210,
  [SMALL_STATE(3729)] = 7298,
  [SMALL_STATE(3730)] = 7386,
  [SMALL_STATE(3731)] = 7474,
  [SMALL_STATE(3732)] = 7562,
  [SMALL_STATE(3733)] = 7650,
  [SMALL_STATE(3734)] = 7738,
  [SMALL_STATE(3735)] = 7826,
  [SMALL_STATE(3736)] = 7914,
  [SMALL_STATE(3737)] = 8002,
  [SMALL_STATE(3738)] = 8090,
  [SMALL_STATE(3739)] = 8178,
  [SMALL_STATE(3740)] = 8266,
  [SMALL_STATE(3741)] = 8354,
  [SMALL_STATE(3742)] = 8442,
  [SMALL_STATE(3743)] = 8530,
  [SMALL_STATE(3744)] = 8618,
  [SMALL_STATE(3745)] = 8706,
  [SMALL_STATE(3746)] = 8794,
  [SMALL_STATE(3747)] = 8882,
  [SMALL_STATE(3748)] = 8970,
  [SMALL_STATE(3749)] = 9058,
  [SMALL_STATE(3750)] = 9146,
  [SMALL_STATE(3751)] = 9234,
  [SMALL_STATE(3752)] = 9322,
  [SMALL_STATE(3753)] = 9410,
  [SMALL_STATE(3754)] = 9498,
  [SMALL_STATE(3755)] = 9586,
  [SMALL_STATE(3756)] = 9674,
  [SMALL_STATE(3757)] = 9762,
  [SMALL_STATE(3758)] = 9850,
  [SMALL_STATE(3759)] = 9920,
  [SMALL_STATE(3760)] = 10008,
  [SMALL_STATE(3761)] = 10096,
  [SMALL_STATE(3762)] = 10166,
  [SMALL_STATE(3763)] = 10254,
  [SMALL_STATE(3764)] = 10342,
  [SMALL_STATE(3765)] = 10430,
  [SMALL_STATE(3766)] = 10518,
  [SMALL_STATE(3767)] = 10606,
  [SMALL_STATE(3768)] = 10694,
  [SMALL_STATE(3769)] = 10782,
  [SMALL_STATE(3770)] = 10870,
  [SMALL_STATE(3771)] = 10958,
  [SMALL_STATE(3772)] = 11046,
  [SMALL_STATE(3773)] = 11134,
  [SMALL_STATE(3774)] = 11222,
  [SMALL_STATE(3775)] = 11310,
  [SMALL_STATE(3776)] = 11398,
  [SMALL_STATE(3777)] = 11486,
  [SMALL_STATE(3778)] = 11574,
  [SMALL_STATE(3779)] = 11662,
  [SMALL_STATE(3780)] = 11750,
  [SMALL_STATE(3781)] = 11838,
  [SMALL_STATE(3782)] = 11926,
  [SMALL_STATE(3783)] = 12014,
  [SMALL_STATE(3784)] = 12102,
  [SMALL_STATE(3785)] = 12190,
  [SMALL_STATE(3786)] = 12278,
  [SMALL_STATE(3787)] = 12366,
  [SMALL_STATE(3788)] = 12454,
  [SMALL_STATE(3789)] = 12542,
  [SMALL_STATE(3790)] = 12630,
  [SMALL_STATE(3791)] = 12718,
  [SMALL_STATE(3792)] = 12806,
  [SMALL_STATE(3793)] = 12894,
  [SMALL_STATE(3794)] = 12982,
  [SMALL_STATE(3795)] = 13070,
  [SMALL_STATE(3796)] = 13158,
  [SMALL_STATE(3797)] = 13246,
  [SMALL_STATE(3798)] = 13334,
  [SMALL_STATE(3799)] = 13404,
  [SMALL_STATE(3800)] = 13492,
  [SMALL_STATE(3801)] = 13580,
  [SMALL_STATE(3802)] = 13668,
  [SMALL_STATE(3803)] = 13756,
  [SMALL_STATE(3804)] = 13844,
  [SMALL_STATE(3805)] = 13932,
  [SMALL_STATE(3806)] = 14020,
  [SMALL_STATE(3807)] = 14108,
  [SMALL_STATE(3808)] = 14196,
  [SMALL_STATE(3809)] = 14284,
  [SMALL_STATE(3810)] = 14372,
  [SMALL_STATE(3811)] = 14460,
  [SMALL_STATE(3812)] = 14548,
  [SMALL_STATE(3813)] = 14636,
  [SMALL_STATE(3814)] = 14724,
  [SMALL_STATE(3815)] = 14812,
  [SMALL_STATE(3816)] = 14900,
  [SMALL_STATE(3817)] = 14985,
  [SMALL_STATE(3818)] = 15070,
  [SMALL_STATE(3819)] = 15155,
  [SMALL_STATE(3820)] = 15240,
  [SMALL_STATE(3821)] = 15325,
  [SMALL_STATE(3822)] = 15410,
  [SMALL_STATE(3823)] = 15495,
  [SMALL_STATE(3824)] = 15580,
  [SMALL_STATE(3825)] = 15665,
  [SMALL_STATE(3826)] = 15750,
  [SMALL_STATE(3827)] = 15835,
  [SMALL_STATE(3828)] = 15920,
  [SMALL_STATE(3829)] = 16005,
  [SMALL_STATE(3830)] = 16090,
  [SMALL_STATE(3831)] = 16175,
  [SMALL_STATE(3832)] = 16260,
  [SMALL_STATE(3833)] = 16345,
  [SMALL_STATE(3834)] = 16430,
  [SMALL_STATE(3835)] = 16515,
  [SMALL_STATE(3836)] = 16600,
  [SMALL_STATE(3837)] = 16685,
  [SMALL_STATE(3838)] = 16770,
  [SMALL_STATE(3839)] = 16855,
  [SMALL_STATE(3840)] = 16940,
  [SMALL_STATE(3841)] = 17013,
  [SMALL_STATE(3842)] = 17098,
  [SMALL_STATE(3843)] = 17183,
  [SMALL_STATE(3844)] = 17268,
  [SMALL_STATE(3845)] = 17353,
  [SMALL_STATE(3846)] = 17438,
  [SMALL_STATE(3847)] = 17523,
  [SMALL_STATE(3848)] = 17608,
  [SMALL_STATE(3849)] = 17693,
  [SMALL_STATE(3850)] = 17778,
  [SMALL_STATE(3851)] = 17863,
  [SMALL_STATE(3852)] = 17948,
  [SMALL_STATE(3853)] = 18033,
  [SMALL_STATE(3854)] = 18118,
  [SMALL_STATE(3855)] = 18203,
  [SMALL_STATE(3856)] = 18288,
  [SMALL_STATE(3857)] = 18373,
  [SMALL_STATE(3858)] = 18458,
  [SMALL_STATE(3859)] = 18531,
  [SMALL_STATE(3860)] = 18616,
  [SMALL_STATE(3861)] = 18701,
  [SMALL_STATE(3862)] = 18786,
  [SMALL_STATE(3863)] = 18871,
  [SMALL_STATE(3864)] = 18956,
  [SMALL_STATE(3865)] = 19041,
  [SMALL_STATE(3866)] = 19126,
  [SMALL_STATE(3867)] = 19211,
  [SMALL_STATE(3868)] = 19296,
  [SMALL_STATE(3869)] = 19381,
  [SMALL_STATE(3870)] = 19466,
  [SMALL_STATE(3871)] = 19551,
  [SMALL_STATE(3872)] = 19620,
  [SMALL_STATE(3873)] = 19705,
  [SMALL_STATE(3874)] = 19790,
  [SMALL_STATE(3875)] = 19877,
  [SMALL_STATE(3876)] = 19962,
  [SMALL_STATE(3877)] = 20047,
  [SMALL_STATE(3878)] = 20132,
  [SMALL_STATE(3879)] = 20217,
  [SMALL_STATE(3880)] = 20302,
  [SMALL_STATE(3881)] = 20387,
  [SMALL_STATE(3882)] = 20472,
  [SMALL_STATE(3883)] = 20557,
  [SMALL_STATE(3884)] = 20626,
  [SMALL_STATE(3885)] = 20711,
  [SMALL_STATE(3886)] = 20796,
  [SMALL_STATE(3887)] = 20881,
  [SMALL_STATE(3888)] = 20966,
  [SMALL_STATE(3889)] = 21035,
  [SMALL_STATE(3890)] = 21120,
  [SMALL_STATE(3891)] = 21205,
  [SMALL_STATE(3892)] = 21290,
  [SMALL_STATE(3893)] = 21375,
  [SMALL_STATE(3894)] = 21460,
  [SMALL_STATE(3895)] = 21545,
  [SMALL_STATE(3896)] = 21630,
  [SMALL_STATE(3897)] = 21715,
  [SMALL_STATE(3898)] = 21800,
  [SMALL_STATE(3899)] = 21885,
  [SMALL_STATE(3900)] = 21970,
  [SMALL_STATE(3901)] = 22055,
  [SMALL_STATE(3902)] = 22140,
  [SMALL_STATE(3903)] = 22225,
  [SMALL_STATE(3904)] = 22310,
  [SMALL_STATE(3905)] = 22379,
  [SMALL_STATE(3906)] = 22464,
  [SMALL_STATE(3907)] = 22549,
  [SMALL_STATE(3908)] = 22634,
  [SMALL_STATE(3909)] = 22719,
  [SMALL_STATE(3910)] = 22804,
  [SMALL_STATE(3911)] = 22889,
  [SMALL_STATE(3912)] = 22974,
  [SMALL_STATE(3913)] = 23059,
  [SMALL_STATE(3914)] = 23144,
  [SMALL_STATE(3915)] = 23229,
  [SMALL_STATE(3916)] = 23314,
  [SMALL_STATE(3917)] = 23399,
  [SMALL_STATE(3918)] = 23484,
  [SMALL_STATE(3919)] = 23569,
  [SMALL_STATE(3920)] = 23654,
  [SMALL_STATE(3921)] = 23739,
  [SMALL_STATE(3922)] = 23824,
  [SMALL_STATE(3923)] = 23909,
  [SMALL_STATE(3924)] = 23994,
  [SMALL_STATE(3925)] = 24079,
  [SMALL_STATE(3926)] = 24164,
  [SMALL_STATE(3927)] = 24249,
  [SMALL_STATE(3928)] = 24334,
  [SMALL_STATE(3929)] = 24419,
  [SMALL_STATE(3930)] = 24504,
  [SMALL_STATE(3931)] = 24589,
  [SMALL_STATE(3932)] = 24674,
  [SMALL_STATE(3933)] = 24759,
  [SMALL_STATE(3934)] = 24844,
  [SMALL_STATE(3935)] = 24929,
  [SMALL_STATE(3936)] = 25014,
  [SMALL_STATE(3937)] = 25099,
  [SMALL_STATE(3938)] = 25184,
  [SMALL_STATE(3939)] = 25269,
  [SMALL_STATE(3940)] = 25354,
  [SMALL_STATE(3941)] = 25439,
  [SMALL_STATE(3942)] = 25524,
  [SMALL_STATE(3943)] = 25609,
  [SMALL_STATE(3944)] = 25694,
  [SMALL_STATE(3945)] = 25779,
  [SMALL_STATE(3946)] = 25864,
  [SMALL_STATE(3947)] = 25939,
  [SMALL_STATE(3948)] = 26024,
  [SMALL_STATE(3949)] = 26109,
  [SMALL_STATE(3950)] = 26194,
  [SMALL_STATE(3951)] = 26279,
  [SMALL_STATE(3952)] = 26364,
  [SMALL_STATE(3953)] = 26449,
  [SMALL_STATE(3954)] = 26534,
  [SMALL_STATE(3955)] = 26621,
  [SMALL_STATE(3956)] = 26706,
  [SMALL_STATE(3957)] = 26779,
  [SMALL_STATE(3958)] = 26864,
  [SMALL_STATE(3959)] = 26933,
  [SMALL_STATE(3960)] = 27018,
  [SMALL_STATE(3961)] = 27091,
  [SMALL_STATE(3962)] = 27176,
  [SMALL_STATE(3963)] = 27247,
  [SMALL_STATE(3964)] = 27332,
  [SMALL_STATE(3965)] = 27417,
  [SMALL_STATE(3966)] = 27502,
  [SMALL_STATE(3967)] = 27587,
  [SMALL_STATE(3968)] = 27672,
  [SMALL_STATE(3969)] = 27745,
  [SMALL_STATE(3970)] = 27830,
  [SMALL_STATE(3971)] = 27915,
  [SMALL_STATE(3972)] = 28000,
  [SMALL_STATE(3973)] = 28085,
  [SMALL_STATE(3974)] = 28170,
  [SMALL_STATE(3975)] = 28255,
  [SMALL_STATE(3976)] = 28340,
  [SMALL_STATE(3977)] = 28425,
  [SMALL_STATE(3978)] = 28510,
  [SMALL_STATE(3979)] = 28579,
  [SMALL_STATE(3980)] = 28664,
  [SMALL_STATE(3981)] = 28749,
  [SMALL_STATE(3982)] = 28836,
  [SMALL_STATE(3983)] = 28921,
  [SMALL_STATE(3984)] = 29006,
  [SMALL_STATE(3985)] = 29091,
  [SMALL_STATE(3986)] = 29176,
  [SMALL_STATE(3987)] = 29261,
  [SMALL_STATE(3988)] = 29346,
  [SMALL_STATE(3989)] = 29431,
  [SMALL_STATE(3990)] = 29516,
  [SMALL_STATE(3991)] = 29601,
  [SMALL_STATE(3992)] = 29674,
  [SMALL_STATE(3993)] = 29759,
  [SMALL_STATE(3994)] = 29844,
  [SMALL_STATE(3995)] = 29929,
  [SMALL_STATE(3996)] = 30011,
  [SMALL_STATE(3997)] = 30093,
  [SMALL_STATE(3998)] = 30161,
  [SMALL_STATE(3999)] = 30229,
  [SMALL_STATE(4000)] = 30297,
  [SMALL_STATE(4001)] = 30379,
  [SMALL_STATE(4002)] = 30463,
  [SMALL_STATE(4003)] = 30545,
  [SMALL_STATE(4004)] = 30627,
  [SMALL_STATE(4005)] = 30709,
  [SMALL_STATE(4006)] = 30791,
  [SMALL_STATE(4007)] = 30859,
  [SMALL_STATE(4008)] = 30941,
  [SMALL_STATE(4009)] = 31023,
  [SMALL_STATE(4010)] = 31105,
  [SMALL_STATE(4011)] = 31173,
  [SMALL_STATE(4012)] = 31255,
  [SMALL_STATE(4013)] = 31337,
  [SMALL_STATE(4014)] = 31405,
  [SMALL_STATE(4015)] = 31487,
  [SMALL_STATE(4016)] = 31555,
  [SMALL_STATE(4017)] = 31639,
  [SMALL_STATE(4018)] = 31721,
  [SMALL_STATE(4019)] = 31803,
  [SMALL_STATE(4020)] = 31885,
  [SMALL_STATE(4021)] = 31967,
  [SMALL_STATE(4022)] = 32049,
  [SMALL_STATE(4023)] = 32131,
  [SMALL_STATE(4024)] = 32213,
  [SMALL_STATE(4025)] = 32295,
  [SMALL_STATE(4026)] = 32377,
  [SMALL_STATE(4027)] = 32459,
  [SMALL_STATE(4028)] = 32541,
  [SMALL_STATE(4029)] = 32623,
  [SMALL_STATE(4030)] = 32691,
  [SMALL_STATE(4031)] = 32772,
  [SMALL_STATE(4032)] = 32843,
  [SMALL_STATE(4033)] = 32924,
  [SMALL_STATE(4034)] = 32995,
  [SMALL_STATE(4035)] = 33064,
  [SMALL_STATE(4036)] = 33135,
  [SMALL_STATE(4037)] = 33216,
  [SMALL_STATE(4038)] = 33287,
  [SMALL_STATE(4039)] = 33354,
  [SMALL_STATE(4040)] = 33425,
  [SMALL_STATE(4041)] = 33506,
  [SMALL_STATE(4042)] = 33577,
  [SMALL_STATE(4043)] = 33648,
  [SMALL_STATE(4044)] = 33719,
  [SMALL_STATE(4045)] = 33800,
  [SMALL_STATE(4046)] = 33881,
  [SMALL_STATE(4047)] = 33962,
  [SMALL_STATE(4048)] = 34033,
  [SMALL_STATE(4049)] = 34114,
  [SMALL_STATE(4050)] = 34185,
  [SMALL_STATE(4051)] = 34266,
  [SMALL_STATE(4052)] = 34333,
  [SMALL_STATE(4053)] = 34404,
  [SMALL_STATE(4054)] = 34522,
  [SMALL_STATE(4055)] = 34588,
  [SMALL_STATE(4056)] = 34656,
  [SMALL_STATE(4057)] = 34734,
  [SMALL_STATE(4058)] = 34800,
  [SMALL_STATE(4059)] = 34878,
  [SMALL_STATE(4060)] = 34998,
  [SMALL_STATE(4061)] = 35064,
  [SMALL_STATE(4062)] = 35142,
  [SMALL_STATE(4063)] = 35220,
  [SMALL_STATE(4064)] = 35286,
  [SMALL_STATE(4065)] = 35404,
  [SMALL_STATE(4066)] = 35482,
  [SMALL_STATE(4067)] = 35548,
  [SMALL_STATE(4068)] = 35626,
  [SMALL_STATE(4069)] = 35744,
  [SMALL_STATE(4070)] = 35810,
  [SMALL_STATE(4071)] = 35876,
  [SMALL_STATE(4072)] = 35994,
  [SMALL_STATE(4073)] = 36072,
  [SMALL_STATE(4074)] = 36190,
  [SMALL_STATE(4075)] = 36256,
  [SMALL_STATE(4076)] = 36334,
  [SMALL_STATE(4077)] = 36412,
  [SMALL_STATE(4078)] = 36478,
  [SMALL_STATE(4079)] = 36598,
  [SMALL_STATE(4080)] = 36676,
  [SMALL_STATE(4081)] = 36754,
  [SMALL_STATE(4082)] = 36832,
  [SMALL_STATE(4083)] = 36898,
  [SMALL_STATE(4084)] = 36976,
  [SMALL_STATE(4085)] = 37054,
  [SMALL_STATE(4086)] = 37120,
  [SMALL_STATE(4087)] = 37186,
  [SMALL_STATE(4088)] = 37252,
  [SMALL_STATE(4089)] = 37318,
  [SMALL_STATE(4090)] = 37436,
  [SMALL_STATE(4091)] = 37502,
  [SMALL_STATE(4092)] = 37568,
  [SMALL_STATE(4093)] = 37686,
  [SMALL_STATE(4094)] = 37806,
  [SMALL_STATE(4095)] = 37926,
  [SMALL_STATE(4096)] = 38004,
  [SMALL_STATE(4097)] = 38082,
  [SMALL_STATE(4098)] = 38148,
  [SMALL_STATE(4099)] = 38214,
  [SMALL_STATE(4100)] = 38292,
  [SMALL_STATE(4101)] = 38358,
  [SMALL_STATE(4102)] = 38436,
  [SMALL_STATE(4103)] = 38514,
  [SMALL_STATE(4104)] = 38580,
  [SMALL_STATE(4105)] = 38646,
  [SMALL_STATE(4106)] = 38712,
  [SMALL_STATE(4107)] = 38778,
  [SMALL_STATE(4108)] = 38896,
  [SMALL_STATE(4109)] = 38962,
  [SMALL_STATE(4110)] = 39028,
  [SMALL_STATE(4111)] = 39146,
  [SMALL_STATE(4112)] = 39224,
  [SMALL_STATE(4113)] = 39302,
  [SMALL_STATE(4114)] = 39420,
  [SMALL_STATE(4115)] = 39498,
  [SMALL_STATE(4116)] = 39616,
  [SMALL_STATE(4117)] = 39682,
  [SMALL_STATE(4118)] = 39800,
  [SMALL_STATE(4119)] = 39866,
  [SMALL_STATE(4120)] = 39932,
  [SMALL_STATE(4121)] = 40010,
  [SMALL_STATE(4122)] = 40130,
  [SMALL_STATE(4123)] = 40208,
  [SMALL_STATE(4124)] = 40326,
  [SMALL_STATE(4125)] = 40444,
  [SMALL_STATE(4126)] = 40522,
  [SMALL_STATE(4127)] = 40600,
  [SMALL_STATE(4128)] = 40718,
  [SMALL_STATE(4129)] = 40836,
  [SMALL_STATE(4130)] = 40954,
  [SMALL_STATE(4131)] = 41032,
  [SMALL_STATE(4132)] = 41150,
  [SMALL_STATE(4133)] = 41270,
  [SMALL_STATE(4134)] = 41348,
  [SMALL_STATE(4135)] = 41466,
  [SMALL_STATE(4136)] = 41544,
  [SMALL_STATE(4137)] = 41662,
  [SMALL_STATE(4138)] = 41740,
  [SMALL_STATE(4139)] = 41806,
  [SMALL_STATE(4140)] = 41884,
  [SMALL_STATE(4141)] = 42002,
  [SMALL_STATE(4142)] = 42080,
  [SMALL_STATE(4143)] = 42146,
  [SMALL_STATE(4144)] = 42224,
  [SMALL_STATE(4145)] = 42290,
  [SMALL_STATE(4146)] = 42368,
  [SMALL_STATE(4147)] = 42434,
  [SMALL_STATE(4148)] = 42552,
  [SMALL_STATE(4149)] = 42630,
  [SMALL_STATE(4150)] = 42708,
  [SMALL_STATE(4151)] = 42826,
  [SMALL_STATE(4152)] = 42944,
  [SMALL_STATE(4153)] = 43022,
  [SMALL_STATE(4154)] = 43100,
  [SMALL_STATE(4155)] = 43220,
  [SMALL_STATE(4156)] = 43338,
  [SMALL_STATE(4157)] = 43456,
  [SMALL_STATE(4158)] = 43522,
  [SMALL_STATE(4159)] = 43600,
  [SMALL_STATE(4160)] = 43666,
  [SMALL_STATE(4161)] = 43744,
  [SMALL_STATE(4162)] = 43822,
  [SMALL_STATE(4163)] = 43900,
  [SMALL_STATE(4164)] = 43978,
  [SMALL_STATE(4165)] = 44044,
  [SMALL_STATE(4166)] = 44122,
  [SMALL_STATE(4167)] = 44188,
  [SMALL_STATE(4168)] = 44254,
  [SMALL_STATE(4169)] = 44320,
  [SMALL_STATE(4170)] = 44398,
  [SMALL_STATE(4171)] = 44516,
  [SMALL_STATE(4172)] = 44636,
  [SMALL_STATE(4173)] = 44754,
  [SMALL_STATE(4174)] = 44872,
  [SMALL_STATE(4175)] = 44938,
  [SMALL_STATE(4176)] = 45004,
  [SMALL_STATE(4177)] = 45070,
  [SMALL_STATE(4178)] = 45148,
  [SMALL_STATE(4179)] = 45268,
  [SMALL_STATE(4180)] = 45336,
  [SMALL_STATE(4181)] = 45414,
  [SMALL_STATE(4182)] = 45480,
  [SMALL_STATE(4183)] = 45558,
  [SMALL_STATE(4184)] = 45624,
  [SMALL_STATE(4185)] = 45742,
  [SMALL_STATE(4186)] = 45807,
  [SMALL_STATE(4187)] = 45872,
  [SMALL_STATE(4188)] = 45937,
  [SMALL_STATE(4189)] = 46012,
  [SMALL_STATE(4190)] = 46087,
  [SMALL_STATE(4191)] = 46204,
  [SMALL_STATE(4192)] = 46321,
  [SMALL_STATE(4193)] = 46438,
  [SMALL_STATE(4194)] = 46513,
  [SMALL_STATE(4195)] = 46588,
  [SMALL_STATE(4196)] = 46663,
  [SMALL_STATE(4197)] = 46738,
  [SMALL_STATE(4198)] = 46813,
  [SMALL_STATE(4199)] = 46888,
  [SMALL_STATE(4200)] = 46963,
  [SMALL_STATE(4201)] = 47038,
  [SMALL_STATE(4202)] = 47113,
  [SMALL_STATE(4203)] = 47188,
  [SMALL_STATE(4204)] = 47263,
  [SMALL_STATE(4205)] = 47338,
  [SMALL_STATE(4206)] = 47455,
  [SMALL_STATE(4207)] = 47572,
  [SMALL_STATE(4208)] = 47689,
  [SMALL_STATE(4209)] = 47806,
  [SMALL_STATE(4210)] = 47881,
  [SMALL_STATE(4211)] = 47946,
  [SMALL_STATE(4212)] = 48021,
  [SMALL_STATE(4213)] = 48096,
  [SMALL_STATE(4214)] = 48171,
  [SMALL_STATE(4215)] = 48246,
  [SMALL_STATE(4216)] = 48321,
  [SMALL_STATE(4217)] = 48438,
  [SMALL_STATE(4218)] = 48555,
  [SMALL_STATE(4219)] = 48672,
  [SMALL_STATE(4220)] = 48747,
  [SMALL_STATE(4221)] = 48822,
  [SMALL_STATE(4222)] = 48897,
  [SMALL_STATE(4223)] = 48972,
  [SMALL_STATE(4224)] = 49047,
  [SMALL_STATE(4225)] = 49164,
  [SMALL_STATE(4226)] = 49231,
  [SMALL_STATE(4227)] = 49306,
  [SMALL_STATE(4228)] = 49381,
  [SMALL_STATE(4229)] = 49456,
  [SMALL_STATE(4230)] = 49531,
  [SMALL_STATE(4231)] = 49606,
  [SMALL_STATE(4232)] = 49681,
  [SMALL_STATE(4233)] = 49756,
  [SMALL_STATE(4234)] = 49831,
  [SMALL_STATE(4235)] = 49906,
  [SMALL_STATE(4236)] = 49981,
  [SMALL_STATE(4237)] = 50056,
  [SMALL_STATE(4238)] = 50131,
  [SMALL_STATE(4239)] = 50206,
  [SMALL_STATE(4240)] = 50281,
  [SMALL_STATE(4241)] = 50356,
  [SMALL_STATE(4242)] = 50431,
  [SMALL_STATE(4243)] = 50506,
  [SMALL_STATE(4244)] = 50623,
  [SMALL_STATE(4245)] = 50740,
  [SMALL_STATE(4246)] = 50857,
  [SMALL_STATE(4247)] = 50974,
  [SMALL_STATE(4248)] = 51091,
  [SMALL_STATE(4249)] = 51208,
  [SMALL_STATE(4250)] = 51325,
  [SMALL_STATE(4251)] = 51400,
  [SMALL_STATE(4252)] = 51475,
  [SMALL_STATE(4253)] = 51550,
  [SMALL_STATE(4254)] = 51615,
  [SMALL_STATE(4255)] = 51680,
  [SMALL_STATE(4256)] = 51755,
  [SMALL_STATE(4257)] = 51872,
  [SMALL_STATE(4258)] = 51989,
  [SMALL_STATE(4259)] = 52106,
  [SMALL_STATE(4260)] = 52223,
  [SMALL_STATE(4261)] = 52340,
  [SMALL_STATE(4262)] = 52457,
  [SMALL_STATE(4263)] = 52574,
  [SMALL_STATE(4264)] = 52649,
  [SMALL_STATE(4265)] = 52766,
  [SMALL_STATE(4266)] = 52883,
  [SMALL_STATE(4267)] = 53000,
  [SMALL_STATE(4268)] = 53117,
  [SMALL_STATE(4269)] = 53234,
  [SMALL_STATE(4270)] = 53351,
  [SMALL_STATE(4271)] = 53468,
  [SMALL_STATE(4272)] = 53585,
  [SMALL_STATE(4273)] = 53702,
  [SMALL_STATE(4274)] = 53819,
  [SMALL_STATE(4275)] = 53936,
  [SMALL_STATE(4276)] = 54053,
  [SMALL_STATE(4277)] = 54170,
  [SMALL_STATE(4278)] = 54287,
  [SMALL_STATE(4279)] = 54404,
  [SMALL_STATE(4280)] = 54521,
  [SMALL_STATE(4281)] = 54638,
  [SMALL_STATE(4282)] = 54755,
  [SMALL_STATE(4283)] = 54872,
  [SMALL_STATE(4284)] = 54989,
  [SMALL_STATE(4285)] = 55106,
  [SMALL_STATE(4286)] = 55223,
  [SMALL_STATE(4287)] = 55340,
  [SMALL_STATE(4288)] = 55457,
  [SMALL_STATE(4289)] = 55574,
  [SMALL_STATE(4290)] = 55691,
  [SMALL_STATE(4291)] = 55808,
  [SMALL_STATE(4292)] = 55925,
  [SMALL_STATE(4293)] = 56042,
  [SMALL_STATE(4294)] = 56159,
  [SMALL_STATE(4295)] = 56276,
  [SMALL_STATE(4296)] = 56393,
  [SMALL_STATE(4297)] = 56510,
  [SMALL_STATE(4298)] = 56627,
  [SMALL_STATE(4299)] = 56744,
  [SMALL_STATE(4300)] = 56819,
  [SMALL_STATE(4301)] = 56884,
  [SMALL_STATE(4302)] = 56949,
  [SMALL_STATE(4303)] = 57014,
  [SMALL_STATE(4304)] = 57089,
  [SMALL_STATE(4305)] = 57206,
  [SMALL_STATE(4306)] = 57281,
  [SMALL_STATE(4307)] = 57398,
  [SMALL_STATE(4308)] = 57515,
  [SMALL_STATE(4309)] = 57590,
  [SMALL_STATE(4310)] = 57665,
  [SMALL_STATE(4311)] = 57740,
  [SMALL_STATE(4312)] = 57815,
  [SMALL_STATE(4313)] = 57890,
  [SMALL_STATE(4314)] = 57955,
  [SMALL_STATE(4315)] = 58030,
  [SMALL_STATE(4316)] = 58105,
  [SMALL_STATE(4317)] = 58180,
  [SMALL_STATE(4318)] = 58255,
  [SMALL_STATE(4319)] = 58330,
  [SMALL_STATE(4320)] = 58405,
  [SMALL_STATE(4321)] = 58480,
  [SMALL_STATE(4322)] = 58555,
  [SMALL_STATE(4323)] = 58630,
  [SMALL_STATE(4324)] = 58705,
  [SMALL_STATE(4325)] = 58780,
  [SMALL_STATE(4326)] = 58895,
  [SMALL_STATE(4327)] = 58970,
  [SMALL_STATE(4328)] = 59045,
  [SMALL_STATE(4329)] = 59110,
  [SMALL_STATE(4330)] = 59185,
  [SMALL_STATE(4331)] = 59260,
  [SMALL_STATE(4332)] = 59335,
  [SMALL_STATE(4333)] = 59410,
  [SMALL_STATE(4334)] = 59485,
  [SMALL_STATE(4335)] = 59560,
  [SMALL_STATE(4336)] = 59635,
  [SMALL_STATE(4337)] = 59710,
  [SMALL_STATE(4338)] = 59785,
  [SMALL_STATE(4339)] = 59860,
  [SMALL_STATE(4340)] = 59935,
  [SMALL_STATE(4341)] = 60010,
  [SMALL_STATE(4342)] = 60085,
  [SMALL_STATE(4343)] = 60160,
  [SMALL_STATE(4344)] = 60225,
  [SMALL_STATE(4345)] = 60300,
  [SMALL_STATE(4346)] = 60375,
  [SMALL_STATE(4347)] = 60450,
  [SMALL_STATE(4348)] = 60525,
  [SMALL_STATE(4349)] = 60600,
  [SMALL_STATE(4350)] = 60675,
  [SMALL_STATE(4351)] = 60750,
  [SMALL_STATE(4352)] = 60825,
  [SMALL_STATE(4353)] = 60900,
  [SMALL_STATE(4354)] = 60975,
  [SMALL_STATE(4355)] = 61050,
  [SMALL_STATE(4356)] = 61125,
  [SMALL_STATE(4357)] = 61200,
  [SMALL_STATE(4358)] = 61275,
  [SMALL_STATE(4359)] = 61350,
  [SMALL_STATE(4360)] = 61425,
  [SMALL_STATE(4361)] = 61500,
  [SMALL_STATE(4362)] = 61575,
  [SMALL_STATE(4363)] = 61650,
  [SMALL_STATE(4364)] = 61725,
  [SMALL_STATE(4365)] = 61800,
  [SMALL_STATE(4366)] = 61875,
  [SMALL_STATE(4367)] = 61950,
  [SMALL_STATE(4368)] = 62025,
  [SMALL_STATE(4369)] = 62100,
  [SMALL_STATE(4370)] = 62175,
  [SMALL_STATE(4371)] = 62250,
  [SMALL_STATE(4372)] = 62315,
  [SMALL_STATE(4373)] = 62390,
  [SMALL_STATE(4374)] = 62465,
  [SMALL_STATE(4375)] = 62540,
  [SMALL_STATE(4376)] = 62615,
  [SMALL_STATE(4377)] = 62690,
  [SMALL_STATE(4378)] = 62765,
  [SMALL_STATE(4379)] = 62840,
  [SMALL_STATE(4380)] = 62915,
  [SMALL_STATE(4381)] = 62990,
  [SMALL_STATE(4382)] = 63065,
  [SMALL_STATE(4383)] = 63140,
  [SMALL_STATE(4384)] = 63215,
  [SMALL_STATE(4385)] = 63290,
  [SMALL_STATE(4386)] = 63365,
  [SMALL_STATE(4387)] = 63440,
  [SMALL_STATE(4388)] = 63515,
  [SMALL_STATE(4389)] = 63590,
  [SMALL_STATE(4390)] = 63665,
  [SMALL_STATE(4391)] = 63740,
  [SMALL_STATE(4392)] = 63815,
  [SMALL_STATE(4393)] = 63890,
  [SMALL_STATE(4394)] = 63965,
  [SMALL_STATE(4395)] = 64040,
  [SMALL_STATE(4396)] = 64115,
  [SMALL_STATE(4397)] = 64190,
  [SMALL_STATE(4398)] = 64265,
  [SMALL_STATE(4399)] = 64340,
  [SMALL_STATE(4400)] = 64415,
  [SMALL_STATE(4401)] = 64490,
  [SMALL_STATE(4402)] = 64565,
  [SMALL_STATE(4403)] = 64640,
  [SMALL_STATE(4404)] = 64715,
  [SMALL_STATE(4405)] = 64790,
  [SMALL_STATE(4406)] = 64865,
  [SMALL_STATE(4407)] = 64940,
  [SMALL_STATE(4408)] = 65015,
  [SMALL_STATE(4409)] = 65090,
  [SMALL_STATE(4410)] = 65165,
  [SMALL_STATE(4411)] = 65240,
  [SMALL_STATE(4412)] = 65315,
  [SMALL_STATE(4413)] = 65390,
  [SMALL_STATE(4414)] = 65465,
  [SMALL_STATE(4415)] = 65540,
  [SMALL_STATE(4416)] = 65605,
  [SMALL_STATE(4417)] = 65715,
  [SMALL_STATE(4418)] = 65779,
  [SMALL_STATE(4419)] = 65843,
  [SMALL_STATE(4420)] = 65907,
  [SMALL_STATE(4421)] = 66017,
  [SMALL_STATE(4422)] = 66081,
  [SMALL_STATE(4423)] = 66145,
  [SMALL_STATE(4424)] = 66209,
  [SMALL_STATE(4425)] = 66319,
  [SMALL_STATE(4426)] = 66382,
  [SMALL_STATE(4427)] = 66445,
  [SMALL_STATE(4428)] = 66508,
  [SMALL_STATE(4429)] = 66570,
  [SMALL_STATE(4430)] = 66676,
  [SMALL_STATE(4431)] = 66782,
  [SMALL_STATE(4432)] = 66888,
  [SMALL_STATE(4433)] = 66981,
  [SMALL_STATE(4434)] = 67062,
  [SMALL_STATE(4435)] = 67135,
  [SMALL_STATE(4436)] = 67226,
  [SMALL_STATE(4437)] = 67323,
  [SMALL_STATE(4438)] = 67384,
  [SMALL_STATE(4439)] = 67469,
  [SMALL_STATE(4440)] = 67566,
  [SMALL_STATE(4441)] = 67637,
  [SMALL_STATE(4442)] = 67722,
  [SMALL_STATE(4443)] = 67799,
  [SMALL_STATE(4444)] = 67860,
  [SMALL_STATE(4445)] = 67921,
  [SMALL_STATE(4446)] = 67982,
  [SMALL_STATE(4447)] = 68043,
  [SMALL_STATE(4448)] = 68118,
  [SMALL_STATE(4449)] = 68199,
  [SMALL_STATE(4450)] = 68286,
  [SMALL_STATE(4451)] = 68375,
  [SMALL_STATE(4452)] = 68483,
  [SMALL_STATE(4453)] = 68591,
  [SMALL_STATE(4454)] = 68651,
  [SMALL_STATE(4455)] = 68711,
  [SMALL_STATE(4456)] = 68771,
  [SMALL_STATE(4457)] = 68877,
  [SMALL_STATE(4458)] = 68983,
  [SMALL_STATE(4459)] = 69089,
  [SMALL_STATE(4460)] = 69194,
  [SMALL_STATE(4461)] = 69299,
  [SMALL_STATE(4462)] = 69404,
  [SMALL_STATE(4463)] = 69509,
  [SMALL_STATE(4464)] = 69614,
  [SMALL_STATE(4465)] = 69719,
  [SMALL_STATE(4466)] = 69824,
  [SMALL_STATE(4467)] = 69929,
  [SMALL_STATE(4468)] = 70034,
  [SMALL_STATE(4469)] = 70093,
  [SMALL_STATE(4470)] = 70158,
  [SMALL_STATE(4471)] = 70263,
  [SMALL_STATE(4472)] = 70368,
  [SMALL_STATE(4473)] = 70473,
  [SMALL_STATE(4474)] = 70578,
  [SMALL_STATE(4475)] = 70637,
  [SMALL_STATE(4476)] = 70742,
  [SMALL_STATE(4477)] = 70847,
  [SMALL_STATE(4478)] = 70952,
  [SMALL_STATE(4479)] = 71057,
  [SMALL_STATE(4480)] = 71162,
  [SMALL_STATE(4481)] = 71267,
  [SMALL_STATE(4482)] = 71372,
  [SMALL_STATE(4483)] = 71477,
  [SMALL_STATE(4484)] = 71582,
  [SMALL_STATE(4485)] = 71687,
  [SMALL_STATE(4486)] = 71792,
  [SMALL_STATE(4487)] = 71897,
  [SMALL_STATE(4488)] = 72002,
  [SMALL_STATE(4489)] = 72061,
  [SMALL_STATE(4490)] = 72166,
  [SMALL_STATE(4491)] = 72271,
  [SMALL_STATE(4492)] = 72376,
  [SMALL_STATE(4493)] = 72481,
  [SMALL_STATE(4494)] = 72544,
  [SMALL_STATE(4495)] = 72649,
  [SMALL_STATE(4496)] = 72754,
  [SMALL_STATE(4497)] = 72859,
  [SMALL_STATE(4498)] = 72961,
  [SMALL_STATE(4499)] = 73063,
  [SMALL_STATE(4500)] = 73165,
  [SMALL_STATE(4501)] = 73261,
  [SMALL_STATE(4502)] = 73364,
  [SMALL_STATE(4503)] = 73467,
  [SMALL_STATE(4504)] = 73570,
  [SMALL_STATE(4505)] = 73673,
  [SMALL_STATE(4506)] = 73776,
  [SMALL_STATE(4507)] = 73879,
  [SMALL_STATE(4508)] = 73982,
  [SMALL_STATE(4509)] = 74085,
  [SMALL_STATE(4510)] = 74188,
  [SMALL_STATE(4511)] = 74291,
  [SMALL_STATE(4512)] = 74394,
  [SMALL_STATE(4513)] = 74497,
  [SMALL_STATE(4514)] = 74600,
  [SMALL_STATE(4515)] = 74703,
  [SMALL_STATE(4516)] = 74806,
  [SMALL_STATE(4517)] = 74909,
  [SMALL_STATE(4518)] = 75012,
  [SMALL_STATE(4519)] = 75115,
  [SMALL_STATE(4520)] = 75218,
  [SMALL_STATE(4521)] = 75321,
  [SMALL_STATE(4522)] = 75424,
  [SMALL_STATE(4523)] = 75527,
  [SMALL_STATE(4524)] = 75630,
  [SMALL_STATE(4525)] = 75733,
  [SMALL_STATE(4526)] = 75836,
  [SMALL_STATE(4527)] = 75939,
  [SMALL_STATE(4528)] = 76042,
  [SMALL_STATE(4529)] = 76145,
  [SMALL_STATE(4530)] = 76238,
  [SMALL_STATE(4531)] = 76330,
  [SMALL_STATE(4532)] = 76420,
  [SMALL_STATE(4533)] = 76510,
  [SMALL_STATE(4534)] = 76600,
  [SMALL_STATE(4535)] = 76648,
  [SMALL_STATE(4536)] = 76696,
  [SMALL_STATE(4537)] = 76744,
  [SMALL_STATE(4538)] = 76792,
  [SMALL_STATE(4539)] = 76840,
  [SMALL_STATE(4540)] = 76888,
  [SMALL_STATE(4541)] = 76936,
  [SMALL_STATE(4542)] = 76984,
  [SMALL_STATE(4543)] = 77032,
  [SMALL_STATE(4544)] = 77080,
  [SMALL_STATE(4545)] = 77128,
  [SMALL_STATE(4546)] = 77176,
  [SMALL_STATE(4547)] = 77224,
  [SMALL_STATE(4548)] = 77272,
  [SMALL_STATE(4549)] = 77320,
  [SMALL_STATE(4550)] = 77368,
  [SMALL_STATE(4551)] = 77416,
  [SMALL_STATE(4552)] = 77464,
  [SMALL_STATE(4553)] = 77512,
  [SMALL_STATE(4554)] = 77560,
  [SMALL_STATE(4555)] = 77615,
  [SMALL_STATE(4556)] = 77665,
  [SMALL_STATE(4557)] = 77717,
  [SMALL_STATE(4558)] = 77787,
  [SMALL_STATE(4559)] = 77837,
  [SMALL_STATE(4560)] = 77911,
  [SMALL_STATE(4561)] = 77961,
  [SMALL_STATE(4562)] = 78011,
  [SMALL_STATE(4563)] = 78077,
  [SMALL_STATE(4564)] = 78135,
  [SMALL_STATE(4565)] = 78207,
  [SMALL_STATE(4566)] = 78257,
  [SMALL_STATE(4567)] = 78307,
  [SMALL_STATE(4568)] = 78353,
  [SMALL_STATE(4569)] = 78403,
  [SMALL_STATE(4570)] = 78453,
  [SMALL_STATE(4571)] = 78519,
  [SMALL_STATE(4572)] = 78575,
  [SMALL_STATE(4573)] = 78651,
  [SMALL_STATE(4574)] = 78721,
  [SMALL_STATE(4575)] = 78797,
  [SMALL_STATE(4576)] = 78843,
  [SMALL_STATE(4577)] = 78903,
  [SMALL_STATE(4578)] = 78965,
  [SMALL_STATE(4579)] = 79050,
  [SMALL_STATE(4580)] = 79105,
  [SMALL_STATE(4581)] = 79190,
  [SMALL_STATE(4582)] = 79275,
  [SMALL_STATE(4583)] = 79348,
  [SMALL_STATE(4584)] = 79399,
  [SMALL_STATE(4585)] = 79464,
  [SMALL_STATE(4586)] = 79533,
  [SMALL_STATE(4587)] = 79580,
  [SMALL_STATE(4588)] = 79665,
  [SMALL_STATE(4589)] = 79712,
  [SMALL_STATE(4590)] = 79761,
  [SMALL_STATE(4591)] = 79844,
  [SMALL_STATE(4592)] = 79891,
  [SMALL_STATE(4593)] = 79938,
  [SMALL_STATE(4594)] = 79995,
  [SMALL_STATE(4595)] = 80078,
  [SMALL_STATE(4596)] = 80153,
  [SMALL_STATE(4597)] = 80200,
  [SMALL_STATE(4598)] = 80285,
  [SMALL_STATE(4599)] = 80332,
  [SMALL_STATE(4600)] = 80393,
  [SMALL_STATE(4601)] = 80452,
  [SMALL_STATE(4602)] = 80517,
  [SMALL_STATE(4603)] = 80588,
  [SMALL_STATE(4604)] = 80657,
  [SMALL_STATE(4605)] = 80730,
  [SMALL_STATE(4606)] = 80795,
  [SMALL_STATE(4607)] = 80852,
  [SMALL_STATE(4608)] = 80927,
  [SMALL_STATE(4609)] = 80978,
  [SMALL_STATE(4610)] = 81063,
  [SMALL_STATE(4611)] = 81124,
  [SMALL_STATE(4612)] = 81183,
  [SMALL_STATE(4613)] = 81238,
  [SMALL_STATE(4614)] = 81307,
  [SMALL_STATE(4615)] = 81392,
  [SMALL_STATE(4616)] = 81439,
  [SMALL_STATE(4617)] = 81524,
  [SMALL_STATE(4618)] = 81609,
  [SMALL_STATE(4619)] = 81656,
  [SMALL_STATE(4620)] = 81703,
  [SMALL_STATE(4621)] = 81750,
  [SMALL_STATE(4622)] = 81831,
  [SMALL_STATE(4623)] = 81878,
  [SMALL_STATE(4624)] = 81943,
  [SMALL_STATE(4625)] = 82014,
  [SMALL_STATE(4626)] = 82063,
  [SMALL_STATE(4627)] = 82140,
  [SMALL_STATE(4628)] = 82215,
  [SMALL_STATE(4629)] = 82300,
  [SMALL_STATE(4630)] = 82355,
  [SMALL_STATE(4631)] = 82424,
  [SMALL_STATE(4632)] = 82509,
  [SMALL_STATE(4633)] = 82594,
  [SMALL_STATE(4634)] = 82679,
  [SMALL_STATE(4635)] = 82740,
  [SMALL_STATE(4636)] = 82799,
  [SMALL_STATE(4637)] = 82864,
  [SMALL_STATE(4638)] = 82935,
  [SMALL_STATE(4639)] = 83004,
  [SMALL_STATE(4640)] = 83077,
  [SMALL_STATE(4641)] = 83142,
  [SMALL_STATE(4642)] = 83199,
  [SMALL_STATE(4643)] = 83274,
  [SMALL_STATE(4644)] = 83321,
  [SMALL_STATE(4645)] = 83396,
  [SMALL_STATE(4646)] = 83481,
  [SMALL_STATE(4647)] = 83566,
  [SMALL_STATE(4648)] = 83651,
  [SMALL_STATE(4649)] = 83720,
  [SMALL_STATE(4650)] = 83805,
  [SMALL_STATE(4651)] = 83890,
  [SMALL_STATE(4652)] = 83975,
  [SMALL_STATE(4653)] = 84019,
  [SMALL_STATE(4654)] = 84087,
  [SMALL_STATE(4655)] = 84133,
  [SMALL_STATE(4656)] = 84209,
  [SMALL_STATE(4657)] = 84289,
  [SMALL_STATE(4658)] = 84371,
  [SMALL_STATE(4659)] = 84417,
  [SMALL_STATE(4660)] = 84461,
  [SMALL_STATE(4661)] = 84543,
  [SMALL_STATE(4662)] = 84587,
  [SMALL_STATE(4663)] = 84631,
  [SMALL_STATE(4664)] = 84677,
  [SMALL_STATE(4665)] = 84721,
  [SMALL_STATE(4666)] = 84765,
  [SMALL_STATE(4667)] = 84809,
  [SMALL_STATE(4668)] = 84853,
  [SMALL_STATE(4669)] = 84897,
  [SMALL_STATE(4670)] = 84941,
  [SMALL_STATE(4671)] = 84985,
  [SMALL_STATE(4672)] = 85029,
  [SMALL_STATE(4673)] = 85103,
  [SMALL_STATE(4674)] = 85147,
  [SMALL_STATE(4675)] = 85191,
  [SMALL_STATE(4676)] = 85237,
  [SMALL_STATE(4677)] = 85281,
  [SMALL_STATE(4678)] = 85325,
  [SMALL_STATE(4679)] = 85369,
  [SMALL_STATE(4680)] = 85447,
  [SMALL_STATE(4681)] = 85491,
  [SMALL_STATE(4682)] = 85537,
  [SMALL_STATE(4683)] = 85581,
  [SMALL_STATE(4684)] = 85625,
  [SMALL_STATE(4685)] = 85669,
  [SMALL_STATE(4686)] = 85713,
  [SMALL_STATE(4687)] = 85757,
  [SMALL_STATE(4688)] = 85811,
  [SMALL_STATE(4689)] = 85893,
  [SMALL_STATE(4690)] = 85951,
  [SMALL_STATE(4691)] = 86029,
  [SMALL_STATE(4692)] = 86073,
  [SMALL_STATE(4693)] = 86117,
  [SMALL_STATE(4694)] = 86161,
  [SMALL_STATE(4695)] = 86207,
  [SMALL_STATE(4696)] = 86271,
  [SMALL_STATE(4697)] = 86317,
  [SMALL_STATE(4698)] = 86361,
  [SMALL_STATE(4699)] = 86405,
  [SMALL_STATE(4700)] = 86449,
  [SMALL_STATE(4701)] = 86527,
  [SMALL_STATE(4702)] = 86573,
  [SMALL_STATE(4703)] = 86633,
  [SMALL_STATE(4704)] = 86677,
  [SMALL_STATE(4705)] = 86721,
  [SMALL_STATE(4706)] = 86765,
  [SMALL_STATE(4707)] = 86845,
  [SMALL_STATE(4708)] = 86925,
  [SMALL_STATE(4709)] = 86969,
  [SMALL_STATE(4710)] = 87013,
  [SMALL_STATE(4711)] = 87093,
  [SMALL_STATE(4712)] = 87173,
  [SMALL_STATE(4713)] = 87231,
  [SMALL_STATE(4714)] = 87313,
  [SMALL_STATE(4715)] = 87387,
  [SMALL_STATE(4716)] = 87465,
  [SMALL_STATE(4717)] = 87529,
  [SMALL_STATE(4718)] = 87573,
  [SMALL_STATE(4719)] = 87653,
  [SMALL_STATE(4720)] = 87731,
  [SMALL_STATE(4721)] = 87801,
  [SMALL_STATE(4722)] = 87883,
  [SMALL_STATE(4723)] = 87927,
  [SMALL_STATE(4724)] = 87971,
  [SMALL_STATE(4725)] = 88053,
  [SMALL_STATE(4726)] = 88107,
  [SMALL_STATE(4727)] = 88151,
  [SMALL_STATE(4728)] = 88215,
  [SMALL_STATE(4729)] = 88261,
  [SMALL_STATE(4730)] = 88305,
  [SMALL_STATE(4731)] = 88359,
  [SMALL_STATE(4732)] = 88437,
  [SMALL_STATE(4733)] = 88481,
  [SMALL_STATE(4734)] = 88525,
  [SMALL_STATE(4735)] = 88569,
  [SMALL_STATE(4736)] = 88613,
  [SMALL_STATE(4737)] = 88657,
  [SMALL_STATE(4738)] = 88725,
  [SMALL_STATE(4739)] = 88769,
  [SMALL_STATE(4740)] = 88813,
  [SMALL_STATE(4741)] = 88857,
  [SMALL_STATE(4742)] = 88925,
  [SMALL_STATE(4743)] = 89005,
  [SMALL_STATE(4744)] = 89085,
  [SMALL_STATE(4745)] = 89165,
  [SMALL_STATE(4746)] = 89209,
  [SMALL_STATE(4747)] = 89253,
  [SMALL_STATE(4748)] = 89297,
  [SMALL_STATE(4749)] = 89341,
  [SMALL_STATE(4750)] = 89385,
  [SMALL_STATE(4751)] = 89457,
  [SMALL_STATE(4752)] = 89537,
  [SMALL_STATE(4753)] = 89601,
  [SMALL_STATE(4754)] = 89681,
  [SMALL_STATE(4755)] = 89755,
  [SMALL_STATE(4756)] = 89835,
  [SMALL_STATE(4757)] = 89879,
  [SMALL_STATE(4758)] = 89961,
  [SMALL_STATE(4759)] = 90005,
  [SMALL_STATE(4760)] = 90049,
  [SMALL_STATE(4761)] = 90093,
  [SMALL_STATE(4762)] = 90149,
  [SMALL_STATE(4763)] = 90193,
  [SMALL_STATE(4764)] = 90237,
  [SMALL_STATE(4765)] = 90281,
  [SMALL_STATE(4766)] = 90325,
  [SMALL_STATE(4767)] = 90369,
  [SMALL_STATE(4768)] = 90413,
  [SMALL_STATE(4769)] = 90483,
  [SMALL_STATE(4770)] = 90527,
  [SMALL_STATE(4771)] = 90595,
  [SMALL_STATE(4772)] = 90643,
  [SMALL_STATE(4773)] = 90725,
  [SMALL_STATE(4774)] = 90769,
  [SMALL_STATE(4775)] = 90813,
  [SMALL_STATE(4776)] = 90857,
  [SMALL_STATE(4777)] = 90901,
  [SMALL_STATE(4778)] = 90961,
  [SMALL_STATE(4779)] = 91005,
  [SMALL_STATE(4780)] = 91051,
  [SMALL_STATE(4781)] = 91097,
  [SMALL_STATE(4782)] = 91143,
  [SMALL_STATE(4783)] = 91215,
  [SMALL_STATE(4784)] = 91259,
  [SMALL_STATE(4785)] = 91303,
  [SMALL_STATE(4786)] = 91385,
  [SMALL_STATE(4787)] = 91429,
  [SMALL_STATE(4788)] = 91473,
  [SMALL_STATE(4789)] = 91517,
  [SMALL_STATE(4790)] = 91597,
  [SMALL_STATE(4791)] = 91679,
  [SMALL_STATE(4792)] = 91735,
  [SMALL_STATE(4793)] = 91812,
  [SMALL_STATE(4794)] = 91855,
  [SMALL_STATE(4795)] = 91912,
  [SMALL_STATE(4796)] = 91955,
  [SMALL_STATE(4797)] = 91998,
  [SMALL_STATE(4798)] = 92075,
  [SMALL_STATE(4799)] = 92152,
  [SMALL_STATE(4800)] = 92195,
  [SMALL_STATE(4801)] = 92272,
  [SMALL_STATE(4802)] = 92349,
  [SMALL_STATE(4803)] = 92392,
  [SMALL_STATE(4804)] = 92469,
  [SMALL_STATE(4805)] = 92512,
  [SMALL_STATE(4806)] = 92589,
  [SMALL_STATE(4807)] = 92632,
  [SMALL_STATE(4808)] = 92709,
  [SMALL_STATE(4809)] = 92786,
  [SMALL_STATE(4810)] = 92865,
  [SMALL_STATE(4811)] = 92908,
  [SMALL_STATE(4812)] = 92985,
  [SMALL_STATE(4813)] = 93028,
  [SMALL_STATE(4814)] = 93071,
  [SMALL_STATE(4815)] = 93114,
  [SMALL_STATE(4816)] = 93191,
  [SMALL_STATE(4817)] = 93236,
  [SMALL_STATE(4818)] = 93289,
  [SMALL_STATE(4819)] = 93336,
  [SMALL_STATE(4820)] = 93413,
  [SMALL_STATE(4821)] = 93490,
  [SMALL_STATE(4822)] = 93567,
  [SMALL_STATE(4823)] = 93634,
  [SMALL_STATE(4824)] = 93681,
  [SMALL_STATE(4825)] = 93728,
  [SMALL_STATE(4826)] = 93805,
  [SMALL_STATE(4827)] = 93864,
  [SMALL_STATE(4828)] = 93921,
  [SMALL_STATE(4829)] = 93984,
  [SMALL_STATE(4830)] = 94053,
  [SMALL_STATE(4831)] = 94120,
  [SMALL_STATE(4832)] = 94191,
  [SMALL_STATE(4833)] = 94254,
  [SMALL_STATE(4834)] = 94309,
  [SMALL_STATE(4835)] = 94382,
  [SMALL_STATE(4836)] = 94429,
  [SMALL_STATE(4837)] = 94476,
  [SMALL_STATE(4838)] = 94519,
  [SMALL_STATE(4839)] = 94562,
  [SMALL_STATE(4840)] = 94605,
  [SMALL_STATE(4841)] = 94648,
  [SMALL_STATE(4842)] = 94691,
  [SMALL_STATE(4843)] = 94734,
  [SMALL_STATE(4844)] = 94777,
  [SMALL_STATE(4845)] = 94856,
  [SMALL_STATE(4846)] = 94899,
  [SMALL_STATE(4847)] = 94946,
  [SMALL_STATE(4848)] = 95003,
  [SMALL_STATE(4849)] = 95060,
  [SMALL_STATE(4850)] = 95103,
  [SMALL_STATE(4851)] = 95146,
  [SMALL_STATE(4852)] = 95189,
  [SMALL_STATE(4853)] = 95266,
  [SMALL_STATE(4854)] = 95309,
  [SMALL_STATE(4855)] = 95352,
  [SMALL_STATE(4856)] = 95395,
  [SMALL_STATE(4857)] = 95438,
  [SMALL_STATE(4858)] = 95481,
  [SMALL_STATE(4859)] = 95524,
  [SMALL_STATE(4860)] = 95567,
  [SMALL_STATE(4861)] = 95610,
  [SMALL_STATE(4862)] = 95659,
  [SMALL_STATE(4863)] = 95702,
  [SMALL_STATE(4864)] = 95745,
  [SMALL_STATE(4865)] = 95788,
  [SMALL_STATE(4866)] = 95865,
  [SMALL_STATE(4867)] = 95908,
  [SMALL_STATE(4868)] = 95951,
  [SMALL_STATE(4869)] = 95994,
  [SMALL_STATE(4870)] = 96037,
  [SMALL_STATE(4871)] = 96080,
  [SMALL_STATE(4872)] = 96123,
  [SMALL_STATE(4873)] = 96166,
  [SMALL_STATE(4874)] = 96209,
  [SMALL_STATE(4875)] = 96252,
  [SMALL_STATE(4876)] = 96295,
  [SMALL_STATE(4877)] = 96338,
  [SMALL_STATE(4878)] = 96385,
  [SMALL_STATE(4879)] = 96428,
  [SMALL_STATE(4880)] = 96507,
  [SMALL_STATE(4881)] = 96584,
  [SMALL_STATE(4882)] = 96661,
  [SMALL_STATE(4883)] = 96738,
  [SMALL_STATE(4884)] = 96815,
  [SMALL_STATE(4885)] = 96858,
  [SMALL_STATE(4886)] = 96935,
  [SMALL_STATE(4887)] = 97008,
  [SMALL_STATE(4888)] = 97084,
  [SMALL_STATE(4889)] = 97126,
  [SMALL_STATE(4890)] = 97168,
  [SMALL_STATE(4891)] = 97210,
  [SMALL_STATE(4892)] = 97286,
  [SMALL_STATE(4893)] = 97328,
  [SMALL_STATE(4894)] = 97370,
  [SMALL_STATE(4895)] = 97412,
  [SMALL_STATE(4896)] = 97458,
  [SMALL_STATE(4897)] = 97534,
  [SMALL_STATE(4898)] = 97610,
  [SMALL_STATE(4899)] = 97652,
  [SMALL_STATE(4900)] = 97728,
  [SMALL_STATE(4901)] = 97804,
  [SMALL_STATE(4902)] = 97850,
  [SMALL_STATE(4903)] = 97926,
  [SMALL_STATE(4904)] = 98002,
  [SMALL_STATE(4905)] = 98078,
  [SMALL_STATE(4906)] = 98154,
  [SMALL_STATE(4907)] = 98230,
  [SMALL_STATE(4908)] = 98306,
  [SMALL_STATE(4909)] = 98382,
  [SMALL_STATE(4910)] = 98458,
  [SMALL_STATE(4911)] = 98504,
  [SMALL_STATE(4912)] = 98580,
  [SMALL_STATE(4913)] = 98656,
  [SMALL_STATE(4914)] = 98732,
  [SMALL_STATE(4915)] = 98808,
  [SMALL_STATE(4916)] = 98884,
  [SMALL_STATE(4917)] = 98930,
  [SMALL_STATE(4918)] = 98978,
  [SMALL_STATE(4919)] = 99026,
  [SMALL_STATE(4920)] = 99102,
  [SMALL_STATE(4921)] = 99178,
  [SMALL_STATE(4922)] = 99254,
  [SMALL_STATE(4923)] = 99330,
  [SMALL_STATE(4924)] = 99406,
  [SMALL_STATE(4925)] = 99482,
  [SMALL_STATE(4926)] = 99558,
  [SMALL_STATE(4927)] = 99634,
  [SMALL_STATE(4928)] = 99707,
  [SMALL_STATE(4929)] = 99754,
  [SMALL_STATE(4930)] = 99795,
  [SMALL_STATE(4931)] = 99836,
  [SMALL_STATE(4932)] = 99877,
  [SMALL_STATE(4933)] = 99918,
  [SMALL_STATE(4934)] = 99959,
  [SMALL_STATE(4935)] = 100000,
  [SMALL_STATE(4936)] = 100041,
  [SMALL_STATE(4937)] = 100082,
  [SMALL_STATE(4938)] = 100127,
  [SMALL_STATE(4939)] = 100172,
  [SMALL_STATE(4940)] = 100213,
  [SMALL_STATE(4941)] = 100254,
  [SMALL_STATE(4942)] = 100295,
  [SMALL_STATE(4943)] = 100336,
  [SMALL_STATE(4944)] = 100381,
  [SMALL_STATE(4945)] = 100422,
  [SMALL_STATE(4946)] = 100495,
  [SMALL_STATE(4947)] = 100536,
  [SMALL_STATE(4948)] = 100577,
  [SMALL_STATE(4949)] = 100618,
  [SMALL_STATE(4950)] = 100665,
  [SMALL_STATE(4951)] = 100712,
  [SMALL_STATE(4952)] = 100757,
  [SMALL_STATE(4953)] = 100802,
  [SMALL_STATE(4954)] = 100845,
  [SMALL_STATE(4955)] = 100886,
  [SMALL_STATE(4956)] = 100927,
  [SMALL_STATE(4957)] = 100974,
  [SMALL_STATE(4958)] = 101019,
  [SMALL_STATE(4959)] = 101066,
  [SMALL_STATE(4960)] = 101141,
  [SMALL_STATE(4961)] = 101184,
  [SMALL_STATE(4962)] = 101229,
  [SMALL_STATE(4963)] = 101274,
  [SMALL_STATE(4964)] = 101315,
  [SMALL_STATE(4965)] = 101359,
  [SMALL_STATE(4966)] = 101401,
  [SMALL_STATE(4967)] = 101443,
  [SMALL_STATE(4968)] = 101485,
  [SMALL_STATE(4969)] = 101527,
  [SMALL_STATE(4970)] = 101567,
  [SMALL_STATE(4971)] = 101611,
  [SMALL_STATE(4972)] = 101653,
  [SMALL_STATE(4973)] = 101695,
  [SMALL_STATE(4974)] = 101735,
  [SMALL_STATE(4975)] = 101775,
  [SMALL_STATE(4976)] = 101815,
  [SMALL_STATE(4977)] = 101857,
  [SMALL_STATE(4978)] = 101897,
  [SMALL_STATE(4979)] = 101937,
  [SMALL_STATE(4980)] = 101977,
  [SMALL_STATE(4981)] = 102017,
  [SMALL_STATE(4982)] = 102057,
  [SMALL_STATE(4983)] = 102099,
  [SMALL_STATE(4984)] = 102141,
  [SMALL_STATE(4985)] = 102181,
  [SMALL_STATE(4986)] = 102221,
  [SMALL_STATE(4987)] = 102261,
  [SMALL_STATE(4988)] = 102305,
  [SMALL_STATE(4989)] = 102347,
  [SMALL_STATE(4990)] = 102389,
  [SMALL_STATE(4991)] = 102431,
  [SMALL_STATE(4992)] = 102473,
  [SMALL_STATE(4993)] = 102517,
  [SMALL_STATE(4994)] = 102557,
  [SMALL_STATE(4995)] = 102597,
  [SMALL_STATE(4996)] = 102639,
  [SMALL_STATE(4997)] = 102679,
  [SMALL_STATE(4998)] = 102721,
  [SMALL_STATE(4999)] = 102761,
  [SMALL_STATE(5000)] = 102803,
  [SMALL_STATE(5001)] = 102851,
  [SMALL_STATE(5002)] = 102891,
  [SMALL_STATE(5003)] = 102933,
  [SMALL_STATE(5004)] = 102975,
  [SMALL_STATE(5005)] = 103015,
  [SMALL_STATE(5006)] = 103055,
  [SMALL_STATE(5007)] = 103097,
  [SMALL_STATE(5008)] = 103139,
  [SMALL_STATE(5009)] = 103181,
  [SMALL_STATE(5010)] = 103223,
  [SMALL_STATE(5011)] = 103263,
  [SMALL_STATE(5012)] = 103305,
  [SMALL_STATE(5013)] = 103349,
  [SMALL_STATE(5014)] = 103393,
  [SMALL_STATE(5015)] = 103435,
  [SMALL_STATE(5016)] = 103477,
  [SMALL_STATE(5017)] = 103517,
  [SMALL_STATE(5018)] = 103559,
  [SMALL_STATE(5019)] = 103603,
  [SMALL_STATE(5020)] = 103643,
  [SMALL_STATE(5021)] = 103685,
  [SMALL_STATE(5022)] = 103725,
  [SMALL_STATE(5023)] = 103769,
  [SMALL_STATE(5024)] = 103811,
  [SMALL_STATE(5025)] = 103854,
  [SMALL_STATE(5026)] = 103893,
  [SMALL_STATE(5027)] = 103932,
  [SMALL_STATE(5028)] = 103971,
  [SMALL_STATE(5029)] = 104010,
  [SMALL_STATE(5030)] = 104049,
  [SMALL_STATE(5031)] = 104090,
  [SMALL_STATE(5032)] = 104129,
  [SMALL_STATE(5033)] = 104170,
  [SMALL_STATE(5034)] = 104211,
  [SMALL_STATE(5035)] = 104250,
  [SMALL_STATE(5036)] = 104291,
  [SMALL_STATE(5037)] = 104334,
  [SMALL_STATE(5038)] = 104373,
  [SMALL_STATE(5039)] = 104412,
  [SMALL_STATE(5040)] = 104451,
  [SMALL_STATE(5041)] = 104492,
  [SMALL_STATE(5042)] = 104531,
  [SMALL_STATE(5043)] = 104572,
  [SMALL_STATE(5044)] = 104611,
  [SMALL_STATE(5045)] = 104652,
  [SMALL_STATE(5046)] = 104691,
  [SMALL_STATE(5047)] = 104730,
  [SMALL_STATE(5048)] = 104769,
  [SMALL_STATE(5049)] = 104814,
  [SMALL_STATE(5050)] = 104855,
  [SMALL_STATE(5051)] = 104896,
  [SMALL_STATE(5052)] = 104935,
  [SMALL_STATE(5053)] = 104974,
  [SMALL_STATE(5054)] = 105015,
  [SMALL_STATE(5055)] = 105054,
  [SMALL_STATE(5056)] = 105093,
  [SMALL_STATE(5057)] = 105132,
  [SMALL_STATE(5058)] = 105173,
  [SMALL_STATE(5059)] = 105214,
  [SMALL_STATE(5060)] = 105253,
  [SMALL_STATE(5061)] = 105294,
  [SMALL_STATE(5062)] = 105335,
  [SMALL_STATE(5063)] = 105376,
  [SMALL_STATE(5064)] = 105417,
  [SMALL_STATE(5065)] = 105458,
  [SMALL_STATE(5066)] = 105499,
  [SMALL_STATE(5067)] = 105540,
  [SMALL_STATE(5068)] = 105581,
  [SMALL_STATE(5069)] = 105620,
  [SMALL_STATE(5070)] = 105661,
  [SMALL_STATE(5071)] = 105702,
  [SMALL_STATE(5072)] = 105743,
  [SMALL_STATE(5073)] = 105788,
  [SMALL_STATE(5074)] = 105829,
  [SMALL_STATE(5075)] = 105870,
  [SMALL_STATE(5076)] = 105911,
  [SMALL_STATE(5077)] = 105952,
  [SMALL_STATE(5078)] = 105993,
  [SMALL_STATE(5079)] = 106034,
  [SMALL_STATE(5080)] = 106075,
  [SMALL_STATE(5081)] = 106116,
  [SMALL_STATE(5082)] = 106157,
  [SMALL_STATE(5083)] = 106196,
  [SMALL_STATE(5084)] = 106237,
  [SMALL_STATE(5085)] = 106278,
  [SMALL_STATE(5086)] = 106319,
  [SMALL_STATE(5087)] = 106360,
  [SMALL_STATE(5088)] = 106401,
  [SMALL_STATE(5089)] = 106448,
  [SMALL_STATE(5090)] = 106489,
  [SMALL_STATE(5091)] = 106528,
  [SMALL_STATE(5092)] = 106567,
  [SMALL_STATE(5093)] = 106608,
  [SMALL_STATE(5094)] = 106647,
  [SMALL_STATE(5095)] = 106686,
  [SMALL_STATE(5096)] = 106725,
  [SMALL_STATE(5097)] = 106766,
  [SMALL_STATE(5098)] = 106805,
  [SMALL_STATE(5099)] = 106844,
  [SMALL_STATE(5100)] = 106911,
  [SMALL_STATE(5101)] = 106952,
  [SMALL_STATE(5102)] = 106991,
  [SMALL_STATE(5103)] = 107030,
  [SMALL_STATE(5104)] = 107069,
  [SMALL_STATE(5105)] = 107114,
  [SMALL_STATE(5106)] = 107153,
  [SMALL_STATE(5107)] = 107192,
  [SMALL_STATE(5108)] = 107233,
  [SMALL_STATE(5109)] = 107272,
  [SMALL_STATE(5110)] = 107311,
  [SMALL_STATE(5111)] = 107350,
  [SMALL_STATE(5112)] = 107391,
  [SMALL_STATE(5113)] = 107430,
  [SMALL_STATE(5114)] = 107469,
  [SMALL_STATE(5115)] = 107508,
  [SMALL_STATE(5116)] = 107547,
  [SMALL_STATE(5117)] = 107586,
  [SMALL_STATE(5118)] = 107625,
  [SMALL_STATE(5119)] = 107668,
  [SMALL_STATE(5120)] = 107709,
  [SMALL_STATE(5121)] = 107752,
  [SMALL_STATE(5122)] = 107791,
  [SMALL_STATE(5123)] = 107830,
  [SMALL_STATE(5124)] = 107871,
  [SMALL_STATE(5125)] = 107912,
  [SMALL_STATE(5126)] = 107953,
  [SMALL_STATE(5127)] = 107992,
  [SMALL_STATE(5128)] = 108031,
  [SMALL_STATE(5129)] = 108070,
  [SMALL_STATE(5130)] = 108111,
  [SMALL_STATE(5131)] = 108152,
  [SMALL_STATE(5132)] = 108193,
  [SMALL_STATE(5133)] = 108232,
  [SMALL_STATE(5134)] = 108271,
  [SMALL_STATE(5135)] = 108312,
  [SMALL_STATE(5136)] = 108353,
  [SMALL_STATE(5137)] = 108394,
  [SMALL_STATE(5138)] = 108435,
  [SMALL_STATE(5139)] = 108476,
  [SMALL_STATE(5140)] = 108517,
  [SMALL_STATE(5141)] = 108556,
  [SMALL_STATE(5142)] = 108597,
  [SMALL_STATE(5143)] = 108664,
  [SMALL_STATE(5144)] = 108705,
  [SMALL_STATE(5145)] = 108746,
  [SMALL_STATE(5146)] = 108787,
  [SMALL_STATE(5147)] = 108828,
  [SMALL_STATE(5148)] = 108869,
  [SMALL_STATE(5149)] = 108910,
  [SMALL_STATE(5150)] = 108949,
  [SMALL_STATE(5151)] = 108990,
  [SMALL_STATE(5152)] = 109031,
  [SMALL_STATE(5153)] = 109072,
  [SMALL_STATE(5154)] = 109117,
  [SMALL_STATE(5155)] = 109158,
  [SMALL_STATE(5156)] = 109199,
  [SMALL_STATE(5157)] = 109240,
  [SMALL_STATE(5158)] = 109281,
  [SMALL_STATE(5159)] = 109320,
  [SMALL_STATE(5160)] = 109361,
  [SMALL_STATE(5161)] = 109406,
  [SMALL_STATE(5162)] = 109447,
  [SMALL_STATE(5163)] = 109486,
  [SMALL_STATE(5164)] = 109525,
  [SMALL_STATE(5165)] = 109566,
  [SMALL_STATE(5166)] = 109605,
  [SMALL_STATE(5167)] = 109646,
  [SMALL_STATE(5168)] = 109685,
  [SMALL_STATE(5169)] = 109728,
  [SMALL_STATE(5170)] = 109769,
  [SMALL_STATE(5171)] = 109810,
  [SMALL_STATE(5172)] = 109851,
  [SMALL_STATE(5173)] = 109890,
  [SMALL_STATE(5174)] = 109929,
  [SMALL_STATE(5175)] = 109968,
  [SMALL_STATE(5176)] = 110009,
  [SMALL_STATE(5177)] = 110048,
  [SMALL_STATE(5178)] = 110087,
  [SMALL_STATE(5179)] = 110126,
  [SMALL_STATE(5180)] = 110165,
  [SMALL_STATE(5181)] = 110204,
  [SMALL_STATE(5182)] = 110243,
  [SMALL_STATE(5183)] = 110282,
  [SMALL_STATE(5184)] = 110321,
  [SMALL_STATE(5185)] = 110360,
  [SMALL_STATE(5186)] = 110401,
  [SMALL_STATE(5187)] = 110439,
  [SMALL_STATE(5188)] = 110477,
  [SMALL_STATE(5189)] = 110515,
  [SMALL_STATE(5190)] = 110555,
  [SMALL_STATE(5191)] = 110593,
  [SMALL_STATE(5192)] = 110633,
  [SMALL_STATE(5193)] = 110673,
  [SMALL_STATE(5194)] = 110711,
  [SMALL_STATE(5195)] = 110749,
  [SMALL_STATE(5196)] = 110787,
  [SMALL_STATE(5197)] = 110827,
  [SMALL_STATE(5198)] = 110865,
  [SMALL_STATE(5199)] = 110903,
  [SMALL_STATE(5200)] = 110943,
  [SMALL_STATE(5201)] = 110981,
  [SMALL_STATE(5202)] = 111033,
  [SMALL_STATE(5203)] = 111071,
  [SMALL_STATE(5204)] = 111109,
  [SMALL_STATE(5205)] = 111149,
  [SMALL_STATE(5206)] = 111187,
  [SMALL_STATE(5207)] = 111225,
  [SMALL_STATE(5208)] = 111263,
  [SMALL_STATE(5209)] = 111301,
  [SMALL_STATE(5210)] = 111339,
  [SMALL_STATE(5211)] = 111377,
  [SMALL_STATE(5212)] = 111415,
  [SMALL_STATE(5213)] = 111453,
  [SMALL_STATE(5214)] = 111491,
  [SMALL_STATE(5215)] = 111529,
  [SMALL_STATE(5216)] = 111567,
  [SMALL_STATE(5217)] = 111605,
  [SMALL_STATE(5218)] = 111643,
  [SMALL_STATE(5219)] = 111681,
  [SMALL_STATE(5220)] = 111719,
  [SMALL_STATE(5221)] = 111757,
  [SMALL_STATE(5222)] = 111795,
  [SMALL_STATE(5223)] = 111833,
  [SMALL_STATE(5224)] = 111871,
  [SMALL_STATE(5225)] = 111909,
  [SMALL_STATE(5226)] = 111947,
  [SMALL_STATE(5227)] = 111985,
  [SMALL_STATE(5228)] = 112023,
  [SMALL_STATE(5229)] = 112061,
  [SMALL_STATE(5230)] = 112099,
  [SMALL_STATE(5231)] = 112137,
  [SMALL_STATE(5232)] = 112175,
  [SMALL_STATE(5233)] = 112213,
  [SMALL_STATE(5234)] = 112253,
  [SMALL_STATE(5235)] = 112293,
  [SMALL_STATE(5236)] = 112357,
  [SMALL_STATE(5237)] = 112395,
  [SMALL_STATE(5238)] = 112459,
  [SMALL_STATE(5239)] = 112523,
  [SMALL_STATE(5240)] = 112567,
  [SMALL_STATE(5241)] = 112631,
  [SMALL_STATE(5242)] = 112669,
  [SMALL_STATE(5243)] = 112733,
  [SMALL_STATE(5244)] = 112771,
  [SMALL_STATE(5245)] = 112809,
  [SMALL_STATE(5246)] = 112847,
  [SMALL_STATE(5247)] = 112885,
  [SMALL_STATE(5248)] = 112923,
  [SMALL_STATE(5249)] = 112961,
  [SMALL_STATE(5250)] = 112999,
  [SMALL_STATE(5251)] = 113037,
  [SMALL_STATE(5252)] = 113075,
  [SMALL_STATE(5253)] = 113113,
  [SMALL_STATE(5254)] = 113151,
  [SMALL_STATE(5255)] = 113189,
  [SMALL_STATE(5256)] = 113227,
  [SMALL_STATE(5257)] = 113265,
  [SMALL_STATE(5258)] = 113329,
  [SMALL_STATE(5259)] = 113393,
  [SMALL_STATE(5260)] = 113433,
  [SMALL_STATE(5261)] = 113479,
  [SMALL_STATE(5262)] = 113517,
  [SMALL_STATE(5263)] = 113555,
  [SMALL_STATE(5264)] = 113593,
  [SMALL_STATE(5265)] = 113631,
  [SMALL_STATE(5266)] = 113669,
  [SMALL_STATE(5267)] = 113707,
  [SMALL_STATE(5268)] = 113745,
  [SMALL_STATE(5269)] = 113783,
  [SMALL_STATE(5270)] = 113821,
  [SMALL_STATE(5271)] = 113859,
  [SMALL_STATE(5272)] = 113897,
  [SMALL_STATE(5273)] = 113935,
  [SMALL_STATE(5274)] = 113973,
  [SMALL_STATE(5275)] = 114011,
  [SMALL_STATE(5276)] = 114049,
  [SMALL_STATE(5277)] = 114087,
  [SMALL_STATE(5278)] = 114125,
  [SMALL_STATE(5279)] = 114163,
  [SMALL_STATE(5280)] = 114201,
  [SMALL_STATE(5281)] = 114239,
  [SMALL_STATE(5282)] = 114277,
  [SMALL_STATE(5283)] = 114315,
  [SMALL_STATE(5284)] = 114353,
  [SMALL_STATE(5285)] = 114391,
  [SMALL_STATE(5286)] = 114429,
  [SMALL_STATE(5287)] = 114467,
  [SMALL_STATE(5288)] = 114505,
  [SMALL_STATE(5289)] = 114543,
  [SMALL_STATE(5290)] = 114581,
  [SMALL_STATE(5291)] = 114619,
  [SMALL_STATE(5292)] = 114657,
  [SMALL_STATE(5293)] = 114695,
  [SMALL_STATE(5294)] = 114733,
  [SMALL_STATE(5295)] = 114771,
  [SMALL_STATE(5296)] = 114809,
  [SMALL_STATE(5297)] = 114847,
  [SMALL_STATE(5298)] = 114885,
  [SMALL_STATE(5299)] = 114923,
  [SMALL_STATE(5300)] = 114961,
  [SMALL_STATE(5301)] = 114999,
  [SMALL_STATE(5302)] = 115037,
  [SMALL_STATE(5303)] = 115075,
  [SMALL_STATE(5304)] = 115113,
  [SMALL_STATE(5305)] = 115151,
  [SMALL_STATE(5306)] = 115189,
  [SMALL_STATE(5307)] = 115227,
  [SMALL_STATE(5308)] = 115265,
  [SMALL_STATE(5309)] = 115303,
  [SMALL_STATE(5310)] = 115341,
  [SMALL_STATE(5311)] = 115379,
  [SMALL_STATE(5312)] = 115417,
  [SMALL_STATE(5313)] = 115455,
  [SMALL_STATE(5314)] = 115493,
  [SMALL_STATE(5315)] = 115531,
  [SMALL_STATE(5316)] = 115569,
  [SMALL_STATE(5317)] = 115607,
  [SMALL_STATE(5318)] = 115645,
  [SMALL_STATE(5319)] = 115683,
  [SMALL_STATE(5320)] = 115721,
  [SMALL_STATE(5321)] = 115759,
  [SMALL_STATE(5322)] = 115797,
  [SMALL_STATE(5323)] = 115835,
  [SMALL_STATE(5324)] = 115873,
  [SMALL_STATE(5325)] = 115911,
  [SMALL_STATE(5326)] = 115949,
  [SMALL_STATE(5327)] = 115987,
  [SMALL_STATE(5328)] = 116025,
  [SMALL_STATE(5329)] = 116063,
  [SMALL_STATE(5330)] = 116101,
  [SMALL_STATE(5331)] = 116139,
  [SMALL_STATE(5332)] = 116177,
  [SMALL_STATE(5333)] = 116241,
  [SMALL_STATE(5334)] = 116279,
  [SMALL_STATE(5335)] = 116317,
  [SMALL_STATE(5336)] = 116381,
  [SMALL_STATE(5337)] = 116445,
  [SMALL_STATE(5338)] = 116483,
  [SMALL_STATE(5339)] = 116521,
  [SMALL_STATE(5340)] = 116559,
  [SMALL_STATE(5341)] = 116597,
  [SMALL_STATE(5342)] = 116635,
  [SMALL_STATE(5343)] = 116673,
  [SMALL_STATE(5344)] = 116711,
  [SMALL_STATE(5345)] = 116749,
  [SMALL_STATE(5346)] = 116787,
  [SMALL_STATE(5347)] = 116825,
  [SMALL_STATE(5348)] = 116863,
  [SMALL_STATE(5349)] = 116901,
  [SMALL_STATE(5350)] = 116939,
  [SMALL_STATE(5351)] = 116977,
  [SMALL_STATE(5352)] = 117015,
  [SMALL_STATE(5353)] = 117053,
  [SMALL_STATE(5354)] = 117091,
  [SMALL_STATE(5355)] = 117129,
  [SMALL_STATE(5356)] = 117167,
  [SMALL_STATE(5357)] = 117205,
  [SMALL_STATE(5358)] = 117243,
  [SMALL_STATE(5359)] = 117281,
  [SMALL_STATE(5360)] = 117319,
  [SMALL_STATE(5361)] = 117357,
  [SMALL_STATE(5362)] = 117395,
  [SMALL_STATE(5363)] = 117433,
  [SMALL_STATE(5364)] = 117471,
  [SMALL_STATE(5365)] = 117509,
  [SMALL_STATE(5366)] = 117547,
  [SMALL_STATE(5367)] = 117585,
  [SMALL_STATE(5368)] = 117623,
  [SMALL_STATE(5369)] = 117661,
  [SMALL_STATE(5370)] = 117699,
  [SMALL_STATE(5371)] = 117737,
  [SMALL_STATE(5372)] = 117777,
  [SMALL_STATE(5373)] = 117815,
  [SMALL_STATE(5374)] = 117853,
  [SMALL_STATE(5375)] = 117891,
  [SMALL_STATE(5376)] = 117929,
  [SMALL_STATE(5377)] = 117969,
  [SMALL_STATE(5378)] = 118007,
  [SMALL_STATE(5379)] = 118045,
  [SMALL_STATE(5380)] = 118083,
  [SMALL_STATE(5381)] = 118121,
  [SMALL_STATE(5382)] = 118159,
  [SMALL_STATE(5383)] = 118199,
  [SMALL_STATE(5384)] = 118237,
  [SMALL_STATE(5385)] = 118275,
  [SMALL_STATE(5386)] = 118313,
  [SMALL_STATE(5387)] = 118351,
  [SMALL_STATE(5388)] = 118389,
  [SMALL_STATE(5389)] = 118427,
  [SMALL_STATE(5390)] = 118465,
  [SMALL_STATE(5391)] = 118503,
  [SMALL_STATE(5392)] = 118541,
  [SMALL_STATE(5393)] = 118579,
  [SMALL_STATE(5394)] = 118617,
  [SMALL_STATE(5395)] = 118655,
  [SMALL_STATE(5396)] = 118693,
  [SMALL_STATE(5397)] = 118731,
  [SMALL_STATE(5398)] = 118769,
  [SMALL_STATE(5399)] = 118807,
  [SMALL_STATE(5400)] = 118845,
  [SMALL_STATE(5401)] = 118883,
  [SMALL_STATE(5402)] = 118921,
  [SMALL_STATE(5403)] = 118959,
  [SMALL_STATE(5404)] = 118997,
  [SMALL_STATE(5405)] = 119035,
  [SMALL_STATE(5406)] = 119073,
  [SMALL_STATE(5407)] = 119111,
  [SMALL_STATE(5408)] = 119149,
  [SMALL_STATE(5409)] = 119187,
  [SMALL_STATE(5410)] = 119225,
  [SMALL_STATE(5411)] = 119263,
  [SMALL_STATE(5412)] = 119301,
  [SMALL_STATE(5413)] = 119339,
  [SMALL_STATE(5414)] = 119377,
  [SMALL_STATE(5415)] = 119415,
  [SMALL_STATE(5416)] = 119455,
  [SMALL_STATE(5417)] = 119493,
  [SMALL_STATE(5418)] = 119531,
  [SMALL_STATE(5419)] = 119569,
  [SMALL_STATE(5420)] = 119633,
  [SMALL_STATE(5421)] = 119697,
  [SMALL_STATE(5422)] = 119735,
  [SMALL_STATE(5423)] = 119773,
  [SMALL_STATE(5424)] = 119837,
  [SMALL_STATE(5425)] = 119875,
  [SMALL_STATE(5426)] = 119913,
  [SMALL_STATE(5427)] = 119951,
  [SMALL_STATE(5428)] = 119989,
  [SMALL_STATE(5429)] = 120027,
  [SMALL_STATE(5430)] = 120065,
  [SMALL_STATE(5431)] = 120103,
  [SMALL_STATE(5432)] = 120141,
  [SMALL_STATE(5433)] = 120179,
  [SMALL_STATE(5434)] = 120217,
  [SMALL_STATE(5435)] = 120255,
  [SMALL_STATE(5436)] = 120293,
  [SMALL_STATE(5437)] = 120331,
  [SMALL_STATE(5438)] = 120369,
  [SMALL_STATE(5439)] = 120407,
  [SMALL_STATE(5440)] = 120445,
  [SMALL_STATE(5441)] = 120483,
  [SMALL_STATE(5442)] = 120521,
  [SMALL_STATE(5443)] = 120559,
  [SMALL_STATE(5444)] = 120597,
  [SMALL_STATE(5445)] = 120635,
  [SMALL_STATE(5446)] = 120673,
  [SMALL_STATE(5447)] = 120711,
  [SMALL_STATE(5448)] = 120749,
  [SMALL_STATE(5449)] = 120787,
  [SMALL_STATE(5450)] = 120825,
  [SMALL_STATE(5451)] = 120863,
  [SMALL_STATE(5452)] = 120901,
  [SMALL_STATE(5453)] = 120939,
  [SMALL_STATE(5454)] = 120977,
  [SMALL_STATE(5455)] = 121015,
  [SMALL_STATE(5456)] = 121053,
  [SMALL_STATE(5457)] = 121091,
  [SMALL_STATE(5458)] = 121129,
  [SMALL_STATE(5459)] = 121167,
  [SMALL_STATE(5460)] = 121205,
  [SMALL_STATE(5461)] = 121243,
  [SMALL_STATE(5462)] = 121307,
  [SMALL_STATE(5463)] = 121345,
  [SMALL_STATE(5464)] = 121383,
  [SMALL_STATE(5465)] = 121421,
  [SMALL_STATE(5466)] = 121459,
  [SMALL_STATE(5467)] = 121497,
  [SMALL_STATE(5468)] = 121535,
  [SMALL_STATE(5469)] = 121573,
  [SMALL_STATE(5470)] = 121611,
  [SMALL_STATE(5471)] = 121649,
  [SMALL_STATE(5472)] = 121687,
  [SMALL_STATE(5473)] = 121725,
  [SMALL_STATE(5474)] = 121763,
  [SMALL_STATE(5475)] = 121801,
  [SMALL_STATE(5476)] = 121839,
  [SMALL_STATE(5477)] = 121877,
  [SMALL_STATE(5478)] = 121915,
  [SMALL_STATE(5479)] = 121959,
  [SMALL_STATE(5480)] = 121997,
  [SMALL_STATE(5481)] = 122035,
  [SMALL_STATE(5482)] = 122073,
  [SMALL_STATE(5483)] = 122111,
  [SMALL_STATE(5484)] = 122149,
  [SMALL_STATE(5485)] = 122187,
  [SMALL_STATE(5486)] = 122225,
  [SMALL_STATE(5487)] = 122263,
  [SMALL_STATE(5488)] = 122301,
  [SMALL_STATE(5489)] = 122339,
  [SMALL_STATE(5490)] = 122377,
  [SMALL_STATE(5491)] = 122415,
  [SMALL_STATE(5492)] = 122453,
  [SMALL_STATE(5493)] = 122491,
  [SMALL_STATE(5494)] = 122529,
  [SMALL_STATE(5495)] = 122567,
  [SMALL_STATE(5496)] = 122605,
  [SMALL_STATE(5497)] = 122643,
  [SMALL_STATE(5498)] = 122681,
  [SMALL_STATE(5499)] = 122721,
  [SMALL_STATE(5500)] = 122759,
  [SMALL_STATE(5501)] = 122797,
  [SMALL_STATE(5502)] = 122835,
  [SMALL_STATE(5503)] = 122873,
  [SMALL_STATE(5504)] = 122911,
  [SMALL_STATE(5505)] = 122949,
  [SMALL_STATE(5506)] = 122987,
  [SMALL_STATE(5507)] = 123027,
  [SMALL_STATE(5508)] = 123065,
  [SMALL_STATE(5509)] = 123103,
  [SMALL_STATE(5510)] = 123141,
  [SMALL_STATE(5511)] = 123181,
  [SMALL_STATE(5512)] = 123221,
  [SMALL_STATE(5513)] = 123259,
  [SMALL_STATE(5514)] = 123297,
  [SMALL_STATE(5515)] = 123335,
  [SMALL_STATE(5516)] = 123374,
  [SMALL_STATE(5517)] = 123413,
  [SMALL_STATE(5518)] = 123452,
  [SMALL_STATE(5519)] = 123491,
  [SMALL_STATE(5520)] = 123532,
  [SMALL_STATE(5521)] = 123573,
  [SMALL_STATE(5522)] = 123612,
  [SMALL_STATE(5523)] = 123651,
  [SMALL_STATE(5524)] = 123690,
  [SMALL_STATE(5525)] = 123729,
  [SMALL_STATE(5526)] = 123768,
  [SMALL_STATE(5527)] = 123807,
  [SMALL_STATE(5528)] = 123846,
  [SMALL_STATE(5529)] = 123885,
  [SMALL_STATE(5530)] = 123924,
  [SMALL_STATE(5531)] = 123963,
  [SMALL_STATE(5532)] = 124002,
  [SMALL_STATE(5533)] = 124043,
  [SMALL_STATE(5534)] = 124086,
  [SMALL_STATE(5535)] = 124125,
  [SMALL_STATE(5536)] = 124164,
  [SMALL_STATE(5537)] = 124203,
  [SMALL_STATE(5538)] = 124242,
  [SMALL_STATE(5539)] = 124278,
  [SMALL_STATE(5540)] = 124314,
  [SMALL_STATE(5541)] = 124350,
  [SMALL_STATE(5542)] = 124386,
  [SMALL_STATE(5543)] = 124422,
  [SMALL_STATE(5544)] = 124458,
  [SMALL_STATE(5545)] = 124494,
  [SMALL_STATE(5546)] = 124530,
  [SMALL_STATE(5547)] = 124566,
  [SMALL_STATE(5548)] = 124602,
  [SMALL_STATE(5549)] = 124638,
  [SMALL_STATE(5550)] = 124674,
  [SMALL_STATE(5551)] = 124710,
  [SMALL_STATE(5552)] = 124746,
  [SMALL_STATE(5553)] = 124782,
  [SMALL_STATE(5554)] = 124818,
  [SMALL_STATE(5555)] = 124854,
  [SMALL_STATE(5556)] = 124890,
  [SMALL_STATE(5557)] = 124926,
  [SMALL_STATE(5558)] = 124962,
  [SMALL_STATE(5559)] = 124998,
  [SMALL_STATE(5560)] = 125034,
  [SMALL_STATE(5561)] = 125070,
  [SMALL_STATE(5562)] = 125106,
  [SMALL_STATE(5563)] = 125142,
  [SMALL_STATE(5564)] = 125178,
  [SMALL_STATE(5565)] = 125214,
  [SMALL_STATE(5566)] = 125250,
  [SMALL_STATE(5567)] = 125286,
  [SMALL_STATE(5568)] = 125322,
  [SMALL_STATE(5569)] = 125358,
  [SMALL_STATE(5570)] = 125394,
  [SMALL_STATE(5571)] = 125430,
  [SMALL_STATE(5572)] = 125466,
  [SMALL_STATE(5573)] = 125502,
  [SMALL_STATE(5574)] = 125538,
  [SMALL_STATE(5575)] = 125574,
  [SMALL_STATE(5576)] = 125610,
  [SMALL_STATE(5577)] = 125646,
  [SMALL_STATE(5578)] = 125682,
  [SMALL_STATE(5579)] = 125718,
  [SMALL_STATE(5580)] = 125754,
  [SMALL_STATE(5581)] = 125790,
  [SMALL_STATE(5582)] = 125845,
  [SMALL_STATE(5583)] = 125902,
  [SMALL_STATE(5584)] = 125957,
  [SMALL_STATE(5585)] = 126010,
  [SMALL_STATE(5586)] = 126074,
  [SMALL_STATE(5587)] = 126138,
  [SMALL_STATE(5588)] = 126202,
  [SMALL_STATE(5589)] = 126240,
  [SMALL_STATE(5590)] = 126304,
  [SMALL_STATE(5591)] = 126339,
  [SMALL_STATE(5592)] = 126376,
  [SMALL_STATE(5593)] = 126417,
  [SMALL_STATE(5594)] = 126449,
  [SMALL_STATE(5595)] = 126481,
  [SMALL_STATE(5596)] = 126513,
  [SMALL_STATE(5597)] = 126553,
  [SMALL_STATE(5598)] = 126585,
  [SMALL_STATE(5599)] = 126637,
  [SMALL_STATE(5600)] = 126693,
  [SMALL_STATE(5601)] = 126742,
  [SMALL_STATE(5602)] = 126777,
  [SMALL_STATE(5603)] = 126808,
  [SMALL_STATE(5604)] = 126857,
  [SMALL_STATE(5605)] = 126888,
  [SMALL_STATE(5606)] = 126937,
  [SMALL_STATE(5607)] = 126968,
  [SMALL_STATE(5608)] = 126999,
  [SMALL_STATE(5609)] = 127030,
  [SMALL_STATE(5610)] = 127062,
  [SMALL_STATE(5611)] = 127096,
  [SMALL_STATE(5612)] = 127130,
  [SMALL_STATE(5613)] = 127164,
  [SMALL_STATE(5614)] = 127198,
  [SMALL_STATE(5615)] = 127232,
  [SMALL_STATE(5616)] = 127266,
  [SMALL_STATE(5617)] = 127300,
  [SMALL_STATE(5618)] = 127334,
  [SMALL_STATE(5619)] = 127366,
  [SMALL_STATE(5620)] = 127400,
  [SMALL_STATE(5621)] = 127434,
  [SMALL_STATE(5622)] = 127466,
  [SMALL_STATE(5623)] = 127515,
  [SMALL_STATE(5624)] = 127544,
  [SMALL_STATE(5625)] = 127573,
  [SMALL_STATE(5626)] = 127602,
  [SMALL_STATE(5627)] = 127631,
  [SMALL_STATE(5628)] = 127660,
  [SMALL_STATE(5629)] = 127689,
  [SMALL_STATE(5630)] = 127744,
  [SMALL_STATE(5631)] = 127773,
  [SMALL_STATE(5632)] = 127822,
  [SMALL_STATE(5633)] = 127851,
  [SMALL_STATE(5634)] = 127880,
  [SMALL_STATE(5635)] = 127909,
  [SMALL_STATE(5636)] = 127958,
  [SMALL_STATE(5637)] = 127987,
  [SMALL_STATE(5638)] = 128016,
  [SMALL_STATE(5639)] = 128065,
  [SMALL_STATE(5640)] = 128098,
  [SMALL_STATE(5641)] = 128147,
  [SMALL_STATE(5642)] = 128176,
  [SMALL_STATE(5643)] = 128205,
  [SMALL_STATE(5644)] = 128234,
  [SMALL_STATE(5645)] = 128263,
  [SMALL_STATE(5646)] = 128292,
  [SMALL_STATE(5647)] = 128321,
  [SMALL_STATE(5648)] = 128350,
  [SMALL_STATE(5649)] = 128399,
  [SMALL_STATE(5650)] = 128432,
  [SMALL_STATE(5651)] = 128461,
  [SMALL_STATE(5652)] = 128510,
  [SMALL_STATE(5653)] = 128565,
  [SMALL_STATE(5654)] = 128610,
  [SMALL_STATE(5655)] = 128665,
  [SMALL_STATE(5656)] = 128694,
  [SMALL_STATE(5657)] = 128723,
  [SMALL_STATE(5658)] = 128752,
  [SMALL_STATE(5659)] = 128781,
  [SMALL_STATE(5660)] = 128810,
  [SMALL_STATE(5661)] = 128855,
  [SMALL_STATE(5662)] = 128904,
  [SMALL_STATE(5663)] = 128933,
  [SMALL_STATE(5664)] = 128978,
  [SMALL_STATE(5665)] = 129007,
  [SMALL_STATE(5666)] = 129036,
  [SMALL_STATE(5667)] = 129065,
  [SMALL_STATE(5668)] = 129094,
  [SMALL_STATE(5669)] = 129123,
  [SMALL_STATE(5670)] = 129152,
  [SMALL_STATE(5671)] = 129181,
  [SMALL_STATE(5672)] = 129210,
  [SMALL_STATE(5673)] = 129239,
  [SMALL_STATE(5674)] = 129288,
  [SMALL_STATE(5675)] = 129317,
  [SMALL_STATE(5676)] = 129346,
  [SMALL_STATE(5677)] = 129375,
  [SMALL_STATE(5678)] = 129424,
  [SMALL_STATE(5679)] = 129453,
  [SMALL_STATE(5680)] = 129508,
  [SMALL_STATE(5681)] = 129537,
  [SMALL_STATE(5682)] = 129586,
  [SMALL_STATE(5683)] = 129634,
  [SMALL_STATE(5684)] = 129682,
  [SMALL_STATE(5685)] = 129730,
  [SMALL_STATE(5686)] = 129778,
  [SMALL_STATE(5687)] = 129812,
  [SMALL_STATE(5688)] = 129844,
  [SMALL_STATE(5689)] = 129892,
  [SMALL_STATE(5690)] = 129942,
  [SMALL_STATE(5691)] = 129970,
  [SMALL_STATE(5692)] = 129998,
  [SMALL_STATE(5693)] = 130042,
  [SMALL_STATE(5694)] = 130070,
  [SMALL_STATE(5695)] = 130118,
  [SMALL_STATE(5696)] = 130166,
  [SMALL_STATE(5697)] = 130194,
  [SMALL_STATE(5698)] = 130242,
  [SMALL_STATE(5699)] = 130270,
  [SMALL_STATE(5700)] = 130298,
  [SMALL_STATE(5701)] = 130346,
  [SMALL_STATE(5702)] = 130374,
  [SMALL_STATE(5703)] = 130404,
  [SMALL_STATE(5704)] = 130432,
  [SMALL_STATE(5705)] = 130460,
  [SMALL_STATE(5706)] = 130508,
  [SMALL_STATE(5707)] = 130536,
  [SMALL_STATE(5708)] = 130584,
  [SMALL_STATE(5709)] = 130632,
  [SMALL_STATE(5710)] = 130680,
  [SMALL_STATE(5711)] = 130728,
  [SMALL_STATE(5712)] = 130776,
  [SMALL_STATE(5713)] = 130824,
  [SMALL_STATE(5714)] = 130872,
  [SMALL_STATE(5715)] = 130900,
  [SMALL_STATE(5716)] = 130948,
  [SMALL_STATE(5717)] = 130996,
  [SMALL_STATE(5718)] = 131024,
  [SMALL_STATE(5719)] = 131072,
  [SMALL_STATE(5720)] = 131120,
  [SMALL_STATE(5721)] = 131168,
  [SMALL_STATE(5722)] = 131216,
  [SMALL_STATE(5723)] = 131244,
  [SMALL_STATE(5724)] = 131292,
  [SMALL_STATE(5725)] = 131340,
  [SMALL_STATE(5726)] = 131368,
  [SMALL_STATE(5727)] = 131416,
  [SMALL_STATE(5728)] = 131464,
  [SMALL_STATE(5729)] = 131492,
  [SMALL_STATE(5730)] = 131520,
  [SMALL_STATE(5731)] = 131548,
  [SMALL_STATE(5732)] = 131576,
  [SMALL_STATE(5733)] = 131624,
  [SMALL_STATE(5734)] = 131672,
  [SMALL_STATE(5735)] = 131700,
  [SMALL_STATE(5736)] = 131748,
  [SMALL_STATE(5737)] = 131796,
  [SMALL_STATE(5738)] = 131844,
  [SMALL_STATE(5739)] = 131892,
  [SMALL_STATE(5740)] = 131920,
  [SMALL_STATE(5741)] = 131968,
  [SMALL_STATE(5742)] = 132016,
  [SMALL_STATE(5743)] = 132062,
  [SMALL_STATE(5744)] = 132110,
  [SMALL_STATE(5745)] = 132138,
  [SMALL_STATE(5746)] = 132166,
  [SMALL_STATE(5747)] = 132194,
  [SMALL_STATE(5748)] = 132242,
  [SMALL_STATE(5749)] = 132290,
  [SMALL_STATE(5750)] = 132334,
  [SMALL_STATE(5751)] = 132362,
  [SMALL_STATE(5752)] = 132404,
  [SMALL_STATE(5753)] = 132432,
  [SMALL_STATE(5754)] = 132480,
  [SMALL_STATE(5755)] = 132518,
  [SMALL_STATE(5756)] = 132566,
  [SMALL_STATE(5757)] = 132614,
  [SMALL_STATE(5758)] = 132662,
  [SMALL_STATE(5759)] = 132690,
  [SMALL_STATE(5760)] = 132738,
  [SMALL_STATE(5761)] = 132780,
  [SMALL_STATE(5762)] = 132828,
  [SMALL_STATE(5763)] = 132876,
  [SMALL_STATE(5764)] = 132904,
  [SMALL_STATE(5765)] = 132952,
  [SMALL_STATE(5766)] = 132980,
  [SMALL_STATE(5767)] = 133008,
  [SMALL_STATE(5768)] = 133056,
  [SMALL_STATE(5769)] = 133090,
  [SMALL_STATE(5770)] = 133138,
  [SMALL_STATE(5771)] = 133186,
  [SMALL_STATE(5772)] = 133234,
  [SMALL_STATE(5773)] = 133274,
  [SMALL_STATE(5774)] = 133312,
  [SMALL_STATE(5775)] = 133340,
  [SMALL_STATE(5776)] = 133376,
  [SMALL_STATE(5777)] = 133424,
  [SMALL_STATE(5778)] = 133452,
  [SMALL_STATE(5779)] = 133482,
  [SMALL_STATE(5780)] = 133510,
  [SMALL_STATE(5781)] = 133542,
  [SMALL_STATE(5782)] = 133590,
  [SMALL_STATE(5783)] = 133618,
  [SMALL_STATE(5784)] = 133646,
  [SMALL_STATE(5785)] = 133674,
  [SMALL_STATE(5786)] = 133720,
  [SMALL_STATE(5787)] = 133766,
  [SMALL_STATE(5788)] = 133794,
  [SMALL_STATE(5789)] = 133822,
  [SMALL_STATE(5790)] = 133850,
  [SMALL_STATE(5791)] = 133898,
  [SMALL_STATE(5792)] = 133943,
  [SMALL_STATE(5793)] = 133970,
  [SMALL_STATE(5794)] = 134015,
  [SMALL_STATE(5795)] = 134060,
  [SMALL_STATE(5796)] = 134105,
  [SMALL_STATE(5797)] = 134150,
  [SMALL_STATE(5798)] = 134195,
  [SMALL_STATE(5799)] = 134222,
  [SMALL_STATE(5800)] = 134267,
  [SMALL_STATE(5801)] = 134312,
  [SMALL_STATE(5802)] = 134339,
  [SMALL_STATE(5803)] = 134366,
  [SMALL_STATE(5804)] = 134411,
  [SMALL_STATE(5805)] = 134448,
  [SMALL_STATE(5806)] = 134483,
  [SMALL_STATE(5807)] = 134528,
  [SMALL_STATE(5808)] = 134561,
  [SMALL_STATE(5809)] = 134606,
  [SMALL_STATE(5810)] = 134637,
  [SMALL_STATE(5811)] = 134678,
  [SMALL_STATE(5812)] = 134723,
  [SMALL_STATE(5813)] = 134768,
  [SMALL_STATE(5814)] = 134813,
  [SMALL_STATE(5815)] = 134858,
  [SMALL_STATE(5816)] = 134903,
  [SMALL_STATE(5817)] = 134948,
  [SMALL_STATE(5818)] = 134993,
  [SMALL_STATE(5819)] = 135020,
  [SMALL_STATE(5820)] = 135061,
  [SMALL_STATE(5821)] = 135104,
  [SMALL_STATE(5822)] = 135149,
  [SMALL_STATE(5823)] = 135194,
  [SMALL_STATE(5824)] = 135239,
  [SMALL_STATE(5825)] = 135266,
  [SMALL_STATE(5826)] = 135307,
  [SMALL_STATE(5827)] = 135352,
  [SMALL_STATE(5828)] = 135397,
  [SMALL_STATE(5829)] = 135442,
  [SMALL_STATE(5830)] = 135469,
  [SMALL_STATE(5831)] = 135496,
  [SMALL_STATE(5832)] = 135523,
  [SMALL_STATE(5833)] = 135568,
  [SMALL_STATE(5834)] = 135597,
  [SMALL_STATE(5835)] = 135624,
  [SMALL_STATE(5836)] = 135673,
  [SMALL_STATE(5837)] = 135700,
  [SMALL_STATE(5838)] = 135749,
  [SMALL_STATE(5839)] = 135794,
  [SMALL_STATE(5840)] = 135843,
  [SMALL_STATE(5841)] = 135888,
  [SMALL_STATE(5842)] = 135933,
  [SMALL_STATE(5843)] = 135976,
  [SMALL_STATE(5844)] = 136019,
  [SMALL_STATE(5845)] = 136058,
  [SMALL_STATE(5846)] = 136103,
  [SMALL_STATE(5847)] = 136148,
  [SMALL_STATE(5848)] = 136175,
  [SMALL_STATE(5849)] = 136202,
  [SMALL_STATE(5850)] = 136247,
  [SMALL_STATE(5851)] = 136287,
  [SMALL_STATE(5852)] = 136327,
  [SMALL_STATE(5853)] = 136367,
  [SMALL_STATE(5854)] = 136407,
  [SMALL_STATE(5855)] = 136447,
  [SMALL_STATE(5856)] = 136487,
  [SMALL_STATE(5857)] = 136527,
  [SMALL_STATE(5858)] = 136567,
  [SMALL_STATE(5859)] = 136607,
  [SMALL_STATE(5860)] = 136647,
  [SMALL_STATE(5861)] = 136687,
  [SMALL_STATE(5862)] = 136727,
  [SMALL_STATE(5863)] = 136767,
  [SMALL_STATE(5864)] = 136807,
  [SMALL_STATE(5865)] = 136832,
  [SMALL_STATE(5866)] = 136857,
  [SMALL_STATE(5867)] = 136882,
  [SMALL_STATE(5868)] = 136907,
  [SMALL_STATE(5869)] = 136932,
  [SMALL_STATE(5870)] = 136957,
  [SMALL_STATE(5871)] = 136982,
  [SMALL_STATE(5872)] = 137016,
  [SMALL_STATE(5873)] = 137042,
  [SMALL_STATE(5874)] = 137076,
  [SMALL_STATE(5875)] = 137102,
  [SMALL_STATE(5876)] = 137136,
  [SMALL_STATE(5877)] = 137162,
  [SMALL_STATE(5878)] = 137188,
  [SMALL_STATE(5879)] = 137214,
  [SMALL_STATE(5880)] = 137240,
  [SMALL_STATE(5881)] = 137274,
  [SMALL_STATE(5882)] = 137300,
  [SMALL_STATE(5883)] = 137334,
  [SMALL_STATE(5884)] = 137368,
  [SMALL_STATE(5885)] = 137394,
  [SMALL_STATE(5886)] = 137428,
  [SMALL_STATE(5887)] = 137465,
  [SMALL_STATE(5888)] = 137490,
  [SMALL_STATE(5889)] = 137515,
  [SMALL_STATE(5890)] = 137540,
  [SMALL_STATE(5891)] = 137563,
  [SMALL_STATE(5892)] = 137600,
  [SMALL_STATE(5893)] = 137637,
  [SMALL_STATE(5894)] = 137660,
  [SMALL_STATE(5895)] = 137697,
  [SMALL_STATE(5896)] = 137720,
  [SMALL_STATE(5897)] = 137757,
  [SMALL_STATE(5898)] = 137780,
  [SMALL_STATE(5899)] = 137817,
  [SMALL_STATE(5900)] = 137854,
  [SMALL_STATE(5901)] = 137891,
  [SMALL_STATE(5902)] = 137928,
  [SMALL_STATE(5903)] = 137965,
  [SMALL_STATE(5904)] = 138002,
  [SMALL_STATE(5905)] = 138035,
  [SMALL_STATE(5906)] = 138072,
  [SMALL_STATE(5907)] = 138105,
  [SMALL_STATE(5908)] = 138138,
  [SMALL_STATE(5909)] = 138175,
  [SMALL_STATE(5910)] = 138212,
  [SMALL_STATE(5911)] = 138245,
  [SMALL_STATE(5912)] = 138268,
  [SMALL_STATE(5913)] = 138301,
  [SMALL_STATE(5914)] = 138338,
  [SMALL_STATE(5915)] = 138371,
  [SMALL_STATE(5916)] = 138404,
  [SMALL_STATE(5917)] = 138441,
  [SMALL_STATE(5918)] = 138478,
  [SMALL_STATE(5919)] = 138511,
  [SMALL_STATE(5920)] = 138548,
  [SMALL_STATE(5921)] = 138581,
  [SMALL_STATE(5922)] = 138606,
  [SMALL_STATE(5923)] = 138631,
  [SMALL_STATE(5924)] = 138664,
  [SMALL_STATE(5925)] = 138701,
  [SMALL_STATE(5926)] = 138734,
  [SMALL_STATE(5927)] = 138767,
  [SMALL_STATE(5928)] = 138800,
  [SMALL_STATE(5929)] = 138833,
  [SMALL_STATE(5930)] = 138866,
  [SMALL_STATE(5931)] = 138903,
  [SMALL_STATE(5932)] = 138940,
  [SMALL_STATE(5933)] = 138977,
  [SMALL_STATE(5934)] = 139002,
  [SMALL_STATE(5935)] = 139039,
  [SMALL_STATE(5936)] = 139076,
  [SMALL_STATE(5937)] = 139113,
  [SMALL_STATE(5938)] = 139138,
  [SMALL_STATE(5939)] = 139175,
  [SMALL_STATE(5940)] = 139212,
  [SMALL_STATE(5941)] = 139237,
  [SMALL_STATE(5942)] = 139270,
  [SMALL_STATE(5943)] = 139307,
  [SMALL_STATE(5944)] = 139344,
  [SMALL_STATE(5945)] = 139381,
  [SMALL_STATE(5946)] = 139418,
  [SMALL_STATE(5947)] = 139451,
  [SMALL_STATE(5948)] = 139484,
  [SMALL_STATE(5949)] = 139509,
  [SMALL_STATE(5950)] = 139540,
  [SMALL_STATE(5951)] = 139563,
  [SMALL_STATE(5952)] = 139596,
  [SMALL_STATE(5953)] = 139629,
  [SMALL_STATE(5954)] = 139662,
  [SMALL_STATE(5955)] = 139685,
  [SMALL_STATE(5956)] = 139718,
  [SMALL_STATE(5957)] = 139741,
  [SMALL_STATE(5958)] = 139778,
  [SMALL_STATE(5959)] = 139811,
  [SMALL_STATE(5960)] = 139844,
  [SMALL_STATE(5961)] = 139877,
  [SMALL_STATE(5962)] = 139902,
  [SMALL_STATE(5963)] = 139927,
  [SMALL_STATE(5964)] = 139952,
  [SMALL_STATE(5965)] = 139974,
  [SMALL_STATE(5966)] = 139996,
  [SMALL_STATE(5967)] = 140038,
  [SMALL_STATE(5968)] = 140060,
  [SMALL_STATE(5969)] = 140082,
  [SMALL_STATE(5970)] = 140104,
  [SMALL_STATE(5971)] = 140126,
  [SMALL_STATE(5972)] = 140170,
  [SMALL_STATE(5973)] = 140192,
  [SMALL_STATE(5974)] = 140214,
  [SMALL_STATE(5975)] = 140236,
  [SMALL_STATE(5976)] = 140278,
  [SMALL_STATE(5977)] = 140300,
  [SMALL_STATE(5978)] = 140322,
  [SMALL_STATE(5979)] = 140344,
  [SMALL_STATE(5980)] = 140366,
  [SMALL_STATE(5981)] = 140388,
  [SMALL_STATE(5982)] = 140410,
  [SMALL_STATE(5983)] = 140432,
  [SMALL_STATE(5984)] = 140454,
  [SMALL_STATE(5985)] = 140476,
  [SMALL_STATE(5986)] = 140498,
  [SMALL_STATE(5987)] = 140520,
  [SMALL_STATE(5988)] = 140542,
  [SMALL_STATE(5989)] = 140575,
  [SMALL_STATE(5990)] = 140614,
  [SMALL_STATE(5991)] = 140647,
  [SMALL_STATE(5992)] = 140684,
  [SMALL_STATE(5993)] = 140705,
  [SMALL_STATE(5994)] = 140744,
  [SMALL_STATE(5995)] = 140779,
  [SMALL_STATE(5996)] = 140808,
  [SMALL_STATE(5997)] = 140841,
  [SMALL_STATE(5998)] = 140869,
  [SMALL_STATE(5999)] = 140897,
  [SMALL_STATE(6000)] = 140919,
  [SMALL_STATE(6001)] = 140947,
  [SMALL_STATE(6002)] = 140969,
  [SMALL_STATE(6003)] = 140997,
  [SMALL_STATE(6004)] = 141025,
  [SMALL_STATE(6005)] = 141053,
  [SMALL_STATE(6006)] = 141081,
  [SMALL_STATE(6007)] = 141109,
  [SMALL_STATE(6008)] = 141137,
  [SMALL_STATE(6009)] = 141165,
  [SMALL_STATE(6010)] = 141193,
  [SMALL_STATE(6011)] = 141221,
  [SMALL_STATE(6012)] = 141249,
  [SMALL_STATE(6013)] = 141271,
  [SMALL_STATE(6014)] = 141305,
  [SMALL_STATE(6015)] = 141327,
  [SMALL_STATE(6016)] = 141355,
  [SMALL_STATE(6017)] = 141377,
  [SMALL_STATE(6018)] = 141399,
  [SMALL_STATE(6019)] = 141427,
  [SMALL_STATE(6020)] = 141449,
  [SMALL_STATE(6021)] = 141477,
  [SMALL_STATE(6022)] = 141505,
  [SMALL_STATE(6023)] = 141527,
  [SMALL_STATE(6024)] = 141549,
  [SMALL_STATE(6025)] = 141571,
  [SMALL_STATE(6026)] = 141599,
  [SMALL_STATE(6027)] = 141627,
  [SMALL_STATE(6028)] = 141655,
  [SMALL_STATE(6029)] = 141677,
  [SMALL_STATE(6030)] = 141705,
  [SMALL_STATE(6031)] = 141733,
  [SMALL_STATE(6032)] = 141761,
  [SMALL_STATE(6033)] = 141789,
  [SMALL_STATE(6034)] = 141817,
  [SMALL_STATE(6035)] = 141845,
  [SMALL_STATE(6036)] = 141867,
  [SMALL_STATE(6037)] = 141895,
  [SMALL_STATE(6038)] = 141923,
  [SMALL_STATE(6039)] = 141951,
  [SMALL_STATE(6040)] = 141973,
  [SMALL_STATE(6041)] = 141995,
  [SMALL_STATE(6042)] = 142017,
  [SMALL_STATE(6043)] = 142045,
  [SMALL_STATE(6044)] = 142071,
  [SMALL_STATE(6045)] = 142099,
  [SMALL_STATE(6046)] = 142121,
  [SMALL_STATE(6047)] = 142149,
  [SMALL_STATE(6048)] = 142177,
  [SMALL_STATE(6049)] = 142205,
  [SMALL_STATE(6050)] = 142233,
  [SMALL_STATE(6051)] = 142261,
  [SMALL_STATE(6052)] = 142289,
  [SMALL_STATE(6053)] = 142317,
  [SMALL_STATE(6054)] = 142345,
  [SMALL_STATE(6055)] = 142364,
  [SMALL_STATE(6056)] = 142397,
  [SMALL_STATE(6057)] = 142416,
  [SMALL_STATE(6058)] = 142445,
  [SMALL_STATE(6059)] = 142478,
  [SMALL_STATE(6060)] = 142497,
  [SMALL_STATE(6061)] = 142526,
  [SMALL_STATE(6062)] = 142545,
  [SMALL_STATE(6063)] = 142564,
  [SMALL_STATE(6064)] = 142583,
  [SMALL_STATE(6065)] = 142612,
  [SMALL_STATE(6066)] = 142631,
  [SMALL_STATE(6067)] = 142650,
  [SMALL_STATE(6068)] = 142669,
  [SMALL_STATE(6069)] = 142688,
  [SMALL_STATE(6070)] = 142707,
  [SMALL_STATE(6071)] = 142726,
  [SMALL_STATE(6072)] = 142745,
  [SMALL_STATE(6073)] = 142772,
  [SMALL_STATE(6074)] = 142797,
  [SMALL_STATE(6075)] = 142830,
  [SMALL_STATE(6076)] = 142855,
  [SMALL_STATE(6077)] = 142884,
  [SMALL_STATE(6078)] = 142903,
  [SMALL_STATE(6079)] = 142936,
  [SMALL_STATE(6080)] = 142963,
  [SMALL_STATE(6081)] = 142992,
  [SMALL_STATE(6082)] = 143011,
  [SMALL_STATE(6083)] = 143036,
  [SMALL_STATE(6084)] = 143055,
  [SMALL_STATE(6085)] = 143082,
  [SMALL_STATE(6086)] = 143102,
  [SMALL_STATE(6087)] = 143122,
  [SMALL_STATE(6088)] = 143142,
  [SMALL_STATE(6089)] = 143162,
  [SMALL_STATE(6090)] = 143188,
  [SMALL_STATE(6091)] = 143214,
  [SMALL_STATE(6092)] = 143234,
  [SMALL_STATE(6093)] = 143254,
  [SMALL_STATE(6094)] = 143274,
  [SMALL_STATE(6095)] = 143300,
  [SMALL_STATE(6096)] = 143320,
  [SMALL_STATE(6097)] = 143340,
  [SMALL_STATE(6098)] = 143366,
  [SMALL_STATE(6099)] = 143386,
  [SMALL_STATE(6100)] = 143409,
  [SMALL_STATE(6101)] = 143432,
  [SMALL_STATE(6102)] = 143461,
  [SMALL_STATE(6103)] = 143484,
  [SMALL_STATE(6104)] = 143507,
  [SMALL_STATE(6105)] = 143530,
  [SMALL_STATE(6106)] = 143553,
  [SMALL_STATE(6107)] = 143576,
  [SMALL_STATE(6108)] = 143599,
  [SMALL_STATE(6109)] = 143622,
  [SMALL_STATE(6110)] = 143645,
  [SMALL_STATE(6111)] = 143668,
  [SMALL_STATE(6112)] = 143691,
  [SMALL_STATE(6113)] = 143714,
  [SMALL_STATE(6114)] = 143737,
  [SMALL_STATE(6115)] = 143760,
  [SMALL_STATE(6116)] = 143783,
  [SMALL_STATE(6117)] = 143806,
  [SMALL_STATE(6118)] = 143829,
  [SMALL_STATE(6119)] = 143852,
  [SMALL_STATE(6120)] = 143881,
  [SMALL_STATE(6121)] = 143904,
  [SMALL_STATE(6122)] = 143927,
  [SMALL_STATE(6123)] = 143950,
  [SMALL_STATE(6124)] = 143973,
  [SMALL_STATE(6125)] = 143996,
  [SMALL_STATE(6126)] = 144019,
  [SMALL_STATE(6127)] = 144042,
  [SMALL_STATE(6128)] = 144065,
  [SMALL_STATE(6129)] = 144088,
  [SMALL_STATE(6130)] = 144111,
  [SMALL_STATE(6131)] = 144134,
  [SMALL_STATE(6132)] = 144157,
  [SMALL_STATE(6133)] = 144180,
  [SMALL_STATE(6134)] = 144203,
  [SMALL_STATE(6135)] = 144226,
  [SMALL_STATE(6136)] = 144249,
  [SMALL_STATE(6137)] = 144272,
  [SMALL_STATE(6138)] = 144295,
  [SMALL_STATE(6139)] = 144318,
  [SMALL_STATE(6140)] = 144339,
  [SMALL_STATE(6141)] = 144362,
  [SMALL_STATE(6142)] = 144385,
  [SMALL_STATE(6143)] = 144408,
  [SMALL_STATE(6144)] = 144431,
  [SMALL_STATE(6145)] = 144454,
  [SMALL_STATE(6146)] = 144477,
  [SMALL_STATE(6147)] = 144500,
  [SMALL_STATE(6148)] = 144523,
  [SMALL_STATE(6149)] = 144546,
  [SMALL_STATE(6150)] = 144569,
  [SMALL_STATE(6151)] = 144592,
  [SMALL_STATE(6152)] = 144615,
  [SMALL_STATE(6153)] = 144638,
  [SMALL_STATE(6154)] = 144661,
  [SMALL_STATE(6155)] = 144684,
  [SMALL_STATE(6156)] = 144707,
  [SMALL_STATE(6157)] = 144730,
  [SMALL_STATE(6158)] = 144753,
  [SMALL_STATE(6159)] = 144776,
  [SMALL_STATE(6160)] = 144799,
  [SMALL_STATE(6161)] = 144822,
  [SMALL_STATE(6162)] = 144851,
  [SMALL_STATE(6163)] = 144874,
  [SMALL_STATE(6164)] = 144897,
  [SMALL_STATE(6165)] = 144920,
  [SMALL_STATE(6166)] = 144943,
  [SMALL_STATE(6167)] = 144966,
  [SMALL_STATE(6168)] = 144989,
  [SMALL_STATE(6169)] = 145012,
  [SMALL_STATE(6170)] = 145035,
  [SMALL_STATE(6171)] = 145058,
  [SMALL_STATE(6172)] = 145081,
  [SMALL_STATE(6173)] = 145104,
  [SMALL_STATE(6174)] = 145127,
  [SMALL_STATE(6175)] = 145150,
  [SMALL_STATE(6176)] = 145173,
  [SMALL_STATE(6177)] = 145196,
  [SMALL_STATE(6178)] = 145219,
  [SMALL_STATE(6179)] = 145242,
  [SMALL_STATE(6180)] = 145265,
  [SMALL_STATE(6181)] = 145288,
  [SMALL_STATE(6182)] = 145311,
  [SMALL_STATE(6183)] = 145334,
  [SMALL_STATE(6184)] = 145357,
  [SMALL_STATE(6185)] = 145380,
  [SMALL_STATE(6186)] = 145403,
  [SMALL_STATE(6187)] = 145426,
  [SMALL_STATE(6188)] = 145449,
  [SMALL_STATE(6189)] = 145472,
  [SMALL_STATE(6190)] = 145495,
  [SMALL_STATE(6191)] = 145518,
  [SMALL_STATE(6192)] = 145541,
  [SMALL_STATE(6193)] = 145564,
  [SMALL_STATE(6194)] = 145587,
  [SMALL_STATE(6195)] = 145610,
  [SMALL_STATE(6196)] = 145633,
  [SMALL_STATE(6197)] = 145656,
  [SMALL_STATE(6198)] = 145679,
  [SMALL_STATE(6199)] = 145702,
  [SMALL_STATE(6200)] = 145725,
  [SMALL_STATE(6201)] = 145748,
  [SMALL_STATE(6202)] = 145771,
  [SMALL_STATE(6203)] = 145794,
  [SMALL_STATE(6204)] = 145817,
  [SMALL_STATE(6205)] = 145840,
  [SMALL_STATE(6206)] = 145863,
  [SMALL_STATE(6207)] = 145886,
  [SMALL_STATE(6208)] = 145909,
  [SMALL_STATE(6209)] = 145932,
  [SMALL_STATE(6210)] = 145947,
  [SMALL_STATE(6211)] = 145962,
  [SMALL_STATE(6212)] = 145985,
  [SMALL_STATE(6213)] = 146008,
  [SMALL_STATE(6214)] = 146031,
  [SMALL_STATE(6215)] = 146054,
  [SMALL_STATE(6216)] = 146077,
  [SMALL_STATE(6217)] = 146100,
  [SMALL_STATE(6218)] = 146123,
  [SMALL_STATE(6219)] = 146146,
  [SMALL_STATE(6220)] = 146169,
  [SMALL_STATE(6221)] = 146192,
  [SMALL_STATE(6222)] = 146215,
  [SMALL_STATE(6223)] = 146238,
  [SMALL_STATE(6224)] = 146261,
  [SMALL_STATE(6225)] = 146284,
  [SMALL_STATE(6226)] = 146307,
  [SMALL_STATE(6227)] = 146330,
  [SMALL_STATE(6228)] = 146353,
  [SMALL_STATE(6229)] = 146376,
  [SMALL_STATE(6230)] = 146399,
  [SMALL_STATE(6231)] = 146422,
  [SMALL_STATE(6232)] = 146445,
  [SMALL_STATE(6233)] = 146468,
  [SMALL_STATE(6234)] = 146491,
  [SMALL_STATE(6235)] = 146514,
  [SMALL_STATE(6236)] = 146537,
  [SMALL_STATE(6237)] = 146560,
  [SMALL_STATE(6238)] = 146583,
  [SMALL_STATE(6239)] = 146606,
  [SMALL_STATE(6240)] = 146629,
  [SMALL_STATE(6241)] = 146652,
  [SMALL_STATE(6242)] = 146675,
  [SMALL_STATE(6243)] = 146698,
  [SMALL_STATE(6244)] = 146721,
  [SMALL_STATE(6245)] = 146744,
  [SMALL_STATE(6246)] = 146767,
  [SMALL_STATE(6247)] = 146790,
  [SMALL_STATE(6248)] = 146813,
  [SMALL_STATE(6249)] = 146836,
  [SMALL_STATE(6250)] = 146859,
  [SMALL_STATE(6251)] = 146882,
  [SMALL_STATE(6252)] = 146905,
  [SMALL_STATE(6253)] = 146928,
  [SMALL_STATE(6254)] = 146951,
  [SMALL_STATE(6255)] = 146974,
  [SMALL_STATE(6256)] = 146997,
  [SMALL_STATE(6257)] = 147020,
  [SMALL_STATE(6258)] = 147043,
  [SMALL_STATE(6259)] = 147066,
  [SMALL_STATE(6260)] = 147089,
  [SMALL_STATE(6261)] = 147112,
  [SMALL_STATE(6262)] = 147135,
  [SMALL_STATE(6263)] = 147150,
  [SMALL_STATE(6264)] = 147173,
  [SMALL_STATE(6265)] = 147196,
  [SMALL_STATE(6266)] = 147219,
  [SMALL_STATE(6267)] = 147242,
  [SMALL_STATE(6268)] = 147265,
  [SMALL_STATE(6269)] = 147288,
  [SMALL_STATE(6270)] = 147311,
  [SMALL_STATE(6271)] = 147334,
  [SMALL_STATE(6272)] = 147357,
  [SMALL_STATE(6273)] = 147380,
  [SMALL_STATE(6274)] = 147403,
  [SMALL_STATE(6275)] = 147426,
  [SMALL_STATE(6276)] = 147449,
  [SMALL_STATE(6277)] = 147464,
  [SMALL_STATE(6278)] = 147487,
  [SMALL_STATE(6279)] = 147510,
  [SMALL_STATE(6280)] = 147533,
  [SMALL_STATE(6281)] = 147556,
  [SMALL_STATE(6282)] = 147579,
  [SMALL_STATE(6283)] = 147602,
  [SMALL_STATE(6284)] = 147625,
  [SMALL_STATE(6285)] = 147648,
  [SMALL_STATE(6286)] = 147671,
  [SMALL_STATE(6287)] = 147694,
  [SMALL_STATE(6288)] = 147717,
  [SMALL_STATE(6289)] = 147740,
  [SMALL_STATE(6290)] = 147763,
  [SMALL_STATE(6291)] = 147786,
  [SMALL_STATE(6292)] = 147801,
  [SMALL_STATE(6293)] = 147824,
  [SMALL_STATE(6294)] = 147847,
  [SMALL_STATE(6295)] = 147870,
  [SMALL_STATE(6296)] = 147893,
  [SMALL_STATE(6297)] = 147916,
  [SMALL_STATE(6298)] = 147939,
  [SMALL_STATE(6299)] = 147962,
  [SMALL_STATE(6300)] = 147985,
  [SMALL_STATE(6301)] = 148008,
  [SMALL_STATE(6302)] = 148031,
  [SMALL_STATE(6303)] = 148054,
  [SMALL_STATE(6304)] = 148077,
  [SMALL_STATE(6305)] = 148100,
  [SMALL_STATE(6306)] = 148123,
  [SMALL_STATE(6307)] = 148146,
  [SMALL_STATE(6308)] = 148169,
  [SMALL_STATE(6309)] = 148192,
  [SMALL_STATE(6310)] = 148215,
  [SMALL_STATE(6311)] = 148238,
  [SMALL_STATE(6312)] = 148261,
  [SMALL_STATE(6313)] = 148284,
  [SMALL_STATE(6314)] = 148307,
  [SMALL_STATE(6315)] = 148330,
  [SMALL_STATE(6316)] = 148353,
  [SMALL_STATE(6317)] = 148376,
  [SMALL_STATE(6318)] = 148399,
  [SMALL_STATE(6319)] = 148422,
  [SMALL_STATE(6320)] = 148445,
  [SMALL_STATE(6321)] = 148465,
  [SMALL_STATE(6322)] = 148485,
  [SMALL_STATE(6323)] = 148505,
  [SMALL_STATE(6324)] = 148529,
  [SMALL_STATE(6325)] = 148555,
  [SMALL_STATE(6326)] = 148571,
  [SMALL_STATE(6327)] = 148593,
  [SMALL_STATE(6328)] = 148619,
  [SMALL_STATE(6329)] = 148639,
  [SMALL_STATE(6330)] = 148655,
  [SMALL_STATE(6331)] = 148681,
  [SMALL_STATE(6332)] = 148697,
  [SMALL_STATE(6333)] = 148723,
  [SMALL_STATE(6334)] = 148747,
  [SMALL_STATE(6335)] = 148763,
  [SMALL_STATE(6336)] = 148789,
  [SMALL_STATE(6337)] = 148805,
  [SMALL_STATE(6338)] = 148821,
  [SMALL_STATE(6339)] = 148847,
  [SMALL_STATE(6340)] = 148863,
  [SMALL_STATE(6341)] = 148885,
  [SMALL_STATE(6342)] = 148905,
  [SMALL_STATE(6343)] = 148931,
  [SMALL_STATE(6344)] = 148953,
  [SMALL_STATE(6345)] = 148969,
  [SMALL_STATE(6346)] = 148989,
  [SMALL_STATE(6347)] = 149013,
  [SMALL_STATE(6348)] = 149029,
  [SMALL_STATE(6349)] = 149045,
  [SMALL_STATE(6350)] = 149065,
  [SMALL_STATE(6351)] = 149085,
  [SMALL_STATE(6352)] = 149105,
  [SMALL_STATE(6353)] = 149121,
  [SMALL_STATE(6354)] = 149141,
  [SMALL_STATE(6355)] = 149157,
  [SMALL_STATE(6356)] = 149173,
  [SMALL_STATE(6357)] = 149194,
  [SMALL_STATE(6358)] = 149215,
  [SMALL_STATE(6359)] = 149236,
  [SMALL_STATE(6360)] = 149257,
  [SMALL_STATE(6361)] = 149278,
  [SMALL_STATE(6362)] = 149299,
  [SMALL_STATE(6363)] = 149320,
  [SMALL_STATE(6364)] = 149341,
  [SMALL_STATE(6365)] = 149362,
  [SMALL_STATE(6366)] = 149383,
  [SMALL_STATE(6367)] = 149404,
  [SMALL_STATE(6368)] = 149425,
  [SMALL_STATE(6369)] = 149446,
  [SMALL_STATE(6370)] = 149461,
  [SMALL_STATE(6371)] = 149476,
  [SMALL_STATE(6372)] = 149497,
  [SMALL_STATE(6373)] = 149512,
  [SMALL_STATE(6374)] = 149533,
  [SMALL_STATE(6375)] = 149554,
  [SMALL_STATE(6376)] = 149575,
  [SMALL_STATE(6377)] = 149596,
  [SMALL_STATE(6378)] = 149617,
  [SMALL_STATE(6379)] = 149638,
  [SMALL_STATE(6380)] = 149659,
  [SMALL_STATE(6381)] = 149674,
  [SMALL_STATE(6382)] = 149695,
  [SMALL_STATE(6383)] = 149716,
  [SMALL_STATE(6384)] = 149737,
  [SMALL_STATE(6385)] = 149758,
  [SMALL_STATE(6386)] = 149779,
  [SMALL_STATE(6387)] = 149800,
  [SMALL_STATE(6388)] = 149821,
  [SMALL_STATE(6389)] = 149842,
  [SMALL_STATE(6390)] = 149863,
  [SMALL_STATE(6391)] = 149876,
  [SMALL_STATE(6392)] = 149897,
  [SMALL_STATE(6393)] = 149918,
  [SMALL_STATE(6394)] = 149933,
  [SMALL_STATE(6395)] = 149954,
  [SMALL_STATE(6396)] = 149975,
  [SMALL_STATE(6397)] = 149996,
  [SMALL_STATE(6398)] = 150011,
  [SMALL_STATE(6399)] = 150032,
  [SMALL_STATE(6400)] = 150053,
  [SMALL_STATE(6401)] = 150074,
  [SMALL_STATE(6402)] = 150095,
  [SMALL_STATE(6403)] = 150113,
  [SMALL_STATE(6404)] = 150131,
  [SMALL_STATE(6405)] = 150149,
  [SMALL_STATE(6406)] = 150167,
  [SMALL_STATE(6407)] = 150185,
  [SMALL_STATE(6408)] = 150203,
  [SMALL_STATE(6409)] = 150223,
  [SMALL_STATE(6410)] = 150241,
  [SMALL_STATE(6411)] = 150261,
  [SMALL_STATE(6412)] = 150281,
  [SMALL_STATE(6413)] = 150299,
  [SMALL_STATE(6414)] = 150317,
  [SMALL_STATE(6415)] = 150335,
  [SMALL_STATE(6416)] = 150353,
  [SMALL_STATE(6417)] = 150371,
  [SMALL_STATE(6418)] = 150387,
  [SMALL_STATE(6419)] = 150405,
  [SMALL_STATE(6420)] = 150423,
  [SMALL_STATE(6421)] = 150443,
  [SMALL_STATE(6422)] = 150463,
  [SMALL_STATE(6423)] = 150483,
  [SMALL_STATE(6424)] = 150501,
  [SMALL_STATE(6425)] = 150519,
  [SMALL_STATE(6426)] = 150537,
  [SMALL_STATE(6427)] = 150555,
  [SMALL_STATE(6428)] = 150573,
  [SMALL_STATE(6429)] = 150591,
  [SMALL_STATE(6430)] = 150609,
  [SMALL_STATE(6431)] = 150627,
  [SMALL_STATE(6432)] = 150645,
  [SMALL_STATE(6433)] = 150663,
  [SMALL_STATE(6434)] = 150681,
  [SMALL_STATE(6435)] = 150699,
  [SMALL_STATE(6436)] = 150711,
  [SMALL_STATE(6437)] = 150729,
  [SMALL_STATE(6438)] = 150747,
  [SMALL_STATE(6439)] = 150765,
  [SMALL_STATE(6440)] = 150783,
  [SMALL_STATE(6441)] = 150801,
  [SMALL_STATE(6442)] = 150819,
  [SMALL_STATE(6443)] = 150837,
  [SMALL_STATE(6444)] = 150855,
  [SMALL_STATE(6445)] = 150873,
  [SMALL_STATE(6446)] = 150891,
  [SMALL_STATE(6447)] = 150909,
  [SMALL_STATE(6448)] = 150927,
  [SMALL_STATE(6449)] = 150945,
  [SMALL_STATE(6450)] = 150963,
  [SMALL_STATE(6451)] = 150981,
  [SMALL_STATE(6452)] = 150999,
  [SMALL_STATE(6453)] = 151017,
  [SMALL_STATE(6454)] = 151035,
  [SMALL_STATE(6455)] = 151047,
  [SMALL_STATE(6456)] = 151065,
  [SMALL_STATE(6457)] = 151083,
  [SMALL_STATE(6458)] = 151101,
  [SMALL_STATE(6459)] = 151119,
  [SMALL_STATE(6460)] = 151139,
  [SMALL_STATE(6461)] = 151157,
  [SMALL_STATE(6462)] = 151175,
  [SMALL_STATE(6463)] = 151193,
  [SMALL_STATE(6464)] = 151211,
  [SMALL_STATE(6465)] = 151229,
  [SMALL_STATE(6466)] = 151247,
  [SMALL_STATE(6467)] = 151265,
  [SMALL_STATE(6468)] = 151283,
  [SMALL_STATE(6469)] = 151301,
  [SMALL_STATE(6470)] = 151319,
  [SMALL_STATE(6471)] = 151337,
  [SMALL_STATE(6472)] = 151353,
  [SMALL_STATE(6473)] = 151371,
  [SMALL_STATE(6474)] = 151389,
  [SMALL_STATE(6475)] = 151407,
  [SMALL_STATE(6476)] = 151425,
  [SMALL_STATE(6477)] = 151443,
  [SMALL_STATE(6478)] = 151461,
  [SMALL_STATE(6479)] = 151479,
  [SMALL_STATE(6480)] = 151497,
  [SMALL_STATE(6481)] = 151515,
  [SMALL_STATE(6482)] = 151535,
  [SMALL_STATE(6483)] = 151553,
  [SMALL_STATE(6484)] = 151571,
  [SMALL_STATE(6485)] = 151589,
  [SMALL_STATE(6486)] = 151607,
  [SMALL_STATE(6487)] = 151627,
  [SMALL_STATE(6488)] = 151647,
  [SMALL_STATE(6489)] = 151665,
  [SMALL_STATE(6490)] = 151683,
  [SMALL_STATE(6491)] = 151701,
  [SMALL_STATE(6492)] = 151721,
  [SMALL_STATE(6493)] = 151739,
  [SMALL_STATE(6494)] = 151755,
  [SMALL_STATE(6495)] = 151773,
  [SMALL_STATE(6496)] = 151787,
  [SMALL_STATE(6497)] = 151805,
  [SMALL_STATE(6498)] = 151823,
  [SMALL_STATE(6499)] = 151841,
  [SMALL_STATE(6500)] = 151859,
  [SMALL_STATE(6501)] = 151877,
  [SMALL_STATE(6502)] = 151895,
  [SMALL_STATE(6503)] = 151913,
  [SMALL_STATE(6504)] = 151931,
  [SMALL_STATE(6505)] = 151949,
  [SMALL_STATE(6506)] = 151967,
  [SMALL_STATE(6507)] = 151985,
  [SMALL_STATE(6508)] = 152003,
  [SMALL_STATE(6509)] = 152021,
  [SMALL_STATE(6510)] = 152039,
  [SMALL_STATE(6511)] = 152057,
  [SMALL_STATE(6512)] = 152075,
  [SMALL_STATE(6513)] = 152093,
  [SMALL_STATE(6514)] = 152111,
  [SMALL_STATE(6515)] = 152129,
  [SMALL_STATE(6516)] = 152147,
  [SMALL_STATE(6517)] = 152165,
  [SMALL_STATE(6518)] = 152183,
  [SMALL_STATE(6519)] = 152201,
  [SMALL_STATE(6520)] = 152219,
  [SMALL_STATE(6521)] = 152237,
  [SMALL_STATE(6522)] = 152255,
  [SMALL_STATE(6523)] = 152273,
  [SMALL_STATE(6524)] = 152291,
  [SMALL_STATE(6525)] = 152309,
  [SMALL_STATE(6526)] = 152327,
  [SMALL_STATE(6527)] = 152345,
  [SMALL_STATE(6528)] = 152363,
  [SMALL_STATE(6529)] = 152381,
  [SMALL_STATE(6530)] = 152399,
  [SMALL_STATE(6531)] = 152419,
  [SMALL_STATE(6532)] = 152437,
  [SMALL_STATE(6533)] = 152455,
  [SMALL_STATE(6534)] = 152473,
  [SMALL_STATE(6535)] = 152491,
  [SMALL_STATE(6536)] = 152509,
  [SMALL_STATE(6537)] = 152527,
  [SMALL_STATE(6538)] = 152545,
  [SMALL_STATE(6539)] = 152563,
  [SMALL_STATE(6540)] = 152581,
  [SMALL_STATE(6541)] = 152599,
  [SMALL_STATE(6542)] = 152617,
  [SMALL_STATE(6543)] = 152635,
  [SMALL_STATE(6544)] = 152653,
  [SMALL_STATE(6545)] = 152671,
  [SMALL_STATE(6546)] = 152689,
  [SMALL_STATE(6547)] = 152707,
  [SMALL_STATE(6548)] = 152725,
  [SMALL_STATE(6549)] = 152743,
  [SMALL_STATE(6550)] = 152761,
  [SMALL_STATE(6551)] = 152779,
  [SMALL_STATE(6552)] = 152797,
  [SMALL_STATE(6553)] = 152815,
  [SMALL_STATE(6554)] = 152833,
  [SMALL_STATE(6555)] = 152851,
  [SMALL_STATE(6556)] = 152869,
  [SMALL_STATE(6557)] = 152887,
  [SMALL_STATE(6558)] = 152905,
  [SMALL_STATE(6559)] = 152923,
  [SMALL_STATE(6560)] = 152941,
  [SMALL_STATE(6561)] = 152959,
  [SMALL_STATE(6562)] = 152977,
  [SMALL_STATE(6563)] = 152997,
  [SMALL_STATE(6564)] = 153015,
  [SMALL_STATE(6565)] = 153033,
  [SMALL_STATE(6566)] = 153051,
  [SMALL_STATE(6567)] = 153069,
  [SMALL_STATE(6568)] = 153087,
  [SMALL_STATE(6569)] = 153105,
  [SMALL_STATE(6570)] = 153123,
  [SMALL_STATE(6571)] = 153141,
  [SMALL_STATE(6572)] = 153159,
  [SMALL_STATE(6573)] = 153177,
  [SMALL_STATE(6574)] = 153195,
  [SMALL_STATE(6575)] = 153213,
  [SMALL_STATE(6576)] = 153231,
  [SMALL_STATE(6577)] = 153249,
  [SMALL_STATE(6578)] = 153267,
  [SMALL_STATE(6579)] = 153285,
  [SMALL_STATE(6580)] = 153303,
  [SMALL_STATE(6581)] = 153321,
  [SMALL_STATE(6582)] = 153339,
  [SMALL_STATE(6583)] = 153357,
  [SMALL_STATE(6584)] = 153375,
  [SMALL_STATE(6585)] = 153393,
  [SMALL_STATE(6586)] = 153411,
  [SMALL_STATE(6587)] = 153429,
  [SMALL_STATE(6588)] = 153447,
  [SMALL_STATE(6589)] = 153465,
  [SMALL_STATE(6590)] = 153483,
  [SMALL_STATE(6591)] = 153501,
  [SMALL_STATE(6592)] = 153519,
  [SMALL_STATE(6593)] = 153537,
  [SMALL_STATE(6594)] = 153555,
  [SMALL_STATE(6595)] = 153573,
  [SMALL_STATE(6596)] = 153591,
  [SMALL_STATE(6597)] = 153609,
  [SMALL_STATE(6598)] = 153627,
  [SMALL_STATE(6599)] = 153645,
  [SMALL_STATE(6600)] = 153663,
  [SMALL_STATE(6601)] = 153681,
  [SMALL_STATE(6602)] = 153699,
  [SMALL_STATE(6603)] = 153717,
  [SMALL_STATE(6604)] = 153735,
  [SMALL_STATE(6605)] = 153753,
  [SMALL_STATE(6606)] = 153771,
  [SMALL_STATE(6607)] = 153789,
  [SMALL_STATE(6608)] = 153807,
  [SMALL_STATE(6609)] = 153825,
  [SMALL_STATE(6610)] = 153843,
  [SMALL_STATE(6611)] = 153861,
  [SMALL_STATE(6612)] = 153879,
  [SMALL_STATE(6613)] = 153897,
  [SMALL_STATE(6614)] = 153915,
  [SMALL_STATE(6615)] = 153929,
  [SMALL_STATE(6616)] = 153947,
  [SMALL_STATE(6617)] = 153963,
  [SMALL_STATE(6618)] = 153981,
  [SMALL_STATE(6619)] = 153999,
  [SMALL_STATE(6620)] = 154017,
  [SMALL_STATE(6621)] = 154035,
  [SMALL_STATE(6622)] = 154053,
  [SMALL_STATE(6623)] = 154071,
  [SMALL_STATE(6624)] = 154089,
  [SMALL_STATE(6625)] = 154109,
  [SMALL_STATE(6626)] = 154129,
  [SMALL_STATE(6627)] = 154147,
  [SMALL_STATE(6628)] = 154167,
  [SMALL_STATE(6629)] = 154185,
  [SMALL_STATE(6630)] = 154203,
  [SMALL_STATE(6631)] = 154221,
  [SMALL_STATE(6632)] = 154241,
  [SMALL_STATE(6633)] = 154259,
  [SMALL_STATE(6634)] = 154277,
  [SMALL_STATE(6635)] = 154297,
  [SMALL_STATE(6636)] = 154317,
  [SMALL_STATE(6637)] = 154335,
  [SMALL_STATE(6638)] = 154352,
  [SMALL_STATE(6639)] = 154367,
  [SMALL_STATE(6640)] = 154382,
  [SMALL_STATE(6641)] = 154397,
  [SMALL_STATE(6642)] = 154412,
  [SMALL_STATE(6643)] = 154425,
  [SMALL_STATE(6644)] = 154440,
  [SMALL_STATE(6645)] = 154451,
  [SMALL_STATE(6646)] = 154466,
  [SMALL_STATE(6647)] = 154481,
  [SMALL_STATE(6648)] = 154498,
  [SMALL_STATE(6649)] = 154513,
  [SMALL_STATE(6650)] = 154530,
  [SMALL_STATE(6651)] = 154547,
  [SMALL_STATE(6652)] = 154562,
  [SMALL_STATE(6653)] = 154577,
  [SMALL_STATE(6654)] = 154592,
  [SMALL_STATE(6655)] = 154609,
  [SMALL_STATE(6656)] = 154626,
  [SMALL_STATE(6657)] = 154641,
  [SMALL_STATE(6658)] = 154656,
  [SMALL_STATE(6659)] = 154671,
  [SMALL_STATE(6660)] = 154682,
  [SMALL_STATE(6661)] = 154697,
  [SMALL_STATE(6662)] = 154712,
  [SMALL_STATE(6663)] = 154729,
  [SMALL_STATE(6664)] = 154746,
  [SMALL_STATE(6665)] = 154761,
  [SMALL_STATE(6666)] = 154776,
  [SMALL_STATE(6667)] = 154787,
  [SMALL_STATE(6668)] = 154802,
  [SMALL_STATE(6669)] = 154817,
  [SMALL_STATE(6670)] = 154834,
  [SMALL_STATE(6671)] = 154851,
  [SMALL_STATE(6672)] = 154866,
  [SMALL_STATE(6673)] = 154881,
  [SMALL_STATE(6674)] = 154898,
  [SMALL_STATE(6675)] = 154913,
  [SMALL_STATE(6676)] = 154930,
  [SMALL_STATE(6677)] = 154945,
  [SMALL_STATE(6678)] = 154962,
  [SMALL_STATE(6679)] = 154977,
  [SMALL_STATE(6680)] = 154994,
  [SMALL_STATE(6681)] = 155009,
  [SMALL_STATE(6682)] = 155026,
  [SMALL_STATE(6683)] = 155039,
  [SMALL_STATE(6684)] = 155054,
  [SMALL_STATE(6685)] = 155065,
  [SMALL_STATE(6686)] = 155082,
  [SMALL_STATE(6687)] = 155093,
  [SMALL_STATE(6688)] = 155110,
  [SMALL_STATE(6689)] = 155127,
  [SMALL_STATE(6690)] = 155142,
  [SMALL_STATE(6691)] = 155157,
  [SMALL_STATE(6692)] = 155174,
  [SMALL_STATE(6693)] = 155189,
  [SMALL_STATE(6694)] = 155200,
  [SMALL_STATE(6695)] = 155215,
  [SMALL_STATE(6696)] = 155228,
  [SMALL_STATE(6697)] = 155245,
  [SMALL_STATE(6698)] = 155260,
  [SMALL_STATE(6699)] = 155271,
  [SMALL_STATE(6700)] = 155286,
  [SMALL_STATE(6701)] = 155303,
  [SMALL_STATE(6702)] = 155318,
  [SMALL_STATE(6703)] = 155333,
  [SMALL_STATE(6704)] = 155350,
  [SMALL_STATE(6705)] = 155367,
  [SMALL_STATE(6706)] = 155384,
  [SMALL_STATE(6707)] = 155399,
  [SMALL_STATE(6708)] = 155416,
  [SMALL_STATE(6709)] = 155433,
  [SMALL_STATE(6710)] = 155450,
  [SMALL_STATE(6711)] = 155467,
  [SMALL_STATE(6712)] = 155482,
  [SMALL_STATE(6713)] = 155497,
  [SMALL_STATE(6714)] = 155514,
  [SMALL_STATE(6715)] = 155531,
  [SMALL_STATE(6716)] = 155548,
  [SMALL_STATE(6717)] = 155563,
  [SMALL_STATE(6718)] = 155580,
  [SMALL_STATE(6719)] = 155595,
  [SMALL_STATE(6720)] = 155610,
  [SMALL_STATE(6721)] = 155627,
  [SMALL_STATE(6722)] = 155644,
  [SMALL_STATE(6723)] = 155659,
  [SMALL_STATE(6724)] = 155676,
  [SMALL_STATE(6725)] = 155691,
  [SMALL_STATE(6726)] = 155708,
  [SMALL_STATE(6727)] = 155725,
  [SMALL_STATE(6728)] = 155740,
  [SMALL_STATE(6729)] = 155755,
  [SMALL_STATE(6730)] = 155770,
  [SMALL_STATE(6731)] = 155785,
  [SMALL_STATE(6732)] = 155800,
  [SMALL_STATE(6733)] = 155817,
  [SMALL_STATE(6734)] = 155832,
  [SMALL_STATE(6735)] = 155847,
  [SMALL_STATE(6736)] = 155862,
  [SMALL_STATE(6737)] = 155873,
  [SMALL_STATE(6738)] = 155888,
  [SMALL_STATE(6739)] = 155905,
  [SMALL_STATE(6740)] = 155918,
  [SMALL_STATE(6741)] = 155933,
  [SMALL_STATE(6742)] = 155944,
  [SMALL_STATE(6743)] = 155959,
  [SMALL_STATE(6744)] = 155974,
  [SMALL_STATE(6745)] = 155989,
  [SMALL_STATE(6746)] = 156004,
  [SMALL_STATE(6747)] = 156017,
  [SMALL_STATE(6748)] = 156032,
  [SMALL_STATE(6749)] = 156047,
  [SMALL_STATE(6750)] = 156062,
  [SMALL_STATE(6751)] = 156077,
  [SMALL_STATE(6752)] = 156094,
  [SMALL_STATE(6753)] = 156111,
  [SMALL_STATE(6754)] = 156128,
  [SMALL_STATE(6755)] = 156143,
  [SMALL_STATE(6756)] = 156158,
  [SMALL_STATE(6757)] = 156175,
  [SMALL_STATE(6758)] = 156192,
  [SMALL_STATE(6759)] = 156209,
  [SMALL_STATE(6760)] = 156226,
  [SMALL_STATE(6761)] = 156243,
  [SMALL_STATE(6762)] = 156260,
  [SMALL_STATE(6763)] = 156275,
  [SMALL_STATE(6764)] = 156292,
  [SMALL_STATE(6765)] = 156309,
  [SMALL_STATE(6766)] = 156326,
  [SMALL_STATE(6767)] = 156343,
  [SMALL_STATE(6768)] = 156360,
  [SMALL_STATE(6769)] = 156375,
  [SMALL_STATE(6770)] = 156392,
  [SMALL_STATE(6771)] = 156409,
  [SMALL_STATE(6772)] = 156424,
  [SMALL_STATE(6773)] = 156441,
  [SMALL_STATE(6774)] = 156458,
  [SMALL_STATE(6775)] = 156475,
  [SMALL_STATE(6776)] = 156487,
  [SMALL_STATE(6777)] = 156499,
  [SMALL_STATE(6778)] = 156511,
  [SMALL_STATE(6779)] = 156523,
  [SMALL_STATE(6780)] = 156537,
  [SMALL_STATE(6781)] = 156549,
  [SMALL_STATE(6782)] = 156561,
  [SMALL_STATE(6783)] = 156575,
  [SMALL_STATE(6784)] = 156589,
  [SMALL_STATE(6785)] = 156603,
  [SMALL_STATE(6786)] = 156615,
  [SMALL_STATE(6787)] = 156627,
  [SMALL_STATE(6788)] = 156641,
  [SMALL_STATE(6789)] = 156655,
  [SMALL_STATE(6790)] = 156667,
  [SMALL_STATE(6791)] = 156681,
  [SMALL_STATE(6792)] = 156693,
  [SMALL_STATE(6793)] = 156707,
  [SMALL_STATE(6794)] = 156719,
  [SMALL_STATE(6795)] = 156731,
  [SMALL_STATE(6796)] = 156743,
  [SMALL_STATE(6797)] = 156755,
  [SMALL_STATE(6798)] = 156769,
  [SMALL_STATE(6799)] = 156781,
  [SMALL_STATE(6800)] = 156793,
  [SMALL_STATE(6801)] = 156805,
  [SMALL_STATE(6802)] = 156819,
  [SMALL_STATE(6803)] = 156831,
  [SMALL_STATE(6804)] = 156843,
  [SMALL_STATE(6805)] = 156855,
  [SMALL_STATE(6806)] = 156869,
  [SMALL_STATE(6807)] = 156883,
  [SMALL_STATE(6808)] = 156897,
  [SMALL_STATE(6809)] = 156911,
  [SMALL_STATE(6810)] = 156925,
  [SMALL_STATE(6811)] = 156937,
  [SMALL_STATE(6812)] = 156951,
  [SMALL_STATE(6813)] = 156963,
  [SMALL_STATE(6814)] = 156975,
  [SMALL_STATE(6815)] = 156989,
  [SMALL_STATE(6816)] = 157001,
  [SMALL_STATE(6817)] = 157015,
  [SMALL_STATE(6818)] = 157027,
  [SMALL_STATE(6819)] = 157041,
  [SMALL_STATE(6820)] = 157055,
  [SMALL_STATE(6821)] = 157067,
  [SMALL_STATE(6822)] = 157079,
  [SMALL_STATE(6823)] = 157093,
  [SMALL_STATE(6824)] = 157105,
  [SMALL_STATE(6825)] = 157117,
  [SMALL_STATE(6826)] = 157129,
  [SMALL_STATE(6827)] = 157143,
  [SMALL_STATE(6828)] = 157155,
  [SMALL_STATE(6829)] = 157167,
  [SMALL_STATE(6830)] = 157181,
  [SMALL_STATE(6831)] = 157195,
  [SMALL_STATE(6832)] = 157209,
  [SMALL_STATE(6833)] = 157219,
  [SMALL_STATE(6834)] = 157233,
  [SMALL_STATE(6835)] = 157245,
  [SMALL_STATE(6836)] = 157259,
  [SMALL_STATE(6837)] = 157273,
  [SMALL_STATE(6838)] = 157285,
  [SMALL_STATE(6839)] = 157297,
  [SMALL_STATE(6840)] = 157309,
  [SMALL_STATE(6841)] = 157321,
  [SMALL_STATE(6842)] = 157335,
  [SMALL_STATE(6843)] = 157349,
  [SMALL_STATE(6844)] = 157363,
  [SMALL_STATE(6845)] = 157377,
  [SMALL_STATE(6846)] = 157391,
  [SMALL_STATE(6847)] = 157403,
  [SMALL_STATE(6848)] = 157417,
  [SMALL_STATE(6849)] = 157429,
  [SMALL_STATE(6850)] = 157443,
  [SMALL_STATE(6851)] = 157455,
  [SMALL_STATE(6852)] = 157467,
  [SMALL_STATE(6853)] = 157479,
  [SMALL_STATE(6854)] = 157493,
  [SMALL_STATE(6855)] = 157507,
  [SMALL_STATE(6856)] = 157521,
  [SMALL_STATE(6857)] = 157535,
  [SMALL_STATE(6858)] = 157549,
  [SMALL_STATE(6859)] = 157561,
  [SMALL_STATE(6860)] = 157573,
  [SMALL_STATE(6861)] = 157585,
  [SMALL_STATE(6862)] = 157597,
  [SMALL_STATE(6863)] = 157611,
  [SMALL_STATE(6864)] = 157625,
  [SMALL_STATE(6865)] = 157637,
  [SMALL_STATE(6866)] = 157651,
  [SMALL_STATE(6867)] = 157665,
  [SMALL_STATE(6868)] = 157679,
  [SMALL_STATE(6869)] = 157693,
  [SMALL_STATE(6870)] = 157705,
  [SMALL_STATE(6871)] = 157717,
  [SMALL_STATE(6872)] = 157731,
  [SMALL_STATE(6873)] = 157745,
  [SMALL_STATE(6874)] = 157757,
  [SMALL_STATE(6875)] = 157771,
  [SMALL_STATE(6876)] = 157783,
  [SMALL_STATE(6877)] = 157795,
  [SMALL_STATE(6878)] = 157809,
  [SMALL_STATE(6879)] = 157823,
  [SMALL_STATE(6880)] = 157835,
  [SMALL_STATE(6881)] = 157849,
  [SMALL_STATE(6882)] = 157861,
  [SMALL_STATE(6883)] = 157873,
  [SMALL_STATE(6884)] = 157887,
  [SMALL_STATE(6885)] = 157899,
  [SMALL_STATE(6886)] = 157911,
  [SMALL_STATE(6887)] = 157923,
  [SMALL_STATE(6888)] = 157937,
  [SMALL_STATE(6889)] = 157951,
  [SMALL_STATE(6890)] = 157963,
  [SMALL_STATE(6891)] = 157977,
  [SMALL_STATE(6892)] = 157991,
  [SMALL_STATE(6893)] = 158003,
  [SMALL_STATE(6894)] = 158017,
  [SMALL_STATE(6895)] = 158029,
  [SMALL_STATE(6896)] = 158043,
  [SMALL_STATE(6897)] = 158055,
  [SMALL_STATE(6898)] = 158067,
  [SMALL_STATE(6899)] = 158081,
  [SMALL_STATE(6900)] = 158093,
  [SMALL_STATE(6901)] = 158107,
  [SMALL_STATE(6902)] = 158121,
  [SMALL_STATE(6903)] = 158133,
  [SMALL_STATE(6904)] = 158145,
  [SMALL_STATE(6905)] = 158157,
  [SMALL_STATE(6906)] = 158169,
  [SMALL_STATE(6907)] = 158181,
  [SMALL_STATE(6908)] = 158195,
  [SMALL_STATE(6909)] = 158207,
  [SMALL_STATE(6910)] = 158221,
  [SMALL_STATE(6911)] = 158235,
  [SMALL_STATE(6912)] = 158249,
  [SMALL_STATE(6913)] = 158263,
  [SMALL_STATE(6914)] = 158277,
  [SMALL_STATE(6915)] = 158289,
  [SMALL_STATE(6916)] = 158301,
  [SMALL_STATE(6917)] = 158313,
  [SMALL_STATE(6918)] = 158325,
  [SMALL_STATE(6919)] = 158339,
  [SMALL_STATE(6920)] = 158351,
  [SMALL_STATE(6921)] = 158365,
  [SMALL_STATE(6922)] = 158379,
  [SMALL_STATE(6923)] = 158393,
  [SMALL_STATE(6924)] = 158405,
  [SMALL_STATE(6925)] = 158417,
  [SMALL_STATE(6926)] = 158429,
  [SMALL_STATE(6927)] = 158443,
  [SMALL_STATE(6928)] = 158455,
  [SMALL_STATE(6929)] = 158467,
  [SMALL_STATE(6930)] = 158481,
  [SMALL_STATE(6931)] = 158495,
  [SMALL_STATE(6932)] = 158507,
  [SMALL_STATE(6933)] = 158521,
  [SMALL_STATE(6934)] = 158535,
  [SMALL_STATE(6935)] = 158549,
  [SMALL_STATE(6936)] = 158561,
  [SMALL_STATE(6937)] = 158573,
  [SMALL_STATE(6938)] = 158583,
  [SMALL_STATE(6939)] = 158597,
  [SMALL_STATE(6940)] = 158611,
  [SMALL_STATE(6941)] = 158625,
  [SMALL_STATE(6942)] = 158639,
  [SMALL_STATE(6943)] = 158653,
  [SMALL_STATE(6944)] = 158667,
  [SMALL_STATE(6945)] = 158681,
  [SMALL_STATE(6946)] = 158695,
  [SMALL_STATE(6947)] = 158707,
  [SMALL_STATE(6948)] = 158721,
  [SMALL_STATE(6949)] = 158735,
  [SMALL_STATE(6950)] = 158749,
  [SMALL_STATE(6951)] = 158763,
  [SMALL_STATE(6952)] = 158777,
  [SMALL_STATE(6953)] = 158789,
  [SMALL_STATE(6954)] = 158803,
  [SMALL_STATE(6955)] = 158817,
  [SMALL_STATE(6956)] = 158829,
  [SMALL_STATE(6957)] = 158841,
  [SMALL_STATE(6958)] = 158855,
  [SMALL_STATE(6959)] = 158869,
  [SMALL_STATE(6960)] = 158881,
  [SMALL_STATE(6961)] = 158893,
  [SMALL_STATE(6962)] = 158905,
  [SMALL_STATE(6963)] = 158917,
  [SMALL_STATE(6964)] = 158931,
  [SMALL_STATE(6965)] = 158943,
  [SMALL_STATE(6966)] = 158957,
  [SMALL_STATE(6967)] = 158969,
  [SMALL_STATE(6968)] = 158983,
  [SMALL_STATE(6969)] = 158995,
  [SMALL_STATE(6970)] = 159009,
  [SMALL_STATE(6971)] = 159021,
  [SMALL_STATE(6972)] = 159035,
  [SMALL_STATE(6973)] = 159047,
  [SMALL_STATE(6974)] = 159061,
  [SMALL_STATE(6975)] = 159071,
  [SMALL_STATE(6976)] = 159083,
  [SMALL_STATE(6977)] = 159095,
  [SMALL_STATE(6978)] = 159109,
  [SMALL_STATE(6979)] = 159121,
  [SMALL_STATE(6980)] = 159133,
  [SMALL_STATE(6981)] = 159147,
  [SMALL_STATE(6982)] = 159161,
  [SMALL_STATE(6983)] = 159175,
  [SMALL_STATE(6984)] = 159187,
  [SMALL_STATE(6985)] = 159201,
  [SMALL_STATE(6986)] = 159215,
  [SMALL_STATE(6987)] = 159229,
  [SMALL_STATE(6988)] = 159243,
  [SMALL_STATE(6989)] = 159257,
  [SMALL_STATE(6990)] = 159269,
  [SMALL_STATE(6991)] = 159281,
  [SMALL_STATE(6992)] = 159293,
  [SMALL_STATE(6993)] = 159305,
  [SMALL_STATE(6994)] = 159317,
  [SMALL_STATE(6995)] = 159331,
  [SMALL_STATE(6996)] = 159343,
  [SMALL_STATE(6997)] = 159355,
  [SMALL_STATE(6998)] = 159369,
  [SMALL_STATE(6999)] = 159383,
  [SMALL_STATE(7000)] = 159397,
  [SMALL_STATE(7001)] = 159409,
  [SMALL_STATE(7002)] = 159421,
  [SMALL_STATE(7003)] = 159435,
  [SMALL_STATE(7004)] = 159447,
  [SMALL_STATE(7005)] = 159459,
  [SMALL_STATE(7006)] = 159473,
  [SMALL_STATE(7007)] = 159487,
  [SMALL_STATE(7008)] = 159501,
  [SMALL_STATE(7009)] = 159513,
  [SMALL_STATE(7010)] = 159525,
  [SMALL_STATE(7011)] = 159537,
  [SMALL_STATE(7012)] = 159549,
  [SMALL_STATE(7013)] = 159563,
  [SMALL_STATE(7014)] = 159577,
  [SMALL_STATE(7015)] = 159591,
  [SMALL_STATE(7016)] = 159605,
  [SMALL_STATE(7017)] = 159617,
  [SMALL_STATE(7018)] = 159631,
  [SMALL_STATE(7019)] = 159643,
  [SMALL_STATE(7020)] = 159657,
  [SMALL_STATE(7021)] = 159671,
  [SMALL_STATE(7022)] = 159685,
  [SMALL_STATE(7023)] = 159699,
  [SMALL_STATE(7024)] = 159713,
  [SMALL_STATE(7025)] = 159727,
  [SMALL_STATE(7026)] = 159739,
  [SMALL_STATE(7027)] = 159753,
  [SMALL_STATE(7028)] = 159767,
  [SMALL_STATE(7029)] = 159779,
  [SMALL_STATE(7030)] = 159793,
  [SMALL_STATE(7031)] = 159805,
  [SMALL_STATE(7032)] = 159817,
  [SMALL_STATE(7033)] = 159831,
  [SMALL_STATE(7034)] = 159845,
  [SMALL_STATE(7035)] = 159857,
  [SMALL_STATE(7036)] = 159869,
  [SMALL_STATE(7037)] = 159881,
  [SMALL_STATE(7038)] = 159895,
  [SMALL_STATE(7039)] = 159909,
  [SMALL_STATE(7040)] = 159923,
  [SMALL_STATE(7041)] = 159937,
  [SMALL_STATE(7042)] = 159951,
  [SMALL_STATE(7043)] = 159965,
  [SMALL_STATE(7044)] = 159977,
  [SMALL_STATE(7045)] = 159991,
  [SMALL_STATE(7046)] = 160003,
  [SMALL_STATE(7047)] = 160017,
  [SMALL_STATE(7048)] = 160031,
  [SMALL_STATE(7049)] = 160043,
  [SMALL_STATE(7050)] = 160057,
  [SMALL_STATE(7051)] = 160069,
  [SMALL_STATE(7052)] = 160083,
  [SMALL_STATE(7053)] = 160097,
  [SMALL_STATE(7054)] = 160109,
  [SMALL_STATE(7055)] = 160121,
  [SMALL_STATE(7056)] = 160135,
  [SMALL_STATE(7057)] = 160147,
  [SMALL_STATE(7058)] = 160159,
  [SMALL_STATE(7059)] = 160173,
  [SMALL_STATE(7060)] = 160187,
  [SMALL_STATE(7061)] = 160199,
  [SMALL_STATE(7062)] = 160213,
  [SMALL_STATE(7063)] = 160225,
  [SMALL_STATE(7064)] = 160239,
  [SMALL_STATE(7065)] = 160249,
  [SMALL_STATE(7066)] = 160261,
  [SMALL_STATE(7067)] = 160273,
  [SMALL_STATE(7068)] = 160285,
  [SMALL_STATE(7069)] = 160297,
  [SMALL_STATE(7070)] = 160307,
  [SMALL_STATE(7071)] = 160321,
  [SMALL_STATE(7072)] = 160335,
  [SMALL_STATE(7073)] = 160347,
  [SMALL_STATE(7074)] = 160359,
  [SMALL_STATE(7075)] = 160373,
  [SMALL_STATE(7076)] = 160385,
  [SMALL_STATE(7077)] = 160397,
  [SMALL_STATE(7078)] = 160411,
  [SMALL_STATE(7079)] = 160421,
  [SMALL_STATE(7080)] = 160435,
  [SMALL_STATE(7081)] = 160447,
  [SMALL_STATE(7082)] = 160461,
  [SMALL_STATE(7083)] = 160475,
  [SMALL_STATE(7084)] = 160485,
  [SMALL_STATE(7085)] = 160499,
  [SMALL_STATE(7086)] = 160513,
  [SMALL_STATE(7087)] = 160527,
  [SMALL_STATE(7088)] = 160541,
  [SMALL_STATE(7089)] = 160555,
  [SMALL_STATE(7090)] = 160569,
  [SMALL_STATE(7091)] = 160581,
  [SMALL_STATE(7092)] = 160595,
  [SMALL_STATE(7093)] = 160609,
  [SMALL_STATE(7094)] = 160621,
  [SMALL_STATE(7095)] = 160633,
  [SMALL_STATE(7096)] = 160645,
  [SMALL_STATE(7097)] = 160659,
  [SMALL_STATE(7098)] = 160673,
  [SMALL_STATE(7099)] = 160685,
  [SMALL_STATE(7100)] = 160697,
  [SMALL_STATE(7101)] = 160711,
  [SMALL_STATE(7102)] = 160725,
  [SMALL_STATE(7103)] = 160739,
  [SMALL_STATE(7104)] = 160751,
  [SMALL_STATE(7105)] = 160765,
  [SMALL_STATE(7106)] = 160779,
  [SMALL_STATE(7107)] = 160791,
  [SMALL_STATE(7108)] = 160805,
  [SMALL_STATE(7109)] = 160817,
  [SMALL_STATE(7110)] = 160831,
  [SMALL_STATE(7111)] = 160843,
  [SMALL_STATE(7112)] = 160857,
  [SMALL_STATE(7113)] = 160871,
  [SMALL_STATE(7114)] = 160885,
  [SMALL_STATE(7115)] = 160897,
  [SMALL_STATE(7116)] = 160909,
  [SMALL_STATE(7117)] = 160921,
  [SMALL_STATE(7118)] = 160933,
  [SMALL_STATE(7119)] = 160947,
  [SMALL_STATE(7120)] = 160959,
  [SMALL_STATE(7121)] = 160973,
  [SMALL_STATE(7122)] = 160985,
  [SMALL_STATE(7123)] = 160997,
  [SMALL_STATE(7124)] = 161009,
  [SMALL_STATE(7125)] = 161021,
  [SMALL_STATE(7126)] = 161033,
  [SMALL_STATE(7127)] = 161045,
  [SMALL_STATE(7128)] = 161059,
  [SMALL_STATE(7129)] = 161071,
  [SMALL_STATE(7130)] = 161083,
  [SMALL_STATE(7131)] = 161097,
  [SMALL_STATE(7132)] = 161109,
  [SMALL_STATE(7133)] = 161123,
  [SMALL_STATE(7134)] = 161135,
  [SMALL_STATE(7135)] = 161149,
  [SMALL_STATE(7136)] = 161163,
  [SMALL_STATE(7137)] = 161177,
  [SMALL_STATE(7138)] = 161189,
  [SMALL_STATE(7139)] = 161201,
  [SMALL_STATE(7140)] = 161215,
  [SMALL_STATE(7141)] = 161227,
  [SMALL_STATE(7142)] = 161241,
  [SMALL_STATE(7143)] = 161253,
  [SMALL_STATE(7144)] = 161265,
  [SMALL_STATE(7145)] = 161277,
  [SMALL_STATE(7146)] = 161289,
  [SMALL_STATE(7147)] = 161303,
  [SMALL_STATE(7148)] = 161315,
  [SMALL_STATE(7149)] = 161327,
  [SMALL_STATE(7150)] = 161339,
  [SMALL_STATE(7151)] = 161351,
  [SMALL_STATE(7152)] = 161365,
  [SMALL_STATE(7153)] = 161377,
  [SMALL_STATE(7154)] = 161389,
  [SMALL_STATE(7155)] = 161403,
  [SMALL_STATE(7156)] = 161417,
  [SMALL_STATE(7157)] = 161431,
  [SMALL_STATE(7158)] = 161445,
  [SMALL_STATE(7159)] = 161459,
  [SMALL_STATE(7160)] = 161473,
  [SMALL_STATE(7161)] = 161487,
  [SMALL_STATE(7162)] = 161499,
  [SMALL_STATE(7163)] = 161513,
  [SMALL_STATE(7164)] = 161525,
  [SMALL_STATE(7165)] = 161539,
  [SMALL_STATE(7166)] = 161551,
  [SMALL_STATE(7167)] = 161565,
  [SMALL_STATE(7168)] = 161577,
  [SMALL_STATE(7169)] = 161591,
  [SMALL_STATE(7170)] = 161605,
  [SMALL_STATE(7171)] = 161617,
  [SMALL_STATE(7172)] = 161629,
  [SMALL_STATE(7173)] = 161641,
  [SMALL_STATE(7174)] = 161655,
  [SMALL_STATE(7175)] = 161667,
  [SMALL_STATE(7176)] = 161679,
  [SMALL_STATE(7177)] = 161693,
  [SMALL_STATE(7178)] = 161705,
  [SMALL_STATE(7179)] = 161717,
  [SMALL_STATE(7180)] = 161731,
  [SMALL_STATE(7181)] = 161743,
  [SMALL_STATE(7182)] = 161755,
  [SMALL_STATE(7183)] = 161767,
  [SMALL_STATE(7184)] = 161779,
  [SMALL_STATE(7185)] = 161793,
  [SMALL_STATE(7186)] = 161805,
  [SMALL_STATE(7187)] = 161817,
  [SMALL_STATE(7188)] = 161829,
  [SMALL_STATE(7189)] = 161843,
  [SMALL_STATE(7190)] = 161855,
  [SMALL_STATE(7191)] = 161867,
  [SMALL_STATE(7192)] = 161881,
  [SMALL_STATE(7193)] = 161893,
  [SMALL_STATE(7194)] = 161907,
  [SMALL_STATE(7195)] = 161919,
  [SMALL_STATE(7196)] = 161933,
  [SMALL_STATE(7197)] = 161947,
  [SMALL_STATE(7198)] = 161961,
  [SMALL_STATE(7199)] = 161973,
  [SMALL_STATE(7200)] = 161985,
  [SMALL_STATE(7201)] = 161997,
  [SMALL_STATE(7202)] = 162009,
  [SMALL_STATE(7203)] = 162021,
  [SMALL_STATE(7204)] = 162033,
  [SMALL_STATE(7205)] = 162045,
  [SMALL_STATE(7206)] = 162059,
  [SMALL_STATE(7207)] = 162071,
  [SMALL_STATE(7208)] = 162085,
  [SMALL_STATE(7209)] = 162097,
  [SMALL_STATE(7210)] = 162109,
  [SMALL_STATE(7211)] = 162123,
  [SMALL_STATE(7212)] = 162135,
  [SMALL_STATE(7213)] = 162149,
  [SMALL_STATE(7214)] = 162161,
  [SMALL_STATE(7215)] = 162175,
  [SMALL_STATE(7216)] = 162187,
  [SMALL_STATE(7217)] = 162201,
  [SMALL_STATE(7218)] = 162213,
  [SMALL_STATE(7219)] = 162225,
  [SMALL_STATE(7220)] = 162237,
  [SMALL_STATE(7221)] = 162251,
  [SMALL_STATE(7222)] = 162263,
  [SMALL_STATE(7223)] = 162277,
  [SMALL_STATE(7224)] = 162287,
  [SMALL_STATE(7225)] = 162299,
  [SMALL_STATE(7226)] = 162311,
  [SMALL_STATE(7227)] = 162325,
  [SMALL_STATE(7228)] = 162337,
  [SMALL_STATE(7229)] = 162349,
  [SMALL_STATE(7230)] = 162361,
  [SMALL_STATE(7231)] = 162373,
  [SMALL_STATE(7232)] = 162387,
  [SMALL_STATE(7233)] = 162399,
  [SMALL_STATE(7234)] = 162411,
  [SMALL_STATE(7235)] = 162425,
  [SMALL_STATE(7236)] = 162437,
  [SMALL_STATE(7237)] = 162449,
  [SMALL_STATE(7238)] = 162461,
  [SMALL_STATE(7239)] = 162475,
  [SMALL_STATE(7240)] = 162487,
  [SMALL_STATE(7241)] = 162499,
  [SMALL_STATE(7242)] = 162513,
  [SMALL_STATE(7243)] = 162525,
  [SMALL_STATE(7244)] = 162539,
  [SMALL_STATE(7245)] = 162553,
  [SMALL_STATE(7246)] = 162565,
  [SMALL_STATE(7247)] = 162577,
  [SMALL_STATE(7248)] = 162591,
  [SMALL_STATE(7249)] = 162605,
  [SMALL_STATE(7250)] = 162619,
  [SMALL_STATE(7251)] = 162633,
  [SMALL_STATE(7252)] = 162647,
  [SMALL_STATE(7253)] = 162659,
  [SMALL_STATE(7254)] = 162673,
  [SMALL_STATE(7255)] = 162687,
  [SMALL_STATE(7256)] = 162697,
  [SMALL_STATE(7257)] = 162709,
  [SMALL_STATE(7258)] = 162721,
  [SMALL_STATE(7259)] = 162735,
  [SMALL_STATE(7260)] = 162745,
  [SMALL_STATE(7261)] = 162757,
  [SMALL_STATE(7262)] = 162771,
  [SMALL_STATE(7263)] = 162783,
  [SMALL_STATE(7264)] = 162797,
  [SMALL_STATE(7265)] = 162807,
  [SMALL_STATE(7266)] = 162819,
  [SMALL_STATE(7267)] = 162833,
  [SMALL_STATE(7268)] = 162845,
  [SMALL_STATE(7269)] = 162857,
  [SMALL_STATE(7270)] = 162869,
  [SMALL_STATE(7271)] = 162883,
  [SMALL_STATE(7272)] = 162895,
  [SMALL_STATE(7273)] = 162907,
  [SMALL_STATE(7274)] = 162919,
  [SMALL_STATE(7275)] = 162931,
  [SMALL_STATE(7276)] = 162945,
  [SMALL_STATE(7277)] = 162959,
  [SMALL_STATE(7278)] = 162973,
  [SMALL_STATE(7279)] = 162985,
  [SMALL_STATE(7280)] = 162997,
  [SMALL_STATE(7281)] = 163009,
  [SMALL_STATE(7282)] = 163021,
  [SMALL_STATE(7283)] = 163035,
  [SMALL_STATE(7284)] = 163047,
  [SMALL_STATE(7285)] = 163059,
  [SMALL_STATE(7286)] = 163071,
  [SMALL_STATE(7287)] = 163085,
  [SMALL_STATE(7288)] = 163097,
  [SMALL_STATE(7289)] = 163109,
  [SMALL_STATE(7290)] = 163121,
  [SMALL_STATE(7291)] = 163133,
  [SMALL_STATE(7292)] = 163145,
  [SMALL_STATE(7293)] = 163157,
  [SMALL_STATE(7294)] = 163171,
  [SMALL_STATE(7295)] = 163183,
  [SMALL_STATE(7296)] = 163195,
  [SMALL_STATE(7297)] = 163207,
  [SMALL_STATE(7298)] = 163219,
  [SMALL_STATE(7299)] = 163233,
  [SMALL_STATE(7300)] = 163247,
  [SMALL_STATE(7301)] = 163261,
  [SMALL_STATE(7302)] = 163275,
  [SMALL_STATE(7303)] = 163287,
  [SMALL_STATE(7304)] = 163299,
  [SMALL_STATE(7305)] = 163313,
  [SMALL_STATE(7306)] = 163325,
  [SMALL_STATE(7307)] = 163339,
  [SMALL_STATE(7308)] = 163351,
  [SMALL_STATE(7309)] = 163365,
  [SMALL_STATE(7310)] = 163377,
  [SMALL_STATE(7311)] = 163391,
  [SMALL_STATE(7312)] = 163405,
  [SMALL_STATE(7313)] = 163417,
  [SMALL_STATE(7314)] = 163431,
  [SMALL_STATE(7315)] = 163443,
  [SMALL_STATE(7316)] = 163457,
  [SMALL_STATE(7317)] = 163471,
  [SMALL_STATE(7318)] = 163485,
  [SMALL_STATE(7319)] = 163497,
  [SMALL_STATE(7320)] = 163509,
  [SMALL_STATE(7321)] = 163521,
  [SMALL_STATE(7322)] = 163533,
  [SMALL_STATE(7323)] = 163545,
  [SMALL_STATE(7324)] = 163559,
  [SMALL_STATE(7325)] = 163571,
  [SMALL_STATE(7326)] = 163583,
  [SMALL_STATE(7327)] = 163597,
  [SMALL_STATE(7328)] = 163609,
  [SMALL_STATE(7329)] = 163621,
  [SMALL_STATE(7330)] = 163633,
  [SMALL_STATE(7331)] = 163647,
  [SMALL_STATE(7332)] = 163659,
  [SMALL_STATE(7333)] = 163671,
  [SMALL_STATE(7334)] = 163685,
  [SMALL_STATE(7335)] = 163697,
  [SMALL_STATE(7336)] = 163711,
  [SMALL_STATE(7337)] = 163723,
  [SMALL_STATE(7338)] = 163735,
  [SMALL_STATE(7339)] = 163749,
  [SMALL_STATE(7340)] = 163763,
  [SMALL_STATE(7341)] = 163777,
  [SMALL_STATE(7342)] = 163789,
  [SMALL_STATE(7343)] = 163801,
  [SMALL_STATE(7344)] = 163813,
  [SMALL_STATE(7345)] = 163827,
  [SMALL_STATE(7346)] = 163839,
  [SMALL_STATE(7347)] = 163853,
  [SMALL_STATE(7348)] = 163865,
  [SMALL_STATE(7349)] = 163877,
  [SMALL_STATE(7350)] = 163891,
  [SMALL_STATE(7351)] = 163903,
  [SMALL_STATE(7352)] = 163915,
  [SMALL_STATE(7353)] = 163927,
  [SMALL_STATE(7354)] = 163939,
  [SMALL_STATE(7355)] = 163951,
  [SMALL_STATE(7356)] = 163965,
  [SMALL_STATE(7357)] = 163979,
  [SMALL_STATE(7358)] = 163991,
  [SMALL_STATE(7359)] = 164003,
  [SMALL_STATE(7360)] = 164017,
  [SMALL_STATE(7361)] = 164029,
  [SMALL_STATE(7362)] = 164041,
  [SMALL_STATE(7363)] = 164053,
  [SMALL_STATE(7364)] = 164067,
  [SMALL_STATE(7365)] = 164079,
  [SMALL_STATE(7366)] = 164093,
  [SMALL_STATE(7367)] = 164105,
  [SMALL_STATE(7368)] = 164117,
  [SMALL_STATE(7369)] = 164129,
  [SMALL_STATE(7370)] = 164141,
  [SMALL_STATE(7371)] = 164155,
  [SMALL_STATE(7372)] = 164167,
  [SMALL_STATE(7373)] = 164179,
  [SMALL_STATE(7374)] = 164193,
  [SMALL_STATE(7375)] = 164205,
  [SMALL_STATE(7376)] = 164217,
  [SMALL_STATE(7377)] = 164229,
  [SMALL_STATE(7378)] = 164241,
  [SMALL_STATE(7379)] = 164255,
  [SMALL_STATE(7380)] = 164267,
  [SMALL_STATE(7381)] = 164279,
  [SMALL_STATE(7382)] = 164291,
  [SMALL_STATE(7383)] = 164303,
  [SMALL_STATE(7384)] = 164315,
  [SMALL_STATE(7385)] = 164329,
  [SMALL_STATE(7386)] = 164341,
  [SMALL_STATE(7387)] = 164355,
  [SMALL_STATE(7388)] = 164369,
  [SMALL_STATE(7389)] = 164383,
  [SMALL_STATE(7390)] = 164397,
  [SMALL_STATE(7391)] = 164409,
  [SMALL_STATE(7392)] = 164423,
  [SMALL_STATE(7393)] = 164435,
  [SMALL_STATE(7394)] = 164449,
  [SMALL_STATE(7395)] = 164461,
  [SMALL_STATE(7396)] = 164473,
  [SMALL_STATE(7397)] = 164487,
  [SMALL_STATE(7398)] = 164501,
  [SMALL_STATE(7399)] = 164515,
  [SMALL_STATE(7400)] = 164527,
  [SMALL_STATE(7401)] = 164541,
  [SMALL_STATE(7402)] = 164555,
  [SMALL_STATE(7403)] = 164567,
  [SMALL_STATE(7404)] = 164581,
  [SMALL_STATE(7405)] = 164593,
  [SMALL_STATE(7406)] = 164605,
  [SMALL_STATE(7407)] = 164617,
  [SMALL_STATE(7408)] = 164631,
  [SMALL_STATE(7409)] = 164643,
  [SMALL_STATE(7410)] = 164657,
  [SMALL_STATE(7411)] = 164669,
  [SMALL_STATE(7412)] = 164679,
  [SMALL_STATE(7413)] = 164693,
  [SMALL_STATE(7414)] = 164705,
  [SMALL_STATE(7415)] = 164717,
  [SMALL_STATE(7416)] = 164729,
  [SMALL_STATE(7417)] = 164743,
  [SMALL_STATE(7418)] = 164757,
  [SMALL_STATE(7419)] = 164769,
  [SMALL_STATE(7420)] = 164781,
  [SMALL_STATE(7421)] = 164795,
  [SMALL_STATE(7422)] = 164809,
  [SMALL_STATE(7423)] = 164819,
  [SMALL_STATE(7424)] = 164831,
  [SMALL_STATE(7425)] = 164845,
  [SMALL_STATE(7426)] = 164859,
  [SMALL_STATE(7427)] = 164873,
  [SMALL_STATE(7428)] = 164887,
  [SMALL_STATE(7429)] = 164901,
  [SMALL_STATE(7430)] = 164915,
  [SMALL_STATE(7431)] = 164929,
  [SMALL_STATE(7432)] = 164943,
  [SMALL_STATE(7433)] = 164957,
  [SMALL_STATE(7434)] = 164971,
  [SMALL_STATE(7435)] = 164985,
  [SMALL_STATE(7436)] = 164999,
  [SMALL_STATE(7437)] = 165013,
  [SMALL_STATE(7438)] = 165027,
  [SMALL_STATE(7439)] = 165041,
  [SMALL_STATE(7440)] = 165055,
  [SMALL_STATE(7441)] = 165069,
  [SMALL_STATE(7442)] = 165083,
  [SMALL_STATE(7443)] = 165097,
  [SMALL_STATE(7444)] = 165111,
  [SMALL_STATE(7445)] = 165125,
  [SMALL_STATE(7446)] = 165139,
  [SMALL_STATE(7447)] = 165153,
  [SMALL_STATE(7448)] = 165167,
  [SMALL_STATE(7449)] = 165181,
  [SMALL_STATE(7450)] = 165195,
  [SMALL_STATE(7451)] = 165209,
  [SMALL_STATE(7452)] = 165223,
  [SMALL_STATE(7453)] = 165237,
  [SMALL_STATE(7454)] = 165251,
  [SMALL_STATE(7455)] = 165265,
  [SMALL_STATE(7456)] = 165277,
  [SMALL_STATE(7457)] = 165291,
  [SMALL_STATE(7458)] = 165305,
  [SMALL_STATE(7459)] = 165317,
  [SMALL_STATE(7460)] = 165327,
  [SMALL_STATE(7461)] = 165339,
  [SMALL_STATE(7462)] = 165351,
  [SMALL_STATE(7463)] = 165363,
  [SMALL_STATE(7464)] = 165377,
  [SMALL_STATE(7465)] = 165389,
  [SMALL_STATE(7466)] = 165401,
  [SMALL_STATE(7467)] = 165413,
  [SMALL_STATE(7468)] = 165425,
  [SMALL_STATE(7469)] = 165439,
  [SMALL_STATE(7470)] = 165451,
  [SMALL_STATE(7471)] = 165465,
  [SMALL_STATE(7472)] = 165477,
  [SMALL_STATE(7473)] = 165489,
  [SMALL_STATE(7474)] = 165501,
  [SMALL_STATE(7475)] = 165515,
  [SMALL_STATE(7476)] = 165527,
  [SMALL_STATE(7477)] = 165541,
  [SMALL_STATE(7478)] = 165553,
  [SMALL_STATE(7479)] = 165565,
  [SMALL_STATE(7480)] = 165579,
  [SMALL_STATE(7481)] = 165593,
  [SMALL_STATE(7482)] = 165605,
  [SMALL_STATE(7483)] = 165619,
  [SMALL_STATE(7484)] = 165631,
  [SMALL_STATE(7485)] = 165643,
  [SMALL_STATE(7486)] = 165657,
  [SMALL_STATE(7487)] = 165671,
  [SMALL_STATE(7488)] = 165683,
  [SMALL_STATE(7489)] = 165697,
  [SMALL_STATE(7490)] = 165711,
  [SMALL_STATE(7491)] = 165723,
  [SMALL_STATE(7492)] = 165733,
  [SMALL_STATE(7493)] = 165747,
  [SMALL_STATE(7494)] = 165761,
  [SMALL_STATE(7495)] = 165773,
  [SMALL_STATE(7496)] = 165785,
  [SMALL_STATE(7497)] = 165799,
  [SMALL_STATE(7498)] = 165811,
  [SMALL_STATE(7499)] = 165823,
  [SMALL_STATE(7500)] = 165835,
  [SMALL_STATE(7501)] = 165847,
  [SMALL_STATE(7502)] = 165861,
  [SMALL_STATE(7503)] = 165873,
  [SMALL_STATE(7504)] = 165885,
  [SMALL_STATE(7505)] = 165897,
  [SMALL_STATE(7506)] = 165909,
  [SMALL_STATE(7507)] = 165923,
  [SMALL_STATE(7508)] = 165935,
  [SMALL_STATE(7509)] = 165949,
  [SMALL_STATE(7510)] = 165961,
  [SMALL_STATE(7511)] = 165975,
  [SMALL_STATE(7512)] = 165989,
  [SMALL_STATE(7513)] = 166001,
  [SMALL_STATE(7514)] = 166011,
  [SMALL_STATE(7515)] = 166021,
  [SMALL_STATE(7516)] = 166035,
  [SMALL_STATE(7517)] = 166049,
  [SMALL_STATE(7518)] = 166061,
  [SMALL_STATE(7519)] = 166075,
  [SMALL_STATE(7520)] = 166087,
  [SMALL_STATE(7521)] = 166099,
  [SMALL_STATE(7522)] = 166113,
  [SMALL_STATE(7523)] = 166125,
  [SMALL_STATE(7524)] = 166139,
  [SMALL_STATE(7525)] = 166151,
  [SMALL_STATE(7526)] = 166165,
  [SMALL_STATE(7527)] = 166177,
  [SMALL_STATE(7528)] = 166191,
  [SMALL_STATE(7529)] = 166205,
  [SMALL_STATE(7530)] = 166219,
  [SMALL_STATE(7531)] = 166231,
  [SMALL_STATE(7532)] = 166243,
  [SMALL_STATE(7533)] = 166257,
  [SMALL_STATE(7534)] = 166271,
  [SMALL_STATE(7535)] = 166283,
  [SMALL_STATE(7536)] = 166297,
  [SMALL_STATE(7537)] = 166311,
  [SMALL_STATE(7538)] = 166323,
  [SMALL_STATE(7539)] = 166337,
  [SMALL_STATE(7540)] = 166349,
  [SMALL_STATE(7541)] = 166361,
  [SMALL_STATE(7542)] = 166373,
  [SMALL_STATE(7543)] = 166385,
  [SMALL_STATE(7544)] = 166397,
  [SMALL_STATE(7545)] = 166409,
  [SMALL_STATE(7546)] = 166423,
  [SMALL_STATE(7547)] = 166437,
  [SMALL_STATE(7548)] = 166449,
  [SMALL_STATE(7549)] = 166461,
  [SMALL_STATE(7550)] = 166475,
  [SMALL_STATE(7551)] = 166489,
  [SMALL_STATE(7552)] = 166501,
  [SMALL_STATE(7553)] = 166515,
  [SMALL_STATE(7554)] = 166529,
  [SMALL_STATE(7555)] = 166541,
  [SMALL_STATE(7556)] = 166553,
  [SMALL_STATE(7557)] = 166567,
  [SMALL_STATE(7558)] = 166577,
  [SMALL_STATE(7559)] = 166587,
  [SMALL_STATE(7560)] = 166597,
  [SMALL_STATE(7561)] = 166611,
  [SMALL_STATE(7562)] = 166625,
  [SMALL_STATE(7563)] = 166637,
  [SMALL_STATE(7564)] = 166649,
  [SMALL_STATE(7565)] = 166661,
  [SMALL_STATE(7566)] = 166673,
  [SMALL_STATE(7567)] = 166685,
  [SMALL_STATE(7568)] = 166697,
  [SMALL_STATE(7569)] = 166709,
  [SMALL_STATE(7570)] = 166723,
  [SMALL_STATE(7571)] = 166737,
  [SMALL_STATE(7572)] = 166749,
  [SMALL_STATE(7573)] = 166763,
  [SMALL_STATE(7574)] = 166777,
  [SMALL_STATE(7575)] = 166791,
  [SMALL_STATE(7576)] = 166803,
  [SMALL_STATE(7577)] = 166815,
  [SMALL_STATE(7578)] = 166827,
  [SMALL_STATE(7579)] = 166841,
  [SMALL_STATE(7580)] = 166853,
  [SMALL_STATE(7581)] = 166867,
  [SMALL_STATE(7582)] = 166881,
  [SMALL_STATE(7583)] = 166891,
  [SMALL_STATE(7584)] = 166903,
  [SMALL_STATE(7585)] = 166913,
  [SMALL_STATE(7586)] = 166927,
  [SMALL_STATE(7587)] = 166939,
  [SMALL_STATE(7588)] = 166951,
  [SMALL_STATE(7589)] = 166965,
  [SMALL_STATE(7590)] = 166979,
  [SMALL_STATE(7591)] = 166991,
  [SMALL_STATE(7592)] = 167003,
  [SMALL_STATE(7593)] = 167015,
  [SMALL_STATE(7594)] = 167029,
  [SMALL_STATE(7595)] = 167041,
  [SMALL_STATE(7596)] = 167055,
  [SMALL_STATE(7597)] = 167067,
  [SMALL_STATE(7598)] = 167079,
  [SMALL_STATE(7599)] = 167093,
  [SMALL_STATE(7600)] = 167107,
  [SMALL_STATE(7601)] = 167121,
  [SMALL_STATE(7602)] = 167135,
  [SMALL_STATE(7603)] = 167149,
  [SMALL_STATE(7604)] = 167161,
  [SMALL_STATE(7605)] = 167175,
  [SMALL_STATE(7606)] = 167187,
  [SMALL_STATE(7607)] = 167199,
  [SMALL_STATE(7608)] = 167211,
  [SMALL_STATE(7609)] = 167223,
  [SMALL_STATE(7610)] = 167237,
  [SMALL_STATE(7611)] = 167249,
  [SMALL_STATE(7612)] = 167263,
  [SMALL_STATE(7613)] = 167277,
  [SMALL_STATE(7614)] = 167289,
  [SMALL_STATE(7615)] = 167301,
  [SMALL_STATE(7616)] = 167315,
  [SMALL_STATE(7617)] = 167329,
  [SMALL_STATE(7618)] = 167341,
  [SMALL_STATE(7619)] = 167353,
  [SMALL_STATE(7620)] = 167363,
  [SMALL_STATE(7621)] = 167377,
  [SMALL_STATE(7622)] = 167391,
  [SMALL_STATE(7623)] = 167405,
  [SMALL_STATE(7624)] = 167419,
  [SMALL_STATE(7625)] = 167429,
  [SMALL_STATE(7626)] = 167443,
  [SMALL_STATE(7627)] = 167457,
  [SMALL_STATE(7628)] = 167471,
  [SMALL_STATE(7629)] = 167485,
  [SMALL_STATE(7630)] = 167499,
  [SMALL_STATE(7631)] = 167513,
  [SMALL_STATE(7632)] = 167527,
  [SMALL_STATE(7633)] = 167541,
  [SMALL_STATE(7634)] = 167553,
  [SMALL_STATE(7635)] = 167567,
  [SMALL_STATE(7636)] = 167579,
  [SMALL_STATE(7637)] = 167593,
  [SMALL_STATE(7638)] = 167605,
  [SMALL_STATE(7639)] = 167617,
  [SMALL_STATE(7640)] = 167631,
  [SMALL_STATE(7641)] = 167645,
  [SMALL_STATE(7642)] = 167659,
  [SMALL_STATE(7643)] = 167669,
  [SMALL_STATE(7644)] = 167683,
  [SMALL_STATE(7645)] = 167693,
  [SMALL_STATE(7646)] = 167707,
  [SMALL_STATE(7647)] = 167721,
  [SMALL_STATE(7648)] = 167733,
  [SMALL_STATE(7649)] = 167747,
  [SMALL_STATE(7650)] = 167761,
  [SMALL_STATE(7651)] = 167773,
  [SMALL_STATE(7652)] = 167783,
  [SMALL_STATE(7653)] = 167797,
  [SMALL_STATE(7654)] = 167811,
  [SMALL_STATE(7655)] = 167825,
  [SMALL_STATE(7656)] = 167839,
  [SMALL_STATE(7657)] = 167853,
  [SMALL_STATE(7658)] = 167867,
  [SMALL_STATE(7659)] = 167877,
  [SMALL_STATE(7660)] = 167891,
  [SMALL_STATE(7661)] = 167901,
  [SMALL_STATE(7662)] = 167915,
  [SMALL_STATE(7663)] = 167929,
  [SMALL_STATE(7664)] = 167943,
  [SMALL_STATE(7665)] = 167957,
  [SMALL_STATE(7666)] = 167971,
  [SMALL_STATE(7667)] = 167985,
  [SMALL_STATE(7668)] = 167997,
  [SMALL_STATE(7669)] = 168011,
  [SMALL_STATE(7670)] = 168025,
  [SMALL_STATE(7671)] = 168037,
  [SMALL_STATE(7672)] = 168049,
  [SMALL_STATE(7673)] = 168063,
  [SMALL_STATE(7674)] = 168077,
  [SMALL_STATE(7675)] = 168091,
  [SMALL_STATE(7676)] = 168103,
  [SMALL_STATE(7677)] = 168113,
  [SMALL_STATE(7678)] = 168125,
  [SMALL_STATE(7679)] = 168137,
  [SMALL_STATE(7680)] = 168149,
  [SMALL_STATE(7681)] = 168158,
  [SMALL_STATE(7682)] = 168169,
  [SMALL_STATE(7683)] = 168180,
  [SMALL_STATE(7684)] = 168191,
  [SMALL_STATE(7685)] = 168200,
  [SMALL_STATE(7686)] = 168211,
  [SMALL_STATE(7687)] = 168222,
  [SMALL_STATE(7688)] = 168231,
  [SMALL_STATE(7689)] = 168242,
  [SMALL_STATE(7690)] = 168253,
  [SMALL_STATE(7691)] = 168262,
  [SMALL_STATE(7692)] = 168271,
  [SMALL_STATE(7693)] = 168282,
  [SMALL_STATE(7694)] = 168293,
  [SMALL_STATE(7695)] = 168302,
  [SMALL_STATE(7696)] = 168313,
  [SMALL_STATE(7697)] = 168324,
  [SMALL_STATE(7698)] = 168335,
  [SMALL_STATE(7699)] = 168346,
  [SMALL_STATE(7700)] = 168357,
  [SMALL_STATE(7701)] = 168366,
  [SMALL_STATE(7702)] = 168377,
  [SMALL_STATE(7703)] = 168388,
  [SMALL_STATE(7704)] = 168397,
  [SMALL_STATE(7705)] = 168408,
  [SMALL_STATE(7706)] = 168419,
  [SMALL_STATE(7707)] = 168430,
  [SMALL_STATE(7708)] = 168441,
  [SMALL_STATE(7709)] = 168452,
  [SMALL_STATE(7710)] = 168461,
  [SMALL_STATE(7711)] = 168470,
  [SMALL_STATE(7712)] = 168481,
  [SMALL_STATE(7713)] = 168492,
  [SMALL_STATE(7714)] = 168501,
  [SMALL_STATE(7715)] = 168510,
  [SMALL_STATE(7716)] = 168521,
  [SMALL_STATE(7717)] = 168532,
  [SMALL_STATE(7718)] = 168541,
  [SMALL_STATE(7719)] = 168552,
  [SMALL_STATE(7720)] = 168563,
  [SMALL_STATE(7721)] = 168572,
  [SMALL_STATE(7722)] = 168583,
  [SMALL_STATE(7723)] = 168594,
  [SMALL_STATE(7724)] = 168603,
  [SMALL_STATE(7725)] = 168612,
  [SMALL_STATE(7726)] = 168623,
  [SMALL_STATE(7727)] = 168634,
  [SMALL_STATE(7728)] = 168643,
  [SMALL_STATE(7729)] = 168654,
  [SMALL_STATE(7730)] = 168665,
  [SMALL_STATE(7731)] = 168676,
  [SMALL_STATE(7732)] = 168685,
  [SMALL_STATE(7733)] = 168696,
  [SMALL_STATE(7734)] = 168707,
  [SMALL_STATE(7735)] = 168716,
  [SMALL_STATE(7736)] = 168725,
  [SMALL_STATE(7737)] = 168736,
  [SMALL_STATE(7738)] = 168747,
  [SMALL_STATE(7739)] = 168756,
  [SMALL_STATE(7740)] = 168767,
  [SMALL_STATE(7741)] = 168778,
  [SMALL_STATE(7742)] = 168787,
  [SMALL_STATE(7743)] = 168798,
  [SMALL_STATE(7744)] = 168809,
  [SMALL_STATE(7745)] = 168820,
  [SMALL_STATE(7746)] = 168831,
  [SMALL_STATE(7747)] = 168842,
  [SMALL_STATE(7748)] = 168853,
  [SMALL_STATE(7749)] = 168862,
  [SMALL_STATE(7750)] = 168871,
  [SMALL_STATE(7751)] = 168880,
  [SMALL_STATE(7752)] = 168891,
  [SMALL_STATE(7753)] = 168900,
  [SMALL_STATE(7754)] = 168909,
  [SMALL_STATE(7755)] = 168918,
  [SMALL_STATE(7756)] = 168927,
  [SMALL_STATE(7757)] = 168936,
  [SMALL_STATE(7758)] = 168945,
  [SMALL_STATE(7759)] = 168954,
  [SMALL_STATE(7760)] = 168965,
  [SMALL_STATE(7761)] = 168974,
  [SMALL_STATE(7762)] = 168985,
  [SMALL_STATE(7763)] = 168996,
  [SMALL_STATE(7764)] = 169007,
  [SMALL_STATE(7765)] = 169018,
  [SMALL_STATE(7766)] = 169027,
  [SMALL_STATE(7767)] = 169036,
  [SMALL_STATE(7768)] = 169047,
  [SMALL_STATE(7769)] = 169056,
  [SMALL_STATE(7770)] = 169065,
  [SMALL_STATE(7771)] = 169074,
  [SMALL_STATE(7772)] = 169083,
  [SMALL_STATE(7773)] = 169094,
  [SMALL_STATE(7774)] = 169105,
  [SMALL_STATE(7775)] = 169116,
  [SMALL_STATE(7776)] = 169127,
  [SMALL_STATE(7777)] = 169136,
  [SMALL_STATE(7778)] = 169145,
  [SMALL_STATE(7779)] = 169156,
  [SMALL_STATE(7780)] = 169165,
  [SMALL_STATE(7781)] = 169174,
  [SMALL_STATE(7782)] = 169183,
  [SMALL_STATE(7783)] = 169192,
  [SMALL_STATE(7784)] = 169201,
  [SMALL_STATE(7785)] = 169210,
  [SMALL_STATE(7786)] = 169221,
  [SMALL_STATE(7787)] = 169230,
  [SMALL_STATE(7788)] = 169239,
  [SMALL_STATE(7789)] = 169248,
  [SMALL_STATE(7790)] = 169259,
  [SMALL_STATE(7791)] = 169268,
  [SMALL_STATE(7792)] = 169279,
  [SMALL_STATE(7793)] = 169290,
  [SMALL_STATE(7794)] = 169301,
  [SMALL_STATE(7795)] = 169310,
  [SMALL_STATE(7796)] = 169321,
  [SMALL_STATE(7797)] = 169330,
  [SMALL_STATE(7798)] = 169339,
  [SMALL_STATE(7799)] = 169350,
  [SMALL_STATE(7800)] = 169359,
  [SMALL_STATE(7801)] = 169368,
  [SMALL_STATE(7802)] = 169377,
  [SMALL_STATE(7803)] = 169388,
  [SMALL_STATE(7804)] = 169397,
  [SMALL_STATE(7805)] = 169406,
  [SMALL_STATE(7806)] = 169415,
  [SMALL_STATE(7807)] = 169424,
  [SMALL_STATE(7808)] = 169435,
  [SMALL_STATE(7809)] = 169444,
  [SMALL_STATE(7810)] = 169453,
  [SMALL_STATE(7811)] = 169464,
  [SMALL_STATE(7812)] = 169475,
  [SMALL_STATE(7813)] = 169486,
  [SMALL_STATE(7814)] = 169495,
  [SMALL_STATE(7815)] = 169504,
  [SMALL_STATE(7816)] = 169515,
  [SMALL_STATE(7817)] = 169524,
  [SMALL_STATE(7818)] = 169533,
  [SMALL_STATE(7819)] = 169542,
  [SMALL_STATE(7820)] = 169551,
  [SMALL_STATE(7821)] = 169560,
  [SMALL_STATE(7822)] = 169569,
  [SMALL_STATE(7823)] = 169578,
  [SMALL_STATE(7824)] = 169587,
  [SMALL_STATE(7825)] = 169596,
  [SMALL_STATE(7826)] = 169607,
  [SMALL_STATE(7827)] = 169616,
  [SMALL_STATE(7828)] = 169625,
  [SMALL_STATE(7829)] = 169636,
  [SMALL_STATE(7830)] = 169647,
  [SMALL_STATE(7831)] = 169656,
  [SMALL_STATE(7832)] = 169665,
  [SMALL_STATE(7833)] = 169674,
  [SMALL_STATE(7834)] = 169683,
  [SMALL_STATE(7835)] = 169692,
  [SMALL_STATE(7836)] = 169701,
  [SMALL_STATE(7837)] = 169710,
  [SMALL_STATE(7838)] = 169721,
  [SMALL_STATE(7839)] = 169732,
  [SMALL_STATE(7840)] = 169743,
  [SMALL_STATE(7841)] = 169754,
  [SMALL_STATE(7842)] = 169763,
  [SMALL_STATE(7843)] = 169774,
  [SMALL_STATE(7844)] = 169783,
  [SMALL_STATE(7845)] = 169792,
  [SMALL_STATE(7846)] = 169803,
  [SMALL_STATE(7847)] = 169814,
  [SMALL_STATE(7848)] = 169823,
  [SMALL_STATE(7849)] = 169832,
  [SMALL_STATE(7850)] = 169843,
  [SMALL_STATE(7851)] = 169854,
  [SMALL_STATE(7852)] = 169863,
  [SMALL_STATE(7853)] = 169874,
  [SMALL_STATE(7854)] = 169883,
  [SMALL_STATE(7855)] = 169892,
  [SMALL_STATE(7856)] = 169901,
  [SMALL_STATE(7857)] = 169910,
  [SMALL_STATE(7858)] = 169919,
  [SMALL_STATE(7859)] = 169928,
  [SMALL_STATE(7860)] = 169937,
  [SMALL_STATE(7861)] = 169946,
  [SMALL_STATE(7862)] = 169957,
  [SMALL_STATE(7863)] = 169966,
  [SMALL_STATE(7864)] = 169975,
  [SMALL_STATE(7865)] = 169986,
  [SMALL_STATE(7866)] = 169995,
  [SMALL_STATE(7867)] = 170004,
  [SMALL_STATE(7868)] = 170015,
  [SMALL_STATE(7869)] = 170024,
  [SMALL_STATE(7870)] = 170033,
  [SMALL_STATE(7871)] = 170044,
  [SMALL_STATE(7872)] = 170053,
  [SMALL_STATE(7873)] = 170062,
  [SMALL_STATE(7874)] = 170071,
  [SMALL_STATE(7875)] = 170082,
  [SMALL_STATE(7876)] = 170091,
  [SMALL_STATE(7877)] = 170102,
  [SMALL_STATE(7878)] = 170111,
  [SMALL_STATE(7879)] = 170122,
  [SMALL_STATE(7880)] = 170131,
  [SMALL_STATE(7881)] = 170140,
  [SMALL_STATE(7882)] = 170151,
  [SMALL_STATE(7883)] = 170162,
  [SMALL_STATE(7884)] = 170171,
  [SMALL_STATE(7885)] = 170180,
  [SMALL_STATE(7886)] = 170189,
  [SMALL_STATE(7887)] = 170198,
  [SMALL_STATE(7888)] = 170209,
  [SMALL_STATE(7889)] = 170218,
  [SMALL_STATE(7890)] = 170227,
  [SMALL_STATE(7891)] = 170236,
  [SMALL_STATE(7892)] = 170245,
  [SMALL_STATE(7893)] = 170256,
  [SMALL_STATE(7894)] = 170267,
  [SMALL_STATE(7895)] = 170276,
  [SMALL_STATE(7896)] = 170285,
  [SMALL_STATE(7897)] = 170294,
  [SMALL_STATE(7898)] = 170305,
  [SMALL_STATE(7899)] = 170314,
  [SMALL_STATE(7900)] = 170323,
  [SMALL_STATE(7901)] = 170334,
  [SMALL_STATE(7902)] = 170345,
  [SMALL_STATE(7903)] = 170354,
  [SMALL_STATE(7904)] = 170363,
  [SMALL_STATE(7905)] = 170374,
  [SMALL_STATE(7906)] = 170383,
  [SMALL_STATE(7907)] = 170392,
  [SMALL_STATE(7908)] = 170401,
  [SMALL_STATE(7909)] = 170410,
  [SMALL_STATE(7910)] = 170421,
  [SMALL_STATE(7911)] = 170430,
  [SMALL_STATE(7912)] = 170441,
  [SMALL_STATE(7913)] = 170452,
  [SMALL_STATE(7914)] = 170461,
  [SMALL_STATE(7915)] = 170472,
  [SMALL_STATE(7916)] = 170483,
  [SMALL_STATE(7917)] = 170494,
  [SMALL_STATE(7918)] = 170503,
  [SMALL_STATE(7919)] = 170512,
  [SMALL_STATE(7920)] = 170521,
  [SMALL_STATE(7921)] = 170532,
  [SMALL_STATE(7922)] = 170541,
  [SMALL_STATE(7923)] = 170550,
  [SMALL_STATE(7924)] = 170559,
  [SMALL_STATE(7925)] = 170568,
  [SMALL_STATE(7926)] = 170577,
  [SMALL_STATE(7927)] = 170588,
  [SMALL_STATE(7928)] = 170597,
  [SMALL_STATE(7929)] = 170606,
  [SMALL_STATE(7930)] = 170615,
  [SMALL_STATE(7931)] = 170624,
  [SMALL_STATE(7932)] = 170635,
  [SMALL_STATE(7933)] = 170646,
  [SMALL_STATE(7934)] = 170655,
  [SMALL_STATE(7935)] = 170666,
  [SMALL_STATE(7936)] = 170675,
  [SMALL_STATE(7937)] = 170684,
  [SMALL_STATE(7938)] = 170695,
  [SMALL_STATE(7939)] = 170704,
  [SMALL_STATE(7940)] = 170713,
  [SMALL_STATE(7941)] = 170722,
  [SMALL_STATE(7942)] = 170733,
  [SMALL_STATE(7943)] = 170742,
  [SMALL_STATE(7944)] = 170753,
  [SMALL_STATE(7945)] = 170762,
  [SMALL_STATE(7946)] = 170771,
  [SMALL_STATE(7947)] = 170780,
  [SMALL_STATE(7948)] = 170791,
  [SMALL_STATE(7949)] = 170800,
  [SMALL_STATE(7950)] = 170809,
  [SMALL_STATE(7951)] = 170818,
  [SMALL_STATE(7952)] = 170827,
  [SMALL_STATE(7953)] = 170836,
  [SMALL_STATE(7954)] = 170847,
  [SMALL_STATE(7955)] = 170858,
  [SMALL_STATE(7956)] = 170869,
  [SMALL_STATE(7957)] = 170878,
  [SMALL_STATE(7958)] = 170887,
  [SMALL_STATE(7959)] = 170896,
  [SMALL_STATE(7960)] = 170905,
  [SMALL_STATE(7961)] = 170916,
  [SMALL_STATE(7962)] = 170925,
  [SMALL_STATE(7963)] = 170936,
  [SMALL_STATE(7964)] = 170945,
  [SMALL_STATE(7965)] = 170954,
  [SMALL_STATE(7966)] = 170965,
  [SMALL_STATE(7967)] = 170974,
  [SMALL_STATE(7968)] = 170983,
  [SMALL_STATE(7969)] = 170992,
  [SMALL_STATE(7970)] = 171003,
  [SMALL_STATE(7971)] = 171012,
  [SMALL_STATE(7972)] = 171023,
  [SMALL_STATE(7973)] = 171034,
  [SMALL_STATE(7974)] = 171043,
  [SMALL_STATE(7975)] = 171054,
  [SMALL_STATE(7976)] = 171063,
  [SMALL_STATE(7977)] = 171074,
  [SMALL_STATE(7978)] = 171083,
  [SMALL_STATE(7979)] = 171092,
  [SMALL_STATE(7980)] = 171101,
  [SMALL_STATE(7981)] = 171112,
  [SMALL_STATE(7982)] = 171123,
  [SMALL_STATE(7983)] = 171132,
  [SMALL_STATE(7984)] = 171141,
  [SMALL_STATE(7985)] = 171150,
  [SMALL_STATE(7986)] = 171159,
  [SMALL_STATE(7987)] = 171168,
  [SMALL_STATE(7988)] = 171179,
  [SMALL_STATE(7989)] = 171188,
  [SMALL_STATE(7990)] = 171197,
  [SMALL_STATE(7991)] = 171206,
  [SMALL_STATE(7992)] = 171215,
  [SMALL_STATE(7993)] = 171224,
  [SMALL_STATE(7994)] = 171235,
  [SMALL_STATE(7995)] = 171244,
  [SMALL_STATE(7996)] = 171253,
  [SMALL_STATE(7997)] = 171262,
  [SMALL_STATE(7998)] = 171273,
  [SMALL_STATE(7999)] = 171284,
  [SMALL_STATE(8000)] = 171293,
  [SMALL_STATE(8001)] = 171302,
  [SMALL_STATE(8002)] = 171313,
  [SMALL_STATE(8003)] = 171322,
  [SMALL_STATE(8004)] = 171333,
  [SMALL_STATE(8005)] = 171342,
  [SMALL_STATE(8006)] = 171351,
  [SMALL_STATE(8007)] = 171360,
  [SMALL_STATE(8008)] = 171369,
  [SMALL_STATE(8009)] = 171378,
  [SMALL_STATE(8010)] = 171387,
  [SMALL_STATE(8011)] = 171398,
  [SMALL_STATE(8012)] = 171407,
  [SMALL_STATE(8013)] = 171416,
  [SMALL_STATE(8014)] = 171425,
  [SMALL_STATE(8015)] = 171434,
  [SMALL_STATE(8016)] = 171443,
  [SMALL_STATE(8017)] = 171452,
  [SMALL_STATE(8018)] = 171461,
  [SMALL_STATE(8019)] = 171472,
  [SMALL_STATE(8020)] = 171481,
  [SMALL_STATE(8021)] = 171492,
  [SMALL_STATE(8022)] = 171503,
  [SMALL_STATE(8023)] = 171512,
  [SMALL_STATE(8024)] = 171523,
  [SMALL_STATE(8025)] = 171534,
  [SMALL_STATE(8026)] = 171543,
  [SMALL_STATE(8027)] = 171554,
  [SMALL_STATE(8028)] = 171563,
  [SMALL_STATE(8029)] = 171574,
  [SMALL_STATE(8030)] = 171585,
  [SMALL_STATE(8031)] = 171596,
  [SMALL_STATE(8032)] = 171605,
  [SMALL_STATE(8033)] = 171616,
  [SMALL_STATE(8034)] = 171627,
  [SMALL_STATE(8035)] = 171638,
  [SMALL_STATE(8036)] = 171649,
  [SMALL_STATE(8037)] = 171658,
  [SMALL_STATE(8038)] = 171669,
  [SMALL_STATE(8039)] = 171680,
  [SMALL_STATE(8040)] = 171689,
  [SMALL_STATE(8041)] = 171700,
  [SMALL_STATE(8042)] = 171709,
  [SMALL_STATE(8043)] = 171720,
  [SMALL_STATE(8044)] = 171729,
  [SMALL_STATE(8045)] = 171740,
  [SMALL_STATE(8046)] = 171751,
  [SMALL_STATE(8047)] = 171762,
  [SMALL_STATE(8048)] = 171771,
  [SMALL_STATE(8049)] = 171782,
  [SMALL_STATE(8050)] = 171791,
  [SMALL_STATE(8051)] = 171800,
  [SMALL_STATE(8052)] = 171809,
  [SMALL_STATE(8053)] = 171820,
  [SMALL_STATE(8054)] = 171831,
  [SMALL_STATE(8055)] = 171840,
  [SMALL_STATE(8056)] = 171851,
  [SMALL_STATE(8057)] = 171862,
  [SMALL_STATE(8058)] = 171871,
  [SMALL_STATE(8059)] = 171880,
  [SMALL_STATE(8060)] = 171889,
  [SMALL_STATE(8061)] = 171900,
  [SMALL_STATE(8062)] = 171911,
  [SMALL_STATE(8063)] = 171922,
  [SMALL_STATE(8064)] = 171933,
  [SMALL_STATE(8065)] = 171944,
  [SMALL_STATE(8066)] = 171953,
  [SMALL_STATE(8067)] = 171964,
  [SMALL_STATE(8068)] = 171975,
  [SMALL_STATE(8069)] = 171986,
  [SMALL_STATE(8070)] = 171995,
  [SMALL_STATE(8071)] = 172006,
  [SMALL_STATE(8072)] = 172017,
  [SMALL_STATE(8073)] = 172026,
  [SMALL_STATE(8074)] = 172035,
  [SMALL_STATE(8075)] = 172044,
  [SMALL_STATE(8076)] = 172053,
  [SMALL_STATE(8077)] = 172064,
  [SMALL_STATE(8078)] = 172075,
  [SMALL_STATE(8079)] = 172086,
  [SMALL_STATE(8080)] = 172097,
  [SMALL_STATE(8081)] = 172105,
  [SMALL_STATE(8082)] = 172113,
  [SMALL_STATE(8083)] = 172121,
  [SMALL_STATE(8084)] = 172129,
  [SMALL_STATE(8085)] = 172137,
  [SMALL_STATE(8086)] = 172145,
  [SMALL_STATE(8087)] = 172153,
  [SMALL_STATE(8088)] = 172161,
  [SMALL_STATE(8089)] = 172169,
  [SMALL_STATE(8090)] = 172177,
  [SMALL_STATE(8091)] = 172185,
  [SMALL_STATE(8092)] = 172193,
  [SMALL_STATE(8093)] = 172201,
  [SMALL_STATE(8094)] = 172209,
  [SMALL_STATE(8095)] = 172217,
  [SMALL_STATE(8096)] = 172225,
  [SMALL_STATE(8097)] = 172233,
  [SMALL_STATE(8098)] = 172241,
  [SMALL_STATE(8099)] = 172249,
  [SMALL_STATE(8100)] = 172257,
  [SMALL_STATE(8101)] = 172265,
  [SMALL_STATE(8102)] = 172273,
  [SMALL_STATE(8103)] = 172281,
  [SMALL_STATE(8104)] = 172289,
  [SMALL_STATE(8105)] = 172297,
  [SMALL_STATE(8106)] = 172305,
  [SMALL_STATE(8107)] = 172313,
  [SMALL_STATE(8108)] = 172321,
  [SMALL_STATE(8109)] = 172329,
  [SMALL_STATE(8110)] = 172337,
  [SMALL_STATE(8111)] = 172345,
  [SMALL_STATE(8112)] = 172353,
  [SMALL_STATE(8113)] = 172361,
  [SMALL_STATE(8114)] = 172369,
  [SMALL_STATE(8115)] = 172377,
  [SMALL_STATE(8116)] = 172385,
  [SMALL_STATE(8117)] = 172393,
  [SMALL_STATE(8118)] = 172401,
  [SMALL_STATE(8119)] = 172409,
  [SMALL_STATE(8120)] = 172417,
  [SMALL_STATE(8121)] = 172425,
  [SMALL_STATE(8122)] = 172433,
  [SMALL_STATE(8123)] = 172441,
  [SMALL_STATE(8124)] = 172449,
  [SMALL_STATE(8125)] = 172457,
  [SMALL_STATE(8126)] = 172465,
  [SMALL_STATE(8127)] = 172473,
  [SMALL_STATE(8128)] = 172481,
  [SMALL_STATE(8129)] = 172489,
  [SMALL_STATE(8130)] = 172497,
  [SMALL_STATE(8131)] = 172505,
  [SMALL_STATE(8132)] = 172513,
  [SMALL_STATE(8133)] = 172521,
  [SMALL_STATE(8134)] = 172529,
  [SMALL_STATE(8135)] = 172537,
  [SMALL_STATE(8136)] = 172545,
  [SMALL_STATE(8137)] = 172553,
  [SMALL_STATE(8138)] = 172561,
  [SMALL_STATE(8139)] = 172569,
  [SMALL_STATE(8140)] = 172577,
  [SMALL_STATE(8141)] = 172585,
  [SMALL_STATE(8142)] = 172593,
  [SMALL_STATE(8143)] = 172601,
  [SMALL_STATE(8144)] = 172609,
  [SMALL_STATE(8145)] = 172617,
  [SMALL_STATE(8146)] = 172625,
  [SMALL_STATE(8147)] = 172633,
  [SMALL_STATE(8148)] = 172641,
  [SMALL_STATE(8149)] = 172649,
  [SMALL_STATE(8150)] = 172657,
  [SMALL_STATE(8151)] = 172665,
  [SMALL_STATE(8152)] = 172673,
  [SMALL_STATE(8153)] = 172681,
  [SMALL_STATE(8154)] = 172689,
  [SMALL_STATE(8155)] = 172697,
  [SMALL_STATE(8156)] = 172705,
  [SMALL_STATE(8157)] = 172713,
  [SMALL_STATE(8158)] = 172721,
  [SMALL_STATE(8159)] = 172729,
  [SMALL_STATE(8160)] = 172737,
  [SMALL_STATE(8161)] = 172745,
  [SMALL_STATE(8162)] = 172753,
  [SMALL_STATE(8163)] = 172761,
  [SMALL_STATE(8164)] = 172769,
  [SMALL_STATE(8165)] = 172777,
  [SMALL_STATE(8166)] = 172785,
  [SMALL_STATE(8167)] = 172793,
  [SMALL_STATE(8168)] = 172801,
  [SMALL_STATE(8169)] = 172809,
  [SMALL_STATE(8170)] = 172817,
  [SMALL_STATE(8171)] = 172825,
  [SMALL_STATE(8172)] = 172833,
  [SMALL_STATE(8173)] = 172841,
  [SMALL_STATE(8174)] = 172849,
  [SMALL_STATE(8175)] = 172857,
  [SMALL_STATE(8176)] = 172865,
  [SMALL_STATE(8177)] = 172873,
  [SMALL_STATE(8178)] = 172881,
  [SMALL_STATE(8179)] = 172889,
  [SMALL_STATE(8180)] = 172897,
  [SMALL_STATE(8181)] = 172905,
  [SMALL_STATE(8182)] = 172913,
  [SMALL_STATE(8183)] = 172921,
  [SMALL_STATE(8184)] = 172929,
  [SMALL_STATE(8185)] = 172937,
  [SMALL_STATE(8186)] = 172945,
  [SMALL_STATE(8187)] = 172953,
  [SMALL_STATE(8188)] = 172961,
  [SMALL_STATE(8189)] = 172969,
  [SMALL_STATE(8190)] = 172977,
  [SMALL_STATE(8191)] = 172985,
  [SMALL_STATE(8192)] = 172993,
  [SMALL_STATE(8193)] = 173001,
  [SMALL_STATE(8194)] = 173009,
  [SMALL_STATE(8195)] = 173017,
  [SMALL_STATE(8196)] = 173025,
  [SMALL_STATE(8197)] = 173033,
  [SMALL_STATE(8198)] = 173041,
  [SMALL_STATE(8199)] = 173049,
  [SMALL_STATE(8200)] = 173057,
  [SMALL_STATE(8201)] = 173065,
  [SMALL_STATE(8202)] = 173073,
  [SMALL_STATE(8203)] = 173081,
  [SMALL_STATE(8204)] = 173089,
  [SMALL_STATE(8205)] = 173097,
  [SMALL_STATE(8206)] = 173105,
  [SMALL_STATE(8207)] = 173113,
  [SMALL_STATE(8208)] = 173121,
  [SMALL_STATE(8209)] = 173129,
  [SMALL_STATE(8210)] = 173137,
  [SMALL_STATE(8211)] = 173145,
  [SMALL_STATE(8212)] = 173153,
  [SMALL_STATE(8213)] = 173161,
  [SMALL_STATE(8214)] = 173169,
  [SMALL_STATE(8215)] = 173177,
  [SMALL_STATE(8216)] = 173185,
  [SMALL_STATE(8217)] = 173193,
  [SMALL_STATE(8218)] = 173201,
  [SMALL_STATE(8219)] = 173209,
  [SMALL_STATE(8220)] = 173217,
  [SMALL_STATE(8221)] = 173225,
  [SMALL_STATE(8222)] = 173233,
  [SMALL_STATE(8223)] = 173241,
  [SMALL_STATE(8224)] = 173249,
  [SMALL_STATE(8225)] = 173257,
  [SMALL_STATE(8226)] = 173265,
  [SMALL_STATE(8227)] = 173273,
  [SMALL_STATE(8228)] = 173281,
  [SMALL_STATE(8229)] = 173289,
  [SMALL_STATE(8230)] = 173297,
  [SMALL_STATE(8231)] = 173305,
  [SMALL_STATE(8232)] = 173313,
  [SMALL_STATE(8233)] = 173321,
  [SMALL_STATE(8234)] = 173329,
  [SMALL_STATE(8235)] = 173337,
  [SMALL_STATE(8236)] = 173345,
  [SMALL_STATE(8237)] = 173353,
  [SMALL_STATE(8238)] = 173361,
  [SMALL_STATE(8239)] = 173369,
  [SMALL_STATE(8240)] = 173377,
  [SMALL_STATE(8241)] = 173385,
  [SMALL_STATE(8242)] = 173393,
  [SMALL_STATE(8243)] = 173401,
  [SMALL_STATE(8244)] = 173409,
  [SMALL_STATE(8245)] = 173417,
  [SMALL_STATE(8246)] = 173425,
  [SMALL_STATE(8247)] = 173433,
  [SMALL_STATE(8248)] = 173441,
  [SMALL_STATE(8249)] = 173449,
  [SMALL_STATE(8250)] = 173457,
  [SMALL_STATE(8251)] = 173465,
  [SMALL_STATE(8252)] = 173473,
  [SMALL_STATE(8253)] = 173481,
  [SMALL_STATE(8254)] = 173489,
  [SMALL_STATE(8255)] = 173497,
  [SMALL_STATE(8256)] = 173505,
  [SMALL_STATE(8257)] = 173513,
  [SMALL_STATE(8258)] = 173521,
  [SMALL_STATE(8259)] = 173529,
  [SMALL_STATE(8260)] = 173537,
  [SMALL_STATE(8261)] = 173545,
  [SMALL_STATE(8262)] = 173553,
  [SMALL_STATE(8263)] = 173561,
  [SMALL_STATE(8264)] = 173569,
  [SMALL_STATE(8265)] = 173577,
  [SMALL_STATE(8266)] = 173585,
  [SMALL_STATE(8267)] = 173593,
  [SMALL_STATE(8268)] = 173601,
  [SMALL_STATE(8269)] = 173609,
  [SMALL_STATE(8270)] = 173617,
  [SMALL_STATE(8271)] = 173625,
  [SMALL_STATE(8272)] = 173633,
  [SMALL_STATE(8273)] = 173641,
  [SMALL_STATE(8274)] = 173649,
  [SMALL_STATE(8275)] = 173657,
  [SMALL_STATE(8276)] = 173665,
  [SMALL_STATE(8277)] = 173673,
  [SMALL_STATE(8278)] = 173681,
  [SMALL_STATE(8279)] = 173689,
  [SMALL_STATE(8280)] = 173697,
  [SMALL_STATE(8281)] = 173705,
  [SMALL_STATE(8282)] = 173713,
  [SMALL_STATE(8283)] = 173721,
  [SMALL_STATE(8284)] = 173729,
  [SMALL_STATE(8285)] = 173737,
  [SMALL_STATE(8286)] = 173745,
  [SMALL_STATE(8287)] = 173753,
  [SMALL_STATE(8288)] = 173761,
  [SMALL_STATE(8289)] = 173769,
  [SMALL_STATE(8290)] = 173777,
  [SMALL_STATE(8291)] = 173785,
  [SMALL_STATE(8292)] = 173793,
  [SMALL_STATE(8293)] = 173801,
  [SMALL_STATE(8294)] = 173809,
  [SMALL_STATE(8295)] = 173817,
  [SMALL_STATE(8296)] = 173825,
  [SMALL_STATE(8297)] = 173833,
  [SMALL_STATE(8298)] = 173841,
  [SMALL_STATE(8299)] = 173849,
  [SMALL_STATE(8300)] = 173857,
  [SMALL_STATE(8301)] = 173865,
  [SMALL_STATE(8302)] = 173873,
  [SMALL_STATE(8303)] = 173881,
  [SMALL_STATE(8304)] = 173889,
  [SMALL_STATE(8305)] = 173897,
  [SMALL_STATE(8306)] = 173905,
  [SMALL_STATE(8307)] = 173913,
  [SMALL_STATE(8308)] = 173921,
  [SMALL_STATE(8309)] = 173929,
  [SMALL_STATE(8310)] = 173937,
  [SMALL_STATE(8311)] = 173945,
  [SMALL_STATE(8312)] = 173953,
  [SMALL_STATE(8313)] = 173961,
  [SMALL_STATE(8314)] = 173969,
  [SMALL_STATE(8315)] = 173977,
  [SMALL_STATE(8316)] = 173985,
  [SMALL_STATE(8317)] = 173993,
  [SMALL_STATE(8318)] = 174001,
  [SMALL_STATE(8319)] = 174009,
  [SMALL_STATE(8320)] = 174017,
  [SMALL_STATE(8321)] = 174025,
  [SMALL_STATE(8322)] = 174033,
  [SMALL_STATE(8323)] = 174041,
  [SMALL_STATE(8324)] = 174049,
  [SMALL_STATE(8325)] = 174057,
  [SMALL_STATE(8326)] = 174065,
  [SMALL_STATE(8327)] = 174073,
  [SMALL_STATE(8328)] = 174081,
  [SMALL_STATE(8329)] = 174089,
  [SMALL_STATE(8330)] = 174097,
  [SMALL_STATE(8331)] = 174105,
  [SMALL_STATE(8332)] = 174113,
  [SMALL_STATE(8333)] = 174121,
  [SMALL_STATE(8334)] = 174129,
  [SMALL_STATE(8335)] = 174137,
  [SMALL_STATE(8336)] = 174145,
  [SMALL_STATE(8337)] = 174153,
  [SMALL_STATE(8338)] = 174161,
  [SMALL_STATE(8339)] = 174169,
  [SMALL_STATE(8340)] = 174177,
  [SMALL_STATE(8341)] = 174185,
  [SMALL_STATE(8342)] = 174193,
  [SMALL_STATE(8343)] = 174201,
  [SMALL_STATE(8344)] = 174209,
  [SMALL_STATE(8345)] = 174217,
  [SMALL_STATE(8346)] = 174225,
  [SMALL_STATE(8347)] = 174233,
  [SMALL_STATE(8348)] = 174241,
  [SMALL_STATE(8349)] = 174249,
  [SMALL_STATE(8350)] = 174257,
  [SMALL_STATE(8351)] = 174265,
  [SMALL_STATE(8352)] = 174273,
  [SMALL_STATE(8353)] = 174281,
  [SMALL_STATE(8354)] = 174289,
  [SMALL_STATE(8355)] = 174297,
  [SMALL_STATE(8356)] = 174305,
  [SMALL_STATE(8357)] = 174313,
  [SMALL_STATE(8358)] = 174321,
  [SMALL_STATE(8359)] = 174329,
  [SMALL_STATE(8360)] = 174337,
  [SMALL_STATE(8361)] = 174345,
  [SMALL_STATE(8362)] = 174353,
  [SMALL_STATE(8363)] = 174361,
  [SMALL_STATE(8364)] = 174369,
  [SMALL_STATE(8365)] = 174377,
  [SMALL_STATE(8366)] = 174385,
  [SMALL_STATE(8367)] = 174393,
  [SMALL_STATE(8368)] = 174401,
  [SMALL_STATE(8369)] = 174409,
  [SMALL_STATE(8370)] = 174417,
  [SMALL_STATE(8371)] = 174425,
  [SMALL_STATE(8372)] = 174433,
  [SMALL_STATE(8373)] = 174441,
  [SMALL_STATE(8374)] = 174449,
  [SMALL_STATE(8375)] = 174457,
  [SMALL_STATE(8376)] = 174465,
  [SMALL_STATE(8377)] = 174473,
  [SMALL_STATE(8378)] = 174481,
  [SMALL_STATE(8379)] = 174489,
  [SMALL_STATE(8380)] = 174497,
  [SMALL_STATE(8381)] = 174505,
  [SMALL_STATE(8382)] = 174513,
  [SMALL_STATE(8383)] = 174521,
  [SMALL_STATE(8384)] = 174529,
  [SMALL_STATE(8385)] = 174537,
  [SMALL_STATE(8386)] = 174545,
  [SMALL_STATE(8387)] = 174553,
  [SMALL_STATE(8388)] = 174561,
  [SMALL_STATE(8389)] = 174569,
  [SMALL_STATE(8390)] = 174577,
  [SMALL_STATE(8391)] = 174585,
  [SMALL_STATE(8392)] = 174593,
  [SMALL_STATE(8393)] = 174601,
  [SMALL_STATE(8394)] = 174609,
  [SMALL_STATE(8395)] = 174617,
  [SMALL_STATE(8396)] = 174625,
  [SMALL_STATE(8397)] = 174633,
  [SMALL_STATE(8398)] = 174641,
  [SMALL_STATE(8399)] = 174649,
  [SMALL_STATE(8400)] = 174657,
  [SMALL_STATE(8401)] = 174665,
  [SMALL_STATE(8402)] = 174673,
  [SMALL_STATE(8403)] = 174681,
  [SMALL_STATE(8404)] = 174689,
  [SMALL_STATE(8405)] = 174697,
  [SMALL_STATE(8406)] = 174705,
  [SMALL_STATE(8407)] = 174713,
  [SMALL_STATE(8408)] = 174721,
  [SMALL_STATE(8409)] = 174729,
  [SMALL_STATE(8410)] = 174737,
  [SMALL_STATE(8411)] = 174745,
  [SMALL_STATE(8412)] = 174753,
  [SMALL_STATE(8413)] = 174761,
  [SMALL_STATE(8414)] = 174769,
  [SMALL_STATE(8415)] = 174777,
  [SMALL_STATE(8416)] = 174785,
  [SMALL_STATE(8417)] = 174793,
  [SMALL_STATE(8418)] = 174801,
  [SMALL_STATE(8419)] = 174809,
  [SMALL_STATE(8420)] = 174817,
  [SMALL_STATE(8421)] = 174825,
  [SMALL_STATE(8422)] = 174833,
  [SMALL_STATE(8423)] = 174841,
  [SMALL_STATE(8424)] = 174849,
  [SMALL_STATE(8425)] = 174857,
  [SMALL_STATE(8426)] = 174865,
  [SMALL_STATE(8427)] = 174873,
  [SMALL_STATE(8428)] = 174881,
  [SMALL_STATE(8429)] = 174889,
  [SMALL_STATE(8430)] = 174897,
  [SMALL_STATE(8431)] = 174905,
  [SMALL_STATE(8432)] = 174913,
  [SMALL_STATE(8433)] = 174921,
  [SMALL_STATE(8434)] = 174929,
  [SMALL_STATE(8435)] = 174937,
  [SMALL_STATE(8436)] = 174945,
  [SMALL_STATE(8437)] = 174953,
  [SMALL_STATE(8438)] = 174961,
  [SMALL_STATE(8439)] = 174969,
  [SMALL_STATE(8440)] = 174977,
  [SMALL_STATE(8441)] = 174985,
  [SMALL_STATE(8442)] = 174993,
  [SMALL_STATE(8443)] = 175001,
  [SMALL_STATE(8444)] = 175009,
  [SMALL_STATE(8445)] = 175017,
  [SMALL_STATE(8446)] = 175025,
  [SMALL_STATE(8447)] = 175033,
  [SMALL_STATE(8448)] = 175041,
  [SMALL_STATE(8449)] = 175049,
  [SMALL_STATE(8450)] = 175057,
  [SMALL_STATE(8451)] = 175065,
  [SMALL_STATE(8452)] = 175073,
  [SMALL_STATE(8453)] = 175081,
  [SMALL_STATE(8454)] = 175089,
  [SMALL_STATE(8455)] = 175097,
  [SMALL_STATE(8456)] = 175105,
  [SMALL_STATE(8457)] = 175113,
  [SMALL_STATE(8458)] = 175121,
  [SMALL_STATE(8459)] = 175129,
  [SMALL_STATE(8460)] = 175137,
  [SMALL_STATE(8461)] = 175145,
  [SMALL_STATE(8462)] = 175153,
  [SMALL_STATE(8463)] = 175161,
  [SMALL_STATE(8464)] = 175169,
  [SMALL_STATE(8465)] = 175177,
  [SMALL_STATE(8466)] = 175185,
  [SMALL_STATE(8467)] = 175193,
  [SMALL_STATE(8468)] = 175201,
  [SMALL_STATE(8469)] = 175209,
  [SMALL_STATE(8470)] = 175217,
  [SMALL_STATE(8471)] = 175225,
  [SMALL_STATE(8472)] = 175233,
  [SMALL_STATE(8473)] = 175241,
  [SMALL_STATE(8474)] = 175249,
  [SMALL_STATE(8475)] = 175257,
  [SMALL_STATE(8476)] = 175265,
  [SMALL_STATE(8477)] = 175273,
  [SMALL_STATE(8478)] = 175281,
  [SMALL_STATE(8479)] = 175289,
  [SMALL_STATE(8480)] = 175297,
  [SMALL_STATE(8481)] = 175305,
  [SMALL_STATE(8482)] = 175313,
  [SMALL_STATE(8483)] = 175321,
  [SMALL_STATE(8484)] = 175329,
  [SMALL_STATE(8485)] = 175337,
  [SMALL_STATE(8486)] = 175345,
  [SMALL_STATE(8487)] = 175353,
  [SMALL_STATE(8488)] = 175361,
  [SMALL_STATE(8489)] = 175369,
  [SMALL_STATE(8490)] = 175377,
  [SMALL_STATE(8491)] = 175385,
  [SMALL_STATE(8492)] = 175393,
  [SMALL_STATE(8493)] = 175401,
  [SMALL_STATE(8494)] = 175409,
  [SMALL_STATE(8495)] = 175417,
  [SMALL_STATE(8496)] = 175425,
  [SMALL_STATE(8497)] = 175433,
  [SMALL_STATE(8498)] = 175441,
  [SMALL_STATE(8499)] = 175449,
  [SMALL_STATE(8500)] = 175457,
  [SMALL_STATE(8501)] = 175465,
  [SMALL_STATE(8502)] = 175473,
  [SMALL_STATE(8503)] = 175481,
  [SMALL_STATE(8504)] = 175489,
  [SMALL_STATE(8505)] = 175497,
  [SMALL_STATE(8506)] = 175505,
  [SMALL_STATE(8507)] = 175513,
  [SMALL_STATE(8508)] = 175521,
  [SMALL_STATE(8509)] = 175529,
  [SMALL_STATE(8510)] = 175537,
  [SMALL_STATE(8511)] = 175545,
  [SMALL_STATE(8512)] = 175553,
  [SMALL_STATE(8513)] = 175561,
  [SMALL_STATE(8514)] = 175569,
  [SMALL_STATE(8515)] = 175577,
  [SMALL_STATE(8516)] = 175585,
  [SMALL_STATE(8517)] = 175593,
  [SMALL_STATE(8518)] = 175601,
  [SMALL_STATE(8519)] = 175609,
  [SMALL_STATE(8520)] = 175617,
  [SMALL_STATE(8521)] = 175625,
  [SMALL_STATE(8522)] = 175633,
  [SMALL_STATE(8523)] = 175641,
  [SMALL_STATE(8524)] = 175649,
  [SMALL_STATE(8525)] = 175657,
  [SMALL_STATE(8526)] = 175665,
  [SMALL_STATE(8527)] = 175673,
  [SMALL_STATE(8528)] = 175681,
  [SMALL_STATE(8529)] = 175689,
  [SMALL_STATE(8530)] = 175697,
  [SMALL_STATE(8531)] = 175705,
  [SMALL_STATE(8532)] = 175713,
  [SMALL_STATE(8533)] = 175721,
  [SMALL_STATE(8534)] = 175729,
  [SMALL_STATE(8535)] = 175737,
  [SMALL_STATE(8536)] = 175745,
  [SMALL_STATE(8537)] = 175753,
  [SMALL_STATE(8538)] = 175761,
  [SMALL_STATE(8539)] = 175769,
  [SMALL_STATE(8540)] = 175777,
  [SMALL_STATE(8541)] = 175785,
  [SMALL_STATE(8542)] = 175793,
  [SMALL_STATE(8543)] = 175801,
  [SMALL_STATE(8544)] = 175809,
  [SMALL_STATE(8545)] = 175817,
  [SMALL_STATE(8546)] = 175825,
  [SMALL_STATE(8547)] = 175833,
  [SMALL_STATE(8548)] = 175841,
  [SMALL_STATE(8549)] = 175849,
  [SMALL_STATE(8550)] = 175857,
  [SMALL_STATE(8551)] = 175865,
  [SMALL_STATE(8552)] = 175873,
  [SMALL_STATE(8553)] = 175881,
  [SMALL_STATE(8554)] = 175889,
  [SMALL_STATE(8555)] = 175897,
  [SMALL_STATE(8556)] = 175905,
  [SMALL_STATE(8557)] = 175913,
  [SMALL_STATE(8558)] = 175921,
  [SMALL_STATE(8559)] = 175929,
  [SMALL_STATE(8560)] = 175937,
  [SMALL_STATE(8561)] = 175945,
  [SMALL_STATE(8562)] = 175953,
  [SMALL_STATE(8563)] = 175961,
  [SMALL_STATE(8564)] = 175969,
  [SMALL_STATE(8565)] = 175977,
  [SMALL_STATE(8566)] = 175985,
  [SMALL_STATE(8567)] = 175993,
  [SMALL_STATE(8568)] = 176001,
  [SMALL_STATE(8569)] = 176009,
  [SMALL_STATE(8570)] = 176017,
  [SMALL_STATE(8571)] = 176025,
  [SMALL_STATE(8572)] = 176033,
  [SMALL_STATE(8573)] = 176041,
  [SMALL_STATE(8574)] = 176049,
  [SMALL_STATE(8575)] = 176057,
  [SMALL_STATE(8576)] = 176065,
  [SMALL_STATE(8577)] = 176073,
  [SMALL_STATE(8578)] = 176081,
  [SMALL_STATE(8579)] = 176089,
  [SMALL_STATE(8580)] = 176097,
  [SMALL_STATE(8581)] = 176105,
  [SMALL_STATE(8582)] = 176113,
  [SMALL_STATE(8583)] = 176121,
  [SMALL_STATE(8584)] = 176129,
  [SMALL_STATE(8585)] = 176137,
  [SMALL_STATE(8586)] = 176145,
  [SMALL_STATE(8587)] = 176153,
  [SMALL_STATE(8588)] = 176161,
  [SMALL_STATE(8589)] = 176169,
  [SMALL_STATE(8590)] = 176177,
  [SMALL_STATE(8591)] = 176185,
  [SMALL_STATE(8592)] = 176193,
  [SMALL_STATE(8593)] = 176201,
  [SMALL_STATE(8594)] = 176209,
  [SMALL_STATE(8595)] = 176217,
  [SMALL_STATE(8596)] = 176225,
  [SMALL_STATE(8597)] = 176233,
  [SMALL_STATE(8598)] = 176241,
  [SMALL_STATE(8599)] = 176249,
  [SMALL_STATE(8600)] = 176257,
  [SMALL_STATE(8601)] = 176265,
  [SMALL_STATE(8602)] = 176273,
  [SMALL_STATE(8603)] = 176281,
  [SMALL_STATE(8604)] = 176289,
  [SMALL_STATE(8605)] = 176297,
  [SMALL_STATE(8606)] = 176305,
  [SMALL_STATE(8607)] = 176313,
  [SMALL_STATE(8608)] = 176321,
  [SMALL_STATE(8609)] = 176329,
  [SMALL_STATE(8610)] = 176337,
  [SMALL_STATE(8611)] = 176345,
  [SMALL_STATE(8612)] = 176353,
  [SMALL_STATE(8613)] = 176361,
  [SMALL_STATE(8614)] = 176369,
  [SMALL_STATE(8615)] = 176377,
  [SMALL_STATE(8616)] = 176385,
  [SMALL_STATE(8617)] = 176393,
  [SMALL_STATE(8618)] = 176401,
  [SMALL_STATE(8619)] = 176409,
  [SMALL_STATE(8620)] = 176417,
  [SMALL_STATE(8621)] = 176425,
  [SMALL_STATE(8622)] = 176433,
  [SMALL_STATE(8623)] = 176441,
  [SMALL_STATE(8624)] = 176449,
  [SMALL_STATE(8625)] = 176457,
  [SMALL_STATE(8626)] = 176465,
  [SMALL_STATE(8627)] = 176473,
  [SMALL_STATE(8628)] = 176481,
  [SMALL_STATE(8629)] = 176489,
  [SMALL_STATE(8630)] = 176497,
  [SMALL_STATE(8631)] = 176505,
  [SMALL_STATE(8632)] = 176513,
  [SMALL_STATE(8633)] = 176521,
  [SMALL_STATE(8634)] = 176529,
  [SMALL_STATE(8635)] = 176537,
  [SMALL_STATE(8636)] = 176545,
  [SMALL_STATE(8637)] = 176553,
  [SMALL_STATE(8638)] = 176561,
  [SMALL_STATE(8639)] = 176569,
  [SMALL_STATE(8640)] = 176577,
  [SMALL_STATE(8641)] = 176585,
  [SMALL_STATE(8642)] = 176593,
  [SMALL_STATE(8643)] = 176601,
  [SMALL_STATE(8644)] = 176609,
  [SMALL_STATE(8645)] = 176617,
  [SMALL_STATE(8646)] = 176625,
  [SMALL_STATE(8647)] = 176633,
  [SMALL_STATE(8648)] = 176641,
  [SMALL_STATE(8649)] = 176649,
  [SMALL_STATE(8650)] = 176657,
  [SMALL_STATE(8651)] = 176665,
  [SMALL_STATE(8652)] = 176673,
  [SMALL_STATE(8653)] = 176681,
  [SMALL_STATE(8654)] = 176689,
  [SMALL_STATE(8655)] = 176697,
  [SMALL_STATE(8656)] = 176705,
  [SMALL_STATE(8657)] = 176713,
  [SMALL_STATE(8658)] = 176721,
  [SMALL_STATE(8659)] = 176729,
  [SMALL_STATE(8660)] = 176737,
  [SMALL_STATE(8661)] = 176745,
  [SMALL_STATE(8662)] = 176753,
  [SMALL_STATE(8663)] = 176761,
  [SMALL_STATE(8664)] = 176769,
  [SMALL_STATE(8665)] = 176777,
  [SMALL_STATE(8666)] = 176785,
  [SMALL_STATE(8667)] = 176793,
  [SMALL_STATE(8668)] = 176801,
  [SMALL_STATE(8669)] = 176809,
  [SMALL_STATE(8670)] = 176817,
  [SMALL_STATE(8671)] = 176825,
  [SMALL_STATE(8672)] = 176833,
  [SMALL_STATE(8673)] = 176841,
  [SMALL_STATE(8674)] = 176849,
  [SMALL_STATE(8675)] = 176857,
  [SMALL_STATE(8676)] = 176865,
  [SMALL_STATE(8677)] = 176873,
  [SMALL_STATE(8678)] = 176881,
  [SMALL_STATE(8679)] = 176889,
  [SMALL_STATE(8680)] = 176897,
  [SMALL_STATE(8681)] = 176905,
  [SMALL_STATE(8682)] = 176913,
  [SMALL_STATE(8683)] = 176921,
  [SMALL_STATE(8684)] = 176929,
  [SMALL_STATE(8685)] = 176937,
  [SMALL_STATE(8686)] = 176945,
  [SMALL_STATE(8687)] = 176953,
  [SMALL_STATE(8688)] = 176961,
  [SMALL_STATE(8689)] = 176969,
  [SMALL_STATE(8690)] = 176977,
  [SMALL_STATE(8691)] = 176985,
  [SMALL_STATE(8692)] = 176993,
  [SMALL_STATE(8693)] = 177001,
  [SMALL_STATE(8694)] = 177009,
  [SMALL_STATE(8695)] = 177017,
  [SMALL_STATE(8696)] = 177025,
  [SMALL_STATE(8697)] = 177033,
  [SMALL_STATE(8698)] = 177041,
  [SMALL_STATE(8699)] = 177049,
  [SMALL_STATE(8700)] = 177057,
  [SMALL_STATE(8701)] = 177065,
  [SMALL_STATE(8702)] = 177073,
  [SMALL_STATE(8703)] = 177081,
  [SMALL_STATE(8704)] = 177089,
  [SMALL_STATE(8705)] = 177097,
  [SMALL_STATE(8706)] = 177105,
  [SMALL_STATE(8707)] = 177113,
  [SMALL_STATE(8708)] = 177121,
  [SMALL_STATE(8709)] = 177129,
  [SMALL_STATE(8710)] = 177137,
  [SMALL_STATE(8711)] = 177145,
  [SMALL_STATE(8712)] = 177153,
  [SMALL_STATE(8713)] = 177161,
  [SMALL_STATE(8714)] = 177169,
  [SMALL_STATE(8715)] = 177177,
  [SMALL_STATE(8716)] = 177185,
  [SMALL_STATE(8717)] = 177193,
  [SMALL_STATE(8718)] = 177201,
  [SMALL_STATE(8719)] = 177209,
  [SMALL_STATE(8720)] = 177217,
  [SMALL_STATE(8721)] = 177225,
  [SMALL_STATE(8722)] = 177233,
  [SMALL_STATE(8723)] = 177241,
  [SMALL_STATE(8724)] = 177249,
  [SMALL_STATE(8725)] = 177257,
  [SMALL_STATE(8726)] = 177265,
  [SMALL_STATE(8727)] = 177273,
  [SMALL_STATE(8728)] = 177281,
  [SMALL_STATE(8729)] = 177289,
  [SMALL_STATE(8730)] = 177297,
  [SMALL_STATE(8731)] = 177305,
  [SMALL_STATE(8732)] = 177313,
  [SMALL_STATE(8733)] = 177321,
  [SMALL_STATE(8734)] = 177329,
  [SMALL_STATE(8735)] = 177337,
  [SMALL_STATE(8736)] = 177345,
  [SMALL_STATE(8737)] = 177353,
  [SMALL_STATE(8738)] = 177361,
  [SMALL_STATE(8739)] = 177369,
  [SMALL_STATE(8740)] = 177377,
  [SMALL_STATE(8741)] = 177385,
  [SMALL_STATE(8742)] = 177393,
  [SMALL_STATE(8743)] = 177401,
  [SMALL_STATE(8744)] = 177409,
  [SMALL_STATE(8745)] = 177417,
  [SMALL_STATE(8746)] = 177425,
  [SMALL_STATE(8747)] = 177433,
  [SMALL_STATE(8748)] = 177441,
  [SMALL_STATE(8749)] = 177449,
  [SMALL_STATE(8750)] = 177457,
  [SMALL_STATE(8751)] = 177465,
  [SMALL_STATE(8752)] = 177473,
  [SMALL_STATE(8753)] = 177481,
  [SMALL_STATE(8754)] = 177489,
  [SMALL_STATE(8755)] = 177497,
  [SMALL_STATE(8756)] = 177505,
  [SMALL_STATE(8757)] = 177513,
  [SMALL_STATE(8758)] = 177521,
  [SMALL_STATE(8759)] = 177529,
  [SMALL_STATE(8760)] = 177537,
  [SMALL_STATE(8761)] = 177545,
  [SMALL_STATE(8762)] = 177553,
  [SMALL_STATE(8763)] = 177561,
  [SMALL_STATE(8764)] = 177569,
  [SMALL_STATE(8765)] = 177577,
  [SMALL_STATE(8766)] = 177585,
  [SMALL_STATE(8767)] = 177593,
  [SMALL_STATE(8768)] = 177601,
  [SMALL_STATE(8769)] = 177609,
  [SMALL_STATE(8770)] = 177617,
  [SMALL_STATE(8771)] = 177625,
  [SMALL_STATE(8772)] = 177633,
  [SMALL_STATE(8773)] = 177641,
  [SMALL_STATE(8774)] = 177649,
  [SMALL_STATE(8775)] = 177657,
  [SMALL_STATE(8776)] = 177665,
  [SMALL_STATE(8777)] = 177673,
  [SMALL_STATE(8778)] = 177681,
  [SMALL_STATE(8779)] = 177689,
  [SMALL_STATE(8780)] = 177697,
  [SMALL_STATE(8781)] = 177705,
  [SMALL_STATE(8782)] = 177713,
  [SMALL_STATE(8783)] = 177721,
  [SMALL_STATE(8784)] = 177729,
  [SMALL_STATE(8785)] = 177737,
  [SMALL_STATE(8786)] = 177745,
  [SMALL_STATE(8787)] = 177753,
  [SMALL_STATE(8788)] = 177761,
  [SMALL_STATE(8789)] = 177769,
  [SMALL_STATE(8790)] = 177777,
  [SMALL_STATE(8791)] = 177785,
  [SMALL_STATE(8792)] = 177793,
  [SMALL_STATE(8793)] = 177801,
  [SMALL_STATE(8794)] = 177809,
  [SMALL_STATE(8795)] = 177817,
  [SMALL_STATE(8796)] = 177825,
  [SMALL_STATE(8797)] = 177833,
  [SMALL_STATE(8798)] = 177841,
  [SMALL_STATE(8799)] = 177849,
  [SMALL_STATE(8800)] = 177857,
  [SMALL_STATE(8801)] = 177865,
  [SMALL_STATE(8802)] = 177873,
  [SMALL_STATE(8803)] = 177881,
  [SMALL_STATE(8804)] = 177889,
  [SMALL_STATE(8805)] = 177897,
  [SMALL_STATE(8806)] = 177905,
  [SMALL_STATE(8807)] = 177913,
  [SMALL_STATE(8808)] = 177921,
  [SMALL_STATE(8809)] = 177929,
  [SMALL_STATE(8810)] = 177937,
  [SMALL_STATE(8811)] = 177945,
  [SMALL_STATE(8812)] = 177953,
  [SMALL_STATE(8813)] = 177961,
  [SMALL_STATE(8814)] = 177969,
  [SMALL_STATE(8815)] = 177977,
  [SMALL_STATE(8816)] = 177985,
  [SMALL_STATE(8817)] = 177993,
  [SMALL_STATE(8818)] = 178001,
  [SMALL_STATE(8819)] = 178009,
  [SMALL_STATE(8820)] = 178017,
  [SMALL_STATE(8821)] = 178025,
  [SMALL_STATE(8822)] = 178033,
  [SMALL_STATE(8823)] = 178041,
  [SMALL_STATE(8824)] = 178049,
  [SMALL_STATE(8825)] = 178057,
  [SMALL_STATE(8826)] = 178065,
  [SMALL_STATE(8827)] = 178073,
  [SMALL_STATE(8828)] = 178081,
  [SMALL_STATE(8829)] = 178089,
  [SMALL_STATE(8830)] = 178097,
  [SMALL_STATE(8831)] = 178105,
  [SMALL_STATE(8832)] = 178113,
  [SMALL_STATE(8833)] = 178121,
  [SMALL_STATE(8834)] = 178129,
  [SMALL_STATE(8835)] = 178137,
  [SMALL_STATE(8836)] = 178145,
  [SMALL_STATE(8837)] = 178153,
  [SMALL_STATE(8838)] = 178161,
  [SMALL_STATE(8839)] = 178169,
  [SMALL_STATE(8840)] = 178177,
  [SMALL_STATE(8841)] = 178185,
  [SMALL_STATE(8842)] = 178193,
  [SMALL_STATE(8843)] = 178201,
  [SMALL_STATE(8844)] = 178209,
  [SMALL_STATE(8845)] = 178217,
  [SMALL_STATE(8846)] = 178225,
  [SMALL_STATE(8847)] = 178233,
  [SMALL_STATE(8848)] = 178241,
  [SMALL_STATE(8849)] = 178249,
  [SMALL_STATE(8850)] = 178257,
  [SMALL_STATE(8851)] = 178265,
  [SMALL_STATE(8852)] = 178273,
  [SMALL_STATE(8853)] = 178281,
  [SMALL_STATE(8854)] = 178289,
  [SMALL_STATE(8855)] = 178297,
  [SMALL_STATE(8856)] = 178305,
  [SMALL_STATE(8857)] = 178313,
  [SMALL_STATE(8858)] = 178321,
  [SMALL_STATE(8859)] = 178329,
  [SMALL_STATE(8860)] = 178337,
  [SMALL_STATE(8861)] = 178345,
  [SMALL_STATE(8862)] = 178353,
  [SMALL_STATE(8863)] = 178361,
  [SMALL_STATE(8864)] = 178369,
  [SMALL_STATE(8865)] = 178377,
  [SMALL_STATE(8866)] = 178385,
  [SMALL_STATE(8867)] = 178393,
  [SMALL_STATE(8868)] = 178401,
  [SMALL_STATE(8869)] = 178409,
  [SMALL_STATE(8870)] = 178417,
  [SMALL_STATE(8871)] = 178425,
  [SMALL_STATE(8872)] = 178433,
  [SMALL_STATE(8873)] = 178441,
  [SMALL_STATE(8874)] = 178449,
  [SMALL_STATE(8875)] = 178457,
  [SMALL_STATE(8876)] = 178465,
  [SMALL_STATE(8877)] = 178473,
  [SMALL_STATE(8878)] = 178481,
  [SMALL_STATE(8879)] = 178489,
  [SMALL_STATE(8880)] = 178497,
  [SMALL_STATE(8881)] = 178505,
  [SMALL_STATE(8882)] = 178513,
  [SMALL_STATE(8883)] = 178521,
  [SMALL_STATE(8884)] = 178529,
  [SMALL_STATE(8885)] = 178537,
  [SMALL_STATE(8886)] = 178545,
  [SMALL_STATE(8887)] = 178553,
  [SMALL_STATE(8888)] = 178561,
  [SMALL_STATE(8889)] = 178569,
  [SMALL_STATE(8890)] = 178577,
  [SMALL_STATE(8891)] = 178585,
  [SMALL_STATE(8892)] = 178593,
  [SMALL_STATE(8893)] = 178601,
  [SMALL_STATE(8894)] = 178609,
  [SMALL_STATE(8895)] = 178617,
  [SMALL_STATE(8896)] = 178625,
  [SMALL_STATE(8897)] = 178633,
  [SMALL_STATE(8898)] = 178641,
  [SMALL_STATE(8899)] = 178649,
  [SMALL_STATE(8900)] = 178657,
  [SMALL_STATE(8901)] = 178665,
  [SMALL_STATE(8902)] = 178673,
  [SMALL_STATE(8903)] = 178681,
  [SMALL_STATE(8904)] = 178689,
  [SMALL_STATE(8905)] = 178697,
  [SMALL_STATE(8906)] = 178705,
  [SMALL_STATE(8907)] = 178713,
  [SMALL_STATE(8908)] = 178721,
  [SMALL_STATE(8909)] = 178729,
  [SMALL_STATE(8910)] = 178737,
  [SMALL_STATE(8911)] = 178745,
  [SMALL_STATE(8912)] = 178753,
  [SMALL_STATE(8913)] = 178761,
  [SMALL_STATE(8914)] = 178769,
  [SMALL_STATE(8915)] = 178777,
  [SMALL_STATE(8916)] = 178785,
  [SMALL_STATE(8917)] = 178793,
  [SMALL_STATE(8918)] = 178801,
  [SMALL_STATE(8919)] = 178809,
  [SMALL_STATE(8920)] = 178817,
  [SMALL_STATE(8921)] = 178825,
  [SMALL_STATE(8922)] = 178833,
  [SMALL_STATE(8923)] = 178841,
  [SMALL_STATE(8924)] = 178849,
  [SMALL_STATE(8925)] = 178857,
  [SMALL_STATE(8926)] = 178865,
  [SMALL_STATE(8927)] = 178873,
  [SMALL_STATE(8928)] = 178881,
  [SMALL_STATE(8929)] = 178889,
  [SMALL_STATE(8930)] = 178897,
  [SMALL_STATE(8931)] = 178905,
  [SMALL_STATE(8932)] = 178913,
  [SMALL_STATE(8933)] = 178921,
  [SMALL_STATE(8934)] = 178929,
  [SMALL_STATE(8935)] = 178937,
  [SMALL_STATE(8936)] = 178945,
  [SMALL_STATE(8937)] = 178953,
  [SMALL_STATE(8938)] = 178961,
  [SMALL_STATE(8939)] = 178969,
  [SMALL_STATE(8940)] = 178977,
  [SMALL_STATE(8941)] = 178985,
  [SMALL_STATE(8942)] = 178993,
  [SMALL_STATE(8943)] = 179001,
  [SMALL_STATE(8944)] = 179009,
  [SMALL_STATE(8945)] = 179017,
  [SMALL_STATE(8946)] = 179025,
  [SMALL_STATE(8947)] = 179033,
  [SMALL_STATE(8948)] = 179041,
  [SMALL_STATE(8949)] = 179049,
  [SMALL_STATE(8950)] = 179057,
  [SMALL_STATE(8951)] = 179065,
  [SMALL_STATE(8952)] = 179073,
  [SMALL_STATE(8953)] = 179081,
  [SMALL_STATE(8954)] = 179089,
  [SMALL_STATE(8955)] = 179097,
  [SMALL_STATE(8956)] = 179105,
  [SMALL_STATE(8957)] = 179113,
  [SMALL_STATE(8958)] = 179121,
  [SMALL_STATE(8959)] = 179129,
  [SMALL_STATE(8960)] = 179137,
  [SMALL_STATE(8961)] = 179145,
  [SMALL_STATE(8962)] = 179153,
  [SMALL_STATE(8963)] = 179161,
  [SMALL_STATE(8964)] = 179169,
  [SMALL_STATE(8965)] = 179177,
  [SMALL_STATE(8966)] = 179185,
  [SMALL_STATE(8967)] = 179193,
  [SMALL_STATE(8968)] = 179201,
  [SMALL_STATE(8969)] = 179209,
  [SMALL_STATE(8970)] = 179217,
  [SMALL_STATE(8971)] = 179225,
  [SMALL_STATE(8972)] = 179233,
  [SMALL_STATE(8973)] = 179241,
  [SMALL_STATE(8974)] = 179249,
  [SMALL_STATE(8975)] = 179257,
  [SMALL_STATE(8976)] = 179265,
  [SMALL_STATE(8977)] = 179273,
  [SMALL_STATE(8978)] = 179281,
  [SMALL_STATE(8979)] = 179289,
  [SMALL_STATE(8980)] = 179297,
  [SMALL_STATE(8981)] = 179305,
  [SMALL_STATE(8982)] = 179313,
  [SMALL_STATE(8983)] = 179321,
  [SMALL_STATE(8984)] = 179329,
  [SMALL_STATE(8985)] = 179337,
  [SMALL_STATE(8986)] = 179345,
  [SMALL_STATE(8987)] = 179353,
  [SMALL_STATE(8988)] = 179361,
  [SMALL_STATE(8989)] = 179369,
  [SMALL_STATE(8990)] = 179377,
  [SMALL_STATE(8991)] = 179385,
  [SMALL_STATE(8992)] = 179393,
  [SMALL_STATE(8993)] = 179401,
  [SMALL_STATE(8994)] = 179409,
  [SMALL_STATE(8995)] = 179417,
  [SMALL_STATE(8996)] = 179425,
  [SMALL_STATE(8997)] = 179433,
  [SMALL_STATE(8998)] = 179441,
  [SMALL_STATE(8999)] = 179449,
  [SMALL_STATE(9000)] = 179457,
  [SMALL_STATE(9001)] = 179465,
  [SMALL_STATE(9002)] = 179473,
  [SMALL_STATE(9003)] = 179481,
  [SMALL_STATE(9004)] = 179489,
  [SMALL_STATE(9005)] = 179497,
  [SMALL_STATE(9006)] = 179505,
  [SMALL_STATE(9007)] = 179513,
  [SMALL_STATE(9008)] = 179521,
  [SMALL_STATE(9009)] = 179529,
  [SMALL_STATE(9010)] = 179537,
  [SMALL_STATE(9011)] = 179545,
  [SMALL_STATE(9012)] = 179553,
  [SMALL_STATE(9013)] = 179561,
  [SMALL_STATE(9014)] = 179569,
  [SMALL_STATE(9015)] = 179577,
  [SMALL_STATE(9016)] = 179585,
  [SMALL_STATE(9017)] = 179593,
  [SMALL_STATE(9018)] = 179601,
  [SMALL_STATE(9019)] = 179609,
  [SMALL_STATE(9020)] = 179617,
  [SMALL_STATE(9021)] = 179625,
  [SMALL_STATE(9022)] = 179633,
  [SMALL_STATE(9023)] = 179641,
  [SMALL_STATE(9024)] = 179649,
  [SMALL_STATE(9025)] = 179657,
  [SMALL_STATE(9026)] = 179665,
  [SMALL_STATE(9027)] = 179673,
  [SMALL_STATE(9028)] = 179681,
  [SMALL_STATE(9029)] = 179689,
  [SMALL_STATE(9030)] = 179697,
  [SMALL_STATE(9031)] = 179705,
  [SMALL_STATE(9032)] = 179713,
  [SMALL_STATE(9033)] = 179721,
  [SMALL_STATE(9034)] = 179729,
  [SMALL_STATE(9035)] = 179737,
  [SMALL_STATE(9036)] = 179745,
  [SMALL_STATE(9037)] = 179753,
  [SMALL_STATE(9038)] = 179761,
  [SMALL_STATE(9039)] = 179769,
  [SMALL_STATE(9040)] = 179777,
  [SMALL_STATE(9041)] = 179785,
  [SMALL_STATE(9042)] = 179793,
  [SMALL_STATE(9043)] = 179801,
  [SMALL_STATE(9044)] = 179809,
  [SMALL_STATE(9045)] = 179817,
  [SMALL_STATE(9046)] = 179825,
  [SMALL_STATE(9047)] = 179833,
  [SMALL_STATE(9048)] = 179841,
  [SMALL_STATE(9049)] = 179849,
  [SMALL_STATE(9050)] = 179857,
  [SMALL_STATE(9051)] = 179865,
  [SMALL_STATE(9052)] = 179873,
  [SMALL_STATE(9053)] = 179881,
  [SMALL_STATE(9054)] = 179889,
  [SMALL_STATE(9055)] = 179897,
  [SMALL_STATE(9056)] = 179905,
  [SMALL_STATE(9057)] = 179913,
  [SMALL_STATE(9058)] = 179921,
  [SMALL_STATE(9059)] = 179929,
  [SMALL_STATE(9060)] = 179937,
  [SMALL_STATE(9061)] = 179945,
  [SMALL_STATE(9062)] = 179953,
  [SMALL_STATE(9063)] = 179961,
  [SMALL_STATE(9064)] = 179969,
  [SMALL_STATE(9065)] = 179977,
  [SMALL_STATE(9066)] = 179985,
  [SMALL_STATE(9067)] = 179993,
  [SMALL_STATE(9068)] = 180001,
  [SMALL_STATE(9069)] = 180009,
  [SMALL_STATE(9070)] = 180017,
  [SMALL_STATE(9071)] = 180025,
  [SMALL_STATE(9072)] = 180033,
  [SMALL_STATE(9073)] = 180041,
  [SMALL_STATE(9074)] = 180049,
  [SMALL_STATE(9075)] = 180057,
  [SMALL_STATE(9076)] = 180065,
  [SMALL_STATE(9077)] = 180073,
  [SMALL_STATE(9078)] = 180081,
  [SMALL_STATE(9079)] = 180089,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8800),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7767),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8609),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8958),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8161),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 2, 0, 18),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 3, 0, 72),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 18),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 138),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 18),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4338),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 72),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 4, 0, 18),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 72),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 18),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 5, 0, 138),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 138),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3742),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4359),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3488),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4338),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7764),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4072),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3839),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3362),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8800),
  [381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3543),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3844),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4992),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4058),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8773),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8036),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4030),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5995),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3981),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3725),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1991),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3353),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4771),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3354),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8615),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4949),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5628),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5002),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3333),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4965),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5022),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7793),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4917),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7914),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8609),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5040),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5012),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8908),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6438),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6739),
  [588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4816),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4971),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4953),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4956),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4995),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4725),
  [627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 1, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 3, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3766),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4378),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3492),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4345),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7955),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3318),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3842),
  [702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(192),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3815),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4363),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3411),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4232),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7792),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3986),
  [728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 72),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 138),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 18),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7870),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7882),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3767),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4380),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7974),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [1273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3543),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8666),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4030),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5995),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3954),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3725),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3340),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4938),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3999),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4949),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8908),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [1390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [1393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [1402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4554),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [1408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [1411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3757),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4372),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3486),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4335),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7870),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [1432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [1438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3543),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8666),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4030),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5995),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3954),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [1482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3725),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3340),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4938),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3999),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4949),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8908),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [1551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [1560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [1563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4554),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [1575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3786),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4401),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3491),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4342),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2003),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3706),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4310),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3424),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4188),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7954),
  [1620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3754),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4369),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3478),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4320),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7825),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3778),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4393),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7900),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3745),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4361),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7882),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 2, 0, 18),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 18),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 138),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 72),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 18),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 138),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 3, 0, 72),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 2, 0, 18),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 3, 0, 72),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 18),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 72),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 18),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 138),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 72),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 18),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 138),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 138),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 2, 0, 18),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3768),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4382),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3497),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4354),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7993),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [2421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4901),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4992),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3524),
  [2439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5002),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [2448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [2451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3333),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4965),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [2463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5022),
  [2475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7793),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4917),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [2490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7914),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8609),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5040),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [2502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5012),
  [2505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [2511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [2514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(6438),
  [2517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(6739),
  [2526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [2529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [2532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [2544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4816),
  [2547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4971),
  [2550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4953),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4956),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [2559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4995),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4725),
  [2565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [2571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 3, 0, 72),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 18),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 138),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 72),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 18),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 138),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(3789),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4404),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(3505),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4370),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(7716),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(3523),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(1708),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(3789),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4404),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(3505),
  [2679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4370),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(7716),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(3523),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191),
  [2692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(1708),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [2747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3789),
  [2750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4404),
  [2753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3505),
  [2756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4370),
  [2759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(7716),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3523),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(1708),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(3789),
  [2803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4404),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(3505),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4370),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(7716),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(3523),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(1708),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(3789),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4404),
  [2829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(3505),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4370),
  [2835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(7716),
  [2838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(3523),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(1708),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3789),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4404),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3505),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4370),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(7716),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3523),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(1708),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3789),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4404),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3505),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4370),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(7716),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3523),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0),
  [2899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(1708),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(3789),
  [2911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4404),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(3505),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4370),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(7716),
  [2923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(3523),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203),
  [2930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(1708),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(3789),
  [2940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4404),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(3505),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4370),
  [2949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(7716),
  [2952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(3523),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202),
  [2959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(1708),
  [2962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(3789),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4404),
  [2968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(3505),
  [2971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4370),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(7716),
  [2977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(3523),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(1708),
  [2987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3777),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4392),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3495),
  [2996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4350),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8071),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [3005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3789),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4404),
  [3011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3505),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4370),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7716),
  [3020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(3789),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4404),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(3505),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4370),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(7716),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(3523),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(1708),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(3789),
  [3057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4404),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(3505),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4370),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(7716),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(3523),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(1708),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(3789),
  [3084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4404),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(3505),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4370),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(7716),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(3523),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203),
  [3103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(1708),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(3789),
  [3109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4404),
  [3112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(3505),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4370),
  [3118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(7716),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(3523),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190),
  [3126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(1708),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(3789),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4404),
  [3135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(3505),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4370),
  [3141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(7716),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(3523),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191),
  [3149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(1708),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 1, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3796),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4411),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3452),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4381),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7740),
  [3285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(666),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 151),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 1, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [3302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3775),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4390),
  [3308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3409),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4233),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8063),
  [3317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(676),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4901),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [3338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4992),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3524),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5002),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [3355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [3361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3333),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4965),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [3373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5022),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7793),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [3388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4917),
  [3391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7914),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8609),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5040),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5012),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(6438),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(6739),
  [3433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [3439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [3442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4816),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4971),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4953),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4956),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4995),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4725),
  [3472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [3478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [3481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3776),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4391),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4322),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8068),
  [3499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [3502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [3504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [3509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4406),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3487),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4336),
  [3518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7722),
  [3521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [3552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0), SHIFT(3523),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0), SHIFT(3523),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0),
  [3576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 147), SHIFT(3523),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 147),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 147), SHIFT(3523),
  [3586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 147),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3717),
  [3591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4323),
  [3594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3466),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4346),
  [3600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7845),
  [3603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [3606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [3609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [3612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [3614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(698),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3543),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8666),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4030),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5995),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3954),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3725),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [3671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3340),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4938),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3999),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [3692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [3698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [3701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4949),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [3710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [3713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [3716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8908),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [3743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4554),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [3749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [3752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [3755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3779),
  [3758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4394),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3502),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4362),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [3773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3723),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4337),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3474),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4314),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7852),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3770),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4385),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3499),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4357),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8029),
  [3812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 147), SHIFT(3523),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 147),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0), SHIFT(3523),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0),
  [3831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0), SHIFT(3523),
  [3834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 147), SHIFT(3523),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 147),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7719),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [3877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3793),
  [3880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4408),
  [3883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3508),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4377),
  [3889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(7730),
  [3892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3523),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(1708),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3772),
  [3931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [3934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8040),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3793),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4408),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3508),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4377),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(7730),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3523),
  [3966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(1708),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7693),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3787),
  [4010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4402),
  [4013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3501),
  [4016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4360),
  [4019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7708),
  [4022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(727),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3793),
  [4030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4408),
  [4033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3508),
  [4036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4377),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7730),
  [4042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3739),
  [4054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4356),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3422),
  [4060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4212),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7897),
  [4066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(734),
  [4069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3733),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4349),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3482),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4329),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8010),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2092),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(3793),
  [4098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(4408),
  [4101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(3508),
  [4104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(4377),
  [4107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(7730),
  [4110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(3523),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 151), SHIFT(1708),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3793),
  [4127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4408),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3508),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4377),
  [4136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(7730),
  [4139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3523),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(1708),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(3793),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(4408),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(3508),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(4377),
  [4163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(7730),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(3523),
  [4169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 151), SHIFT(1708),
  [4172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(3793),
  [4175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(4408),
  [4178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(3508),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(4377),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(7730),
  [4187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(3523),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 151), SHIFT(1708),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3794),
  [4198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4409),
  [4201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3509),
  [4204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4379),
  [4207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(7733),
  [4210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3523),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3520),
  [4218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(1708),
  [4221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(3794),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(4409),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(3509),
  [4230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(4379),
  [4233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(7733),
  [4236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(3523),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(3520),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 3, 0, 151), SHIFT(1708),
  [4247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(3794),
  [4250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(4409),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(3509),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(4379),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(7733),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(3523),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(3520),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 151), SHIFT(1708),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(3523),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(3521),
  [4299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(1708),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(3523),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(3521),
  [4312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189),
  [4314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(1708),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 151),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(3523),
  [4326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(3521),
  [4329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201),
  [4331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(1708),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [4338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 1, 0, 0),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [4350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3748),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4364),
  [4356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3483),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4330),
  [4362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8021),
  [4365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [4368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(3523),
  [4371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(3521),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189),
  [4376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(1708),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3769),
  [4382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4384),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3475),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4315),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8023),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3751),
  [4406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4366),
  [4409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3489),
  [4412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4340),
  [4415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7785),
  [4418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [4421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3794),
  [4424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4409),
  [4427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3509),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4379),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(7733),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3523),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3520),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(1708),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3763),
  [4450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4376),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3493),
  [4456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4347),
  [4459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7943),
  [4462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 151),
  [4467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3781),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4396),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3503),
  [4476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4365),
  [4479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7689),
  [4482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [4488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4397),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3504),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4368),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7693),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(792),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3790),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4405),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3506),
  [4514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4373),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7719),
  [4520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(794),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [4528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4409),
  [4531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [4534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4379),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7733),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3797),
  [4548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4412),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [4554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4383),
  [4557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7744),
  [4560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(3523),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(3521),
  [4581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189),
  [4583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(1708),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(3523),
  [4601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(3521),
  [4604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(1708),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 146), SHIFT(3523),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 146), SHIFT(3521),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 146), SHIFT(1708),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 146), SHIFT(3523),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 146), SHIFT(3521),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 146), SHIFT(1708),
  [4647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3792),
  [4650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4407),
  [4653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3507),
  [4656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4375),
  [4659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7726),
  [4662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 146), SHIFT(3523),
  [4672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 146), SHIFT(3521),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 146), SHIFT(1708),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3783),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4398),
  [4684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7696),
  [4687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(826),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [4716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [4720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 3),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 3),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 2),
  [4726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 2),
  [4728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 5),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 5),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 6),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 6),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 18),
  [4738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 18),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 18),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 18),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 72),
  [4750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 72),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 72),
  [4756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 72),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 18),
  [4762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 18),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 18),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 18),
  [4770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 73),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 73),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 18),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 105),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 105),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [4792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 72),
  [4794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 72),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 72),
  [4800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 106),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 106),
  [4806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 18),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 18),
  [4812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 137),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 137),
  [4818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 72),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 72),
  [4824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 139),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 139),
  [4830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 163),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 163),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 71),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 71),
  [4844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 92),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 92),
  [4848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data, 2, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data, 2, 0, 0),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 18),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 18),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 37),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 37),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 3, 0, 15),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 3, 0, 15),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 3, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 2, 0, 49),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 2, 0, 49),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 3, 0, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 0),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 2, 0, 50),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 2, 0, 50),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 3, 0, 0),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 3, 0, 0),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 2, 0, 0),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 2, 0, 0),
  [4888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data, 3, 0, 0),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data, 3, 0, 0),
  [4892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 4, 0, 92),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 4, 0, 92),
  [4896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 40),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 40),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 104),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 104),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 4, 0, 15),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 4, 0, 15),
  [4908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 4, 0, 0),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4, 0, 0),
  [4912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 90),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 90),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 49),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 49),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 0),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 0),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 91),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 91),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 50),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 50),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 4, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 4, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 3, 0, 93),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 3, 0, 93),
  [4940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 3, 0, 0),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 3, 0, 0),
  [4944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 11),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 11),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 35),
  [4950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 35),
  [4952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 18),
  [4954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 18),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 18),
  [4958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [4962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 5, 0, 0),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 4, 0, 90),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 4, 0, 90),
  [4970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 4, 0, 91),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 4, 0, 91),
  [4974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 4, 0, 128),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 4, 0, 128),
  [4978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 4, 0, 93),
  [4980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 4, 0, 93),
  [4982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 105),
  [4984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 105),
  [4986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 72),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 72),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 72),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 106),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 106),
  [4996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 18),
  [4998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 18),
  [5000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 1, 0, 0),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [5004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 51),
  [5006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 51),
  [5008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 137),
  [5010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 137),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 72),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 72),
  [5016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 2, 0, 15),
  [5018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 2, 0, 15),
  [5020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 7, 0, 139),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 7, 0, 139),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 8, 0, 163),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 8, 0, 163),
  [5028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 3, 0, 0),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 3, 0, 0),
  [5032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 0),
  [5034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 0),
  [5036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 2, 0, 94),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 2, 0, 94),
  [5040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 4, 0, 0),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 4, 0, 0),
  [5044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 2, 0, 95),
  [5046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 2, 0, 95),
  [5048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 0),
  [5050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 0),
  [5052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 129),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 129),
  [5056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 94),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 94),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 5, 0, 0),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 5, 0, 0),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 130),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 130),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 95),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 95),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, 0, 0),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 0),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 4, 0, 129),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 4, 0, 129),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 6, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 6, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 4, 0, 130),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 4, 0, 130),
  [5088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, 0, 0),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 0),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 2, 0, 0),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 0),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 0),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 2, 0, 0),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 2, 0, 0),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 2, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 2, 0, 0),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 2, 0, 51),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 2, 0, 51),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 3, 0, 0),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 3, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 5, 0, 128),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 5, 0, 128),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 18),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 72),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 72),
  [5190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 72),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 72),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 18),
  [5206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 18),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 18),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 2, 0, 54),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 2, 0, 54),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 3, 0, 0),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 3, 0, 0),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 72),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 72),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 72),
  [5258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 97),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 97),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 54),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 54),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 0),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 0),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 4, 0, 97),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 4, 0, 97),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 18),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 18),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 18),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 139),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 139),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 137),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 137),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 198),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 198),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 105),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 105),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 182),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 182),
  [5390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 73),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 73),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 106),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 106),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 163),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 163),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 165),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 165),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 184),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 184),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 72),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 72),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 163),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 163),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 182),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 182),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 165),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 165),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 73),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 73),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 105),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 105),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 18),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 18),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 106),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 106),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 137),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 137),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 139),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 139),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 184),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 184),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 198),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 198),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program_statement, 2, 0, 13),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program_statement, 2, 0, 13),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 14),
  [5648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 14),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [5682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3248),
  [5685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3255),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 1, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [5692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(8161),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2035),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 1, 0, 1),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 1, 0, 1),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [5716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3216),
  [5719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3276),
  [5722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2031),
  [5725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 137),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 137),
  [5737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 182),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 182),
  [5743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 163),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 163),
  [5749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 72),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 72),
  [5755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 165),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 165),
  [5761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 18),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 18),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [5769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 72),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 72),
  [5775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 139),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 139),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 105),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [5797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 105),
  [5799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 72),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 72),
  [5805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 106),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 106),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 18),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 18),
  [5817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 18),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 18),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 4, 0, 72),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 4, 0, 72),
  [5829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 18),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 18),
  [5835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 73),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 73),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 73),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 73),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 137),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 137),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 139),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 139),
  [5871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 18),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 18),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 163),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 163),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 72),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 72),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [5885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 165),
  [5887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 165),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 105),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 105),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 9, 0, 182),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 9, 0, 182),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_statement, 2, 0, 0),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_statement, 2, 0, 0),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 5, 0, 107),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 5, 0, 107),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 7, 0, 166),
  [5937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 7, 0, 166),
  [5939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 106),
  [5941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 106),
  [5943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 2, 0, 16),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 2, 0, 16),
  [5947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 4, 0, 38),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 4, 0, 38),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 3, 0, 38),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 3, 0, 38),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 3, 0, 16),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 3, 0, 16),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [5967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [6001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [6004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [6007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 73),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 73),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 72),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 18),
  [6063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 139),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [6067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 139),
  [6069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 105),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 105),
  [6075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 165),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 165),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 72),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 18),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 106),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 106),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 137),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 137),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 72),
  [6109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [6143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 163),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [6147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 163),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 18),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [6155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 72),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [6171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 182),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 182),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 18),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [6201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 137),
  [6203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 137),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [6207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 163),
  [6209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 163),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [6229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 165),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 165),
  [6245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 139),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 139),
  [6261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 18),
  [6263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 72),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 73),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 73),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [6297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 105),
  [6299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 105),
  [6301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 182),
  [6303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 182),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 106),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 106),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [6327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [6367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 139),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 139),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 106),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 106),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 182),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 182),
  [6505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 105),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 105),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 72),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 72),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 18),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 18),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 73),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 73),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 18),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 18),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 72),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [6551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 72),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [6567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 72),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 72),
  [6573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 137),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 137),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 72),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 72),
  [6587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 18),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 18),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [6603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 163),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [6607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 163),
  [6609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 165),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [6613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 165),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 18),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [6621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 18),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 73),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 73),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [6791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 1, 0, 0),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [6921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 137),
  [6923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 137),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 139),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 139),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 163),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 163),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [6953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 165),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 165),
  [6957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 18),
  [6959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 18),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [6965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 182),
  [6967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 182),
  [6969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 72),
  [6971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 72),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 1, 0, 0),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 1, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 105),
  [7015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 105),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 106),
  [7025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 106),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [7031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [7033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [7111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [7113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [7121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [7149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [7191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [7193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 1, 0, 0),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 2, 0, 0),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [7201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [7204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3216),
  [7207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3276),
  [7210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [7215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [7218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3524),
  [7221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [7224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [7227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [7230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [7233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [7236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [7239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [7242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [7245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [7248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4052),
  [7251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [7254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [7269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 2, 0, 0),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [7275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 2, 0, 0),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 1, 0, 0),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 2, 0, 0),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 2, 0, 0),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [7293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 2, 0, 0),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 3, 0, 0),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [7309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 2, 0, 0),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 1, 0, 0),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [7347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 7),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [7373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [7385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [7387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [7415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [7459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [7473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [7483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [7501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [7539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 1, 0, 0),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 1, 0, 0),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [7561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 1, 0, 118),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [7595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [7597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [7599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [7603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 7),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [7613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [7615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [7617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [7619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 21),
  [7621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 21),
  [7623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [7625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [7627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 60),
  [7629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 60),
  [7631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [7634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [7637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 61),
  [7639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 61),
  [7641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 2, 0, 29),
  [7643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 2, 0, 29),
  [7645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 1, 0, 0),
  [7647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 1, 0, 0),
  [7649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 0),
  [7651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 0),
  [7653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 80),
  [7655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 80),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [7659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [7663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(1789),
  [7666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(1791),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [7675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 0),
  [7677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 0),
  [7679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 115),
  [7681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 115),
  [7683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 82),
  [7685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 82),
  [7687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 116),
  [7689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 116),
  [7691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 77),
  [7693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 77),
  [7695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 78),
  [7697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 78),
  [7699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 81),
  [7701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 81),
  [7703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 112),
  [7705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 112),
  [7707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 113),
  [7709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 113),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [7829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 6, 0, 185),
  [7831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 6, 0, 185),
  [7833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [7835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [7837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [7839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [7841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 4, 0, 140),
  [7843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 4, 0, 140),
  [7845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [7847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [7849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 3, 0, 0),
  [7851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 3, 0, 0),
  [7853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [7855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [7857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [7859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 5, 0, 167),
  [7861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 5, 0, 167),
  [7863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [7865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [7867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 3, 0, 0),
  [7869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_set, 3, 0, 0),
  [7871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [7873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [7875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 2, 0, 0),
  [7877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_set, 2, 0, 0),
  [7879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_spec, 2, 0, 0),
  [7881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_spec, 2, 0, 0),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [7893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [7895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [7898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8666),
  [7901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [7906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [7909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [7912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [7915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(7277),
  [7918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8983),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [8028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [8040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 3, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [8100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 22),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 22),
  [8108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 83),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 83),
  [8112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 8),
  [8114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 8),
  [8116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 117),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 117),
  [8120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_common_statement, 2, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 1, 0, 0),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [8146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 1, 0, 0),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [8150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4112),
  [8153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3691),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [8158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3690),
  [8161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3692),
  [8164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3693),
  [8167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3694),
  [8170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3695),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [8177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 2, 0, 0),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [8181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 2, 0, 0),
  [8183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [8185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [8187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 34),
  [8189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 34),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [8197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 155),
  [8199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 5, 0, 0),
  [8201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 5, 0, 0),
  [8203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [8205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [8207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 44),
  [8209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 44),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [8213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 4, 0, 0),
  [8215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 4, 0, 0),
  [8217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 1, 0, 127),
  [8219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_declarator, 2, 0, 22),
  [8221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_declarator, 2, 0, 22),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [8229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [8233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7934),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [8267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [8293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [8309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 4, 0, 0),
  [8431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 4, 0, 0),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [8453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [8456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [8458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [8476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [8598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 5, 0, 0),
  [8600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 5, 0, 0),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [8606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [8608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [8610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [8612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [8616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [8622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6098),
  [8649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [8651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 84),
  [8657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 1, 0, 46),
  [8659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 1, 0, 120),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [8665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 1, 0, 39),
  [8667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 74),
  [8669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [8671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [8673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 127),
  [8675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 172),
  [8677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 1, 0, 153),
  [8679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 89),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [8685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 152),
  [8687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 155),
  [8689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 1, 0, 85),
  [8691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 100),
  [8693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 1, 0, 48),
  [8695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 1, 0, 63),
  [8697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 3, 0, 2),
  [8699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 145),
  [8701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 119),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [8707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 76), SHIFT(6092),
  [8710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 7, 0, 76),
  [8712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 76),
  [8714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [8716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6092),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [8721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134), SHIFT_REPEAT(4848),
  [8724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134),
  [8728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0), SHIFT(6092),
  [8731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [8735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0), SHIFT(6092),
  [8738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [8742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0), SHIFT(6092),
  [8745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [8747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [8749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0), SHIFT(6096),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [8754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [8758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 76), SHIFT(6092),
  [8761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 76),
  [8763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 76),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [8771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(6092),
  [8774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [8776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [8780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [8790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8698),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [8826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(6088),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [8845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [8855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 2, 0, 10),
  [8857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 2, 0, 10),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [8873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 1, 0, 0),
  [8875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 1, 0, 0),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [8905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 2, 0, 0),
  [8907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 2, 0, 0),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [8915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 131),
  [8917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 131),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [8927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 2, 0, 18),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [8931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 56),
  [8933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 56),
  [8935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [8949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [8957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [8971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label_reference, 1, 0, 17),
  [8973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label_reference, 1, 0, 17),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [9001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9009),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8557),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [9019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [9027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__kind, 2, 0, 29),
  [9029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__kind, 2, 0, 29),
  [9031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [9033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [9037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [9047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 76), SHIFT(6093),
  [9050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 76),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 76),
  [9054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declared_type, 4, 0, 77),
  [9056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declared_type, 4, 0, 77),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [9060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 1, 0, 9),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 1, 0, 9),
  [9064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_member_expression, 3, 0, 67),
  [9066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_member_expression, 3, 0, 67),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [9094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [9112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [9116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [9120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [9126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 3, 0, 72),
  [9152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 18),
  [9154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [9156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [9158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 138),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 72),
  [9162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 18),
  [9164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 138),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [9184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5185),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [9240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [9258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_legacy, 3, 0, 47),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_legacy, 3, 0, 47),
  [9262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_f2003, 3, 0, 47),
  [9264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_f2003, 3, 0, 47),
  [9266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 3, 0, 0),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 3, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [9278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6776),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7327),
  [9298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 2, 0, 10),
  [9300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 2, 0, 10),
  [9302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3728),
  [9305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4344),
  [9308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3394),
  [9311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4413),
  [9314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7892),
  [9317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [9319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5618),
  [9322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4325),
  [9325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [9327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [9330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [9333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4058),
  [9336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8501),
  [9339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8511),
  [9342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [9345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5607),
  [9348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [9351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5608),
  [9354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9022),
  [9357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5628),
  [9360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [9362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 136),
  [9370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 136),
  [9372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [9374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [9378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3780),
  [9381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4395),
  [9384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3490),
  [9387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [9389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4341),
  [9392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [9395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [9397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5609),
  [9400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [9403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4058),
  [9406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8501),
  [9409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8511),
  [9412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5607),
  [9415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5608),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9022),
  [9424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5628),
  [9427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6822),
  [9430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [9432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [9434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7052),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [9459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 66),
  [9461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation_expression, 3, 0, 66),
  [9463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_expression, 3, 0, 66),
  [9465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_expression, 3, 0, 66),
  [9467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_assignment, 3, 0, 68),
  [9469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_assignment, 3, 0, 68),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [9475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [9477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_pointer_association, 3, 0, 68),
  [9481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_pointer_association, 3, 0, 68),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [9485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [9487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 66),
  [9489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 66),
  [9491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 66),
  [9493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 66),
  [9495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 2, 0, 18),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7712),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [9527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3788),
  [9530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4403),
  [9533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3498),
  [9536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4355),
  [9539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [9542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7113),
  [9545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3785),
  [9548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4400),
  [9551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3496),
  [9554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4351),
  [9557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7702),
  [9560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6973),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [9567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 1, 0, 0),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 3, 0, 72),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [9575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 18),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [9595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3773),
  [9598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [9601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [9604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4319),
  [9607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8045),
  [9610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7132),
  [9613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [9615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [9617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2167),
  [9620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [9622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [9626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7737),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [9644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 18),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [9648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3784),
  [9651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4399),
  [9654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3494),
  [9657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4348),
  [9660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [9663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6901),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [9680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [9686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3795),
  [9689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4410),
  [9692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3500),
  [9695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4358),
  [9698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7737),
  [9701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7169),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [9728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 138),
  [9730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [9733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4374),
  [9736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3416),
  [9739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4352),
  [9742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7916),
  [9745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7661),
  [9748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 138),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [9752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 72),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 0),
  [9756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 0),
  [9758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3774),
  [9761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4389),
  [9764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [9767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4334),
  [9770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8056),
  [9773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7533),
  [9776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 3, 0, 0),
  [9778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 2, 0, 0),
  [9780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [9782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [9784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5618),
  [9787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4500),
  [9790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [9793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [9796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4058),
  [9799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8501),
  [9802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8511),
  [9805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3334),
  [9808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5607),
  [9811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [9814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5608),
  [9817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9022),
  [9820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5628),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8618),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [9863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [9875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [9911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 1, 0, 0),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [9917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3736),
  [9920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4353),
  [9923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3408),
  [9926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [9929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8037),
  [9932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [9934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [9939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8618),
  [9942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3559),
  [9945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3565),
  [9948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6989),
  [9951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [9954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7876),
  [9957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3999),
  [9960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [9963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [9966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [9969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 2, 0, 0),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 3, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 214),
  [9977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 214),
  [9979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 211),
  [9981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 211),
  [9983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 212),
  [9985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 212),
  [9987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 193),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 193),
  [9991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 194),
  [9993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 194),
  [9995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 213),
  [9997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 213),
  [9999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 195),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 195),
  [10003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 11, 0, 215),
  [10005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 11, 0, 215),
  [10007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 175),
  [10009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 175),
  [10011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 176),
  [10013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 176),
  [10015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 69),
  [10017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 69),
  [10019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 70),
  [10021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 70),
  [10023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 192),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 192),
  [10027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 3, 0, 33),
  [10029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 3, 0, 33),
  [10031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 204),
  [10033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 204),
  [10035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 205),
  [10037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 205),
  [10039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 206),
  [10041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 206),
  [10043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 156),
  [10045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 156),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 103),
  [10049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 103),
  [10051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 174),
  [10053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 174),
  [10055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 0),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [10059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 0),
  [10061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [10072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [10082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 4, 0, 0),
  [10084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 4, 0, 0),
  [10086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 1, 0, 0),
  [10088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 1, 0, 0),
  [10090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 5, 0, 0),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 5, 0, 0),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 3, 0, 0),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 3, 0, 0),
  [10098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [10100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [10102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4240),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [10161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2141),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [10170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 18),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [10180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 18),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [10184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 105),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [10188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 105),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [10192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 1, 0, 0),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [10204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 72),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [10208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 72),
  [10210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 72),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [10214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 72),
  [10216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 1, 0, 0),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [10220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 18),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [10224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 18),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [10228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 73),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [10232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 73),
  [10234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2183),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [10239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 1, 0, 0),
  [10241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 2, 0, 23),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [10245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 106),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [10249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 106),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [10257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 18),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 18),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 137),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [10267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 137),
  [10269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 72),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [10273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 72),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [10277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 139),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [10281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 139),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 163),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [10299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 163),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [10327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 72),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [10331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 72),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [10361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 0),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [10367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 139),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [10371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 139),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [10379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 105),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [10383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 105),
  [10385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [10387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [10391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [10393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 105),
  [10395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 105),
  [10397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 73),
  [10399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 73),
  [10401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 163),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [10405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 163),
  [10407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 106),
  [10409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 106),
  [10411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0),
  [10413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 18),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 18),
  [10417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 72),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [10421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 72),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [10429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 106),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [10433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 106),
  [10435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 18),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 18),
  [10441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 18),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [10445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 18),
  [10447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [10451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 5, 0, 188),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [10455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [10457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [10459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript, 2, 0, 0),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [10479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0),
  [10481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 108),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [10485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 7),
  [10487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2141),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [10492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 137),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [10496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 137),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [10502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 45),
  [10504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 45),
  [10506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 137),
  [10508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 137),
  [10510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 72),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 72),
  [10514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 5, 0, 0),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 3, 0, 0),
  [10526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0),
  [10528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 139),
  [10530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 139),
  [10532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 3, 0, 0),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [10536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 3, 0, 0),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [10552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 163),
  [10554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 163),
  [10556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 72),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [10560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 72),
  [10562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 18),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [10566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 18),
  [10568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 73),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 73),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [10578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 5, 0, 0),
  [10580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 6, 0, 0),
  [10582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 163),
  [10584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 163),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [10600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [10602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [10604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_assignment, 3, 0, 0),
  [10606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 5, 0, 0),
  [10608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 2, 0, 24),
  [10610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 24),
  [10612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 5, 0, 0),
  [10614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 139),
  [10616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 139),
  [10618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 7, 0, 0),
  [10620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 68),
  [10622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_association_statement, 3, 0, 0),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [10628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 73),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 73),
  [10632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 7, 0, 210),
  [10634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 177),
  [10636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 177),
  [10638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 157),
  [10640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 157),
  [10642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [10644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [10646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_association, 3, 0, 123),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [10652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 5, 0, 0),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 5, 0, 0),
  [10656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 7, 0, 0),
  [10658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 7, 0, 0),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [10666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 157),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 157),
  [10670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 105),
  [10672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 105),
  [10674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [10676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [10678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 106),
  [10680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 106),
  [10682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 18),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 18),
  [10686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 177),
  [10688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 177),
  [10690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [10692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 2, 0, 0),
  [10700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4251),
  [10703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 137),
  [10705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 137),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [10709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 4, 0, 0),
  [10711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 4, 0, 0),
  [10713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 8, 0, 0),
  [10715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 6, 0, 0),
  [10717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 72),
  [10719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 72),
  [10721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 7, 0, 0),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [10775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2153),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [10802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1, 0, 0),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [10846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3191),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [10859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_expressions, 1, 0, 0),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [10975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [10977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [10979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 3, 0, 23),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [10997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 2, 0, 18),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [11035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 124),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [11047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_allocation, 2, 0, 44),
  [11049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_allocation, 2, 0, 22),
  [11051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [11055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_identifier, 1, 0, 0),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [11059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 3, 0, 72),
  [11061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 18),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [11065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3444),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [11072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3604),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [11077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 138),
  [11079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 72),
  [11081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 18),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [11089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 138),
  [11091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3463),
  [11094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3589),
  [11097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3583),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [11102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3584),
  [11105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 105),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [11109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 105),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [11115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 72),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [11119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 72),
  [11121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [11123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [11126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 4, 0, 167),
  [11128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 4, 0, 167),
  [11131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 106),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [11135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 106),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [11139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 18),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [11143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 18),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [11147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 18),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [11151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 18),
  [11153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 72),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [11157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 72),
  [11159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 18),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [11163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 18),
  [11165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 73),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [11169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 73),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [11173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 163),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [11177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 163),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [11181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [11183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [11190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 137),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [11194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 137),
  [11196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 72),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [11200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 72),
  [11202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 139),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [11206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 139),
  [11208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 178),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 178),
  [11212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 160),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 160),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 73),
  [11222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 73),
  [11224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 168),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 168),
  [11228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [11230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [11232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 169),
  [11234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 169),
  [11236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [11238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [11240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 186),
  [11242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 186),
  [11244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 137),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 137),
  [11248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 72),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 72),
  [11252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 139),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 139),
  [11256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 79),
  [11258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 79),
  [11260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 114),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 114),
  [11264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 196),
  [11266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 196),
  [11268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 197),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 197),
  [11272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 55),
  [11274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 55),
  [11276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 105),
  [11278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 105),
  [11280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 143),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 143),
  [11284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 106),
  [11286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 106),
  [11288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 18),
  [11290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 18),
  [11292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 163),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 163),
  [11296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 9, 0, 207),
  [11298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 9, 0, 207),
  [11300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [11302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [11304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [11307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8618),
  [11310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [11313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7876),
  [11316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3999),
  [11319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [11322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [11331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(5628),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25),
  [11336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(8501),
  [11339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(8511),
  [11342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(5607),
  [11345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(7773),
  [11348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(5608),
  [11351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 25), SHIFT_REPEAT(9022),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [11364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [11366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9063),
  [11368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7937),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [11390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 26),
  [11392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 26),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [11398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 1, 0, 0),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [11402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [11405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4386),
  [11408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3401),
  [11411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4221),
  [11414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8034),
  [11417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [11419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9063),
  [11422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7937),
  [11425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [11427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8083),
  [11430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8097),
  [11433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4069),
  [11436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 2, 0, 0),
  [11438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 33),
  [11440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 33),
  [11442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 3, 0, 0),
  [11444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [11452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 58),
  [11456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 58),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 59),
  [11460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 59),
  [11462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 27),
  [11464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 27),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [11468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 99), SHIFT_REPEAT(3701),
  [11471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 99),
  [11473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 99),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [11495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [11499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [11503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [11505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [11511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [11513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [11515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [11519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [11521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [11527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 7),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [11533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [11537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [11549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [11551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [11553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 65),
  [11555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 65),
  [11557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3417),
  [11560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4367),
  [11563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [11565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8848),
  [11568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [11571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3555),
  [11574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3536),
  [11577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [11579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [11581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [11587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8694),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [11591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [11593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [11595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [11599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [11601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [11603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [11605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [11615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [11617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 66),
  [11619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 66),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [11623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8570),
  [11625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [11629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [11633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9035),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [11637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [11639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [11641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [11643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 159),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 159),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [11649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [11651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 132),
  [11653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 132),
  [11655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 98),
  [11657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 98),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [11661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8643),
  [11663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [11665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [11669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8647),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [11673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [11685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9030),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [11693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8683),
  [11695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [11697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [11701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [11717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [11721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [11723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 12),
  [11725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 12),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [11735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 28),
  [11737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 28),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [11741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8973),
  [11747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [11749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8769),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8770),
  [11759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 36),
  [11761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 36),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [11769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8789),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [11773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8790),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [11779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 133),
  [11781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 133),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8822),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [11789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [11795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [11797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [11799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [11801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8869),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [11813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8985),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8900),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [11837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8912),
  [11839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 57),
  [11841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 57),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [11845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8917),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [11853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [11857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [11873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [11877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [11889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [11893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [11895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [11917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [11920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4386),
  [11923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3400),
  [11926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4220),
  [11929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8034),
  [11932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [11934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7864),
  [11937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 2, 0, 18),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [11969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [11972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4386),
  [11975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3402),
  [11978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4222),
  [11981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8034),
  [11984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [11986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8003),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [12021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 138),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [12025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 72),
  [12027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 18),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [12035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 3, 0, 72),
  [12037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 138),
  [12039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 18),
  [12041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 106),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [12045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 106),
  [12047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 18),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [12051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 18),
  [12053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 72),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [12057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 72),
  [12059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 72),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [12063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 72),
  [12065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 139),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [12069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 139),
  [12071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 163),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [12075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 163),
  [12077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 18),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [12081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 18),
  [12083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 137),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [12087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 137),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [12095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [12099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 163),
  [12101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 163),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [12105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 106),
  [12107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 106),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [12111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 18),
  [12113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 18),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [12117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 137),
  [12119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 137),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [12125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 163),
  [12127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 163),
  [12129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 72),
  [12131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 72),
  [12133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 138),
  [12135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 139),
  [12137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 139),
  [12139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 138),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [12159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 18),
  [12161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 72),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [12173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 18),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [12183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 18),
  [12185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 18),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [12189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 18),
  [12191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 18),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [12201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 72),
  [12203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 18),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [12211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 137),
  [12213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 137),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [12221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 72),
  [12223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 72),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 139),
  [12231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 139),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [12243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 73),
  [12245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 73),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [12249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [12251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [12253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8848),
  [12256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [12265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 18),
  [12267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 18),
  [12269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 106),
  [12271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 106),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [12275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 105),
  [12277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 105),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [12281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 72),
  [12283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 72),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [12287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 72),
  [12289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 72),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [12293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 18),
  [12295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 18),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [12299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 69),
  [12301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 69),
  [12303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 73),
  [12305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 73),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [12317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [12329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 105),
  [12331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 105),
  [12333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [12335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [12337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 106),
  [12339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 106),
  [12341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 33),
  [12343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 33),
  [12345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 139),
  [12347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 139),
  [12349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 163),
  [12351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 163),
  [12353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 137),
  [12355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 137),
  [12357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 72),
  [12359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 72),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [12363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 1, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [12377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6089),
  [12380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [12382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6076),
  [12385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6276),
  [12388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6291),
  [12391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(8752),
  [12394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(5990),
  [12397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 33),
  [12399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 33),
  [12401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label_start_expression, 2, 0, 32),
  [12403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_label_start_expression, 2, 0, 32),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [12409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7772),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 2, 0, 0),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [12423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 163),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [12427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 163),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [12431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 18),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [12435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 18),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [12441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 18),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 72),
  [12447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 106),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [12451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 106),
  [12453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 72),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [12457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 72),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [12461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 18),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [12465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 18),
  [12467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 18),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [12471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 18),
  [12473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 106),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [12477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 106),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [12481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 137),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [12485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 137),
  [12487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 72),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 72),
  [12493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 139),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [12497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 139),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 18),
  [12501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 1, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [12505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 163),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [12509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 163),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [12523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 18),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 18),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [12533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 137),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [12537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 137),
  [12539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 72),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [12543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 72),
  [12545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 139),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [12549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 139),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 138),
  [12553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 138),
  [12555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 72),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 72),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 72),
  [12567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 18),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [12571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 139),
  [12573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 139),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [12591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 137),
  [12593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 137),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [12597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 163),
  [12599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 163),
  [12601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 139),
  [12603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 139),
  [12605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 72),
  [12607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 72),
  [12609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 18),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 18),
  [12613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 18),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 18),
  [12617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 106),
  [12619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 106),
  [12621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 106),
  [12623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 106),
  [12625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 163),
  [12627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 163),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [12631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 2, 0, 18),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [12637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 2, 0, 0),
  [12639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 72),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 72),
  [12643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 53),
  [12645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 137),
  [12647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 137),
  [12649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 3, 0, 0),
  [12651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 2, 0, 18),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 1, 0, 0),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [12673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [12679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 2, 0, 0),
  [12681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0),
  [12683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8520),
  [12686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8520),
  [12689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8579),
  [12692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8737),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [12701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 138),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [12705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [12711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9075),
  [12713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [12723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [12743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 18),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [12755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 18),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 72),
  [12761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 18),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [12773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 138),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [12777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 138),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [12821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 72),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [12833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 18),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [12855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [12857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [12933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 18),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [12951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 18),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [12963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 4, 0, 72),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [12967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 18),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [12985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 72),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [12989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 18),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [12997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 4, 0, 72),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [13023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 138),
  [13025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 72),
  [13027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 18),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [13033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 138),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [13049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 72),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [13059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 3, 0, 18),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [13079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_edit_descriptor, 1, 0, 0),
  [13081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 4, 0, 72),
  [13083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 18),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [13097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 3, 0, 18),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [13101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 3, 0, 18),
  [13103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 138),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [13121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 138),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [13153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 138),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [13161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 4, 0, 40),
  [13163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 96),
  [13165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 53),
  [13167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8603),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 9, 0, 209),
  [13175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 9, 0, 209),
  [13177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 53),
  [13179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 40),
  [13181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 170),
  [13183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 170),
  [13185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 171),
  [13187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 171),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [13191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 144),
  [13195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 144),
  [13197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 187),
  [13199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 187),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 8, 0, 200),
  [13203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 8, 0, 200),
  [13205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [13207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [13209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8969),
  [13212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7941),
  [13215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 40),
  [13217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 2, 0, 18),
  [13219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [13221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [13223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0),
  [13225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8977),
  [13228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8688),
  [13231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [13233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [13235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [13237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [13239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 18),
  [13241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 18),
  [13243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 40),
  [13245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [13247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [13249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 96),
  [13251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [13253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [13255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 170),
  [13257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 170),
  [13259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [13277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [13279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8193),
  [13282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [13284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3644),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [13293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [13305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [13307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(3814),
  [13310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 2, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 1, 0, 0),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [13390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, 0, 20),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [13400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 101),
  [13402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 101),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [13426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 102),
  [13428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 102),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [13432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 70),
  [13434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 70),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [13446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namelist_statement, 2, 0, 0),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [13536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 65),
  [13538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 65),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [13566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 135),
  [13568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 135),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [13578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 103),
  [13580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 103),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [13592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 4, 0, 0),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [13596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 99), SHIFT_REPEAT(3980),
  [13599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 99),
  [13601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 99),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [13633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4112),
  [13636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [13670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 5, 0, 0),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [13674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 8, 0, 109),
  [13676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_name, 1, 0, 52),
  [13678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [13680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 5, 0, 0),
  [13682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [13686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 2, 0, 0),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [13690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 7, 0, 0),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [13696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [13700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [13706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 99), SHIFT_REPEAT(3595),
  [13709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 99),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [13713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [13717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8668),
  [13719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [13724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_size, 1, 0, 0),
  [13726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 96),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [13736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 41),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [13740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 109),
  [13742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [13744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 41),
  [13746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 3, 0, 0),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [13760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 2, 0, 19),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8712),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [13770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8028),
  [13773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0),
  [13775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [13777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [13781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 19),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [13785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [13787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 4, 0, 0),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [13793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0),
  [13795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0), SHIFT_REPEAT(3640),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [13802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [13806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [13808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4252),
  [13811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(6043),
  [13814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [13818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8450),
  [13820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_result, 4, 0, 0),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [13824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 4, 0, 103),
  [13826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 65),
  [13828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 65),
  [13830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [13832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 99), SHIFT_REPEAT(3903),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [13837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 41),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [13841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [13843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 99), SHIFT_REPEAT(4007),
  [13846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 99),
  [13848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [13852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [13854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4160),
  [13857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [13861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [13865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [13867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0), SHIFT(2183),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [13872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9041),
  [13874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 5, 0, 0),
  [13876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 99), SHIFT_REPEAT(3700),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [13881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [13885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8474),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [13889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [13891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 6, 0, 0),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [13895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [13897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(3727),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [13902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [13908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 70),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [13912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [13916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [13920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [13922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 6, 0, 0),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [13926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [13928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 3, 0, 0),
  [13930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 2, 0, 0),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [13934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [13936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 69),
  [13938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [13940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 40),
  [13942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 2, 0, 33),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [13946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 19),
  [13948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 2, 0, 0),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [13952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [13962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3647),
  [13965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0),
  [13967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 7, 0, 109),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [13971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [13983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [13987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [13991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8823),
  [13993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4145),
  [13996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [14004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [14008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8102),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [14012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [14016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [14018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 2, 0, 0),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [14022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [14026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [14028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3207),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [14033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [14037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [14041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [14055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [14059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [14096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2225),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [14105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [14109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [14114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [14126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4067),
  [14129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [14151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [14157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [14161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 3, 0, 0),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [14179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [14195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7013),
  [14198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [14230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [14268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [14272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [14278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [14348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [14362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4182),
  [14365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [14373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [14377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [14385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0), SHIFT_REPEAT(8995),
  [14388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [14406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 0),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [14412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [14416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [14442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 6, 0, 0),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [14448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0), SHIFT_REPEAT(3269),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [14465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7920),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [14509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [14513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [14521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4143),
  [14524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [14538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 2, 0, 0),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [14554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [14558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [14592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [14602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 1, 0, 0),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [14636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_identifier, 1, 0, 0),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [14640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [14654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 2, 0, 0),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [14660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 126), SHIFT_REPEAT(3090),
  [14663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 126),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [14673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [14677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [14719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3233),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [14728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [14738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [14740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [14754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [14764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [14768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [14774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [14778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [14834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 3, 0, 7),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [14850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [14856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [14880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 33),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [14912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [14916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4234),
  [14919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [14931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 33),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [14937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 0, 0),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [14993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [14997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [15085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0), SHIFT_REPEAT(3160),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [15094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 2, 0, 0),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [15146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [15168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [15176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [15178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [15270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [15282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [15310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [15314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [15324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3418),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [15331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 5, 0, 0),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [15347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(4065),
  [15350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [15366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [15370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 0),
  [15434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 4, 0, 0),
  [15436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_io_procedure, 4, 0, 0),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [15472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(4126),
  [15475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0),
  [15477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_shape, 1, 0, 0),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 6, 0, 0),
  [15541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 141), SHIFT_REPEAT(3245),
  [15544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 141),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [15560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(6698),
  [15563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [15575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_alias, 3, 0, 142),
  [15577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0), SHIFT_REPEAT(8008),
  [15580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [15588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8018),
  [15591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [15595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 4, 0, 0),
  [15597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 111), SHIFT_REPEAT(6057),
  [15600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 111),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [15606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 5, 0, 0),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [15610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 4, 0, 0),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [15626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0), SHIFT_REPEAT(4177),
  [15629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [15637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 10, 0, 173),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [15641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [15645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [15647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 6, 0, 0),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [15651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [15655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [15657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 4, 0, 0),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [15661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [15665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [15673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [15677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [15683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [15687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8369),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [15691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8586),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [15695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8372),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [15699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [15701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 3, 0, 0),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [15705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8380),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [15709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8385),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [15713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [15717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [15719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [15721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [15723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [15725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [15729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [15731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_statement, 4, 0, 86),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [15735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [15737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [15739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [15741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 125),
  [15743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 0),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [15747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8412),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [15751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [15753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 5, 0, 0),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [15757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [15761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [15767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [15771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [15773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 122),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [15777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [15781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [15783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 6, 0, 0),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [15787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [15791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [15795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [15799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [15801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 8, 0, 0),
  [15803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 6, 0, 0),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [15807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [15811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8465),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [15815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8468),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [15819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [15821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 3, 0, 0),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [15825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [15829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8481),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [15837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [15839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 46),
  [15841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 148),
  [15843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 149),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [15849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 8, 0, 179),
  [15851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1, 0, 0),
  [15853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_statement, 1, 0, 0),
  [15855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 3, 0, 0),
  [15857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 8, 0, 180),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [15861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [15863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 127),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [15871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9051),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [15875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 8, 0, 181),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [15879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 2, 0, 0),
  [15881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 4, 0, 0),
  [15883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_if_statement, 7, 0, 0),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [15899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8664),
  [15901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 154),
  [15903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 9, 0, 0),
  [15905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 4, 0, 0),
  [15907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 6, 0, 0),
  [15909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 4, 0, 0),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [15913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [15915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript_triplet, 2, 0, 0),
  [15917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 96),
  [15919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 5, 0, 0),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [15923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [15927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 120),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [15931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [15933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 5, 0, 0),
  [15935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 43),
  [15937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 5, 0, 122),
  [15939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 4, 0, 0),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [15943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [15945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 2, 0, 64),
  [15947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 150),
  [15949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [15951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [15953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 4, 0, 155),
  [15955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 10, 0, 0),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [15959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8148),
  [15961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 0),
  [15963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 3, 0, 0),
  [15965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 5, 0, 0),
  [15967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 3, 0, 77),
  [15969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 7, 0, 0),
  [15971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 1, 0, 31),
  [15973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 4, 0, 0),
  [15975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_forall_statement, 2, 0, 0),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [15979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [15981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 63),
  [15983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 3, 0, 0),
  [15985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [15987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [15989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_where_statement, 3, 0, 0),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [15993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 2, 0, 30),
  [15995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 121),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [16005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 1, 0, 0),
  [16007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 3, 0, 0),
  [16009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 5, 0, 125),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [16013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [16015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 153),
  [16017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 7, 0, 0),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [16021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8844),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [16025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [16027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 3, 0, 0),
  [16029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 40),
  [16031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 19),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [16037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 3, 0, 0),
  [16039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 3, 0, 0),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [16047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [16051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 3, 0, 145),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [16055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [16057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 3, 0, 0),
  [16059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 4, 0, 87),
  [16061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 7, 0, 0),
  [16063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 53),
  [16065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 6, 0, 0),
  [16067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 5, 0, 0),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [16071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [16073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 4, 0, 0),
  [16075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 5, 0, 0),
  [16077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 6, 0, 0),
  [16079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [16083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [16085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 3, 0, 152),
  [16087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 3, 0, 74),
  [16089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 5, 0, 0),
  [16091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 148),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [16095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [16097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 7, 0, 0),
  [16099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 87),
  [16101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 3, 0, 172),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [16105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8624),
  [16107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 1, 0, 0),
  [16109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 85),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [16113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [16115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 3, 0, 119),
  [16117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 4, 0, 23),
  [16119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 4, 0, 0),
  [16121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 6, 0, 0),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [16127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [16131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [16135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [16139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9031),
  [16141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 5, 0, 0),
  [16143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 4, 0, 0),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [16149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 154),
  [16151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 173),
  [16153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 173),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [16157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [16159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 5, 0, 0),
  [16161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 3, 0, 89),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [16171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 6, 0, 0),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [16177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 8, 0, 0),
  [16179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 9, 0, 0),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [16183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [16185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_statement, 1, 0, 0),
  [16187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 41),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [16191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8110),
  [16193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 118),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [16197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 7, 0, 0),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [16201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [16205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8974),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [16209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [16211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 0),
  [16213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 154),
  [16215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 3, 0, 84),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [16219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [16221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall_statement, 1, 0, 0),
  [16223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign_statement, 4, 0, 88),
  [16225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 149),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [16231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 3, 0, 0),
  [16233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 3, 0, 100),
  [16235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 5, 0, 0),
  [16237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 179),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [16243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 161),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [16247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [16249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_if_statement, 3, 0, 0),
  [16251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 4, 0, 0),
  [16253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 4, 0, 0),
  [16255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 150),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [16259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [16261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 87),
  [16263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 4, 0, 2),
  [16265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 5, 0, 0),
  [16267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 125),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [16273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 3, 0, 0),
  [16275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 180),
  [16277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 39),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [16281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [16283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_label, 1, 0, 75),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [16289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 6, 0, 0),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [16293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [16295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 48),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [16301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 11, 0, 0),
  [16303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 181),
  [16305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 3, 0, 0),
  [16307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 109),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [16313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [16315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 161),
  [16317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 5, 0, 121),
  [16319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 162),
  [16321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 3, 0, 0),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [16325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [16327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 4, 0, 0),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [16331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8233),
  [16333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_type_specifier, 4, 0, 0),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [16337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [16339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 110),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [16343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [16347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 3, 0, 0),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [16351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [16355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [16359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [16363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [16365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 8, 0, 0),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [16369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [16371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 5, 0, 0),
  [16373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 18),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [16377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [16381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8289),
  [16383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 3, 0, 62),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [16391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [16393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 6, 0, 0),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [16397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [16399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 162),
  [16401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 4, 0, 158),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [16407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [16411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [16415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [16419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [16425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 42),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [16429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [16433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [16435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 6, 0, 0),
  [16437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 7, 0, 0),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [16441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [16447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3252),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [16456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 183),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [16462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 163),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [16466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 6, 0, 165),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [16482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 6, 0, 183),
  [16484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 137),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [16552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 139),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [16632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 73),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [16640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 73),
  [16642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 73),
  [16644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 73),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [16656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 164),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [16690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 137),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [16700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 139),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [16724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 199),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [16764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 137),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [16786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [16816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 7, 0, 199),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [16826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 182),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [16830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 7, 0, 184),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [16836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 73),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [16842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 105),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [16850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 105),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [16864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 137),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [16868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 164),
  [16870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 106),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [16890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 137),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [16912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 4, 0, 0),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [16992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 4, 0, 0),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [17030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 137),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [17054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 5, 0, 139),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [17070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 105),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [17086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 106),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [17178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [17190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 164),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [17194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 164),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [17198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 137),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [17204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 5, 0, 139),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [17212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [17222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 6, 0, 183),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [17226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 137),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [17236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 73),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [17240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [17246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 164),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [17250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 137),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [17254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 5, 0, 139),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [17280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 5, 0, 139),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [17300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 5, 0, 0),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [17304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 8, 0, 208),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [17360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 3, 0, 0),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [17384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 164),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [17394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 105),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [17416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 183),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [17420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [17424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 183),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [17430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 6, 0, 183),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [17434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 106),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [17440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 106),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [17454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 164),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [17482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 73),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [17502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 163),
  [17504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 105),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [17510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 105),
  [17512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 105),
  [17514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 105),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [17518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 163),
  [17520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 106),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [17538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 106),
  [17540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 106),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [17544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 139),
  [17546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 106),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [17554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 139),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [17570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 165),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [17584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 6, 0, 165),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [17594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 5, 0, 139),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [17598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 106),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [17602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_op, 1, 0, 0),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [17614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 164),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [17646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 3, 0, 0),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [17658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 106),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [17670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 2, 0, 0),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [17740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 73),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [17756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 7, 0, 199),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [17784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 105),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [17792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 183),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [17806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 163),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [17810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 6, 0, 165),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [17828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 73),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [17836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unlimited_polymorphic, 1, 0, 0),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [17848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 106),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [17870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 6, 0, 183),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [17876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 6, 0, 183),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [17916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 137),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [17920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 5, 0, 139),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [17930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [17934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 137),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [17938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 5, 0, 139),
  [17940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 2, 0, 0),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [17970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 137),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [17976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 5, 0, 139),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [17992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 7, 0, 199),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [18002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 6, 0, 183),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [18016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 6, 0, 183),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [18020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 6, 0, 183),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [18026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 3, 0, 0),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [18036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 2, 0, 0),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [18106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 106),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [18142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [18150] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [18210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 164),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [18234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [18254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 4, 0, 0),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_AMP = 0,
  ts_external_token__integer_literal = 1,
  ts_external_token__float_literal = 2,
  ts_external_token__boz_literal = 3,
  ts_external_token__string_literal = 4,
  ts_external_token__string_literal_kind = 5,
  ts_external_token__external_end_of_statement = 6,
  ts_external_token__preproc_unary_operator = 7,
  ts_external_token_hollerith_constant = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_AMP] = anon_sym_AMP,
  [ts_external_token__integer_literal] = sym__integer_literal,
  [ts_external_token__float_literal] = sym__float_literal,
  [ts_external_token__boz_literal] = sym__boz_literal,
  [ts_external_token__string_literal] = sym__string_literal,
  [ts_external_token__string_literal_kind] = sym__string_literal_kind,
  [ts_external_token__external_end_of_statement] = sym__external_end_of_statement,
  [ts_external_token__preproc_unary_operator] = sym__preproc_unary_operator,
  [ts_external_token_hollerith_constant] = sym_hollerith_constant,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
    [ts_external_token__preproc_unary_operator] = true,
    [ts_external_token_hollerith_constant] = true,
  },
  [2] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [3] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [4] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [5] = {
    [ts_external_token_AMP] = true,
  },
  [6] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [7] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [8] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
  },
  [9] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [10] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
  },
  [11] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token_hollerith_constant] = true,
  },
  [12] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [13] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_fortran_external_scanner_create(void);
void tree_sitter_fortran_external_scanner_destroy(void *);
bool tree_sitter_fortran_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_fortran_external_scanner_serialize(void *, char *);
void tree_sitter_fortran_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_fortran(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_fortran_external_scanner_create,
      tree_sitter_fortran_external_scanner_destroy,
      tree_sitter_fortran_external_scanner_scan,
      tree_sitter_fortran_external_scanner_serialize,
      tree_sitter_fortran_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
